%--------------------------------------------------------------------------
% File     : ALG091+1 : ILTP v1.1.2
% Domain   : General Algebra
% Problem  : Loops 5: REPRESENTATIVES-SATISFY-PROPS-PROBLEM-2
% Version  : Especial.
% English  : 

% Refs     : [Mei03] Meier (2003), Email to G.Sutcliffe
%          : [CM+04] Colton et al. (2004), Automatic Generation of Classifi
% Source   : [Mei03]
% Names    : 

% Status   : Theorem
% Rating   : 0.78 v3.1.0, 0.89 v2.7.0
%
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
%
% Syntax   : Number of formulae    :    4 (   1 unit)
%            Number of atoms       :  476 ( 476 equality)
%            Maximal formula depth :  115 (  38 average)
%            Number of connectives :  507 (  35 ~  ; 329  |; 143  &)
%                                         (   0 <=>;   0 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    7 (   6 constant; 0-2 arity)
%            Number of variables   :    0 (   0 singleton;   0 !;   0 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
fof(ax1,axiom,
    ( e0 != e1
    & e0 != e2
    & e0 != e3
    & e0 != e4
    & e1 != e2
    & e1 != e3
    & e1 != e4
    & e2 != e3
    & e2 != e4
    & e3 != e4 )).

fof(ax2,axiom,
    ( op(e0,e0) = e0
    & op(e0,e1) = e1
    & op(e0,e2) = e2
    & op(e0,e3) = e3
    & op(e0,e4) = e4
    & op(e1,e0) = e1
    & op(e1,e1) = e0
    & op(e1,e2) = e3
    & op(e1,e3) = e4
    & op(e1,e4) = e2
    & op(e2,e0) = e2
    & op(e2,e1) = e4
    & op(e2,e2) = e0
    & op(e2,e3) = e1
    & op(e2,e4) = e3
    & op(e3,e0) = e3
    & op(e3,e1) = e2
    & op(e3,e2) = e4
    & op(e3,e3) = e0
    & op(e3,e4) = e1
    & op(e4,e0) = e4
    & op(e4,e1) = e3
    & op(e4,e2) = e1
    & op(e4,e3) = e2
    & op(e4,e4) = e0 )).

fof(ax3,axiom,
    ( unit = e0 )).

fof(co1,conjecture,
    ( ( op(e0,e0) != e0
      | op(e0,e0) = e0 )
    & ( op(e0,e0) != e1
      | op(e0,e1) = e0 )
    & ( op(e0,e0) != e2
      | op(e0,e2) = e0 )
    & ( op(e0,e0) != e3
      | op(e0,e3) = e0 )
    & ( op(e0,e0) != e4
      | op(e0,e4) = e0 )
    & ( op(e1,e1) != e0
      | op(e1,e0) = e1 )
    & ( op(e1,e1) != e1
      | op(e1,e1) = e1 )
    & ( op(e1,e1) != e2
      | op(e1,e2) = e1 )
    & ( op(e1,e1) != e3
      | op(e1,e3) = e1 )
    & ( op(e1,e1) != e4
      | op(e1,e4) = e1 )
    & ( op(e2,e2) != e0
      | op(e2,e0) = e2 )
    & ( op(e2,e2) != e1
      | op(e2,e1) = e2 )
    & ( op(e2,e2) != e2
      | op(e2,e2) = e2 )
    & ( op(e2,e2) != e3
      | op(e2,e3) = e2 )
    & ( op(e2,e2) != e4
      | op(e2,e4) = e2 )
    & ( op(e3,e3) != e0
      | op(e3,e0) = e3 )
    & ( op(e3,e3) != e1
      | op(e3,e1) = e3 )
    & ( op(e3,e3) != e2
      | op(e3,e2) = e3 )
    & ( op(e3,e3) != e3
      | op(e3,e3) = e3 )
    & ( op(e3,e3) != e4
      | op(e3,e4) = e3 )
    & ( op(e4,e4) != e0
      | op(e4,e0) = e4 )
    & ( op(e4,e4) != e1
      | op(e4,e1) = e4 )
    & ( op(e4,e4) != e2
      | op(e4,e2) = e4 )
    & ( op(e4,e4) != e3
      | op(e4,e3) = e4 )
    & ( op(e4,e4) != e4
      | op(e4,e4) = e4 )
    & ( op(e0,e0) = e0
      | op(e0,e0) = e1
      | op(e0,e0) = e2
      | op(e0,e0) = e3
      | op(e0,e0) = e4 )
    & ( op(e0,e1) = e0
      | op(e0,e1) = e1
      | op(e0,e1) = e2
      | op(e0,e1) = e3
      | op(e0,e1) = e4 )
    & ( op(e0,e2) = e0
      | op(e0,e2) = e1
      | op(e0,e2) = e2
      | op(e0,e2) = e3
      | op(e0,e2) = e4 )
    & ( op(e0,e3) = e0
      | op(e0,e3) = e1
      | op(e0,e3) = e2
      | op(e0,e3) = e3
      | op(e0,e3) = e4 )
    & ( op(e0,e4) = e0
      | op(e0,e4) = e1
      | op(e0,e4) = e2
      | op(e0,e4) = e3
      | op(e0,e4) = e4 )
    & ( op(e1,e0) = e0
      | op(e1,e0) = e1
      | op(e1,e0) = e2
      | op(e1,e0) = e3
      | op(e1,e0) = e4 )
    & ( op(e1,e1) = e0
      | op(e1,e1) = e1
      | op(e1,e1) = e2
      | op(e1,e1) = e3
      | op(e1,e1) = e4 )
    & ( op(e1,e2) = e0
      | op(e1,e2) = e1
      | op(e1,e2) = e2
      | op(e1,e2) = e3
      | op(e1,e2) = e4 )
    & ( op(e1,e3) = e0
      | op(e1,e3) = e1
      | op(e1,e3) = e2
      | op(e1,e3) = e3
      | op(e1,e3) = e4 )
    & ( op(e1,e4) = e0
      | op(e1,e4) = e1
      | op(e1,e4) = e2
      | op(e1,e4) = e3
      | op(e1,e4) = e4 )
    & ( op(e2,e0) = e0
      | op(e2,e0) = e1
      | op(e2,e0) = e2
      | op(e2,e0) = e3
      | op(e2,e0) = e4 )
    & ( op(e2,e1) = e0
      | op(e2,e1) = e1
      | op(e2,e1) = e2
      | op(e2,e1) = e3
      | op(e2,e1) = e4 )
    & ( op(e2,e2) = e0
      | op(e2,e2) = e1
      | op(e2,e2) = e2
      | op(e2,e2) = e3
      | op(e2,e2) = e4 )
    & ( op(e2,e3) = e0
      | op(e2,e3) = e1
      | op(e2,e3) = e2
      | op(e2,e3) = e3
      | op(e2,e3) = e4 )
    & ( op(e2,e4) = e0
      | op(e2,e4) = e1
      | op(e2,e4) = e2
      | op(e2,e4) = e3
      | op(e2,e4) = e4 )
    & ( op(e3,e0) = e0
      | op(e3,e0) = e1
      | op(e3,e0) = e2
      | op(e3,e0) = e3
      | op(e3,e0) = e4 )
    & ( op(e3,e1) = e0
      | op(e3,e1) = e1
      | op(e3,e1) = e2
      | op(e3,e1) = e3
      | op(e3,e1) = e4 )
    & ( op(e3,e2) = e0
      | op(e3,e2) = e1
      | op(e3,e2) = e2
      | op(e3,e2) = e3
      | op(e3,e2) = e4 )
    & ( op(e3,e3) = e0
      | op(e3,e3) = e1
      | op(e3,e3) = e2
      | op(e3,e3) = e3
      | op(e3,e3) = e4 )
    & ( op(e3,e4) = e0
      | op(e3,e4) = e1
      | op(e3,e4) = e2
      | op(e3,e4) = e3
      | op(e3,e4) = e4 )
    & ( op(e4,e0) = e0
      | op(e4,e0) = e1
      | op(e4,e0) = e2
      | op(e4,e0) = e3
      | op(e4,e0) = e4 )
    & ( op(e4,e1) = e0
      | op(e4,e1) = e1
      | op(e4,e1) = e2
      | op(e4,e1) = e3
      | op(e4,e1) = e4 )
    & ( op(e4,e2) = e0
      | op(e4,e2) = e1
      | op(e4,e2) = e2
      | op(e4,e2) = e3
      | op(e4,e2) = e4 )
    & ( op(e4,e3) = e0
      | op(e4,e3) = e1
      | op(e4,e3) = e2
      | op(e4,e3) = e3
      | op(e4,e3) = e4 )
    & ( op(e4,e4) = e0
      | op(e4,e4) = e1
      | op(e4,e4) = e2
      | op(e4,e4) = e3
      | op(e4,e4) = e4 )
    & op(unit,e0) = e0
    & op(e0,unit) = e0
    & op(unit,e1) = e1
    & op(e1,unit) = e1
    & op(unit,e2) = e2
    & op(e2,unit) = e2
    & op(unit,e3) = e3
    & op(e3,unit) = e3
    & op(unit,e4) = e4
    & op(e4,unit) = e4
    & ( unit = e0
      | unit = e1
      | unit = e2
      | unit = e3
      | unit = e4 )
    & ( op(e0,e0) = e0
      | op(e0,e1) = e0
      | op(e0,e2) = e0
      | op(e0,e3) = e0
      | op(e0,e4) = e0 )
    & ( op(e0,e0) = e0
      | op(e1,e0) = e0
      | op(e2,e0) = e0
      | op(e3,e0) = e0
      | op(e4,e0) = e0 )
    & ( op(e0,e0) = e1
      | op(e0,e1) = e1
      | op(e0,e2) = e1
      | op(e0,e3) = e1
      | op(e0,e4) = e1 )
    & ( op(e0,e0) = e1
      | op(e1,e0) = e1
      | op(e2,e0) = e1
      | op(e3,e0) = e1
      | op(e4,e0) = e1 )
    & ( op(e0,e0) = e2
      | op(e0,e1) = e2
      | op(e0,e2) = e2
      | op(e0,e3) = e2
      | op(e0,e4) = e2 )
    & ( op(e0,e0) = e2
      | op(e1,e0) = e2
      | op(e2,e0) = e2
      | op(e3,e0) = e2
      | op(e4,e0) = e2 )
    & ( op(e0,e0) = e3
      | op(e0,e1) = e3
      | op(e0,e2) = e3
      | op(e0,e3) = e3
      | op(e0,e4) = e3 )
    & ( op(e0,e0) = e3
      | op(e1,e0) = e3
      | op(e2,e0) = e3
      | op(e3,e0) = e3
      | op(e4,e0) = e3 )
    & ( op(e0,e0) = e4
      | op(e0,e1) = e4
      | op(e0,e2) = e4
      | op(e0,e3) = e4
      | op(e0,e4) = e4 )
    & ( op(e0,e0) = e4
      | op(e1,e0) = e4
      | op(e2,e0) = e4
      | op(e3,e0) = e4
      | op(e4,e0) = e4 )
    & ( op(e1,e0) = e0
      | op(e1,e1) = e0
      | op(e1,e2) = e0
      | op(e1,e3) = e0
      | op(e1,e4) = e0 )
    & ( op(e0,e1) = e0
      | op(e1,e1) = e0
      | op(e2,e1) = e0
      | op(e3,e1) = e0
      | op(e4,e1) = e0 )
    & ( op(e1,e0) = e1
      | op(e1,e1) = e1
      | op(e1,e2) = e1
      | op(e1,e3) = e1
      | op(e1,e4) = e1 )
    & ( op(e0,e1) = e1
      | op(e1,e1) = e1
      | op(e2,e1) = e1
      | op(e3,e1) = e1
      | op(e4,e1) = e1 )
    & ( op(e1,e0) = e2
      | op(e1,e1) = e2
      | op(e1,e2) = e2
      | op(e1,e3) = e2
      | op(e1,e4) = e2 )
    & ( op(e0,e1) = e2
      | op(e1,e1) = e2
      | op(e2,e1) = e2
      | op(e3,e1) = e2
      | op(e4,e1) = e2 )
    & ( op(e1,e0) = e3
      | op(e1,e1) = e3
      | op(e1,e2) = e3
      | op(e1,e3) = e3
      | op(e1,e4) = e3 )
    & ( op(e0,e1) = e3
      | op(e1,e1) = e3
      | op(e2,e1) = e3
      | op(e3,e1) = e3
      | op(e4,e1) = e3 )
    & ( op(e1,e0) = e4
      | op(e1,e1) = e4
      | op(e1,e2) = e4
      | op(e1,e3) = e4
      | op(e1,e4) = e4 )
    & ( op(e0,e1) = e4
      | op(e1,e1) = e4
      | op(e2,e1) = e4
      | op(e3,e1) = e4
      | op(e4,e1) = e4 )
    & ( op(e2,e0) = e0
      | op(e2,e1) = e0
      | op(e2,e2) = e0
      | op(e2,e3) = e0
      | op(e2,e4) = e0 )
    & ( op(e0,e2) = e0
      | op(e1,e2) = e0
      | op(e2,e2) = e0
      | op(e3,e2) = e0
      | op(e4,e2) = e0 )
    & ( op(e2,e0) = e1
      | op(e2,e1) = e1
      | op(e2,e2) = e1
      | op(e2,e3) = e1
      | op(e2,e4) = e1 )
    & ( op(e0,e2) = e1
      | op(e1,e2) = e1
      | op(e2,e2) = e1
      | op(e3,e2) = e1
      | op(e4,e2) = e1 )
    & ( op(e2,e0) = e2
      | op(e2,e1) = e2
      | op(e2,e2) = e2
      | op(e2,e3) = e2
      | op(e2,e4) = e2 )
    & ( op(e0,e2) = e2
      | op(e1,e2) = e2
      | op(e2,e2) = e2
      | op(e3,e2) = e2
      | op(e4,e2) = e2 )
    & ( op(e2,e0) = e3
      | op(e2,e1) = e3
      | op(e2,e2) = e3
      | op(e2,e3) = e3
      | op(e2,e4) = e3 )
    & ( op(e0,e2) = e3
      | op(e1,e2) = e3
      | op(e2,e2) = e3
      | op(e3,e2) = e3
      | op(e4,e2) = e3 )
    & ( op(e2,e0) = e4
      | op(e2,e1) = e4
      | op(e2,e2) = e4
      | op(e2,e3) = e4
      | op(e2,e4) = e4 )
    & ( op(e0,e2) = e4
      | op(e1,e2) = e4
      | op(e2,e2) = e4
      | op(e3,e2) = e4
      | op(e4,e2) = e4 )
    & ( op(e3,e0) = e0
      | op(e3,e1) = e0
      | op(e3,e2) = e0
      | op(e3,e3) = e0
      | op(e3,e4) = e0 )
    & ( op(e0,e3) = e0
      | op(e1,e3) = e0
      | op(e2,e3) = e0
      | op(e3,e3) = e0
      | op(e4,e3) = e0 )
    & ( op(e3,e0) = e1
      | op(e3,e1) = e1
      | op(e3,e2) = e1
      | op(e3,e3) = e1
      | op(e3,e4) = e1 )
    & ( op(e0,e3) = e1
      | op(e1,e3) = e1
      | op(e2,e3) = e1
      | op(e3,e3) = e1
      | op(e4,e3) = e1 )
    & ( op(e3,e0) = e2
      | op(e3,e1) = e2
      | op(e3,e2) = e2
      | op(e3,e3) = e2
      | op(e3,e4) = e2 )
    & ( op(e0,e3) = e2
      | op(e1,e3) = e2
      | op(e2,e3) = e2
      | op(e3,e3) = e2
      | op(e4,e3) = e2 )
    & ( op(e3,e0) = e3
      | op(e3,e1) = e3
      | op(e3,e2) = e3
      | op(e3,e3) = e3
      | op(e3,e4) = e3 )
    & ( op(e0,e3) = e3
      | op(e1,e3) = e3
      | op(e2,e3) = e3
      | op(e3,e3) = e3
      | op(e4,e3) = e3 )
    & ( op(e3,e0) = e4
      | op(e3,e1) = e4
      | op(e3,e2) = e4
      | op(e3,e3) = e4
      | op(e3,e4) = e4 )
    & ( op(e0,e3) = e4
      | op(e1,e3) = e4
      | op(e2,e3) = e4
      | op(e3,e3) = e4
      | op(e4,e3) = e4 )
    & ( op(e4,e0) = e0
      | op(e4,e1) = e0
      | op(e4,e2) = e0
      | op(e4,e3) = e0
      | op(e4,e4) = e0 )
    & ( op(e0,e4) = e0
      | op(e1,e4) = e0
      | op(e2,e4) = e0
      | op(e3,e4) = e0
      | op(e4,e4) = e0 )
    & ( op(e4,e0) = e1
      | op(e4,e1) = e1
      | op(e4,e2) = e1
      | op(e4,e3) = e1
      | op(e4,e4) = e1 )
    & ( op(e0,e4) = e1
      | op(e1,e4) = e1
      | op(e2,e4) = e1
      | op(e3,e4) = e1
      | op(e4,e4) = e1 )
    & ( op(e4,e0) = e2
      | op(e4,e1) = e2
      | op(e4,e2) = e2
      | op(e4,e3) = e2
      | op(e4,e4) = e2 )
    & ( op(e0,e4) = e2
      | op(e1,e4) = e2
      | op(e2,e4) = e2
      | op(e3,e4) = e2
      | op(e4,e4) = e2 )
    & ( op(e4,e0) = e3
      | op(e4,e1) = e3
      | op(e4,e2) = e3
      | op(e4,e3) = e3
      | op(e4,e4) = e3 )
    & ( op(e0,e4) = e3
      | op(e1,e4) = e3
      | op(e2,e4) = e3
      | op(e3,e4) = e3
      | op(e4,e4) = e3 )
    & ( op(e4,e0) = e4
      | op(e4,e1) = e4
      | op(e4,e2) = e4
      | op(e4,e3) = e4
      | op(e4,e4) = e4 )
    & ( op(e0,e4) = e4
      | op(e1,e4) = e4
      | op(e2,e4) = e4
      | op(e3,e4) = e4
      | op(e4,e4) = e4 ) )).

%--------------------------------------------------------------------------
