%--------------------------------------------------------------------------
% File     : ALG208+1 : ILTP v1.1.2
% Domain   : General Algebra
% Problem  : Quasigroups 7 QG5: REPRESENTATIVES-SATISFY-PROPS-PROBLEM-2
% Version  : Especial.
% English  : 

% Refs     : [Mei03] Meier (2003), Email to G.Sutcliffe
%          : [CM+04] Colton et al. (2004), Automatic Generation of Classifi
% Source   : [Mei03]
% Names    : 

% Status   : Theorem
% Rating   : 0.78 v3.1.0, 0.75 v2.7.0
%
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
%
% Syntax   : Number of formulae    :    3 (   0 unit)
%            Number of atoms       : 1155 (1155 equality)
%            Maximal formula depth :  203 (  91 average)
%            Number of connectives : 1173 (  21 ~  ; 882  |; 270  &)
%                                         (   0 <=>;   0 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    8 (   7 constant; 0-2 arity)
%            Number of variables   :    0 (   0 singleton;   0 !;   0 ?)
%            Maximal term depth    :    4 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
fof(ax1,axiom,
    ( e0 != e1
    & e0 != e2
    & e0 != e3
    & e0 != e4
    & e0 != e5
    & e0 != e6
    & e1 != e2
    & e1 != e3
    & e1 != e4
    & e1 != e5
    & e1 != e6
    & e2 != e3
    & e2 != e4
    & e2 != e5
    & e2 != e6
    & e3 != e4
    & e3 != e5
    & e3 != e6
    & e4 != e5
    & e4 != e6
    & e5 != e6 )).

fof(ax2,axiom,
    ( op(e0,e0) = e0
    & op(e0,e1) = e3
    & op(e0,e2) = e1
    & op(e0,e3) = e2
    & op(e0,e4) = e6
    & op(e0,e5) = e4
    & op(e0,e6) = e5
    & op(e1,e0) = e3
    & op(e1,e1) = e1
    & op(e1,e2) = e6
    & op(e1,e3) = e5
    & op(e1,e4) = e2
    & op(e1,e5) = e0
    & op(e1,e6) = e4
    & op(e2,e0) = e1
    & op(e2,e1) = e6
    & op(e2,e2) = e2
    & op(e2,e3) = e4
    & op(e2,e4) = e5
    & op(e2,e5) = e3
    & op(e2,e6) = e0
    & op(e3,e0) = e2
    & op(e3,e1) = e5
    & op(e3,e2) = e4
    & op(e3,e3) = e3
    & op(e3,e4) = e0
    & op(e3,e5) = e6
    & op(e3,e6) = e1
    & op(e4,e0) = e6
    & op(e4,e1) = e2
    & op(e4,e2) = e5
    & op(e4,e3) = e0
    & op(e4,e4) = e4
    & op(e4,e5) = e1
    & op(e4,e6) = e3
    & op(e5,e0) = e4
    & op(e5,e1) = e0
    & op(e5,e2) = e3
    & op(e5,e3) = e6
    & op(e5,e4) = e1
    & op(e5,e5) = e5
    & op(e5,e6) = e2
    & op(e6,e0) = e5
    & op(e6,e1) = e4
    & op(e6,e2) = e0
    & op(e6,e3) = e1
    & op(e6,e4) = e3
    & op(e6,e5) = e2
    & op(e6,e6) = e6 )).

fof(co1,conjecture,
    ( op(e0,e0) = e0
    & op(e1,e1) = e1
    & op(e2,e2) = e2
    & op(e3,e3) = e3
    & op(e4,e4) = e4
    & op(e5,e5) = e5
    & op(e6,e6) = e6
    & ( op(e0,e0) = e0
      | op(e0,e0) = e1
      | op(e0,e0) = e2
      | op(e0,e0) = e3
      | op(e0,e0) = e4
      | op(e0,e0) = e5
      | op(e0,e0) = e6 )
    & ( op(e0,e1) = e0
      | op(e0,e1) = e1
      | op(e0,e1) = e2
      | op(e0,e1) = e3
      | op(e0,e1) = e4
      | op(e0,e1) = e5
      | op(e0,e1) = e6 )
    & ( op(e0,e2) = e0
      | op(e0,e2) = e1
      | op(e0,e2) = e2
      | op(e0,e2) = e3
      | op(e0,e2) = e4
      | op(e0,e2) = e5
      | op(e0,e2) = e6 )
    & ( op(e0,e3) = e0
      | op(e0,e3) = e1
      | op(e0,e3) = e2
      | op(e0,e3) = e3
      | op(e0,e3) = e4
      | op(e0,e3) = e5
      | op(e0,e3) = e6 )
    & ( op(e0,e4) = e0
      | op(e0,e4) = e1
      | op(e0,e4) = e2
      | op(e0,e4) = e3
      | op(e0,e4) = e4
      | op(e0,e4) = e5
      | op(e0,e4) = e6 )
    & ( op(e0,e5) = e0
      | op(e0,e5) = e1
      | op(e0,e5) = e2
      | op(e0,e5) = e3
      | op(e0,e5) = e4
      | op(e0,e5) = e5
      | op(e0,e5) = e6 )
    & ( op(e0,e6) = e0
      | op(e0,e6) = e1
      | op(e0,e6) = e2
      | op(e0,e6) = e3
      | op(e0,e6) = e4
      | op(e0,e6) = e5
      | op(e0,e6) = e6 )
    & ( op(e1,e0) = e0
      | op(e1,e0) = e1
      | op(e1,e0) = e2
      | op(e1,e0) = e3
      | op(e1,e0) = e4
      | op(e1,e0) = e5
      | op(e1,e0) = e6 )
    & ( op(e1,e1) = e0
      | op(e1,e1) = e1
      | op(e1,e1) = e2
      | op(e1,e1) = e3
      | op(e1,e1) = e4
      | op(e1,e1) = e5
      | op(e1,e1) = e6 )
    & ( op(e1,e2) = e0
      | op(e1,e2) = e1
      | op(e1,e2) = e2
      | op(e1,e2) = e3
      | op(e1,e2) = e4
      | op(e1,e2) = e5
      | op(e1,e2) = e6 )
    & ( op(e1,e3) = e0
      | op(e1,e3) = e1
      | op(e1,e3) = e2
      | op(e1,e3) = e3
      | op(e1,e3) = e4
      | op(e1,e3) = e5
      | op(e1,e3) = e6 )
    & ( op(e1,e4) = e0
      | op(e1,e4) = e1
      | op(e1,e4) = e2
      | op(e1,e4) = e3
      | op(e1,e4) = e4
      | op(e1,e4) = e5
      | op(e1,e4) = e6 )
    & ( op(e1,e5) = e0
      | op(e1,e5) = e1
      | op(e1,e5) = e2
      | op(e1,e5) = e3
      | op(e1,e5) = e4
      | op(e1,e5) = e5
      | op(e1,e5) = e6 )
    & ( op(e1,e6) = e0
      | op(e1,e6) = e1
      | op(e1,e6) = e2
      | op(e1,e6) = e3
      | op(e1,e6) = e4
      | op(e1,e6) = e5
      | op(e1,e6) = e6 )
    & ( op(e2,e0) = e0
      | op(e2,e0) = e1
      | op(e2,e0) = e2
      | op(e2,e0) = e3
      | op(e2,e0) = e4
      | op(e2,e0) = e5
      | op(e2,e0) = e6 )
    & ( op(e2,e1) = e0
      | op(e2,e1) = e1
      | op(e2,e1) = e2
      | op(e2,e1) = e3
      | op(e2,e1) = e4
      | op(e2,e1) = e5
      | op(e2,e1) = e6 )
    & ( op(e2,e2) = e0
      | op(e2,e2) = e1
      | op(e2,e2) = e2
      | op(e2,e2) = e3
      | op(e2,e2) = e4
      | op(e2,e2) = e5
      | op(e2,e2) = e6 )
    & ( op(e2,e3) = e0
      | op(e2,e3) = e1
      | op(e2,e3) = e2
      | op(e2,e3) = e3
      | op(e2,e3) = e4
      | op(e2,e3) = e5
      | op(e2,e3) = e6 )
    & ( op(e2,e4) = e0
      | op(e2,e4) = e1
      | op(e2,e4) = e2
      | op(e2,e4) = e3
      | op(e2,e4) = e4
      | op(e2,e4) = e5
      | op(e2,e4) = e6 )
    & ( op(e2,e5) = e0
      | op(e2,e5) = e1
      | op(e2,e5) = e2
      | op(e2,e5) = e3
      | op(e2,e5) = e4
      | op(e2,e5) = e5
      | op(e2,e5) = e6 )
    & ( op(e2,e6) = e0
      | op(e2,e6) = e1
      | op(e2,e6) = e2
      | op(e2,e6) = e3
      | op(e2,e6) = e4
      | op(e2,e6) = e5
      | op(e2,e6) = e6 )
    & ( op(e3,e0) = e0
      | op(e3,e0) = e1
      | op(e3,e0) = e2
      | op(e3,e0) = e3
      | op(e3,e0) = e4
      | op(e3,e0) = e5
      | op(e3,e0) = e6 )
    & ( op(e3,e1) = e0
      | op(e3,e1) = e1
      | op(e3,e1) = e2
      | op(e3,e1) = e3
      | op(e3,e1) = e4
      | op(e3,e1) = e5
      | op(e3,e1) = e6 )
    & ( op(e3,e2) = e0
      | op(e3,e2) = e1
      | op(e3,e2) = e2
      | op(e3,e2) = e3
      | op(e3,e2) = e4
      | op(e3,e2) = e5
      | op(e3,e2) = e6 )
    & ( op(e3,e3) = e0
      | op(e3,e3) = e1
      | op(e3,e3) = e2
      | op(e3,e3) = e3
      | op(e3,e3) = e4
      | op(e3,e3) = e5
      | op(e3,e3) = e6 )
    & ( op(e3,e4) = e0
      | op(e3,e4) = e1
      | op(e3,e4) = e2
      | op(e3,e4) = e3
      | op(e3,e4) = e4
      | op(e3,e4) = e5
      | op(e3,e4) = e6 )
    & ( op(e3,e5) = e0
      | op(e3,e5) = e1
      | op(e3,e5) = e2
      | op(e3,e5) = e3
      | op(e3,e5) = e4
      | op(e3,e5) = e5
      | op(e3,e5) = e6 )
    & ( op(e3,e6) = e0
      | op(e3,e6) = e1
      | op(e3,e6) = e2
      | op(e3,e6) = e3
      | op(e3,e6) = e4
      | op(e3,e6) = e5
      | op(e3,e6) = e6 )
    & ( op(e4,e0) = e0
      | op(e4,e0) = e1
      | op(e4,e0) = e2
      | op(e4,e0) = e3
      | op(e4,e0) = e4
      | op(e4,e0) = e5
      | op(e4,e0) = e6 )
    & ( op(e4,e1) = e0
      | op(e4,e1) = e1
      | op(e4,e1) = e2
      | op(e4,e1) = e3
      | op(e4,e1) = e4
      | op(e4,e1) = e5
      | op(e4,e1) = e6 )
    & ( op(e4,e2) = e0
      | op(e4,e2) = e1
      | op(e4,e2) = e2
      | op(e4,e2) = e3
      | op(e4,e2) = e4
      | op(e4,e2) = e5
      | op(e4,e2) = e6 )
    & ( op(e4,e3) = e0
      | op(e4,e3) = e1
      | op(e4,e3) = e2
      | op(e4,e3) = e3
      | op(e4,e3) = e4
      | op(e4,e3) = e5
      | op(e4,e3) = e6 )
    & ( op(e4,e4) = e0
      | op(e4,e4) = e1
      | op(e4,e4) = e2
      | op(e4,e4) = e3
      | op(e4,e4) = e4
      | op(e4,e4) = e5
      | op(e4,e4) = e6 )
    & ( op(e4,e5) = e0
      | op(e4,e5) = e1
      | op(e4,e5) = e2
      | op(e4,e5) = e3
      | op(e4,e5) = e4
      | op(e4,e5) = e5
      | op(e4,e5) = e6 )
    & ( op(e4,e6) = e0
      | op(e4,e6) = e1
      | op(e4,e6) = e2
      | op(e4,e6) = e3
      | op(e4,e6) = e4
      | op(e4,e6) = e5
      | op(e4,e6) = e6 )
    & ( op(e5,e0) = e0
      | op(e5,e0) = e1
      | op(e5,e0) = e2
      | op(e5,e0) = e3
      | op(e5,e0) = e4
      | op(e5,e0) = e5
      | op(e5,e0) = e6 )
    & ( op(e5,e1) = e0
      | op(e5,e1) = e1
      | op(e5,e1) = e2
      | op(e5,e1) = e3
      | op(e5,e1) = e4
      | op(e5,e1) = e5
      | op(e5,e1) = e6 )
    & ( op(e5,e2) = e0
      | op(e5,e2) = e1
      | op(e5,e2) = e2
      | op(e5,e2) = e3
      | op(e5,e2) = e4
      | op(e5,e2) = e5
      | op(e5,e2) = e6 )
    & ( op(e5,e3) = e0
      | op(e5,e3) = e1
      | op(e5,e3) = e2
      | op(e5,e3) = e3
      | op(e5,e3) = e4
      | op(e5,e3) = e5
      | op(e5,e3) = e6 )
    & ( op(e5,e4) = e0
      | op(e5,e4) = e1
      | op(e5,e4) = e2
      | op(e5,e4) = e3
      | op(e5,e4) = e4
      | op(e5,e4) = e5
      | op(e5,e4) = e6 )
    & ( op(e5,e5) = e0
      | op(e5,e5) = e1
      | op(e5,e5) = e2
      | op(e5,e5) = e3
      | op(e5,e5) = e4
      | op(e5,e5) = e5
      | op(e5,e5) = e6 )
    & ( op(e5,e6) = e0
      | op(e5,e6) = e1
      | op(e5,e6) = e2
      | op(e5,e6) = e3
      | op(e5,e6) = e4
      | op(e5,e6) = e5
      | op(e5,e6) = e6 )
    & ( op(e6,e0) = e0
      | op(e6,e0) = e1
      | op(e6,e0) = e2
      | op(e6,e0) = e3
      | op(e6,e0) = e4
      | op(e6,e0) = e5
      | op(e6,e0) = e6 )
    & ( op(e6,e1) = e0
      | op(e6,e1) = e1
      | op(e6,e1) = e2
      | op(e6,e1) = e3
      | op(e6,e1) = e4
      | op(e6,e1) = e5
      | op(e6,e1) = e6 )
    & ( op(e6,e2) = e0
      | op(e6,e2) = e1
      | op(e6,e2) = e2
      | op(e6,e2) = e3
      | op(e6,e2) = e4
      | op(e6,e2) = e5
      | op(e6,e2) = e6 )
    & ( op(e6,e3) = e0
      | op(e6,e3) = e1
      | op(e6,e3) = e2
      | op(e6,e3) = e3
      | op(e6,e3) = e4
      | op(e6,e3) = e5
      | op(e6,e3) = e6 )
    & ( op(e6,e4) = e0
      | op(e6,e4) = e1
      | op(e6,e4) = e2
      | op(e6,e4) = e3
      | op(e6,e4) = e4
      | op(e6,e4) = e5
      | op(e6,e4) = e6 )
    & ( op(e6,e5) = e0
      | op(e6,e5) = e1
      | op(e6,e5) = e2
      | op(e6,e5) = e3
      | op(e6,e5) = e4
      | op(e6,e5) = e5
      | op(e6,e5) = e6 )
    & ( op(e6,e6) = e0
      | op(e6,e6) = e1
      | op(e6,e6) = e2
      | op(e6,e6) = e3
      | op(e6,e6) = e4
      | op(e6,e6) = e5
      | op(e6,e6) = e6 )
    & ( op(e0,e0) = e0
      | op(e0,e1) = e0
      | op(e0,e2) = e0
      | op(e0,e3) = e0
      | op(e0,e4) = e0
      | op(e0,e5) = e0
      | op(e0,e6) = e0 )
    & ( op(e0,e0) = e0
      | op(e1,e0) = e0
      | op(e2,e0) = e0
      | op(e3,e0) = e0
      | op(e4,e0) = e0
      | op(e5,e0) = e0
      | op(e6,e0) = e0 )
    & ( op(e0,e0) = e1
      | op(e0,e1) = e1
      | op(e0,e2) = e1
      | op(e0,e3) = e1
      | op(e0,e4) = e1
      | op(e0,e5) = e1
      | op(e0,e6) = e1 )
    & ( op(e0,e0) = e1
      | op(e1,e0) = e1
      | op(e2,e0) = e1
      | op(e3,e0) = e1
      | op(e4,e0) = e1
      | op(e5,e0) = e1
      | op(e6,e0) = e1 )
    & ( op(e0,e0) = e2
      | op(e0,e1) = e2
      | op(e0,e2) = e2
      | op(e0,e3) = e2
      | op(e0,e4) = e2
      | op(e0,e5) = e2
      | op(e0,e6) = e2 )
    & ( op(e0,e0) = e2
      | op(e1,e0) = e2
      | op(e2,e0) = e2
      | op(e3,e0) = e2
      | op(e4,e0) = e2
      | op(e5,e0) = e2
      | op(e6,e0) = e2 )
    & ( op(e0,e0) = e3
      | op(e0,e1) = e3
      | op(e0,e2) = e3
      | op(e0,e3) = e3
      | op(e0,e4) = e3
      | op(e0,e5) = e3
      | op(e0,e6) = e3 )
    & ( op(e0,e0) = e3
      | op(e1,e0) = e3
      | op(e2,e0) = e3
      | op(e3,e0) = e3
      | op(e4,e0) = e3
      | op(e5,e0) = e3
      | op(e6,e0) = e3 )
    & ( op(e0,e0) = e4
      | op(e0,e1) = e4
      | op(e0,e2) = e4
      | op(e0,e3) = e4
      | op(e0,e4) = e4
      | op(e0,e5) = e4
      | op(e0,e6) = e4 )
    & ( op(e0,e0) = e4
      | op(e1,e0) = e4
      | op(e2,e0) = e4
      | op(e3,e0) = e4
      | op(e4,e0) = e4
      | op(e5,e0) = e4
      | op(e6,e0) = e4 )
    & ( op(e0,e0) = e5
      | op(e0,e1) = e5
      | op(e0,e2) = e5
      | op(e0,e3) = e5
      | op(e0,e4) = e5
      | op(e0,e5) = e5
      | op(e0,e6) = e5 )
    & ( op(e0,e0) = e5
      | op(e1,e0) = e5
      | op(e2,e0) = e5
      | op(e3,e0) = e5
      | op(e4,e0) = e5
      | op(e5,e0) = e5
      | op(e6,e0) = e5 )
    & ( op(e0,e0) = e6
      | op(e0,e1) = e6
      | op(e0,e2) = e6
      | op(e0,e3) = e6
      | op(e0,e4) = e6
      | op(e0,e5) = e6
      | op(e0,e6) = e6 )
    & ( op(e0,e0) = e6
      | op(e1,e0) = e6
      | op(e2,e0) = e6
      | op(e3,e0) = e6
      | op(e4,e0) = e6
      | op(e5,e0) = e6
      | op(e6,e0) = e6 )
    & ( op(e1,e0) = e0
      | op(e1,e1) = e0
      | op(e1,e2) = e0
      | op(e1,e3) = e0
      | op(e1,e4) = e0
      | op(e1,e5) = e0
      | op(e1,e6) = e0 )
    & ( op(e0,e1) = e0
      | op(e1,e1) = e0
      | op(e2,e1) = e0
      | op(e3,e1) = e0
      | op(e4,e1) = e0
      | op(e5,e1) = e0
      | op(e6,e1) = e0 )
    & ( op(e1,e0) = e1
      | op(e1,e1) = e1
      | op(e1,e2) = e1
      | op(e1,e3) = e1
      | op(e1,e4) = e1
      | op(e1,e5) = e1
      | op(e1,e6) = e1 )
    & ( op(e0,e1) = e1
      | op(e1,e1) = e1
      | op(e2,e1) = e1
      | op(e3,e1) = e1
      | op(e4,e1) = e1
      | op(e5,e1) = e1
      | op(e6,e1) = e1 )
    & ( op(e1,e0) = e2
      | op(e1,e1) = e2
      | op(e1,e2) = e2
      | op(e1,e3) = e2
      | op(e1,e4) = e2
      | op(e1,e5) = e2
      | op(e1,e6) = e2 )
    & ( op(e0,e1) = e2
      | op(e1,e1) = e2
      | op(e2,e1) = e2
      | op(e3,e1) = e2
      | op(e4,e1) = e2
      | op(e5,e1) = e2
      | op(e6,e1) = e2 )
    & ( op(e1,e0) = e3
      | op(e1,e1) = e3
      | op(e1,e2) = e3
      | op(e1,e3) = e3
      | op(e1,e4) = e3
      | op(e1,e5) = e3
      | op(e1,e6) = e3 )
    & ( op(e0,e1) = e3
      | op(e1,e1) = e3
      | op(e2,e1) = e3
      | op(e3,e1) = e3
      | op(e4,e1) = e3
      | op(e5,e1) = e3
      | op(e6,e1) = e3 )
    & ( op(e1,e0) = e4
      | op(e1,e1) = e4
      | op(e1,e2) = e4
      | op(e1,e3) = e4
      | op(e1,e4) = e4
      | op(e1,e5) = e4
      | op(e1,e6) = e4 )
    & ( op(e0,e1) = e4
      | op(e1,e1) = e4
      | op(e2,e1) = e4
      | op(e3,e1) = e4
      | op(e4,e1) = e4
      | op(e5,e1) = e4
      | op(e6,e1) = e4 )
    & ( op(e1,e0) = e5
      | op(e1,e1) = e5
      | op(e1,e2) = e5
      | op(e1,e3) = e5
      | op(e1,e4) = e5
      | op(e1,e5) = e5
      | op(e1,e6) = e5 )
    & ( op(e0,e1) = e5
      | op(e1,e1) = e5
      | op(e2,e1) = e5
      | op(e3,e1) = e5
      | op(e4,e1) = e5
      | op(e5,e1) = e5
      | op(e6,e1) = e5 )
    & ( op(e1,e0) = e6
      | op(e1,e1) = e6
      | op(e1,e2) = e6
      | op(e1,e3) = e6
      | op(e1,e4) = e6
      | op(e1,e5) = e6
      | op(e1,e6) = e6 )
    & ( op(e0,e1) = e6
      | op(e1,e1) = e6
      | op(e2,e1) = e6
      | op(e3,e1) = e6
      | op(e4,e1) = e6
      | op(e5,e1) = e6
      | op(e6,e1) = e6 )
    & ( op(e2,e0) = e0
      | op(e2,e1) = e0
      | op(e2,e2) = e0
      | op(e2,e3) = e0
      | op(e2,e4) = e0
      | op(e2,e5) = e0
      | op(e2,e6) = e0 )
    & ( op(e0,e2) = e0
      | op(e1,e2) = e0
      | op(e2,e2) = e0
      | op(e3,e2) = e0
      | op(e4,e2) = e0
      | op(e5,e2) = e0
      | op(e6,e2) = e0 )
    & ( op(e2,e0) = e1
      | op(e2,e1) = e1
      | op(e2,e2) = e1
      | op(e2,e3) = e1
      | op(e2,e4) = e1
      | op(e2,e5) = e1
      | op(e2,e6) = e1 )
    & ( op(e0,e2) = e1
      | op(e1,e2) = e1
      | op(e2,e2) = e1
      | op(e3,e2) = e1
      | op(e4,e2) = e1
      | op(e5,e2) = e1
      | op(e6,e2) = e1 )
    & ( op(e2,e0) = e2
      | op(e2,e1) = e2
      | op(e2,e2) = e2
      | op(e2,e3) = e2
      | op(e2,e4) = e2
      | op(e2,e5) = e2
      | op(e2,e6) = e2 )
    & ( op(e0,e2) = e2
      | op(e1,e2) = e2
      | op(e2,e2) = e2
      | op(e3,e2) = e2
      | op(e4,e2) = e2
      | op(e5,e2) = e2
      | op(e6,e2) = e2 )
    & ( op(e2,e0) = e3
      | op(e2,e1) = e3
      | op(e2,e2) = e3
      | op(e2,e3) = e3
      | op(e2,e4) = e3
      | op(e2,e5) = e3
      | op(e2,e6) = e3 )
    & ( op(e0,e2) = e3
      | op(e1,e2) = e3
      | op(e2,e2) = e3
      | op(e3,e2) = e3
      | op(e4,e2) = e3
      | op(e5,e2) = e3
      | op(e6,e2) = e3 )
    & ( op(e2,e0) = e4
      | op(e2,e1) = e4
      | op(e2,e2) = e4
      | op(e2,e3) = e4
      | op(e2,e4) = e4
      | op(e2,e5) = e4
      | op(e2,e6) = e4 )
    & ( op(e0,e2) = e4
      | op(e1,e2) = e4
      | op(e2,e2) = e4
      | op(e3,e2) = e4
      | op(e4,e2) = e4
      | op(e5,e2) = e4
      | op(e6,e2) = e4 )
    & ( op(e2,e0) = e5
      | op(e2,e1) = e5
      | op(e2,e2) = e5
      | op(e2,e3) = e5
      | op(e2,e4) = e5
      | op(e2,e5) = e5
      | op(e2,e6) = e5 )
    & ( op(e0,e2) = e5
      | op(e1,e2) = e5
      | op(e2,e2) = e5
      | op(e3,e2) = e5
      | op(e4,e2) = e5
      | op(e5,e2) = e5
      | op(e6,e2) = e5 )
    & ( op(e2,e0) = e6
      | op(e2,e1) = e6
      | op(e2,e2) = e6
      | op(e2,e3) = e6
      | op(e2,e4) = e6
      | op(e2,e5) = e6
      | op(e2,e6) = e6 )
    & ( op(e0,e2) = e6
      | op(e1,e2) = e6
      | op(e2,e2) = e6
      | op(e3,e2) = e6
      | op(e4,e2) = e6
      | op(e5,e2) = e6
      | op(e6,e2) = e6 )
    & ( op(e3,e0) = e0
      | op(e3,e1) = e0
      | op(e3,e2) = e0
      | op(e3,e3) = e0
      | op(e3,e4) = e0
      | op(e3,e5) = e0
      | op(e3,e6) = e0 )
    & ( op(e0,e3) = e0
      | op(e1,e3) = e0
      | op(e2,e3) = e0
      | op(e3,e3) = e0
      | op(e4,e3) = e0
      | op(e5,e3) = e0
      | op(e6,e3) = e0 )
    & ( op(e3,e0) = e1
      | op(e3,e1) = e1
      | op(e3,e2) = e1
      | op(e3,e3) = e1
      | op(e3,e4) = e1
      | op(e3,e5) = e1
      | op(e3,e6) = e1 )
    & ( op(e0,e3) = e1
      | op(e1,e3) = e1
      | op(e2,e3) = e1
      | op(e3,e3) = e1
      | op(e4,e3) = e1
      | op(e5,e3) = e1
      | op(e6,e3) = e1 )
    & ( op(e3,e0) = e2
      | op(e3,e1) = e2
      | op(e3,e2) = e2
      | op(e3,e3) = e2
      | op(e3,e4) = e2
      | op(e3,e5) = e2
      | op(e3,e6) = e2 )
    & ( op(e0,e3) = e2
      | op(e1,e3) = e2
      | op(e2,e3) = e2
      | op(e3,e3) = e2
      | op(e4,e3) = e2
      | op(e5,e3) = e2
      | op(e6,e3) = e2 )
    & ( op(e3,e0) = e3
      | op(e3,e1) = e3
      | op(e3,e2) = e3
      | op(e3,e3) = e3
      | op(e3,e4) = e3
      | op(e3,e5) = e3
      | op(e3,e6) = e3 )
    & ( op(e0,e3) = e3
      | op(e1,e3) = e3
      | op(e2,e3) = e3
      | op(e3,e3) = e3
      | op(e4,e3) = e3
      | op(e5,e3) = e3
      | op(e6,e3) = e3 )
    & ( op(e3,e0) = e4
      | op(e3,e1) = e4
      | op(e3,e2) = e4
      | op(e3,e3) = e4
      | op(e3,e4) = e4
      | op(e3,e5) = e4
      | op(e3,e6) = e4 )
    & ( op(e0,e3) = e4
      | op(e1,e3) = e4
      | op(e2,e3) = e4
      | op(e3,e3) = e4
      | op(e4,e3) = e4
      | op(e5,e3) = e4
      | op(e6,e3) = e4 )
    & ( op(e3,e0) = e5
      | op(e3,e1) = e5
      | op(e3,e2) = e5
      | op(e3,e3) = e5
      | op(e3,e4) = e5
      | op(e3,e5) = e5
      | op(e3,e6) = e5 )
    & ( op(e0,e3) = e5
      | op(e1,e3) = e5
      | op(e2,e3) = e5
      | op(e3,e3) = e5
      | op(e4,e3) = e5
      | op(e5,e3) = e5
      | op(e6,e3) = e5 )
    & ( op(e3,e0) = e6
      | op(e3,e1) = e6
      | op(e3,e2) = e6
      | op(e3,e3) = e6
      | op(e3,e4) = e6
      | op(e3,e5) = e6
      | op(e3,e6) = e6 )
    & ( op(e0,e3) = e6
      | op(e1,e3) = e6
      | op(e2,e3) = e6
      | op(e3,e3) = e6
      | op(e4,e3) = e6
      | op(e5,e3) = e6
      | op(e6,e3) = e6 )
    & ( op(e4,e0) = e0
      | op(e4,e1) = e0
      | op(e4,e2) = e0
      | op(e4,e3) = e0
      | op(e4,e4) = e0
      | op(e4,e5) = e0
      | op(e4,e6) = e0 )
    & ( op(e0,e4) = e0
      | op(e1,e4) = e0
      | op(e2,e4) = e0
      | op(e3,e4) = e0
      | op(e4,e4) = e0
      | op(e5,e4) = e0
      | op(e6,e4) = e0 )
    & ( op(e4,e0) = e1
      | op(e4,e1) = e1
      | op(e4,e2) = e1
      | op(e4,e3) = e1
      | op(e4,e4) = e1
      | op(e4,e5) = e1
      | op(e4,e6) = e1 )
    & ( op(e0,e4) = e1
      | op(e1,e4) = e1
      | op(e2,e4) = e1
      | op(e3,e4) = e1
      | op(e4,e4) = e1
      | op(e5,e4) = e1
      | op(e6,e4) = e1 )
    & ( op(e4,e0) = e2
      | op(e4,e1) = e2
      | op(e4,e2) = e2
      | op(e4,e3) = e2
      | op(e4,e4) = e2
      | op(e4,e5) = e2
      | op(e4,e6) = e2 )
    & ( op(e0,e4) = e2
      | op(e1,e4) = e2
      | op(e2,e4) = e2
      | op(e3,e4) = e2
      | op(e4,e4) = e2
      | op(e5,e4) = e2
      | op(e6,e4) = e2 )
    & ( op(e4,e0) = e3
      | op(e4,e1) = e3
      | op(e4,e2) = e3
      | op(e4,e3) = e3
      | op(e4,e4) = e3
      | op(e4,e5) = e3
      | op(e4,e6) = e3 )
    & ( op(e0,e4) = e3
      | op(e1,e4) = e3
      | op(e2,e4) = e3
      | op(e3,e4) = e3
      | op(e4,e4) = e3
      | op(e5,e4) = e3
      | op(e6,e4) = e3 )
    & ( op(e4,e0) = e4
      | op(e4,e1) = e4
      | op(e4,e2) = e4
      | op(e4,e3) = e4
      | op(e4,e4) = e4
      | op(e4,e5) = e4
      | op(e4,e6) = e4 )
    & ( op(e0,e4) = e4
      | op(e1,e4) = e4
      | op(e2,e4) = e4
      | op(e3,e4) = e4
      | op(e4,e4) = e4
      | op(e5,e4) = e4
      | op(e6,e4) = e4 )
    & ( op(e4,e0) = e5
      | op(e4,e1) = e5
      | op(e4,e2) = e5
      | op(e4,e3) = e5
      | op(e4,e4) = e5
      | op(e4,e5) = e5
      | op(e4,e6) = e5 )
    & ( op(e0,e4) = e5
      | op(e1,e4) = e5
      | op(e2,e4) = e5
      | op(e3,e4) = e5
      | op(e4,e4) = e5
      | op(e5,e4) = e5
      | op(e6,e4) = e5 )
    & ( op(e4,e0) = e6
      | op(e4,e1) = e6
      | op(e4,e2) = e6
      | op(e4,e3) = e6
      | op(e4,e4) = e6
      | op(e4,e5) = e6
      | op(e4,e6) = e6 )
    & ( op(e0,e4) = e6
      | op(e1,e4) = e6
      | op(e2,e4) = e6
      | op(e3,e4) = e6
      | op(e4,e4) = e6
      | op(e5,e4) = e6
      | op(e6,e4) = e6 )
    & ( op(e5,e0) = e0
      | op(e5,e1) = e0
      | op(e5,e2) = e0
      | op(e5,e3) = e0
      | op(e5,e4) = e0
      | op(e5,e5) = e0
      | op(e5,e6) = e0 )
    & ( op(e0,e5) = e0
      | op(e1,e5) = e0
      | op(e2,e5) = e0
      | op(e3,e5) = e0
      | op(e4,e5) = e0
      | op(e5,e5) = e0
      | op(e6,e5) = e0 )
    & ( op(e5,e0) = e1
      | op(e5,e1) = e1
      | op(e5,e2) = e1
      | op(e5,e3) = e1
      | op(e5,e4) = e1
      | op(e5,e5) = e1
      | op(e5,e6) = e1 )
    & ( op(e0,e5) = e1
      | op(e1,e5) = e1
      | op(e2,e5) = e1
      | op(e3,e5) = e1
      | op(e4,e5) = e1
      | op(e5,e5) = e1
      | op(e6,e5) = e1 )
    & ( op(e5,e0) = e2
      | op(e5,e1) = e2
      | op(e5,e2) = e2
      | op(e5,e3) = e2
      | op(e5,e4) = e2
      | op(e5,e5) = e2
      | op(e5,e6) = e2 )
    & ( op(e0,e5) = e2
      | op(e1,e5) = e2
      | op(e2,e5) = e2
      | op(e3,e5) = e2
      | op(e4,e5) = e2
      | op(e5,e5) = e2
      | op(e6,e5) = e2 )
    & ( op(e5,e0) = e3
      | op(e5,e1) = e3
      | op(e5,e2) = e3
      | op(e5,e3) = e3
      | op(e5,e4) = e3
      | op(e5,e5) = e3
      | op(e5,e6) = e3 )
    & ( op(e0,e5) = e3
      | op(e1,e5) = e3
      | op(e2,e5) = e3
      | op(e3,e5) = e3
      | op(e4,e5) = e3
      | op(e5,e5) = e3
      | op(e6,e5) = e3 )
    & ( op(e5,e0) = e4
      | op(e5,e1) = e4
      | op(e5,e2) = e4
      | op(e5,e3) = e4
      | op(e5,e4) = e4
      | op(e5,e5) = e4
      | op(e5,e6) = e4 )
    & ( op(e0,e5) = e4
      | op(e1,e5) = e4
      | op(e2,e5) = e4
      | op(e3,e5) = e4
      | op(e4,e5) = e4
      | op(e5,e5) = e4
      | op(e6,e5) = e4 )
    & ( op(e5,e0) = e5
      | op(e5,e1) = e5
      | op(e5,e2) = e5
      | op(e5,e3) = e5
      | op(e5,e4) = e5
      | op(e5,e5) = e5
      | op(e5,e6) = e5 )
    & ( op(e0,e5) = e5
      | op(e1,e5) = e5
      | op(e2,e5) = e5
      | op(e3,e5) = e5
      | op(e4,e5) = e5
      | op(e5,e5) = e5
      | op(e6,e5) = e5 )
    & ( op(e5,e0) = e6
      | op(e5,e1) = e6
      | op(e5,e2) = e6
      | op(e5,e3) = e6
      | op(e5,e4) = e6
      | op(e5,e5) = e6
      | op(e5,e6) = e6 )
    & ( op(e0,e5) = e6
      | op(e1,e5) = e6
      | op(e2,e5) = e6
      | op(e3,e5) = e6
      | op(e4,e5) = e6
      | op(e5,e5) = e6
      | op(e6,e5) = e6 )
    & ( op(e6,e0) = e0
      | op(e6,e1) = e0
      | op(e6,e2) = e0
      | op(e6,e3) = e0
      | op(e6,e4) = e0
      | op(e6,e5) = e0
      | op(e6,e6) = e0 )
    & ( op(e0,e6) = e0
      | op(e1,e6) = e0
      | op(e2,e6) = e0
      | op(e3,e6) = e0
      | op(e4,e6) = e0
      | op(e5,e6) = e0
      | op(e6,e6) = e0 )
    & ( op(e6,e0) = e1
      | op(e6,e1) = e1
      | op(e6,e2) = e1
      | op(e6,e3) = e1
      | op(e6,e4) = e1
      | op(e6,e5) = e1
      | op(e6,e6) = e1 )
    & ( op(e0,e6) = e1
      | op(e1,e6) = e1
      | op(e2,e6) = e1
      | op(e3,e6) = e1
      | op(e4,e6) = e1
      | op(e5,e6) = e1
      | op(e6,e6) = e1 )
    & ( op(e6,e0) = e2
      | op(e6,e1) = e2
      | op(e6,e2) = e2
      | op(e6,e3) = e2
      | op(e6,e4) = e2
      | op(e6,e5) = e2
      | op(e6,e6) = e2 )
    & ( op(e0,e6) = e2
      | op(e1,e6) = e2
      | op(e2,e6) = e2
      | op(e3,e6) = e2
      | op(e4,e6) = e2
      | op(e5,e6) = e2
      | op(e6,e6) = e2 )
    & ( op(e6,e0) = e3
      | op(e6,e1) = e3
      | op(e6,e2) = e3
      | op(e6,e3) = e3
      | op(e6,e4) = e3
      | op(e6,e5) = e3
      | op(e6,e6) = e3 )
    & ( op(e0,e6) = e3
      | op(e1,e6) = e3
      | op(e2,e6) = e3
      | op(e3,e6) = e3
      | op(e4,e6) = e3
      | op(e5,e6) = e3
      | op(e6,e6) = e3 )
    & ( op(e6,e0) = e4
      | op(e6,e1) = e4
      | op(e6,e2) = e4
      | op(e6,e3) = e4
      | op(e6,e4) = e4
      | op(e6,e5) = e4
      | op(e6,e6) = e4 )
    & ( op(e0,e6) = e4
      | op(e1,e6) = e4
      | op(e2,e6) = e4
      | op(e3,e6) = e4
      | op(e4,e6) = e4
      | op(e5,e6) = e4
      | op(e6,e6) = e4 )
    & ( op(e6,e0) = e5
      | op(e6,e1) = e5
      | op(e6,e2) = e5
      | op(e6,e3) = e5
      | op(e6,e4) = e5
      | op(e6,e5) = e5
      | op(e6,e6) = e5 )
    & ( op(e0,e6) = e5
      | op(e1,e6) = e5
      | op(e2,e6) = e5
      | op(e3,e6) = e5
      | op(e4,e6) = e5
      | op(e5,e6) = e5
      | op(e6,e6) = e5 )
    & ( op(e6,e0) = e6
      | op(e6,e1) = e6
      | op(e6,e2) = e6
      | op(e6,e3) = e6
      | op(e6,e4) = e6
      | op(e6,e5) = e6
      | op(e6,e6) = e6 )
    & ( op(e0,e6) = e6
      | op(e1,e6) = e6
      | op(e2,e6) = e6
      | op(e3,e6) = e6
      | op(e4,e6) = e6
      | op(e5,e6) = e6
      | op(e6,e6) = e6 )
    & op(op(op(e0,e0),e0),e0) = e0
    & op(op(op(e1,e0),e1),e1) = e0
    & op(op(op(e2,e0),e2),e2) = e0
    & op(op(op(e3,e0),e3),e3) = e0
    & op(op(op(e4,e0),e4),e4) = e0
    & op(op(op(e5,e0),e5),e5) = e0
    & op(op(op(e6,e0),e6),e6) = e0
    & op(op(op(e0,e1),e0),e0) = e1
    & op(op(op(e1,e1),e1),e1) = e1
    & op(op(op(e2,e1),e2),e2) = e1
    & op(op(op(e3,e1),e3),e3) = e1
    & op(op(op(e4,e1),e4),e4) = e1
    & op(op(op(e5,e1),e5),e5) = e1
    & op(op(op(e6,e1),e6),e6) = e1
    & op(op(op(e0,e2),e0),e0) = e2
    & op(op(op(e1,e2),e1),e1) = e2
    & op(op(op(e2,e2),e2),e2) = e2
    & op(op(op(e3,e2),e3),e3) = e2
    & op(op(op(e4,e2),e4),e4) = e2
    & op(op(op(e5,e2),e5),e5) = e2
    & op(op(op(e6,e2),e6),e6) = e2
    & op(op(op(e0,e3),e0),e0) = e3
    & op(op(op(e1,e3),e1),e1) = e3
    & op(op(op(e2,e3),e2),e2) = e3
    & op(op(op(e3,e3),e3),e3) = e3
    & op(op(op(e4,e3),e4),e4) = e3
    & op(op(op(e5,e3),e5),e5) = e3
    & op(op(op(e6,e3),e6),e6) = e3
    & op(op(op(e0,e4),e0),e0) = e4
    & op(op(op(e1,e4),e1),e1) = e4
    & op(op(op(e2,e4),e2),e2) = e4
    & op(op(op(e3,e4),e3),e3) = e4
    & op(op(op(e4,e4),e4),e4) = e4
    & op(op(op(e5,e4),e5),e5) = e4
    & op(op(op(e6,e4),e6),e6) = e4
    & op(op(op(e0,e5),e0),e0) = e5
    & op(op(op(e1,e5),e1),e1) = e5
    & op(op(op(e2,e5),e2),e2) = e5
    & op(op(op(e3,e5),e3),e3) = e5
    & op(op(op(e4,e5),e4),e4) = e5
    & op(op(op(e5,e5),e5),e5) = e5
    & op(op(op(e6,e5),e6),e6) = e5
    & op(op(op(e0,e6),e0),e0) = e6
    & op(op(op(e1,e6),e1),e1) = e6
    & op(op(op(e2,e6),e2),e2) = e6
    & op(op(op(e3,e6),e3),e3) = e6
    & op(op(op(e4,e6),e4),e4) = e6
    & op(op(op(e5,e6),e5),e5) = e6
    & op(op(op(e6,e6),e6),e6) = e6 )).

%--------------------------------------------------------------------------
