%------------------------------------------------------------------------------
% File     : KRS022+1 : ILTP v1.1.2
% Domain   : Knowledge Representation (Semantic Web)
% Problem  : Informal semantics for RDF container are not respected by OWL
% English  : The informal semantics indicated by comments concerning user 
%            defined classes are not respected by the formal machinery of OWL.

% Refs     : [Bec03] Bechhofer (2003), Email to G. Sutcliffe
%          : [TR+04] Tsarkov et al. (2004), Using Vampire to Reason with OW
% Source   : [Bec03]
% Names    : consistent_I5.2-Manifest011 [Bec03]

% Status   : Satisfiable (Problem negated)
% Rating   : 0.00 v3.1.0
%
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
%
% Syntax   : Number of formulae    :    5 (   3 unit)
%            Number of atoms       :    7 (   0 equality)
%            Maximal formula depth :    4 (   2 average)
%            Number of connectives :    4 (   2 ~  ;   0  |;   1  &)
%                                         (   1 <=>;   0 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    6 (   0 propositional; 1-2 arity)
%            Number of functors    :    2 (   2 constant; 0-0 arity)
%            Number of variables   :    2 (   0 singleton;   2 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : Sean Bechhofer says there are some errors in the encoding of
%            datatypes, so this problem may not be perfect. At least it's
%            still representative of the type of reasoning required for OWL.
%------------------------------------------------------------------------------
%----Thing and Nothing 
fof(axiom_0,axiom,
    ( ! [X] : 
        ( cowlThing(X)
        & ~ cowlNothing(X) ) )).

%----String and Integer disjoint 
fof(axiom_1,axiom,
    ( ! [X] : 
        ( xsd_string(X)
      <=> ~ xsd_integer(X) ) )).

%----i2003_11_14_17_14_39627
fof(axiom_2,axiom,
    ( cBag(i2003_11_14_17_14_39627) )).

fof(axiom_3,axiom,
    ( r_1(i2003_11_14_17_14_39627,i2003_11_14_17_14_39661) )).

%----i2003_11_14_17_14_39661
fof(axiom_4,axiom,
    ( cowlThing(i2003_11_14_17_14_39661) )).

%------------------------------------------------------------------------------
