%--------------------------------------------------------------------------
% File     : NLP003+1 : ILTP v1.1.2
% Domain   : Natural Language Processing
% Problem  : "The old dirty white Chevy" problem 3
% Version  : [Bos00] axioms.
% English  : A problem generated by the DORIS [Bos00] system when parsing
%            the statement "The old dirty white Chevy barrels down a lonely
%            street in Hollywood".

% Refs     : [Bos00] Bos (2000), DORIS: Discourse Oriented Representation an
%            [Bau99] Baumgartner (1999), FTP'2000 - Problem Sets
% Source   : [Bau99]
% Names    : 

% Status   : CounterSatisfiable
% Rating   : 0.00 v3.1.0, 0.17 v2.6.0, 0.00 v2.4.0
%
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
%
% Syntax   : Number of formulae    :   34 (   0 unit)
%            Number of atoms       :   87 (   1 equality)
%            Maximal formula depth :   19 (   4 average)
%            Number of connectives :   63 (  10 ~  ;   0  |;  20  &)
%                                         (   2 <=>;  31 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   37 (   0 propositional; 1-3 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   47 (   0 singleton;  42 !;   5 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
fof(ax1,axiom,
    ( ! [U] : 
        ( chevy(U)
       => car(U) ) )).

fof(ax2,axiom,
    ( ! [U] : 
        ( car(U)
       => vehicle(U) ) )).

fof(ax3,axiom,
    ( ! [U] : 
        ( vehicle(U)
       => transport(U) ) )).

fof(ax4,axiom,
    ( ! [U] : 
        ( transport(U)
       => instrumentality(U) ) )).

fof(ax5,axiom,
    ( ! [U] : 
        ( instrumentality(U)
       => artifact(U) ) )).

fof(ax6,axiom,
    ( ! [U] : 
        ( instrumentality(U)
       => ~ way(U) ) )).

fof(ax7,axiom,
    ( ! [U] : 
        ( street(U)
       => way(U) ) )).

fof(ax8,axiom,
    ( ! [U] : 
        ( way(U)
       => artifact(U) ) )).

fof(ax9,axiom,
    ( ! [U] : 
        ( artifact(U)
       => object(U) ) )).

fof(ax10,axiom,
    ( ! [U] : 
        ( artifact(U)
       => ~ location(U) ) )).

fof(ax11,axiom,
    ( ! [U] : 
        ( event(U)
       => eventuality(U) ) )).

fof(ax12,axiom,
    ( ! [U] : 
        ( hollywood(U)
       => city(U) ) )).

fof(ax13,axiom,
    ( ! [U] : 
        ( city(U)
       => location(U) ) )).

fof(ax14,axiom,
    ( ! [U] : 
        ( location(U)
       => object(U) ) )).

fof(ax15,axiom,
    ( ! [U] : 
        ( object(U)
       => entity(U) ) )).

fof(ax16,axiom,
    ( ! [U] : 
        ( old(U)
       => ~ new(U) ) )).

fof(ax17,axiom,
    ( ! [U] : 
        ( eventuality(U)
       => ~ entity(U) ) )).

fof(ax18,axiom,
    ( ! [U] : 
        ( abstraction(U)
       => ~ entity(U) ) )).

fof(ax19,axiom,
    ( ! [U] : 
        ( abstraction(U)
       => ~ eventuality(U) ) )).

fof(ax20,axiom,
    ( ! [U] : 
        ( male(U)
       => ~ female(U) ) )).

fof(ax21,axiom,
    ( ! [U] : 
        ( man(U)
       => ~ woman(U) ) )).

fof(ax22,axiom,
    ( ! [U] : 
        ( man(U)
       => male(U) ) )).

fof(ax23,axiom,
    ( ! [U] : 
        ( male(U)
       => human(U) ) )).

fof(ax24,axiom,
    ( ! [U] : 
        ( female(U)
       => human(U) ) )).

fof(ax25,axiom,
    ( ! [U] : 
        ( woman(U)
       => female(U) ) )).

fof(ax26,axiom,
    ( ! [U] : 
        ( drs(U)
      <=> proposition(U) ) )).

fof(ax27,axiom,
    ( ! [U] : 
        ( nonhuman(U)
       => entity(U) ) )).

fof(ax28,axiom,
    ( ! [U] : 
        ( human(U)
       => ~ nonhuman(U) ) )).

fof(ax29,axiom,
    ( ! [U,V,W] : 
        ( ( have(U,V,W)
          & human(V) )
      <=> ( owner(V)
          & of(V,W) ) ) )).

fof(ax30,axiom,
    ( ! [U,V,W] : 
        ( ( have(U,V,W)
          & nonhuman(V)
          & nonhuman(W) )
       => partof(W,V) ) )).

fof(ax31,axiom,
    ( ! [U,V,W] : 
        ( ( event(U)
          & have(U,V,W) )
       => of(V,W) ) )).

fof(ax32,axiom,
    ( ! [U,V] : 
        ( of(V,U)
       => ? [W] : 
            ( event(W)
            & have(W,U,V) ) ) )).

fof(ax33,axiom,
    ( ! [U,V,W] : 
        ( ( partof(U,V)
          & partof(U,W) )
       => V = W ) )).

fof(co1,conjecture,
    ( ~ ( ? [U,V,W,X] : 
            ( hollywood(U)
            & city(U)
            & event(V)
            & chevy(W)
            & car(W)
            & white(W)
            & dirty(W)
            & old(W)
            & street(X)
            & way(X)
            & lonely(X)
            & barrel(V,W)
            & down(V,X)
            & in(V,U) ) ) )).

%--------------------------------------------------------------------------
