%--------------------------------------------------------------------------
% File     : NLP020+1 : ILTP v1.1.2
% Domain   : Natural Language Processing
% Problem  : "The old dirty white Chevy" problem 20
% Version  : [Bos00] axioms.
% English  : A problem generated by the DORIS [Bos00] system when parsing
%            the statement "The old dirty white Chevy barrels down a lonely
%            street in Hollywood".

% Refs     : [Bos00] Bos (2000), DORIS: Discourse Oriented Representation an
%            [Bau99] Baumgartner (1999), FTP'2000 - Problem Sets
% Source   : [Bau99]
% Names    : 

% Status   : CounterSatisfiable
% Rating   : 0.00 v3.1.0, 0.17 v2.6.0, 0.00 v2.4.0
%
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
%
% Syntax   : Number of formulae    :   43 (   0 unit)
%            Number of atoms       :  119 (   4 equality)
%            Maximal formula depth :   37 (   4 average)
%            Number of connectives :   88 (  12 ~  ;   0  |;  33  &)
%                                         (   2 <=>;  41 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   43 (   0 propositional; 1-3 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   61 (   0 singleton;  60 !;   1 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
fof(ax1,axiom,
    ( ! [U] : 
        ( fellow(U)
       => man(U) ) )).

fof(ax2,axiom,
    ( ! [U] : 
        ( man(U)
       => human(U) ) )).

fof(ax3,axiom,
    ( ! [U] : 
        ( human(U)
       => organism(U) ) )).

fof(ax4,axiom,
    ( ! [U] : 
        ( organism(U)
       => entity(U) ) )).

fof(ax5,axiom,
    ( ! [U] : 
        ( organism(U)
       => ~ object(U) ) )).

fof(ax6,axiom,
    ( ! [U] : 
        ( front(U)
       => nonhuman(U) ) )).

fof(ax7,axiom,
    ( ! [U] : 
        ( seat(U)
       => furniture(U) ) )).

fof(ax8,axiom,
    ( ! [U] : 
        ( furniture(U)
       => instrumentality(U) ) )).

fof(ax9,axiom,
    ( ! [U] : 
        ( furniture(U)
       => ~ transport(U) ) )).

fof(ax10,axiom,
    ( ! [U] : 
        ( street(U)
       => way(U) ) )).

fof(ax11,axiom,
    ( ! [U] : 
        ( way(U)
       => artifact(U) ) )).

fof(ax12,axiom,
    ( ! [U] : 
        ( way(U)
       => ~ instrumentality(U) ) )).

fof(ax13,axiom,
    ( ! [U] : 
        ( chevy(U)
       => car(U) ) )).

fof(ax14,axiom,
    ( ! [U] : 
        ( car(U)
       => vehicle(U) ) )).

fof(ax15,axiom,
    ( ! [U] : 
        ( vehicle(U)
       => transport(U) ) )).

fof(ax16,axiom,
    ( ! [U] : 
        ( transport(U)
       => instrumentality(U) ) )).

fof(ax17,axiom,
    ( ! [U] : 
        ( instrumentality(U)
       => artifact(U) ) )).

fof(ax18,axiom,
    ( ! [U] : 
        ( artifact(U)
       => object(U) ) )).

fof(ax19,axiom,
    ( ! [U] : 
        ( artifact(U)
       => ~ location(U) ) )).

fof(ax20,axiom,
    ( ! [U] : 
        ( event(U)
       => eventuality(U) ) )).

fof(ax21,axiom,
    ( ! [U] : 
        ( hollywood(U)
       => city(U) ) )).

fof(ax22,axiom,
    ( ! [U] : 
        ( city(U)
       => location(U) ) )).

fof(ax23,axiom,
    ( ! [U] : 
        ( location(U)
       => object(U) ) )).

fof(ax24,axiom,
    ( ! [U] : 
        ( object(U)
       => entity(U) ) )).

fof(ax25,axiom,
    ( ! [U] : 
        ( old(U)
       => ~ new(U) ) )).

fof(ax26,axiom,
    ( ! [U] : 
        ( eventuality(U)
       => ~ entity(U) ) )).

fof(ax27,axiom,
    ( ! [U] : 
        ( abstraction(U)
       => ~ entity(U) ) )).

fof(ax28,axiom,
    ( ! [U] : 
        ( abstraction(U)
       => ~ eventuality(U) ) )).

fof(ax29,axiom,
    ( ! [U] : 
        ( male(U)
       => ~ female(U) ) )).

fof(ax30,axiom,
    ( ! [U] : 
        ( man(U)
       => ~ woman(U) ) )).

fof(ax31,axiom,
    ( ! [U] : 
        ( man(U)
       => male(U) ) )).

fof(ax32,axiom,
    ( ! [U] : 
        ( male(U)
       => human(U) ) )).

fof(ax33,axiom,
    ( ! [U] : 
        ( female(U)
       => human(U) ) )).

fof(ax34,axiom,
    ( ! [U] : 
        ( woman(U)
       => female(U) ) )).

fof(ax35,axiom,
    ( ! [U] : 
        ( drs(U)
      <=> proposition(U) ) )).

fof(ax36,axiom,
    ( ! [U] : 
        ( nonhuman(U)
       => entity(U) ) )).

fof(ax37,axiom,
    ( ! [U] : 
        ( human(U)
       => ~ nonhuman(U) ) )).

fof(ax38,axiom,
    ( ! [U,V,W] : 
        ( ( have(U,V,W)
          & human(V) )
      <=> ( owner(V)
          & of(V,W) ) ) )).

fof(ax39,axiom,
    ( ! [U,V,W] : 
        ( ( have(U,V,W)
          & nonhuman(V)
          & nonhuman(W) )
       => partof(W,V) ) )).

fof(ax40,axiom,
    ( ! [U,V,W] : 
        ( ( event(U)
          & have(U,V,W) )
       => of(V,W) ) )).

fof(ax41,axiom,
    ( ! [U,V] : 
        ( of(V,U)
       => ? [W] : 
            ( event(W)
            & have(W,U,V) ) ) )).

fof(ax42,axiom,
    ( ! [U,V,W] : 
        ( ( partof(U,V)
          & partof(U,W) )
       => V = W ) )).

fof(co1,conjecture,
    ( ! [U,V,W,X,Y,Z,X1,X3,X4] : 
        ( ( seat(U)
          & furniture(U)
          & front(U)
          & hollywood(V)
          & city(V)
          & event(W)
          & street(X)
          & way(X)
          & lonely(X)
          & chevy(Y)
          & car(Y)
          & white(Y)
          & dirty(Y)
          & old(Y)
          & barrel(W,Y)
          & down(W,X)
          & in(W,V)
          & fellow(Z)
          & man(Z)
          & young(Z)
          & fellow(X1)
          & man(X1)
          & young(X1)
          & Z = X3
          & in(X3,U)
          & X1 = X4
          & in(X4,U) )
       => Z != X1 ) )).

%--------------------------------------------------------------------------
