%--------------------------------------------------------------------------
% File     : SET660+3 : ILTP v1.1.2
% Domain   : Set Theory (Relations)
% Problem  : For every y in Y ? x : <x,y> in R (X to Y) iff range of R is Y
% Version  : [Wor89] axioms : Reduced > Incomplete.
% English  : For every y in Y there exists x such that <x,y> is in a 
%            relation R from X to Y iff the range of R is Y.

% Refs     : [ILF] The ILF Group (1998), The ILF System: A Tool for the Int
%          : [Wor89] Woronowicz (1989), Relations Defined on Sets
% Source   : [ILF]
% Names    : RELSET_1 (23) [Wor89]

% Status   : Theorem
% Rating   : 0.64 v3.1.0, 0.78 v2.7.0, 0.67 v2.6.0, 0.71 v2.5.0, 0.75 v2.4.0, 0.75 v2.3.0, 0.67 v2.2.1
%
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
%
% Syntax   : Number of formulae    :   35 (   2 unit)
%            Number of atoms       :  141 (  10 equality)
%            Maximal formula depth :   13 (   6 average)
%            Number of connectives :  110 (   4 ~  ;   0  |;  12  &)
%                                         (  14 <=>;  80 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    6 (   0 propositional; 1-2 arity)
%            Number of functors    :   14 (   2 constant; 0-3 arity)
%            Number of variables   :   83 (   0 singleton;  75 !;   8 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments :
%--------------------------------------------------------------------------
%---- line(relat_1 - df(5),1917958)
fof(p1,axiom,
    ( ! [B] : 
        ( ilf_type(B,binary_relation_type)
       => ! [C] : 
            ( ilf_type(C,set_type)
           => ( member(C,range_of(B))
            <=> ? [D] : 
                  ( ilf_type(D,set_type)
                  & member(ordered_pair(D,C),B) ) ) ) ) )).

%---- declaration(line(relat_1 - df(5),1917958))
fof(p2,axiom,
    ( ! [B] : 
        ( ilf_type(B,binary_relation_type)
       => ilf_type(range_of(B),set_type) ) )).

%---- line(relat_1 - th(20),1917986)
fof(p3,axiom,
    ( ! [B] : 
        ( ilf_type(B,set_type)
       => ! [C] : 
            ( ilf_type(C,set_type)
           => ! [D] : 
                ( ilf_type(D,binary_relation_type)
               => ( member(ordered_pair(B,C),D)
                 => ( member(B,domain_of(D))
                    & member(C,range_of(D)) ) ) ) ) ) )).

%---- line(tarski - th(2),1832736)
fof(p4,axiom,
    ( ! [B] : 
        ( ilf_type(B,set_type)
       => ! [C] : 
            ( ilf_type(C,set_type)
           => ( ! [D] : 
                  ( ilf_type(D,set_type)
                 => ( member(D,B)
                  <=> member(D,C) ) )
             => B = C ) ) ) )).

%---- line(tarski - df(5),1832760)
fof(p5,axiom,
    ( ! [B] : 
        ( ilf_type(B,set_type)
       => ! [C] : 
            ( ilf_type(C,set_type)
           => ! [D] : 
                ( ilf_type(D,set_type)
               => ! [E] : 
                    ( ilf_type(E,set_type)
                   => ! [F] : 
                        ( ilf_type(F,set_type)
                       => ( F = ordered_pair(D,E)
                        <=> F = unordered_pair(unordered_pair(D,E),singleton(D)) ) ) ) ) ) ) )).

%---- declaration(line(tarski - df(5),1832760))
fof(p6,axiom,
    ( ! [B] : 
        ( ilf_type(B,set_type)
       => ! [C] : 
            ( ilf_type(C,set_type)
           => ilf_type(ordered_pair(B,C),set_type) ) ) )).

%---- line(relset_1 - df(1),1916080)
fof(p7,axiom,
    ( ! [B] : 
        ( ilf_type(B,set_type)
       => ! [C] : 
            ( ilf_type(C,set_type)
           => ( ! [D] : 
                  ( ilf_type(D,subset_type(cross_product(B,C)))
                 => ilf_type(D,relation_type(B,C)) )
              & ! [E] : 
                  ( ilf_type(E,relation_type(B,C))
                 => ilf_type(E,subset_type(cross_product(B,C))) ) ) ) ) )).

%---- type_nonempty(line(relset_1 - df(1),1916080))
fof(p8,axiom,
    ( ! [B] : 
        ( ilf_type(B,set_type)
       => ! [C] : 
            ( ilf_type(C,set_type)
           => ? [D] : ilf_type(D,relation_type(C,B)) ) ) )).

%---- line(boole - df(8),1909359)
fof(p9,axiom,
    ( ! [B] : 
        ( ilf_type(B,set_type)
       => ! [C] : 
            ( ilf_type(C,set_type)
           => ( B = C
            <=> ( subset(B,C)
                & subset(C,B) ) ) ) ) )).

%---- declaration(op(domain_of,1,function))
fof(p10,axiom,
    ( ! [B] : 
        ( ilf_type(B,binary_relation_type)
       => ilf_type(domain_of(B),set_type) ) )).

%---- declaration(op(singleton,1,function))
fof(p11,axiom,
    ( ! [B] : 
        ( ilf_type(B,set_type)
       => ilf_type(singleton(B),set_type) ) )).

%---- declaration(op(cross_product,2,function))
fof(p12,axiom,
    ( ! [B] : 
        ( ilf_type(B,set_type)
       => ! [C] : 
            ( ilf_type(C,set_type)
           => ilf_type(cross_product(B,C),set_type) ) ) )).

%---- declaration(op(unordered_pair,2,function))
fof(p13,axiom,
    ( ! [B] : 
        ( ilf_type(B,set_type)
       => ! [C] : 
            ( ilf_type(C,set_type)
           => ilf_type(unordered_pair(B,C),set_type) ) ) )).

%---- property(commutativity,op(unordered_pair,2,function))
fof(p14,axiom,
    ( ! [B] : 
        ( ilf_type(B,set_type)
       => ! [C] : 
            ( ilf_type(C,set_type)
           => unordered_pair(B,C) = unordered_pair(C,B) ) ) )).

%---- line(relat_1 - axiom199,1917641)
fof(p15,axiom,
    ( ! [B] : 
        ( ilf_type(B,set_type)
       => ( ilf_type(B,binary_relation_type)
        <=> ( relation_like(B)
            & ilf_type(B,set_type) ) ) ) )).

%---- type_nonempty(line(relat_1 - axiom199,1917641))
fof(p16,axiom,
    ( ? [B] : ilf_type(B,binary_relation_type) )).

%---- line(hidden - axiom200,1832648)
fof(p17,axiom,
    ( ! [B] : 
        ( ilf_type(B,set_type)
       => ! [C] : 
            ( ilf_type(C,set_type)
           => ( ilf_type(C,subset_type(B))
            <=> ilf_type(C,member_type(power_set(B))) ) ) ) )).

%---- type_nonempty(line(hidden - axiom200,1832648))
fof(p18,axiom,
    ( ! [B] : 
        ( ilf_type(B,set_type)
       => ? [C] : ilf_type(C,subset_type(B)) ) )).

%---- line(hidden - axiom201,1832615)
fof(p19,axiom,
    ( ! [B] : 
        ( ilf_type(B,set_type)
       => ! [C] : 
            ( ilf_type(C,set_type)
           => ( B = C
            <=> ! [D] : 
                  ( ilf_type(D,set_type)
                 => ( member(D,B)
                  <=> member(D,C) ) ) ) ) ) )).

%---- line(tarski - df(3),1832749)
fof(p20,axiom,
    ( ! [B] : 
        ( ilf_type(B,set_type)
       => ! [C] : 
            ( ilf_type(C,set_type)
           => ( subset(B,C)
            <=> ! [D] : 
                  ( ilf_type(D,set_type)
                 => ( member(D,B)
                   => member(D,C) ) ) ) ) ) )).

%---- property(reflexivity,op(subset,2,predicate))
fof(p21,axiom,
    ( ! [B] : 
        ( ilf_type(B,set_type)
       => subset(B,B) ) )).

%---- line(hidden - axiom202,1832644)
fof(p22,axiom,
    ( ! [B] : 
        ( ilf_type(B,set_type)
       => ! [C] : 
            ( ilf_type(C,set_type)
           => ( member(B,power_set(C))
            <=> ! [D] : 
                  ( ilf_type(D,set_type)
                 => ( member(D,B)
                   => member(D,C) ) ) ) ) ) )).

%---- declaration(line(hidden - axiom202,1832644))
fof(p23,axiom,
    ( ! [B] : 
        ( ilf_type(B,set_type)
       => ( ~ empty(power_set(B))
          & ilf_type(power_set(B),set_type) ) ) )).

%---- line(hidden - axiom203,1832640)
fof(p24,axiom,
    ( ! [B] : 
        ( ilf_type(B,set_type)
       => ! [C] : 
            ( ( ~ empty(C)
              & ilf_type(C,set_type) )
           => ( ilf_type(B,member_type(C))
            <=> member(B,C) ) ) ) )).

%---- type_nonempty(line(hidden - axiom203,1832640))
fof(p25,axiom,
    ( ! [B] : 
        ( ( ~ empty(B)
          & ilf_type(B,set_type) )
       => ? [C] : ilf_type(C,member_type(B)) ) )).

%---- line(relat_1 - df(1),1917627)
fof(p26,axiom,
    ( ! [B] : 
        ( ilf_type(B,set_type)
       => ( relation_like(B)
        <=> ! [C] : 
              ( ilf_type(C,set_type)
             => ( member(C,B)
               => ? [D] : 
                    ( ilf_type(D,set_type)
                    & ? [E] : 
                        ( ilf_type(E,set_type)
                        & C = ordered_pair(D,E) ) ) ) ) ) ) )).

%---- conditional_cluster(axiom205,relation_like)
fof(p27,axiom,
    ( ! [B] : 
        ( ilf_type(B,set_type)
       => ! [C] : 
            ( ilf_type(C,set_type)
           => ! [D] : 
                ( ilf_type(D,subset_type(cross_product(B,C)))
               => relation_like(D) ) ) ) )).

%---- line(hidden - axiom206,1832628)
fof(p28,axiom,
    ( ! [B] : 
        ( ilf_type(B,set_type)
       => ( empty(B)
        <=> ! [C] : 
              ( ilf_type(C,set_type)
             => ~ member(C,B) ) ) ) )).

%---- conditional_cluster(axiom207,empty)
fof(p29,axiom,
    ( ! [B] : 
        ( ( empty(B)
          & ilf_type(B,set_type) )
       => relation_like(B) ) )).

%---- line(relset_1 - axiom211,1916330)
fof(p30,axiom,
    ( ! [B] : 
        ( ilf_type(B,set_type)
       => ! [C] : 
            ( ilf_type(C,set_type)
           => ! [D] : 
                ( ilf_type(D,relation_type(B,C))
               => domain(B,C,D) = domain_of(D) ) ) ) )).

%---- declaration(line(relset_1 - axiom211,1916330))
fof(p31,axiom,
    ( ! [B] : 
        ( ilf_type(B,set_type)
       => ! [C] : 
            ( ilf_type(C,set_type)
           => ! [D] : 
                ( ilf_type(D,relation_type(B,C))
               => ilf_type(domain(B,C,D),subset_type(B)) ) ) ) )).

%---- line(relset_1 - axiom212,1916334)
fof(p32,axiom,
    ( ! [B] : 
        ( ilf_type(B,set_type)
       => ! [C] : 
            ( ilf_type(C,set_type)
           => ! [D] : 
                ( ilf_type(D,relation_type(B,C))
               => range(B,C,D) = range_of(D) ) ) ) )).

%---- declaration(line(relset_1 - axiom212,1916334))
fof(p33,axiom,
    ( ! [B] : 
        ( ilf_type(B,set_type)
       => ! [C] : 
            ( ilf_type(C,set_type)
           => ! [D] : 
                ( ilf_type(D,relation_type(B,C))
               => ilf_type(range(B,C,D),subset_type(C)) ) ) ) )).

%---- declaration(set)
fof(p34,axiom,
    ( ! [B] : ilf_type(B,set_type) )).

%---- line(relset_1 - th(23),1916395)
fof(prove_relset_1_23,conjecture,
    ( ! [B] : 
        ( ilf_type(B,set_type)
       => ! [C] : 
            ( ilf_type(C,set_type)
           => ! [D] : 
                ( ilf_type(D,relation_type(B,C))
               => ( ! [E] : 
                      ( ilf_type(E,set_type)
                     => ( member(E,C)
                       => ? [F] : 
                            ( ilf_type(F,set_type)
                            & member(ordered_pair(F,E),D) ) ) )
                <=> range(B,C,D) = C ) ) ) ) )).

%--------------------------------------------------------------------------
