%--------------------------------------------------------------------------
% File     : SET679+3 : ILTP v1.1.2
% Domain   : Set Theory (Relations)
% Problem  : The identity relation on D is not the empty set
% Version  : [Wor89] axioms : Reduced > Incomplete.
% English  : 

% Refs     : [ILF] The ILF Group (1998), The ILF System: A Tool for the Int
%          : [Wor89] Woronowicz (1989), Relations Defined on Sets
% Source   : [ILF]
% Names    : RELSET_1 (46) [Wor89]

% Status   : Theorem
% Rating   : 0.27 v3.1.0, 0.22 v2.7.0, 0.17 v2.6.0, 0.14 v2.5.0, 0.12 v2.4.0, 0.25 v2.3.0, 0.33 v2.2.1
%
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
%
% Syntax   : Number of formulae    :   24 (   4 unit)
%            Number of atoms       :   82 (   4 equality)
%            Maximal formula depth :   11 (   5 average)
%            Number of connectives :   65 (   7 ~  ;   0  |;   9  &)
%                                         (  11 <=>;  38 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    7 (   0 propositional; 1-2 arity)
%            Number of functors    :    9 (   3 constant; 0-2 arity)
%            Number of variables   :   42 (   0 singleton;  37 !;   5 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments :
%--------------------------------------------------------------------------
%---- line(relat_1 - th(70),1918880)
fof(p1,axiom,
    ( ! [B] : 
        ( ilf_type(B,set_type)
       => ! [C] : 
            ( ilf_type(C,set_type)
           => ( member(C,B)
            <=> member(ordered_pair(C,C),identity_relation_of(B)) ) ) ) )).

%---- line(hidden - axiom559,1832636)
fof(p2,axiom,
    ( ! [B] : 
        ( ilf_type(B,set_type)
       => ~ member(B,empty_set) ) )).

%---- declaration(line(hidden - axiom559,1832636)) Part 1
fof(p3a,axiom,
    ( empty(empty_set) )).

%---- declaration(line(hidden - axiom559,1832636)) Part 2
fof(p3b,axiom,
    ( type(empty_set,set_type) )).

%---- line(relat_1 - df(10),1918876)
fof(p4,axiom,
    ( ! [B] : 
        ( ilf_type(B,set_type)
       => ! [C] : 
            ( ilf_type(C,set_type)
           => ! [D] : 
                ( ilf_type(D,set_type)
               => ( member(ordered_pair(C,D),identity_relation_of(B))
                <=> ( member(C,B)
                    & C = D ) ) ) ) ) )).

%---- declaration(line(relat_1 - df(10),1918876))
fof(p5,axiom,
    ( ! [B] : 
        ( ilf_type(B,set_type)
       => ilf_type(identity_relation_of(B),binary_relation_type) ) )).

%---- line(hidden - axiom560,1832615)
fof(p6,axiom,
    ( ! [B] : 
        ( ilf_type(B,set_type)
       => ! [C] : 
            ( ilf_type(C,set_type)
           => ( B = C
            <=> ! [D] : 
                  ( ilf_type(D,set_type)
                 => ( member(D,B)
                  <=> member(D,C) ) ) ) ) ) )).

%---- line(hidden - axiom561,1832619)
fof(p7,axiom,
    ( ! [B] : 
        ( ilf_type(B,set_type)
       => ! [C] : 
            ( ilf_type(C,set_type)
           => ( not_equal(B,C)
            <=> B != C ) ) ) )).

%---- line(hidden - axiom562,1832628)
fof(p8,axiom,
    ( ! [B] : 
        ( ilf_type(B,set_type)
       => ( empty(B)
        <=> ! [C] : 
              ( ilf_type(C,set_type)
             => ~ member(C,B) ) ) ) )).

%---- declaration(op(ordered_pair,2,function))
fof(p9,axiom,
    ( ! [B] : 
        ( ilf_type(B,set_type)
       => ! [C] : 
            ( ilf_type(C,set_type)
           => ilf_type(ordered_pair(B,C),set_type) ) ) )).

%---- line(relat_1 - axiom563,1917641)
fof(p10,axiom,
    ( ! [B] : 
        ( ilf_type(B,set_type)
       => ( ilf_type(B,binary_relation_type)
        <=> ( relation_like(B)
            & ilf_type(B,set_type) ) ) ) )).

%---- type_nonempty(line(relat_1 - axiom563,1917641))
fof(p11,axiom,
    ( ? [B] : ilf_type(B,binary_relation_type) )).

%---- line(relat_1 - df(1),1917627)
fof(p12,axiom,
    ( ! [B] : 
        ( ilf_type(B,set_type)
       => ( relation_like(B)
        <=> ! [C] : 
              ( ilf_type(C,set_type)
             => ( member(C,B)
               => ? [D] : 
                    ( ilf_type(D,set_type)
                    & ? [E] : 
                        ( ilf_type(E,set_type)
                        & C = ordered_pair(D,E) ) ) ) ) ) ) )).

%---- conditional_cluster(axiom566,relation_like)
fof(p13,axiom,
    ( ! [B] : 
        ( ( empty(B)
          & ilf_type(B,set_type) )
       => relation_like(B) ) )).

%---- conditional_cluster(axiom567,relation_like)
fof(p14,axiom,
    ( ! [B] : 
        ( ilf_type(B,set_type)
       => ! [C] : 
            ( ilf_type(C,set_type)
           => ! [D] : 
                ( ilf_type(D,subset_type(cross_product(B,C)))
               => relation_like(D) ) ) ) )).

%---- declaration(op(cross_product,2,function))
fof(p15,axiom,
    ( ! [B] : 
        ( ilf_type(B,set_type)
       => ! [C] : 
            ( ilf_type(C,set_type)
           => ilf_type(cross_product(B,C),set_type) ) ) )).

%---- line(hidden - axiom568,1832648)
fof(p16,axiom,
    ( ! [B] : 
        ( ilf_type(B,set_type)
       => ! [C] : 
            ( ilf_type(C,set_type)
           => ( ilf_type(C,subset_type(B))
            <=> ilf_type(C,member_type(power_set(B))) ) ) ) )).

%---- type_nonempty(line(hidden - axiom568,1832648))
fof(p17,axiom,
    ( ! [B] : 
        ( ilf_type(B,set_type)
       => ? [C] : ilf_type(C,subset_type(B)) ) )).

%---- line(hidden - axiom569,1832644)
fof(p18,axiom,
    ( ! [B] : 
        ( ilf_type(B,set_type)
       => ! [C] : 
            ( ilf_type(C,set_type)
           => ( member(B,power_set(C))
            <=> ! [D] : 
                  ( ilf_type(D,set_type)
                 => ( member(D,B)
                   => member(D,C) ) ) ) ) ) )).

%---- declaration(line(hidden - axiom569,1832644))
fof(p19,axiom,
    ( ! [B] : 
        ( ilf_type(B,set_type)
       => ( ~ empty(power_set(B))
          & ilf_type(power_set(B),set_type) ) ) )).

%---- line(hidden - axiom570,1832640)
fof(p20,axiom,
    ( ! [B] : 
        ( ilf_type(B,set_type)
       => ! [C] : 
            ( ( ~ empty(C)
              & ilf_type(C,set_type) )
           => ( ilf_type(B,member_type(C))
            <=> member(B,C) ) ) ) )).

%---- type_nonempty(line(hidden - axiom570,1832640))
fof(p21,axiom,
    ( ! [B] : 
        ( ( ~ empty(B)
          & ilf_type(B,set_type) )
       => ? [C] : ilf_type(C,member_type(B)) ) )).

%---- declaration(set)
fof(p22,axiom,
    ( ! [B] : ilf_type(B,set_type) )).

%---- line(relset_1 - th(46),1916859)
fof(prove_relset_1_46,conjecture,
    ( ! [B] : 
        ( ( ~ empty(B)
          & ilf_type(B,set_type) )
       => not_equal(identity_relation_of(B),empty_set) ) )).

%--------------------------------------------------------------------------
