%------------------------------------------------------------------------------
% File     : SWV026+1 : ILTP v1.1.2
% Domain   : Software Verification
% Problem  : Unsimplified proof obligation gauss_init_0017
% Version  : [DFS04] axioms : Especial.
% English  : Proof obligation emerging from the init-safety verification for
%            the gauss program. init-safety ensures that each variable or
%            individual array element has been assigned a defined value before
%            it is used.

% Refs     : [Fis04] Fischer (2004), Email to G. Sutcliffe
%          : [DFS04] Denney et al. (2004), Using Automated Theorem Provers
% Source   : [Fis04]
% Names    : gauss_init_0017 [Fis04]

% Status   : Theorem
% Rating   : 0.82 v3.1.0
%
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.1.0
%
% Syntax   : Number of formulae    :   98 (  63 unit)
%            Number of atoms       :  285 (  99 equality)
%            Maximal formula depth :   27 (   4 average)
%            Number of connectives :  192 (   5 ~  ;  17  |; 122  &)
%                                         (   5 <=>;  43 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    6 (   1 propositional; 0-2 arity)
%            Number of functors    :   48 (  30 constant; 0-4 arity)
%            Number of variables   :  151 (   0 singleton; 151 !;   0 ?)
%            Maximal term depth    :    9 (   1 average)

% Comments : 
%------------------------------------------------------------------------------
%----Include NASA software certification axioms
include('Axioms/SWV003+0.ax').
%------------------------------------------------------------------------------
%----Proof obligation generated by the AutoBayes/AutoFilter system
fof(gauss_init_0017,conjecture,
    ( ( init = init
      & s_best7_init = init
      & s_sworst7_init = init
      & s_worst7_init = init
      & leq(n0,s_best7)
      & leq(n0,s_sworst7)
      & leq(n0,s_worst7)
      & leq(n0,pv9)
      & leq(n0,pv19)
      & leq(n0,pv20)
      & leq(n0,pv1376)
      & leq(s_best7,n3)
      & leq(s_sworst7,n3)
      & leq(s_worst7,n3)
      & leq(pv9,minus(n410,n1))
      & leq(pv19,minus(n410,n1))
      & leq(pv20,minus(n330,n1))
      & leq(pv1376,n3)
      & ! [A] : 
          ( ( leq(n0,A)
            & leq(A,n2) )
         => ! [B] : 
              ( ( leq(n0,B)
                & leq(B,n3) )
             => a_select3(simplex7_init,B,A) = init ) )
      & ! [C] : 
          ( ( leq(n0,C)
            & leq(C,n3) )
         => a_select2(s_values7_init,C) = init )
      & ! [D] : 
          ( ( leq(n0,D)
            & leq(D,n2) )
         => a_select2(s_center7_init,D) = init )
      & ! [E] : 
          ( ( leq(n0,E)
            & leq(E,minus(n3,n1)) )
         => a_select2(s_try7_init,E) = init )
      & ( gt(loopcounter,n1)
       => ( pvar1400_init = init
          & pvar1401_init = init
          & pvar1402_init = init ) ) )
   => ( init = init
      & s_best7_init = init
      & s_sworst7_init = init
      & s_worst7_init = init
      & leq(n0,s_best7)
      & leq(n0,s_sworst7)
      & leq(n0,s_worst7)
      & leq(n0,pv19)
      & leq(n0,pv20)
      & leq(n0,pv1376)
      & leq(s_best7,n3)
      & leq(s_sworst7,n3)
      & leq(s_worst7,n3)
      & leq(pv19,minus(n410,n1))
      & leq(pv20,minus(n330,n1))
      & leq(pv1376,n3)
      & ! [F] : 
          ( ( leq(n0,F)
            & leq(F,n2) )
         => ! [G] : 
              ( ( leq(n0,G)
                & leq(G,n3) )
             => a_select3(simplex7_init,G,F) = init ) )
      & ! [H] : 
          ( ( leq(n0,H)
            & leq(H,n3) )
         => a_select2(s_values7_init,H) = init )
      & ! [I] : 
          ( ( leq(n0,I)
            & leq(I,n2) )
         => a_select2(s_center7_init,I) = init )
      & ! [J] : 
          ( ( leq(n0,J)
            & leq(J,minus(n3,n1)) )
         => a_select2(s_try7_init,J) = init )
      & ( gt(loopcounter,n1)
       => ( pvar1400_init = init
          & pvar1401_init = init
          & pvar1402_init = init ) ) ) )).

%----Automatically generated axioms

fof(gt_5_4,axiom,
    ( gt(n5,n4) )).

fof(gt_330_4,axiom,
    ( gt(n330,n4) )).

fof(gt_410_4,axiom,
    ( gt(n410,n4) )).

fof(gt_330_5,axiom,
    ( gt(n330,n5) )).

fof(gt_410_5,axiom,
    ( gt(n410,n5) )).

fof(gt_410_330,axiom,
    ( gt(n410,n330) )).

fof(gt_4_tptp_minus_1,axiom,
    ( gt(n4,tptp_minus_1) )).

fof(gt_5_tptp_minus_1,axiom,
    ( gt(n5,tptp_minus_1) )).

fof(gt_330_tptp_minus_1,axiom,
    ( gt(n330,tptp_minus_1) )).

fof(gt_410_tptp_minus_1,axiom,
    ( gt(n410,tptp_minus_1) )).

fof(gt_0_tptp_minus_1,axiom,
    ( gt(n0,tptp_minus_1) )).

fof(gt_1_tptp_minus_1,axiom,
    ( gt(n1,tptp_minus_1) )).

fof(gt_2_tptp_minus_1,axiom,
    ( gt(n2,tptp_minus_1) )).

fof(gt_3_tptp_minus_1,axiom,
    ( gt(n3,tptp_minus_1) )).

fof(gt_4_0,axiom,
    ( gt(n4,n0) )).

fof(gt_5_0,axiom,
    ( gt(n5,n0) )).

fof(gt_330_0,axiom,
    ( gt(n330,n0) )).

fof(gt_410_0,axiom,
    ( gt(n410,n0) )).

fof(gt_1_0,axiom,
    ( gt(n1,n0) )).

fof(gt_2_0,axiom,
    ( gt(n2,n0) )).

fof(gt_3_0,axiom,
    ( gt(n3,n0) )).

fof(gt_4_1,axiom,
    ( gt(n4,n1) )).

fof(gt_5_1,axiom,
    ( gt(n5,n1) )).

fof(gt_330_1,axiom,
    ( gt(n330,n1) )).

fof(gt_410_1,axiom,
    ( gt(n410,n1) )).

fof(gt_2_1,axiom,
    ( gt(n2,n1) )).

fof(gt_3_1,axiom,
    ( gt(n3,n1) )).

fof(gt_4_2,axiom,
    ( gt(n4,n2) )).

fof(gt_5_2,axiom,
    ( gt(n5,n2) )).

fof(gt_330_2,axiom,
    ( gt(n330,n2) )).

fof(gt_410_2,axiom,
    ( gt(n410,n2) )).

fof(gt_3_2,axiom,
    ( gt(n3,n2) )).

fof(gt_4_3,axiom,
    ( gt(n4,n3) )).

fof(gt_5_3,axiom,
    ( gt(n5,n3) )).

fof(gt_330_3,axiom,
    ( gt(n330,n3) )).

fof(gt_410_3,axiom,
    ( gt(n410,n3) )).

fof(finite_domain_4,axiom,
    ( ! [X] : 
        ( ( leq(n0,X)
          & leq(X,n4) )
       => ( X = n0
          | X = n1
          | X = n2
          | X = n3
          | X = n4 ) ) )).

fof(finite_domain_5,axiom,
    ( ! [X] : 
        ( ( leq(n0,X)
          & leq(X,n5) )
       => ( X = n0
          | X = n1
          | X = n2
          | X = n3
          | X = n4
          | X = n5 ) ) )).

fof(finite_domain_0,axiom,
    ( ! [X] : 
        ( ( leq(n0,X)
          & leq(X,n0) )
       => X = n0 ) )).

fof(finite_domain_1,axiom,
    ( ! [X] : 
        ( ( leq(n0,X)
          & leq(X,n1) )
       => ( X = n0
          | X = n1 ) ) )).

fof(finite_domain_2,axiom,
    ( ! [X] : 
        ( ( leq(n0,X)
          & leq(X,n2) )
       => ( X = n0
          | X = n1
          | X = n2 ) ) )).

fof(finite_domain_3,axiom,
    ( ! [X] : 
        ( ( leq(n0,X)
          & leq(X,n3) )
       => ( X = n0
          | X = n1
          | X = n2
          | X = n3 ) ) )).

fof(successor_4,axiom,
    ( succ(succ(succ(succ(n0)))) = n4 )).

fof(successor_5,axiom,
    ( succ(succ(succ(succ(succ(n0))))) = n5 )).

fof(successor_1,axiom,
    ( succ(n0) = n1 )).

fof(successor_2,axiom,
    ( succ(succ(n0)) = n2 )).

fof(successor_3,axiom,
    ( succ(succ(succ(n0))) = n3 )).
%------------------------------------------------------------------------------
