%------------------------------------------------------------------------------
% File     : SWV036+1 : ILTP v1.1.2
% Domain   : Software Verification
% Problem  : Unsimplified proof obligation gauss_init_0057
% Version  : [DFS04] axioms : Especial.
% English  : Proof obligation emerging from the init-safety verification for
%            the gauss program. init-safety ensures that each variable or
%            individual array element has been assigned a defined value before
%            it is used.

% Refs     : [Fis04] Fischer (2004), Email to G. Sutcliffe
%          : [DFS04] Denney et al. (2004), Using Automated Theorem Provers
% Source   : [Fis04]
% Names    : gauss_init_0057 [Fis04]

% Status   : Theorem
% Rating   : 0.82 v3.1.0
%
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.1.0
%
% Syntax   : Number of formulae    :   83 (  48 unit)
%            Number of atoms       :  340 ( 134 equality)
%            Maximal formula depth :   35 (   4 average)
%            Number of connectives :  265 (   8 ~  ;  17  |; 173  &)
%                                         (   5 <=>;  62 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    6 (   1 propositional; 0-2 arity)
%            Number of functors    :   43 (  25 constant; 0-4 arity)
%            Number of variables   :  161 (   0 singleton; 161 !;   0 ?)
%            Maximal term depth    :    9 (   1 average)

% Comments : 
%------------------------------------------------------------------------------
%----Include NASA software certification axioms
include('Axioms/SWV003+0.ax').
%------------------------------------------------------------------------------
%----Proof obligation generated by the AutoBayes/AutoFilter system
fof(gauss_init_0057,conjecture,
    ( ( s_best7_init = init
      & s_sworst7_init = init
      & s_worst7_init = init
      & leq(n0,s_best7)
      & leq(n0,s_sworst7)
      & leq(n0,s_worst7)
      & leq(n2,pv1388)
      & leq(s_best7,n3)
      & leq(s_sworst7,n3)
      & leq(s_worst7,n3)
      & leq(pv1388,n3)
      & ! [A] : 
          ( ( leq(n0,A)
            & leq(A,n2) )
         => ! [B] : 
              ( ( leq(n0,B)
                & leq(B,n3) )
             => a_select3(simplex7_init,B,A) = init ) )
      & ! [C] : 
          ( ( leq(n0,C)
            & leq(C,n3) )
         => a_select2(s_values7_init,C) = init )
      & ! [D] : 
          ( ( leq(n0,D)
            & leq(D,n2) )
         => a_select2(s_center7_init,D) = init )
      & ( gt(loopcounter,n1)
       => ( pvar1400_init = init
          & pvar1401_init = init
          & pvar1402_init = init ) ) )
   => ( init = init
      & s_best7_init = init
      & a_select2(s_values7_init,s_best7) = init
      & a_select2(s_values7_init,pv1388) = init
      & ( ~ gt(a_select2(s_values7,pv1388),a_select2(s_values7,s_best7))
       => ( init = init
          & s_worst7_init = init
          & a_select2(s_values7_init,s_worst7) = init
          & a_select2(s_values7_init,pv1388) = init
          & ( ~ leq(a_select2(s_values7,pv1388),a_select2(s_values7,s_worst7))
           => ( init = init
              & s_sworst7_init = init
              & a_select2(s_values7_init,s_sworst7) = init
              & a_select2(s_values7_init,pv1388) = init
              & ( ~ leq(a_select2(s_values7,pv1388),a_select2(s_values7,s_sworst7))
               => ( s_best7_init = init
                  & s_sworst7_init = init
                  & s_worst7_init = init
                  & leq(n0,s_best7)
                  & leq(n0,s_sworst7)
                  & leq(n0,s_worst7)
                  & leq(s_best7,n3)
                  & leq(s_sworst7,n3)
                  & leq(s_worst7,n3)
                  & ! [E] : 
                      ( ( leq(n0,E)
                        & leq(E,n2) )
                     => ! [F] : 
                          ( ( leq(n0,F)
                            & leq(F,n3) )
                         => a_select3(simplex7_init,F,E) = init ) )
                  & ! [G] : 
                      ( ( leq(n0,G)
                        & leq(G,n3) )
                     => a_select2(s_values7_init,G) = init )
                  & ! [H] : 
                      ( ( leq(n0,H)
                        & leq(H,n2) )
                     => a_select2(s_center7_init,H) = init )
                  & ( gt(loopcounter,n1)
                   => ( pvar1400_init = init
                      & pvar1401_init = init
                      & pvar1402_init = init ) ) ) )
              & ( leq(a_select2(s_values7,pv1388),a_select2(s_values7,s_sworst7))
               => ( init = init
                  & s_best7_init = init
                  & s_worst7_init = init
                  & leq(n0,s_best7)
                  & leq(n0,s_worst7)
                  & leq(n0,pv1388)
                  & leq(s_best7,n3)
                  & leq(s_worst7,n3)
                  & leq(pv1388,n3)
                  & ! [I] : 
                      ( ( leq(n0,I)
                        & leq(I,n2) )
                     => ! [J] : 
                          ( ( leq(n0,J)
                            & leq(J,n3) )
                         => a_select3(simplex7_init,J,I) = init ) )
                  & ! [K] : 
                      ( ( leq(n0,K)
                        & leq(K,n3) )
                     => a_select2(s_values7_init,K) = init )
                  & ! [L] : 
                      ( ( leq(n0,L)
                        & leq(L,n2) )
                     => a_select2(s_center7_init,L) = init )
                  & ( gt(loopcounter,n1)
                   => ( pvar1400_init = init
                      & pvar1401_init = init
                      & pvar1402_init = init ) ) ) ) ) )
          & ( leq(a_select2(s_values7,pv1388),a_select2(s_values7,s_worst7))
           => ( init = init
              & s_best7_init = init
              & s_worst7_init = init
              & leq(n0,s_best7)
              & leq(n0,s_worst7)
              & leq(n0,pv1388)
              & leq(s_best7,n3)
              & leq(s_worst7,n3)
              & leq(pv1388,n3)
              & ! [M] : 
                  ( ( leq(n0,M)
                    & leq(M,n2) )
                 => ! [N] : 
                      ( ( leq(n0,N)
                        & leq(N,n3) )
                     => a_select3(simplex7_init,N,M) = init ) )
              & ! [O] : 
                  ( ( leq(n0,O)
                    & leq(O,n3) )
                 => a_select2(s_values7_init,O) = init )
              & ! [P] : 
                  ( ( leq(n0,P)
                    & leq(P,n2) )
                 => a_select2(s_center7_init,P) = init )
              & ( gt(loopcounter,n1)
               => ( pvar1400_init = init
                  & pvar1401_init = init
                  & pvar1402_init = init ) ) ) ) ) )
      & ( gt(a_select2(s_values7,pv1388),a_select2(s_values7,s_best7))
       => ( init = init
          & s_sworst7_init = init
          & s_worst7_init = init
          & leq(n0,s_sworst7)
          & leq(n0,s_worst7)
          & leq(n0,pv1388)
          & leq(s_sworst7,n3)
          & leq(s_worst7,n3)
          & leq(pv1388,n3)
          & ! [Q] : 
              ( ( leq(n0,Q)
                & leq(Q,n2) )
             => ! [R] : 
                  ( ( leq(n0,R)
                    & leq(R,n3) )
                 => a_select3(simplex7_init,R,Q) = init ) )
          & ! [S] : 
              ( ( leq(n0,S)
                & leq(S,n3) )
             => a_select2(s_values7_init,S) = init )
          & ! [T] : 
              ( ( leq(n0,T)
                & leq(T,n2) )
             => a_select2(s_center7_init,T) = init )
          & ( gt(loopcounter,n1)
           => ( pvar1400_init = init
              & pvar1401_init = init
              & pvar1402_init = init ) ) ) ) ) )).

%----Automatically generated axioms

fof(gt_5_4,axiom,
    ( gt(n5,n4) )).

fof(gt_4_tptp_minus_1,axiom,
    ( gt(n4,tptp_minus_1) )).

fof(gt_5_tptp_minus_1,axiom,
    ( gt(n5,tptp_minus_1) )).

fof(gt_0_tptp_minus_1,axiom,
    ( gt(n0,tptp_minus_1) )).

fof(gt_1_tptp_minus_1,axiom,
    ( gt(n1,tptp_minus_1) )).

fof(gt_2_tptp_minus_1,axiom,
    ( gt(n2,tptp_minus_1) )).

fof(gt_3_tptp_minus_1,axiom,
    ( gt(n3,tptp_minus_1) )).

fof(gt_4_0,axiom,
    ( gt(n4,n0) )).

fof(gt_5_0,axiom,
    ( gt(n5,n0) )).

fof(gt_1_0,axiom,
    ( gt(n1,n0) )).

fof(gt_2_0,axiom,
    ( gt(n2,n0) )).

fof(gt_3_0,axiom,
    ( gt(n3,n0) )).

fof(gt_4_1,axiom,
    ( gt(n4,n1) )).

fof(gt_5_1,axiom,
    ( gt(n5,n1) )).

fof(gt_2_1,axiom,
    ( gt(n2,n1) )).

fof(gt_3_1,axiom,
    ( gt(n3,n1) )).

fof(gt_4_2,axiom,
    ( gt(n4,n2) )).

fof(gt_5_2,axiom,
    ( gt(n5,n2) )).

fof(gt_3_2,axiom,
    ( gt(n3,n2) )).

fof(gt_4_3,axiom,
    ( gt(n4,n3) )).

fof(gt_5_3,axiom,
    ( gt(n5,n3) )).

fof(finite_domain_4,axiom,
    ( ! [X] : 
        ( ( leq(n0,X)
          & leq(X,n4) )
       => ( X = n0
          | X = n1
          | X = n2
          | X = n3
          | X = n4 ) ) )).

fof(finite_domain_5,axiom,
    ( ! [X] : 
        ( ( leq(n0,X)
          & leq(X,n5) )
       => ( X = n0
          | X = n1
          | X = n2
          | X = n3
          | X = n4
          | X = n5 ) ) )).

fof(finite_domain_0,axiom,
    ( ! [X] : 
        ( ( leq(n0,X)
          & leq(X,n0) )
       => X = n0 ) )).

fof(finite_domain_1,axiom,
    ( ! [X] : 
        ( ( leq(n0,X)
          & leq(X,n1) )
       => ( X = n0
          | X = n1 ) ) )).

fof(finite_domain_2,axiom,
    ( ! [X] : 
        ( ( leq(n0,X)
          & leq(X,n2) )
       => ( X = n0
          | X = n1
          | X = n2 ) ) )).

fof(finite_domain_3,axiom,
    ( ! [X] : 
        ( ( leq(n0,X)
          & leq(X,n3) )
       => ( X = n0
          | X = n1
          | X = n2
          | X = n3 ) ) )).

fof(successor_4,axiom,
    ( succ(succ(succ(succ(n0)))) = n4 )).

fof(successor_5,axiom,
    ( succ(succ(succ(succ(succ(n0))))) = n5 )).

fof(successor_1,axiom,
    ( succ(n0) = n1 )).

fof(successor_2,axiom,
    ( succ(succ(n0)) = n2 )).

fof(successor_3,axiom,
    ( succ(succ(succ(n0))) = n3 )).
%------------------------------------------------------------------------------
