%------------------------------------------------------------------------------
% File     : SWV228+1 : ILTP v1.1.2
% Domain   : Software Verification
% Problem  : Simplified proof obligation quaternion_ds1_symm_0681
% Version  : [DFS04] axioms : Especial.
% English  : Proof obligation emerging from the symm-safety verification for
%            the quaternion_ds1 program. symmetry-safety ensures that certain
%            two-dimensional arrays remain symmetric.

% Refs     : [Fis04] Fischer (2004), Email to G. Sutcliffe
%          : [DFS04] Denney et al. (2004), Using Automated Theorem Provers
% Source   : [Fis04]
% Names    : quaternion_ds1_symm_0681 [Fis04]

% Status   : Theorem
% Rating   : 0.09 v3.1.0
%
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.1.0
%
% Syntax   : Number of formulae    :   83 (  48 unit)
%            Number of atoms       :  264 ( 129 equality)
%            Maximal formula depth :   31 (   4 average)
%            Number of connectives :  209 (  28 ~  ;  17  |; 124  &)
%                                         (   5 <=>;  35 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    6 (   1 propositional; 0-2 arity)
%            Number of functors    :   30 (  12 constant; 0-4 arity)
%            Number of variables   :  147 (   0 singleton; 147 !;   0 ?)
%            Maximal term depth    :    9 (   1 average)

% Comments : 
%------------------------------------------------------------------------------
%----Include NASA software certification axioms
include('Axioms/SWV003+0.ax').
%------------------------------------------------------------------------------
%----Proof obligation generated by the AutoBayes/AutoFilter system
fof(quaternion_ds1_symm_0681,conjecture,
    ( ( ! [A,B] : 
          ( ( leq(n0,A)
            & leq(n0,B)
            & leq(A,n5)
            & leq(B,n5) )
         => a_select3(q_ds1_filter,A,B) = a_select3(q_ds1_filter,B,A) )
      & ! [C,D] : 
          ( ( leq(n0,C)
            & leq(n0,D)
            & leq(C,n2)
            & leq(D,n2) )
         => a_select3(r_ds1_filter,C,D) = a_select3(r_ds1_filter,D,C) ) )
   => ! [E,F] : 
        ( ( leq(n0,E)
          & leq(n0,F)
          & leq(E,n5)
          & leq(F,n5) )
       => ( ( ~ ( n0 = E
                & n4 = F )
            & ~ ( n0 = E
                & n5 = F )
            & ~ ( n0 = F
                & n4 = E )
            & ~ ( n0 = F
                & n5 = E )
            & ~ ( n1 = E
                & n4 = F )
            & ~ ( n1 = E
                & n5 = F )
            & ~ ( n1 = F
                & n3 = E )
            & ~ ( n1 = F
                & n4 = E )
            & ~ ( n1 = F
                & n5 = E )
            & ~ ( n2 = E
                & n4 = F )
            & ~ ( n2 = E
                & n5 = F )
            & ~ ( n2 = F
                & n3 = E )
            & ~ ( n2 = F
                & n4 = E )
            & ~ ( n2 = F
                & n5 = E )
            & ~ ( n3 = E
                & n3 = F )
            & ~ ( n3 = E
                & n4 = F )
            & ~ ( n3 = E
                & n5 = F )
            & ~ ( n3 = F
                & n4 = E )
            & ~ ( n3 = F
                & n5 = E )
            & ~ ( n4 = E
                & n4 = F )
            & ~ ( n4 = E
                & n5 = F )
            & ~ ( n4 = F
                & n5 = E )
            & ~ ( n5 = E
                & n5 = F )
            & n0 = F
            & n3 = E
            & n3 = F )
         => n0 = a_select2(xinit_noise,n3) ) ) )).

%----Automatically generated axioms

fof(gt_5_4,axiom,
    ( gt(n5,n4) )).

fof(gt_4_tptp_minus_1,axiom,
    ( gt(n4,tptp_minus_1) )).

fof(gt_5_tptp_minus_1,axiom,
    ( gt(n5,tptp_minus_1) )).

fof(gt_0_tptp_minus_1,axiom,
    ( gt(n0,tptp_minus_1) )).

fof(gt_1_tptp_minus_1,axiom,
    ( gt(n1,tptp_minus_1) )).

fof(gt_2_tptp_minus_1,axiom,
    ( gt(n2,tptp_minus_1) )).

fof(gt_3_tptp_minus_1,axiom,
    ( gt(n3,tptp_minus_1) )).

fof(gt_4_0,axiom,
    ( gt(n4,n0) )).

fof(gt_5_0,axiom,
    ( gt(n5,n0) )).

fof(gt_1_0,axiom,
    ( gt(n1,n0) )).

fof(gt_2_0,axiom,
    ( gt(n2,n0) )).

fof(gt_3_0,axiom,
    ( gt(n3,n0) )).

fof(gt_4_1,axiom,
    ( gt(n4,n1) )).

fof(gt_5_1,axiom,
    ( gt(n5,n1) )).

fof(gt_2_1,axiom,
    ( gt(n2,n1) )).

fof(gt_3_1,axiom,
    ( gt(n3,n1) )).

fof(gt_4_2,axiom,
    ( gt(n4,n2) )).

fof(gt_5_2,axiom,
    ( gt(n5,n2) )).

fof(gt_3_2,axiom,
    ( gt(n3,n2) )).

fof(gt_4_3,axiom,
    ( gt(n4,n3) )).

fof(gt_5_3,axiom,
    ( gt(n5,n3) )).

fof(finite_domain_4,axiom,
    ( ! [X] : 
        ( ( leq(n0,X)
          & leq(X,n4) )
       => ( X = n0
          | X = n1
          | X = n2
          | X = n3
          | X = n4 ) ) )).

fof(finite_domain_5,axiom,
    ( ! [X] : 
        ( ( leq(n0,X)
          & leq(X,n5) )
       => ( X = n0
          | X = n1
          | X = n2
          | X = n3
          | X = n4
          | X = n5 ) ) )).

fof(finite_domain_0,axiom,
    ( ! [X] : 
        ( ( leq(n0,X)
          & leq(X,n0) )
       => X = n0 ) )).

fof(finite_domain_1,axiom,
    ( ! [X] : 
        ( ( leq(n0,X)
          & leq(X,n1) )
       => ( X = n0
          | X = n1 ) ) )).

fof(finite_domain_2,axiom,
    ( ! [X] : 
        ( ( leq(n0,X)
          & leq(X,n2) )
       => ( X = n0
          | X = n1
          | X = n2 ) ) )).

fof(finite_domain_3,axiom,
    ( ! [X] : 
        ( ( leq(n0,X)
          & leq(X,n3) )
       => ( X = n0
          | X = n1
          | X = n2
          | X = n3 ) ) )).

fof(successor_4,axiom,
    ( succ(succ(succ(succ(n0)))) = n4 )).

fof(successor_5,axiom,
    ( succ(succ(succ(succ(succ(n0))))) = n5 )).

fof(successor_1,axiom,
    ( succ(n0) = n1 )).

fof(successor_2,axiom,
    ( succ(succ(n0)) = n2 )).

fof(successor_3,axiom,
    ( succ(succ(succ(n0))) = n3 )).
%------------------------------------------------------------------------------
