%--------------------------------------------------------------------------
% File     : SYN418+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=10, R=1, L=100, K=3, D=2, P=0, Index=002
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-10-1-100-3-2-002.dfg [Wei97]

% Status   : CounterSatisfiable
% Rating   : 0.50 v3.1.0, 0.67 v2.7.0, 0.83 v2.6.0, 0.50 v2.5.0, 0.33 v2.3.0, 0.00 v2.1.0
%
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
%
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       : 1074 (   0 equality)
%            Maximal formula depth :   96 (  96 average)
%            Number of connectives : 1473 ( 400 ~  ; 428  |; 498  &)
%                                         (   0 <=>; 147 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :  178 ( 157 propositional; 0-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :  147 (   0 singleton; 147 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%--------------------------------------------------------------------------
fof(co1,conjecture,
    ( ~ ( ( ( ndr1_0
            & ndr1_1(a1)
            & ~ c3_2(a1,a2)
            & ~ c5_2(a1,a2)
            & c6_2(a1,a2)
            & c9_1(a1)
            & c6_1(a1) )
          | ( ndr1_0
            & ndr1_1(a3)
            & ~ c3_2(a3,a4)
            & c1_2(a3,a4)
            & c5_2(a3,a4)
            & ~ c1_1(a3)
            & ndr1_1(a3)
            & ~ c1_2(a3,a5)
            & c7_2(a3,a5)
            & ~ c3_2(a3,a5) )
          | ! [U] : 
              ( ndr1_0
             => ( c6_1(U)
                | ~ c7_1(U) ) ) )
        & ( ( ndr1_0
            & c10_1(a6)
            & ~ c6_1(a6)
            & ~ c4_1(a6) )
          | ( ndr1_0
            & ndr1_1(a7)
            & ~ c1_2(a7,a8)
            & ~ c9_2(a7,a8)
            & c2_2(a7,a8)
            & c10_1(a7)
            & c8_1(a7) ) )
        & ( ~ c7_0
          | ! [V] : 
              ( ndr1_0
             => ( ~ c3_1(V)
                | c6_1(V)
                | ! [W] : 
                    ( ndr1_1(V)
                   => ( ~ c6_2(V,W)
                      | c1_2(V,W)
                      | ~ c8_2(V,W) ) ) ) )
          | ~ c10_0 )
        & ( ! [X] : 
              ( ndr1_0
             => ( c10_1(X)
                | ~ c7_1(X)
                | ! [Y] : 
                    ( ndr1_1(X)
                   => ( c3_2(X,Y)
                      | ~ c10_2(X,Y)
                      | ~ c1_2(X,Y) ) ) ) )
          | ( ndr1_0
            & ~ c8_1(a9)
            & ! [Z] : 
                ( ndr1_1(a9)
               => ( c4_2(a9,Z)
                  | c5_2(a9,Z) ) )
            & ndr1_1(a9)
            & ~ c3_2(a9,a10)
            & ~ c6_2(a9,a10)
            & c2_2(a9,a10) )
          | ! [X1] : 
              ( ndr1_0
             => ( ( ndr1_1(X1)
                  & c1_2(X1,a11)
                  & ~ c9_2(X1,a11)
                  & c2_2(X1,a11) )
                | ~ c3_1(X1)
                | ! [X2] : 
                    ( ndr1_1(X1)
                   => ( c4_2(X1,X2)
                      | ~ c8_2(X1,X2)
                      | ~ c1_2(X1,X2) ) ) ) ) )
        & ( ( ndr1_0
            & ~ c3_1(a12)
            & ndr1_1(a12)
            & c6_2(a12,a13)
            & c4_2(a12,a13)
            & ~ c9_2(a12,a13) )
          | c8_0
          | ! [X3] : 
              ( ndr1_0
             => ( ! [X4] : 
                    ( ndr1_1(X3)
                   => ( ~ c2_2(X3,X4)
                      | c1_2(X3,X4)
                      | ~ c7_2(X3,X4) ) )
                | ~ c6_1(X3)
                | ( ndr1_1(X3)
                  & c2_2(X3,a14)
                  & c10_2(X3,a14)
                  & ~ c7_2(X3,a14) ) ) ) )
        & ( ~ c3_0
          | c1_0
          | ~ c2_0 )
        & ( ~ c2_0
          | ~ c3_0
          | c4_0 )
        & ( c8_0
          | ! [X5] : 
              ( ndr1_0
             => ( c3_1(X5)
                | ! [X6] : 
                    ( ndr1_1(X5)
                   => ( c7_2(X5,X6)
                      | ~ c10_2(X5,X6)
                      | c6_2(X5,X6) ) )
                | ~ c10_1(X5) ) )
          | ( ndr1_0
            & ! [X7] : 
                ( ndr1_1(a15)
               => ( ~ c2_2(a15,X7)
                  | c5_2(a15,X7)
                  | ~ c4_2(a15,X7) ) )
            & c3_1(a15)
            & ! [X8] : 
                ( ndr1_1(a15)
               => ( ~ c9_2(a15,X8)
                  | ~ c4_2(a15,X8)
                  | ~ c6_2(a15,X8) ) ) ) )
        & ( ~ c1_0
          | ( ndr1_0
            & ndr1_1(a16)
            & ~ c8_2(a16,a17)
            & ~ c2_2(a16,a17)
            & c9_2(a16,a17)
            & ! [X9] : 
                ( ndr1_1(a16)
               => ( ~ c4_2(a16,X9)
                  | ~ c7_2(a16,X9)
                  | ~ c10_2(a16,X9) ) )
            & ~ c3_1(a16) )
          | ( ndr1_0
            & c6_1(a18)
            & ! [X10] : 
                ( ndr1_1(a18)
               => ( c8_2(a18,X10)
                  | c4_2(a18,X10)
                  | c7_2(a18,X10) ) )
            & c3_1(a18) ) )
        & ( ! [X11] : 
              ( ndr1_0
             => ~ c6_1(X11) )
          | ( ndr1_0
            & ndr1_1(a19)
            & c2_2(a19,a20)
            & c9_2(a19,a20)
            & ~ c4_2(a19,a20)
            & ndr1_1(a19)
            & c2_2(a19,a21)
            & ~ c8_2(a19,a21)
            & c7_1(a19) )
          | ( ndr1_0
            & ndr1_1(a22)
            & c2_2(a22,a23)
            & c7_2(a22,a23)
            & c10_2(a22,a23)
            & ndr1_1(a22)
            & ~ c6_2(a22,a24)
            & ~ c1_2(a22,a24)
            & ~ c2_2(a22,a24)
            & c8_1(a22) ) )
        & ( ~ c4_0
          | ! [X12] : 
              ( ndr1_0
             => ( ( ndr1_1(X12)
                  & c8_2(X12,a25)
                  & c5_2(X12,a25)
                  & c3_2(X12,a25) )
                | ~ c3_1(X12) ) ) )
        & ( c10_0
          | ~ c9_0
          | ( ndr1_0
            & c8_1(a26)
            & ndr1_1(a26)
            & c9_2(a26,a27)
            & c6_2(a26,a27)
            & ~ c5_2(a26,a27)
            & ! [X13] : 
                ( ndr1_1(a26)
               => ( ~ c7_2(a26,X13)
                  | c8_2(a26,X13)
                  | ~ c4_2(a26,X13) ) ) ) )
        & ( c10_0
          | ! [X14] : 
              ( ndr1_0
             => ( ! [X15] : 
                    ( ndr1_1(X14)
                   => ( ~ c1_2(X14,X15)
                      | c10_2(X14,X15)
                      | ~ c9_2(X14,X15) ) )
                | ! [X16] : 
                    ( ndr1_1(X14)
                   => ( c9_2(X14,X16)
                      | c3_2(X14,X16)
                      | c1_2(X14,X16) ) )
                | ! [X17] : 
                    ( ndr1_1(X14)
                   => ( c9_2(X14,X17)
                      | ~ c1_2(X14,X17)
                      | ~ c10_2(X14,X17) ) ) ) )
          | c6_0 )
        & ( ~ c4_0
          | ( ndr1_0
            & ! [X18] : 
                ( ndr1_1(a28)
               => ( c7_2(a28,X18)
                  | c3_2(a28,X18)
                  | ~ c6_2(a28,X18) ) )
            & ~ c10_1(a28)
            & ! [X19] : 
                ( ndr1_1(a28)
               => ( ~ c1_2(a28,X19)
                  | ~ c8_2(a28,X19)
                  | c5_2(a28,X19) ) ) )
          | ~ c8_0 )
        & ( c10_0
          | ~ c7_0
          | c8_0 )
        & ( ~ c6_0
          | c7_0
          | ~ c2_0 )
        & ( c10_0
          | c8_0
          | ! [X20] : 
              ( ndr1_0
             => ( c8_1(X20)
                | ~ c6_1(X20)
                | ! [X21] : 
                    ( ndr1_1(X20)
                   => ( ~ c4_2(X20,X21)
                      | ~ c7_2(X20,X21) ) ) ) ) )
        & ( ~ c10_0
          | ~ c5_0
          | ( ndr1_0
            & ~ c7_1(a29)
            & c9_1(a29)
            & ndr1_1(a29)
            & c8_2(a29,a30)
            & ~ c5_2(a29,a30)
            & ~ c4_2(a29,a30) ) )
        & ( c5_0
          | c10_0 )
        & ( ( ndr1_0
            & ndr1_1(a31)
            & ~ c7_2(a31,a32)
            & c3_2(a31,a32)
            & c8_2(a31,a32)
            & ~ c5_1(a31)
            & ! [X22] : 
                ( ndr1_1(a31)
               => ( ~ c2_2(a31,X22)
                  | c1_2(a31,X22)
                  | c6_2(a31,X22) ) ) )
          | ( ndr1_0
            & c3_1(a33)
            & ndr1_1(a33)
            & ~ c6_2(a33,a34)
            & c10_2(a33,a34)
            & ~ c5_2(a33,a34)
            & c6_1(a33) )
          | ( ndr1_0
            & ~ c8_1(a35)
            & c2_1(a35)
            & ndr1_1(a35)
            & ~ c4_2(a35,a36)
            & c7_2(a35,a36)
            & c8_2(a35,a36) ) )
        & ( ( ndr1_0
            & ndr1_1(a37)
            & c4_2(a37,a38)
            & c6_2(a37,a38)
            & ~ c3_2(a37,a38)
            & ! [X23] : 
                ( ndr1_1(a37)
               => ( ~ c7_2(a37,X23)
                  | c10_2(a37,X23) ) )
            & ~ c5_1(a37) )
          | ! [X24] : 
              ( ndr1_0
             => ( ! [X25] : 
                    ( ndr1_1(X24)
                   => ( ~ c2_2(X24,X25)
                      | c10_2(X24,X25)
                      | ~ c5_2(X24,X25) ) )
                | ( ndr1_1(X24)
                  & c2_2(X24,a39)
                  & ~ c9_2(X24,a39)
                  & ~ c3_2(X24,a39) )
                | ! [X26] : 
                    ( ndr1_1(X24)
                   => ( ~ c4_2(X24,X26)
                      | c5_2(X24,X26)
                      | c3_2(X24,X26) ) ) ) )
          | ! [X27] : 
              ( ndr1_0
             => ( ( ndr1_1(X27)
                  & ~ c3_2(X27,a40)
                  & ~ c4_2(X27,a40)
                  & c9_2(X27,a40) )
                | ! [X28] : 
                    ( ndr1_1(X27)
                   => ( ~ c8_2(X27,X28)
                      | ~ c6_2(X27,X28)
                      | ~ c3_2(X27,X28) ) )
                | ! [X29] : 
                    ( ndr1_1(X27)
                   => ( ~ c9_2(X27,X29)
                      | ~ c2_2(X27,X29)
                      | c7_2(X27,X29) ) ) ) ) )
        & ( c9_0
          | ( ndr1_0
            & ! [X30] : 
                ( ndr1_1(a41)
               => ( c8_2(a41,X30)
                  | c3_2(a41,X30)
                  | c6_2(a41,X30) ) )
            & ~ c10_1(a41) )
          | ! [X31] : 
              ( ndr1_0
             => ( ( ndr1_1(X31)
                  & c5_2(X31,a42)
                  & c4_2(X31,a42)
                  & ~ c10_2(X31,a42) )
                | ! [X32] : 
                    ( ndr1_1(X31)
                   => ( c2_2(X31,X32)
                      | ~ c7_2(X31,X32)
                      | c3_2(X31,X32) ) )
                | ! [X33] : 
                    ( ndr1_1(X31)
                   => ( ~ c9_2(X31,X33)
                      | ~ c8_2(X31,X33) ) ) ) ) )
        & ( ~ c5_0
          | ! [X34] : 
              ( ndr1_0
             => ( ( ndr1_1(X34)
                  & c1_2(X34,a43)
                  & ~ c8_2(X34,a43)
                  & c10_2(X34,a43) )
                | ! [X35] : 
                    ( ndr1_1(X34)
                   => ( ~ c3_2(X34,X35)
                      | c4_2(X34,X35)
                      | c2_2(X34,X35) ) )
                | ! [X36] : 
                    ( ndr1_1(X34)
                   => ( ~ c4_2(X34,X36)
                      | ~ c9_2(X34,X36)
                      | ~ c3_2(X34,X36) ) ) ) )
          | c3_0 )
        & ( ~ c10_0
          | ( ndr1_0
            & ! [X37] : 
                ( ndr1_1(a44)
               => ( ~ c5_2(a44,X37)
                  | c4_2(a44,X37)
                  | c3_2(a44,X37) ) )
            & c4_1(a44)
            & c3_1(a44) )
          | ~ c1_0 )
        & ( ! [X38] : 
              ( ndr1_0
             => ( ~ c8_1(X38)
                | c1_1(X38) ) )
          | ( ndr1_0
            & ndr1_1(a45)
            & ~ c10_2(a45,a46)
            & ~ c8_2(a45,a46)
            & ~ c4_2(a45,a46)
            & ndr1_1(a45)
            & c3_2(a45,a47)
            & ~ c4_2(a45,a47)
            & ~ c1_2(a45,a47)
            & ndr1_1(a45)
            & c7_2(a45,a48)
            & ~ c2_2(a45,a48)
            & c9_2(a45,a48) )
          | ! [X39] : 
              ( ndr1_0
             => ( c1_1(X39)
                | ( ndr1_1(X39)
                  & c5_2(X39,a49)
                  & ~ c3_2(X39,a49)
                  & c7_2(X39,a49) )
                | ( ndr1_1(X39)
                  & c1_2(X39,a50)
                  & c8_2(X39,a50)
                  & c10_2(X39,a50) ) ) ) )
        & ( ! [X40] : 
              ( ndr1_0
             => ( c10_1(X40)
                | ~ c4_1(X40) ) )
          | ! [X41] : 
              ( ndr1_0
             => ( c3_1(X41)
                | ~ c8_1(X41)
                | ~ c2_1(X41) ) )
          | c2_0 )
        & ( ! [X42] : 
              ( ndr1_0
             => ( ! [X43] : 
                    ( ndr1_1(X42)
                   => ( c6_2(X42,X43)
                      | ~ c7_2(X42,X43)
                      | c1_2(X42,X43) ) )
                | c10_1(X42) ) )
          | c8_0 )
        & ( ~ c7_0
          | ~ c9_0
          | c4_0 )
        & ( ~ c6_0
          | ( ndr1_0
            & ! [X44] : 
                ( ndr1_1(a51)
               => ( ~ c9_2(a51,X44)
                  | ~ c1_2(a51,X44)
                  | ~ c4_2(a51,X44) ) )
            & c6_1(a51)
            & c2_1(a51) )
          | c4_0 )
        & ( ~ c10_0
          | c3_0
          | ! [X45] : 
              ( ndr1_0
             => ( ! [X46] : 
                    ( ndr1_1(X45)
                   => ( c10_2(X45,X46)
                      | ~ c7_2(X45,X46) ) )
                | c10_1(X45)
                | ( ndr1_1(X45)
                  & c8_2(X45,a52)
                  & ~ c9_2(X45,a52)
                  & c3_2(X45,a52) ) ) ) )
        & ( ~ c1_0
          | ~ c5_0
          | ( ndr1_0
            & ! [X47] : 
                ( ndr1_1(a53)
               => ( c1_2(a53,X47)
                  | ~ c3_2(a53,X47)
                  | c6_2(a53,X47) ) )
            & ndr1_1(a53)
            & ~ c3_2(a53,a54)
            & c9_2(a53,a54)
            & ! [X48] : 
                ( ndr1_1(a53)
               => ( c4_2(a53,X48)
                  | ~ c10_2(a53,X48)
                  | c7_2(a53,X48) ) ) ) )
        & ( ( ndr1_0
            & ~ c6_1(a55)
            & ~ c10_1(a55) )
          | ( ndr1_0
            & ~ c1_1(a56)
            & ~ c8_1(a56) )
          | ! [X49] : 
              ( ndr1_0
             => ( c6_1(X49)
                | ! [X50] : 
                    ( ndr1_1(X49)
                   => ( c2_2(X49,X50)
                      | c6_2(X49,X50)
                      | c4_2(X49,X50) ) )
                | c1_1(X49) ) ) )
        & ( ~ c6_0
          | ~ c5_0
          | ! [X51] : 
              ( ndr1_0
             => ( c10_1(X51)
                | c4_1(X51) ) ) )
        & ( c4_0
          | c6_0
          | c2_0 )
        & ( ~ c2_0
          | ! [X52] : 
              ( ndr1_0
             => ( c9_1(X52)
                | ( ndr1_1(X52)
                  & ~ c5_2(X52,a57)
                  & c7_2(X52,a57)
                  & ~ c4_2(X52,a57) )
                | ( ndr1_1(X52)
                  & c3_2(X52,a58)
                  & ~ c4_2(X52,a58)
                  & c2_2(X52,a58) ) ) )
          | ( ndr1_0
            & ! [X53] : 
                ( ndr1_1(a59)
               => ( ~ c7_2(a59,X53)
                  | c8_2(a59,X53)
                  | c9_2(a59,X53) ) )
            & ~ c9_1(a59) ) )
        & ( ! [X54] : 
              ( ndr1_0
             => ( ~ c3_1(X54)
                | c8_1(X54) ) )
          | ! [X55] : 
              ( ndr1_0
             => ( ! [X56] : 
                    ( ndr1_1(X55)
                   => ( c7_2(X55,X56)
                      | c5_2(X55,X56)
                      | ~ c1_2(X55,X56) ) )
                | ( ndr1_1(X55)
                  & c7_2(X55,a60)
                  & ~ c9_2(X55,a60)
                  & c5_2(X55,a60) )
                | ( ndr1_1(X55)
                  & c9_2(X55,a61)
                  & ~ c5_2(X55,a61) ) ) )
          | ! [X57] : 
              ( ndr1_0
             => ( ( ndr1_1(X57)
                  & ~ c9_2(X57,a62)
                  & c3_2(X57,a62)
                  & c5_2(X57,a62) )
                | ( ndr1_1(X57)
                  & ~ c7_2(X57,a63)
                  & ~ c8_2(X57,a63)
                  & c3_2(X57,a63) )
                | ~ c5_1(X57) ) ) )
        & ( ! [X58] : 
              ( ndr1_0
             => ( ( ndr1_1(X58)
                  & ~ c6_2(X58,a64)
                  & ~ c9_2(X58,a64) )
                | ( ndr1_1(X58)
                  & c4_2(X58,a65)
                  & c5_2(X58,a65)
                  & ~ c6_2(X58,a65) )
                | ~ c4_1(X58) ) )
          | ~ c3_0
          | ~ c10_0 )
        & ( ( ndr1_0
            & ! [X59] : 
                ( ndr1_1(a66)
               => ( c3_2(a66,X59)
                  | c1_2(a66,X59) ) )
            & ~ c9_1(a66)
            & c4_1(a66) )
          | ! [X60] : 
              ( ndr1_0
             => ( ~ c10_1(X60)
                | ~ c8_1(X60)
                | ( ndr1_1(X60)
                  & c4_2(X60,a67)
                  & ~ c2_2(X60,a67)
                  & ~ c1_2(X60,a67) ) ) )
          | c7_0 )
        & ( c3_0
          | ( ndr1_0
            & c2_1(a68)
            & ndr1_1(a68)
            & ~ c3_2(a68,a69)
            & ~ c5_2(a68,a69)
            & ~ c7_2(a68,a69)
            & c4_1(a68) )
          | ! [X61] : 
              ( ndr1_0
             => ( ( ndr1_1(X61)
                  & ~ c5_2(X61,a70)
                  & ~ c4_2(X61,a70)
                  & ~ c3_2(X61,a70) )
                | ! [X62] : 
                    ( ndr1_1(X61)
                   => ( ~ c5_2(X61,X62)
                      | c3_2(X61,X62)
                      | c2_2(X61,X62) ) )
                | ~ c1_1(X61) ) ) )
        & ( ! [X63] : 
              ( ndr1_0
             => ( ! [X64] : 
                    ( ndr1_1(X63)
                   => ( c2_2(X63,X64)
                      | ~ c7_2(X63,X64)
                      | ~ c3_2(X63,X64) ) )
                | c5_1(X63)
                | ! [X65] : 
                    ( ndr1_1(X63)
                   => ( c1_2(X63,X65)
                      | ~ c8_2(X63,X65)
                      | ~ c5_2(X63,X65) ) ) ) )
          | ! [X66] : 
              ( ndr1_0
             => ( c1_1(X66)
                | ! [X67] : 
                    ( ndr1_1(X66)
                   => ( ~ c8_2(X66,X67)
                      | c10_2(X66,X67)
                      | ~ c7_2(X66,X67) ) )
                | c10_1(X66) ) )
          | ( ndr1_0
            & ndr1_1(a71)
            & c4_2(a71,a72)
            & ~ c10_2(a71,a72)
            & c7_2(a71,a72)
            & ~ c8_1(a71)
            & ~ c2_1(a71) ) )
        & ( ( ndr1_0
            & ! [X68] : 
                ( ndr1_1(a73)
               => ( c5_2(a73,X68)
                  | ~ c10_2(a73,X68)
                  | ~ c7_2(a73,X68) ) )
            & ~ c4_1(a73)
            & ~ c7_1(a73) )
          | ! [X69] : 
              ( ndr1_0
             => ( ! [X70] : 
                    ( ndr1_1(X69)
                   => ( c9_2(X69,X70)
                      | c2_2(X69,X70)
                      | ~ c8_2(X69,X70) ) )
                | c8_1(X69)
                | ! [X71] : 
                    ( ndr1_1(X69)
                   => ( c7_2(X69,X71)
                      | c6_2(X69,X71)
                      | ~ c5_2(X69,X71) ) ) ) ) )
        & ( c8_0
          | c7_0
          | c4_0 )
        & ( c8_0
          | ! [X72] : 
              ( ndr1_0
             => ( ! [X73] : 
                    ( ndr1_1(X72)
                   => ( ~ c10_2(X72,X73)
                      | c6_2(X72,X73)
                      | ~ c1_2(X72,X73) ) )
                | ~ c1_1(X72) ) )
          | ! [X74] : 
              ( ndr1_0
             => ( ndr1_1(X74)
                & ~ c2_2(X74,a74)
                & ~ c8_2(X74,a74)
                & c3_2(X74,a74) ) ) )
        & ( ~ c10_0
          | ( ndr1_0
            & ! [X75] : 
                ( ndr1_1(a75)
               => ( ~ c5_2(a75,X75)
                  | ~ c6_2(a75,X75)
                  | c4_2(a75,X75) ) )
            & ~ c9_1(a75)
            & ~ c2_1(a75) )
          | ! [X76] : 
              ( ndr1_0
             => ( ~ c5_1(X76)
                | ( ndr1_1(X76)
                  & c7_2(X76,a76)
                  & c6_2(X76,a76)
                  & c8_2(X76,a76) )
                | ! [X77] : 
                    ( ndr1_1(X76)
                   => ( c7_2(X76,X77)
                      | ~ c5_2(X76,X77)
                      | ~ c1_2(X76,X77) ) ) ) ) )
        & ( c4_0
          | c1_0
          | ( ndr1_0
            & ~ c2_1(a77)
            & ndr1_1(a77)
            & ~ c1_2(a77,a78)
            & ~ c8_2(a77,a78)
            & c5_2(a77,a78)
            & c4_1(a77) ) )
        & ( ~ c7_0
          | ! [X78] : 
              ( ndr1_0
             => ( c7_1(X78)
                | ( ndr1_1(X78)
                  & ~ c8_2(X78,a79)
                  & c2_2(X78,a79) )
                | ( ndr1_1(X78)
                  & c10_2(X78,a80)
                  & ~ c4_2(X78,a80)
                  & c3_2(X78,a80) ) ) ) )
        & ( c2_0
          | c10_0 )
        & ( c9_0
          | ! [X79] : 
              ( ndr1_0
             => ( ! [X80] : 
                    ( ndr1_1(X79)
                   => ( ~ c5_2(X79,X80)
                      | c8_2(X79,X80)
                      | ~ c3_2(X79,X80) ) )
                | c10_1(X79)
                | c7_1(X79) ) )
          | ( ndr1_0
            & ~ c1_1(a81)
            & ~ c9_1(a81)
            & ndr1_1(a81)
            & ~ c10_2(a81,a82)
            & c3_2(a81,a82)
            & ~ c1_2(a81,a82) ) )
        & ( ! [X81] : 
              ( ndr1_0
             => ( ! [X82] : 
                    ( ndr1_1(X81)
                   => ( ~ c2_2(X81,X82)
                      | ~ c3_2(X81,X82)
                      | ~ c5_2(X81,X82) ) )
                | ( ndr1_1(X81)
                  & c6_2(X81,a83) )
                | ~ c3_1(X81) ) )
          | c3_0
          | c5_0 )
        & ( ! [X83] : 
              ( ndr1_0
             => ( ( ndr1_1(X83)
                  & c9_2(X83,a84)
                  & c5_2(X83,a84)
                  & ~ c8_2(X83,a84) )
                | ( ndr1_1(X83)
                  & c6_2(X83,a85)
                  & c3_2(X83,a85)
                  & ~ c9_2(X83,a85) )
                | ( ndr1_1(X83)
                  & ~ c10_2(X83,a86)
                  & ~ c2_2(X83,a86)
                  & ~ c8_2(X83,a86) ) ) )
          | c2_0
          | c3_0 )
        & ( ( ndr1_0
            & ndr1_1(a87)
            & ~ c6_2(a87,a88)
            & ~ c9_2(a87,a88)
            & ! [X84] : 
                ( ndr1_1(a87)
               => ( ~ c1_2(a87,X84)
                  | c6_2(a87,X84)
                  | ~ c5_2(a87,X84) ) )
            & ~ c1_1(a87) )
          | ! [X85] : 
              ( ndr1_0
             => ( ( ndr1_1(X85)
                  & ~ c9_2(X85,a89)
                  & c10_2(X85,a89)
                  & c4_2(X85,a89) )
                | c4_1(X85)
                | ~ c6_1(X85) ) )
          | c4_0 )
        & ( ~ c8_0
          | ( ndr1_0
            & ndr1_1(a90)
            & ~ c2_2(a90,a91)
            & c4_2(a90,a91)
            & c7_2(a90,a91)
            & ~ c4_1(a90) )
          | ! [X86] : 
              ( ndr1_0
             => ( ~ c8_1(X86)
                | ( ndr1_1(X86)
                  & c8_2(X86,a92)
                  & c9_2(X86,a92)
                  & c10_2(X86,a92) )
                | ! [X87] : 
                    ( ndr1_1(X86)
                   => ( ~ c4_2(X86,X87)
                      | ~ c6_2(X86,X87)
                      | ~ c8_2(X86,X87) ) ) ) ) )
        & ( ( ndr1_0
            & ndr1_1(a93)
            & c4_2(a93,a94)
            & ~ c7_2(a93,a94)
            & ~ c2_2(a93,a94)
            & ~ c8_1(a93)
            & ~ c2_1(a93) )
          | c7_0
          | c1_0 )
        & ( ~ c4_0
          | ( ndr1_0
            & ndr1_1(a95)
            & c8_2(a95,a96)
            & ~ c2_2(a95,a96)
            & ~ c4_2(a95,a96)
            & c4_1(a95) )
          | ~ c3_0 )
        & ( ( ndr1_0
            & ! [X88] : 
                ( ndr1_1(a97)
               => ( c9_2(a97,X88)
                  | ~ c6_2(a97,X88) ) )
            & c8_1(a97)
            & c5_1(a97) )
          | c8_0
          | ( ndr1_0
            & ndr1_1(a98)
            & c1_2(a98,a99)
            & ~ c6_2(a98,a99)
            & c9_2(a98,a99)
            & ~ c8_1(a98)
            & c2_1(a98) ) )
        & ( c4_0
          | ( ndr1_0
            & ! [X89] : 
                ( ndr1_1(a100)
               => ( c2_2(a100,X89)
                  | ~ c3_2(a100,X89)
                  | ~ c7_2(a100,X89) ) )
            & c9_1(a100)
            & ndr1_1(a100)
            & ~ c6_2(a100,a101)
            & ~ c5_2(a100,a101)
            & c9_2(a100,a101) )
          | ( ndr1_0
            & c10_1(a102)
            & ndr1_1(a102)
            & ~ c2_2(a102,a103)
            & ~ c4_2(a102,a103)
            & ~ c6_2(a102,a103)
            & c4_1(a102) ) )
        & ( ~ c6_0
          | ! [X90] : 
              ( ndr1_0
             => ( ! [X91] : 
                    ( ndr1_1(X90)
                   => ( c3_2(X90,X91)
                      | c10_2(X90,X91)
                      | ~ c5_2(X90,X91) ) )
                | c9_1(X90)
                | ~ c5_1(X90) ) )
          | ! [X92] : 
              ( ndr1_0
             => ( ~ c6_1(X92)
                | ( ndr1_1(X92)
                  & ~ c4_2(X92,a104)
                  & ~ c1_2(X92,a104)
                  & c8_2(X92,a104) )
                | ! [X93] : 
                    ( ndr1_1(X92)
                   => ( ~ c1_2(X92,X93)
                      | c4_2(X92,X93) ) ) ) ) )
        & ( ( ndr1_0
            & ndr1_1(a105)
            & ~ c6_2(a105,a106)
            & c4_2(a105,a106)
            & ~ c2_2(a105,a106)
            & ndr1_1(a105)
            & ~ c9_2(a105,a107)
            & c6_2(a105,a107)
            & ~ c5_2(a105,a107)
            & c7_1(a105) )
          | c2_0
          | ( ndr1_0
            & ndr1_1(a108)
            & ~ c7_2(a108,a109)
            & c1_2(a108,a109)
            & ~ c2_2(a108,a109)
            & ! [X94] : 
                ( ndr1_1(a108)
               => ( ~ c2_2(a108,X94)
                  | ~ c7_2(a108,X94) ) )
            & ndr1_1(a108)
            & c3_2(a108,a110)
            & ~ c2_2(a108,a110) ) )
        & ( ~ c8_0
          | ~ c5_0
          | ! [X95] : 
              ( ndr1_0
             => ( ~ c8_1(X95)
                | c5_1(X95)
                | c7_1(X95) ) ) )
        & ( ! [X96] : 
              ( ndr1_0
             => ( ! [X97] : 
                    ( ndr1_1(X96)
                   => ( c9_2(X96,X97)
                      | c6_2(X96,X97)
                      | ~ c8_2(X96,X97) ) )
                | ! [X98] : 
                    ( ndr1_1(X96)
                   => ( ~ c3_2(X96,X98)
                      | c8_2(X96,X98)
                      | c7_2(X96,X98) ) )
                | ~ c7_1(X96) ) )
          | ~ c4_0 )
        & ( ! [X99] : 
              ( ndr1_0
             => ( ~ c3_1(X99)
                | c8_1(X99)
                | ! [X100] : 
                    ( ndr1_1(X99)
                   => ( ~ c7_2(X99,X100)
                      | ~ c3_2(X99,X100)
                      | ~ c6_2(X99,X100) ) ) ) )
          | c3_0
          | c1_0 )
        & ( ~ c1_0
          | ! [X101] : 
              ( ndr1_0
             => ( ( ndr1_1(X101)
                  & c5_2(X101,a111)
                  & c4_2(X101,a111)
                  & ~ c3_2(X101,a111) )
                | ! [X102] : 
                    ( ndr1_1(X101)
                   => ( c10_2(X101,X102)
                      | ~ c4_2(X101,X102)
                      | c8_2(X101,X102) ) ) ) )
          | ( ndr1_0
            & c6_1(a112)
            & ~ c3_1(a112)
            & ndr1_1(a112)
            & ~ c4_2(a112,a113)
            & ~ c9_2(a112,a113) ) )
        & ( ~ c10_0
          | ( ndr1_0
            & ~ c1_1(a114)
            & ndr1_1(a114)
            & ~ c5_2(a114,a115)
            & c2_2(a114,a115)
            & ~ c4_2(a114,a115)
            & ! [X103] : 
                ( ndr1_1(a114)
               => ( c10_2(a114,X103)
                  | ~ c8_2(a114,X103)
                  | c1_2(a114,X103) ) ) )
          | c2_0 )
        & ( ~ c9_0
          | c8_0
          | ( ndr1_0
            & ndr1_1(a116)
            & ~ c10_2(a116,a117)
            & c3_2(a116,a117)
            & ~ c7_1(a116) ) )
        & ( ! [X104] : 
              ( ndr1_0
             => ( ( ndr1_1(X104)
                  & ~ c2_2(X104,a118)
                  & ~ c9_2(X104,a118)
                  & c5_2(X104,a118) )
                | ~ c4_1(X104)
                | ~ c2_1(X104) ) )
          | ( ndr1_0
            & ~ c6_1(a119)
            & c10_1(a119)
            & ndr1_1(a119)
            & ~ c1_2(a119,a120)
            & c5_2(a119,a120) )
          | c6_0 )
        & ( ( ndr1_0
            & ~ c9_1(a121)
            & ~ c6_1(a121)
            & ~ c10_1(a121) )
          | c3_0
          | ( ndr1_0
            & c9_1(a122)
            & c4_1(a122)
            & ! [X105] : 
                ( ndr1_1(a122)
               => ( c10_2(a122,X105)
                  | c3_2(a122,X105)
                  | c1_2(a122,X105) ) ) ) )
        & ( ~ c4_0
          | ~ c10_0
          | ~ c2_0 )
        & ( ! [X106] : 
              ( ndr1_0
             => ( ! [X107] : 
                    ( ndr1_1(X106)
                   => ( ~ c2_2(X106,X107)
                      | c4_2(X106,X107)
                      | c10_2(X106,X107) ) )
                | c7_1(X106)
                | c5_1(X106) ) )
          | ~ c8_0
          | ~ c1_0 )
        & ( ( ndr1_0
            & ndr1_1(a123)
            & c2_2(a123,a124)
            & ~ c4_2(a123,a124)
            & ~ c9_2(a123,a124)
            & ndr1_1(a123)
            & ~ c9_2(a123,a125)
            & c3_2(a123,a125)
            & ~ c4_2(a123,a125)
            & ~ c9_1(a123) )
          | c10_0
          | ( ndr1_0
            & c4_1(a126)
            & c6_1(a126) ) )
        & ( ! [X108] : 
              ( ndr1_0
             => ( c7_1(X108)
                | c3_1(X108)
                | ~ c1_1(X108) ) )
          | c6_0
          | ~ c4_0 )
        & ( ( ndr1_0
            & c4_1(a127)
            & ~ c2_1(a127)
            & ! [X109] : 
                ( ndr1_1(a127)
               => ( ~ c7_2(a127,X109)
                  | c10_2(a127,X109)
                  | ~ c4_2(a127,X109) ) ) )
          | ~ c1_0
          | c3_0 )
        & ( ( ndr1_0
            & ! [X110] : 
                ( ndr1_1(a128)
               => ( ~ c1_2(a128,X110)
                  | ~ c4_2(a128,X110)
                  | c6_2(a128,X110) ) )
            & ~ c1_1(a128)
            & ~ c4_1(a128) )
          | c5_0
          | ~ c9_0 )
        & ( ! [X111] : 
              ( ndr1_0
             => ( ! [X112] : 
                    ( ndr1_1(X111)
                   => ( ~ c9_2(X111,X112)
                      | c1_2(X111,X112)
                      | c2_2(X111,X112) ) )
                | c4_1(X111)
                | ! [X113] : 
                    ( ndr1_1(X111)
                   => ( c8_2(X111,X113)
                      | ~ c9_2(X111,X113)
                      | c7_2(X111,X113) ) ) ) )
          | ! [X114] : 
              ( ndr1_0
             => ( c1_1(X114)
                | c5_1(X114) ) )
          | ! [X115] : 
              ( ndr1_0
             => ( ! [X116] : 
                    ( ndr1_1(X115)
                   => ( c9_2(X115,X116)
                      | c7_2(X115,X116)
                      | c4_2(X115,X116) ) )
                | ~ c9_1(X115)
                | ( ndr1_1(X115)
                  & ~ c5_2(X115,a129)
                  & c6_2(X115,a129)
                  & c1_2(X115,a129) ) ) ) )
        & ( c9_0
          | ! [X117] : 
              ( ndr1_0
             => ( c5_1(X117)
                | ( ndr1_1(X117)
                  & ~ c7_2(X117,a130)
                  & c1_2(X117,a130) )
                | ! [X118] : 
                    ( ndr1_1(X117)
                   => ( c8_2(X117,X118)
                      | c10_2(X117,X118)
                      | ~ c6_2(X117,X118) ) ) ) )
          | c2_0 )
        & ( ! [X119] : 
              ( ndr1_0
             => ( ! [X120] : 
                    ( ndr1_1(X119)
                   => ( ~ c7_2(X119,X120)
                      | c9_2(X119,X120)
                      | ~ c6_2(X119,X120) ) )
                | ! [X121] : 
                    ( ndr1_1(X119)
                   => ( ~ c6_2(X119,X121)
                      | c9_2(X119,X121)
                      | c2_2(X119,X121) ) )
                | ( ndr1_1(X119)
                  & ~ c10_2(X119,a131)
                  & ~ c1_2(X119,a131)
                  & c2_2(X119,a131) ) ) )
          | ! [X122] : 
              ( ndr1_0
             => ( ~ c3_1(X122)
                | ( ndr1_1(X122)
                  & ~ c4_2(X122,a132)
                  & ~ c8_2(X122,a132)
                  & c5_2(X122,a132) ) ) )
          | ! [X123] : 
              ( ndr1_0
             => ( ~ c6_1(X123)
                | ( ndr1_1(X123)
                  & ~ c4_2(X123,a133)
                  & c7_2(X123,a133)
                  & ~ c8_2(X123,a133) )
                | ~ c10_1(X123) ) ) )
        & ( ~ c1_0
          | ~ c10_0
          | ( ndr1_0
            & ! [X124] : 
                ( ndr1_1(a134)
               => ( ~ c7_2(a134,X124)
                  | ~ c2_2(a134,X124)
                  | ~ c5_2(a134,X124) ) )
            & c10_1(a134)
            & ndr1_1(a134)
            & ~ c8_2(a134,a135)
            & ~ c6_2(a134,a135)
            & c3_2(a134,a135) ) )
        & ( ( ndr1_0
            & c7_1(a136)
            & ndr1_1(a136)
            & c2_2(a136,a137)
            & ~ c5_2(a136,a137)
            & ~ c10_2(a136,a137)
            & ~ c8_1(a136) )
          | ~ c8_0
          | ~ c2_0 )
        & ( c10_0
          | ! [X125] : 
              ( ndr1_0
             => ( ~ c4_1(X125)
                | c5_1(X125)
                | ( ndr1_1(X125)
                  & ~ c6_2(X125,a138)
                  & c4_2(X125,a138)
                  & ~ c1_2(X125,a138) ) ) )
          | ( ndr1_0
            & ~ c2_1(a139)
            & ndr1_1(a139)
            & c9_2(a139,a140)
            & ~ c3_2(a139,a140)
            & ~ c8_2(a139,a140)
            & ndr1_1(a139)
            & c1_2(a139,a141)
            & ~ c9_2(a139,a141) ) )
        & ( ! [X126] : 
              ( ndr1_0
             => ( c3_1(X126)
                | ~ c4_1(X126) ) )
          | ! [X127] : 
              ( ndr1_0
             => ( c1_1(X127)
                | ~ c3_1(X127)
                | ( ndr1_1(X127)
                  & c7_2(X127,a142)
                  & ~ c6_2(X127,a142)
                  & ~ c9_2(X127,a142) ) ) )
          | c8_0 )
        & ( c10_0
          | c4_0
          | ( ndr1_0
            & ndr1_1(a143)
            & c9_2(a143,a144)
            & ~ c5_2(a143,a144)
            & ~ c10_2(a143,a144)
            & c1_1(a143) ) )
        & ( c9_0
          | ! [X128] : 
              ( ndr1_0
             => ( ! [X129] : 
                    ( ndr1_1(X128)
                   => ( c2_2(X128,X129)
                      | ~ c8_2(X128,X129)
                      | c7_2(X128,X129) ) )
                | ~ c8_1(X128)
                | ~ c4_1(X128) ) )
          | ~ c6_0 )
        & ( ~ c2_0
          | c1_0
          | c3_0 )
        & ( ! [X130] : 
              ( ndr1_0
             => ( ! [X131] : 
                    ( ndr1_1(X130)
                   => ( c7_2(X130,X131)
                      | ~ c6_2(X130,X131)
                      | c8_2(X130,X131) ) )
                | c7_1(X130) ) )
          | ! [X132] : 
              ( ndr1_0
             => ( ! [X133] : 
                    ( ndr1_1(X132)
                   => ( c8_2(X132,X133)
                      | c7_2(X132,X133)
                      | ~ c3_2(X132,X133) ) )
                | c2_1(X132) ) )
          | c2_0 )
        & ( ! [X134] : 
              ( ndr1_0
             => ( c6_1(X134)
                | c7_1(X134) ) )
          | ! [X135] : 
              ( ndr1_0
             => ( c9_1(X135)
                | ( ndr1_1(X135)
                  & c3_2(X135,a145)
                  & c1_2(X135,a145)
                  & ~ c5_2(X135,a145) )
                | ~ c1_1(X135) ) )
          | ! [X136] : 
              ( ndr1_0
             => ( ( ndr1_1(X136)
                  & ~ c9_2(X136,a146)
                  & ~ c1_2(X136,a146)
                  & c7_2(X136,a146) )
                | ~ c7_1(X136)
                | ~ c10_1(X136) ) ) )
        & ( ! [X137] : 
              ( ndr1_0
             => ( c5_1(X137)
                | ! [X138] : 
                    ( ndr1_1(X137)
                   => ( c8_2(X137,X138)
                      | c6_2(X137,X138)
                      | ~ c2_2(X137,X138) ) )
                | ~ c1_1(X137) ) )
          | ! [X139] : 
              ( ndr1_0
             => ( ! [X140] : 
                    ( ndr1_1(X139)
                   => ( ~ c1_2(X139,X140)
                      | ~ c2_2(X139,X140)
                      | ~ c7_2(X139,X140) ) )
                | ! [X141] : 
                    ( ndr1_1(X139)
                   => ( ~ c7_2(X139,X141)
                      | c10_2(X139,X141)
                      | c2_2(X139,X141) ) )
                | c3_1(X139) ) )
          | c5_0 ) ) )).

%--------------------------------------------------------------------------
