%--------------------------------------------------------------------------
% File     : SYN421+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=10, R=1, L=110, K=3, D=2, P=0, Index=069
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-10-1-110-3-2-069.dfg [Wei97]

% Status   : CounterSatisfiable
% Rating   : 0.25 v3.1.0, 0.67 v2.7.0, 0.83 v2.6.0, 0.50 v2.5.0, 0.33 v2.3.0, 0.00 v2.2.1, 1.00 v2.1.0
%
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
%
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       : 1089 (   0 equality)
%            Maximal formula depth :  108 ( 108 average)
%            Number of connectives : 1495 ( 407 ~  ; 415  |; 546  &)
%                                         (   0 <=>; 127 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   32 (  11 propositional; 0-2 arity)
%            Number of functors    :  159 ( 159 constant; 0-0 arity)
%            Number of variables   :  127 (   0 singleton; 127 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%--------------------------------------------------------------------------
fof(co1,conjecture,
    ( ~ ( ( ( ndr1_0
            & c3_1(a449)
            & c8_1(a449)
            & ! [U] : 
                ( ndr1_1(a449)
               => ( c9_2(a449,U)
                  | c4_2(a449,U) ) ) )
          | ! [V] : 
              ( ndr1_0
             => ( ( ndr1_1(V)
                  & c9_2(V,a450)
                  & ~ c8_2(V,a450)
                  & ~ c6_2(V,a450) )
                | ~ c5_1(V)
                | ~ c1_1(V) ) )
          | c6_0 )
        & ( ~ c9_0
          | ~ c2_0
          | ! [W] : 
              ( ndr1_0
             => ( ( ndr1_1(W)
                  & c4_2(W,a451)
                  & c7_2(W,a451) )
                | ( ndr1_1(W)
                  & ~ c2_2(W,a452)
                  & c1_2(W,a452)
                  & c9_2(W,a452) )
                | ( ndr1_1(W)
                  & ~ c1_2(W,a453)
                  & c4_2(W,a453) ) ) ) )
        & ( c7_0
          | c4_0
          | ( ndr1_0
            & ~ c4_1(a454)
            & c5_1(a454)
            & ~ c9_1(a454) ) )
        & ( ( ndr1_0
            & c1_1(a455)
            & ~ c8_1(a455)
            & c9_1(a455) )
          | ! [X] : 
              ( ndr1_0
             => ( ~ c4_1(X)
                | ( ndr1_1(X)
                  & ~ c1_2(X,a456)
                  & ~ c6_2(X,a456)
                  & ~ c7_2(X,a456) )
                | ~ c3_1(X) ) )
          | c4_0 )
        & ( ( ndr1_0
            & ~ c2_1(a457)
            & c5_1(a457)
            & ndr1_1(a457)
            & ~ c10_2(a457,a458)
            & ~ c9_2(a457,a458) )
          | ~ c2_0
          | ~ c9_0 )
        & ( ~ c4_0
          | ! [Y] : 
              ( ndr1_0
             => ( c10_1(Y)
                | ! [Z] : 
                    ( ndr1_1(Y)
                   => ( c10_2(Y,Z)
                      | c2_2(Y,Z)
                      | c7_2(Y,Z) ) )
                | ( ndr1_1(Y)
                  & ~ c9_2(Y,a459)
                  & c2_2(Y,a459)
                  & c8_2(Y,a459) ) ) ) )
        & ( ! [X1] : 
              ( ndr1_0
             => ( ! [X2] : 
                    ( ndr1_1(X1)
                   => ( ~ c7_2(X1,X2)
                      | ~ c8_2(X1,X2)
                      | c3_2(X1,X2) ) )
                | c7_1(X1)
                | ~ c6_1(X1) ) )
          | c1_0
          | c3_0 )
        & ( ( ndr1_0
            & ~ c7_1(a460)
            & c6_1(a460)
            & ndr1_1(a460)
            & c4_2(a460,a461)
            & c3_2(a460,a461)
            & ~ c10_2(a460,a461) )
          | ~ c9_0
          | ~ c7_0 )
        & ( c5_0
          | ! [X3] : 
              ( ndr1_0
             => ( ! [X4] : 
                    ( ndr1_1(X3)
                   => ( c6_2(X3,X4)
                      | ~ c9_2(X3,X4)
                      | c8_2(X3,X4) ) )
                | ( ndr1_1(X3)
                  & ~ c1_2(X3,a462)
                  & c10_2(X3,a462)
                  & c2_2(X3,a462) )
                | ! [X5] : 
                    ( ndr1_1(X3)
                   => ( c7_2(X3,X5)
                      | ~ c1_2(X3,X5)
                      | c6_2(X3,X5) ) ) ) )
          | ( ndr1_0
            & ! [X6] : 
                ( ndr1_1(a463)
               => ( c6_2(a463,X6)
                  | ~ c3_2(a463,X6)
                  | c5_2(a463,X6) ) )
            & ~ c9_1(a463)
            & ~ c7_1(a463) ) )
        & ( ~ c1_0
          | ( ndr1_0
            & ndr1_1(a464)
            & c10_2(a464,a465)
            & ~ c6_2(a464,a465)
            & ~ c2_2(a464,a465)
            & c3_1(a464)
            & ndr1_1(a464)
            & c5_2(a464,a466)
            & ~ c7_2(a464,a466) )
          | ~ c9_0 )
        & ( c4_0
          | ( ndr1_0
            & c4_1(a467)
            & ndr1_1(a467)
            & c3_2(a467,a468)
            & c6_2(a467,a468)
            & ~ c10_2(a467,a468)
            & c2_1(a467) )
          | ! [X7] : 
              ( ndr1_0
             => ( ~ c8_1(X7)
                | ~ c2_1(X7)
                | ~ c7_1(X7) ) ) )
        & ( c10_0
          | ( ndr1_0
            & ! [X8] : 
                ( ndr1_1(a469)
               => ( ~ c8_2(a469,X8)
                  | ~ c6_2(a469,X8)
                  | c1_2(a469,X8) ) )
            & c6_1(a469)
            & c10_1(a469) )
          | ( ndr1_0
            & ~ c2_1(a470)
            & ! [X9] : 
                ( ndr1_1(a470)
               => ( c8_2(a470,X9)
                  | ~ c4_2(a470,X9)
                  | ~ c5_2(a470,X9) ) )
            & c8_1(a470) ) )
        & ( ~ c2_0
          | ( ndr1_0
            & c9_1(a471)
            & ndr1_1(a471)
            & c6_2(a471,a472)
            & ~ c4_2(a471,a472)
            & c3_2(a471,a472)
            & ~ c3_1(a471) )
          | ( ndr1_0
            & c7_1(a473)
            & c9_1(a473)
            & ! [X10] : 
                ( ndr1_1(a473)
               => ( c3_2(a473,X10)
                  | c8_2(a473,X10)
                  | ~ c6_2(a473,X10) ) ) ) )
        & ( ! [X11] : 
              ( ndr1_0
             => ( c7_1(X11)
                | ! [X12] : 
                    ( ndr1_1(X11)
                   => ( c5_2(X11,X12)
                      | ~ c9_2(X11,X12)
                      | c6_2(X11,X12) ) )
                | c1_1(X11) ) )
          | c9_0
          | ~ c2_0 )
        & ( c6_0
          | ! [X13] : 
              ( ndr1_0
             => ( c10_1(X13)
                | c9_1(X13)
                | ( ndr1_1(X13)
                  & c8_2(X13,a474)
                  & c7_2(X13,a474)
                  & ~ c6_2(X13,a474) ) ) )
          | ( ndr1_0
            & ndr1_1(a475)
            & c9_2(a475,a476)
            & ~ c10_2(a475,a476)
            & ~ c7_2(a475,a476) ) )
        & ( ( ndr1_0
            & ~ c5_1(a477)
            & c1_1(a477)
            & c6_1(a477) )
          | ~ c5_0
          | ~ c8_0 )
        & ( ( ndr1_0
            & c7_1(a478)
            & ndr1_1(a478)
            & c3_2(a478,a479)
            & ~ c1_2(a478,a479)
            & ~ c8_2(a478,a479)
            & ndr1_1(a478)
            & c7_2(a478,a480)
            & ~ c4_2(a478,a480)
            & c2_2(a478,a480) )
          | c3_0
          | ( ndr1_0
            & ! [X14] : 
                ( ndr1_1(a481)
               => ( ~ c7_2(a481,X14)
                  | ~ c3_2(a481,X14)
                  | ~ c5_2(a481,X14) ) )
            & ndr1_1(a481)
            & c4_2(a481,a482)
            & c10_2(a481,a482)
            & c6_2(a481,a482)
            & ndr1_1(a481)
            & c5_2(a481,a483)
            & c10_2(a481,a483)
            & ~ c7_2(a481,a483) ) )
        & ( ~ c4_0
          | ~ c8_0 )
        & ( ( ndr1_0
            & ! [X15] : 
                ( ndr1_1(a484)
               => ( ~ c5_2(a484,X15)
                  | c7_2(a484,X15) ) )
            & ! [X16] : 
                ( ndr1_1(a484)
               => ( c10_2(a484,X16)
                  | c8_2(a484,X16) ) )
            & ndr1_1(a484)
            & ~ c4_2(a484,a485)
            & ~ c8_2(a484,a485)
            & ~ c3_2(a484,a485) )
          | c1_0
          | c5_0 )
        & ( ~ c3_0
          | ! [X17] : 
              ( ndr1_0
             => ( ( ndr1_1(X17)
                  & ~ c1_2(X17,a486)
                  & ~ c2_2(X17,a486)
                  & ~ c9_2(X17,a486) )
                | ! [X18] : 
                    ( ndr1_1(X17)
                   => ( ~ c8_2(X17,X18)
                      | c6_2(X17,X18)
                      | ~ c4_2(X17,X18) ) )
                | ( ndr1_1(X17)
                  & ~ c10_2(X17,a487)
                  & c9_2(X17,a487) ) ) ) )
        & ( ( ndr1_0
            & ~ c9_1(a488)
            & c2_1(a488) )
          | c6_0
          | ( ndr1_0
            & ndr1_1(a489)
            & ~ c2_2(a489,a490)
            & ~ c1_2(a489,a490)
            & ~ c5_2(a489,a490)
            & ~ c6_1(a489)
            & ~ c10_1(a489) ) )
        & ( c4_0
          | ! [X19] : 
              ( ndr1_0
             => ( ~ c1_1(X19)
                | c7_1(X19) ) )
          | c3_0 )
        & ( ~ c2_0
          | ~ c9_0
          | c8_0 )
        & ( ( ndr1_0
            & ndr1_1(a491)
            & ~ c6_2(a491,a492)
            & c7_2(a491,a492)
            & ~ c2_2(a491,a492)
            & ! [X20] : 
                ( ndr1_1(a491)
               => ( ~ c4_2(a491,X20)
                  | c10_2(a491,X20)
                  | ~ c9_2(a491,X20) ) )
            & c1_1(a491) )
          | ~ c4_0
          | ! [X21] : 
              ( ndr1_0
             => ( c3_1(X21)
                | ! [X22] : 
                    ( ndr1_1(X21)
                   => ( c6_2(X21,X22)
                      | c10_2(X21,X22)
                      | c1_2(X21,X22) ) )
                | c1_1(X21) ) ) )
        & ( ~ c1_0
          | ( ndr1_0
            & c9_1(a493)
            & ! [X23] : 
                ( ndr1_1(a493)
               => ( ~ c6_2(a493,X23)
                  | c5_2(a493,X23) ) ) )
          | ( ndr1_0
            & ndr1_1(a494)
            & ~ c9_2(a494,a495)
            & c10_2(a494,a495)
            & ~ c6_2(a494,a495)
            & ~ c4_1(a494)
            & ~ c1_1(a494) ) )
        & ( c1_0
          | ! [X24] : 
              ( ndr1_0
             => ( ( ndr1_1(X24)
                  & c2_2(X24,a496)
                  & ~ c10_2(X24,a496)
                  & c6_2(X24,a496) )
                | ~ c1_1(X24)
                | ! [X25] : 
                    ( ndr1_1(X24)
                   => ( c5_2(X24,X25)
                      | c2_2(X24,X25)
                      | c8_2(X24,X25) ) ) ) )
          | ! [X26] : 
              ( ndr1_0
             => ( ( ndr1_1(X26)
                  & ~ c4_2(X26,a497)
                  & c2_2(X26,a497)
                  & c9_2(X26,a497) )
                | ( ndr1_1(X26)
                  & c10_2(X26,a498)
                  & c1_2(X26,a498) )
                | ! [X27] : 
                    ( ndr1_1(X26)
                   => ( ~ c6_2(X26,X27)
                      | ~ c1_2(X26,X27)
                      | c8_2(X26,X27) ) ) ) ) )
        & ( c5_0
          | c6_0
          | ! [X28] : 
              ( ndr1_0
             => ( c7_1(X28)
                | ! [X29] : 
                    ( ndr1_1(X28)
                   => ( ~ c4_2(X28,X29)
                      | c7_2(X28,X29)
                      | ~ c9_2(X28,X29) ) )
                | c5_1(X28) ) ) )
        & ( ~ c5_0
          | ~ c8_0
          | ( ndr1_0
            & ~ c4_1(a499)
            & ndr1_1(a499)
            & c10_2(a499,a500)
            & ~ c7_2(a499,a500)
            & c2_2(a499,a500)
            & ndr1_1(a499)
            & c10_2(a499,a501)
            & c6_2(a499,a501)
            & ~ c9_2(a499,a501) ) )
        & ( c8_0
          | ( ndr1_0
            & ~ c5_1(a502)
            & ~ c9_1(a502)
            & ndr1_1(a502)
            & ~ c1_2(a502,a503)
            & c8_2(a502,a503) )
          | ! [X30] : 
              ( ndr1_0
             => ( ! [X31] : 
                    ( ndr1_1(X30)
                   => ( c10_2(X30,X31)
                      | ~ c7_2(X30,X31)
                      | ~ c9_2(X30,X31) ) )
                | c9_1(X30)
                | c1_1(X30) ) ) )
        & ( ( ndr1_0
            & c10_1(a504)
            & ! [X32] : 
                ( ndr1_1(a504)
               => ( c1_2(a504,X32)
                  | ~ c9_2(a504,X32)
                  | c7_2(a504,X32) ) )
            & ndr1_1(a504)
            & ~ c3_2(a504,a505)
            & ~ c9_2(a504,a505)
            & ~ c2_2(a504,a505) )
          | ~ c10_0
          | ! [X33] : 
              ( ndr1_0
             => ( c3_1(X33)
                | ~ c6_1(X33)
                | c10_1(X33) ) ) )
        & ( ! [X34] : 
              ( ndr1_0
             => ( c5_1(X34)
                | c7_1(X34)
                | ~ c6_1(X34) ) )
          | c6_0
          | c9_0 )
        & ( ! [X35] : 
              ( ndr1_0
             => ( ( ndr1_1(X35)
                  & c10_2(X35,a506)
                  & ~ c3_2(X35,a506)
                  & c9_2(X35,a506) )
                | ! [X36] : 
                    ( ndr1_1(X35)
                   => ( c7_2(X35,X36)
                      | c2_2(X35,X36)
                      | ~ c5_2(X35,X36) ) )
                | c1_1(X35) ) )
          | ! [X37] : 
              ( ndr1_0
             => ( ( ndr1_1(X37)
                  & c6_2(X37,a507)
                  & ~ c4_2(X37,a507)
                  & c3_2(X37,a507) )
                | ! [X38] : 
                    ( ndr1_1(X37)
                   => ( c4_2(X37,X38)
                      | ~ c6_2(X37,X38)
                      | ~ c3_2(X37,X38) ) )
                | ( ndr1_1(X37)
                  & c7_2(X37,a508)
                  & c2_2(X37,a508)
                  & c3_2(X37,a508) ) ) )
          | ( ndr1_0
            & ndr1_1(a509)
            & ~ c2_2(a509,a510)
            & ~ c10_2(a509,a510)
            & c3_2(a509,a510)
            & c6_1(a509)
            & ~ c3_1(a509) ) )
        & ( ! [X39] : 
              ( ndr1_0
             => ( ( ndr1_1(X39)
                  & c6_2(X39,a511)
                  & ~ c5_2(X39,a511) )
                | ! [X40] : 
                    ( ndr1_1(X39)
                   => ( ~ c4_2(X39,X40)
                      | c10_2(X39,X40) ) )
                | ( ndr1_1(X39)
                  & c7_2(X39,a512)
                  & c1_2(X39,a512)
                  & c2_2(X39,a512) ) ) )
          | ( ndr1_0
            & c9_1(a513)
            & ~ c6_1(a513)
            & ! [X41] : 
                ( ndr1_1(a513)
               => ( c10_2(a513,X41)
                  | c1_2(a513,X41)
                  | c9_2(a513,X41) ) ) )
          | ~ c5_0 )
        & ( ~ c7_0
          | ( ndr1_0
            & c1_1(a514)
            & ~ c2_1(a514)
            & c10_1(a514) )
          | ~ c6_0 )
        & ( ( ndr1_0
            & ndr1_1(a515)
            & ~ c6_2(a515,a516)
            & ~ c10_2(a515,a516)
            & c8_1(a515)
            & ! [X42] : 
                ( ndr1_1(a515)
               => ( c5_2(a515,X42)
                  | ~ c10_2(a515,X42)
                  | ~ c1_2(a515,X42) ) ) )
          | ! [X43] : 
              ( ndr1_0
             => ( c5_1(X43)
                | c9_1(X43) ) )
          | ~ c9_0 )
        & ( ! [X44] : 
              ( ndr1_0
             => ( c7_1(X44)
                | ! [X45] : 
                    ( ndr1_1(X44)
                   => ( ~ c4_2(X44,X45)
                      | c10_2(X44,X45)
                      | c2_2(X44,X45) ) )
                | ! [X46] : 
                    ( ndr1_1(X44)
                   => ( c3_2(X44,X46)
                      | c4_2(X44,X46)
                      | ~ c2_2(X44,X46) ) ) ) )
          | ~ c1_0 )
        & ( ( ndr1_0
            & ! [X47] : 
                ( ndr1_1(a517)
               => ( ~ c10_2(a517,X47)
                  | c4_2(a517,X47) ) )
            & c9_1(a517)
            & ndr1_1(a517)
            & c8_2(a517,a518)
            & c9_2(a517,a518)
            & ~ c1_2(a517,a518) )
          | ( ndr1_0
            & c9_1(a519)
            & ndr1_1(a519)
            & ~ c5_2(a519,a520)
            & ~ c7_2(a519,a520)
            & c9_2(a519,a520)
            & ~ c8_1(a519) )
          | c3_0 )
        & ( c5_0
          | c9_0
          | ( ndr1_0
            & ~ c10_1(a521)
            & ndr1_1(a521)
            & c1_2(a521,a522)
            & c6_2(a521,a522)
            & ~ c9_2(a521,a522)
            & c7_1(a521) ) )
        & ( ! [X48] : 
              ( ndr1_0
             => ( ! [X49] : 
                    ( ndr1_1(X48)
                   => ( ~ c7_2(X48,X49)
                      | c2_2(X48,X49)
                      | c8_2(X48,X49) ) )
                | ! [X50] : 
                    ( ndr1_1(X48)
                   => ( c9_2(X48,X50)
                      | ~ c4_2(X48,X50)
                      | c1_2(X48,X50) ) )
                | ~ c7_1(X48) ) )
          | ~ c8_0
          | ~ c10_0 )
        & ( c1_0
          | ( ndr1_0
            & ~ c3_1(a523)
            & c4_1(a523)
            & ndr1_1(a523)
            & ~ c2_2(a523,a524)
            & c4_2(a523,a524)
            & c8_2(a523,a524) )
          | ( ndr1_0
            & ~ c7_1(a525)
            & c8_1(a525)
            & ~ c6_1(a525) ) )
        & ( ! [X51] : 
              ( ndr1_0
             => ( ~ c4_1(X51)
                | ~ c1_1(X51)
                | ( ndr1_1(X51)
                  & ~ c9_2(X51,a526)
                  & ~ c2_2(X51,a526)
                  & c6_2(X51,a526) ) ) )
          | ~ c10_0
          | c9_0 )
        & ( ~ c5_0
          | ! [X52] : 
              ( ndr1_0
             => ( ~ c6_1(X52)
                | ~ c9_1(X52)
                | ( ndr1_1(X52)
                  & c8_2(X52,a527)
                  & c9_2(X52,a527)
                  & c7_2(X52,a527) ) ) )
          | ! [X53] : 
              ( ndr1_0
             => ( ~ c5_1(X53)
                | ( ndr1_1(X53)
                  & ~ c4_2(X53,a528)
                  & ~ c2_2(X53,a528)
                  & ~ c3_2(X53,a528) )
                | ~ c2_1(X53) ) ) )
        & ( c5_0
          | c4_0 )
        & ( c10_0
          | ! [X54] : 
              ( ndr1_0
             => ( ! [X55] : 
                    ( ndr1_1(X54)
                   => ( c1_2(X54,X55)
                      | ~ c10_2(X54,X55) ) )
                | ( ndr1_1(X54)
                  & c3_2(X54,a529)
                  & c2_2(X54,a529)
                  & c7_2(X54,a529) )
                | ( ndr1_1(X54)
                  & c9_2(X54,a530)
                  & ~ c1_2(X54,a530)
                  & c6_2(X54,a530) ) ) ) )
        & ( c8_0
          | ~ c10_0
          | ~ c3_0 )
        & ( ~ c3_0
          | ! [X56] : 
              ( ndr1_0
             => ( ( ndr1_1(X56)
                  & ~ c10_2(X56,a531)
                  & c5_2(X56,a531)
                  & ~ c6_2(X56,a531) )
                | ~ c1_1(X56)
                | ( ndr1_1(X56)
                  & ~ c4_2(X56,a532)
                  & c9_2(X56,a532)
                  & ~ c1_2(X56,a532) ) ) )
          | ( ndr1_0
            & ndr1_1(a533)
            & c8_2(a533,a534)
            & ~ c3_2(a533,a534)
            & ~ c7_2(a533,a534)
            & ~ c1_1(a533)
            & ndr1_1(a533)
            & ~ c1_2(a533,a535)
            & ~ c3_2(a533,a535)
            & ~ c4_2(a533,a535) ) )
        & ( ! [X57] : 
              ( ndr1_0
             => ( c2_1(X57)
                | ( ndr1_1(X57)
                  & ~ c4_2(X57,a536)
                  & c9_2(X57,a536)
                  & ~ c3_2(X57,a536) )
                | c6_1(X57) ) )
          | ( ndr1_0
            & c5_1(a537)
            & ~ c9_1(a537)
            & ~ c8_1(a537) )
          | ( ndr1_0
            & ! [X58] : 
                ( ndr1_1(a538)
               => ( ~ c2_2(a538,X58)
                  | c10_2(a538,X58)
                  | c9_2(a538,X58) ) )
            & ndr1_1(a538)
            & c3_2(a538,a539)
            & ~ c6_2(a538,a539)
            & ~ c5_2(a538,a539)
            & ndr1_1(a538)
            & c9_2(a538,a540)
            & ~ c4_2(a538,a540)
            & c6_2(a538,a540) ) )
        & ( c3_0
          | ( ndr1_0
            & ~ c9_1(a541)
            & c10_1(a541)
            & ~ c1_1(a541) )
          | c10_0 )
        & ( ~ c10_0
          | ! [X59] : 
              ( ndr1_0
             => ( ( ndr1_1(X59)
                  & c1_2(X59,a542)
                  & c5_2(X59,a542)
                  & ~ c6_2(X59,a542) )
                | ( ndr1_1(X59)
                  & ~ c5_2(X59,a543)
                  & c1_2(X59,a543)
                  & c4_2(X59,a543) )
                | ! [X60] : 
                    ( ndr1_1(X59)
                   => ( ~ c7_2(X59,X60)
                      | c6_2(X59,X60)
                      | ~ c2_2(X59,X60) ) ) ) )
          | c9_0 )
        & ( ! [X61] : 
              ( ndr1_0
             => ( c5_1(X61)
                | ( ndr1_1(X61)
                  & c9_2(X61,a544)
                  & c4_2(X61,a544)
                  & ~ c8_2(X61,a544) ) ) )
          | c8_0
          | ! [X62] : 
              ( ndr1_0
             => ( c7_1(X62)
                | ( ndr1_1(X62)
                  & ~ c4_2(X62,a545)
                  & ~ c10_2(X62,a545) )
                | c2_1(X62) ) ) )
        & ( ~ c7_0
          | ~ c2_0 )
        & ( ! [X63] : 
              ( ndr1_0
             => ( ~ c2_1(X63)
                | ( ndr1_1(X63)
                  & c7_2(X63,a546)
                  & ~ c4_2(X63,a546)
                  & ~ c1_2(X63,a546) )
                | c1_1(X63) ) )
          | ( ndr1_0
            & c6_1(a547)
            & c5_1(a547) )
          | ~ c10_0 )
        & ( ! [X64] : 
              ( ndr1_0
             => ( ~ c5_1(X64)
                | ! [X65] : 
                    ( ndr1_1(X64)
                   => ( c3_2(X64,X65)
                      | c10_2(X64,X65)
                      | c2_2(X64,X65) ) )
                | ( ndr1_1(X64)
                  & ~ c6_2(X64,a548)
                  & c9_2(X64,a548)
                  & ~ c2_2(X64,a548) ) ) )
          | c10_0
          | ( ndr1_0
            & ~ c10_1(a549)
            & c2_1(a549)
            & ! [X66] : 
                ( ndr1_1(a549)
               => ( ~ c8_2(a549,X66)
                  | ~ c4_2(a549,X66)
                  | ~ c1_2(a549,X66) ) ) ) )
        & ( c10_0
          | c2_0
          | ~ c3_0 )
        & ( c2_0
          | c9_0
          | ( ndr1_0
            & ! [X67] : 
                ( ndr1_1(a550)
               => ( c5_2(a550,X67)
                  | ~ c8_2(a550,X67)
                  | ~ c3_2(a550,X67) ) )
            & ! [X68] : 
                ( ndr1_1(a550)
               => ( ~ c6_2(a550,X68)
                  | c1_2(a550,X68)
                  | ~ c8_2(a550,X68) ) )
            & c9_1(a550) ) )
        & ( ~ c8_0
          | ~ c10_0
          | ~ c1_0 )
        & ( ~ c3_0
          | c2_0
          | c8_0 )
        & ( c1_0
          | ~ c7_0
          | ( ndr1_0
            & c8_1(a551)
            & ~ c9_1(a551)
            & ndr1_1(a551)
            & c2_2(a551,a552)
            & c6_2(a551,a552)
            & ~ c3_2(a551,a552) ) )
        & ( c5_0
          | c6_0
          | ~ c8_0 )
        & ( ! [X69] : 
              ( ndr1_0
             => ( ~ c8_1(X69)
                | ( ndr1_1(X69)
                  & c7_2(X69,a553)
                  & c10_2(X69,a553)
                  & c8_2(X69,a553) )
                | ! [X70] : 
                    ( ndr1_1(X69)
                   => ( ~ c9_2(X69,X70)
                      | ~ c5_2(X69,X70)
                      | c8_2(X69,X70) ) ) ) )
          | c4_0 )
        & ( ~ c7_0
          | ~ c1_0
          | ! [X71] : 
              ( ndr1_0
             => ( ~ c4_1(X71)
                | c5_1(X71)
                | c6_1(X71) ) ) )
        & ( c8_0
          | ~ c2_0
          | ( ndr1_0
            & ~ c2_1(a554)
            & c8_1(a554)
            & ~ c3_1(a554) ) )
        & ( c4_0
          | ~ c5_0
          | ~ c3_0 )
        & ( ! [X72] : 
              ( ndr1_0
             => ( ~ c4_1(X72)
                | ! [X73] : 
                    ( ndr1_1(X72)
                   => ( ~ c2_2(X72,X73)
                      | ~ c8_2(X72,X73) ) )
                | ( ndr1_1(X72)
                  & ~ c4_2(X72,a555)
                  & c3_2(X72,a555)
                  & ~ c9_2(X72,a555) ) ) )
          | ! [X74] : 
              ( ndr1_0
             => ( ! [X75] : 
                    ( ndr1_1(X74)
                   => ( ~ c6_2(X74,X75)
                      | c5_2(X74,X75)
                      | c2_2(X74,X75) ) )
                | ~ c6_1(X74)
                | ! [X76] : 
                    ( ndr1_1(X74)
                   => ( ~ c3_2(X74,X76)
                      | c4_2(X74,X76)
                      | c1_2(X74,X76) ) ) ) )
          | ~ c6_0 )
        & ( ! [X77] : 
              ( ndr1_0
             => ( ~ c1_1(X77)
                | c9_1(X77)
                | c5_1(X77) ) )
          | c4_0
          | c8_0 )
        & ( ( ndr1_0
            & ! [X78] : 
                ( ndr1_1(a556)
               => ( c8_2(a556,X78)
                  | c5_2(a556,X78)
                  | ~ c1_2(a556,X78) ) )
            & ~ c5_1(a556)
            & ~ c8_1(a556) )
          | ~ c3_0 )
        & ( c4_0
          | ! [X79] : 
              ( ndr1_0
             => ( c8_1(X79)
                | c10_1(X79)
                | ( ndr1_1(X79)
                  & ~ c8_2(X79,a557)
                  & c1_2(X79,a557)
                  & ~ c6_2(X79,a557) ) ) ) )
        & ( ! [X80] : 
              ( ndr1_0
             => ( ~ c3_1(X80)
                | ~ c9_1(X80)
                | ( ndr1_1(X80)
                  & ~ c9_2(X80,a558)
                  & ~ c3_2(X80,a558)
                  & ~ c4_2(X80,a558) ) ) )
          | ! [X81] : 
              ( ndr1_0
             => ( ndr1_1(X81)
                & ~ c8_2(X81,a559)
                & ~ c7_2(X81,a559)
                & ~ c4_2(X81,a559) ) )
          | ! [X82] : 
              ( ndr1_0
             => ( ~ c2_1(X82)
                | c7_1(X82)
                | ! [X83] : 
                    ( ndr1_1(X82)
                   => ( ~ c3_2(X82,X83)
                      | ~ c6_2(X82,X83)
                      | ~ c4_2(X82,X83) ) ) ) ) )
        & ( c1_0
          | c4_0
          | c10_0 )
        & ( ( ndr1_0
            & ! [X84] : 
                ( ndr1_1(a560)
               => ( c10_2(a560,X84)
                  | c3_2(a560,X84)
                  | ~ c8_2(a560,X84) ) )
            & ndr1_1(a560)
            & c2_2(a560,a561)
            & c1_2(a560,a561) )
          | ~ c10_0
          | ! [X85] : 
              ( ndr1_0
             => ( c5_1(X85)
                | c9_1(X85)
                | c7_1(X85) ) ) )
        & ( ( ndr1_0
            & ndr1_1(a562)
            & c10_2(a562,a563)
            & c4_2(a562,a563)
            & ~ c1_2(a562,a563)
            & ! [X86] : 
                ( ndr1_1(a562)
               => ( c9_2(a562,X86)
                  | c6_2(a562,X86) ) )
            & c6_1(a562) )
          | c9_0
          | ~ c8_0 )
        & ( ! [X87] : 
              ( ndr1_0
             => ( ~ c5_1(X87)
                | ! [X88] : 
                    ( ndr1_1(X87)
                   => ( ~ c8_2(X87,X88)
                      | ~ c5_2(X87,X88)
                      | ~ c10_2(X87,X88) ) )
                | ! [X89] : 
                    ( ndr1_1(X87)
                   => ( ~ c5_2(X87,X89)
                      | ~ c3_2(X87,X89)
                      | c10_2(X87,X89) ) ) ) )
          | ! [X90] : 
              ( ndr1_0
             => ( ( ndr1_1(X90)
                  & ~ c9_2(X90,a564)
                  & ~ c2_2(X90,a564) )
                | ~ c7_1(X90)
                | ( ndr1_1(X90)
                  & c4_2(X90,a565)
                  & ~ c3_2(X90,a565)
                  & ~ c5_2(X90,a565) ) ) )
          | ( ndr1_0
            & ! [X91] : 
                ( ndr1_1(a566)
               => ( c5_2(a566,X91)
                  | c6_2(a566,X91)
                  | ~ c9_2(a566,X91) ) )
            & ~ c3_1(a566)
            & ! [X92] : 
                ( ndr1_1(a566)
               => ( ~ c7_2(a566,X92)
                  | c3_2(a566,X92)
                  | ~ c5_2(a566,X92) ) ) ) )
        & ( ~ c10_0
          | ~ c1_0
          | ~ c2_0 )
        & ( ! [X93] : 
              ( ndr1_0
             => ( ( ndr1_1(X93)
                  & ~ c2_2(X93,a567)
                  & c6_2(X93,a567)
                  & ~ c3_2(X93,a567) )
                | ! [X94] : 
                    ( ndr1_1(X93)
                   => ( ~ c5_2(X93,X94)
                      | ~ c1_2(X93,X94)
                      | ~ c7_2(X93,X94) ) )
                | ( ndr1_1(X93)
                  & c9_2(X93,a568)
                  & ~ c10_2(X93,a568) ) ) )
          | ~ c4_0
          | ( ndr1_0
            & ndr1_1(a569)
            & c5_2(a569,a570)
            & ~ c7_2(a569,a570)
            & ~ c1_2(a569,a570)
            & c3_1(a569) ) )
        & ( ( ndr1_0
            & c5_1(a571)
            & ndr1_1(a571)
            & c9_2(a571,a572)
            & ~ c8_2(a571,a572)
            & ~ c3_1(a571) )
          | c1_0 )
        & ( c3_0
          | c6_0
          | ~ c2_0 )
        & ( ~ c9_0
          | ~ c5_0
          | c10_0 )
        & ( ~ c1_0
          | ~ c8_0
          | ( ndr1_0
            & c9_1(a573)
            & ! [X95] : 
                ( ndr1_1(a573)
               => ( c9_2(a573,X95)
                  | ~ c7_2(a573,X95)
                  | c8_2(a573,X95) ) )
            & ! [X96] : 
                ( ndr1_1(a573)
               => ( ~ c7_2(a573,X96)
                  | c8_2(a573,X96) ) ) ) )
        & ( ~ c6_0
          | ~ c10_0
          | ~ c3_0 )
        & ( ~ c4_0
          | ! [X97] : 
              ( ndr1_0
             => ( ~ c6_1(X97)
                | ~ c8_1(X97)
                | ( ndr1_1(X97)
                  & c6_2(X97,a574)
                  & c4_2(X97,a574)
                  & c7_2(X97,a574) ) ) )
          | c2_0 )
        & ( ( ndr1_0
            & ndr1_1(a575)
            & ~ c8_2(a575,a576)
            & c9_2(a575,a576)
            & c5_2(a575,a576)
            & c7_1(a575)
            & c5_1(a575) )
          | c7_0
          | ( ndr1_0
            & ~ c1_1(a577)
            & ~ c8_1(a577)
            & ~ c6_1(a577) ) )
        & ( ( ndr1_0
            & ~ c8_1(a578)
            & c1_1(a578)
            & ndr1_1(a578)
            & c7_2(a578,a579)
            & c2_2(a578,a579)
            & ~ c8_2(a578,a579) )
          | c10_0
          | c9_0 )
        & ( ! [X98] : 
              ( ndr1_0
             => ( ~ c3_1(X98)
                | c7_1(X98)
                | ( ndr1_1(X98)
                  & c6_2(X98,a580)
                  & ~ c1_2(X98,a580)
                  & ~ c9_2(X98,a580) ) ) )
          | ! [X99] : 
              ( ndr1_0
             => ( c6_1(X99)
                | ! [X100] : 
                    ( ndr1_1(X99)
                   => ( ~ c6_2(X99,X100)
                      | ~ c5_2(X99,X100) ) )
                | ~ c4_1(X99) ) )
          | ~ c8_0 )
        & ( ~ c8_0
          | c4_0
          | ( ndr1_0
            & ~ c7_1(a581)
            & ! [X101] : 
                ( ndr1_1(a581)
               => ( c3_2(a581,X101)
                  | c6_2(a581,X101)
                  | ~ c5_2(a581,X101) ) )
            & c8_1(a581) ) )
        & ( c1_0
          | ( ndr1_0
            & ndr1_1(a582)
            & c6_2(a582,a583)
            & ~ c5_2(a582,a583)
            & ~ c10_2(a582,a583)
            & ~ c1_1(a582) )
          | ! [X102] : 
              ( ndr1_0
             => ( c5_1(X102)
                | ~ c10_1(X102)
                | c9_1(X102) ) ) )
        & ( ( ndr1_0
            & ~ c6_1(a584)
            & c8_1(a584)
            & ! [X103] : 
                ( ndr1_1(a584)
               => ( c10_2(a584,X103)
                  | ~ c8_2(a584,X103)
                  | c3_2(a584,X103) ) ) )
          | ~ c3_0 )
        & ( ( ndr1_0
            & ~ c5_1(a585)
            & c9_1(a585) )
          | c8_0
          | ( ndr1_0
            & ndr1_1(a586)
            & ~ c4_2(a586,a587)
            & ~ c5_2(a586,a587)
            & ~ c1_2(a586,a587)
            & ndr1_1(a586)
            & ~ c1_2(a586,a588)
            & ~ c8_2(a586,a588)
            & c3_2(a586,a588)
            & c8_1(a586) ) )
        & ( c4_0
          | c3_0
          | c5_0 )
        & ( c3_0
          | ! [X104] : 
              ( ndr1_0
             => ( ( ndr1_1(X104)
                  & ~ c2_2(X104,a589)
                  & ~ c10_2(X104,a589)
                  & ~ c7_2(X104,a589) )
                | c10_1(X104)
                | ! [X105] : 
                    ( ndr1_1(X104)
                   => ( ~ c1_2(X104,X105)
                      | ~ c3_2(X104,X105) ) ) ) )
          | ! [X106] : 
              ( ndr1_0
             => ( ( ndr1_1(X106)
                  & ~ c1_2(X106,a590)
                  & ~ c2_2(X106,a590)
                  & ~ c7_2(X106,a590) )
                | c8_1(X106) ) ) )
        & ( ! [X107] : 
              ( ndr1_0
             => ( ~ c9_1(X107)
                | ~ c1_1(X107)
                | ( ndr1_1(X107)
                  & ~ c1_2(X107,a591)
                  & c7_2(X107,a591) ) ) )
          | ( ndr1_0
            & c9_1(a592)
            & ~ c8_1(a592) )
          | ! [X108] : 
              ( ndr1_0
             => ( ! [X109] : 
                    ( ndr1_1(X108)
                   => ( c3_2(X108,X109)
                      | ~ c2_2(X108,X109)
                      | c1_2(X108,X109) ) )
                | ~ c3_1(X108)
                | ( ndr1_1(X108)
                  & ~ c5_2(X108,a593)
                  & ~ c6_2(X108,a593)
                  & ~ c8_2(X108,a593) ) ) ) )
        & ( c1_0
          | ( ndr1_0
            & ndr1_1(a594)
            & ~ c3_2(a594,a595)
            & ~ c4_2(a594,a595)
            & c6_2(a594,a595)
            & ~ c6_1(a594)
            & ndr1_1(a594)
            & c6_2(a594,a596)
            & c3_2(a594,a596) )
          | c9_0 )
        & ( c4_0
          | ( ndr1_0
            & ndr1_1(a597)
            & ~ c1_2(a597,a598)
            & ~ c9_2(a597,a598)
            & ~ c4_2(a597,a598)
            & ~ c7_1(a597)
            & ! [X110] : 
                ( ndr1_1(a597)
               => ( ~ c1_2(a597,X110)
                  | ~ c3_2(a597,X110)
                  | c7_2(a597,X110) ) ) )
          | ( ndr1_0
            & ndr1_1(a599)
            & c3_2(a599,a600)
            & ~ c2_2(a599,a600)
            & ~ c5_2(a599,a600)
            & ~ c4_1(a599) ) )
        & ( ( ndr1_0
            & c5_1(a601)
            & ~ c10_1(a601)
            & ! [X111] : 
                ( ndr1_1(a601)
               => ( c4_2(a601,X111)
                  | c6_2(a601,X111)
                  | c7_2(a601,X111) ) ) )
          | ( ndr1_0
            & ! [X112] : 
                ( ndr1_1(a602)
               => ( c7_2(a602,X112)
                  | ~ c2_2(a602,X112)
                  | ~ c4_2(a602,X112) ) )
            & c7_1(a602)
            & ndr1_1(a602)
            & ~ c6_2(a602,a603)
            & ~ c7_2(a602,a603)
            & ~ c8_2(a602,a603) )
          | ! [X113] : 
              ( ndr1_0
             => ( ( ndr1_1(X113)
                  & c3_2(X113,a604)
                  & c10_2(X113,a604)
                  & ~ c6_2(X113,a604) )
                | ~ c6_1(X113)
                | ! [X114] : 
                    ( ndr1_1(X113)
                   => ( ~ c2_2(X113,X114)
                      | c4_2(X113,X114)
                      | c6_2(X113,X114) ) ) ) ) )
        & ( ( ndr1_0
            & ndr1_1(a605)
            & ~ c3_2(a605,a606)
            & ~ c1_2(a605,a606)
            & c2_2(a605,a606)
            & ~ c5_1(a605)
            & ~ c4_1(a605) )
          | ~ c9_0
          | ! [X115] : 
              ( ndr1_0
             => ( ! [X116] : 
                    ( ndr1_1(X115)
                   => ( ~ c3_2(X115,X116)
                      | ~ c6_2(X115,X116)
                      | c2_2(X115,X116) ) )
                | c1_1(X115)
                | ~ c10_1(X115) ) ) )
        & ( c9_0
          | c4_0 )
        & ( ! [X117] : 
              ( ndr1_0
             => ( c2_1(X117)
                | ~ c6_1(X117)
                | ~ c7_1(X117) ) )
          | ~ c7_0
          | ! [X118] : 
              ( ndr1_0
             => ( ! [X119] : 
                    ( ndr1_1(X118)
                   => ( c1_2(X118,X119)
                      | c4_2(X118,X119) ) )
                | ~ c5_1(X118)
                | ( ndr1_1(X118)
                  & ~ c5_2(X118,a607)
                  & c4_2(X118,a607)
                  & ~ c2_2(X118,a607) ) ) ) )
        & ( ! [X120] : 
              ( ndr1_0
             => ( c5_1(X120)
                | c10_1(X120)
                | ! [X121] : 
                    ( ndr1_1(X120)
                   => ( c3_2(X120,X121)
                      | ~ c6_2(X120,X121) ) ) ) )
          | c10_0
          | ~ c2_0 ) ) )).

%--------------------------------------------------------------------------
