%--------------------------------------------------------------------------
% File     : SYN422+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=10, R=1, L=110, K=3, D=2, P=0, Index=097
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-10-1-110-3-2-097.dfg [Wei97]

% Status   : CounterSatisfiable
% Rating   : 0.25 v3.1.0, 0.50 v2.7.0, 0.83 v2.6.0, 0.50 v2.5.0, 0.33 v2.3.0, 0.00 v2.1.0
%
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
%
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       : 1159 (   0 equality)
%            Maximal formula depth :  105 ( 105 average)
%            Number of connectives : 1590 ( 432 ~  ; 474  |; 524  &)
%                                         (   0 <=>; 160 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :  185 ( 164 propositional; 0-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :  160 (   0 singleton; 160 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%--------------------------------------------------------------------------
fof(co1,conjecture,
    ( ~ ( ( c9_0
          | ( ndr1_0
            & ~ c9_1(a608)
            & ~ c10_1(a608)
            & ~ c4_1(a608) )
          | c1_0 )
        & ( ( ndr1_0
            & ~ c5_1(a609)
            & ~ c10_1(a609)
            & ~ c8_1(a609) )
          | ~ c8_0
          | ! [U] : 
              ( ndr1_0
             => ( ! [V] : 
                    ( ndr1_1(U)
                   => ( ~ c5_2(U,V)
                      | ~ c2_2(U,V)
                      | ~ c4_2(U,V) ) )
                | ( ndr1_1(U)
                  & c3_2(U,a610)
                  & c4_2(U,a610)
                  & c9_2(U,a610) )
                | ! [W] : 
                    ( ndr1_1(U)
                   => ( c9_2(U,W)
                      | c6_2(U,W)
                      | ~ c1_2(U,W) ) ) ) ) )
        & ( ( ndr1_0
            & c3_1(a611)
            & ! [X] : 
                ( ndr1_1(a611)
               => ( c3_2(a611,X)
                  | ~ c8_2(a611,X) ) )
            & ndr1_1(a611)
            & ~ c1_2(a611,a612)
            & ~ c9_2(a611,a612)
            & ~ c8_2(a611,a612) )
          | ! [Y] : 
              ( ndr1_0
             => ( c2_1(Y)
                | c10_1(Y)
                | ( ndr1_1(Y)
                  & c9_2(Y,a613)
                  & ~ c2_2(Y,a613) ) ) )
          | ~ c5_0 )
        & ( c9_0
          | ( ndr1_0
            & ndr1_1(a614)
            & c3_2(a614,a615)
            & ~ c5_2(a614,a615)
            & ndr1_1(a614)
            & c9_2(a614,a616)
            & c10_2(a614,a616)
            & ~ c1_2(a614,a616)
            & ! [Z] : 
                ( ndr1_1(a614)
               => ( c9_2(a614,Z)
                  | c7_2(a614,Z) ) ) )
          | ~ c2_0 )
        & ( ( ndr1_0
            & c5_1(a617)
            & c9_1(a617)
            & ~ c10_1(a617) )
          | ~ c3_0
          | ( ndr1_0
            & ! [X1] : 
                ( ndr1_1(a618)
               => ( ~ c9_2(a618,X1)
                  | ~ c8_2(a618,X1)
                  | c4_2(a618,X1) ) )
            & ! [X2] : 
                ( ndr1_1(a618)
               => ( c6_2(a618,X2)
                  | ~ c10_2(a618,X2)
                  | c8_2(a618,X2) ) )
            & c3_1(a618) ) )
        & ( c3_0
          | ! [X3] : 
              ( ndr1_0
             => ( ! [X4] : 
                    ( ndr1_1(X3)
                   => ( ~ c9_2(X3,X4)
                      | c4_2(X3,X4) ) )
                | c7_1(X3)
                | ( ndr1_1(X3)
                  & ~ c3_2(X3,a619)
                  & c7_2(X3,a619) ) ) )
          | ! [X5] : 
              ( ndr1_0
             => ( ~ c9_1(X5)
                | ~ c5_1(X5)
                | c2_1(X5) ) ) )
        & ( ! [X6] : 
              ( ndr1_0
             => ( ! [X7] : 
                    ( ndr1_1(X6)
                   => ( c1_2(X6,X7)
                      | ~ c3_2(X6,X7)
                      | c6_2(X6,X7) ) )
                | ( ndr1_1(X6)
                  & ~ c4_2(X6,a620)
                  & c1_2(X6,a620)
                  & c5_2(X6,a620) ) ) )
          | c9_0
          | ! [X8] : 
              ( ndr1_0
             => ( ! [X9] : 
                    ( ndr1_1(X8)
                   => ( c9_2(X8,X9)
                      | ~ c3_2(X8,X9)
                      | ~ c10_2(X8,X9) ) )
                | ~ c5_1(X8)
                | ! [X10] : 
                    ( ndr1_1(X8)
                   => ( ~ c6_2(X8,X10)
                      | c7_2(X8,X10)
                      | ~ c4_2(X8,X10) ) ) ) ) )
        & ( ~ c9_0
          | ~ c5_0
          | ! [X11] : 
              ( ndr1_0
             => ( ~ c8_1(X11)
                | ~ c3_1(X11)
                | c1_1(X11) ) ) )
        & ( ( ndr1_0
            & ~ c3_1(a621)
            & c1_1(a621)
            & ! [X12] : 
                ( ndr1_1(a621)
               => ( ~ c2_2(a621,X12)
                  | c1_2(a621,X12)
                  | c6_2(a621,X12) ) ) )
          | ~ c9_0
          | ( ndr1_0
            & c4_1(a622)
            & ~ c8_1(a622)
            & ndr1_1(a622)
            & c6_2(a622,a623)
            & c1_2(a622,a623)
            & c2_2(a622,a623) ) )
        & ( ! [X13] : 
              ( ndr1_0
             => ( ( ndr1_1(X13)
                  & c5_2(X13,a624)
                  & ~ c9_2(X13,a624) )
                | c4_1(X13)
                | c2_1(X13) ) )
          | c8_0
          | ( ndr1_0
            & c1_1(a625)
            & ndr1_1(a625)
            & c3_2(a625,a626)
            & c6_2(a625,a626)
            & c3_1(a625) ) )
        & ( ! [X14] : 
              ( ndr1_0
             => ( ~ c8_1(X14)
                | ( ndr1_1(X14)
                  & ~ c10_2(X14,a627)
                  & ~ c5_2(X14,a627)
                  & ~ c2_2(X14,a627) )
                | ~ c7_1(X14) ) )
          | ~ c7_0
          | ( ndr1_0
            & ndr1_1(a628)
            & ~ c5_2(a628,a629)
            & ~ c8_2(a628,a629)
            & c3_2(a628,a629)
            & c1_1(a628)
            & ~ c7_1(a628) ) )
        & ( c8_0
          | ( ndr1_0
            & c7_1(a630)
            & ~ c6_1(a630)
            & c9_1(a630) )
          | c2_0 )
        & ( c9_0
          | ~ c5_0
          | ~ c6_0 )
        & ( c7_0
          | c2_0
          | ! [X15] : 
              ( ndr1_0
             => ( c10_1(X15)
                | ! [X16] : 
                    ( ndr1_1(X15)
                   => ( ~ c3_2(X15,X16)
                      | c5_2(X15,X16)
                      | ~ c6_2(X15,X16) ) )
                | c3_1(X15) ) ) )
        & ( ( ndr1_0
            & ! [X17] : 
                ( ndr1_1(a631)
               => ( ~ c1_2(a631,X17)
                  | ~ c6_2(a631,X17)
                  | c7_2(a631,X17) ) )
            & ndr1_1(a631)
            & c10_2(a631,a632)
            & c8_2(a631,a632)
            & ~ c2_2(a631,a632)
            & c5_1(a631) )
          | ( ndr1_0
            & c10_1(a633)
            & ndr1_1(a633)
            & c9_2(a633,a634)
            & ~ c10_2(a633,a634)
            & ~ c2_1(a633) )
          | ! [X18] : 
              ( ndr1_0
             => ( ! [X19] : 
                    ( ndr1_1(X18)
                   => ( ~ c8_2(X18,X19)
                      | c4_2(X18,X19)
                      | c1_2(X18,X19) ) )
                | ~ c6_1(X18)
                | ~ c8_1(X18) ) ) )
        & ( ! [X20] : 
              ( ndr1_0
             => ( ! [X21] : 
                    ( ndr1_1(X20)
                   => ( c2_2(X20,X21)
                      | ~ c9_2(X20,X21)
                      | ~ c8_2(X20,X21) ) )
                | ~ c4_1(X20)
                | ~ c3_1(X20) ) )
          | ! [X22] : 
              ( ndr1_0
             => ( ( ndr1_1(X22)
                  & c8_2(X22,a635)
                  & c3_2(X22,a635)
                  & ~ c2_2(X22,a635) )
                | ( ndr1_1(X22)
                  & ~ c4_2(X22,a636)
                  & c10_2(X22,a636)
                  & c8_2(X22,a636) )
                | ! [X23] : 
                    ( ndr1_1(X22)
                   => ( ~ c10_2(X22,X23)
                      | c5_2(X22,X23)
                      | c8_2(X22,X23) ) ) ) )
          | c3_0 )
        & ( ! [X24] : 
              ( ndr1_0
             => ( ~ c4_1(X24)
                | ~ c5_1(X24)
                | ~ c6_1(X24) ) )
          | ( ndr1_0
            & c8_1(a637)
            & c5_1(a637)
            & c3_1(a637) )
          | ~ c2_0 )
        & ( c8_0
          | ~ c2_0
          | ! [X25] : 
              ( ndr1_0
             => ( ~ c1_1(X25)
                | ! [X26] : 
                    ( ndr1_1(X25)
                   => ( c6_2(X25,X26)
                      | ~ c3_2(X25,X26) ) )
                | ( ndr1_1(X25)
                  & ~ c2_2(X25,a638)
                  & c1_2(X25,a638) ) ) ) )
        & ( c2_0
          | c9_0 )
        & ( c5_0
          | c8_0
          | ! [X27] : 
              ( ndr1_0
             => ( ! [X28] : 
                    ( ndr1_1(X27)
                   => ( ~ c8_2(X27,X28)
                      | ~ c9_2(X27,X28)
                      | ~ c1_2(X27,X28) ) )
                | ~ c3_1(X27)
                | ! [X29] : 
                    ( ndr1_1(X27)
                   => ( c7_2(X27,X29)
                      | ~ c10_2(X27,X29) ) ) ) ) )
        & ( c2_0
          | ! [X30] : 
              ( ndr1_0
             => ( c10_1(X30)
                | ! [X31] : 
                    ( ndr1_1(X30)
                   => ( ~ c3_2(X30,X31)
                      | ~ c6_2(X30,X31)
                      | ~ c8_2(X30,X31) ) )
                | ! [X32] : 
                    ( ndr1_1(X30)
                   => ( ~ c10_2(X30,X32)
                      | ~ c3_2(X30,X32)
                      | ~ c9_2(X30,X32) ) ) ) )
          | ( ndr1_0
            & ~ c2_1(a639)
            & ~ c8_1(a639)
            & ndr1_1(a639)
            & ~ c3_2(a639,a640)
            & c8_2(a639,a640)
            & ~ c1_2(a639,a640) ) )
        & ( ( ndr1_0
            & ndr1_1(a641)
            & c8_2(a641,a642)
            & c6_2(a641,a642)
            & c2_2(a641,a642)
            & ndr1_1(a641)
            & ~ c5_2(a641,a643)
            & ~ c8_2(a641,a643)
            & ndr1_1(a641)
            & ~ c8_2(a641,a644)
            & ~ c5_2(a641,a644)
            & ~ c9_2(a641,a644) )
          | ( ndr1_0
            & ! [X33] : 
                ( ndr1_1(a645)
               => ( ~ c2_2(a645,X33)
                  | ~ c5_2(a645,X33)
                  | ~ c9_2(a645,X33) ) )
            & ndr1_1(a645)
            & ~ c9_2(a645,a646)
            & ~ c3_2(a645,a646)
            & ~ c5_2(a645,a646)
            & ndr1_1(a645)
            & ~ c9_2(a645,a647)
            & ~ c3_2(a645,a647)
            & c5_2(a645,a647) )
          | c10_0 )
        & ( ( ndr1_0
            & ! [X34] : 
                ( ndr1_1(a648)
               => ( ~ c7_2(a648,X34)
                  | ~ c3_2(a648,X34) ) )
            & ~ c7_1(a648)
            & c3_1(a648) )
          | ! [X35] : 
              ( ndr1_0
             => ( ~ c9_1(X35)
                | c2_1(X35)
                | ! [X36] : 
                    ( ndr1_1(X35)
                   => ( ~ c10_2(X35,X36)
                      | c5_2(X35,X36)
                      | c2_2(X35,X36) ) ) ) )
          | c6_0 )
        & ( ( ndr1_0
            & ~ c1_1(a649)
            & c9_1(a649)
            & ~ c8_1(a649) )
          | ! [X37] : 
              ( ndr1_0
             => ( ( ndr1_1(X37)
                  & c7_2(X37,a650)
                  & c1_2(X37,a650)
                  & c5_2(X37,a650) )
                | ~ c1_1(X37)
                | c7_1(X37) ) )
          | ~ c5_0 )
        & ( ( ndr1_0
            & ~ c5_1(a651)
            & ~ c9_1(a651)
            & ~ c7_1(a651) )
          | ( ndr1_0
            & ~ c2_1(a652)
            & ndr1_1(a652)
            & c1_2(a652,a653)
            & ~ c5_2(a652,a653)
            & ~ c10_2(a652,a653)
            & ~ c8_1(a652) )
          | ! [X38] : 
              ( ndr1_0
             => ( ! [X39] : 
                    ( ndr1_1(X38)
                   => ( ~ c10_2(X38,X39)
                      | ~ c3_2(X38,X39)
                      | c8_2(X38,X39) ) )
                | ! [X40] : 
                    ( ndr1_1(X38)
                   => ( c6_2(X38,X40)
                      | c4_2(X38,X40)
                      | ~ c3_2(X38,X40) ) )
                | c8_1(X38) ) ) )
        & ( ! [X41] : 
              ( ndr1_0
             => ( ~ c4_1(X41)
                | ! [X42] : 
                    ( ndr1_1(X41)
                   => ( ~ c2_2(X41,X42)
                      | c10_2(X41,X42)
                      | c6_2(X41,X42) ) )
                | ( ndr1_1(X41)
                  & c1_2(X41,a654)
                  & ~ c9_2(X41,a654)
                  & ~ c4_2(X41,a654) ) ) )
          | c9_0 )
        & ( ( ndr1_0
            & c2_1(a655)
            & ! [X43] : 
                ( ndr1_1(a655)
               => ( ~ c2_2(a655,X43)
                  | ~ c10_2(a655,X43)
                  | c3_2(a655,X43) ) )
            & ! [X44] : 
                ( ndr1_1(a655)
               => ( c9_2(a655,X44)
                  | c6_2(a655,X44)
                  | c3_2(a655,X44) ) ) )
          | ( ndr1_0
            & ndr1_1(a656)
            & c6_2(a656,a657)
            & c3_2(a656,a657)
            & c7_1(a656)
            & c1_1(a656) )
          | ~ c3_0 )
        & ( c3_0
          | ~ c6_0
          | ~ c8_0 )
        & ( ~ c8_0
          | ( ndr1_0
            & c7_1(a658)
            & ! [X45] : 
                ( ndr1_1(a658)
               => ( ~ c5_2(a658,X45)
                  | ~ c3_2(a658,X45)
                  | ~ c4_2(a658,X45) ) ) ) )
        & ( ! [X46] : 
              ( ndr1_0
             => ( c7_1(X46)
                | ( ndr1_1(X46)
                  & ~ c8_2(X46,a659)
                  & ~ c5_2(X46,a659)
                  & ~ c7_2(X46,a659) )
                | ~ c4_1(X46) ) )
          | c6_0
          | ! [X47] : 
              ( ndr1_0
             => ( ~ c1_1(X47)
                | c5_1(X47)
                | ! [X48] : 
                    ( ndr1_1(X47)
                   => ( c8_2(X47,X48)
                      | c6_2(X47,X48)
                      | c4_2(X47,X48) ) ) ) ) )
        & ( ! [X49] : 
              ( ndr1_0
             => ( ! [X50] : 
                    ( ndr1_1(X49)
                   => ( c1_2(X49,X50)
                      | ~ c10_2(X49,X50)
                      | c5_2(X49,X50) ) )
                | c8_1(X49) ) )
          | ~ c3_0
          | c9_0 )
        & ( ( ndr1_0
            & c5_1(a660)
            & ~ c10_1(a660)
            & ~ c6_1(a660) )
          | ! [X51] : 
              ( ndr1_0
             => ( ( ndr1_1(X51)
                  & ~ c1_2(X51,a661)
                  & c5_2(X51,a661)
                  & ~ c6_2(X51,a661) )
                | ~ c8_1(X51)
                | ( ndr1_1(X51)
                  & ~ c6_2(X51,a662)
                  & c10_2(X51,a662)
                  & ~ c2_2(X51,a662) ) ) ) )
        & ( ( ndr1_0
            & c7_1(a663)
            & c1_1(a663)
            & ! [X52] : 
                ( ndr1_1(a663)
               => ( c1_2(a663,X52)
                  | c4_2(a663,X52)
                  | ~ c3_2(a663,X52) ) ) )
          | ! [X53] : 
              ( ndr1_0
             => ( ~ c10_1(X53)
                | ! [X54] : 
                    ( ndr1_1(X53)
                   => ( c1_2(X53,X54)
                      | ~ c7_2(X53,X54)
                      | ~ c8_2(X53,X54) ) )
                | ~ c9_1(X53) ) )
          | ! [X55] : 
              ( ndr1_0
             => ( ~ c9_1(X55)
                | ( ndr1_1(X55)
                  & c5_2(X55,a664)
                  & c2_2(X55,a664)
                  & c7_2(X55,a664) ) ) ) )
        & ( ~ c10_0
          | c3_0 )
        & ( ! [X56] : 
              ( ndr1_0
             => ( c2_1(X56)
                | ! [X57] : 
                    ( ndr1_1(X56)
                   => ( ~ c9_2(X56,X57)
                      | ~ c10_2(X56,X57)
                      | ~ c1_2(X56,X57) ) )
                | ~ c6_1(X56) ) )
          | ~ c4_0
          | ~ c3_0 )
        & ( c6_0
          | ( ndr1_0
            & ! [X58] : 
                ( ndr1_1(a665)
               => ( ~ c1_2(a665,X58)
                  | c7_2(a665,X58)
                  | ~ c4_2(a665,X58) ) )
            & ~ c2_1(a665)
            & ! [X59] : 
                ( ndr1_1(a665)
               => ( c4_2(a665,X59)
                  | c9_2(a665,X59) ) ) )
          | ! [X60] : 
              ( ndr1_0
             => ( c7_1(X60)
                | ~ c3_1(X60)
                | ( ndr1_1(X60)
                  & c8_2(X60,a666)
                  & ~ c7_2(X60,a666)
                  & c3_2(X60,a666) ) ) ) )
        & ( ! [X61] : 
              ( ndr1_0
             => ( ( ndr1_1(X61)
                  & c1_2(X61,a667)
                  & ~ c10_2(X61,a667)
                  & c6_2(X61,a667) )
                | ! [X62] : 
                    ( ndr1_1(X61)
                   => ( c8_2(X61,X62)
                      | ~ c2_2(X61,X62)
                      | c3_2(X61,X62) ) )
                | ! [X63] : 
                    ( ndr1_1(X61)
                   => ( c1_2(X61,X63)
                      | ~ c8_2(X61,X63)
                      | c5_2(X61,X63) ) ) ) )
          | ~ c4_0
          | ~ c5_0 )
        & ( ( ndr1_0
            & ! [X64] : 
                ( ndr1_1(a668)
               => ( ~ c4_2(a668,X64)
                  | c1_2(a668,X64) ) )
            & ! [X65] : 
                ( ndr1_1(a668)
               => ( c2_2(a668,X65)
                  | ~ c8_2(a668,X65)
                  | ~ c3_2(a668,X65) ) )
            & ~ c9_1(a668) )
          | c5_0
          | ( ndr1_0
            & ! [X66] : 
                ( ndr1_1(a669)
               => ( c6_2(a669,X66)
                  | c1_2(a669,X66) ) )
            & ~ c2_1(a669)
            & ! [X67] : 
                ( ndr1_1(a669)
               => ( c4_2(a669,X67)
                  | c5_2(a669,X67)
                  | c3_2(a669,X67) ) ) ) )
        & ( ~ c7_0
          | ~ c2_0
          | ~ c1_0 )
        & ( ( ndr1_0
            & ~ c3_1(a670)
            & c9_1(a670)
            & c8_1(a670) )
          | ! [X68] : 
              ( ndr1_0
             => ( ~ c3_1(X68)
                | ( ndr1_1(X68)
                  & c8_2(X68,a671)
                  & ~ c1_2(X68,a671)
                  & c2_2(X68,a671) )
                | ! [X69] : 
                    ( ndr1_1(X68)
                   => ( c10_2(X68,X69)
                      | c7_2(X68,X69)
                      | c3_2(X68,X69) ) ) ) )
          | ~ c9_0 )
        & ( ( ndr1_0
            & c7_1(a672)
            & ~ c6_1(a672)
            & c8_1(a672) )
          | c10_0
          | ~ c2_0 )
        & ( ( ndr1_0
            & ndr1_1(a673)
            & ~ c4_2(a673,a674)
            & c3_2(a673,a674)
            & c9_1(a673)
            & ! [X70] : 
                ( ndr1_1(a673)
               => ( ~ c6_2(a673,X70)
                  | ~ c3_2(a673,X70)
                  | c4_2(a673,X70) ) ) )
          | ! [X71] : 
              ( ndr1_0
             => ( ! [X72] : 
                    ( ndr1_1(X71)
                   => ( c3_2(X71,X72)
                      | c6_2(X71,X72)
                      | ~ c2_2(X71,X72) ) )
                | ~ c3_1(X71)
                | ~ c6_1(X71) ) )
          | c9_0 )
        & ( ~ c9_0
          | ~ c7_0
          | ! [X73] : 
              ( ndr1_0
             => ( ( ndr1_1(X73)
                  & c5_2(X73,a675)
                  & ~ c1_2(X73,a675)
                  & c8_2(X73,a675) )
                | ( ndr1_1(X73)
                  & ~ c5_2(X73,a676)
                  & ~ c9_2(X73,a676)
                  & c8_2(X73,a676) )
                | ( ndr1_1(X73)
                  & c5_2(X73,a677)
                  & ~ c9_2(X73,a677)
                  & c2_2(X73,a677) ) ) ) )
        & ( ~ c3_0
          | ! [X74] : 
              ( ndr1_0
             => ( ~ c6_1(X74)
                | ~ c2_1(X74)
                | c3_1(X74) ) )
          | ~ c10_0 )
        & ( c10_0
          | c9_0
          | c2_0 )
        & ( ~ c9_0
          | c1_0
          | c8_0 )
        & ( c3_0
          | c7_0 )
        & ( c3_0
          | ! [X75] : 
              ( ndr1_0
             => ( ( ndr1_1(X75)
                  & ~ c8_2(X75,a678)
                  & c1_2(X75,a678)
                  & ~ c6_2(X75,a678) )
                | ! [X76] : 
                    ( ndr1_1(X75)
                   => ( ~ c8_2(X75,X76)
                      | ~ c2_2(X75,X76)
                      | c1_2(X75,X76) ) )
                | c7_1(X75) ) ) )
        & ( ~ c1_0
          | c8_0 )
        & ( c7_0
          | ~ c6_0
          | c10_0 )
        & ( ( ndr1_0
            & ! [X77] : 
                ( ndr1_1(a679)
               => ( c10_2(a679,X77)
                  | c4_2(a679,X77)
                  | ~ c9_2(a679,X77) ) )
            & ndr1_1(a679)
            & ~ c1_2(a679,a680)
            & c8_2(a679,a680)
            & c9_2(a679,a680)
            & ndr1_1(a679)
            & c1_2(a679,a681)
            & ~ c5_2(a679,a681)
            & ~ c9_2(a679,a681) )
          | c8_0
          | ~ c4_0 )
        & ( c3_0
          | ! [X78] : 
              ( ndr1_0
             => ( ~ c4_1(X78)
                | c7_1(X78) ) )
          | ! [X79] : 
              ( ndr1_0
             => ( ( ndr1_1(X79)
                  & ~ c10_2(X79,a682)
                  & c3_2(X79,a682)
                  & ~ c5_2(X79,a682) )
                | ( ndr1_1(X79)
                  & c6_2(X79,a683)
                  & ~ c4_2(X79,a683)
                  & c5_2(X79,a683) )
                | ~ c9_1(X79) ) ) )
        & ( ! [X80] : 
              ( ndr1_0
             => ( ~ c3_1(X80)
                | c1_1(X80)
                | c4_1(X80) ) )
          | c8_0
          | ~ c9_0 )
        & ( ! [X81] : 
              ( ndr1_0
             => ( ( ndr1_1(X81)
                  & c6_2(X81,a684)
                  & c1_2(X81,a684)
                  & c7_2(X81,a684) )
                | ( ndr1_1(X81)
                  & c10_2(X81,a685)
                  & c3_2(X81,a685)
                  & ~ c6_2(X81,a685) )
                | ~ c8_1(X81) ) )
          | c7_0
          | ~ c6_0 )
        & ( ( ndr1_0
            & ndr1_1(a686)
            & ~ c1_2(a686,a687)
            & c4_2(a686,a687)
            & ~ c8_2(a686,a687)
            & c8_1(a686)
            & ndr1_1(a686)
            & c4_2(a686,a688)
            & c2_2(a686,a688) )
          | ~ c8_0
          | c1_0 )
        & ( c5_0
          | c8_0 )
        & ( c2_0
          | ! [X82] : 
              ( ndr1_0
             => ( ~ c10_1(X82)
                | ~ c8_1(X82)
                | ! [X83] : 
                    ( ndr1_1(X82)
                   => ( ~ c8_2(X82,X83)
                      | c5_2(X82,X83)
                      | ~ c3_2(X82,X83) ) ) ) )
          | c1_0 )
        & ( ! [X84] : 
              ( ndr1_0
             => ( ! [X85] : 
                    ( ndr1_1(X84)
                   => ( ~ c9_2(X84,X85)
                      | c6_2(X84,X85)
                      | ~ c10_2(X84,X85) ) )
                | ~ c8_1(X84)
                | ~ c3_1(X84) ) )
          | c6_0 )
        & ( ( ndr1_0
            & ~ c5_1(a689)
            & c9_1(a689)
            & ! [X86] : 
                ( ndr1_1(a689)
               => ( c4_2(a689,X86)
                  | ~ c10_2(a689,X86)
                  | c1_2(a689,X86) ) ) )
          | c2_0
          | c9_0 )
        & ( ! [X87] : 
              ( ndr1_0
             => ( c2_1(X87)
                | c5_1(X87)
                | c3_1(X87) ) )
          | c4_0
          | ( ndr1_0
            & ndr1_1(a690)
            & ~ c5_2(a690,a691)
            & ~ c9_2(a690,a691)
            & ~ c10_2(a690,a691)
            & c2_1(a690)
            & ! [X88] : 
                ( ndr1_1(a690)
               => ( c7_2(a690,X88)
                  | c2_2(a690,X88)
                  | c4_2(a690,X88) ) ) ) )
        & ( ( ndr1_0
            & ndr1_1(a692)
            & ~ c7_2(a692,a693)
            & c9_2(a692,a693)
            & c2_2(a692,a693)
            & ndr1_1(a692)
            & ~ c3_2(a692,a694)
            & ~ c10_2(a692,a694)
            & ~ c5_1(a692) )
          | ( ndr1_0
            & c5_1(a695)
            & ~ c10_1(a695)
            & ~ c8_1(a695) )
          | c3_0 )
        & ( c3_0
          | ( ndr1_0
            & ! [X89] : 
                ( ndr1_1(a696)
               => ( ~ c7_2(a696,X89)
                  | c5_2(a696,X89)
                  | ~ c2_2(a696,X89) ) )
            & ~ c1_1(a696) )
          | ( ndr1_0
            & ~ c3_1(a697)
            & ! [X90] : 
                ( ndr1_1(a697)
               => ( ~ c3_2(a697,X90)
                  | c8_2(a697,X90)
                  | ~ c6_2(a697,X90) ) )
            & c9_1(a697) ) )
        & ( ( ndr1_0
            & ndr1_1(a698)
            & ~ c5_2(a698,a699)
            & c1_2(a698,a699)
            & c2_1(a698)
            & c9_1(a698) )
          | ~ c4_0
          | c2_0 )
        & ( ~ c1_0
          | ( ndr1_0
            & ~ c7_1(a700)
            & ~ c9_1(a700)
            & ~ c10_1(a700) )
          | ( ndr1_0
            & ! [X91] : 
                ( ndr1_1(a701)
               => ( ~ c1_2(a701,X91)
                  | ~ c6_2(a701,X91)
                  | c5_2(a701,X91) ) )
            & ndr1_1(a701)
            & ~ c2_2(a701,a702)
            & c10_2(a701,a702)
            & c6_2(a701,a702)
            & ~ c8_1(a701) ) )
        & ( ( ndr1_0
            & ~ c10_1(a703)
            & c4_1(a703)
            & ~ c7_1(a703) )
          | ! [X92] : 
              ( ndr1_0
             => ( ~ c7_1(X92)
                | c4_1(X92)
                | ( ndr1_1(X92)
                  & ~ c5_2(X92,a704)
                  & ~ c3_2(X92,a704)
                  & c9_2(X92,a704) ) ) )
          | ! [X93] : 
              ( ndr1_0
             => ( ! [X94] : 
                    ( ndr1_1(X93)
                   => ( c6_2(X93,X94)
                      | c4_2(X93,X94)
                      | ~ c8_2(X93,X94) ) )
                | c1_1(X93)
                | ! [X95] : 
                    ( ndr1_1(X93)
                   => ( c4_2(X93,X95)
                      | ~ c1_2(X93,X95)
                      | c10_2(X93,X95) ) ) ) ) )
        & ( ( ndr1_0
            & ~ c9_1(a705)
            & ! [X96] : 
                ( ndr1_1(a705)
               => ( ~ c2_2(a705,X96)
                  | ~ c6_2(a705,X96)
                  | ~ c7_2(a705,X96) ) )
            & ~ c3_1(a705) )
          | ! [X97] : 
              ( ndr1_0
             => ( ( ndr1_1(X97)
                  & ~ c9_2(X97,a706)
                  & c6_2(X97,a706)
                  & c5_2(X97,a706) )
                | ~ c9_1(X97)
                | ~ c1_1(X97) ) )
          | c6_0 )
        & ( c2_0
          | ( ndr1_0
            & ! [X98] : 
                ( ndr1_1(a707)
               => ( c1_2(a707,X98)
                  | c4_2(a707,X98)
                  | ~ c3_2(a707,X98) ) )
            & ~ c10_1(a707)
            & c8_1(a707) )
          | ( ndr1_0
            & ! [X99] : 
                ( ndr1_1(a708)
               => ( ~ c5_2(a708,X99)
                  | c10_2(a708,X99)
                  | c7_2(a708,X99) ) )
            & ~ c5_1(a708) ) )
        & ( ~ c8_0
          | ~ c2_0 )
        & ( ( ndr1_0
            & c8_1(a709)
            & ~ c9_1(a709)
            & ndr1_1(a709)
            & c9_2(a709,a710)
            & ~ c8_2(a709,a710)
            & ~ c6_2(a709,a710) )
          | ! [X100] : 
              ( ndr1_0
             => ( ! [X101] : 
                    ( ndr1_1(X100)
                   => ( ~ c2_2(X100,X101)
                      | c1_2(X100,X101)
                      | ~ c9_2(X100,X101) ) )
                | ! [X102] : 
                    ( ndr1_1(X100)
                   => ( c4_2(X100,X102)
                      | ~ c7_2(X100,X102)
                      | ~ c5_2(X100,X102) ) )
                | ~ c8_1(X100) ) )
          | ~ c1_0 )
        & ( ! [X103] : 
              ( ndr1_0
             => ( c8_1(X103)
                | ! [X104] : 
                    ( ndr1_1(X103)
                   => ( ~ c3_2(X103,X104)
                      | ~ c5_2(X103,X104)
                      | ~ c2_2(X103,X104) ) )
                | ! [X105] : 
                    ( ndr1_1(X103)
                   => ( ~ c7_2(X103,X105)
                      | ~ c2_2(X103,X105)
                      | ~ c10_2(X103,X105) ) ) ) )
          | ~ c5_0
          | ! [X106] : 
              ( ndr1_0
             => ( c5_1(X106)
                | ~ c7_1(X106)
                | ( ndr1_1(X106)
                  & ~ c10_2(X106,a711)
                  & c8_2(X106,a711)
                  & ~ c2_2(X106,a711) ) ) ) )
        & ( c8_0
          | ~ c2_0
          | ~ c7_0 )
        & ( ! [X107] : 
              ( ndr1_0
             => ( ( ndr1_1(X107)
                  & ~ c4_2(X107,a712)
                  & c8_2(X107,a712)
                  & ~ c9_2(X107,a712) )
                | ( ndr1_1(X107)
                  & ~ c6_2(X107,a713)
                  & ~ c10_2(X107,a713)
                  & c9_2(X107,a713) ) ) )
          | ~ c6_0
          | ! [X108] : 
              ( ndr1_0
             => ( ! [X109] : 
                    ( ndr1_1(X108)
                   => ( c6_2(X108,X109)
                      | ~ c7_2(X108,X109)
                      | c8_2(X108,X109) ) )
                | ( ndr1_1(X108)
                  & c3_2(X108,a714)
                  & c7_2(X108,a714)
                  & ~ c5_2(X108,a714) )
                | ~ c8_1(X108) ) ) )
        & ( ! [X110] : 
              ( ndr1_0
             => ( ( ndr1_1(X110)
                  & c10_2(X110,a715)
                  & ~ c3_2(X110,a715) )
                | ! [X111] : 
                    ( ndr1_1(X110)
                   => ( ~ c7_2(X110,X111)
                      | ~ c3_2(X110,X111) ) )
                | ( ndr1_1(X110)
                  & c2_2(X110,a716)
                  & c3_2(X110,a716)
                  & c1_2(X110,a716) ) ) )
          | ~ c7_0
          | ! [X112] : 
              ( ndr1_0
             => ( ~ c1_1(X112)
                | ! [X113] : 
                    ( ndr1_1(X112)
                   => ( c7_2(X112,X113)
                      | ~ c5_2(X112,X113) ) )
                | ~ c6_1(X112) ) ) )
        & ( ~ c9_0
          | ! [X114] : 
              ( ndr1_0
             => ( ( ndr1_1(X114)
                  & c5_2(X114,a717)
                  & c7_2(X114,a717)
                  & c4_2(X114,a717) )
                | ! [X115] : 
                    ( ndr1_1(X114)
                   => ( ~ c3_2(X114,X115)
                      | ~ c6_2(X114,X115)
                      | c4_2(X114,X115) ) )
                | c3_1(X114) ) )
          | c8_0 )
        & ( ! [X116] : 
              ( ndr1_0
             => ( ~ c10_1(X116)
                | ( ndr1_1(X116)
                  & ~ c8_2(X116,a718)
                  & ~ c7_2(X116,a718) )
                | ( ndr1_1(X116)
                  & ~ c7_2(X116,a719)
                  & ~ c4_2(X116,a719)
                  & c2_2(X116,a719) ) ) )
          | ! [X117] : 
              ( ndr1_0
             => ( ( ndr1_1(X117)
                  & c3_2(X117,a720)
                  & ~ c10_2(X117,a720) )
                | c3_1(X117)
                | c6_1(X117) ) )
          | ( ndr1_0
            & c4_1(a721)
            & ~ c1_1(a721)
            & ~ c5_1(a721) ) )
        & ( ! [X118] : 
              ( ndr1_0
             => ( c6_1(X118)
                | ! [X119] : 
                    ( ndr1_1(X118)
                   => ( c5_2(X118,X119)
                      | ~ c2_2(X118,X119)
                      | c4_2(X118,X119) ) )
                | ( ndr1_1(X118)
                  & ~ c5_2(X118,a722)
                  & ~ c9_2(X118,a722)
                  & c8_2(X118,a722) ) ) )
          | ( ndr1_0
            & c10_1(a723)
            & c4_1(a723)
            & c7_1(a723) )
          | ~ c2_0 )
        & ( c9_0
          | ~ c7_0
          | ( ndr1_0
            & ! [X120] : 
                ( ndr1_1(a724)
               => ( c6_2(a724,X120)
                  | ~ c8_2(a724,X120)
                  | ~ c9_2(a724,X120) ) )
            & ndr1_1(a724)
            & ~ c6_2(a724,a725)
            & c4_2(a724,a725)
            & ! [X121] : 
                ( ndr1_1(a724)
               => ( c4_2(a724,X121)
                  | c2_2(a724,X121) ) ) ) )
        & ( ! [X122] : 
              ( ndr1_0
             => ( c1_1(X122)
                | ! [X123] : 
                    ( ndr1_1(X122)
                   => ( ~ c5_2(X122,X123)
                      | c3_2(X122,X123)
                      | c10_2(X122,X123) ) )
                | c5_1(X122) ) )
          | c6_0
          | ~ c2_0 )
        & ( ! [X124] : 
              ( ndr1_0
             => ( ! [X125] : 
                    ( ndr1_1(X124)
                   => ( ~ c9_2(X124,X125)
                      | c1_2(X124,X125)
                      | c10_2(X124,X125) ) )
                | c3_1(X124)
                | ( ndr1_1(X124)
                  & ~ c4_2(X124,a726)
                  & ~ c3_2(X124,a726) ) ) )
          | ! [X126] : 
              ( ndr1_0
             => ( ~ c7_1(X126)
                | ( ndr1_1(X126)
                  & ~ c7_2(X126,a727)
                  & c9_2(X126,a727)
                  & ~ c6_2(X126,a727) )
                | ~ c4_1(X126) ) )
          | ! [X127] : 
              ( ndr1_0
             => ( ! [X128] : 
                    ( ndr1_1(X127)
                   => ( ~ c8_2(X127,X128)
                      | ~ c4_2(X127,X128)
                      | c3_2(X127,X128) ) )
                | ~ c4_1(X127)
                | ~ c10_1(X127) ) ) )
        & ( ~ c7_0
          | ( ndr1_0
            & c6_1(a728)
            & c1_1(a728) )
          | ( ndr1_0
            & ~ c9_1(a729)
            & ndr1_1(a729)
            & ~ c9_2(a729,a730)
            & c7_2(a729,a730)
            & c8_2(a729,a730)
            & c3_1(a729) ) )
        & ( ! [X129] : 
              ( ndr1_0
             => ( ( ndr1_1(X129)
                  & c3_2(X129,a731)
                  & c9_2(X129,a731) )
                | ( ndr1_1(X129)
                  & ~ c3_2(X129,a732)
                  & c4_2(X129,a732) )
                | ~ c9_1(X129) ) )
          | ( ndr1_0
            & ~ c4_1(a733)
            & ! [X130] : 
                ( ndr1_1(a733)
               => ~ c2_2(a733,X130) )
            & ! [X131] : 
                ( ndr1_1(a733)
               => ( ~ c4_2(a733,X131)
                  | c7_2(a733,X131)
                  | ~ c6_2(a733,X131) ) ) )
          | ~ c10_0 )
        & ( ( ndr1_0
            & ~ c10_1(a734)
            & ndr1_1(a734)
            & ~ c7_2(a734,a735)
            & c10_2(a734,a735)
            & c6_2(a734,a735)
            & ndr1_1(a734)
            & ~ c3_2(a734,a736)
            & c2_2(a734,a736)
            & c1_2(a734,a736) )
          | ~ c7_0
          | ( ndr1_0
            & ndr1_1(a737)
            & c9_2(a737,a738)
            & ~ c4_2(a737,a738)
            & c1_2(a737,a738)
            & c9_1(a737)
            & ~ c4_1(a737) ) )
        & ( ( ndr1_0
            & ~ c2_1(a739)
            & ~ c5_1(a739)
            & ~ c7_1(a739) )
          | ( ndr1_0
            & ! [X132] : 
                ( ndr1_1(a740)
               => ( ~ c10_2(a740,X132)
                  | c6_2(a740,X132) ) )
            & ~ c9_1(a740)
            & c4_1(a740) )
          | c10_0 )
        & ( ~ c10_0
          | c9_0
          | ! [X133] : 
              ( ndr1_0
             => ( ! [X134] : 
                    ( ndr1_1(X133)
                   => ( ~ c9_2(X133,X134)
                      | c6_2(X133,X134)
                      | c8_2(X133,X134) ) )
                | ! [X135] : 
                    ( ndr1_1(X133)
                   => ( c5_2(X133,X135)
                      | ~ c4_2(X133,X135)
                      | ~ c8_2(X133,X135) ) )
                | ~ c4_1(X133) ) ) )
        & ( ( ndr1_0
            & ndr1_1(a741)
            & c10_2(a741,a742)
            & ~ c4_2(a741,a742)
            & ~ c1_2(a741,a742)
            & ~ c5_1(a741) )
          | ! [X136] : 
              ( ndr1_0
             => ( ! [X137] : 
                    ( ndr1_1(X136)
                   => ( c6_2(X136,X137)
                      | ~ c1_2(X136,X137)
                      | ~ c3_2(X136,X137) ) )
                | ( ndr1_1(X136)
                  & ~ c9_2(X136,a743)
                  & ~ c10_2(X136,a743) )
                | ( ndr1_1(X136)
                  & c9_2(X136,a744)
                  & c6_2(X136,a744)
                  & c8_2(X136,a744) ) ) ) )
        & ( ~ c7_0
          | ( ndr1_0
            & c2_1(a745)
            & ndr1_1(a745)
            & c4_2(a745,a746)
            & c10_2(a745,a746)
            & ~ c1_2(a745,a746)
            & ! [X138] : 
                ( ndr1_1(a745)
               => ( c9_2(a745,X138)
                  | ~ c3_2(a745,X138)
                  | ~ c1_2(a745,X138) ) ) )
          | c8_0 )
        & ( c6_0
          | ! [X139] : 
              ( ndr1_0
             => ( ( ndr1_1(X139)
                  & c5_2(X139,a747)
                  & ~ c1_2(X139,a747)
                  & c9_2(X139,a747) )
                | ! [X140] : 
                    ( ndr1_1(X139)
                   => ( ~ c1_2(X139,X140)
                      | c3_2(X139,X140)
                      | c5_2(X139,X140) ) )
                | ~ c2_1(X139) ) ) )
        & ( ! [X141] : 
              ( ndr1_0
             => ( ( ndr1_1(X141)
                  & ~ c4_2(X141,a748)
                  & c1_2(X141,a748)
                  & c10_2(X141,a748) )
                | c8_1(X141)
                | ! [X142] : 
                    ( ndr1_1(X141)
                   => ( c3_2(X141,X142)
                      | c5_2(X141,X142)
                      | c10_2(X141,X142) ) ) ) )
          | ~ c4_0
          | ! [X143] : 
              ( ndr1_0
             => ( ( ndr1_1(X143)
                  & ~ c5_2(X143,a749)
                  & c7_2(X143,a749)
                  & c6_2(X143,a749) )
                | ( ndr1_1(X143)
                  & c2_2(X143,a750)
                  & ~ c8_2(X143,a750)
                  & ~ c10_2(X143,a750) )
                | ! [X144] : 
                    ( ndr1_1(X143)
                   => ( ~ c2_2(X143,X144)
                      | c9_2(X143,X144)
                      | ~ c4_2(X143,X144) ) ) ) ) )
        & ( ! [X145] : 
              ( ndr1_0
             => ( c9_1(X145)
                | ~ c2_1(X145) ) )
          | ~ c10_0
          | ~ c1_0 )
        & ( c4_0
          | c2_0
          | c6_0 )
        & ( ! [X146] : 
              ( ndr1_0
             => ( c7_1(X146)
                | ! [X147] : 
                    ( ndr1_1(X146)
                   => ( ~ c6_2(X146,X147)
                      | c9_2(X146,X147)
                      | ~ c8_2(X146,X147) ) )
                | ( ndr1_1(X146)
                  & c3_2(X146,a751)
                  & c2_2(X146,a751) ) ) )
          | ! [X148] : 
              ( ndr1_0
             => ( c10_1(X148)
                | ( ndr1_1(X148)
                  & ~ c4_2(X148,a752)
                  & ~ c7_2(X148,a752) )
                | c3_1(X148) ) )
          | ( ndr1_0
            & ~ c9_1(a753)
            & ndr1_1(a753)
            & ~ c1_2(a753,a754)
            & ~ c4_2(a753,a754)
            & c10_2(a753,a754)
            & ! [X149] : 
                ( ndr1_1(a753)
               => ( ~ c4_2(a753,X149)
                  | ~ c3_2(a753,X149) ) ) ) )
        & ( ! [X150] : 
              ( ndr1_0
             => ( ! [X151] : 
                    ( ndr1_1(X150)
                   => ( ~ c10_2(X150,X151)
                      | c1_2(X150,X151)
                      | c3_2(X150,X151) ) )
                | c10_1(X150)
                | ~ c5_1(X150) ) )
          | ~ c10_0
          | ( ndr1_0
            & ~ c7_1(a755)
            & ~ c6_1(a755)
            & ! [X152] : 
                ( ndr1_1(a755)
               => ( c6_2(a755,X152)
                  | ~ c8_2(a755,X152)
                  | ~ c7_2(a755,X152) ) ) ) )
        & ( ( ndr1_0
            & c6_1(a756)
            & ! [X153] : 
                ( ndr1_1(a756)
               => ( ~ c4_2(a756,X153)
                  | c10_2(a756,X153)
                  | c8_2(a756,X153) ) ) )
          | c7_0 )
        & ( ( ndr1_0
            & c5_1(a757)
            & c10_1(a757)
            & ~ c1_1(a757) )
          | c1_0
          | ( ndr1_0
            & c1_1(a758)
            & c8_1(a758)
            & c4_1(a758) ) )
        & ( ~ c1_0
          | c7_0
          | ( ndr1_0
            & ! [X154] : 
                ( ndr1_1(a759)
               => ( ~ c6_2(a759,X154)
                  | c7_2(a759,X154)
                  | c8_2(a759,X154) ) )
            & ndr1_1(a759)
            & ~ c1_2(a759,a760)
            & c2_2(a759,a760)
            & ~ c5_2(a759,a760)
            & ~ c8_1(a759) ) ) ) )).

%--------------------------------------------------------------------------
