%--------------------------------------------------------------------------
% File     : SYN423+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=10, R=1, L=150, K=3, D=2, P=0, Index=002
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-10-1-150-3-2-002.dfg [Wei97]

% Status   : CounterSatisfiable
% Rating   : 0.25 v3.1.0, 0.67 v2.7.0, 0.83 v2.6.0, 0.50 v2.5.0, 0.33 v2.3.0, 0.00 v2.1.0
%
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
%
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       : 1357 (   0 equality)
%            Maximal formula depth :  127 ( 127 average)
%            Number of connectives : 1863 ( 507 ~  ; 525  |; 645  &)
%                                         (   0 <=>; 186 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   32 (  11 propositional; 0-2 arity)
%            Number of functors    :  189 ( 189 constant; 0-0 arity)
%            Number of variables   :  186 (   0 singleton; 186 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%--------------------------------------------------------------------------
fof(co1,conjecture,
    ( ~ ( c6_0
        & ~ c8_0
        & ( c1_0
          | c5_0
          | ! [U] : 
              ( ndr1_0
             => ( ~ c2_1(U)
                | ( ndr1_1(U)
                  & c1_2(U,a431)
                  & c6_2(U,a431)
                  & ~ c10_2(U,a431) )
                | ( ndr1_1(U)
                  & c10_2(U,a432)
                  & c4_2(U,a432)
                  & c5_2(U,a432) ) ) ) )
        & ( c1_0
          | ~ c2_0
          | ! [V] : 
              ( ndr1_0
             => ( ~ c6_1(V)
                | ~ c7_1(V)
                | ( ndr1_1(V)
                  & c5_2(V,a433)
                  & ~ c4_2(V,a433)
                  & ~ c6_2(V,a433) ) ) ) )
        & ( c1_0
          | ~ c3_0
          | ! [W] : 
              ( ndr1_0
             => ( c1_1(W)
                | ! [X] : 
                    ( ndr1_1(W)
                   => ( c3_2(W,X)
                      | c4_2(W,X)
                      | ~ c5_2(W,X) ) ) ) ) )
        & ( c1_0
          | ~ c9_0 )
        & ( c1_0
          | ( ndr1_0
            & c6_1(a434)
            & ! [Y] : 
                ( ndr1_1(a434)
               => ( c10_2(a434,Y)
                  | ~ c5_2(a434,Y)
                  | ~ c9_2(a434,Y) ) )
            & ndr1_1(a434)
            & ~ c1_2(a434,a435)
            & ~ c5_2(a434,a435)
            & ~ c8_2(a434,a435) )
          | ( ndr1_0
            & c7_1(a436)
            & ~ c3_1(a436)
            & ~ c9_1(a436) ) )
        & ( c10_0
          | c3_0
          | ( ndr1_0
            & ~ c1_1(a437)
            & ! [Z] : 
                ( ndr1_1(a437)
               => ( c10_2(a437,Z)
                  | c5_2(a437,Z)
                  | ~ c8_2(a437,Z) ) )
            & ndr1_1(a437)
            & c9_2(a437,a438)
            & ~ c4_2(a437,a438)
            & ~ c8_2(a437,a438) ) )
        & ( c10_0
          | c4_0
          | ! [X1] : 
              ( ndr1_0
             => ( c9_1(X1)
                | ~ c2_1(X1)
                | ( ndr1_1(X1)
                  & ~ c4_2(X1,a439)
                  & ~ c5_2(X1,a439)
                  & ~ c6_2(X1,a439) ) ) ) )
        & ( c10_0
          | c5_0
          | ~ c9_0 )
        & ( c10_0
          | c7_0 )
        & ( c10_0
          | c7_0
          | ( ndr1_0
            & ~ c3_1(a440)
            & ! [X2] : 
                ( ndr1_1(a440)
               => ( ~ c2_2(a440,X2)
                  | ~ c4_2(a440,X2)
                  | ~ c9_2(a440,X2) ) )
            & ndr1_1(a440)
            & c10_2(a440,a441)
            & ~ c4_2(a440,a441)
            & ~ c5_2(a440,a441) ) )
        & ( c10_0
          | ~ c2_0
          | ! [X3] : 
              ( ndr1_0
             => ( ~ c5_1(X3)
                | ( ndr1_1(X3)
                  & c10_2(X3,a442)
                  & c5_2(X3,a442)
                  & ~ c7_2(X3,a442) ) ) ) )
        & ( c10_0
          | ~ c7_0
          | ( ndr1_0
            & c4_1(a443)
            & ndr1_1(a443)
            & c1_2(a443,a444)
            & ~ c4_2(a443,a444)
            & ndr1_1(a443)
            & c5_2(a443,a445)
            & ~ c10_2(a443,a445)
            & ~ c8_2(a443,a445) ) )
        & ( c10_0
          | ! [X4] : 
              ( ndr1_0
             => ( c1_1(X4)
                | ~ c9_1(X4)
                | ! [X5] : 
                    ( ndr1_1(X4)
                   => ( c2_2(X4,X5)
                      | c4_2(X4,X5)
                      | c9_2(X4,X5) ) ) ) ) )
        & ( c10_0
          | ! [X6] : 
              ( ndr1_0
             => ( c10_1(X6)
                | ( ndr1_1(X6)
                  & c1_2(X6,a446)
                  & ~ c6_2(X6,a446)
                  & ~ c9_2(X6,a446) )
                | ( ndr1_1(X6)
                  & ~ c10_2(X6,a447)
                  & ~ c2_2(X6,a447)
                  & ~ c3_2(X6,a447) ) ) )
          | ( ndr1_0
            & ~ c9_1(a448)
            & ! [X7] : 
                ( ndr1_1(a448)
               => ( c1_2(a448,X7)
                  | c5_2(a448,X7)
                  | ~ c8_2(a448,X7) ) )
            & ! [X8] : 
                ( ndr1_1(a448)
               => ( c1_2(a448,X8)
                  | ~ c4_2(a448,X8)
                  | ~ c6_2(a448,X8) ) ) ) )
        & ( c10_0
          | ! [X9] : 
              ( ndr1_0
             => ( c2_1(X9)
                | c9_1(X9)
                | ~ c3_1(X9) ) ) )
        & ( c10_0
          | ( ndr1_0
            & c3_1(a449)
            & ! [X10] : 
                ( ndr1_1(a449)
               => ( c3_2(a449,X10)
                  | c6_2(a449,X10) ) )
            & ndr1_1(a449)
            & c4_2(a449,a450)
            & c7_2(a449,a450)
            & ~ c9_2(a449,a450) )
          | ( ndr1_0
            & ~ c6_1(a451)
            & ndr1_1(a451)
            & c5_2(a451,a452)
            & ~ c6_2(a451,a452)
            & ~ c9_2(a451,a452) ) )
        & ( c10_0
          | ( ndr1_0
            & c8_1(a453)
            & ! [X11] : 
                ( ndr1_1(a453)
               => ( ~ c10_2(a453,X11)
                  | ~ c4_2(a453,X11)
                  | ~ c5_2(a453,X11) ) )
            & ndr1_1(a453)
            & c7_2(a453,a454)
            & ~ c2_2(a453,a454)
            & ~ c5_2(a453,a454) ) )
        & ( c10_0
          | ( ndr1_0
            & ! [X12] : 
                ( ndr1_1(a455)
               => ( c3_2(a455,X12)
                  | c8_2(a455,X12)
                  | ~ c1_2(a455,X12) ) )
            & ! [X13] : 
                ( ndr1_1(a455)
               => ( c3_2(a455,X13)
                  | c9_2(a455,X13)
                  | ~ c1_2(a455,X13) ) )
            & ndr1_1(a455)
            & c8_2(a455,a456)
            & ~ c2_2(a455,a456)
            & ~ c4_2(a455,a456) ) )
        & ( c10_0
          | ( ndr1_0
            & ndr1_1(a457)
            & c1_2(a457,a458)
            & ~ c8_2(a457,a458)
            & ndr1_1(a457)
            & c10_2(a457,a459)
            & ~ c2_2(a457,a459)
            & ~ c4_2(a457,a459) ) )
        & ( c2_0
          | c7_0
          | ( ndr1_0
            & c1_1(a460)
            & c2_1(a460)
            & ~ c5_1(a460) ) )
        & ( c2_0
          | ~ c1_0
          | ! [X14] : 
              ( ndr1_0
             => ! [X15] : 
                  ( ndr1_1(X14)
                 => ( ~ c10_2(X14,X15)
                    | ~ c4_2(X14,X15)
                    | ~ c9_2(X14,X15) ) ) ) )
        & ( c2_0
          | ~ c4_0
          | ~ c7_0 )
        & ( c2_0
          | ~ c5_0
          | ! [X16] : 
              ( ndr1_0
             => ( c3_1(X16)
                | ~ c6_1(X16) ) ) )
        & ( c2_0
          | ~ c7_0
          | ( ndr1_0
            & ~ c3_1(a461)
            & ~ c4_1(a461)
            & ndr1_1(a461)
            & ~ c1_2(a461,a462)
            & ~ c3_2(a461,a462)
            & ~ c8_2(a461,a462) ) )
        & ( c3_0
          | c7_0
          | ! [X17] : 
              ( ndr1_0
             => ( c4_1(X17)
                | ! [X18] : 
                    ( ndr1_1(X17)
                   => ( c9_2(X17,X18)
                      | ~ c1_2(X17,X18)
                      | ~ c3_2(X17,X18) ) )
                | ( ndr1_1(X17)
                  & c7_2(X17,a463)
                  & ~ c2_2(X17,a463)
                  & ~ c5_2(X17,a463) ) ) ) )
        & ( c3_0
          | ~ c1_0
          | ! [X19] : 
              ( ndr1_0
             => ( c4_1(X19)
                | ~ c8_1(X19)
                | ! [X20] : 
                    ( ndr1_1(X19)
                   => ( c1_2(X19,X20)
                      | c6_2(X19,X20)
                      | ~ c3_2(X19,X20) ) ) ) ) )
        & ( c3_0
          | ~ c1_0
          | ! [X21] : 
              ( ndr1_0
             => ( ~ c7_1(X21)
                | ! [X22] : 
                    ( ndr1_1(X21)
                   => ( c5_2(X21,X22)
                      | ~ c1_2(X21,X22)
                      | ~ c9_2(X21,X22) ) ) ) ) )
        & ( c3_0
          | ~ c10_0
          | ! [X23] : 
              ( ndr1_0
             => ( c6_1(X23)
                | ! [X24] : 
                    ( ndr1_1(X23)
                   => ( c8_2(X23,X24)
                      | ~ c3_2(X23,X24)
                      | ~ c6_2(X23,X24) ) )
                | ( ndr1_1(X23)
                  & c3_2(X23,a464)
                  & c7_2(X23,a464)
                  & ~ c6_2(X23,a464) ) ) ) )
        & ( c3_0
          | ~ c4_0
          | ~ c7_0 )
        & ( c3_0
          | ( ndr1_0
            & ~ c10_1(a465)
            & ! [X25] : 
                ( ndr1_1(a465)
               => ( c8_2(a465,X25)
                  | ~ c3_2(a465,X25)
                  | ~ c4_2(a465,X25) ) )
            & ndr1_1(a465)
            & c2_2(a465,a466)
            & c6_2(a465,a466)
            & ~ c1_2(a465,a466) ) )
        & ( c3_0
          | ! [X26] : 
              ( ndr1_0
             => ( ~ c7_1(X26)
                | ~ c8_1(X26)
                | ! [X27] : 
                    ( ndr1_1(X26)
                   => ( c5_2(X26,X27)
                      | ~ c3_2(X26,X27) ) ) ) )
          | ( ndr1_0
            & c1_1(a467)
            & c5_1(a467)
            & ~ c6_1(a467) ) )
        & ( c4_0
          | c5_0
          | ( ndr1_0
            & ~ c6_1(a468)
            & ! [X28] : 
                ( ndr1_1(a468)
               => ( c1_2(a468,X28)
                  | c9_2(a468,X28)
                  | ~ c4_2(a468,X28) ) )
            & ndr1_1(a468)
            & c6_2(a468,a469)
            & c9_2(a468,a469)
            & ~ c7_2(a468,a469) ) )
        & ( c4_0
          | ( ndr1_0
            & c8_1(a470)
            & ! [X29] : 
                ( ndr1_1(a470)
               => ( c3_2(a470,X29)
                  | c7_2(a470,X29)
                  | ~ c4_2(a470,X29) ) )
            & ndr1_1(a470)
            & c7_2(a470,a471)
            & c8_2(a470,a471) ) )
        & ( c4_0
          | ~ c9_0
          | ! [X30] : 
              ( ndr1_0
             => ( c9_1(X30)
                | ~ c10_1(X30)
                | ! [X31] : 
                    ( ndr1_1(X30)
                   => ( ~ c10_2(X30,X31)
                      | ~ c7_2(X30,X31)
                      | ~ c8_2(X30,X31) ) ) ) ) )
        & ( c4_0
          | ! [X32] : 
              ( ndr1_0
             => ( c6_1(X32)
                | ! [X33] : 
                    ( ndr1_1(X32)
                   => ( c4_2(X32,X33)
                      | c5_2(X32,X33)
                      | c9_2(X32,X33) ) )
                | ! [X34] : 
                    ( ndr1_1(X32)
                   => ( c6_2(X32,X34)
                      | c8_2(X32,X34)
                      | ~ c4_2(X32,X34) ) ) ) ) )
        & ( c4_0
          | ! [X35] : 
              ( ndr1_0
             => ( ~ c5_1(X35)
                | ( ndr1_1(X35)
                  & c2_2(X35,a472)
                  & c9_2(X35,a472)
                  & ~ c3_2(X35,a472) )
                | ( ndr1_1(X35)
                  & c5_2(X35,a473)
                  & c8_2(X35,a473)
                  & c9_2(X35,a473) ) ) )
          | ( ndr1_0
            & c10_1(a474)
            & ~ c8_1(a474)
            & ! [X36] : 
                ( ndr1_1(a474)
               => ( c10_2(a474,X36)
                  | c4_2(a474,X36)
                  | ~ c3_2(a474,X36) ) ) ) )
        & ( c5_0
          | ! [X37] : 
              ( ndr1_0
             => ( ~ c2_1(X37)
                | ( ndr1_1(X37)
                  & c1_2(X37,a475)
                  & ~ c7_2(X37,a475) )
                | ( ndr1_1(X37)
                  & c2_2(X37,a476)
                  & ~ c10_2(X37,a476)
                  & ~ c4_2(X37,a476) ) ) ) )
        & ( c5_0
          | ~ c1_0
          | ( ndr1_0
            & c9_1(a477)
            & ~ c10_1(a477)
            & ~ c3_1(a477) ) )
        & ( c5_0
          | ~ c3_0
          | ! [X38] : 
              ( ndr1_0
             => ( c10_1(X38)
                | c2_1(X38)
                | ( ndr1_1(X38)
                  & c6_2(X38,a478)
                  & ~ c4_2(X38,a478)
                  & ~ c7_2(X38,a478) ) ) ) )
        & ( c5_0
          | ( ndr1_0
            & ndr1_1(a479)
            & c10_2(a479,a480)
            & c9_2(a479,a480)
            & ndr1_1(a479)
            & c5_2(a479,a481)
            & c8_2(a479,a481)
            & ~ c4_2(a479,a481) ) )
        & ( c5_0
          | ~ c7_0
          | ( ndr1_0
            & c2_1(a482)
            & ~ c5_1(a482) ) )
        & ( c5_0
          | ~ c7_0
          | ( ndr1_0
            & c6_1(a483)
            & ~ c3_1(a483) ) )
        & ( c5_0
          | ! [X39] : 
              ( ndr1_0
             => ( c2_1(X39)
                | ( ndr1_1(X39)
                  & c4_2(X39,a484)
                  & c5_2(X39,a484)
                  & c9_2(X39,a484) ) ) )
          | ( ndr1_0
            & c1_1(a485)
            & ndr1_1(a485)
            & c5_2(a485,a486)
            & c7_2(a485,a486)
            & ~ c6_2(a485,a486)
            & ndr1_1(a485)
            & ~ c2_2(a485,a487)
            & ~ c3_2(a485,a487)
            & ~ c8_2(a485,a487) ) )
        & ( c5_0
          | ! [X40] : 
              ( ndr1_0
             => ( ~ c3_1(X40)
                | ~ c7_1(X40)
                | ( ndr1_1(X40)
                  & c1_2(X40,a488)
                  & c4_2(X40,a488)
                  & c5_2(X40,a488) ) ) )
          | ( ndr1_0
            & c3_1(a489)
            & ~ c8_1(a489)
            & ! [X41] : 
                ( ndr1_1(a489)
               => ( c3_2(a489,X41)
                  | c8_2(a489,X41)
                  | ~ c1_2(a489,X41) ) ) ) )
        & ( c5_0
          | ( ndr1_0
            & c6_1(a490)
            & c8_1(a490)
            & ~ c9_1(a490) )
          | ( ndr1_0
            & c8_1(a491)
            & ~ c4_1(a491)
            & ndr1_1(a491)
            & c3_2(a491,a492)
            & ~ c1_2(a491,a492)
            & ~ c4_2(a491,a492) ) )
        & ( c7_0
          | ~ c1_0 )
        & ( c7_0
          | ~ c5_0
          | ( ndr1_0
            & c2_1(a493)
            & ! [X42] : 
                ( ndr1_1(a493)
               => ( c10_2(a493,X42)
                  | c3_2(a493,X42)
                  | ~ c5_2(a493,X42) ) ) ) )
        & ( c7_0
          | ! [X43] : 
              ( ndr1_0
             => ( ~ c1_1(X43)
                | ~ c10_1(X43) ) )
          | ! [X44] : 
              ( ndr1_0
             => ( ! [X45] : 
                    ( ndr1_1(X44)
                   => ( c6_2(X44,X45)
                      | c7_2(X44,X45)
                      | ~ c3_2(X44,X45) ) )
                | ( ndr1_1(X44)
                  & c2_2(X44,a494)
                  & c5_2(X44,a494)
                  & c8_2(X44,a494) )
                | ( ndr1_1(X44)
                  & ~ c1_2(X44,a495)
                  & ~ c3_2(X44,a495)
                  & ~ c4_2(X44,a495) ) ) ) )
        & ( c7_0
          | ! [X46] : 
              ( ndr1_0
             => ( ~ c4_1(X46)
                | ( ndr1_1(X46)
                  & c4_2(X46,a496)
                  & c9_2(X46,a496)
                  & ~ c7_2(X46,a496) )
                | ( ndr1_1(X46)
                  & c5_2(X46,a497)
                  & ~ c2_2(X46,a497)
                  & ~ c7_2(X46,a497) ) ) )
          | ( ndr1_0
            & ~ c2_1(a498)
            & ~ c6_1(a498) ) )
        & ( c7_0
          | ( ndr1_0
            & c1_1(a499)
            & ~ c2_1(a499) )
          | ( ndr1_0
            & c10_1(a500)
            & c4_1(a500) ) )
        & ( c7_0
          | ( ndr1_0
            & ! [X47] : 
                ( ndr1_1(a501)
               => ( c3_2(a501,X47)
                  | ~ c1_2(a501,X47)
                  | ~ c6_2(a501,X47) ) )
            & ! [X48] : 
                ( ndr1_1(a501)
               => ( c6_2(a501,X48)
                  | c9_2(a501,X48)
                  | ~ c7_2(a501,X48) ) )
            & ndr1_1(a501)
            & c3_2(a501,a502)
            & c9_2(a501,a502)
            & ~ c2_2(a501,a502) ) )
        & ( ~ c10_0
          | ~ c7_0 )
        & ( ~ c10_0
          | ( ndr1_0
            & ~ c6_1(a503)
            & ! [X49] : 
                ( ndr1_1(a503)
               => ( c4_2(a503,X49)
                  | c9_2(a503,X49)
                  | ~ c7_2(a503,X49) ) )
            & ! [X50] : 
                ( ndr1_1(a503)
               => ( c8_2(a503,X50)
                  | c9_2(a503,X50)
                  | ~ c1_2(a503,X50) ) ) ) )
        & ( ~ c4_0
          | ~ c5_0 )
        & ! [X51] : 
            ( ndr1_0
           => ( c2_1(X51)
              | ~ c3_1(X51)
              | ( ndr1_1(X51)
                & c2_2(X51,a504)
                & c3_2(X51,a504) ) ) )
        & ( ! [X52] : 
              ( ndr1_0
             => ( c1_1(X52)
                | ! [X53] : 
                    ( ndr1_1(X52)
                   => ( c2_2(X52,X53)
                      | ~ c10_2(X52,X53)
                      | ~ c9_2(X52,X53) ) )
                | ( ndr1_1(X52)
                  & c6_2(X52,a505)
                  & ~ c3_2(X52,a505) ) ) )
          | ! [X54] : 
              ( ndr1_0
             => ( ! [X55] : 
                    ( ndr1_1(X54)
                   => ( c1_2(X54,X55)
                      | c3_2(X54,X55)
                      | ~ c7_2(X54,X55) ) )
                | ! [X56] : 
                    ( ndr1_1(X54)
                   => ( c2_2(X54,X56)
                      | c3_2(X54,X56)
                      | ~ c6_2(X54,X56) ) )
                | ( ndr1_1(X54)
                  & c6_2(X54,a506)
                  & ~ c1_2(X54,a506)
                  & ~ c8_2(X54,a506) ) ) ) )
        & ( ! [X57] : 
              ( ndr1_0
             => ( c9_1(X57)
                | ~ c4_1(X57)
                | ( ndr1_1(X57)
                  & c1_2(X57,a507)
                  & ~ c2_2(X57,a507)
                  & ~ c5_2(X57,a507) ) ) )
          | ( ndr1_0
            & ! [X58] : 
                ( ndr1_1(a508)
               => ( c8_2(a508,X58)
                  | ~ c6_2(a508,X58) ) )
            & ndr1_1(a508)
            & ~ c2_2(a508,a509)
            & ~ c5_2(a508,a509)
            & ~ c9_2(a508,a509) ) )
        & ( ! [X59] : 
              ( ndr1_0
             => ( ~ c2_1(X59)
                | ~ c8_1(X59)
                | ! [X60] : 
                    ( ndr1_1(X59)
                   => ( c3_2(X59,X60)
                      | c4_2(X59,X60)
                      | ~ c2_2(X59,X60) ) ) ) )
          | ( ndr1_0
            & c6_1(a510)
            & c7_1(a510)
            & ~ c8_1(a510) ) )
        & ! [X61] : 
            ( ndr1_0
           => ( ~ c2_1(X61)
              | ! [X62] : 
                  ( ndr1_1(X61)
                 => ( c8_2(X61,X62)
                    | ~ c2_2(X61,X62)
                    | ~ c9_2(X61,X62) ) )
              | ( ndr1_1(X61)
                & c1_2(X61,a511)
                & c4_2(X61,a511)
                & ~ c8_2(X61,a511) ) ) )
        & ( ! [X63] : 
              ( ndr1_0
             => ( ~ c2_1(X63)
                | ! [X64] : 
                    ( ndr1_1(X63)
                   => ( ~ c4_2(X63,X64)
                      | ~ c7_2(X63,X64)
                      | ~ c9_2(X63,X64) ) )
                | ( ndr1_1(X63)
                  & c1_2(X63,a512)
                  & ~ c3_2(X63,a512)
                  & ~ c4_2(X63,a512) ) ) )
          | ( ndr1_0
            & c10_1(a513)
            & c3_1(a513)
            & ! [X65] : 
                ( ndr1_1(a513)
               => ( c8_2(a513,X65)
                  | ~ c2_2(a513,X65)
                  | ~ c5_2(a513,X65) ) ) ) )
        & ! [X66] : 
            ( ndr1_0
           => ( ~ c3_1(X66)
              | ~ c9_1(X66) ) )
        & ( ! [X67] : 
              ( ndr1_0
             => ( ~ c8_1(X67)
                | ! [X68] : 
                    ( ndr1_1(X67)
                   => ( c10_2(X67,X68)
                      | c2_2(X67,X68)
                      | c7_2(X67,X68) ) )
                | ! [X69] : 
                    ( ndr1_1(X67)
                   => ( c3_2(X67,X69)
                      | c8_2(X67,X69)
                      | c9_2(X67,X69) ) ) ) )
          | ( ndr1_0
            & c10_1(a514)
            & ~ c8_1(a514) ) )
        & ( ( ndr1_0
            & c1_1(a515)
            & c8_1(a515)
            & ~ c7_1(a515) )
          | ( ndr1_0
            & c2_1(a516)
            & c7_1(a516)
            & ~ c4_1(a516) ) )
        & ( c9_0
          | ~ c1_0
          | ( ndr1_0
            & c3_1(a517)
            & ! [X70] : 
                ( ndr1_1(a517)
               => ( c1_2(a517,X70)
                  | c5_2(a517,X70)
                  | ~ c6_2(a517,X70) ) ) ) )
        & ( c9_0
          | ~ c10_0
          | ! [X71] : 
              ( ndr1_0
             => ( ~ c1_1(X71)
                | ~ c9_1(X71)
                | ( ndr1_1(X71)
                  & c1_2(X71,a518)
                  & c4_2(X71,a518)
                  & ~ c8_2(X71,a518) ) ) ) )
        & ( c9_0
          | ~ c5_0
          | ! [X72] : 
              ( ndr1_0
             => ( c9_1(X72)
                | ~ c1_1(X72)
                | ( ndr1_1(X72)
                  & c2_2(X72,a519)
                  & ~ c1_2(X72,a519)
                  & ~ c3_2(X72,a519) ) ) ) )
        & ( c9_0
          | ! [X73] : 
              ( ndr1_0
             => ( ~ c1_1(X73)
                | ! [X74] : 
                    ( ndr1_1(X73)
                   => ( c1_2(X73,X74)
                      | c4_2(X73,X74)
                      | ~ c3_2(X73,X74) ) )
                | ( ndr1_1(X73)
                  & c8_2(X73,a520)
                  & ~ c2_2(X73,a520) ) ) )
          | ( ndr1_0
            & ! [X75] : 
                ( ndr1_1(a521)
               => ( c1_2(a521,X75)
                  | c3_2(a521,X75)
                  | ~ c4_2(a521,X75) ) )
            & ! [X76] : 
                ( ndr1_1(a521)
               => ( c1_2(a521,X76)
                  | c8_2(a521,X76)
                  | ~ c4_2(a521,X76) ) )
            & ndr1_1(a521)
            & c3_2(a521,a522)
            & c8_2(a521,a522)
            & c9_2(a521,a522) ) )
        & ( c9_0
          | ! [X77] : 
              ( ndr1_0
             => ( ~ c10_1(X77)
                | ( ndr1_1(X77)
                  & c9_2(X77,a523)
                  & ~ c10_2(X77,a523)
                  & ~ c2_2(X77,a523) ) ) )
          | ( ndr1_0
            & c3_1(a524)
            & ndr1_1(a524)
            & c3_2(a524,a525)
            & c7_2(a524,a525)
            & ~ c4_2(a524,a525) ) )
        & ( ~ c1_0
          | ~ c4_0
          | ( ndr1_0
            & ! [X78] : 
                ( ndr1_1(a526)
               => ( c8_2(a526,X78)
                  | ~ c7_2(a526,X78)
                  | ~ c9_2(a526,X78) ) )
            & ! [X79] : 
                ( ndr1_1(a526)
               => ( c9_2(a526,X79)
                  | ~ c2_2(a526,X79)
                  | ~ c4_2(a526,X79) ) )
            & ndr1_1(a526)
            & c9_2(a526,a527)
            & ~ c1_2(a526,a527) ) )
        & ( ~ c1_0
          | ( ndr1_0
            & c10_1(a528)
            & c5_1(a528)
            & ndr1_1(a528)
            & c4_2(a528,a529)
            & c7_2(a528,a529)
            & c9_2(a528,a529) ) )
        & ( ~ c1_0
          | ! [X80] : 
              ( ndr1_0
             => ( ~ c1_1(X80)
                | ~ c10_1(X80)
                | ( ndr1_1(X80)
                  & c8_2(X80,a530)
                  & ~ c10_2(X80,a530) ) ) )
          | ( ndr1_0
            & c8_1(a531)
            & ~ c5_1(a531)
            & ndr1_1(a531)
            & c10_2(a531,a532)
            & ~ c8_2(a531,a532)
            & ~ c9_2(a531,a532) ) )
        & ( ~ c10_0
          | ~ c4_0
          | ! [X81] : 
              ( ndr1_0
             => ( c7_1(X81)
                | ( ndr1_1(X81)
                  & c10_2(X81,a533)
                  & c5_2(X81,a533)
                  & c8_2(X81,a533) ) ) ) )
        & ( ~ c10_0
          | ~ c5_0
          | ! [X82] : 
              ( ndr1_0
             => ( ! [X83] : 
                    ( ndr1_1(X82)
                   => ( c5_2(X82,X83)
                      | ~ c3_2(X82,X83) ) )
                | ( ndr1_1(X82)
                  & c8_2(X82,a534)
                  & ~ c4_2(X82,a534)
                  & ~ c5_2(X82,a534) )
                | ( ndr1_1(X82)
                  & ~ c4_2(X82,a535)
                  & ~ c8_2(X82,a535)
                  & ~ c9_2(X82,a535) ) ) ) )
        & ( ~ c10_0
          | ~ c5_0
          | ( ndr1_0
            & c10_1(a536)
            & ~ c6_1(a536)
            & ndr1_1(a536)
            & c1_2(a536,a537)
            & c2_2(a536,a537)
            & ~ c7_2(a536,a537) ) )
        & ( ~ c10_0
          | ! [X84] : 
              ( ndr1_0
             => ( c10_1(X84)
                | ~ c2_1(X84)
                | ~ c8_1(X84) ) )
          | ! [X85] : 
              ( ndr1_0
             => ( c9_1(X85)
                | ~ c3_1(X85)
                | ! [X86] : 
                    ( ndr1_1(X85)
                   => ( c10_2(X85,X86)
                      | ~ c1_2(X85,X86)
                      | ~ c7_2(X85,X86) ) ) ) ) )
        & ( ~ c10_0
          | ! [X87] : 
              ( ndr1_0
             => ( c3_1(X87)
                | ~ c8_1(X87)
                | ( ndr1_1(X87)
                  & c2_2(X87,a538)
                  & c5_2(X87,a538)
                  & ~ c1_2(X87,a538) ) ) )
          | ( ndr1_0
            & c3_1(a539)
            & ~ c9_1(a539) ) )
        & ( ~ c10_0
          | ( ndr1_0
            & ~ c2_1(a540)
            & ~ c8_1(a540)
            & ! [X88] : 
                ( ndr1_1(a540)
               => ( c5_2(a540,X88)
                  | c8_2(a540,X88)
                  | ~ c6_2(a540,X88) ) ) )
          | ( ndr1_0
            & ~ c5_1(a541)
            & ~ c8_1(a541)
            & ! [X89] : 
                ( ndr1_1(a541)
               => ( c1_2(a541,X89)
                  | c3_2(a541,X89)
                  | c9_2(a541,X89) ) ) ) )
        & ( ~ c2_0
          | ~ c7_0
          | ! [X90] : 
              ( ndr1_0
             => ( c3_1(X90)
                | ! [X91] : 
                    ( ndr1_1(X90)
                   => ( c10_2(X90,X91)
                      | ~ c1_2(X90,X91)
                      | ~ c2_2(X90,X91) ) ) ) ) )
        & ( ~ c2_0
          | ! [X92] : 
              ( ndr1_0
             => ( c3_1(X92)
                | c5_1(X92)
                | c7_1(X92) ) )
          | ( ndr1_0
            & ~ c10_1(a542)
            & ! [X93] : 
                ( ndr1_1(a542)
               => ( c3_2(a542,X93)
                  | ~ c6_2(a542,X93) ) ) ) )
        & ( ~ c2_0
          | ( ndr1_0
            & c1_1(a543)
            & ! [X94] : 
                ( ndr1_1(a543)
               => ( c10_2(a543,X94)
                  | c3_2(a543,X94)
                  | ~ c9_2(a543,X94) ) )
            & ! [X95] : 
                ( ndr1_1(a543)
               => ( c8_2(a543,X95)
                  | c9_2(a543,X95)
                  | ~ c5_2(a543,X95) ) ) )
          | ( ndr1_0
            & c2_1(a544)
            & c6_1(a544)
            & ~ c1_1(a544) ) )
        & ( ~ c3_0
          | ! [X96] : 
              ( ndr1_0
             => ( c1_1(X96)
                | ~ c9_1(X96) ) )
          | ! [X97] : 
              ( ndr1_0
             => ( c10_1(X97)
                | c3_1(X97)
                | ! [X98] : 
                    ( ndr1_1(X97)
                   => ( c6_2(X97,X98)
                      | ~ c4_2(X97,X98)
                      | ~ c9_2(X97,X98) ) ) ) ) )
        & ( ~ c3_0
          | ! [X99] : 
              ( ndr1_0
             => ( ! [X100] : 
                    ( ndr1_1(X99)
                   => ( ~ c10_2(X99,X100)
                      | ~ c2_2(X99,X100)
                      | ~ c8_2(X99,X100) ) )
                | ( ndr1_1(X99)
                  & c4_2(X99,a545)
                  & c6_2(X99,a545)
                  & ~ c8_2(X99,a545) ) ) )
          | ( ndr1_0
            & c3_1(a546)
            & ! [X101] : 
                ( ndr1_1(a546)
               => ( c1_2(a546,X101)
                  | c3_2(a546,X101)
                  | c7_2(a546,X101) ) )
            & ! [X102] : 
                ( ndr1_1(a546)
               => ( ~ c2_2(a546,X102)
                  | ~ c3_2(a546,X102) ) ) ) )
        & ( ~ c3_0
          | ( ndr1_0
            & ~ c1_1(a547)
            & ~ c8_1(a547) )
          | ( ndr1_0
            & ! [X103] : 
                ( ndr1_1(a548)
               => ( c4_2(a548,X103)
                  | c5_2(a548,X103)
                  | c6_2(a548,X103) ) )
            & ! [X104] : 
                ( ndr1_1(a548)
               => ( c4_2(a548,X104)
                  | c8_2(a548,X104)
                  | ~ c7_2(a548,X104) ) )
            & ndr1_1(a548)
            & c6_2(a548,a549)
            & c9_2(a548,a549)
            & ~ c5_2(a548,a549) ) )
        & ( ~ c4_0
          | ~ c9_0 )
        & ( ~ c4_0
          | ~ c9_0
          | ! [X105] : 
              ( ndr1_0
             => ( c4_1(X105)
                | c8_1(X105) ) ) )
        & ( ~ c4_0
          | ! [X106] : 
              ( ndr1_0
             => ( c3_1(X106)
                | ! [X107] : 
                    ( ndr1_1(X106)
                   => ( c5_2(X106,X107)
                      | ~ c10_2(X106,X107)
                      | ~ c9_2(X106,X107) ) )
                | ( ndr1_1(X106)
                  & ~ c10_2(X106,a550)
                  & ~ c5_2(X106,a550)
                  & ~ c7_2(X106,a550) ) ) ) )
        & ( ~ c4_0
          | ! [X108] : 
              ( ndr1_0
             => ( ~ c10_1(X108)
                | ~ c3_1(X108)
                | ! [X109] : 
                    ( ndr1_1(X108)
                   => ( c1_2(X108,X109)
                      | c5_2(X108,X109) ) ) ) )
          | ! [X110] : 
              ( ndr1_0
             => ( ~ c8_1(X110)
                | ! [X111] : 
                    ( ndr1_1(X110)
                   => ( c9_2(X110,X111)
                      | ~ c6_2(X110,X111) ) )
                | ! [X112] : 
                    ( ndr1_1(X110)
                   => ( ~ c1_2(X110,X112)
                      | ~ c2_2(X110,X112)
                      | ~ c8_2(X110,X112) ) ) ) ) )
        & ( ~ c5_0
          | ! [X113] : 
              ( ndr1_0
             => ( ! [X114] : 
                    ( ndr1_1(X113)
                   => ( c5_2(X113,X114)
                      | c9_2(X113,X114)
                      | ~ c2_2(X113,X114) ) )
                | ( ndr1_1(X113)
                  & c1_2(X113,a551)
                  & c2_2(X113,a551)
                  & ~ c7_2(X113,a551) )
                | ( ndr1_1(X113)
                  & c3_2(X113,a552)
                  & ~ c10_2(X113,a552)
                  & ~ c4_2(X113,a552) ) ) ) )
        & ( ~ c5_0
          | ~ c9_0
          | ! [X115] : 
              ( ndr1_0
             => ( c6_1(X115)
                | c7_1(X115)
                | ~ c9_1(X115) ) ) )
        & ( ~ c5_0
          | ~ c9_0
          | ( ndr1_0
            & c3_1(a553)
            & c5_1(a553)
            & ndr1_1(a553)
            & c1_2(a553,a554)
            & c2_2(a553,a554)
            & ~ c3_2(a553,a554) ) )
        & ( ~ c5_0
          | ! [X116] : 
              ( ndr1_0
             => ( c1_1(X116)
                | ~ c7_1(X116)
                | ( ndr1_1(X116)
                  & c1_2(X116,a555)
                  & ~ c2_2(X116,a555)
                  & ~ c6_2(X116,a555) ) ) )
          | ( ndr1_0
            & ! [X117] : 
                ( ndr1_1(a556)
               => ( c1_2(a556,X117)
                  | c5_2(a556,X117)
                  | ~ c6_2(a556,X117) ) )
            & ! [X118] : 
                ( ndr1_1(a556)
               => ( c10_2(a556,X118)
                  | ~ c6_2(a556,X118)
                  | ~ c8_2(a556,X118) ) ) ) )
        & ( ~ c5_0
          | ! [X119] : 
              ( ndr1_0
             => ( c2_1(X119)
                | ~ c8_1(X119)
                | ( ndr1_1(X119)
                  & c10_2(X119,a557)
                  & c5_2(X119,a557)
                  & ~ c4_2(X119,a557) ) ) )
          | ( ndr1_0
            & c4_1(a558)
            & ~ c9_1(a558)
            & ! [X120] : 
                ( ndr1_1(a558)
               => ( c4_2(a558,X120)
                  | c9_2(a558,X120)
                  | ~ c3_2(a558,X120) ) ) ) )
        & ( ~ c5_0
          | ! [X121] : 
              ( ndr1_0
             => ( c7_1(X121)
                | ! [X122] : 
                    ( ndr1_1(X121)
                   => ( c10_2(X121,X122)
                      | ~ c5_2(X121,X122) ) )
                | ( ndr1_1(X121)
                  & c6_2(X121,a559)
                  & c8_2(X121,a559)
                  & ~ c2_2(X121,a559) ) ) )
          | ! [X123] : 
              ( ndr1_0
             => ( ~ c5_1(X123)
                | ( ndr1_1(X123)
                  & c2_2(X123,a560)
                  & c5_2(X123,a560)
                  & c6_2(X123,a560) )
                | ( ndr1_1(X123)
                  & ~ c1_2(X123,a561)
                  & ~ c8_2(X123,a561)
                  & ~ c9_2(X123,a561) ) ) ) )
        & ( ~ c5_0
          | ! [X124] : 
              ( ndr1_0
             => ( c8_1(X124)
                | ~ c3_1(X124)
                | ! [X125] : 
                    ( ndr1_1(X124)
                   => ( c4_2(X124,X125)
                      | c6_2(X124,X125)
                      | c8_2(X124,X125) ) ) ) )
          | ( ndr1_0
            & c7_1(a562)
            & ~ c10_1(a562)
            & ! [X126] : 
                ( ndr1_1(a562)
               => ( c2_2(a562,X126)
                  | ~ c10_2(a562,X126)
                  | ~ c8_2(a562,X126) ) ) ) )
        & ( ~ c5_0
          | ! [X127] : 
              ( ndr1_0
             => ( ~ c5_1(X127)
                | ! [X128] : 
                    ( ndr1_1(X127)
                   => ( c10_2(X127,X128)
                      | ~ c5_2(X127,X128)
                      | ~ c6_2(X127,X128) ) )
                | ! [X129] : 
                    ( ndr1_1(X127)
                   => ( c5_2(X127,X129)
                      | ~ c4_2(X127,X129) ) ) ) )
          | ( ndr1_0
            & c4_1(a563)
            & ~ c8_1(a563)
            & ! [X130] : 
                ( ndr1_1(a563)
               => ( c6_2(a563,X130)
                  | ~ c10_2(a563,X130)
                  | ~ c2_2(a563,X130) ) ) ) )
        & ( ~ c5_0
          | ( ndr1_0
            & c10_1(a564)
            & ~ c1_1(a564)
            & ndr1_1(a564)
            & c10_2(a564,a565)
            & c4_2(a564,a565) ) )
        & ( ~ c5_0
          | ( ndr1_0
            & c4_1(a566)
            & ! [X131] : 
                ( ndr1_1(a566)
               => ( ~ c10_2(a566,X131)
                  | ~ c6_2(a566,X131)
                  | ~ c8_2(a566,X131) ) )
            & ndr1_1(a566)
            & c8_2(a566,a567)
            & ~ c7_2(a566,a567) )
          | ( ndr1_0
            & ~ c7_1(a568)
            & ndr1_1(a568)
            & c10_2(a568,a569)
            & c3_2(a568,a569)
            & c9_2(a568,a569)
            & ndr1_1(a568)
            & c5_2(a568,a570)
            & c8_2(a568,a570)
            & ~ c7_2(a568,a570) ) )
        & ( ( ndr1_0
            & c1_1(a571)
            & c6_1(a571)
            & c7_1(a571) )
          | ( ndr1_0
            & ~ c1_1(a572)
            & ! [X132] : 
                ( ndr1_1(a572)
               => ( c9_2(a572,X132)
                  | ~ c2_2(a572,X132)
                  | ~ c7_2(a572,X132) ) )
            & ndr1_1(a572)
            & c8_2(a572,a573)
            & ~ c1_2(a572,a573)
            & ~ c10_2(a572,a573) ) )
        & ( ~ c7_0
          | ( ndr1_0
            & c1_1(a574)
            & ~ c10_1(a574)
            & ~ c3_1(a574) ) )
        & ( ~ c9_0
          | ( ndr1_0
            & ! [X133] : 
                ( ndr1_1(a575)
               => ( c1_2(a575,X133)
                  | c10_2(a575,X133)
                  | c7_2(a575,X133) ) )
            & ! [X134] : 
                ( ndr1_1(a575)
               => ( c1_2(a575,X134)
                  | ~ c6_2(a575,X134)
                  | ~ c9_2(a575,X134) ) )
            & ! [X135] : 
                ( ndr1_1(a575)
               => ( ~ c5_2(a575,X135)
                  | ~ c7_2(a575,X135) ) ) ) )
        & ( ! [X136] : 
              ( ndr1_0
             => ( c1_1(X136)
                | c2_1(X136)
                | ~ c7_1(X136) ) )
          | ! [X137] : 
              ( ndr1_0
             => ( c8_1(X137)
                | ~ c1_1(X137)
                | ( ndr1_1(X137)
                  & c5_2(X137,a576)
                  & ~ c6_2(X137,a576)
                  & ~ c7_2(X137,a576) ) ) )
          | ! [X138] : 
              ( ndr1_0
             => ( ! [X139] : 
                    ( ndr1_1(X138)
                   => ( c9_2(X138,X139)
                      | ~ c1_2(X138,X139)
                      | ~ c3_2(X138,X139) ) )
                | ! [X140] : 
                    ( ndr1_1(X138)
                   => ( ~ c4_2(X138,X140)
                      | ~ c8_2(X138,X140)
                      | ~ c9_2(X138,X140) ) )
                | ( ndr1_1(X138)
                  & c3_2(X138,a577)
                  & c9_2(X138,a577)
                  & ~ c8_2(X138,a577) ) ) ) )
        & ( ! [X141] : 
              ( ndr1_0
             => ( c1_1(X141)
                | c6_1(X141)
                | ( ndr1_1(X141)
                  & c4_2(X141,a578)
                  & c5_2(X141,a578)
                  & c9_2(X141,a578) ) ) )
          | ! [X142] : 
              ( ndr1_0
             => ( ~ c3_1(X142)
                | ! [X143] : 
                    ( ndr1_1(X142)
                   => ~ c10_2(X142,X143) )
                | ! [X144] : 
                    ( ndr1_1(X142)
                   => ( ~ c1_2(X142,X144)
                      | ~ c10_2(X142,X144)
                      | ~ c5_2(X142,X144) ) ) ) )
          | ! [X145] : 
              ( ndr1_0
             => ( ~ c4_1(X145)
                | ! [X146] : 
                    ( ndr1_1(X145)
                   => ( c8_2(X145,X146)
                      | ~ c10_2(X145,X146)
                      | ~ c4_2(X145,X146) ) )
                | ! [X147] : 
                    ( ndr1_1(X145)
                   => ( ~ c5_2(X145,X147)
                      | ~ c6_2(X145,X147)
                      | ~ c8_2(X145,X147) ) ) ) ) )
        & ( ! [X148] : 
              ( ndr1_0
             => ( c10_1(X148)
                | ~ c3_1(X148)
                | ~ c5_1(X148) ) )
          | ( ndr1_0
            & c7_1(a579)
            & ~ c1_1(a579)
            & ndr1_1(a579)
            & ~ c1_2(a579,a580)
            & ~ c3_2(a579,a580)
            & ~ c9_2(a579,a580) )
          | ( ndr1_0
            & ~ c2_1(a581)
            & ! [X149] : 
                ( ndr1_1(a581)
               => ( c1_2(a581,X149)
                  | ~ c4_2(a581,X149)
                  | ~ c8_2(a581,X149) ) )
            & ndr1_1(a581)
            & c4_2(a581,a582)
            & ~ c10_2(a581,a582) ) )
        & ( ! [X150] : 
              ( ndr1_0
             => ( c10_1(X150)
                | ! [X151] : 
                    ( ndr1_1(X150)
                   => ( c10_2(X150,X151)
                      | c2_2(X150,X151)
                      | c8_2(X150,X151) ) ) ) )
          | ! [X152] : 
              ( ndr1_0
             => ( ~ c3_1(X152)
                | ! [X153] : 
                    ( ndr1_1(X152)
                   => ( c5_2(X152,X153)
                      | c6_2(X152,X153)
                      | ~ c7_2(X152,X153) ) )
                | ( ndr1_1(X152)
                  & c10_2(X152,a583)
                  & c4_2(X152,a583)
                  & ~ c6_2(X152,a583) ) ) )
          | ( ndr1_0
            & ~ c8_1(a584)
            & ! [X154] : 
                ( ndr1_1(a584)
               => ( c2_2(a584,X154)
                  | c9_2(a584,X154)
                  | ~ c7_2(a584,X154) ) )
            & ndr1_1(a584)
            & c7_2(a584,a585)
            & ~ c2_2(a584,a585)
            & ~ c4_2(a584,a585) ) )
        & ( ! [X155] : 
              ( ndr1_0
             => ( c3_1(X155)
                | ~ c1_1(X155)
                | ~ c2_1(X155) ) )
          | ( ndr1_0
            & c1_1(a586)
            & ~ c7_1(a586)
            & ndr1_1(a586)
            & c9_2(a586,a587)
            & ~ c3_2(a586,a587)
            & ~ c8_2(a586,a587) )
          | ( ndr1_0
            & ~ c1_1(a588)
            & ~ c3_1(a588)
            & ndr1_1(a588)
            & c6_2(a588,a589)
            & ~ c1_2(a588,a589)
            & ~ c3_2(a588,a589) ) )
        & ( ! [X156] : 
              ( ndr1_0
             => ( c3_1(X156)
                | ! [X157] : 
                    ( ndr1_1(X156)
                   => ( c3_2(X156,X157)
                      | ~ c5_2(X156,X157)
                      | ~ c9_2(X156,X157) ) )
                | ( ndr1_1(X156)
                  & ~ c10_2(X156,a590)
                  & ~ c9_2(X156,a590) ) ) )
          | ( ndr1_0
            & c6_1(a591)
            & c9_1(a591)
            & ndr1_1(a591)
            & c4_2(a591,a592)
            & ~ c1_2(a591,a592)
            & ~ c7_2(a591,a592) ) )
        & ( ! [X158] : 
              ( ndr1_0
             => ( c4_1(X158)
                | ( ndr1_1(X158)
                  & c5_2(X158,a593)
                  & ~ c6_2(X158,a593)
                  & ~ c7_2(X158,a593) )
                | ( ndr1_1(X158)
                  & c9_2(X158,a594)
                  & ~ c10_2(X158,a594) ) ) )
          | ! [X159] : 
              ( ndr1_0
             => ( ~ c5_1(X159)
                | ~ c8_1(X159)
                | ! [X160] : 
                    ( ndr1_1(X159)
                   => ( c1_2(X159,X160)
                      | ~ c8_2(X159,X160) ) ) ) )
          | ( ndr1_0
            & ~ c3_1(a595)
            & ~ c9_1(a595)
            & ! [X161] : 
                ( ndr1_1(a595)
               => ( c1_2(a595,X161)
                  | c9_2(a595,X161) ) ) ) )
        & ( ! [X162] : 
              ( ndr1_0
             => ( c5_1(X162)
                | c8_1(X162)
                | ( ndr1_1(X162)
                  & ~ c2_2(X162,a596)
                  & ~ c5_2(X162,a596) ) ) )
          | ! [X163] : 
              ( ndr1_0
             => ( ~ c7_1(X163)
                | ( ndr1_1(X163)
                  & c10_2(X163,a597)
                  & ~ c3_2(X163,a597)
                  & ~ c5_2(X163,a597) ) ) ) )
        & ( ! [X164] : 
              ( ndr1_0
             => ( ~ c10_1(X164)
                | ( ndr1_1(X164)
                  & c2_2(X164,a598)
                  & ~ c10_2(X164,a598)
                  & ~ c6_2(X164,a598) )
                | ( ndr1_1(X164)
                  & c6_2(X164,a599)
                  & ~ c1_2(X164,a599)
                  & ~ c10_2(X164,a599) ) ) )
          | ! [X165] : 
              ( ndr1_0
             => ( ! [X166] : 
                    ( ndr1_1(X165)
                   => ( c10_2(X165,X166)
                      | ~ c3_2(X165,X166)
                      | ~ c6_2(X165,X166) ) )
                | ! [X167] : 
                    ( ndr1_1(X165)
                   => ( c9_2(X165,X167)
                      | ~ c4_2(X165,X167)
                      | ~ c8_2(X165,X167) ) )
                | ! [X168] : 
                    ( ndr1_1(X165)
                   => ( ~ c5_2(X165,X168)
                      | ~ c8_2(X165,X168)
                      | ~ c9_2(X165,X168) ) ) ) )
          | ( ndr1_0
            & c10_1(a600)
            & ! [X169] : 
                ( ndr1_1(a600)
               => ( c10_2(a600,X169)
                  | ~ c1_2(a600,X169) ) ) ) )
        & ( ! [X170] : 
              ( ndr1_0
             => ( ~ c4_1(X170)
                | ( ndr1_1(X170)
                  & c1_2(X170,a601)
                  & ~ c2_2(X170,a601)
                  & ~ c4_2(X170,a601) )
                | ( ndr1_1(X170)
                  & c6_2(X170,a602)
                  & c7_2(X170,a602)
                  & c9_2(X170,a602) ) ) )
          | ( ndr1_0
            & ~ c10_1(a603)
            & ~ c6_1(a603)
            & ~ c8_1(a603) )
          | ( ndr1_0
            & ~ c6_1(a604)
            & ndr1_1(a604)
            & c7_2(a604,a605)
            & ~ c3_2(a604,a605)
            & ~ c4_2(a604,a605)
            & ndr1_1(a604)
            & c8_2(a604,a606)
            & ~ c2_2(a604,a606)
            & ~ c3_2(a604,a606) ) )
        & ( ! [X171] : 
              ( ndr1_0
             => ( ~ c9_1(X171)
                | ! [X172] : 
                    ( ndr1_1(X171)
                   => ( c2_2(X171,X172)
                      | c4_2(X171,X172)
                      | c9_2(X171,X172) ) )
                | ( ndr1_1(X171)
                  & ~ c2_2(X171,a607)
                  & ~ c3_2(X171,a607)
                  & ~ c4_2(X171,a607) ) ) )
          | ( ndr1_0
            & c4_1(a608)
            & ! [X173] : 
                ( ndr1_1(a608)
               => ( c2_2(a608,X173)
                  | ~ c10_2(a608,X173)
                  | ~ c7_2(a608,X173) ) ) )
          | ( ndr1_0
            & ~ c3_1(a609)
            & ! [X174] : 
                ( ndr1_1(a609)
               => ( c10_2(a609,X174)
                  | c7_2(a609,X174)
                  | c8_2(a609,X174) ) )
            & ! [X175] : 
                ( ndr1_1(a609)
               => ( c4_2(a609,X175)
                  | ~ c8_2(a609,X175) ) ) ) )
        & ( ( ndr1_0
            & c1_1(a610) )
          | ( ndr1_0
            & c6_1(a611)
            & ! [X176] : 
                ( ndr1_1(a611)
               => ( c5_2(a611,X176)
                  | ~ c6_2(a611,X176)
                  | ~ c9_2(a611,X176) ) )
            & ndr1_1(a611)
            & c1_2(a611,a612)
            & ~ c5_2(a611,a612)
            & ~ c7_2(a611,a612) ) )
        & ( ( ndr1_0
            & c3_1(a613)
            & c8_1(a613)
            & ndr1_1(a613)
            & ~ c2_2(a613,a614)
            & ~ c4_2(a613,a614)
            & ~ c7_2(a613,a614) )
          | ( ndr1_0
            & c7_1(a615)
            & ~ c1_1(a615)
            & ! [X177] : 
                ( ndr1_1(a615)
               => ( ~ c4_2(a615,X177)
                  | ~ c7_2(a615,X177)
                  | ~ c9_2(a615,X177) ) ) ) )
        & ( ( ndr1_0
            & c6_1(a616)
            & ~ c1_1(a616)
            & ! [X178] : 
                ( ndr1_1(a616)
               => ( c10_2(a616,X178)
                  | c3_2(a616,X178)
                  | ~ c6_2(a616,X178) ) ) )
          | ( ndr1_0
            & c6_1(a617)
            & ! [X179] : 
                ( ndr1_1(a617)
               => ( ~ c10_2(a617,X179)
                  | ~ c4_2(a617,X179)
                  | ~ c5_2(a617,X179) ) )
            & ndr1_1(a617)
            & c10_2(a617,a618)
            & ~ c8_2(a617,a618)
            & ~ c9_2(a617,a618) )
          | ( ndr1_0
            & c8_1(a619)
            & ~ c3_1(a619)
            & ! [X180] : 
                ( ndr1_1(a619)
               => ( c3_2(a619,X180)
                  | ~ c4_2(a619,X180)
                  | ~ c7_2(a619,X180) ) ) ) ) ) )).

%--------------------------------------------------------------------------
