%--------------------------------------------------------------------------
% File     : SYN424+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=10, R=1, L=150, K=3, D=2, P=0, Index=009
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-10-1-150-3-2-009.dfg [Wei97]

% Status   : CounterSatisfiable
% Rating   : 0.50 v3.1.0, 0.83 v2.6.0, 0.50 v2.5.0, 0.33 v2.4.0, 0.67 v2.3.0, 0.33 v2.2.1, 1.00 v2.1.0
%
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
%
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       : 1678 (   0 equality)
%            Maximal formula depth :  139 ( 139 average)
%            Number of connectives : 2288 ( 611 ~  ; 669  |; 776  &)
%                                         (   0 <=>; 232 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :  262 ( 241 propositional; 0-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :  232 (   0 singleton; 232 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%--------------------------------------------------------------------------
fof(co1,conjecture,
    ( ~ ( ( ( ndr1_0
            & ndr1_1(a960)
            & ~ c10_2(a960,a961)
            & ~ c1_2(a960,a961)
            & ~ c5_2(a960,a961)
            & ~ c6_1(a960) )
          | ( ndr1_0
            & ! [U] : 
                ( ndr1_1(a962)
               => ( ~ c7_2(a962,U)
                  | ~ c5_2(a962,U)
                  | c8_2(a962,U) ) )
            & ! [V] : 
                ( ndr1_1(a962)
               => ( ~ c7_2(a962,V)
                  | c1_2(a962,V)
                  | ~ c3_2(a962,V) ) )
            & ! [W] : 
                ( ndr1_1(a962)
               => ( c7_2(a962,W)
                  | c9_2(a962,W)
                  | c10_2(a962,W) ) ) )
          | ~ c5_0 )
        & ( ( ndr1_0
            & ~ c6_1(a963)
            & ! [X] : 
                ( ndr1_1(a963)
               => ( c9_2(a963,X)
                  | c10_2(a963,X)
                  | c3_2(a963,X) ) )
            & ndr1_1(a963)
            & c1_2(a963,a964)
            & c4_2(a963,a964)
            & ~ c5_2(a963,a964) )
          | ~ c2_0 )
        & ( ~ c3_0
          | ! [Y] : 
              ( ndr1_0
             => ( ! [Z] : 
                    ( ndr1_1(Y)
                   => ( ~ c4_2(Y,Z)
                      | ~ c2_2(Y,Z)
                      | c6_2(Y,Z) ) )
                | ! [X1] : 
                    ( ndr1_1(Y)
                   => ( c10_2(Y,X1)
                      | ~ c6_2(Y,X1) ) )
                | ( ndr1_1(Y)
                  & ~ c4_2(Y,a965)
                  & c10_2(Y,a965)
                  & ~ c1_2(Y,a965) ) ) )
          | ~ c9_0 )
        & ( ( ndr1_0
            & ~ c9_1(a966)
            & ~ c4_1(a966)
            & c6_1(a966) )
          | c7_0
          | ( ndr1_0
            & ~ c3_1(a967)
            & c4_1(a967)
            & ndr1_1(a967)
            & c1_2(a967,a968)
            & ~ c8_2(a967,a968)
            & c6_2(a967,a968) ) )
        & ( ~ c6_0
          | c3_0
          | ! [X2] : 
              ( ndr1_0
             => ( c9_1(X2)
                | ~ c3_1(X2)
                | ( ndr1_1(X2)
                  & ~ c5_2(X2,a969)
                  & c8_2(X2,a969)
                  & c10_2(X2,a969) ) ) ) )
        & ( ( ndr1_0
            & ! [X3] : 
                ( ndr1_1(a970)
               => ( c10_2(a970,X3)
                  | ~ c1_2(a970,X3)
                  | c5_2(a970,X3) ) )
            & c5_1(a970)
            & ~ c2_1(a970) )
          | ( ndr1_0
            & ~ c9_1(a971)
            & ! [X4] : 
                ( ndr1_1(a971)
               => ( c8_2(a971,X4)
                  | c1_2(a971,X4)
                  | ~ c7_2(a971,X4) ) )
            & ~ c4_1(a971) )
          | ! [X5] : 
              ( ndr1_0
             => ( c9_1(X5)
                | ! [X6] : 
                    ( ndr1_1(X5)
                   => ( c6_2(X5,X6)
                      | ~ c5_2(X5,X6)
                      | ~ c4_2(X5,X6) ) ) ) ) )
        & ( ~ c5_0
          | ( ndr1_0
            & c7_1(a972)
            & ! [X7] : 
                ( ndr1_1(a972)
               => ( c7_2(a972,X7)
                  | c8_2(a972,X7)
                  | ~ c4_2(a972,X7) ) ) )
          | ( ndr1_0
            & ~ c1_1(a973)
            & ! [X8] : 
                ( ndr1_1(a973)
               => ( ~ c7_2(a973,X8)
                  | ~ c1_2(a973,X8) ) )
            & c9_1(a973) ) )
        & ( ~ c8_0
          | ! [X9] : 
              ( ndr1_0
             => ( c6_1(X9)
                | c1_1(X9)
                | ( ndr1_1(X9)
                  & ~ c9_2(X9,a974)
                  & ~ c4_2(X9,a974)
                  & c1_2(X9,a974) ) ) )
          | ! [X10] : 
              ( ndr1_0
             => ( ( ndr1_1(X10)
                  & ~ c9_2(X10,a975)
                  & c8_2(X10,a975)
                  & ~ c7_2(X10,a975) )
                | ~ c1_1(X10)
                | c6_1(X10) ) ) )
        & ( ~ c3_0
          | ! [X11] : 
              ( ndr1_0
             => ( ( ndr1_1(X11)
                  & ~ c1_2(X11,a976)
                  & c8_2(X11,a976)
                  & ~ c6_2(X11,a976) )
                | c2_1(X11)
                | c7_1(X11) ) )
          | ( ndr1_0
            & c9_1(a977)
            & ~ c1_1(a977)
            & ! [X12] : 
                ( ndr1_1(a977)
               => ( c5_2(a977,X12)
                  | ~ c1_2(a977,X12)
                  | ~ c9_2(a977,X12) ) ) ) )
        & ( c1_0
          | ( ndr1_0
            & ~ c3_1(a978)
            & c8_1(a978)
            & ! [X13] : 
                ( ndr1_1(a978)
               => ( ~ c6_2(a978,X13)
                  | c4_2(a978,X13) ) ) )
          | c6_0 )
        & ( c6_0
          | ! [X14] : 
              ( ndr1_0
             => ( c2_1(X14)
                | ~ c3_1(X14)
                | ( ndr1_1(X14)
                  & ~ c5_2(X14,a979)
                  & c7_2(X14,a979)
                  & ~ c2_2(X14,a979) ) ) )
          | ~ c4_0 )
        & ( ~ c5_0
          | ( ndr1_0
            & ndr1_1(a980)
            & c6_2(a980,a981)
            & ~ c4_2(a980,a981)
            & c5_2(a980,a981)
            & ~ c7_1(a980)
            & ! [X15] : 
                ( ndr1_1(a980)
               => ( c1_2(a980,X15)
                  | c3_2(a980,X15) ) ) ) )
        & ( ! [X16] : 
              ( ndr1_0
             => ( ! [X17] : 
                    ( ndr1_1(X16)
                   => ( c2_2(X16,X17)
                      | c5_2(X16,X17) ) )
                | ( ndr1_1(X16)
                  & ~ c6_2(X16,a982)
                  & ~ c10_2(X16,a982)
                  & c2_2(X16,a982) )
                | ~ c1_1(X16) ) )
          | c3_0
          | ~ c8_0 )
        & ( ! [X18] : 
              ( ndr1_0
             => ( ~ c2_1(X18)
                | c1_1(X18)
                | ( ndr1_1(X18)
                  & ~ c2_2(X18,a983)
                  & ~ c4_2(X18,a983)
                  & c10_2(X18,a983) ) ) )
          | ~ c5_0
          | c9_0 )
        & ( c4_0
          | c8_0
          | c5_0 )
        & ( ! [X19] : 
              ( ndr1_0
             => ( c3_1(X19)
                | ( ndr1_1(X19)
                  & c10_2(X19,a984)
                  & c6_2(X19,a984)
                  & ~ c7_2(X19,a984) )
                | c6_1(X19) ) )
          | ! [X20] : 
              ( ndr1_0
             => ( ~ c6_1(X20)
                | ! [X21] : 
                    ( ndr1_1(X20)
                   => ( c2_2(X20,X21)
                      | ~ c5_2(X20,X21)
                      | c6_2(X20,X21) ) ) ) ) )
        & ( ~ c10_0
          | ! [X22] : 
              ( ndr1_0
             => ( c5_1(X22)
                | ! [X23] : 
                    ( ndr1_1(X22)
                   => ( c10_2(X22,X23)
                      | c7_2(X22,X23)
                      | ~ c8_2(X22,X23) ) )
                | c9_1(X22) ) )
          | ! [X24] : 
              ( ndr1_0
             => ( ! [X25] : 
                    ( ndr1_1(X24)
                   => ( ~ c4_2(X24,X25)
                      | c10_2(X24,X25)
                      | c3_2(X24,X25) ) )
                | ( ndr1_1(X24)
                  & c5_2(X24,a985)
                  & ~ c3_2(X24,a985)
                  & c4_2(X24,a985) )
                | c10_1(X24) ) ) )
        & ( c5_0
          | ~ c8_0 )
        & ( ~ c10_0
          | ( ndr1_0
            & ndr1_1(a986)
            & ~ c1_2(a986,a987)
            & ~ c9_2(a986,a987)
            & c3_2(a986,a987)
            & ~ c5_1(a986)
            & ~ c2_1(a986) )
          | ~ c5_0 )
        & ( ! [X26] : 
              ( ndr1_0
             => ( ( ndr1_1(X26)
                  & ~ c5_2(X26,a988)
                  & c10_2(X26,a988)
                  & c1_2(X26,a988) )
                | ( ndr1_1(X26)
                  & ~ c6_2(X26,a989)
                  & ~ c8_2(X26,a989)
                  & c9_2(X26,a989) )
                | ~ c6_1(X26) ) )
          | c3_0
          | c5_0 )
        & ( ! [X27] : 
              ( ndr1_0
             => ( ! [X28] : 
                    ( ndr1_1(X27)
                   => ( ~ c7_2(X27,X28)
                      | c3_2(X27,X28)
                      | ~ c2_2(X27,X28) ) )
                | ~ c1_1(X27)
                | ( ndr1_1(X27)
                  & ~ c8_2(X27,a990)
                  & ~ c7_2(X27,a990)
                  & ~ c10_2(X27,a990) ) ) )
          | ~ c2_0
          | ! [X29] : 
              ( ndr1_0
             => ( ! [X30] : 
                    ( ndr1_1(X29)
                   => ( ~ c1_2(X29,X30)
                      | ~ c8_2(X29,X30)
                      | c3_2(X29,X30) ) )
                | ! [X31] : 
                    ( ndr1_1(X29)
                   => ( c3_2(X29,X31)
                      | c7_2(X29,X31)
                      | c1_2(X29,X31) ) )
                | ~ c8_1(X29) ) ) )
        & ( ! [X32] : 
              ( ndr1_0
             => ( ~ c10_1(X32)
                | ~ c3_1(X32)
                | ! [X33] : 
                    ( ndr1_1(X32)
                   => ( c6_2(X32,X33)
                      | c1_2(X32,X33)
                      | c10_2(X32,X33) ) ) ) )
          | ~ c4_0
          | c9_0 )
        & ( c3_0
          | ! [X34] : 
              ( ndr1_0
             => ( ! [X35] : 
                    ( ndr1_1(X34)
                   => ( ~ c8_2(X34,X35)
                      | ~ c7_2(X34,X35)
                      | c2_2(X34,X35) ) )
                | ~ c9_1(X34)
                | c3_1(X34) ) )
          | ~ c1_0 )
        & ( c9_0
          | ! [X36] : 
              ( ndr1_0
             => ( ! [X37] : 
                    ( ndr1_1(X36)
                   => ( ~ c7_2(X36,X37)
                      | ~ c6_2(X36,X37)
                      | c5_2(X36,X37) ) )
                | c5_1(X36)
                | c4_1(X36) ) )
          | ! [X38] : 
              ( ndr1_0
             => ( ~ c9_1(X38)
                | c2_1(X38)
                | c6_1(X38) ) ) )
        & ( ~ c3_0
          | c7_0 )
        & ( ! [X39] : 
              ( ndr1_0
             => ( ~ c6_1(X39)
                | ! [X40] : 
                    ( ndr1_1(X39)
                   => ( ~ c7_2(X39,X40)
                      | ~ c3_2(X39,X40)
                      | ~ c5_2(X39,X40) ) )
                | ~ c7_1(X39) ) )
          | ~ c8_0
          | ! [X41] : 
              ( ndr1_0
             => ( ! [X42] : 
                    ( ndr1_1(X41)
                   => ( c10_2(X41,X42)
                      | c9_2(X41,X42) ) )
                | ~ c8_1(X41)
                | ! [X43] : 
                    ( ndr1_1(X41)
                   => ( c2_2(X41,X43)
                      | ~ c7_2(X41,X43)
                      | c4_2(X41,X43) ) ) ) ) )
        & ( ( ndr1_0
            & ~ c3_1(a991)
            & ~ c1_1(a991)
            & ~ c7_1(a991) )
          | ( ndr1_0
            & ! [X44] : 
                ( ndr1_1(a992)
               => ( c9_2(a992,X44)
                  | c6_2(a992,X44)
                  | c4_2(a992,X44) ) )
            & ndr1_1(a992)
            & c6_2(a992,a993)
            & ~ c7_2(a992,a993)
            & ~ c9_2(a992,a993)
            & ndr1_1(a992)
            & c7_2(a992,a994)
            & ~ c8_2(a992,a994) )
          | ( ndr1_0
            & ! [X45] : 
                ( ndr1_1(a995)
               => ( c1_2(a995,X45)
                  | ~ c9_2(a995,X45) ) )
            & ! [X46] : 
                ( ndr1_1(a995)
               => ( ~ c9_2(a995,X46)
                  | ~ c7_2(a995,X46)
                  | ~ c8_2(a995,X46) ) ) ) )
        & ( ! [X47] : 
              ( ndr1_0
             => ( ( ndr1_1(X47)
                  & c6_2(X47,a996)
                  & c3_2(X47,a996) )
                | ! [X48] : 
                    ( ndr1_1(X47)
                   => ( c6_2(X47,X48)
                      | ~ c1_2(X47,X48)
                      | c7_2(X47,X48) ) )
                | ! [X49] : 
                    ( ndr1_1(X47)
                   => ( c4_2(X47,X49)
                      | c1_2(X47,X49)
                      | ~ c9_2(X47,X49) ) ) ) )
          | ~ c8_0
          | ~ c5_0 )
        & ( ! [X50] : 
              ( ndr1_0
             => ( c4_1(X50)
                | ~ c2_1(X50)
                | ~ c7_1(X50) ) )
          | ( ndr1_0
            & ! [X51] : 
                ( ndr1_1(a997)
               => ( ~ c3_2(a997,X51)
                  | c4_2(a997,X51)
                  | c6_2(a997,X51) ) )
            & c5_1(a997)
            & ndr1_1(a997)
            & c3_2(a997,a998)
            & ~ c5_2(a997,a998)
            & c9_2(a997,a998) )
          | ! [X52] : 
              ( ndr1_0
             => ( ( ndr1_1(X52)
                  & ~ c2_2(X52,a999)
                  & c3_2(X52,a999) )
                | ~ c9_1(X52)
                | ! [X53] : 
                    ( ndr1_1(X52)
                   => ( c6_2(X52,X53)
                      | ~ c5_2(X52,X53)
                      | ~ c3_2(X52,X53) ) ) ) ) )
        & ( ! [X54] : 
              ( ndr1_0
             => ( ( ndr1_1(X54)
                  & ~ c6_2(X54,a1000)
                  & ~ c2_2(X54,a1000) )
                | ! [X55] : 
                    ( ndr1_1(X54)
                   => ( c10_2(X54,X55)
                      | ~ c6_2(X54,X55)
                      | ~ c7_2(X54,X55) ) )
                | c4_1(X54) ) )
          | ~ c10_0
          | ! [X56] : 
              ( ndr1_0
             => ( ! [X57] : 
                    ( ndr1_1(X56)
                   => ( c9_2(X56,X57)
                      | c10_2(X56,X57)
                      | ~ c6_2(X56,X57) ) )
                | ( ndr1_1(X56)
                  & c8_2(X56,a1001)
                  & c4_2(X56,a1001)
                  & c10_2(X56,a1001) )
                | ~ c8_1(X56) ) ) )
        & ( c3_0
          | ! [X58] : 
              ( ndr1_0
             => ( ( ndr1_1(X58)
                  & c1_2(X58,a1002)
                  & ~ c5_2(X58,a1002)
                  & c7_2(X58,a1002) )
                | ~ c2_1(X58)
                | ~ c6_1(X58) ) )
          | ! [X59] : 
              ( ndr1_0
             => ( ~ c1_1(X59)
                | c3_1(X59) ) ) )
        & ( ( ndr1_0
            & c2_1(a1003)
            & ndr1_1(a1003)
            & ~ c6_2(a1003,a1004)
            & c1_2(a1003,a1004)
            & ~ c1_1(a1003) )
          | ( ndr1_0
            & ~ c1_1(a1005)
            & c6_1(a1005)
            & ndr1_1(a1005)
            & c2_2(a1005,a1006)
            & c5_2(a1005,a1006) )
          | ( ndr1_0
            & c10_1(a1007) ) )
        & ( ~ c3_0
          | c4_0
          | ~ c8_0 )
        & ( ~ c7_0
          | ( ndr1_0
            & ndr1_1(a1008)
            & c3_2(a1008,a1009)
            & c8_2(a1008,a1009)
            & ndr1_1(a1008)
            & ~ c1_2(a1008,a1010)
            & ~ c6_2(a1008,a1010)
            & ~ c2_2(a1008,a1010)
            & ! [X60] : 
                ( ndr1_1(a1008)
               => ( c7_2(a1008,X60)
                  | ~ c4_2(a1008,X60)
                  | c10_2(a1008,X60) ) ) )
          | ~ c1_0 )
        & ( c2_0
          | c7_0
          | c8_0 )
        & ( ! [X61] : 
              ( ndr1_0
             => ( ! [X62] : 
                    ( ndr1_1(X61)
                   => ( c9_2(X61,X62)
                      | c1_2(X61,X62)
                      | c4_2(X61,X62) ) )
                | ! [X63] : 
                    ( ndr1_1(X61)
                   => ( c6_2(X61,X63)
                      | ~ c8_2(X61,X63)
                      | c2_2(X61,X63) ) )
                | ~ c5_1(X61) ) )
          | c1_0
          | ~ c5_0 )
        & ( ! [X64] : 
              ( ndr1_0
             => ( ~ c5_1(X64)
                | ! [X65] : 
                    ( ndr1_1(X64)
                   => ( ~ c4_2(X64,X65)
                      | c9_2(X64,X65)
                      | c6_2(X64,X65) ) )
                | ~ c2_1(X64) ) )
          | ! [X66] : 
              ( ndr1_0
             => ( ! [X67] : 
                    ( ndr1_1(X66)
                   => ( c8_2(X66,X67)
                      | c1_2(X66,X67)
                      | c4_2(X66,X67) ) )
                | ~ c5_1(X66)
                | ~ c3_1(X66) ) )
          | c10_0 )
        & ( ! [X68] : 
              ( ndr1_0
             => ( ( ndr1_1(X68)
                  & ~ c1_2(X68,a1011)
                  & c3_2(X68,a1011)
                  & ~ c7_2(X68,a1011) )
                | ( ndr1_1(X68)
                  & c6_2(X68,a1012)
                  & c7_2(X68,a1012)
                  & ~ c2_2(X68,a1012) )
                | c4_1(X68) ) )
          | ( ndr1_0
            & ~ c5_1(a1013)
            & c6_1(a1013)
            & ndr1_1(a1013)
            & c8_2(a1013,a1014)
            & ~ c1_2(a1013,a1014) )
          | ( ndr1_0
            & ndr1_1(a1015)
            & c3_2(a1015,a1016)
            & ~ c7_2(a1015,a1016)
            & ndr1_1(a1015)
            & c9_2(a1015,a1017)
            & c3_2(a1015,a1017)
            & ~ c1_2(a1015,a1017) ) )
        & ( ( ndr1_0
            & ndr1_1(a1018)
            & ~ c7_2(a1018,a1019)
            & ~ c3_2(a1018,a1019)
            & ~ c10_2(a1018,a1019)
            & ~ c10_1(a1018)
            & c3_1(a1018) )
          | ~ c7_0
          | ( ndr1_0
            & c3_1(a1020)
            & ! [X69] : 
                ( ndr1_1(a1020)
               => ( ~ c2_2(a1020,X69)
                  | ~ c1_2(a1020,X69) ) )
            & c9_1(a1020) ) )
        & ( ~ c7_0
          | ~ c9_0
          | ! [X70] : 
              ( ndr1_0
             => ( c8_1(X70)
                | ( ndr1_1(X70)
                  & ~ c9_2(X70,a1021)
                  & ~ c1_2(X70,a1021)
                  & c5_2(X70,a1021) )
                | ~ c10_1(X70) ) ) )
        & ( ~ c8_0
          | ~ c5_0
          | c3_0 )
        & ( ( ndr1_0
            & ~ c9_1(a1022)
            & ! [X71] : 
                ( ndr1_1(a1022)
               => ( c10_2(a1022,X71)
                  | ~ c2_2(a1022,X71)
                  | c8_2(a1022,X71) ) )
            & ndr1_1(a1022)
            & ~ c3_2(a1022,a1023)
            & ~ c8_2(a1022,a1023)
            & ~ c4_2(a1022,a1023) )
          | c2_0
          | ( ndr1_0
            & ~ c8_1(a1024)
            & ~ c4_1(a1024)
            & ! [X72] : 
                ( ndr1_1(a1024)
               => ( c3_2(a1024,X72)
                  | ~ c7_2(a1024,X72)
                  | c4_2(a1024,X72) ) ) ) )
        & ( c3_0
          | c8_0
          | c1_0 )
        & ( ! [X73] : 
              ( ndr1_0
             => ( c2_1(X73)
                | ~ c5_1(X73)
                | ( ndr1_1(X73)
                  & c4_2(X73,a1025)
                  & c9_2(X73,a1025)
                  & ~ c5_2(X73,a1025) ) ) )
          | ~ c10_0 )
        & ( c10_0
          | ( ndr1_0
            & ndr1_1(a1026)
            & ~ c5_2(a1026,a1027)
            & ~ c4_2(a1026,a1027)
            & ~ c3_2(a1026,a1027)
            & ! [X74] : 
                ( ndr1_1(a1026)
               => ( ~ c6_2(a1026,X74)
                  | c3_2(a1026,X74)
                  | c5_2(a1026,X74) ) )
            & c5_1(a1026) )
          | ! [X75] : 
              ( ndr1_0
             => ( c5_1(X75)
                | c8_1(X75)
                | ! [X76] : 
                    ( ndr1_1(X75)
                   => ( c10_2(X75,X76)
                      | ~ c4_2(X75,X76)
                      | c6_2(X75,X76) ) ) ) ) )
        & ( c6_0
          | ( ndr1_0
            & ndr1_1(a1028)
            & ~ c9_2(a1028,a1029)
            & ~ c8_2(a1028,a1029)
            & ~ c4_2(a1028,a1029)
            & ! [X77] : 
                ( ndr1_1(a1028)
               => ( c9_2(a1028,X77)
                  | ~ c3_2(a1028,X77)
                  | c5_2(a1028,X77) ) )
            & ndr1_1(a1028)
            & ~ c9_2(a1028,a1030)
            & c4_2(a1028,a1030)
            & ~ c8_2(a1028,a1030) )
          | ( ndr1_0
            & ndr1_1(a1031)
            & c6_2(a1031,a1032)
            & ~ c8_2(a1031,a1032)
            & ~ c7_2(a1031,a1032)
            & ! [X78] : 
                ( ndr1_1(a1031)
               => ( ~ c6_2(a1031,X78)
                  | ~ c2_2(a1031,X78)
                  | c4_2(a1031,X78) ) ) ) )
        & ( c9_0
          | ( ndr1_0
            & ! [X79] : 
                ( ndr1_1(a1033)
               => ( ~ c4_2(a1033,X79)
                  | c7_2(a1033,X79)
                  | c2_2(a1033,X79) ) )
            & ~ c7_1(a1033)
            & ndr1_1(a1033)
            & c10_2(a1033,a1034)
            & c5_2(a1033,a1034)
            & c8_2(a1033,a1034) )
          | c4_0 )
        & ( ( ndr1_0
            & ndr1_1(a1035)
            & c2_2(a1035,a1036)
            & c8_2(a1035,a1036)
            & ~ c9_2(a1035,a1036)
            & ndr1_1(a1035)
            & c3_2(a1035,a1037)
            & c4_2(a1035,a1037)
            & ~ c7_2(a1035,a1037)
            & ndr1_1(a1035)
            & ~ c9_2(a1035,a1038)
            & ~ c1_2(a1035,a1038)
            & ~ c10_2(a1035,a1038) )
          | c8_0
          | ! [X80] : 
              ( ndr1_0
             => ( ! [X81] : 
                    ( ndr1_1(X80)
                   => ( ~ c5_2(X80,X81)
                      | c4_2(X80,X81)
                      | ~ c8_2(X80,X81) ) )
                | ( ndr1_1(X80)
                  & ~ c5_2(X80,a1039)
                  & ~ c8_2(X80,a1039)
                  & c6_2(X80,a1039) )
                | c1_1(X80) ) ) )
        & ( c10_0
          | ~ c8_0 )
        & ( ( ndr1_0
            & ! [X82] : 
                ( ndr1_1(a1040)
               => ( ~ c7_2(a1040,X82)
                  | c4_2(a1040,X82)
                  | c8_2(a1040,X82) ) )
            & c3_1(a1040) )
          | ! [X83] : 
              ( ndr1_0
             => ( ~ c1_1(X83)
                | ~ c7_1(X83)
                | c10_1(X83) ) )
          | ( ndr1_0
            & ! [X84] : 
                ( ndr1_1(a1041)
               => ( ~ c8_2(a1041,X84)
                  | ~ c1_2(a1041,X84)
                  | c5_2(a1041,X84) ) )
            & ~ c3_1(a1041) ) )
        & ( ( ndr1_0
            & ! [X85] : 
                ( ndr1_1(a1042)
               => ( ~ c7_2(a1042,X85)
                  | ~ c10_2(a1042,X85)
                  | c3_2(a1042,X85) ) )
            & ! [X86] : 
                ( ndr1_1(a1042)
               => ( c4_2(a1042,X86)
                  | ~ c3_2(a1042,X86)
                  | c6_2(a1042,X86) ) )
            & ~ c9_1(a1042) )
          | c7_0
          | ~ c1_0 )
        & ( ! [X87] : 
              ( ndr1_0
             => ( c2_1(X87)
                | ! [X88] : 
                    ( ndr1_1(X87)
                   => ( c5_2(X87,X88)
                      | ~ c4_2(X87,X88) ) )
                | c5_1(X87) ) )
          | ~ c6_0
          | ( ndr1_0
            & ndr1_1(a1043)
            & c4_2(a1043,a1044)
            & ~ c6_2(a1043,a1044)
            & ~ c1_2(a1043,a1044)
            & c8_1(a1043)
            & c5_1(a1043) ) )
        & ( ! [X89] : 
              ( ndr1_0
             => ( ! [X90] : 
                    ( ndr1_1(X89)
                   => ( ~ c8_2(X89,X90)
                      | ~ c2_2(X89,X90) ) )
                | c10_1(X89)
                | ( ndr1_1(X89)
                  & c8_2(X89,a1045)
                  & c4_2(X89,a1045)
                  & ~ c2_2(X89,a1045) ) ) )
          | c8_0
          | ( ndr1_0
            & ! [X91] : 
                ( ndr1_1(a1046)
               => ( ~ c3_2(a1046,X91)
                  | ~ c8_2(a1046,X91)
                  | c10_2(a1046,X91) ) )
            & ~ c9_1(a1046) ) )
        & ( ( ndr1_0
            & c7_1(a1047)
            & ~ c1_1(a1047)
            & ndr1_1(a1047)
            & c6_2(a1047,a1048)
            & ~ c3_2(a1047,a1048)
            & c9_2(a1047,a1048) )
          | ! [X92] : 
              ( ndr1_0
             => ( ! [X93] : 
                    ( ndr1_1(X92)
                   => ( ~ c7_2(X92,X93)
                      | c4_2(X92,X93)
                      | c3_2(X92,X93) ) )
                | ( ndr1_1(X92)
                  & ~ c10_2(X92,a1049)
                  & ~ c9_2(X92,a1049)
                  & c8_2(X92,a1049) )
                | c8_1(X92) ) )
          | ( ndr1_0
            & ! [X94] : 
                ( ndr1_1(a1050)
               => ( ~ c8_2(a1050,X94)
                  | c10_2(a1050,X94)
                  | ~ c4_2(a1050,X94) ) )
            & ! [X95] : 
                ( ndr1_1(a1050)
               => ( c4_2(a1050,X95)
                  | ~ c9_2(a1050,X95)
                  | c8_2(a1050,X95) ) )
            & c5_1(a1050) ) )
        & ( ~ c8_0
          | ( ndr1_0
            & ndr1_1(a1051)
            & ~ c8_2(a1051,a1052)
            & ~ c2_2(a1051,a1052)
            & ~ c9_2(a1051,a1052)
            & ~ c4_1(a1051)
            & c7_1(a1051) )
          | c10_0 )
        & ( ( ndr1_0
            & ! [X96] : 
                ( ndr1_1(a1053)
               => ( c8_2(a1053,X96)
                  | c2_2(a1053,X96)
                  | ~ c3_2(a1053,X96) ) )
            & c1_1(a1053)
            & ndr1_1(a1053)
            & c10_2(a1053,a1054)
            & c3_2(a1053,a1054)
            & ~ c2_2(a1053,a1054) )
          | c7_0
          | ! [X97] : 
              ( ndr1_0
             => ( c5_1(X97)
                | c1_1(X97)
                | ! [X98] : 
                    ( ndr1_1(X97)
                   => ( ~ c1_2(X97,X98)
                      | ~ c3_2(X97,X98) ) ) ) ) )
        & ( c6_0
          | ~ c8_0
          | ( ndr1_0
            & ! [X99] : 
                ( ndr1_1(a1055)
               => ( ~ c4_2(a1055,X99)
                  | ~ c6_2(a1055,X99)
                  | ~ c8_2(a1055,X99) ) )
            & ndr1_1(a1055)
            & c4_2(a1055,a1056)
            & c10_2(a1055,a1056)
            & c5_2(a1055,a1056)
            & ndr1_1(a1055)
            & ~ c2_2(a1055,a1057)
            & c3_2(a1055,a1057)
            & ~ c9_2(a1055,a1057) ) )
        & ( ( ndr1_0
            & ~ c1_1(a1058)
            & ~ c10_1(a1058)
            & ~ c5_1(a1058) )
          | ( ndr1_0
            & ! [X100] : 
                ( ndr1_1(a1059)
               => ( ~ c2_2(a1059,X100)
                  | c1_2(a1059,X100)
                  | c8_2(a1059,X100) ) )
            & ndr1_1(a1059)
            & c4_2(a1059,a1060)
            & ~ c9_2(a1059,a1060)
            & ~ c5_2(a1059,a1060)
            & ~ c9_1(a1059) )
          | ( ndr1_0
            & c1_1(a1061)
            & ~ c9_1(a1061)
            & c8_1(a1061) ) )
        & ( ~ c4_0
          | ( ndr1_0
            & c10_1(a1062)
            & ~ c5_1(a1062) )
          | ! [X101] : 
              ( ndr1_0
             => ( ! [X102] : 
                    ( ndr1_1(X101)
                   => ( c1_2(X101,X102)
                      | c6_2(X101,X102)
                      | c9_2(X101,X102) ) )
                | ( ndr1_1(X101)
                  & c6_2(X101,a1063)
                  & ~ c9_2(X101,a1063)
                  & ~ c5_2(X101,a1063) ) ) ) )
        & ( ( ndr1_0
            & ! [X103] : 
                ( ndr1_1(a1064)
               => ( c1_2(a1064,X103)
                  | c8_2(a1064,X103)
                  | c3_2(a1064,X103) ) )
            & ndr1_1(a1064)
            & c8_2(a1064,a1065)
            & ~ c1_2(a1064,a1065)
            & ~ c2_2(a1064,a1065)
            & ! [X104] : 
                ( ndr1_1(a1064)
               => ( c10_2(a1064,X104)
                  | ~ c6_2(a1064,X104)
                  | ~ c7_2(a1064,X104) ) ) )
          | ! [X105] : 
              ( ndr1_0
             => ( c7_1(X105)
                | ! [X106] : 
                    ( ndr1_1(X105)
                   => ( c10_2(X105,X106)
                      | ~ c6_2(X105,X106)
                      | ~ c8_2(X105,X106) ) )
                | ~ c9_1(X105) ) )
          | ~ c10_0 )
        & ( ~ c4_0
          | c3_0
          | ~ c5_0 )
        & ( ( ndr1_0
            & c7_1(a1066)
            & ~ c8_1(a1066)
            & ndr1_1(a1066)
            & c6_2(a1066,a1067)
            & c1_2(a1066,a1067)
            & ~ c4_2(a1066,a1067) )
          | ( ndr1_0
            & ~ c3_1(a1068)
            & ndr1_1(a1068)
            & ~ c2_2(a1068,a1069)
            & ~ c5_2(a1068,a1069)
            & ndr1_1(a1068)
            & c8_2(a1068,a1070)
            & ~ c2_2(a1068,a1070)
            & c1_2(a1068,a1070) )
          | ~ c6_0 )
        & ( ! [X107] : 
              ( ndr1_0
             => ( ~ c1_1(X107)
                | ! [X108] : 
                    ( ndr1_1(X107)
                   => ( ~ c3_2(X107,X108)
                      | ~ c5_2(X107,X108)
                      | c7_2(X107,X108) ) )
                | ( ndr1_1(X107)
                  & ~ c6_2(X107,a1071)
                  & c9_2(X107,a1071)
                  & ~ c7_2(X107,a1071) ) ) )
          | c1_0
          | ( ndr1_0
            & c9_1(a1072)
            & ~ c5_1(a1072)
            & c2_1(a1072) ) )
        & ( ! [X109] : 
              ( ndr1_0
             => ( ~ c4_1(X109)
                | ! [X110] : 
                    ( ndr1_1(X109)
                   => ( c9_2(X109,X110)
                      | c10_2(X109,X110)
                      | ~ c1_2(X109,X110) ) )
                | ( ndr1_1(X109)
                  & c3_2(X109,a1073)
                  & c10_2(X109,a1073) ) ) )
          | c3_0
          | ! [X111] : 
              ( ndr1_0
             => ( c10_1(X111)
                | ! [X112] : 
                    ( ndr1_1(X111)
                   => ( ~ c1_2(X111,X112)
                      | ~ c5_2(X111,X112)
                      | c2_2(X111,X112) ) )
                | c3_1(X111) ) ) )
        & ( c4_0
          | ( ndr1_0
            & c7_1(a1074)
            & ! [X113] : 
                ( ndr1_1(a1074)
               => ( c5_2(a1074,X113)
                  | c8_2(a1074,X113) ) )
            & ndr1_1(a1074)
            & ~ c4_2(a1074,a1075)
            & ~ c3_2(a1074,a1075)
            & ~ c6_2(a1074,a1075) )
          | c7_0 )
        & ( ! [X114] : 
              ( ndr1_0
             => ( ~ c2_1(X114)
                | ( ndr1_1(X114)
                  & ~ c9_2(X114,a1076)
                  & ~ c6_2(X114,a1076)
                  & c8_2(X114,a1076) )
                | ( ndr1_1(X114)
                  & ~ c6_2(X114,a1077)
                  & c4_2(X114,a1077)
                  & ~ c5_2(X114,a1077) ) ) )
          | ( ndr1_0
            & ~ c10_1(a1078)
            & ! [X115] : 
                ( ndr1_1(a1078)
               => ( c1_2(a1078,X115)
                  | c10_2(a1078,X115)
                  | ~ c6_2(a1078,X115) ) )
            & ! [X116] : 
                ( ndr1_1(a1078)
               => ( ~ c6_2(a1078,X116)
                  | ~ c10_2(a1078,X116)
                  | c2_2(a1078,X116) ) ) ) )
        & ( c5_0
          | ! [X117] : 
              ( ndr1_0
             => ( ! [X118] : 
                    ( ndr1_1(X117)
                   => ( c10_2(X117,X118)
                      | ~ c6_2(X117,X118)
                      | c3_2(X117,X118) ) )
                | c4_1(X117)
                | c7_1(X117) ) )
          | ~ c3_0 )
        & ( ! [X119] : 
              ( ndr1_0
             => ( ! [X120] : 
                    ( ndr1_1(X119)
                   => ( c9_2(X119,X120)
                      | c5_2(X119,X120)
                      | ~ c8_2(X119,X120) ) )
                | c4_1(X119)
                | ! [X121] : 
                    ( ndr1_1(X119)
                   => ( c10_2(X119,X121)
                      | ~ c2_2(X119,X121)
                      | ~ c9_2(X119,X121) ) ) ) )
          | ( ndr1_0
            & c1_1(a1079)
            & ~ c9_1(a1079)
            & ~ c8_1(a1079) )
          | ( ndr1_0
            & ! [X122] : 
                ( ndr1_1(a1080)
               => ( ~ c1_2(a1080,X122)
                  | c10_2(a1080,X122)
                  | ~ c9_2(a1080,X122) ) )
            & c3_1(a1080)
            & ! [X123] : 
                ( ndr1_1(a1080)
               => ( ~ c6_2(a1080,X123)
                  | ~ c7_2(a1080,X123)
                  | ~ c9_2(a1080,X123) ) ) ) )
        & ( ( ndr1_0
            & ndr1_1(a1081)
            & c8_2(a1081,a1082)
            & ~ c9_2(a1081,a1082)
            & ~ c1_2(a1081,a1082)
            & ndr1_1(a1081)
            & c7_2(a1081,a1083)
            & ~ c6_2(a1081,a1083)
            & c3_2(a1081,a1083)
            & ! [X124] : 
                ( ndr1_1(a1081)
               => ( c6_2(a1081,X124)
                  | c1_2(a1081,X124)
                  | ~ c3_2(a1081,X124) ) ) )
          | ~ c8_0
          | ~ c5_0 )
        & ( ! [X125] : 
              ( ndr1_0
             => ( ( ndr1_1(X125)
                  & ~ c2_2(X125,a1084)
                  & ~ c9_2(X125,a1084)
                  & ~ c5_2(X125,a1084) )
                | ~ c2_1(X125)
                | ! [X126] : 
                    ( ndr1_1(X125)
                   => ( ~ c1_2(X125,X126)
                      | c6_2(X125,X126) ) ) ) )
          | ! [X127] : 
              ( ndr1_0
             => ( ( ndr1_1(X127)
                  & c3_2(X127,a1085)
                  & ~ c2_2(X127,a1085)
                  & ~ c9_2(X127,a1085) )
                | c6_1(X127)
                | ( ndr1_1(X127)
                  & ~ c2_2(X127,a1086)
                  & c9_2(X127,a1086)
                  & c4_2(X127,a1086) ) ) )
          | ~ c7_0 )
        & ( ~ c2_0
          | ( ndr1_0
            & ! [X128] : 
                ( ndr1_1(a1087)
               => ( c6_2(a1087,X128)
                  | ~ c8_2(a1087,X128)
                  | ~ c3_2(a1087,X128) ) )
            & ndr1_1(a1087)
            & ~ c5_2(a1087,a1088)
            & ~ c4_2(a1087,a1088)
            & ~ c10_2(a1087,a1088)
            & ! [X129] : 
                ( ndr1_1(a1087)
               => ( c9_2(a1087,X129)
                  | c5_2(a1087,X129)
                  | c6_2(a1087,X129) ) ) ) )
        & ( ( ndr1_0
            & ndr1_1(a1089)
            & c10_2(a1089,a1090)
            & c9_2(a1089,a1090)
            & c7_2(a1089,a1090)
            & ndr1_1(a1089)
            & c1_2(a1089,a1091)
            & ~ c7_2(a1089,a1091)
            & c5_1(a1089) )
          | ! [X130] : 
              ( ndr1_0
             => ( ~ c2_1(X130)
                | c7_1(X130)
                | c10_1(X130) ) )
          | ( ndr1_0
            & ndr1_1(a1092)
            & ~ c4_2(a1092,a1093)
            & ~ c10_2(a1092,a1093)
            & ~ c7_2(a1092,a1093)
            & ndr1_1(a1092)
            & c10_2(a1092,a1094)
            & ~ c5_2(a1092,a1094)
            & ~ c3_2(a1092,a1094)
            & ~ c10_1(a1092) ) )
        & ( c6_0
          | ( ndr1_0
            & ! [X131] : 
                ( ndr1_1(a1095)
               => ( ~ c9_2(a1095,X131)
                  | ~ c5_2(a1095,X131)
                  | c2_2(a1095,X131) ) )
            & ~ c9_1(a1095)
            & ! [X132] : 
                ( ndr1_1(a1095)
               => ( c8_2(a1095,X132)
                  | c2_2(a1095,X132)
                  | ~ c9_2(a1095,X132) ) ) )
          | c5_0 )
        & ( ~ c4_0
          | c2_0
          | ! [X133] : 
              ( ndr1_0
             => ( ! [X134] : 
                    ( ndr1_1(X133)
                   => ( ~ c3_2(X133,X134)
                      | ~ c7_2(X133,X134) ) )
                | ~ c6_1(X133)
                | ( ndr1_1(X133)
                  & ~ c4_2(X133,a1096)
                  & ~ c7_2(X133,a1096)
                  & c6_2(X133,a1096) ) ) ) )
        & ( ! [X135] : 
              ( ndr1_0
             => ( c7_1(X135)
                | c3_1(X135)
                | ! [X136] : 
                    ( ndr1_1(X135)
                   => ( c7_2(X135,X136)
                      | ~ c6_2(X135,X136)
                      | c9_2(X135,X136) ) ) ) )
          | c6_0
          | ! [X137] : 
              ( ndr1_0
             => ( ! [X138] : 
                    ( ndr1_1(X137)
                   => ( ~ c1_2(X137,X138)
                      | ~ c9_2(X137,X138)
                      | c6_2(X137,X138) ) )
                | ( ndr1_1(X137)
                  & ~ c6_2(X137,a1097)
                  & c9_2(X137,a1097) )
                | ~ c4_1(X137) ) ) )
        & ( c6_0
          | c9_0
          | c7_0 )
        & ( c4_0
          | ~ c7_0
          | ! [X139] : 
              ( ndr1_0
             => ( ~ c6_1(X139)
                | ! [X140] : 
                    ( ndr1_1(X139)
                   => ( c5_2(X139,X140)
                      | c9_2(X139,X140) ) )
                | ~ c3_1(X139) ) ) )
        & ( ! [X141] : 
              ( ndr1_0
             => ( ~ c1_1(X141)
                | ~ c2_1(X141)
                | ! [X142] : 
                    ( ndr1_1(X141)
                   => ( c8_2(X141,X142)
                      | ~ c4_2(X141,X142)
                      | c7_2(X141,X142) ) ) ) )
          | ( ndr1_0
            & ~ c8_1(a1098)
            & ! [X143] : 
                ( ndr1_1(a1098)
               => ( ~ c9_2(a1098,X143)
                  | ~ c2_2(a1098,X143)
                  | c3_2(a1098,X143) ) )
            & ~ c5_1(a1098) ) )
        & ( ~ c9_0
          | c4_0
          | ( ndr1_0
            & ! [X144] : 
                ( ndr1_1(a1099)
               => ( c7_2(a1099,X144)
                  | c8_2(a1099,X144)
                  | c3_2(a1099,X144) ) )
            & c5_1(a1099)
            & ~ c8_1(a1099) ) )
        & ( ! [X145] : 
              ( ndr1_0
             => ( ( ndr1_1(X145)
                  & ~ c10_2(X145,a1100)
                  & c8_2(X145,a1100) )
                | ~ c2_1(X145)
                | ~ c5_1(X145) ) )
          | ~ c2_0
          | c5_0 )
        & ! [X146] : 
            ( ndr1_0
           => ( ~ c10_1(X146)
              | ~ c2_1(X146)
              | ! [X147] : 
                  ( ndr1_1(X146)
                 => ( c3_2(X146,X147)
                    | c2_2(X146,X147) ) ) ) )
        & ( c3_0
          | ! [X148] : 
              ( ndr1_0
             => ( c8_1(X148)
                | c1_1(X148)
                | ( ndr1_1(X148)
                  & c4_2(X148,a1101)
                  & c5_2(X148,a1101)
                  & c3_2(X148,a1101) ) ) )
          | ! [X149] : 
              ( ndr1_0
             => ( ! [X150] : 
                    ( ndr1_1(X149)
                   => ( ~ c2_2(X149,X150)
                      | ~ c1_2(X149,X150)
                      | c10_2(X149,X150) ) )
                | ( ndr1_1(X149)
                  & ~ c4_2(X149,a1102)
                  & ~ c5_2(X149,a1102)
                  & c8_2(X149,a1102) )
                | c3_1(X149) ) ) )
        & ( c9_0
          | c6_0
          | ! [X151] : 
              ( ndr1_0
             => ( c4_1(X151)
                | ~ c1_1(X151)
                | ( ndr1_1(X151)
                  & ~ c2_2(X151,a1103)
                  & ~ c7_2(X151,a1103) ) ) ) )
        & ( ! [X152] : 
              ( ndr1_0
             => ( ( ndr1_1(X152)
                  & ~ c3_2(X152,a1104)
                  & c9_2(X152,a1104)
                  & ~ c2_2(X152,a1104) )
                | ~ c2_1(X152)
                | c3_1(X152) ) )
          | ! [X153] : 
              ( ndr1_0
             => ( c6_1(X153)
                | c3_1(X153)
                | ( ndr1_1(X153)
                  & c1_2(X153,a1105)
                  & ~ c5_2(X153,a1105)
                  & ~ c8_2(X153,a1105) ) ) ) )
        & ( c3_0
          | c4_0
          | c6_0 )
        & ( ! [X154] : 
              ( ndr1_0
             => ( ~ c3_1(X154)
                | ~ c8_1(X154) ) )
          | ( ndr1_0
            & ndr1_1(a1106)
            & ~ c6_2(a1106,a1107)
            & c4_2(a1106,a1107)
            & c9_2(a1106,a1107)
            & ndr1_1(a1106)
            & ~ c10_2(a1106,a1108)
            & ~ c3_2(a1106,a1108)
            & ~ c8_2(a1106,a1108) )
          | ~ c1_0 )
        & ( ! [X155] : 
              ( ndr1_0
             => ( ( ndr1_1(X155)
                  & ~ c1_2(X155,a1109)
                  & c4_2(X155,a1109)
                  & ~ c2_2(X155,a1109) )
                | ! [X156] : 
                    ( ndr1_1(X155)
                   => ( c10_2(X155,X156)
                      | c2_2(X155,X156) ) )
                | ! [X157] : 
                    ( ndr1_1(X155)
                   => ( ~ c3_2(X155,X157)
                      | c10_2(X155,X157)
                      | c8_2(X155,X157) ) ) ) )
          | c9_0
          | c4_0 )
        & ( ! [X158] : 
              ( ndr1_0
             => ( c10_1(X158)
                | ( ndr1_1(X158)
                  & ~ c10_2(X158,a1110)
                  & ~ c7_2(X158,a1110)
                  & ~ c2_2(X158,a1110) ) ) )
          | ! [X159] : 
              ( ndr1_0
             => ( ( ndr1_1(X159)
                  & c10_2(X159,a1111)
                  & c9_2(X159,a1111)
                  & ~ c3_2(X159,a1111) )
                | ~ c6_1(X159)
                | ( ndr1_1(X159)
                  & ~ c9_2(X159,a1112)
                  & c7_2(X159,a1112)
                  & c5_2(X159,a1112) ) ) )
          | ! [X160] : 
              ( ndr1_0
             => ( ( ndr1_1(X160)
                  & c6_2(X160,a1113)
                  & c3_2(X160,a1113)
                  & c1_2(X160,a1113) )
                | ~ c7_1(X160) ) ) )
        & ( ~ c5_0
          | ( ndr1_0
            & c9_1(a1114)
            & c2_1(a1114)
            & ~ c1_1(a1114) )
          | ! [X161] : 
              ( ndr1_0
             => ( c4_1(X161)
                | ~ c5_1(X161)
                | ~ c1_1(X161) ) ) )
        & ( ~ c10_0
          | ~ c1_0 )
        & ( ~ c10_0
          | ( ndr1_0
            & ! [X162] : 
                ( ndr1_1(a1115)
               => ( c9_2(a1115,X162)
                  | c2_2(a1115,X162)
                  | c7_2(a1115,X162) ) )
            & ndr1_1(a1115)
            & ~ c10_2(a1115,a1116)
            & c9_2(a1115,a1116)
            & ~ c6_2(a1115,a1116)
            & ! [X163] : 
                ( ndr1_1(a1115)
               => ( ~ c8_2(a1115,X163)
                  | c9_2(a1115,X163)
                  | ~ c5_2(a1115,X163) ) ) )
          | ! [X164] : 
              ( ndr1_0
             => ( c6_1(X164)
                | c3_1(X164)
                | ( ndr1_1(X164)
                  & ~ c10_2(X164,a1117)
                  & ~ c1_2(X164,a1117) ) ) ) )
        & ( ( ndr1_0
            & c7_1(a1118)
            & c6_1(a1118)
            & ndr1_1(a1118)
            & ~ c5_2(a1118,a1119)
            & c4_2(a1118,a1119)
            & ~ c2_2(a1118,a1119) )
          | ( ndr1_0
            & ~ c1_1(a1120)
            & c4_1(a1120)
            & ndr1_1(a1120)
            & c2_2(a1120,a1121)
            & c1_2(a1120,a1121)
            & c9_2(a1120,a1121) )
          | c8_0 )
        & ( ! [X165] : 
              ( ndr1_0
             => ( c10_1(X165)
                | ( ndr1_1(X165)
                  & ~ c9_2(X165,a1122)
                  & ~ c2_2(X165,a1122)
                  & c10_2(X165,a1122) )
                | c8_1(X165) ) )
          | ~ c7_0
          | ( ndr1_0
            & c5_1(a1123)
            & ! [X166] : 
                ( ndr1_1(a1123)
               => ( c7_2(a1123,X166)
                  | c1_2(a1123,X166)
                  | c6_2(a1123,X166) ) )
            & ! [X167] : 
                ( ndr1_1(a1123)
               => ( c6_2(a1123,X167)
                  | ~ c1_2(a1123,X167)
                  | ~ c10_2(a1123,X167) ) ) ) )
        & ( ! [X168] : 
              ( ndr1_0
             => ( ~ c7_1(X168)
                | c6_1(X168)
                | c10_1(X168) ) )
          | ~ c4_0
          | ( ndr1_0
            & ! [X169] : 
                ( ndr1_1(a1124)
               => ( c6_2(a1124,X169)
                  | ~ c4_2(a1124,X169)
                  | ~ c8_2(a1124,X169) ) )
            & c7_1(a1124)
            & ~ c2_1(a1124) ) )
        & ( c8_0
          | ( ndr1_0
            & ndr1_1(a1125)
            & c8_2(a1125,a1126)
            & ~ c3_2(a1125,a1126)
            & ~ c10_2(a1125,a1126)
            & ~ c4_1(a1125)
            & ndr1_1(a1125)
            & c5_2(a1125,a1127)
            & ~ c1_2(a1125,a1127)
            & c4_2(a1125,a1127) )
          | ~ c6_0 )
        & ( ~ c6_0
          | c5_0
          | c1_0 )
        & ( ! [X170] : 
              ( ndr1_0
             => ( ! [X171] : 
                    ( ndr1_1(X170)
                   => ( ~ c7_2(X170,X171)
                      | ~ c3_2(X170,X171)
                      | ~ c1_2(X170,X171) ) )
                | ( ndr1_1(X170)
                  & ~ c7_2(X170,a1128)
                  & ~ c10_2(X170,a1128) )
                | ( ndr1_1(X170)
                  & ~ c4_2(X170,a1129)
                  & c1_2(X170,a1129)
                  & ~ c6_2(X170,a1129) ) ) )
          | c10_0
          | ( ndr1_0
            & ~ c10_1(a1130)
            & ! [X172] : 
                ( ndr1_1(a1130)
               => ( c9_2(a1130,X172)
                  | c1_2(a1130,X172)
                  | c10_2(a1130,X172) ) )
            & ~ c8_1(a1130) ) )
        & ( ( ndr1_0
            & ! [X173] : 
                ( ndr1_1(a1131)
               => ( c4_2(a1131,X173)
                  | c6_2(a1131,X173)
                  | c3_2(a1131,X173) ) )
            & ndr1_1(a1131)
            & ~ c4_2(a1131,a1132)
            & c2_2(a1131,a1132)
            & ! [X174] : 
                ( ndr1_1(a1131)
               => ( c4_2(a1131,X174)
                  | ~ c3_2(a1131,X174)
                  | ~ c1_2(a1131,X174) ) ) )
          | ( ndr1_0
            & c7_1(a1133)
            & ~ c2_1(a1133)
            & ndr1_1(a1133)
            & ~ c2_2(a1133,a1134)
            & c5_2(a1133,a1134)
            & ~ c6_2(a1133,a1134) )
          | ~ c9_0 )
        & ( c6_0
          | ( ndr1_0
            & c9_1(a1135)
            & c4_1(a1135)
            & ~ c3_1(a1135) )
          | ( ndr1_0
            & ~ c9_1(a1136)
            & ndr1_1(a1136)
            & ~ c3_2(a1136,a1137)
            & c1_2(a1136,a1137)
            & ~ c6_2(a1136,a1137)
            & c1_1(a1136) ) )
        & ( ! [X175] : 
              ( ndr1_0
             => ( ( ndr1_1(X175)
                  & c10_2(X175,a1138)
                  & c2_2(X175,a1138)
                  & c9_2(X175,a1138) )
                | c3_1(X175) ) )
          | ~ c9_0
          | c4_0 )
        & ( ~ c9_0
          | ! [X176] : 
              ( ndr1_0
             => ( ~ c10_1(X176)
                | ! [X177] : 
                    ( ndr1_1(X176)
                   => ( ~ c10_2(X176,X177)
                      | ~ c9_2(X176,X177)
                      | ~ c8_2(X176,X177) ) ) ) )
          | ~ c1_0 )
        & ( ( ndr1_0
            & ~ c1_1(a1139)
            & ! [X178] : 
                ( ndr1_1(a1139)
               => ( c7_2(a1139,X178)
                  | ~ c6_2(a1139,X178)
                  | c5_2(a1139,X178) ) )
            & ~ c10_1(a1139) )
          | ( ndr1_0
            & c6_1(a1140)
            & ndr1_1(a1140)
            & c9_2(a1140,a1141)
            & ~ c1_2(a1140,a1141)
            & ~ c4_2(a1140,a1141) )
          | ~ c1_0 )
        & ( ! [X179] : 
              ( ndr1_0
             => ( ~ c2_1(X179)
                | ( ndr1_1(X179)
                  & ~ c1_2(X179,a1142)
                  & ~ c8_2(X179,a1142)
                  & ~ c4_2(X179,a1142) )
                | c5_1(X179) ) )
          | c4_0
          | ( ndr1_0
            & c8_1(a1143)
            & ~ c7_1(a1143) ) )
        & ( c9_0
          | ~ c4_0
          | ( ndr1_0
            & ndr1_1(a1144)
            & c4_2(a1144,a1145)
            & ~ c1_2(a1144,a1145)
            & c3_2(a1144,a1145)
            & ~ c5_1(a1144)
            & ~ c10_1(a1144) ) )
        & ( c8_0
          | ~ c7_0
          | ! [X180] : 
              ( ndr1_0
             => ( ~ c5_1(X180)
                | ! [X181] : 
                    ( ndr1_1(X180)
                   => ( ~ c1_2(X180,X181)
                      | ~ c8_2(X180,X181) ) )
                | ! [X182] : 
                    ( ndr1_1(X180)
                   => ( ~ c2_2(X180,X182)
                      | ~ c6_2(X180,X182)
                      | ~ c1_2(X180,X182) ) ) ) ) )
        & ( ~ c8_0
          | ( ndr1_0
            & ! [X183] : 
                ( ndr1_1(a1146)
               => ( c9_2(a1146,X183)
                  | c8_2(a1146,X183)
                  | c10_2(a1146,X183) ) )
            & ~ c2_1(a1146)
            & ~ c1_1(a1146) )
          | ! [X184] : 
              ( ndr1_0
             => ( ( ndr1_1(X184)
                  & ~ c9_2(X184,a1147)
                  & ~ c3_2(X184,a1147)
                  & ~ c6_2(X184,a1147) )
                | c7_1(X184)
                | c8_1(X184) ) ) )
        & ( ~ c5_0
          | ! [X185] : 
              ( ndr1_0
             => ( ( ndr1_1(X185)
                  & ~ c8_2(X185,a1148)
                  & c4_2(X185,a1148) )
                | ~ c2_1(X185)
                | c9_1(X185) ) )
          | ! [X186] : 
              ( ndr1_0
             => ( ~ c5_1(X186)
                | ! [X187] : 
                    ( ndr1_1(X186)
                   => ( ~ c8_2(X186,X187)
                      | c2_2(X186,X187) ) )
                | c10_1(X186) ) ) )
        & ( ~ c4_0
          | ! [X188] : 
              ( ndr1_0
             => ( ~ c5_1(X188)
                | ( ndr1_1(X188)
                  & ~ c7_2(X188,a1149)
                  & c9_2(X188,a1149) )
                | ! [X189] : 
                    ( ndr1_1(X188)
                   => ( c7_2(X188,X189)
                      | c9_2(X188,X189)
                      | c6_2(X188,X189) ) ) ) )
          | ~ c2_0 )
        & ( ( ndr1_0
            & c10_1(a1150)
            & c5_1(a1150)
            & c1_1(a1150) )
          | ! [X190] : 
              ( ndr1_0
             => ( ! [X191] : 
                    ( ndr1_1(X190)
                   => ( c4_2(X190,X191)
                      | c8_2(X190,X191)
                      | ~ c5_2(X190,X191) ) )
                | ~ c7_1(X190)
                | ~ c2_1(X190) ) )
          | c2_0 )
        & ( c2_0
          | ! [X192] : 
              ( ndr1_0
             => ( ~ c1_1(X192)
                | ( ndr1_1(X192)
                  & ~ c3_2(X192,a1151)
                  & c2_2(X192,a1151)
                  & ~ c5_2(X192,a1151) )
                | ( ndr1_1(X192)
                  & ~ c10_2(X192,a1152)
                  & c8_2(X192,a1152)
                  & ~ c4_2(X192,a1152) ) ) ) )
        & ( c8_0
          | c9_0
          | ! [X193] : 
              ( ndr1_0
             => ( ~ c5_1(X193)
                | ~ c7_1(X193)
                | ! [X194] : 
                    ( ndr1_1(X193)
                   => ( ~ c6_2(X193,X194)
                      | ~ c2_2(X193,X194)
                      | ~ c3_2(X193,X194) ) ) ) ) )
        & ( ( ndr1_0
            & c4_1(a1153)
            & ! [X195] : 
                ( ndr1_1(a1153)
               => ( c6_2(a1153,X195)
                  | ~ c10_2(a1153,X195)
                  | c9_2(a1153,X195) ) )
            & ~ c9_1(a1153) )
          | c7_0
          | ( ndr1_0
            & ~ c6_1(a1154)
            & c9_1(a1154)
            & ! [X196] : 
                ( ndr1_1(a1154)
               => ( c4_2(a1154,X196)
                  | ~ c9_2(a1154,X196)
                  | c7_2(a1154,X196) ) ) ) )
        & ( ( ndr1_0
            & c6_1(a1155)
            & ! [X197] : 
                ( ndr1_1(a1155)
               => ( c9_2(a1155,X197)
                  | c4_2(a1155,X197)
                  | c8_2(a1155,X197) ) )
            & ! [X198] : 
                ( ndr1_1(a1155)
               => ( c3_2(a1155,X198)
                  | c1_2(a1155,X198)
                  | ~ c9_2(a1155,X198) ) ) )
          | ~ c10_0
          | ! [X199] : 
              ( ndr1_0
             => ( ( ndr1_1(X199)
                  & ~ c10_2(X199,a1156)
                  & c6_2(X199,a1156)
                  & ~ c9_2(X199,a1156) )
                | ( ndr1_1(X199)
                  & c4_2(X199,a1157)
                  & c6_2(X199,a1157)
                  & ~ c10_2(X199,a1157) )
                | ( ndr1_1(X199)
                  & ~ c7_2(X199,a1158)
                  & c6_2(X199,a1158)
                  & ~ c8_2(X199,a1158) ) ) ) )
        & ( ! [X200] : 
              ( ndr1_0
             => ( ! [X201] : 
                    ( ndr1_1(X200)
                   => ( ~ c8_2(X200,X201)
                      | c9_2(X200,X201)
                      | ~ c5_2(X200,X201) ) )
                | ( ndr1_1(X200)
                  & c2_2(X200,a1159)
                  & ~ c9_2(X200,a1159)
                  & c10_2(X200,a1159) )
                | c9_1(X200) ) )
          | ( ndr1_0
            & ndr1_1(a1160)
            & ~ c10_2(a1160,a1161)
            & c7_2(a1160,a1161)
            & c2_2(a1160,a1161)
            & ! [X202] : 
                ( ndr1_1(a1160)
               => ( ~ c9_2(a1160,X202)
                  | c10_2(a1160,X202) ) )
            & ~ c6_1(a1160) )
          | ~ c7_0 )
        & ( ~ c5_0
          | ( ndr1_0
            & ndr1_1(a1162)
            & ~ c8_2(a1162,a1163)
            & ~ c10_2(a1162,a1163)
            & ~ c3_2(a1162,a1163)
            & ~ c6_1(a1162)
            & ndr1_1(a1162)
            & ~ c5_2(a1162,a1164)
            & c4_2(a1162,a1164)
            & c8_2(a1162,a1164) )
          | c4_0 )
        & ( ! [X203] : 
              ( ndr1_0
             => ( ! [X204] : 
                    ( ndr1_1(X203)
                   => ( ~ c3_2(X203,X204)
                      | ~ c7_2(X203,X204)
                      | ~ c9_2(X203,X204) ) )
                | ! [X205] : 
                    ( ndr1_1(X203)
                   => ( c2_2(X203,X205)
                      | c8_2(X203,X205)
                      | ~ c6_2(X203,X205) ) )
                | c7_1(X203) ) )
          | c7_0 )
        & ( c2_0
          | ( ndr1_0
            & ~ c4_1(a1165)
            & c10_1(a1165)
            & ndr1_1(a1165)
            & ~ c5_2(a1165,a1166)
            & c6_2(a1165,a1166)
            & c9_2(a1165,a1166) )
          | ( ndr1_0
            & ndr1_1(a1167)
            & ~ c10_2(a1167,a1168)
            & ~ c7_2(a1167,a1168)
            & ~ c3_2(a1167,a1168)
            & ~ c7_1(a1167) ) )
        & ( c2_0
          | ! [X206] : 
              ( ndr1_0
             => ( ( ndr1_1(X206)
                  & ~ c10_2(X206,a1169)
                  & c7_2(X206,a1169)
                  & ~ c1_2(X206,a1169) )
                | ! [X207] : 
                    ( ndr1_1(X206)
                   => ( c2_2(X206,X207)
                      | ~ c9_2(X206,X207)
                      | ~ c8_2(X206,X207) ) )
                | ! [X208] : 
                    ( ndr1_1(X206)
                   => ( ~ c9_2(X206,X208)
                      | c2_2(X206,X208)
                      | c3_2(X206,X208) ) ) ) )
          | ! [X209] : 
              ( ndr1_0
             => ( ~ c8_1(X209)
                | ! [X210] : 
                    ( ndr1_1(X209)
                   => ( ~ c6_2(X209,X210)
                      | ~ c1_2(X209,X210)
                      | ~ c8_2(X209,X210) ) )
                | ~ c10_1(X209) ) ) )
        & ( ( ndr1_0
            & c2_1(a1170)
            & ! [X211] : 
                ( ndr1_1(a1170)
               => ( c8_2(a1170,X211)
                  | ~ c6_2(a1170,X211)
                  | c10_2(a1170,X211) ) )
            & ndr1_1(a1170)
            & c6_2(a1170,a1171)
            & ~ c9_2(a1170,a1171)
            & c10_2(a1170,a1171) )
          | c8_0
          | c4_0 )
        & ( ! [X212] : 
              ( ndr1_0
             => ( c3_1(X212)
                | c10_1(X212)
                | ~ c7_1(X212) ) )
          | c8_0
          | ~ c5_0 )
        & ( ! [X213] : 
              ( ndr1_0
             => ( ~ c7_1(X213)
                | c4_1(X213)
                | ( ndr1_1(X213)
                  & c4_2(X213,a1172)
                  & c1_2(X213,a1172)
                  & c10_2(X213,a1172) ) ) )
          | ~ c2_0
          | ( ndr1_0
            & c3_1(a1173)
            & ! [X214] : 
                ( ndr1_1(a1173)
               => ( c5_2(a1173,X214)
                  | c4_2(a1173,X214)
                  | ~ c9_2(a1173,X214) ) )
            & ndr1_1(a1173)
            & c4_2(a1173,a1174)
            & ~ c5_2(a1173,a1174) ) )
        & ( ~ c3_0
          | c7_0
          | ! [X215] : 
              ( ndr1_0
             => ( ( ndr1_1(X215)
                  & ~ c7_2(X215,a1175) )
                | ~ c5_1(X215)
                | ! [X216] : 
                    ( ndr1_1(X215)
                   => ( ~ c3_2(X215,X216)
                      | c5_2(X215,X216)
                      | c6_2(X215,X216) ) ) ) ) )
        & ( c1_0
          | ~ c7_0 )
        & ( ! [X217] : 
              ( ndr1_0
             => ( ! [X218] : 
                    ( ndr1_1(X217)
                   => ( c3_2(X217,X218)
                      | c4_2(X217,X218)
                      | c7_2(X217,X218) ) )
                | c9_1(X217)
                | ( ndr1_1(X217)
                  & c6_2(X217,a1176)
                  & c7_2(X217,a1176)
                  & ~ c1_2(X217,a1176) ) ) )
          | ! [X219] : 
              ( ndr1_0
             => ( ~ c1_1(X219)
                | ( ndr1_1(X219)
                  & c9_2(X219,a1177)
                  & c8_2(X219,a1177)
                  & c6_2(X219,a1177) )
                | ( ndr1_1(X219)
                  & ~ c4_2(X219,a1178)
                  & c2_2(X219,a1178)
                  & c1_2(X219,a1178) ) ) )
          | ! [X220] : 
              ( ndr1_0
             => ( ( ndr1_1(X220)
                  & ~ c2_2(X220,a1179)
                  & c8_2(X220,a1179)
                  & ~ c1_2(X220,a1179) )
                | ( ndr1_1(X220)
                  & c10_2(X220,a1180)
                  & ~ c5_2(X220,a1180)
                  & ~ c1_2(X220,a1180) )
                | c5_1(X220) ) ) )
        & ( ! [X221] : 
              ( ndr1_0
             => ( ! [X222] : 
                    ( ndr1_1(X221)
                   => ( c10_2(X221,X222)
                      | c1_2(X221,X222)
                      | ~ c8_2(X221,X222) ) )
                | ( ndr1_1(X221)
                  & c9_2(X221,a1181)
                  & ~ c1_2(X221,a1181)
                  & c3_2(X221,a1181) )
                | ( ndr1_1(X221)
                  & c8_2(X221,a1182)
                  & ~ c9_2(X221,a1182)
                  & ~ c4_2(X221,a1182) ) ) )
          | ( ndr1_0
            & ndr1_1(a1183)
            & ~ c9_2(a1183,a1184)
            & c8_2(a1183,a1184)
            & c3_2(a1183,a1184)
            & ~ c10_1(a1183)
            & ndr1_1(a1183)
            & c5_2(a1183,a1185)
            & c10_2(a1183,a1185)
            & ~ c7_2(a1183,a1185) )
          | ! [X223] : 
              ( ndr1_0
             => ( ~ c10_1(X223)
                | ! [X224] : 
                    ( ndr1_1(X223)
                   => ( c8_2(X223,X224)
                      | c1_2(X223,X224) ) ) ) ) )
        & ( ( ndr1_0
            & ndr1_1(a1186)
            & c3_2(a1186,a1187)
            & ~ c6_2(a1186,a1187)
            & ndr1_1(a1186)
            & ~ c1_2(a1186,a1188)
            & c3_2(a1186,a1188)
            & c3_1(a1186) )
          | c2_0 )
        & ( ~ c6_0
          | c1_0
          | ! [X225] : 
              ( ndr1_0
             => ( ~ c9_1(X225)
                | ! [X226] : 
                    ( ndr1_1(X225)
                   => ( c3_2(X225,X226)
                      | ~ c1_2(X225,X226)
                      | c5_2(X225,X226) ) )
                | ( ndr1_1(X225)
                  & c1_2(X225,a1189)
                  & ~ c6_2(X225,a1189)
                  & c2_2(X225,a1189) ) ) ) ) ) )).

%--------------------------------------------------------------------------
