%--------------------------------------------------------------------------
% File     : SYN425+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=10, R=1, L=150, K=3, D=2, P=0, Index=030
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-10-1-150-3-2-030.dfg [Wei97]

% Status   : CounterSatisfiable
% Rating   : 0.50 v3.1.0, 0.67 v2.7.0, 0.83 v2.6.0, 0.50 v2.5.0, 0.33 v2.3.0, 0.00 v2.1.0
%
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
%
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       : 1377 (   0 equality)
%            Maximal formula depth :  131 ( 131 average)
%            Number of connectives : 1858 ( 482 ~  ; 568  |; 616  &)
%                                         (   0 <=>; 192 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   32 (  11 propositional; 0-2 arity)
%            Number of functors    :  175 ( 175 constant; 0-0 arity)
%            Number of variables   :  192 (   0 singleton; 192 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%--------------------------------------------------------------------------
fof(co1,conjecture,
    ( ~ ( ( ~ c7_0
          | ! [U] : 
              ( ndr1_0
             => ( ~ c5_1(U)
                | ~ c7_1(U)
                | ! [V] : 
                    ( ndr1_1(U)
                   => ( c4_2(U,V)
                      | c2_2(U,V)
                      | c8_2(U,V) ) ) ) )
          | c2_0 )
        & ( ( ndr1_0
            & ~ c1_1(a1190)
            & ~ c4_1(a1190)
            & ! [W] : 
                ( ndr1_1(a1190)
               => ( c6_2(a1190,W)
                  | c5_2(a1190,W)
                  | c4_2(a1190,W) ) ) )
          | ( ndr1_0
            & ! [X] : 
                ( ndr1_1(a1191)
               => ( c3_2(a1191,X)
                  | ~ c8_2(a1191,X)
                  | ~ c1_2(a1191,X) ) )
            & ~ c2_1(a1191)
            & ndr1_1(a1191)
            & c7_2(a1191,a1192)
            & ~ c10_2(a1191,a1192)
            & ~ c6_2(a1191,a1192) )
          | ~ c7_0 )
        & ( ( ndr1_0
            & ! [Y] : 
                ( ndr1_1(a1193)
               => ( ~ c8_2(a1193,Y)
                  | c7_2(a1193,Y)
                  | c2_2(a1193,Y) ) )
            & ndr1_1(a1193)
            & c4_2(a1193,a1194)
            & c5_2(a1193,a1194)
            & c9_2(a1193,a1194)
            & ! [Z] : 
                ( ndr1_1(a1193)
               => ( ~ c10_2(a1193,Z)
                  | ~ c9_2(a1193,Z)
                  | ~ c8_2(a1193,Z) ) ) )
          | ! [X1] : 
              ( ndr1_0
             => ( ( ndr1_1(X1)
                  & c10_2(X1,a1195)
                  & ~ c3_2(X1,a1195)
                  & ~ c4_2(X1,a1195) )
                | c8_1(X1)
                | ~ c9_1(X1) ) )
          | ! [X2] : 
              ( ndr1_0
             => ( c6_1(X2)
                | c10_1(X2)
                | ~ c1_1(X2) ) ) )
        & ( c1_0
          | ~ c5_0 )
        & ( ! [X3] : 
              ( ndr1_0
             => ( ( ndr1_1(X3)
                  & c8_2(X3,a1196)
                  & c4_2(X3,a1196)
                  & ~ c6_2(X3,a1196) )
                | ! [X4] : 
                    ( ndr1_1(X3)
                   => ( c5_2(X3,X4)
                      | ~ c9_2(X3,X4)
                      | c7_2(X3,X4) ) )
                | ( ndr1_1(X3)
                  & c6_2(X3,a1197)
                  & ~ c10_2(X3,a1197)
                  & ~ c4_2(X3,a1197) ) ) )
          | c4_0
          | c3_0 )
        & ( ( ndr1_0
            & ~ c2_1(a1198)
            & ! [X5] : 
                ( ndr1_1(a1198)
               => ( c9_2(a1198,X5)
                  | ~ c1_2(a1198,X5) ) )
            & ~ c8_1(a1198) )
          | ! [X6] : 
              ( ndr1_0
             => ( ! [X7] : 
                    ( ndr1_1(X6)
                   => ( c2_2(X6,X7)
                      | ~ c9_2(X6,X7)
                      | c7_2(X6,X7) ) )
                | c8_1(X6)
                | c5_1(X6) ) )
          | c4_0 )
        & ( ~ c10_0
          | ! [X8] : 
              ( ndr1_0
             => ( ! [X9] : 
                    ( ndr1_1(X8)
                   => ( ~ c1_2(X8,X9)
                      | c9_2(X8,X9)
                      | c4_2(X8,X9) ) )
                | ~ c8_1(X8)
                | c3_1(X8) ) )
          | c7_0 )
        & ( c2_0
          | ~ c4_0
          | ~ c6_0 )
        & ( ~ c6_0
          | ! [X10] : 
              ( ndr1_0
             => ( ~ c9_1(X10)
                | ~ c1_1(X10)
                | ( ndr1_1(X10)
                  & c6_2(X10,a1199)
                  & c8_2(X10,a1199)
                  & c4_2(X10,a1199) ) ) )
          | c8_0 )
        & ( ~ c2_0
          | ( ndr1_0
            & ~ c6_1(a1200)
            & ! [X11] : 
                ( ndr1_1(a1200)
               => ( c2_2(a1200,X11)
                  | c4_2(a1200,X11) ) ) )
          | c8_0 )
        & ( ~ c6_0
          | ( ndr1_0
            & ndr1_1(a1201)
            & c4_2(a1201,a1202)
            & ~ c6_2(a1201,a1202)
            & c2_2(a1201,a1202)
            & ndr1_1(a1201)
            & c7_2(a1201,a1203)
            & c9_2(a1201,a1203)
            & c5_2(a1201,a1203)
            & ~ c4_1(a1201) )
          | ! [X12] : 
              ( ndr1_0
             => ( c9_1(X12)
                | c1_1(X12)
                | ! [X13] : 
                    ( ndr1_1(X12)
                   => ( c6_2(X12,X13)
                      | ~ c2_2(X12,X13)
                      | c4_2(X12,X13) ) ) ) ) )
        & ( ! [X14] : 
              ( ndr1_0
             => ( c3_1(X14)
                | ( ndr1_1(X14)
                  & ~ c10_2(X14,a1204)
                  & c1_2(X14,a1204)
                  & ~ c8_2(X14,a1204) )
                | ~ c1_1(X14) ) )
          | ! [X15] : 
              ( ndr1_0
             => ( c4_1(X15)
                | ( ndr1_1(X15)
                  & ~ c3_2(X15,a1205)
                  & ~ c2_2(X15,a1205)
                  & c5_2(X15,a1205) )
                | c5_1(X15) ) )
          | ~ c5_0 )
        & ( c9_0
          | ~ c3_0
          | ~ c6_0 )
        & ( c9_0
          | c8_0
          | ( ndr1_0
            & c2_1(a1206)
            & ! [X16] : 
                ( ndr1_1(a1206)
               => ( ~ c4_2(a1206,X16)
                  | ~ c9_2(a1206,X16)
                  | ~ c8_2(a1206,X16) ) )
            & c1_1(a1206) ) )
        & ( ( ndr1_0
            & ~ c8_1(a1207)
            & ! [X17] : 
                ( ndr1_1(a1207)
               => ( ~ c6_2(a1207,X17)
                  | c8_2(a1207,X17)
                  | ~ c4_2(a1207,X17) ) )
            & c9_1(a1207) )
          | ~ c2_0
          | ( ndr1_0
            & ! [X18] : 
                ( ndr1_1(a1208)
               => ( ~ c10_2(a1208,X18)
                  | ~ c4_2(a1208,X18) ) )
            & c10_1(a1208)
            & c9_1(a1208) ) )
        & ( ! [X19] : 
              ( ndr1_0
             => ( c7_1(X19)
                | ! [X20] : 
                    ( ndr1_1(X19)
                   => ( c6_2(X19,X20)
                      | c10_2(X19,X20)
                      | ~ c9_2(X19,X20) ) )
                | ! [X21] : 
                    ( ndr1_1(X19)
                   => ( c3_2(X19,X21)
                      | ~ c7_2(X19,X21)
                      | ~ c10_2(X19,X21) ) ) ) )
          | ~ c2_0 )
        & ( ~ c10_0
          | c9_0 )
        & ( c9_0
          | ! [X22] : 
              ( ndr1_0
             => ( ( ndr1_1(X22)
                  & ~ c10_2(X22,a1209)
                  & ~ c8_2(X22,a1209)
                  & c9_2(X22,a1209) )
                | ! [X23] : 
                    ( ndr1_1(X22)
                   => ( c7_2(X22,X23)
                      | ~ c1_2(X22,X23)
                      | c9_2(X22,X23) ) )
                | c5_1(X22) ) )
          | ~ c6_0 )
        & ( ~ c4_0
          | ( ndr1_0
            & c10_1(a1210)
            & ~ c9_1(a1210)
            & ! [X24] : 
                ( ndr1_1(a1210)
               => ( c2_2(a1210,X24)
                  | c5_2(a1210,X24)
                  | ~ c1_2(a1210,X24) ) ) )
          | c2_0 )
        & ( c8_0
          | ( ndr1_0
            & ! [X25] : 
                ( ndr1_1(a1211)
               => ( c1_2(a1211,X25)
                  | c2_2(a1211,X25)
                  | ~ c7_2(a1211,X25) ) )
            & ~ c10_1(a1211)
            & ndr1_1(a1211)
            & c10_2(a1211,a1212)
            & ~ c8_2(a1211,a1212)
            & ~ c2_2(a1211,a1212) )
          | c3_0 )
        & ( ( ndr1_0
            & c7_1(a1213)
            & ! [X26] : 
                ( ndr1_1(a1213)
               => ( ~ c2_2(a1213,X26)
                  | c1_2(a1213,X26)
                  | c4_2(a1213,X26) ) )
            & c2_1(a1213) )
          | c4_0
          | c6_0 )
        & ( c3_0
          | ~ c9_0
          | ( ndr1_0
            & c1_1(a1214)
            & ! [X27] : 
                ( ndr1_1(a1214)
               => ( c7_2(a1214,X27)
                  | ~ c5_2(a1214,X27) ) )
            & c3_1(a1214) ) )
        & ( ! [X28] : 
              ( ndr1_0
             => ( ~ c2_1(X28)
                | c4_1(X28)
                | c5_1(X28) ) )
          | c7_0
          | ( ndr1_0
            & ! [X29] : 
                ( ndr1_1(a1215)
               => ( c5_2(a1215,X29)
                  | ~ c6_2(a1215,X29)
                  | c1_2(a1215,X29) ) )
            & ndr1_1(a1215)
            & ~ c6_2(a1215,a1216)
            & ~ c3_2(a1215,a1216)
            & c2_2(a1215,a1216)
            & c6_1(a1215) ) )
        & ( c2_0
          | ! [X30] : 
              ( ndr1_0
             => ( c4_1(X30)
                | ! [X31] : 
                    ( ndr1_1(X30)
                   => ( c9_2(X30,X31)
                      | ~ c1_2(X30,X31)
                      | c4_2(X30,X31) ) )
                | ! [X32] : 
                    ( ndr1_1(X30)
                   => ( ~ c7_2(X30,X32)
                      | c2_2(X30,X32)
                      | ~ c4_2(X30,X32) ) ) ) )
          | ! [X33] : 
              ( ndr1_0
             => ( ! [X34] : 
                    ( ndr1_1(X33)
                   => ( c5_2(X33,X34)
                      | ~ c4_2(X33,X34)
                      | ~ c10_2(X33,X34) ) )
                | ~ c6_1(X33)
                | ~ c10_1(X33) ) ) )
        & ( c4_0
          | ! [X35] : 
              ( ndr1_0
             => ( c1_1(X35)
                | ( ndr1_1(X35)
                  & ~ c7_2(X35,a1217)
                  & c3_2(X35,a1217)
                  & c2_2(X35,a1217) )
                | ! [X36] : 
                    ( ndr1_1(X35)
                   => ( ~ c6_2(X35,X36)
                      | c4_2(X35,X36) ) ) ) )
          | c9_0 )
        & ( ~ c2_0
          | ( ndr1_0
            & ! [X37] : 
                ( ndr1_1(a1218)
               => ( ~ c6_2(a1218,X37)
                  | c10_2(a1218,X37)
                  | ~ c9_2(a1218,X37) ) )
            & ndr1_1(a1218)
            & ~ c6_2(a1218,a1219)
            & ~ c10_2(a1218,a1219)
            & ~ c4_2(a1218,a1219)
            & c2_1(a1218) )
          | ( ndr1_0
            & c2_1(a1220)
            & ~ c6_1(a1220)
            & c10_1(a1220) ) )
        & ( ! [X38] : 
              ( ndr1_0
             => ( ( ndr1_1(X38)
                  & c10_2(X38,a1221)
                  & c4_2(X38,a1221)
                  & ~ c8_2(X38,a1221) )
                | ( ndr1_1(X38)
                  & c2_2(X38,a1222)
                  & c5_2(X38,a1222)
                  & ~ c4_2(X38,a1222) )
                | c6_1(X38) ) )
          | ( ndr1_0
            & ~ c4_1(a1223)
            & ! [X39] : 
                ( ndr1_1(a1223)
               => ( ~ c3_2(a1223,X39)
                  | c8_2(a1223,X39)
                  | ~ c7_2(a1223,X39) ) )
            & c2_1(a1223) )
          | c6_0 )
        & ( ! [X40] : 
              ( ndr1_0
             => ( ( ndr1_1(X40)
                  & ~ c1_2(X40,a1224)
                  & c10_2(X40,a1224)
                  & ~ c8_2(X40,a1224) )
                | c7_1(X40)
                | ~ c1_1(X40) ) )
          | c5_0
          | ~ c10_0 )
        & ( ~ c8_0
          | c3_0 )
        & ( c9_0
          | ( ndr1_0
            & ! [X41] : 
                ( ndr1_1(a1225)
               => ( c4_2(a1225,X41)
                  | c1_2(a1225,X41)
                  | c7_2(a1225,X41) ) )
            & ! [X42] : 
                ( ndr1_1(a1225)
               => ( c8_2(a1225,X42)
                  | c3_2(a1225,X42)
                  | ~ c4_2(a1225,X42) ) )
            & ! [X43] : 
                ( ndr1_1(a1225)
               => ( c7_2(a1225,X43)
                  | ~ c5_2(a1225,X43)
                  | c8_2(a1225,X43) ) ) )
          | ~ c6_0 )
        & ( c5_0
          | ( ndr1_0
            & ~ c9_1(a1226)
            & c7_1(a1226)
            & ndr1_1(a1226)
            & ~ c8_2(a1226,a1227)
            & ~ c5_2(a1226,a1227)
            & ~ c6_2(a1226,a1227) )
          | ~ c9_0 )
        & ( c9_0
          | c10_0
          | ! [X44] : 
              ( ndr1_0
             => ( ~ c9_1(X44)
                | ~ c10_1(X44)
                | c5_1(X44) ) ) )
        & ( ( ndr1_0
            & c1_1(a1228)
            & ! [X45] : 
                ( ndr1_1(a1228)
               => ( ~ c10_2(a1228,X45)
                  | ~ c2_2(a1228,X45)
                  | c5_2(a1228,X45) ) )
            & ~ c7_1(a1228) )
          | c4_0 )
        & ( ( ndr1_0
            & ndr1_1(a1229)
            & c4_2(a1229,a1230)
            & c7_2(a1229,a1230)
            & c10_2(a1229,a1230)
            & ! [X46] : 
                ( ndr1_1(a1229)
               => ( ~ c4_2(a1229,X46)
                  | c1_2(a1229,X46)
                  | c6_2(a1229,X46) ) ) )
          | ! [X47] : 
              ( ndr1_0
             => ( ( ndr1_1(X47)
                  & c9_2(X47,a1231)
                  & c6_2(X47,a1231)
                  & ~ c7_2(X47,a1231) )
                | ~ c5_1(X47)
                | ! [X48] : 
                    ( ndr1_1(X47)
                   => ( ~ c3_2(X47,X48)
                      | ~ c5_2(X47,X48)
                      | c9_2(X47,X48) ) ) ) ) )
        & ( ~ c7_0
          | ! [X49] : 
              ( ndr1_0
             => ( c9_1(X49)
                | ! [X50] : 
                    ( ndr1_1(X49)
                   => ( c10_2(X49,X50)
                      | ~ c8_2(X49,X50)
                      | c4_2(X49,X50) ) ) ) )
          | ! [X51] : 
              ( ndr1_0
             => ( c3_1(X51)
                | ( ndr1_1(X51)
                  & c1_2(X51,a1232)
                  & ~ c10_2(X51,a1232)
                  & c8_2(X51,a1232) )
                | c7_1(X51) ) ) )
        & ( ! [X52] : 
              ( ndr1_0
             => ( ( ndr1_1(X52)
                  & ~ c3_2(X52,a1233)
                  & c9_2(X52,a1233)
                  & c10_2(X52,a1233) )
                | ~ c5_1(X52)
                | ( ndr1_1(X52)
                  & c7_2(X52,a1234)
                  & c4_2(X52,a1234)
                  & ~ c10_2(X52,a1234) ) ) )
          | ( ndr1_0
            & c4_1(a1235)
            & ! [X53] : 
                ( ndr1_1(a1235)
               => ( c2_2(a1235,X53)
                  | ~ c9_2(a1235,X53)
                  | ~ c4_2(a1235,X53) ) )
            & ndr1_1(a1235)
            & ~ c8_2(a1235,a1236)
            & ~ c3_2(a1235,a1236)
            & c4_2(a1235,a1236) )
          | c1_0 )
        & ( ( ndr1_0
            & ndr1_1(a1237)
            & c5_2(a1237,a1238)
            & c7_2(a1237,a1238)
            & c4_2(a1237,a1238)
            & ndr1_1(a1237)
            & c5_2(a1237,a1239)
            & ~ c6_2(a1237,a1239)
            & ~ c2_2(a1237,a1239)
            & ~ c8_1(a1237) )
          | ! [X54] : 
              ( ndr1_0
             => ( ~ c3_1(X54)
                | c8_1(X54) ) )
          | c8_0 )
        & c9_0
        & ( ~ c3_0
          | ( ndr1_0
            & ! [X55] : 
                ( ndr1_1(a1240)
               => ( c6_2(a1240,X55)
                  | c4_2(a1240,X55)
                  | c5_2(a1240,X55) ) )
            & ! [X56] : 
                ( ndr1_1(a1240)
               => ( ~ c5_2(a1240,X56)
                  | c3_2(a1240,X56)
                  | c4_2(a1240,X56) ) )
            & ~ c7_1(a1240) )
          | ( ndr1_0
            & ! [X57] : 
                ( ndr1_1(a1241)
               => ( c6_2(a1241,X57)
                  | ~ c8_2(a1241,X57)
                  | c7_2(a1241,X57) ) )
            & ! [X58] : 
                ( ndr1_1(a1241)
               => ( ~ c9_2(a1241,X58)
                  | ~ c10_2(a1241,X58) ) )
            & ~ c3_1(a1241) ) )
        & ( ( ndr1_0
            & ndr1_1(a1242)
            & c8_2(a1242,a1243)
            & c10_2(a1242,a1243)
            & c2_2(a1242,a1243)
            & c9_1(a1242) )
          | ( ndr1_0
            & ndr1_1(a1244)
            & c6_2(a1244,a1245)
            & c4_2(a1244,a1245)
            & c7_2(a1244,a1245)
            & c2_1(a1244)
            & ~ c10_1(a1244) )
          | ! [X59] : 
              ( ndr1_0
             => ( c7_1(X59)
                | ( ndr1_1(X59)
                  & ~ c1_2(X59,a1246)
                  & c5_2(X59,a1246)
                  & ~ c9_2(X59,a1246) ) ) ) )
        & ( ( ndr1_0
            & c6_1(a1247)
            & c9_1(a1247)
            & ! [X60] : 
                ( ndr1_1(a1247)
               => ( c5_2(a1247,X60)
                  | ~ c10_2(a1247,X60)
                  | ~ c2_2(a1247,X60) ) ) )
          | c5_0
          | ~ c10_0 )
        & ( ~ c7_0
          | ! [X61] : 
              ( ndr1_0
             => ( ! [X62] : 
                    ( ndr1_1(X61)
                   => ( c2_2(X61,X62)
                      | c5_2(X61,X62)
                      | ~ c7_2(X61,X62) ) )
                | ! [X63] : 
                    ( ndr1_1(X61)
                   => ( c5_2(X61,X63)
                      | c2_2(X61,X63)
                      | ~ c1_2(X61,X63) ) )
                | ~ c7_1(X61) ) )
          | c4_0 )
        & ( ~ c8_0
          | ~ c5_0
          | ( ndr1_0
            & ! [X64] : 
                ( ndr1_1(a1248)
               => ( ~ c4_2(a1248,X64)
                  | ~ c1_2(a1248,X64) ) )
            & ~ c4_1(a1248)
            & ~ c5_1(a1248) ) )
        & ( ! [X65] : 
              ( ndr1_0
             => ( ! [X66] : 
                    ( ndr1_1(X65)
                   => ( ~ c9_2(X65,X66)
                      | ~ c5_2(X65,X66)
                      | ~ c6_2(X65,X66) ) )
                | c9_1(X65) ) )
          | ! [X67] : 
              ( ndr1_0
             => ( c2_1(X67)
                | ! [X68] : 
                    ( ndr1_1(X67)
                   => ( ~ c2_2(X67,X68)
                      | ~ c4_2(X67,X68)
                      | ~ c7_2(X67,X68) ) )
                | ~ c10_1(X67) ) )
          | ~ c1_0 )
        & ~ c5_0
        & ( ( ndr1_0
            & ~ c1_1(a1249)
            & ! [X69] : 
                ( ndr1_1(a1249)
               => ( c3_2(a1249,X69)
                  | c6_2(a1249,X69)
                  | c5_2(a1249,X69) ) )
            & c4_1(a1249) )
          | ( ndr1_0
            & c2_1(a1250)
            & ! [X70] : 
                ( ndr1_1(a1250)
               => ( c8_2(a1250,X70)
                  | ~ c7_2(a1250,X70)
                  | c5_2(a1250,X70) ) ) )
          | ! [X71] : 
              ( ndr1_0
             => ( ! [X72] : 
                    ( ndr1_1(X71)
                   => ( c3_2(X71,X72)
                      | c5_2(X71,X72)
                      | c7_2(X71,X72) ) )
                | ! [X73] : 
                    ( ndr1_1(X71)
                   => ( c10_2(X71,X73)
                      | ~ c3_2(X71,X73)
                      | c7_2(X71,X73) ) )
                | ~ c2_1(X71) ) ) )
        & ( ! [X74] : 
              ( ndr1_0
             => ( c10_1(X74)
                | c3_1(X74)
                | ( ndr1_1(X74)
                  & ~ c3_2(X74,a1251)
                  & ~ c5_2(X74,a1251)
                  & c8_2(X74,a1251) ) ) )
          | ~ c10_0
          | ~ c3_0 )
        & ( ( ndr1_0
            & ! [X75] : 
                ( ndr1_1(a1252)
               => ( ~ c4_2(a1252,X75)
                  | ~ c3_2(a1252,X75)
                  | c8_2(a1252,X75) ) )
            & ndr1_1(a1252)
            & ~ c2_2(a1252,a1253)
            & c5_2(a1252,a1253)
            & ~ c6_2(a1252,a1253)
            & ndr1_1(a1252)
            & ~ c10_2(a1252,a1254)
            & c2_2(a1252,a1254)
            & c5_2(a1252,a1254) )
          | c6_0
          | c3_0 )
        & ( ~ c6_0
          | ! [X76] : 
              ( ndr1_0
             => ( ! [X77] : 
                    ( ndr1_1(X76)
                   => ( c10_2(X76,X77)
                      | ~ c9_2(X76,X77)
                      | ~ c2_2(X76,X77) ) )
                | c7_1(X76)
                | ~ c2_1(X76) ) )
          | ! [X78] : 
              ( ndr1_0
             => ( ~ c3_1(X78)
                | ! [X79] : 
                    ( ndr1_1(X78)
                   => ( c7_2(X78,X79)
                      | ~ c9_2(X78,X79)
                      | ~ c6_2(X78,X79) ) )
                | c4_1(X78) ) ) )
        & ( ! [X80] : 
              ( ndr1_0
             => ( ! [X81] : 
                    ( ndr1_1(X80)
                   => ( ~ c5_2(X80,X81)
                      | c3_2(X80,X81)
                      | c4_2(X80,X81) ) )
                | ! [X82] : 
                    ( ndr1_1(X80)
                   => ( ~ c4_2(X80,X82)
                      | c8_2(X80,X82)
                      | ~ c1_2(X80,X82) ) )
                | ! [X83] : 
                    ( ndr1_1(X80)
                   => ( ~ c4_2(X80,X83)
                      | c8_2(X80,X83)
                      | c2_2(X80,X83) ) ) ) )
          | c7_0
          | ( ndr1_0
            & c9_1(a1255)
            & c1_1(a1255)
            & ndr1_1(a1255)
            & ~ c9_2(a1255,a1256)
            & ~ c7_2(a1255,a1256)
            & c10_2(a1255,a1256) ) )
        & ( ~ c10_0
          | ~ c8_0
          | ~ c2_0 )
        & ( ( ndr1_0
            & ndr1_1(a1257)
            & ~ c4_2(a1257,a1258)
            & c3_2(a1257,a1258)
            & c7_2(a1257,a1258)
            & c8_1(a1257)
            & ~ c9_1(a1257) )
          | ( ndr1_0
            & ~ c6_1(a1259)
            & c5_1(a1259) )
          | c4_0 )
        & ( ~ c6_0
          | c4_0
          | c8_0 )
        & ( ~ c4_0
          | ! [X84] : 
              ( ndr1_0
             => ( c7_1(X84)
                | ~ c9_1(X84)
                | ! [X85] : 
                    ( ndr1_1(X84)
                   => ( c3_2(X84,X85)
                      | ~ c6_2(X84,X85)
                      | ~ c8_2(X84,X85) ) ) ) )
          | ! [X86] : 
              ( ndr1_0
             => ( ( ndr1_1(X86)
                  & c9_2(X86,a1260)
                  & ~ c4_2(X86,a1260)
                  & ~ c1_2(X86,a1260) )
                | ~ c7_1(X86)
                | c9_1(X86) ) ) )
        & ( ! [X87] : 
              ( ndr1_0
             => ( ~ c7_1(X87)
                | c10_1(X87)
                | ~ c3_1(X87) ) )
          | c1_0
          | ( ndr1_0
            & ! [X88] : 
                ( ndr1_1(a1261)
               => ( c1_2(a1261,X88)
                  | c3_2(a1261,X88)
                  | ~ c4_2(a1261,X88) ) )
            & c10_1(a1261)
            & ! [X89] : 
                ( ndr1_1(a1261)
               => ( ~ c7_2(a1261,X89)
                  | c1_2(a1261,X89) ) ) ) )
        & ( ~ c6_0
          | ( ndr1_0
            & ndr1_1(a1262)
            & ~ c9_2(a1262,a1263)
            & c1_2(a1262,a1263)
            & c7_2(a1262,a1263)
            & ! [X90] : 
                ( ndr1_1(a1262)
               => ( ~ c8_2(a1262,X90)
                  | ~ c10_2(a1262,X90)
                  | c2_2(a1262,X90) ) )
            & ndr1_1(a1262)
            & c9_2(a1262,a1264)
            & c10_2(a1262,a1264)
            & c5_2(a1262,a1264) )
          | c10_0 )
        & ( ( ndr1_0
            & c10_1(a1265)
            & c8_1(a1265) )
          | c4_0
          | ! [X91] : 
              ( ndr1_0
             => ( c10_1(X91)
                | ( ndr1_1(X91)
                  & ~ c3_2(X91,a1266)
                  & c5_2(X91,a1266)
                  & c8_2(X91,a1266) )
                | ( ndr1_1(X91)
                  & c5_2(X91,a1267)
                  & ~ c2_2(X91,a1267)
                  & c3_2(X91,a1267) ) ) ) )
        & ( ! [X92] : 
              ( ndr1_0
             => ( ( ndr1_1(X92)
                  & c7_2(X92,a1268)
                  & ~ c8_2(X92,a1268)
                  & ~ c9_2(X92,a1268) )
                | ~ c9_1(X92)
                | c8_1(X92) ) )
          | ~ c2_0
          | ( ndr1_0
            & c7_1(a1269)
            & ~ c4_1(a1269) ) )
        & ( ~ c3_0
          | ( ndr1_0
            & ~ c10_1(a1270)
            & c9_1(a1270)
            & ndr1_1(a1270)
            & c8_2(a1270,a1271)
            & c4_2(a1270,a1271)
            & ~ c7_2(a1270,a1271) ) )
        & ( ~ c6_0
          | ! [X93] : 
              ( ndr1_0
             => ( ! [X94] : 
                    ( ndr1_1(X93)
                   => ( ~ c1_2(X93,X94)
                      | c10_2(X93,X94)
                      | c7_2(X93,X94) ) )
                | c6_1(X93)
                | c10_1(X93) ) )
          | ( ndr1_0
            & ~ c3_1(a1272)
            & ~ c8_1(a1272)
            & ndr1_1(a1272)
            & c7_2(a1272,a1273)
            & c2_2(a1272,a1273)
            & c8_2(a1272,a1273) ) )
        & ( c10_0
          | ( ndr1_0
            & ~ c10_1(a1274)
            & ndr1_1(a1274)
            & ~ c9_2(a1274,a1275)
            & ~ c8_2(a1274,a1275)
            & ~ c6_2(a1274,a1275)
            & ! [X95] : 
                ( ndr1_1(a1274)
               => ( c6_2(a1274,X95)
                  | c5_2(a1274,X95)
                  | ~ c3_2(a1274,X95) ) ) )
          | ~ c6_0 )
        & ( ~ c8_0
          | ! [X96] : 
              ( ndr1_0
             => ( ! [X97] : 
                    ( ndr1_1(X96)
                   => ( ~ c8_2(X96,X97)
                      | c5_2(X96,X97)
                      | ~ c6_2(X96,X97) ) )
                | ! [X98] : 
                    ( ndr1_1(X96)
                   => ( ~ c4_2(X96,X98)
                      | ~ c9_2(X96,X98)
                      | c10_2(X96,X98) ) )
                | ~ c4_1(X96) ) )
          | ( ndr1_0
            & ndr1_1(a1276)
            & ~ c10_2(a1276,a1277)
            & c6_2(a1276,a1277)
            & c8_2(a1276,a1277)
            & ~ c8_1(a1276) ) )
        & ( c3_0
          | ! [X99] : 
              ( ndr1_0
             => ( ~ c2_1(X99)
                | c6_1(X99)
                | ~ c4_1(X99) ) )
          | c6_0 )
        & ( ( ndr1_0
            & ! [X100] : 
                ( ndr1_1(a1278)
               => ( ~ c3_2(a1278,X100)
                  | ~ c8_2(a1278,X100)
                  | c1_2(a1278,X100) ) )
            & c7_1(a1278)
            & ! [X101] : 
                ( ndr1_1(a1278)
               => ( c3_2(a1278,X101)
                  | ~ c8_2(a1278,X101)
                  | ~ c10_2(a1278,X101) ) ) )
          | ! [X102] : 
              ( ndr1_0
             => ( ( ndr1_1(X102)
                  & ~ c5_2(X102,a1279)
                  & ~ c2_2(X102,a1279)
                  & ~ c7_2(X102,a1279) )
                | ( ndr1_1(X102)
                  & c4_2(X102,a1280)
                  & ~ c5_2(X102,a1280) )
                | c1_1(X102) ) )
          | ( ndr1_0
            & ndr1_1(a1281)
            & ~ c3_2(a1281,a1282)
            & c8_2(a1281,a1282)
            & c5_2(a1281,a1282)
            & ndr1_1(a1281)
            & c7_2(a1281,a1283)
            & c4_2(a1281,a1283)
            & c9_2(a1281,a1283)
            & ~ c10_1(a1281) ) )
        & ( ( ndr1_0
            & c2_1(a1284)
            & c1_1(a1284) )
          | ( ndr1_0
            & ndr1_1(a1285)
            & ~ c5_2(a1285,a1286)
            & c2_2(a1285,a1286)
            & c1_2(a1285,a1286)
            & ~ c9_1(a1285) )
          | c1_0 )
        & ( ( ndr1_0
            & ! [X103] : 
                ( ndr1_1(a1287)
               => ( ~ c4_2(a1287,X103)
                  | c1_2(a1287,X103) ) )
            & ! [X104] : 
                ( ndr1_1(a1287)
               => ( ~ c7_2(a1287,X104)
                  | ~ c6_2(a1287,X104)
                  | ~ c1_2(a1287,X104) ) )
            & c3_1(a1287) )
          | ( ndr1_0
            & ! [X105] : 
                ( ndr1_1(a1288)
               => ( c3_2(a1288,X105)
                  | ~ c1_2(a1288,X105)
                  | c8_2(a1288,X105) ) )
            & ! [X106] : 
                ( ndr1_1(a1288)
               => ( ~ c8_2(a1288,X106)
                  | c4_2(a1288,X106)
                  | c5_2(a1288,X106) ) )
            & ! [X107] : 
                ( ndr1_1(a1288)
               => ( c1_2(a1288,X107)
                  | c3_2(a1288,X107)
                  | ~ c2_2(a1288,X107) ) ) )
          | c10_0 )
        & ( ~ c8_0
          | c2_0
          | ( ndr1_0
            & ndr1_1(a1289)
            & c2_2(a1289,a1290)
            & ~ c6_2(a1289,a1290)
            & ndr1_1(a1289)
            & c2_2(a1289,a1291)
            & ~ c4_2(a1289,a1291)
            & c8_2(a1289,a1291)
            & ~ c8_1(a1289) ) )
        & ( ~ c6_0
          | ~ c3_0 )
        & ( ! [X108] : 
              ( ndr1_0
             => ( ! [X109] : 
                    ( ndr1_1(X108)
                   => ( ~ c7_2(X108,X109)
                      | c6_2(X108,X109)
                      | ~ c10_2(X108,X109) ) )
                | ( ndr1_1(X108)
                  & ~ c6_2(X108,a1292)
                  & c8_2(X108,a1292)
                  & ~ c10_2(X108,a1292) )
                | ! [X110] : 
                    ( ndr1_1(X108)
                   => ( c9_2(X108,X110)
                      | c1_2(X108,X110)
                      | c3_2(X108,X110) ) ) ) )
          | ( ndr1_0
            & ndr1_1(a1293)
            & c10_2(a1293,a1294)
            & c5_2(a1293,a1294)
            & ! [X111] : 
                ( ndr1_1(a1293)
               => ( ~ c9_2(a1293,X111)
                  | ~ c6_2(a1293,X111)
                  | ~ c8_2(a1293,X111) ) )
            & ! [X112] : 
                ( ndr1_1(a1293)
               => ( ~ c4_2(a1293,X112)
                  | c5_2(a1293,X112)
                  | c7_2(a1293,X112) ) ) ) )
        & ( ( ndr1_0
            & ndr1_1(a1295)
            & c4_2(a1295,a1296)
            & c10_2(a1295,a1296)
            & ~ c7_2(a1295,a1296)
            & ndr1_1(a1295)
            & ~ c7_2(a1295,a1297)
            & c1_2(a1295,a1297)
            & ! [X113] : 
                ( ndr1_1(a1295)
               => ( ~ c5_2(a1295,X113)
                  | c6_2(a1295,X113)
                  | ~ c9_2(a1295,X113) ) ) )
          | ~ c7_0
          | ~ c3_0 )
        & ( ( ndr1_0
            & ndr1_1(a1298)
            & c3_2(a1298,a1299)
            & c4_2(a1298,a1299)
            & c5_2(a1298,a1299)
            & ~ c4_1(a1298)
            & ~ c5_1(a1298) )
          | ! [X114] : 
              ( ndr1_0
             => ( ~ c10_1(X114)
                | ~ c2_1(X114)
                | ( ndr1_1(X114)
                  & c5_2(X114,a1300)
                  & c1_2(X114,a1300)
                  & ~ c3_2(X114,a1300) ) ) ) )
        & ( ! [X115] : 
              ( ndr1_0
             => ( ! [X116] : 
                    ( ndr1_1(X115)
                   => ( ~ c8_2(X115,X116)
                      | ~ c1_2(X115,X116)
                      | ~ c9_2(X115,X116) ) )
                | ( ndr1_1(X115)
                  & c8_2(X115,a1301)
                  & ~ c10_2(X115,a1301)
                  & ~ c6_2(X115,a1301) ) ) )
          | ! [X117] : 
              ( ndr1_0
             => ( c1_1(X117)
                | ~ c4_1(X117)
                | ( ndr1_1(X117)
                  & ~ c1_2(X117,a1302)
                  & ~ c9_2(X117,a1302) ) ) ) )
        & ( ( ndr1_0
            & c1_1(a1303)
            & ndr1_1(a1303)
            & ~ c6_2(a1303,a1304)
            & c10_2(a1303,a1304)
            & c5_2(a1303,a1304)
            & ! [X118] : 
                ( ndr1_1(a1303)
               => ( c1_2(a1303,X118)
                  | c2_2(a1303,X118)
                  | ~ c5_2(a1303,X118) ) ) )
          | ! [X119] : 
              ( ndr1_0
             => ( ~ c7_1(X119)
                | ~ c8_1(X119)
                | ~ c10_1(X119) ) )
          | c6_0 )
        & ( c3_0
          | ! [X120] : 
              ( ndr1_0
             => ( c6_1(X120)
                | ~ c9_1(X120)
                | c8_1(X120) ) )
          | ~ c7_0 )
        & ( ( ndr1_0
            & ndr1_1(a1305)
            & c1_2(a1305,a1306)
            & ~ c10_2(a1305,a1306)
            & ~ c4_2(a1305,a1306)
            & ~ c5_1(a1305)
            & c1_1(a1305) )
          | c7_0
          | ( ndr1_0
            & ndr1_1(a1307)
            & ~ c4_2(a1307,a1308)
            & c5_2(a1307,a1308)
            & c7_2(a1307,a1308)
            & ! [X121] : 
                ( ndr1_1(a1307)
               => ( ~ c6_2(a1307,X121)
                  | ~ c4_2(a1307,X121)
                  | ~ c5_2(a1307,X121) ) )
            & ! [X122] : 
                ( ndr1_1(a1307)
               => ( c5_2(a1307,X122)
                  | ~ c9_2(a1307,X122)
                  | ~ c3_2(a1307,X122) ) ) ) )
        & ( c2_0
          | c10_0 )
        & ( c7_0
          | ! [X123] : 
              ( ndr1_0
             => ( ~ c10_1(X123)
                | ! [X124] : 
                    ( ndr1_1(X123)
                   => ( c7_2(X123,X124)
                      | ~ c5_2(X123,X124)
                      | c3_2(X123,X124) ) )
                | c6_1(X123) ) )
          | ! [X125] : 
              ( ndr1_0
             => ( ( ndr1_1(X125)
                  & ~ c4_2(X125,a1309)
                  & c7_2(X125,a1309) )
                | ~ c2_1(X125)
                | ! [X126] : 
                    ( ndr1_1(X125)
                   => ( c10_2(X125,X126)
                      | c3_2(X125,X126)
                      | ~ c6_2(X125,X126) ) ) ) ) )
        & ( ~ c8_0
          | c2_0 )
        & ( ! [X127] : 
              ( ndr1_0
             => ( ~ c3_1(X127)
                | ( ndr1_1(X127)
                  & c1_2(X127,a1310)
                  & ~ c3_2(X127,a1310)
                  & ~ c2_2(X127,a1310) )
                | c8_1(X127) ) )
          | c2_0
          | ( ndr1_0
            & ~ c4_1(a1311)
            & ! [X128] : 
                ( ndr1_1(a1311)
               => ( c8_2(a1311,X128)
                  | c9_2(a1311,X128) ) )
            & ~ c5_1(a1311) ) )
        & ( ~ c8_0
          | ! [X129] : 
              ( ndr1_0
             => ( ~ c3_1(X129)
                | ~ c8_1(X129)
                | c6_1(X129) ) )
          | c10_0 )
        & ( c10_0
          | ! [X130] : 
              ( ndr1_0
             => ( ~ c4_1(X130)
                | ~ c3_1(X130)
                | ! [X131] : 
                    ( ndr1_1(X130)
                   => ( ~ c6_2(X130,X131)
                      | ~ c8_2(X130,X131)
                      | c1_2(X130,X131) ) ) ) )
          | c3_0 )
        & ( ~ c2_0
          | ! [X132] : 
              ( ndr1_0
             => ( c1_1(X132)
                | c6_1(X132) ) )
          | ~ c8_0 )
        & ( ~ c6_0
          | c4_0 )
        & ( ~ c8_0
          | c1_0
          | ~ c2_0 )
        & ( ! [X133] : 
              ( ndr1_0
             => ( c6_1(X133)
                | c7_1(X133)
                | c9_1(X133) ) )
          | c7_0 )
        & ( ! [X134] : 
              ( ndr1_0
             => ( ! [X135] : 
                    ( ndr1_1(X134)
                   => ( ~ c9_2(X134,X135)
                      | ~ c8_2(X134,X135)
                      | c6_2(X134,X135) ) )
                | ! [X136] : 
                    ( ndr1_1(X134)
                   => ( c4_2(X134,X136)
                      | ~ c9_2(X134,X136)
                      | ~ c7_2(X134,X136) ) )
                | c4_1(X134) ) )
          | ~ c6_0
          | c2_0 )
        & c4_0
        & ( ! [X137] : 
              ( ndr1_0
             => ( ! [X138] : 
                    ( ndr1_1(X137)
                   => ( c9_2(X137,X138)
                      | ~ c1_2(X137,X138)
                      | ~ c10_2(X137,X138) ) )
                | ~ c4_1(X137)
                | ( ndr1_1(X137)
                  & ~ c3_2(X137,a1312)
                  & c6_2(X137,a1312)
                  & ~ c4_2(X137,a1312) ) ) )
          | c8_0
          | ~ c2_0 )
        & ( ~ c10_0
          | ! [X139] : 
              ( ndr1_0
             => ( ( ndr1_1(X139)
                  & ~ c2_2(X139,a1313)
                  & c1_2(X139,a1313)
                  & ~ c3_2(X139,a1313) )
                | ~ c7_1(X139)
                | ( ndr1_1(X139)
                  & ~ c5_2(X139,a1314)
                  & c4_2(X139,a1314)
                  & c10_2(X139,a1314) ) ) )
          | c6_0 )
        & ( ( ndr1_0
            & c10_1(a1315)
            & ! [X140] : 
                ( ndr1_1(a1315)
               => ( ~ c8_2(a1315,X140)
                  | ~ c2_2(a1315,X140) ) )
            & ! [X141] : 
                ( ndr1_1(a1315)
               => ( ~ c5_2(a1315,X141)
                  | ~ c6_2(a1315,X141)
                  | ~ c9_2(a1315,X141) ) ) )
          | ~ c2_0
          | ( ndr1_0
            & ~ c8_1(a1316)
            & ~ c5_1(a1316) ) )
        & ( ! [X142] : 
              ( ndr1_0
             => ( ~ c2_1(X142)
                | ( ndr1_1(X142)
                  & ~ c6_2(X142,a1317)
                  & ~ c2_2(X142,a1317) )
                | ~ c10_1(X142) ) )
          | ! [X143] : 
              ( ndr1_0
             => ( ( ndr1_1(X143)
                  & ~ c8_2(X143,a1318)
                  & c7_2(X143,a1318)
                  & c3_2(X143,a1318) )
                | ! [X144] : 
                    ( ndr1_1(X143)
                   => ( c9_2(X143,X144)
                      | c3_2(X143,X144)
                      | ~ c1_2(X143,X144) ) )
                | ( ndr1_1(X143)
                  & ~ c6_2(X143,a1319)
                  & c1_2(X143,a1319)
                  & c8_2(X143,a1319) ) ) )
          | ! [X145] : 
              ( ndr1_0
             => ( c3_1(X145)
                | ~ c2_1(X145)
                | c7_1(X145) ) ) )
        & ( ~ c7_0
          | ( ndr1_0
            & ! [X146] : 
                ( ndr1_1(a1320)
               => ( c3_2(a1320,X146)
                  | c2_2(a1320,X146)
                  | c5_2(a1320,X146) ) )
            & ndr1_1(a1320)
            & ~ c5_2(a1320,a1321)
            & ~ c10_2(a1320,a1321)
            & c6_2(a1320,a1321)
            & ndr1_1(a1320)
            & ~ c8_2(a1320,a1322)
            & c1_2(a1320,a1322) )
          | ~ c8_0 )
        & ( ! [X147] : 
              ( ndr1_0
             => ( ~ c2_1(X147)
                | c7_1(X147)
                | ! [X148] : 
                    ( ndr1_1(X147)
                   => ( c3_2(X147,X148)
                      | c6_2(X147,X148)
                      | c8_2(X147,X148) ) ) ) )
          | ( ndr1_0
            & c4_1(a1323)
            & c6_1(a1323)
            & ndr1_1(a1323)
            & c9_2(a1323,a1324)
            & ~ c8_2(a1323,a1324)
            & ~ c1_2(a1323,a1324) )
          | ! [X149] : 
              ( ndr1_0
             => ( ( ndr1_1(X149)
                  & ~ c1_2(X149,a1325)
                  & ~ c10_2(X149,a1325)
                  & ~ c8_2(X149,a1325) )
                | ~ c2_1(X149)
                | ( ndr1_1(X149)
                  & ~ c1_2(X149,a1326)
                  & c2_2(X149,a1326)
                  & ~ c9_2(X149,a1326) ) ) ) )
        & ( ( ndr1_0
            & ndr1_1(a1327)
            & c8_2(a1327,a1328)
            & ~ c3_2(a1327,a1328)
            & ! [X150] : 
                ( ndr1_1(a1327)
               => ( ~ c10_2(a1327,X150)
                  | ~ c2_2(a1327,X150)
                  | ~ c3_2(a1327,X150) ) )
            & c10_1(a1327) )
          | c3_0
          | ~ c2_0 )
        & ( ! [X151] : 
              ( ndr1_0
             => ( c4_1(X151)
                | ( ndr1_1(X151)
                  & c8_2(X151,a1329)
                  & c5_2(X151,a1329)
                  & c7_2(X151,a1329) )
                | c1_1(X151) ) )
          | ~ c7_0
          | c2_0 )
        & ( ~ c1_0
          | ! [X152] : 
              ( ndr1_0
             => ( ~ c10_1(X152)
                | ! [X153] : 
                    ( ndr1_1(X152)
                   => ( c10_2(X152,X153)
                      | c2_2(X152,X153)
                      | c7_2(X152,X153) ) )
                | ! [X154] : 
                    ( ndr1_1(X152)
                   => ( ~ c5_2(X152,X154)
                      | c3_2(X152,X154)
                      | c1_2(X152,X154) ) ) ) )
          | ! [X155] : 
              ( ndr1_0
             => ( ! [X156] : 
                    ( ndr1_1(X155)
                   => ( c2_2(X155,X156)
                      | ~ c8_2(X155,X156)
                      | c5_2(X155,X156) ) )
                | ~ c2_1(X155)
                | ( ndr1_1(X155)
                  & ~ c8_2(X155,a1330)
                  & c9_2(X155,a1330)
                  & ~ c2_2(X155,a1330) ) ) ) )
        & ( ~ c6_0
          | ( ndr1_0
            & c3_1(a1331)
            & ndr1_1(a1331)
            & c7_2(a1331,a1332)
            & ~ c9_2(a1331,a1332)
            & ~ c10_2(a1331,a1332)
            & ! [X157] : 
                ( ndr1_1(a1331)
               => ( c9_2(a1331,X157)
                  | ~ c6_2(a1331,X157)
                  | ~ c5_2(a1331,X157) ) ) ) )
        & ( ( ndr1_0
            & ndr1_1(a1333)
            & c6_2(a1333,a1334)
            & ~ c3_2(a1333,a1334)
            & ~ c9_2(a1333,a1334)
            & c3_1(a1333)
            & ! [X158] : 
                ( ndr1_1(a1333)
               => ( ~ c9_2(a1333,X158)
                  | ~ c10_2(a1333,X158)
                  | ~ c4_2(a1333,X158) ) ) )
          | ( ndr1_0
            & ndr1_1(a1335)
            & ~ c2_2(a1335,a1336)
            & c8_2(a1335,a1336)
            & ~ c3_1(a1335) ) )
        & ( ! [X159] : 
              ( ndr1_0
             => ( ! [X160] : 
                    ( ndr1_1(X159)
                   => ( c7_2(X159,X160)
                      | ~ c6_2(X159,X160)
                      | c1_2(X159,X160) ) )
                | ( ndr1_1(X159)
                  & c4_2(X159,a1337)
                  & c3_2(X159,a1337)
                  & ~ c8_2(X159,a1337) )
                | ! [X161] : 
                    ( ndr1_1(X159)
                   => ( c6_2(X159,X161)
                      | c5_2(X159,X161) ) ) ) )
          | ~ c7_0 )
        & ( ( ndr1_0
            & ~ c8_1(a1338)
            & ! [X162] : 
                ( ndr1_1(a1338)
               => ( c6_2(a1338,X162)
                  | c3_2(a1338,X162)
                  | ~ c9_2(a1338,X162) ) )
            & ndr1_1(a1338)
            & c8_2(a1338,a1339)
            & c5_2(a1338,a1339)
            & c4_2(a1338,a1339) )
          | c1_0
          | c3_0 )
        & ( ~ c2_0
          | c3_0
          | ! [X163] : 
              ( ndr1_0
             => ( ! [X164] : 
                    ( ndr1_1(X163)
                   => ( ~ c1_2(X163,X164)
                      | ~ c2_2(X163,X164)
                      | ~ c7_2(X163,X164) ) )
                | ( ndr1_1(X163)
                  & ~ c2_2(X163,a1340)
                  & c6_2(X163,a1340)
                  & ~ c9_2(X163,a1340) )
                | c6_1(X163) ) ) )
        & ( c8_0
          | ~ c3_0 )
        & ( c3_0
          | ! [X165] : 
              ( ndr1_0
             => ( ~ c5_1(X165)
                | c4_1(X165)
                | ~ c1_1(X165) ) ) )
        & ( ~ c8_0
          | ~ c7_0
          | ~ c3_0 )
        & ( c1_0
          | ! [X166] : 
              ( ndr1_0
             => ( ! [X167] : 
                    ( ndr1_1(X166)
                   => ( c9_2(X166,X167)
                      | c5_2(X166,X167)
                      | ~ c3_2(X166,X167) ) )
                | ~ c10_1(X166)
                | c9_1(X166) ) )
          | ~ c2_0 )
        & ( ( ndr1_0
            & c2_1(a1341)
            & ndr1_1(a1341)
            & c7_2(a1341,a1342)
            & ~ c3_2(a1341,a1342) )
          | ( ndr1_0
            & c3_1(a1343)
            & ~ c1_1(a1343)
            & ! [X168] : 
                ( ndr1_1(a1343)
               => ( c3_2(a1343,X168)
                  | ~ c5_2(a1343,X168)
                  | ~ c2_2(a1343,X168) ) ) )
          | ! [X169] : 
              ( ndr1_0
             => ( ( ndr1_1(X169)
                  & c1_2(X169,a1344)
                  & c9_2(X169,a1344)
                  & c4_2(X169,a1344) )
                | ( ndr1_1(X169)
                  & c5_2(X169,a1345)
                  & ~ c4_2(X169,a1345) )
                | c3_1(X169) ) ) )
        & ( ~ c1_0
          | ( ndr1_0
            & ! [X170] : 
                ( ndr1_1(a1346)
               => ( ~ c6_2(a1346,X170)
                  | ~ c10_2(a1346,X170)
                  | c8_2(a1346,X170) ) )
            & ! [X171] : 
                ( ndr1_1(a1346)
               => ( ~ c10_2(a1346,X171)
                  | ~ c5_2(a1346,X171)
                  | c9_2(a1346,X171) ) )
            & ndr1_1(a1346)
            & c6_2(a1346,a1347)
            & ~ c4_2(a1346,a1347)
            & ~ c2_2(a1346,a1347) ) )
        & ( ! [X172] : 
              ( ndr1_0
             => ( ! [X173] : 
                    ( ndr1_1(X172)
                   => ( ~ c1_2(X172,X173)
                      | c4_2(X172,X173)
                      | c3_2(X172,X173) ) )
                | c5_1(X172)
                | ( ndr1_1(X172)
                  & c4_2(X172,a1348)
                  & c5_2(X172,a1348)
                  & ~ c8_2(X172,a1348) ) ) )
          | ( ndr1_0
            & ! [X174] : 
                ( ndr1_1(a1349)
               => ( ~ c7_2(a1349,X174)
                  | ~ c3_2(a1349,X174)
                  | ~ c5_2(a1349,X174) ) )
            & c6_1(a1349)
            & c3_1(a1349) )
          | ( ndr1_0
            & ~ c10_1(a1350)
            & ! [X175] : 
                ( ndr1_1(a1350)
               => ( c1_2(a1350,X175)
                  | c7_2(a1350,X175)
                  | c6_2(a1350,X175) ) ) ) )
        & ! [X176] : 
            ( ndr1_0
           => ( ( ndr1_1(X176)
                & c10_2(X176,a1351)
                & c8_2(X176,a1351)
                & c3_2(X176,a1351) )
              | c2_1(X176)
              | ( ndr1_1(X176)
                & ~ c8_2(X176,a1352)
                & c10_2(X176,a1352)
                & ~ c2_2(X176,a1352) ) ) )
        & ( ( ndr1_0
            & ! [X177] : 
                ( ndr1_1(a1353)
               => ( c5_2(a1353,X177)
                  | c3_2(a1353,X177)
                  | c2_2(a1353,X177) ) )
            & ~ c5_1(a1353)
            & ~ c3_1(a1353) )
          | ( ndr1_0
            & c4_1(a1354)
            & ~ c7_1(a1354) ) )
        & ( c8_0
          | ! [X178] : 
              ( ndr1_0
             => ( c8_1(X178)
                | ( ndr1_1(X178)
                  & c9_2(X178,a1355)
                  & c6_2(X178,a1355)
                  & ~ c4_2(X178,a1355) )
                | ( ndr1_1(X178)
                  & ~ c5_2(X178,a1356)
                  & ~ c4_2(X178,a1356)
                  & c1_2(X178,a1356) ) ) )
          | ( ndr1_0
            & ! [X179] : 
                ( ndr1_1(a1357)
               => ( ~ c10_2(a1357,X179)
                  | c1_2(a1357,X179)
                  | ~ c9_2(a1357,X179) ) )
            & ndr1_1(a1357)
            & c6_2(a1357,a1358)
            & c9_2(a1357,a1358)
            & c1_2(a1357,a1358)
            & ~ c6_1(a1357) ) )
        & ( ! [X180] : 
              ( ndr1_0
             => ( ( ndr1_1(X180)
                  & ~ c4_2(X180,a1359)
                  & c1_2(X180,a1359)
                  & c7_2(X180,a1359) )
                | ( ndr1_1(X180)
                  & c6_2(X180,a1360)
                  & c9_2(X180,a1360)
                  & ~ c10_2(X180,a1360) )
                | c8_1(X180) ) )
          | ( ndr1_0
            & ! [X181] : 
                ( ndr1_1(a1361)
               => ( ~ c5_2(a1361,X181)
                  | c9_2(a1361,X181)
                  | ~ c7_2(a1361,X181) ) )
            & c8_1(a1361)
            & ~ c2_1(a1361) )
          | ~ c10_0 )
        & ( ! [X182] : 
              ( ndr1_0
             => ( ~ c8_1(X182)
                | ( ndr1_1(X182)
                  & c4_2(X182,a1362)
                  & ~ c3_2(X182,a1362)
                  & c10_2(X182,a1362) )
                | ! [X183] : 
                    ( ndr1_1(X182)
                   => ( c9_2(X182,X183)
                      | c5_2(X182,X183)
                      | ~ c4_2(X182,X183) ) ) ) )
          | c10_0
          | ~ c8_0 )
        & ( c2_0
          | c10_0
          | ~ c6_0 )
        & ( ~ c7_0
          | ! [X184] : 
              ( ndr1_0
             => ( ~ c8_1(X184)
                | c4_1(X184)
                | ! [X185] : 
                    ( ndr1_1(X184)
                   => ( ~ c3_2(X184,X185)
                      | c6_2(X184,X185)
                      | c5_2(X184,X185) ) ) ) ) )
        & ~ c7_0
        & ( ~ c6_0
          | c1_0 )
        & ( c1_0
          | c2_0 )
        & ( ( ndr1_0
            & ndr1_1(a1363)
            & ~ c7_2(a1363,a1364)
            & ~ c1_2(a1363,a1364)
            & c2_2(a1363,a1364)
            & ~ c6_1(a1363)
            & ! [X186] : 
                ( ndr1_1(a1363)
               => ( ~ c10_2(a1363,X186)
                  | c1_2(a1363,X186)
                  | c3_2(a1363,X186) ) ) )
          | c10_0 ) ) )).

%--------------------------------------------------------------------------
