%--------------------------------------------------------------------------
% File     : SYN426+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=10, R=1, L=150, K=3, D=2, P=0, Index=050
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-10-1-150-3-2-050.dfg [Wei97]

% Status   : CounterSatisfiable
% Rating   : 0.75 v3.1.0, 1.00 v2.6.0, 0.75 v2.5.0, 0.67 v2.4.0, 0.67 v2.2.1, 0.00 v2.1.0
%
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
%
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       : 1561 (   0 equality)
%            Maximal formula depth :  134 ( 134 average)
%            Number of connectives : 2135 ( 575 ~  ; 618  |; 726  &)
%                                         (   0 <=>; 216 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :  245 ( 224 propositional; 0-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :  216 (   0 singleton; 216 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%--------------------------------------------------------------------------
fof(co1,conjecture,
    ( ~ ( ~ c5_0
        & ( c1_0
          | c3_0
          | ( ndr1_0
            & c3_1(a218)
            & ~ c7_1(a218) ) )
        & ( c1_0
          | c4_0
          | c8_0 )
        & ( c1_0
          | c8_0
          | ~ c4_0 )
        & ( c1_0
          | ~ c10_0
          | ( ndr1_0
            & ! [U] : 
                ( ndr1_1(a219)
               => ( c3_2(a219,U)
                  | ~ c10_2(a219,U)
                  | ~ c5_2(a219,U) ) )
            & ndr1_1(a219)
            & c2_2(a219,a220)
            & ~ c1_2(a219,a220)
            & ~ c3_2(a219,a220)
            & ndr1_1(a219)
            & c6_2(a219,a221)
            & c7_2(a219,a221) ) )
        & ( c1_0
          | ~ c9_0
          | ! [V] : 
              ( ndr1_0
             => ( c1_1(V)
                | ! [W] : 
                    ( ndr1_1(V)
                   => ( c1_2(V,W)
                      | c8_2(V,W)
                      | ~ c3_2(V,W) ) )
                | ! [X] : 
                    ( ndr1_1(V)
                   => ( c8_2(V,X)
                      | ~ c3_2(V,X)
                      | ~ c5_2(V,X) ) ) ) ) )
        & ( c10_0
          | ~ c7_0
          | ( ndr1_0
            & ~ c1_1(a222)
            & ~ c7_1(a222)
            & ! [Y] : 
                ( ndr1_1(a222)
               => ( c3_2(a222,Y)
                  | ~ c1_2(a222,Y)
                  | ~ c2_2(a222,Y) ) ) ) )
        & ( c10_0
          | ! [Z] : 
              ( ndr1_0
             => ( c1_1(Z)
                | c9_1(Z)
                | ~ c7_1(Z) ) )
          | ( ndr1_0
            & ~ c7_1(a223)
            & ! [X1] : 
                ( ndr1_1(a223)
               => ( ~ c1_2(a223,X1)
                  | ~ c7_2(a223,X1)
                  | ~ c8_2(a223,X1) ) )
            & ndr1_1(a223)
            & c9_2(a223,a224)
            & ~ c1_2(a223,a224)
            & ~ c10_2(a223,a224) ) )
        & ( c10_0
          | ! [X2] : 
              ( ndr1_0
             => ( ~ c5_1(X2)
                | ( ndr1_1(X2)
                  & c6_2(X2,a225)
                  & c7_2(X2,a225)
                  & ~ c3_2(X2,a225) )
                | ( ndr1_1(X2)
                  & c6_2(X2,a226)
                  & ~ c4_2(X2,a226)
                  & ~ c7_2(X2,a226) ) ) )
          | ( ndr1_0
            & c9_1(a227)
            & ~ c1_1(a227)
            & ~ c10_1(a227) ) )
        & ( c10_0
          | ! [X3] : 
              ( ndr1_0
             => ( ~ c8_1(X3)
                | ! [X4] : 
                    ( ndr1_1(X3)
                   => ( c6_2(X3,X4)
                      | ~ c8_2(X3,X4) ) )
                | ( ndr1_1(X3)
                  & c3_2(X3,a228)
                  & c4_2(X3,a228)
                  & ~ c7_2(X3,a228) ) ) )
          | ( ndr1_0
            & ~ c4_1(a229)
            & ! [X5] : 
                ( ndr1_1(a229)
               => ( c2_2(a229,X5)
                  | c4_2(a229,X5)
                  | c7_2(a229,X5) ) )
            & ndr1_1(a229)
            & c1_2(a229,a230)
            & c7_2(a229,a230)
            & ~ c6_2(a229,a230) ) )
        & ( c2_0
          | c3_0
          | c9_0 )
        & ( c2_0
          | c3_0
          | ~ c10_0 )
        & ( c2_0
          | c3_0
          | ~ c8_0 )
        & ( c2_0
          | ! [X6] : 
              ( ndr1_0
             => ( c9_1(X6)
                | ~ c3_1(X6) ) ) )
        & ( c2_0
          | ~ c3_0
          | ! [X7] : 
              ( ndr1_0
             => ( ( ndr1_1(X7)
                  & c10_2(X7,a231)
                  & c8_2(X7,a231)
                  & ~ c9_2(X7,a231) )
                | ( ndr1_1(X7)
                  & c4_2(X7,a232)
                  & c8_2(X7,a232)
                  & ~ c2_2(X7,a232) )
                | ( ndr1_1(X7)
                  & c6_2(X7,a233)
                  & ~ c10_2(X7,a233)
                  & ~ c8_2(X7,a233) ) ) ) )
        & ( c2_0
          | ! [X8] : 
              ( ndr1_0
             => ( c6_1(X8)
                | c7_1(X8)
                | ! [X9] : 
                    ( ndr1_1(X8)
                   => ( c7_2(X8,X9)
                      | ~ c3_2(X8,X9)
                      | ~ c8_2(X8,X9) ) ) ) )
          | ( ndr1_0
            & c6_1(a234)
            & ! [X10] : 
                ( ndr1_1(a234)
               => ( c1_2(a234,X10)
                  | ~ c2_2(a234,X10)
                  | ~ c4_2(a234,X10) ) )
            & ! [X11] : 
                ( ndr1_1(a234)
               => ( c10_2(a234,X11)
                  | c4_2(a234,X11)
                  | ~ c6_2(a234,X11) ) ) ) )
        & ( c2_0
          | ! [X12] : 
              ( ndr1_0
             => ( ~ c5_1(X12)
                | ! [X13] : 
                    ( ndr1_1(X12)
                   => ( c3_2(X12,X13)
                      | c5_2(X12,X13)
                      | ~ c10_2(X12,X13) ) )
                | ! [X14] : 
                    ( ndr1_1(X12)
                   => ( c3_2(X12,X14)
                      | c7_2(X12,X14)
                      | ~ c9_2(X12,X14) ) ) ) )
          | ( ndr1_0
            & c9_1(a235)
            & ~ c5_1(a235)
            & ndr1_1(a235)
            & c4_2(a235,a236)
            & c7_2(a235,a236)
            & ~ c9_2(a235,a236) ) )
        & ( c2_0
          | ! [X15] : 
              ( ndr1_0
             => ( ! [X16] : 
                    ( ndr1_1(X15)
                   => ( c2_2(X15,X16)
                      | c7_2(X15,X16)
                      | ~ c8_2(X15,X16) ) )
                | ! [X17] : 
                    ( ndr1_1(X15)
                   => ( c2_2(X15,X17)
                      | c8_2(X15,X17)
                      | ~ c5_2(X15,X17) ) ) ) )
          | ( ndr1_0
            & c9_1(a237)
            & ~ c4_1(a237)
            & ndr1_1(a237)
            & c10_2(a237,a238)
            & ~ c5_2(a237,a238)
            & ~ c7_2(a237,a238) ) )
        & ( c2_0
          | ( ndr1_0
            & c2_1(a239)
            & ndr1_1(a239)
            & c9_2(a239,a240)
            & ~ c4_2(a239,a240)
            & ~ c8_2(a239,a240) ) )
        & ( c2_0
          | ( ndr1_0
            & c7_1(a241)
            & ~ c10_1(a241)
            & ~ c9_1(a241) )
          | ( ndr1_0
            & ! [X18] : 
                ( ndr1_1(a242)
               => ( c10_2(a242,X18)
                  | c9_2(a242,X18)
                  | ~ c2_2(a242,X18) ) )
            & ! [X19] : 
                ( ndr1_1(a242)
               => ( c10_2(a242,X19)
                  | ~ c1_2(a242,X19)
                  | ~ c2_2(a242,X19) ) )
            & ! [X20] : 
                ( ndr1_1(a242)
               => ( c8_2(a242,X20)
                  | ~ c1_2(a242,X20)
                  | ~ c5_2(a242,X20) ) ) ) )
        & ( c3_0
          | c4_0
          | ! [X21] : 
              ( ndr1_0
             => ( c2_1(X21)
                | ( ndr1_1(X21)
                  & c2_2(X21,a243)
                  & ~ c3_2(X21,a243)
                  & ~ c8_2(X21,a243) ) ) ) )
        & ( c3_0
          | c7_0
          | ( ndr1_0
            & c7_1(a244)
            & ! [X22] : 
                ( ndr1_1(a244)
               => ( c2_2(a244,X22)
                  | ~ c1_2(a244,X22)
                  | ~ c10_2(a244,X22) ) )
            & ! [X23] : 
                ( ndr1_1(a244)
               => ( c6_2(a244,X23)
                  | ~ c7_2(a244,X23)
                  | ~ c8_2(a244,X23) ) ) ) )
        & ( c3_0
          | c8_0
          | c9_0 )
        & ( c3_0
          | c8_0
          | ( ndr1_0
            & c9_1(a245)
            & ndr1_1(a245)
            & c5_2(a245,a246)
            & c7_2(a245,a246)
            & ~ c9_2(a245,a246) ) )
        & ( c3_0
          | ~ c4_0
          | ~ c7_0 )
        & ( c3_0
          | ~ c9_0
          | ! [X24] : 
              ( ndr1_0
             => ( ~ c3_1(X24)
                | ~ c4_1(X24)
                | ! [X25] : 
                    ( ndr1_1(X24)
                   => ( c4_2(X24,X25)
                      | ~ c10_2(X24,X25)
                      | ~ c9_2(X24,X25) ) ) ) ) )
        & ( c4_0
          | ( ndr1_0
            & ! [X26] : 
                ( ndr1_1(a247)
               => ( c9_2(a247,X26)
                  | ~ c3_2(a247,X26)
                  | ~ c6_2(a247,X26) ) )
            & ndr1_1(a247)
            & c10_2(a247,a248)
            & c9_2(a247,a248)
            & ~ c1_2(a247,a248)
            & ndr1_1(a247)
            & c2_2(a247,a249)
            & c9_2(a247,a249)
            & ~ c10_2(a247,a249) ) )
        & ( c4_0
          | c6_0
          | c8_0 )
        & ( c4_0
          | c9_0
          | ( ndr1_0
            & ~ c7_1(a250) ) )
        & ( c4_0
          | ~ c1_0
          | ! [X27] : 
              ( ndr1_0
             => ( c5_1(X27)
                | ~ c6_1(X27)
                | ( ndr1_1(X27)
                  & c10_2(X27,a251)
                  & c8_2(X27,a251)
                  & ~ c1_2(X27,a251) ) ) ) )
        & ( c4_0
          | ~ c10_0
          | ( ndr1_0
            & c1_1(a252)
            & c6_1(a252)
            & ndr1_1(a252)
            & c8_2(a252,a253)
            & ~ c1_2(a252,a253)
            & ~ c2_2(a252,a253) ) )
        & ( c4_0
          | ~ c7_0
          | ! [X28] : 
              ( ndr1_0
             => ( ! [X29] : 
                    ( ndr1_1(X28)
                   => ( ~ c2_2(X28,X29)
                      | ~ c3_2(X28,X29) ) )
                | ( ndr1_1(X28)
                  & c1_2(X28,a254)
                  & c2_2(X28,a254)
                  & ~ c3_2(X28,a254) )
                | ( ndr1_1(X28)
                  & ~ c5_2(X28,a255)
                  & ~ c8_2(X28,a255) ) ) ) )
        & ( c4_0
          | ~ c9_0
          | ( ndr1_0
            & c10_1(a256)
            & ~ c9_1(a256)
            & ! [X30] : 
                ( ndr1_1(a256)
               => ( c3_2(a256,X30)
                  | ~ c5_2(a256,X30) ) ) ) )
        & ( c4_0
          | ! [X31] : 
              ( ndr1_0
             => ( c10_1(X31)
                | ! [X32] : 
                    ( ndr1_1(X31)
                   => ( c2_2(X31,X32)
                      | c3_2(X31,X32)
                      | c4_2(X31,X32) ) )
                | ! [X33] : 
                    ( ndr1_1(X31)
                   => ( c2_2(X31,X33)
                      | c4_2(X31,X33)
                      | c8_2(X31,X33) ) ) ) )
          | ( ndr1_0
            & c3_1(a257)
            & c4_1(a257)
            & c5_1(a257) ) )
        & ( c4_0
          | ! [X34] : 
              ( ndr1_0
             => ( c5_1(X34)
                | c8_1(X34)
                | ! [X35] : 
                    ( ndr1_1(X34)
                   => ( c2_2(X34,X35)
                      | ~ c3_2(X34,X35)
                      | ~ c8_2(X34,X35) ) ) ) ) )
        & ( c4_0
          | ! [X36] : 
              ( ndr1_0
             => ( ! [X37] : 
                    ( ndr1_1(X36)
                   => ( c8_2(X36,X37)
                      | c9_2(X36,X37) ) )
                | ! [X38] : 
                    ( ndr1_1(X36)
                   => ( ~ c1_2(X36,X38)
                      | ~ c7_2(X36,X38)
                      | ~ c9_2(X36,X38) ) )
                | ( ndr1_1(X36)
                  & c4_2(X36,a258)
                  & ~ c2_2(X36,a258)
                  & ~ c3_2(X36,a258) ) ) ) )
        & ( c6_0
          | ( ndr1_0
            & ~ c4_1(a259)
            & ~ c5_1(a259) ) )
        & ( c7_0
          | ! [X39] : 
              ( ndr1_0
             => ( c5_1(X39)
                | ( ndr1_1(X39)
                  & c10_2(X39,a260)
                  & c4_2(X39,a260)
                  & ~ c3_2(X39,a260) )
                | ( ndr1_1(X39)
                  & c7_2(X39,a261)
                  & ~ c1_2(X39,a261)
                  & ~ c4_2(X39,a261) ) ) ) )
        & ( c7_0
          | ( ndr1_0
            & c1_1(a262)
            & ~ c6_1(a262)
            & ! [X40] : 
                ( ndr1_1(a262)
               => ( c5_2(a262,X40)
                  | ~ c4_2(a262,X40) ) ) ) )
        & ( ~ c1_0
          | ~ c6_0 )
        & ( ~ c10_0
          | ! [X41] : 
              ( ndr1_0
             => ( c7_1(X41)
                | ! [X42] : 
                    ( ndr1_1(X41)
                   => ( c10_2(X41,X42)
                      | ~ c5_2(X41,X42)
                      | ~ c7_2(X41,X42) ) )
                | ( ndr1_1(X41)
                  & c3_2(X41,a263)
                  & c8_2(X41,a263)
                  & ~ c4_2(X41,a263) ) ) ) )
        & ( ~ c4_0
          | ! [X43] : 
              ( ndr1_0
             => ( c3_1(X43)
                | ! [X44] : 
                    ( ndr1_1(X43)
                   => ( c5_2(X43,X44)
                      | ~ c9_2(X43,X44) ) )
                | ! [X45] : 
                    ( ndr1_1(X43)
                   => ( ~ c10_2(X43,X45)
                      | ~ c3_2(X43,X45)
                      | ~ c5_2(X43,X45) ) ) ) ) )
        & ( ~ c6_0
          | ( ndr1_0
            & c6_1(a264)
            & c8_1(a264)
            & ~ c1_1(a264) ) )
        & ( ~ c9_0
          | ( ndr1_0
            & c8_1(a265)
            & ~ c10_1(a265)
            & ndr1_1(a265)
            & c4_2(a265,a266)
            & c7_2(a265,a266)
            & ~ c5_2(a265,a266) ) )
        & ( ! [X46] : 
              ( ndr1_0
             => ( c4_1(X46)
                | ! [X47] : 
                    ( ndr1_1(X46)
                   => ( c2_2(X46,X47)
                      | c3_2(X46,X47)
                      | c6_2(X46,X47) ) ) ) )
          | ! [X48] : 
              ( ndr1_0
             => ( ~ c1_1(X48)
                | ( ndr1_1(X48)
                  & c8_2(X48,a267)
                  & ~ c3_2(X48,a267)
                  & ~ c9_2(X48,a267) ) ) ) )
        & ! [X49] : 
            ( ndr1_0
           => ( ~ c2_1(X49)
              | ~ c3_1(X49)
              | ! [X50] : 
                  ( ndr1_1(X49)
                 => ( c10_2(X49,X50)
                    | c9_2(X49,X50)
                    | ~ c6_2(X49,X50) ) ) ) )
        & ( ! [X51] : 
              ( ndr1_0
             => ( ndr1_1(X51)
                & c4_2(X51,a268)
                & ~ c2_2(X51,a268)
                & ~ c3_2(X51,a268) ) )
          | ( ndr1_0
            & c5_1(a269)
            & ! [X52] : 
                ( ndr1_1(a269)
               => ( c5_2(a269,X52)
                  | c6_2(a269,X52)
                  | ~ c9_2(a269,X52) ) ) ) )
        & ( c6_0
          | ~ c9_0
          | ! [X53] : 
              ( ndr1_0
             => ( ! [X54] : 
                    ( ndr1_1(X53)
                   => ( c1_2(X53,X54)
                      | ~ c10_2(X53,X54)
                      | ~ c2_2(X53,X54) ) )
                | ! [X55] : 
                    ( ndr1_1(X53)
                   => ( ~ c5_2(X53,X55)
                      | ~ c6_2(X53,X55)
                      | ~ c8_2(X53,X55) ) ) ) ) )
        & ( c6_0
          | ! [X56] : 
              ( ndr1_0
             => ( c10_1(X56)
                | ! [X57] : 
                    ( ndr1_1(X56)
                   => ( c8_2(X56,X57)
                      | ~ c6_2(X56,X57)
                      | ~ c7_2(X56,X57) ) )
                | ( ndr1_1(X56)
                  & c1_2(X56,a270)
                  & c3_2(X56,a270)
                  & ~ c10_2(X56,a270) ) ) )
          | ! [X58] : 
              ( ndr1_0
             => ( c6_1(X58)
                | ( ndr1_1(X58)
                  & c3_2(X58,a271)
                  & c8_2(X58,a271)
                  & ~ c10_2(X58,a271) )
                | ( ndr1_1(X58)
                  & c6_2(X58,a272)
                  & c8_2(X58,a272)
                  & ~ c2_2(X58,a272) ) ) ) )
        & ( c6_0
          | ! [X59] : 
              ( ndr1_0
             => ( c3_1(X59)
                | ~ c2_1(X59)
                | ( ndr1_1(X59)
                  & c2_2(X59,a273)
                  & c5_2(X59,a273)
                  & c6_2(X59,a273) ) ) ) )
        & ( c6_0
          | ! [X60] : 
              ( ndr1_0
             => ( c3_1(X60)
                | ~ c4_1(X60)
                | ( ndr1_1(X60)
                  & c2_2(X60,a274)
                  & c3_2(X60,a274)
                  & ~ c4_2(X60,a274) ) ) )
          | ! [X61] : 
              ( ndr1_0
             => ( c6_1(X61)
                | ( ndr1_1(X61)
                  & c2_2(X61,a275)
                  & c7_2(X61,a275) )
                | ( ndr1_1(X61)
                  & c5_2(X61,a276)
                  & ~ c10_2(X61,a276)
                  & ~ c4_2(X61,a276) ) ) ) )
        & ( c6_0
          | ! [X62] : 
              ( ndr1_0
             => ( ~ c2_1(X62)
                | ( ndr1_1(X62)
                  & c1_2(X62,a277)
                  & c9_2(X62,a277)
                  & ~ c10_2(X62,a277) )
                | ( ndr1_1(X62)
                  & c7_2(X62,a278)
                  & c8_2(X62,a278)
                  & ~ c9_2(X62,a278) ) ) )
          | ! [X63] : 
              ( ndr1_0
             => ( ! [X64] : 
                    ( ndr1_1(X63)
                   => ( c3_2(X63,X64)
                      | ~ c7_2(X63,X64) ) )
                | ( ndr1_1(X63)
                  & ~ c2_2(X63,a279)
                  & ~ c8_2(X63,a279)
                  & ~ c9_2(X63,a279) )
                | ( ndr1_1(X63)
                  & ~ c4_2(X63,a280)
                  & ~ c5_2(X63,a280) ) ) ) )
        & ( c6_0
          | ( ndr1_0
            & ~ c5_1(a281)
            & ! [X65] : 
                ( ndr1_1(a281)
               => ( c7_2(a281,X65)
                  | ~ c2_2(a281,X65)
                  | ~ c3_2(a281,X65) ) )
            & ndr1_1(a281)
            & c8_2(a281,a282)
            & ~ c4_2(a281,a282) ) )
        & ( c7_0
          | c8_0
          | ~ c9_0 )
        & ( c7_0
          | c8_0
          | ( ndr1_0
            & ~ c9_1(a283)
            & ndr1_1(a283)
            & c1_2(a283,a284)
            & c7_2(a283,a284)
            & ~ c6_2(a283,a284)
            & ndr1_1(a283)
            & c10_2(a283,a285)
            & c2_2(a283,a285)
            & c8_2(a283,a285) ) )
        & ( c7_0
          | c9_0
          | ! [X66] : 
              ( ndr1_0
             => ( ! [X67] : 
                    ( ndr1_1(X66)
                   => ( c10_2(X66,X67)
                      | c8_2(X66,X67)
                      | ~ c3_2(X66,X67) ) )
                | ! [X68] : 
                    ( ndr1_1(X66)
                   => ( c6_2(X66,X68)
                      | c9_2(X66,X68)
                      | ~ c1_2(X66,X68) ) )
                | ( ndr1_1(X66)
                  & c2_2(X66,a286)
                  & ~ c1_2(X66,a286)
                  & ~ c4_2(X66,a286) ) ) ) )
        & ( c7_0
          | ~ c10_0
          | ( ndr1_0
            & c10_1(a287)
            & ! [X69] : 
                ( ndr1_1(a287)
               => ( c6_2(a287,X69)
                  | c9_2(a287,X69)
                  | ~ c7_2(a287,X69) ) )
            & ndr1_1(a287)
            & c3_2(a287,a288)
            & c8_2(a287,a288)
            & ~ c9_2(a287,a288) ) )
        & ( c7_0
          | ~ c10_0
          | ( ndr1_0
            & ~ c1_1(a289)
            & ~ c9_1(a289)
            & ! [X70] : 
                ( ndr1_1(a289)
               => ( c2_2(a289,X70)
                  | c6_2(a289,X70)
                  | ~ c10_2(a289,X70) ) ) ) )
        & ( c7_0
          | ~ c4_0
          | ! [X71] : 
              ( ndr1_0
             => ( c5_1(X71)
                | ( ndr1_1(X71)
                  & c1_2(X71,a290)
                  & c5_2(X71,a290)
                  & c7_2(X71,a290) )
                | ( ndr1_1(X71)
                  & ~ c5_2(X71,a291)
                  & ~ c6_2(X71,a291)
                  & ~ c9_2(X71,a291) ) ) ) )
        & ( c7_0
          | ! [X72] : 
              ( ndr1_0
             => ( ~ c5_1(X72)
                | ~ c6_1(X72)
                | ( ndr1_1(X72)
                  & c7_2(X72,a292)
                  & ~ c1_2(X72,a292)
                  & ~ c9_2(X72,a292) ) ) )
          | ( ndr1_0
            & c7_1(a293)
            & c9_1(a293)
            & ~ c1_1(a293) ) )
        & ( c8_0
          | ~ c10_0
          | ! [X73] : 
              ( ndr1_0
             => ( ~ c7_1(X73)
                | ~ c8_1(X73)
                | ( ndr1_1(X73)
                  & c9_2(X73,a294)
                  & ~ c2_2(X73,a294)
                  & ~ c8_2(X73,a294) ) ) ) )
        & ( c8_0
          | ~ c4_0
          | ! [X74] : 
              ( ndr1_0
             => ( c9_1(X74)
                | ! [X75] : 
                    ( ndr1_1(X74)
                   => ( c10_2(X74,X75)
                      | ~ c1_2(X74,X75)
                      | ~ c9_2(X74,X75) ) )
                | ! [X76] : 
                    ( ndr1_1(X74)
                   => ( c5_2(X74,X76)
                      | c6_2(X74,X76)
                      | ~ c4_2(X74,X76) ) ) ) ) )
        & ( c8_0
          | ~ c9_0
          | ( ndr1_0
            & c1_1(a295)
            & ndr1_1(a295)
            & c10_2(a295,a296)
            & c3_2(a295,a296)
            & ~ c9_2(a295,a296) ) )
        & ( c8_0
          | ! [X77] : 
              ( ndr1_0
             => ( c4_1(X77)
                | ~ c1_1(X77)
                | ( ndr1_1(X77)
                  & ~ c2_2(X77,a297)
                  & ~ c6_2(X77,a297)
                  & ~ c7_2(X77,a297) ) ) )
          | ! [X78] : 
              ( ndr1_0
             => ( ! [X79] : 
                    ( ndr1_1(X78)
                   => ( c3_2(X78,X79)
                      | ~ c1_2(X78,X79)
                      | ~ c7_2(X78,X79) ) )
                | ( ndr1_1(X78)
                  & ~ c1_2(X78,a298)
                  & ~ c5_2(X78,a298)
                  & ~ c9_2(X78,a298) )
                | ( ndr1_1(X78)
                  & ~ c3_2(X78,a299)
                  & ~ c4_2(X78,a299)
                  & ~ c8_2(X78,a299) ) ) ) )
        & ( c8_0
          | ! [X80] : 
              ( ndr1_0
             => ( c4_1(X80)
                | ( ndr1_1(X80)
                  & c2_2(X80,a300)
                  & c4_2(X80,a300)
                  & ~ c3_2(X80,a300) )
                | ( ndr1_1(X80)
                  & ~ c1_2(X80,a301)
                  & ~ c4_2(X80,a301)
                  & ~ c9_2(X80,a301) ) ) )
          | ! [X81] : 
              ( ndr1_0
             => ( ~ c8_1(X81)
                | ( ndr1_1(X81)
                  & c5_2(X81,a302)
                  & c9_2(X81,a302)
                  & ~ c8_2(X81,a302) )
                | ( ndr1_1(X81)
                  & c5_2(X81,a303)
                  & ~ c8_2(X81,a303) ) ) ) )
        & ( c8_0
          | ! [X82] : 
              ( ndr1_0
             => ( ~ c10_1(X82)
                | ~ c3_1(X82) ) )
          | ( ndr1_0
            & ~ c4_1(a304)
            & ~ c5_1(a304)
            & ! [X83] : 
                ( ndr1_1(a304)
               => ( c4_2(a304,X83)
                  | ~ c5_2(a304,X83)
                  | ~ c8_2(a304,X83) ) ) ) )
        & ( c8_0
          | ! [X84] : 
              ( ndr1_0
             => ( ! [X85] : 
                    ( ndr1_1(X84)
                   => ( c1_2(X84,X85)
                      | ~ c10_2(X84,X85)
                      | ~ c7_2(X84,X85) ) )
                | ( ndr1_1(X84)
                  & c5_2(X84,a305)
                  & c6_2(X84,a305)
                  & c8_2(X84,a305) )
                | ( ndr1_1(X84)
                  & c5_2(X84,a306)
                  & ~ c4_2(X84,a306)
                  & ~ c9_2(X84,a306) ) ) )
          | ! [X86] : 
              ( ndr1_0
             => ( ( ndr1_1(X86)
                  & c1_2(X86,a307)
                  & c6_2(X86,a307)
                  & ~ c9_2(X86,a307) )
                | ( ndr1_1(X86)
                  & c7_2(X86,a308)
                  & ~ c4_2(X86,a308)
                  & ~ c5_2(X86,a308) ) ) ) )
        & ( c9_0
          | ~ c1_0
          | ! [X87] : 
              ( ndr1_0
             => ( c1_1(X87)
                | c6_1(X87)
                | ~ c8_1(X87) ) ) )
        & ( c9_0
          | ~ c4_0
          | ( ndr1_0
            & ~ c6_1(a309)
            & ! [X88] : 
                ( ndr1_1(a309)
               => ( c10_2(a309,X88)
                  | c9_2(a309,X88)
                  | ~ c6_2(a309,X88) ) )
            & ! [X89] : 
                ( ndr1_1(a309)
               => ( c5_2(a309,X89)
                  | ~ c10_2(a309,X89)
                  | ~ c4_2(a309,X89) ) ) ) )
        & ( c9_0
          | ~ c6_0 )
        & ( c9_0
          | ~ c6_0
          | ( ndr1_0
            & c6_1(a310)
            & ~ c1_1(a310)
            & ! [X90] : 
                ( ndr1_1(a310)
               => ( c2_2(a310,X90)
                  | ~ c6_2(a310,X90)
                  | ~ c9_2(a310,X90) ) ) ) )
        & ( c9_0
          | ~ c7_0
          | ! [X91] : 
              ( ndr1_0
             => ( c9_1(X91)
                | ( ndr1_1(X91)
                  & c4_2(X91,a311)
                  & ~ c2_2(X91,a311)
                  & ~ c9_2(X91,a311) )
                | ( ndr1_1(X91)
                  & c8_2(X91,a312)
                  & c9_2(X91,a312)
                  & ~ c6_2(X91,a312) ) ) ) )
        & ( c9_0
          | ! [X92] : 
              ( ndr1_0
             => ( ~ c5_1(X92)
                | ~ c6_1(X92)
                | ( ndr1_1(X92)
                  & c3_2(X92,a313)
                  & ~ c9_2(X92,a313) ) ) )
          | ( ndr1_0
            & ~ c4_1(a314)
            & ! [X93] : 
                ( ndr1_1(a314)
               => ( c7_2(a314,X93)
                  | ~ c4_2(a314,X93)
                  | ~ c8_2(a314,X93) ) )
            & ndr1_1(a314)
            & c4_2(a314,a315)
            & c7_2(a314,a315)
            & ~ c5_2(a314,a315) ) )
        & ( c9_0
          | ( ndr1_0
            & c8_1(a316)
            & ! [X94] : 
                ( ndr1_1(a316)
               => ( ~ c6_2(a316,X94)
                  | ~ c9_2(a316,X94) ) )
            & ndr1_1(a316)
            & c2_2(a316,a317)
            & c7_2(a316,a317)
            & ~ c8_2(a316,a317) )
          | ( ndr1_0
            & ~ c10_1(a318)
            & ~ c8_1(a318)
            & ! [X95] : 
                ( ndr1_1(a318)
               => ( ~ c10_2(a318,X95)
                  | ~ c4_2(a318,X95)
                  | ~ c7_2(a318,X95) ) ) ) )
        & ( ~ c1_0
          | ~ c10_0
          | ( ndr1_0
            & ~ c8_1(a319)
            & ndr1_1(a319)
            & c4_2(a319,a320)
            & c5_2(a319,a320)
            & c6_2(a319,a320)
            & ndr1_1(a319)
            & ~ c2_2(a319,a321) ) )
        & ( ~ c1_0
          | ~ c4_0
          | ! [X96] : 
              ( ndr1_0
             => ( ~ c2_1(X96)
                | ( ndr1_1(X96)
                  & c4_2(X96,a322)
                  & ~ c10_2(X96,a322)
                  & ~ c9_2(X96,a322) ) ) ) )
        & ( ~ c1_0
          | ! [X97] : 
              ( ndr1_0
             => ( c1_1(X97)
                | c4_1(X97)
                | ! [X98] : 
                    ( ndr1_1(X97)
                   => ( c1_2(X97,X98)
                      | c2_2(X97,X98)
                      | ~ c6_2(X97,X98) ) ) ) )
          | ( ndr1_0
            & c7_1(a323)
            & ! [X99] : 
                ( ndr1_1(a323)
               => ( c6_2(a323,X99)
                  | ~ c10_2(a323,X99)
                  | ~ c9_2(a323,X99) ) )
            & ndr1_1(a323)
            & c1_2(a323,a324)
            & c2_2(a323,a324)
            & ~ c3_2(a323,a324) ) )
        & ( ~ c1_0
          | ! [X100] : 
              ( ndr1_0
             => ( ~ c2_1(X100)
                | ! [X101] : 
                    ( ndr1_1(X100)
                   => ( c10_2(X100,X101)
                      | ~ c1_2(X100,X101)
                      | ~ c5_2(X100,X101) ) )
                | ( ndr1_1(X100)
                  & c3_2(X100,a325)
                  & c4_2(X100,a325) ) ) )
          | ( ndr1_0
            & ! [X102] : 
                ( ndr1_1(a326)
               => ( c4_2(a326,X102)
                  | c6_2(a326,X102)
                  | ~ c7_2(a326,X102) ) )
            & ! [X103] : 
                ( ndr1_1(a326)
               => ( ~ c10_2(a326,X103)
                  | ~ c5_2(a326,X103)
                  | ~ c9_2(a326,X103) ) ) ) )
        & ( ~ c1_0
          | ( ndr1_0
            & c10_1(a327)
            & c6_1(a327)
            & ~ c3_1(a327) ) )
        & ( ~ c1_0
          | ( ndr1_0
            & c2_1(a328)
            & ! [X104] : 
                ( ndr1_1(a328)
               => ~ c8_2(a328,X104) )
            & ndr1_1(a328)
            & c10_2(a328,a329)
            & c6_2(a328,a329)
            & ~ c8_2(a328,a329) )
          | ( ndr1_0
            & ~ c10_1(a330)
            & ~ c8_1(a330)
            & ~ c9_1(a330) ) )
        & ( ~ c10_0
          | ~ c3_0
          | ! [X105] : 
              ( ndr1_0
             => ( c5_1(X105)
                | ( ndr1_1(X105)
                  & c6_2(X105,a331)
                  & c8_2(X105,a331)
                  & ~ c7_2(X105,a331) ) ) ) )
        & ( ~ c10_0
          | ~ c6_0
          | ! [X106] : 
              ( ndr1_0
             => ( c6_1(X106)
                | ~ c8_1(X106) ) ) )
        & ( ~ c10_0
          | ~ c8_0
          | ( ndr1_0
            & ~ c1_1(a332)
            & ~ c4_1(a332)
            & ! [X107] : 
                ( ndr1_1(a332)
               => ( c10_2(a332,X107)
                  | c9_2(a332,X107)
                  | ~ c1_2(a332,X107) ) ) ) )
        & ( ~ c10_0
          | ! [X108] : 
              ( ndr1_0
             => ( c5_1(X108)
                | ~ c7_1(X108)
                | ! [X109] : 
                    ( ndr1_1(X108)
                   => ( c8_2(X108,X109)
                      | c9_2(X108,X109)
                      | ~ c2_2(X108,X109) ) ) ) )
          | ( ndr1_0
            & c7_1(a333)
            & ~ c10_1(a333)
            & ndr1_1(a333)
            & c10_2(a333,a334)
            & ~ c7_2(a333,a334)
            & ~ c9_2(a333,a334) ) )
        & ( ~ c10_0
          | ( ndr1_0
            & c3_1(a335)
            & ~ c7_1(a335)
            & ndr1_1(a335)
            & c2_2(a335,a336)
            & c8_2(a335,a336)
            & ~ c4_2(a335,a336) )
          | ( ndr1_0
            & ~ c5_1(a337)
            & ~ c9_1(a337)
            & ! [X110] : 
                ( ndr1_1(a337)
               => ( c9_2(a337,X110)
                  | ~ c10_2(a337,X110) ) ) ) )
        & ( ~ c2_0
          | ~ c8_0
          | ! [X111] : 
              ( ndr1_0
             => ( c8_1(X111)
                | ! [X112] : 
                    ( ndr1_1(X111)
                   => ( c10_2(X111,X112)
                      | ~ c8_2(X111,X112)
                      | ~ c9_2(X111,X112) ) )
                | ( ndr1_1(X111)
                  & c10_2(X111,a338)
                  & c2_2(X111,a338)
                  & ~ c7_2(X111,a338) ) ) ) )
        & ( ~ c2_0
          | ~ c9_0
          | ! [X113] : 
              ( ndr1_0
             => ( c1_1(X113)
                | ! [X114] : 
                    ( ndr1_1(X113)
                   => ( c1_2(X113,X114)
                      | c7_2(X113,X114)
                      | ~ c2_2(X113,X114) ) )
                | ! [X115] : 
                    ( ndr1_1(X113)
                   => ( ~ c1_2(X113,X115)
                      | ~ c10_2(X113,X115)
                      | ~ c8_2(X113,X115) ) ) ) ) )
        & ( ~ c2_0
          | ( ndr1_0
            & c3_1(a339)
            & ~ c6_1(a339) )
          | ( ndr1_0
            & ~ c8_1(a340)
            & ndr1_1(a340)
            & c1_2(a340,a341)
            & c7_2(a340,a341)
            & c9_2(a340,a341) ) )
        & ( ~ c3_0
          | ~ c7_0
          | ( ndr1_0
            & ~ c2_1(a342)
            & ~ c3_1(a342)
            & ! [X116] : 
                ( ndr1_1(a342)
               => ( c6_2(a342,X116)
                  | c8_2(a342,X116)
                  | ~ c3_2(a342,X116) ) ) ) )
        & ( ~ c3_0
          | ! [X117] : 
              ( ndr1_0
             => ( c10_1(X117)
                | c2_1(X117)
                | ! [X118] : 
                    ( ndr1_1(X117)
                   => ( c6_2(X117,X118)
                      | c8_2(X117,X118)
                      | ~ c3_2(X117,X118) ) ) ) )
          | ! [X119] : 
              ( ndr1_0
             => ( ! [X120] : 
                    ( ndr1_1(X119)
                   => ( c1_2(X119,X120)
                      | ~ c4_2(X119,X120)
                      | ~ c9_2(X119,X120) ) )
                | ! [X121] : 
                    ( ndr1_1(X119)
                   => ( c6_2(X119,X121)
                      | ~ c2_2(X119,X121)
                      | ~ c3_2(X119,X121) ) )
                | ( ndr1_1(X119)
                  & c9_2(X119,a343)
                  & ~ c3_2(X119,a343)
                  & ~ c4_2(X119,a343) ) ) ) )
        & ( ~ c3_0
          | ! [X122] : 
              ( ndr1_0
             => ( c4_1(X122)
                | ( ndr1_1(X122)
                  & c1_2(X122,a344)
                  & c6_2(X122,a344)
                  & ~ c9_2(X122,a344) ) ) )
          | ! [X123] : 
              ( ndr1_0
             => ( c7_1(X123)
                | c9_1(X123)
                | ( ndr1_1(X123)
                  & c3_2(X123,a345)
                  & c7_2(X123,a345)
                  & ~ c9_2(X123,a345) ) ) ) )
        & ( ~ c3_0
          | ! [X124] : 
              ( ndr1_0
             => ( ! [X125] : 
                    ( ndr1_1(X124)
                   => ( c10_2(X124,X125)
                      | c8_2(X124,X125)
                      | ~ c6_2(X124,X125) ) )
                | ! [X126] : 
                    ( ndr1_1(X124)
                   => ( c10_2(X124,X126)
                      | ~ c3_2(X124,X126)
                      | ~ c8_2(X124,X126) ) )
                | ! [X127] : 
                    ( ndr1_1(X124)
                   => ( c4_2(X124,X127)
                      | ~ c3_2(X124,X127)
                      | ~ c7_2(X124,X127) ) ) ) )
          | ( ndr1_0
            & c5_1(a346)
            & ! [X128] : 
                ( ndr1_1(a346)
               => ( ~ c3_2(a346,X128)
                  | ~ c6_2(a346,X128)
                  | ~ c7_2(a346,X128) ) ) ) )
        & ( ~ c4_0
          | ~ c7_0
          | ! [X129] : 
              ( ndr1_0
             => ( c1_1(X129)
                | c7_1(X129)
                | ( ndr1_1(X129)
                  & c2_2(X129,a347)
                  & c8_2(X129,a347)
                  & ~ c7_2(X129,a347) ) ) ) )
        & ( ~ c4_0
          | ! [X130] : 
              ( ndr1_0
             => ( c7_1(X130)
                | ( ndr1_1(X130)
                  & c9_2(X130,a348)
                  & ~ c3_2(X130,a348)
                  & ~ c4_2(X130,a348) )
                | ( ndr1_1(X130)
                  & ~ c1_2(X130,a349)
                  & ~ c2_2(X130,a349)
                  & ~ c5_2(X130,a349) ) ) )
          | ( ndr1_0
            & ! [X131] : 
                ( ndr1_1(a350)
               => ( c8_2(a350,X131)
                  | ~ c1_2(a350,X131)
                  | ~ c5_2(a350,X131) ) )
            & ndr1_1(a350)
            & c5_2(a350,a351)
            & ~ c6_2(a350,a351)
            & ndr1_1(a350)
            & c7_2(a350,a352)
            & ~ c4_2(a350,a352)
            & ~ c5_2(a350,a352) ) )
        & ( ~ c6_0
          | ~ c9_0 )
        & ( ~ c7_0
          | ! [X132] : 
              ( ndr1_0
             => ( c1_1(X132)
                | c4_1(X132)
                | c8_1(X132) ) )
          | ! [X133] : 
              ( ndr1_0
             => ( c3_1(X133)
                | ~ c8_1(X133)
                | ! [X134] : 
                    ( ndr1_1(X133)
                   => ( c1_2(X133,X134)
                      | c2_2(X133,X134)
                      | ~ c7_2(X133,X134) ) ) ) ) )
        & ( ~ c7_0
          | ! [X135] : 
              ( ndr1_0
             => ( c3_1(X135)
                | ~ c4_1(X135)
                | ~ c5_1(X135) ) )
          | ! [X136] : 
              ( ndr1_0
             => ( ~ c7_1(X136)
                | ! [X137] : 
                    ( ndr1_1(X136)
                   => ( c1_2(X136,X137)
                      | c2_2(X136,X137)
                      | c3_2(X136,X137) ) )
                | ( ndr1_1(X136)
                  & c4_2(X136,a353)
                  & ~ c1_2(X136,a353)
                  & ~ c9_2(X136,a353) ) ) ) )
        & ( ~ c7_0
          | ! [X138] : 
              ( ndr1_0
             => ( c4_1(X138)
                | ~ c8_1(X138)
                | ! [X139] : 
                    ( ndr1_1(X138)
                   => ( c3_2(X138,X139)
                      | c5_2(X138,X139)
                      | ~ c1_2(X138,X139) ) ) ) )
          | ! [X140] : 
              ( ndr1_0
             => ( ~ c3_1(X140)
                | ~ c5_1(X140)
                | ~ c9_1(X140) ) ) )
        & ( ~ c7_0
          | ! [X141] : 
              ( ndr1_0
             => ( c8_1(X141)
                | ~ c9_1(X141)
                | ( ndr1_1(X141)
                  & c1_2(X141,a354)
                  & c10_2(X141,a354)
                  & ~ c2_2(X141,a354) ) ) ) )
        & ( ~ c7_0
          | ( ndr1_0
            & c3_1(a355)
            & ! [X142] : 
                ( ndr1_1(a355)
               => ( ~ c4_2(a355,X142)
                  | ~ c6_2(a355,X142)
                  | ~ c8_2(a355,X142) ) )
            & ndr1_1(a355)
            & ~ c10_2(a355,a356)
            & ~ c7_2(a355,a356)
            & ~ c9_2(a355,a356) )
          | ( ndr1_0
            & c9_1(a357)
            & ! [X143] : 
                ( ndr1_1(a357)
               => ( c10_2(a357,X143)
                  | c4_2(a357,X143)
                  | ~ c9_2(a357,X143) ) )
            & ! [X144] : 
                ( ndr1_1(a357)
               => ( c4_2(a357,X144)
                  | c5_2(a357,X144)
                  | ~ c8_2(a357,X144) ) ) ) )
        & ( ~ c8_0
          | ! [X145] : 
              ( ndr1_0
             => ( c3_1(X145)
                | c9_1(X145)
                | ( ndr1_1(X145)
                  & c1_2(X145,a358)
                  & c8_2(X145,a358)
                  & ~ c3_2(X145,a358) ) ) )
          | ! [X146] : 
              ( ndr1_0
             => ( c8_1(X146)
                | ! [X147] : 
                    ( ndr1_1(X146)
                   => ( c3_2(X146,X147)
                      | ~ c2_2(X146,X147)
                      | ~ c5_2(X146,X147) ) )
                | ( ndr1_1(X146)
                  & ~ c10_2(X146,a359)
                  & ~ c2_2(X146,a359)
                  & ~ c6_2(X146,a359) ) ) ) )
        & ( ~ c9_0
          | ! [X148] : 
              ( ndr1_0
             => ( c1_1(X148)
                | ~ c10_1(X148)
                | ( ndr1_1(X148)
                  & c6_2(X148,a360)
                  & c9_2(X148,a360)
                  & ~ c10_2(X148,a360) ) ) )
          | ! [X149] : 
              ( ndr1_0
             => ( ~ c9_1(X149)
                | ! [X150] : 
                    ( ndr1_1(X149)
                   => ( c2_2(X149,X150)
                      | ~ c4_2(X149,X150)
                      | ~ c6_2(X149,X150) ) )
                | ( ndr1_1(X149)
                  & c9_2(X149,a361)
                  & ~ c2_2(X149,a361)
                  & ~ c8_2(X149,a361) ) ) ) )
        & ( ~ c9_0
          | ! [X151] : 
              ( ndr1_0
             => ( c3_1(X151)
                | ~ c5_1(X151)
                | ~ c7_1(X151) ) )
          | ( ndr1_0
            & c3_1(a362)
            & ~ c8_1(a362)
            & ndr1_1(a362)
            & c3_2(a362,a363)
            & ~ c1_2(a362,a363)
            & ~ c4_2(a362,a363) ) )
        & ( ~ c9_0
          | ! [X152] : 
              ( ndr1_0
             => ( ~ c2_1(X152)
                | ~ c5_1(X152)
                | ! [X153] : 
                    ( ndr1_1(X152)
                   => ( ~ c4_2(X152,X153)
                      | ~ c5_2(X152,X153) ) ) ) )
          | ( ndr1_0
            & ~ c1_1(a364)
            & ! [X154] : 
                ( ndr1_1(a364)
               => ( c3_2(a364,X154)
                  | c8_2(a364,X154)
                  | ~ c4_2(a364,X154) ) )
            & ! [X155] : 
                ( ndr1_1(a364)
               => ( ~ c10_2(a364,X155)
                  | ~ c6_2(a364,X155)
                  | ~ c8_2(a364,X155) ) ) ) )
        & ( ~ c9_0
          | ! [X156] : 
              ( ndr1_0
             => ( ~ c2_1(X156)
                | ( ndr1_1(X156)
                  & c2_2(X156,a365)
                  & c4_2(X156,a365)
                  & ~ c3_2(X156,a365) )
                | ( ndr1_1(X156)
                  & ~ c1_2(X156,a366)
                  & ~ c7_2(X156,a366)
                  & ~ c9_2(X156,a366) ) ) ) )
        & ( ~ c9_0
          | ! [X157] : 
              ( ndr1_0
             => ( ! [X158] : 
                    ( ndr1_1(X157)
                   => ( c7_2(X157,X158)
                      | ~ c4_2(X157,X158)
                      | ~ c6_2(X157,X158) ) )
                | ( ndr1_1(X157)
                  & ~ c1_2(X157,a367)
                  & ~ c2_2(X157,a367)
                  & ~ c6_2(X157,a367) )
                | ( ndr1_1(X157)
                  & ~ c1_2(X157,a368)
                  & ~ c4_2(X157,a368)
                  & ~ c5_2(X157,a368) ) ) )
          | ( ndr1_0
            & ndr1_1(a369)
            & c3_2(a369,a370)
            & c8_2(a369,a370)
            & ~ c9_2(a369,a370)
            & ndr1_1(a369)
            & c5_2(a369,a371)
            & c7_2(a369,a371)
            & ~ c9_2(a369,a371)
            & ndr1_1(a369)
            & c7_2(a369,a372)
            & c9_2(a369,a372)
            & ~ c4_2(a369,a372) ) )
        & ( ! [X159] : 
              ( ndr1_0
             => ( c1_1(X159)
                | ~ c8_1(X159)
                | ( ndr1_1(X159)
                  & c3_2(X159,a373)
                  & ~ c1_2(X159,a373)
                  & ~ c8_2(X159,a373) ) ) )
          | ( ndr1_0
            & c10_1(a374)
            & c2_1(a374)
            & ndr1_1(a374)
            & c10_2(a374,a375)
            & c3_2(a374,a375)
            & ~ c9_2(a374,a375) )
          | ( ndr1_0
            & c8_1(a376)
            & ~ c6_1(a376)
            & ! [X160] : 
                ( ndr1_1(a376)
               => ( c2_2(a376,X160)
                  | ~ c3_2(a376,X160)
                  | ~ c5_2(a376,X160) ) ) ) )
        & ( ! [X161] : 
              ( ndr1_0
             => ( c10_1(X161)
                | ~ c6_1(X161)
                | ! [X162] : 
                    ( ndr1_1(X161)
                   => ( c10_2(X161,X162)
                      | c6_2(X161,X162)
                      | ~ c2_2(X161,X162) ) ) ) )
          | ! [X163] : 
              ( ndr1_0
             => ( ~ c4_1(X163)
                | ! [X164] : 
                    ( ndr1_1(X163)
                   => ( c1_2(X163,X164)
                      | c4_2(X163,X164)
                      | ~ c6_2(X163,X164) ) )
                | ! [X165] : 
                    ( ndr1_1(X163)
                   => ( c10_2(X163,X165)
                      | c4_2(X163,X165)
                      | ~ c9_2(X163,X165) ) ) ) )
          | ! [X166] : 
              ( ndr1_0
             => ( ~ c5_1(X166)
                | ! [X167] : 
                    ( ndr1_1(X166)
                   => ( c3_2(X166,X167)
                      | ~ c2_2(X166,X167)
                      | ~ c6_2(X166,X167) ) )
                | ! [X168] : 
                    ( ndr1_1(X166)
                   => ( c7_2(X166,X168)
                      | c9_2(X166,X168)
                      | ~ c8_2(X166,X168) ) ) ) ) )
        & ( ! [X169] : 
              ( ndr1_0
             => ( c2_1(X169)
                | ~ c4_1(X169)
                | ( ndr1_1(X169)
                  & c4_2(X169,a377)
                  & c5_2(X169,a377)
                  & c6_2(X169,a377) ) ) )
          | ! [X170] : 
              ( ndr1_0
             => ( c7_1(X170)
                | ~ c9_1(X170)
                | ! [X171] : 
                    ( ndr1_1(X170)
                   => ( ~ c2_2(X170,X171)
                      | ~ c9_2(X170,X171) ) ) ) )
          | ! [X172] : 
              ( ndr1_0
             => ( ~ c3_1(X172)
                | ( ndr1_1(X172)
                  & c2_2(X172,a378)
                  & c7_2(X172,a378)
                  & ~ c8_2(X172,a378) )
                | ( ndr1_1(X172)
                  & c3_2(X172,a379)
                  & ~ c1_2(X172,a379)
                  & ~ c10_2(X172,a379) ) ) ) )
        & ( ! [X173] : 
              ( ndr1_0
             => ( c2_1(X173)
                | ~ c7_1(X173)
                | ! [X174] : 
                    ( ndr1_1(X173)
                   => ( c9_2(X173,X174)
                      | ~ c3_2(X173,X174)
                      | ~ c8_2(X173,X174) ) ) ) )
          | ( ndr1_0
            & ndr1_1(a380)
            & c1_2(a380,a381)
            & c7_2(a380,a381)
            & ~ c5_2(a380,a381)
            & ndr1_1(a380)
            & c7_2(a380,a382)
            & ~ c1_2(a380,a382)
            & ~ c8_2(a380,a382) )
          | ( ndr1_0
            & ndr1_1(a383)
            & ~ c1_2(a383,a384)
            & ~ c6_2(a383,a384)
            & ndr1_1(a383)
            & ~ c10_2(a383,a385)
            & ~ c3_2(a383,a385)
            & ~ c5_2(a383,a385) ) )
        & ( ! [X175] : 
              ( ndr1_0
             => ( c3_1(X175)
                | c7_1(X175)
                | ( ndr1_1(X175)
                  & c6_2(X175,a386)
                  & ~ c7_2(X175,a386)
                  & ~ c8_2(X175,a386) ) ) )
          | ! [X176] : 
              ( ndr1_0
             => ( c3_1(X176)
                | ! [X177] : 
                    ( ndr1_1(X176)
                   => ( c3_2(X176,X177)
                      | c8_2(X176,X177)
                      | ~ c7_2(X176,X177) ) )
                | ! [X178] : 
                    ( ndr1_1(X176)
                   => ( ~ c10_2(X176,X178)
                      | ~ c6_2(X176,X178)
                      | ~ c8_2(X176,X178) ) ) ) )
          | ( ndr1_0
            & ! [X179] : 
                ( ndr1_1(a387)
               => ( c2_2(a387,X179)
                  | c4_2(a387,X179)
                  | ~ c9_2(a387,X179) ) )
            & ndr1_1(a387)
            & c1_2(a387,a388)
            & c6_2(a387,a388)
            & c7_2(a387,a388) ) )
        & ( ! [X180] : 
              ( ndr1_0
             => ( c4_1(X180)
                | ~ c10_1(X180)
                | ~ c3_1(X180) ) )
          | ! [X181] : 
              ( ndr1_0
             => ( c6_1(X181)
                | c9_1(X181)
                | ! [X182] : 
                    ( ndr1_1(X181)
                   => ( c6_2(X181,X182)
                      | c8_2(X181,X182)
                      | ~ c5_2(X181,X182) ) ) ) )
          | ( ndr1_0
            & ~ c3_1(a389)
            & ! [X183] : 
                ( ndr1_1(a389)
               => ( c2_2(a389,X183)
                  | c5_2(a389,X183)
                  | ~ c8_2(a389,X183) ) )
            & ndr1_1(a389)
            & c2_2(a389,a390)
            & c4_2(a389,a390) ) )
        & ( ! [X184] : 
              ( ndr1_0
             => ( c5_1(X184)
                | ~ c1_1(X184)
                | ( ndr1_1(X184)
                  & c5_2(X184,a391)
                  & c7_2(X184,a391)
                  & ~ c6_2(X184,a391) ) ) )
          | ! [X185] : 
              ( ndr1_0
             => ( ~ c7_1(X185)
                | ! [X186] : 
                    ( ndr1_1(X185)
                   => ( c2_2(X185,X186)
                      | c7_2(X185,X186)
                      | ~ c6_2(X185,X186) ) )
                | ( ndr1_1(X185)
                  & c2_2(X185,a392)
                  & c3_2(X185,a392)
                  & ~ c9_2(X185,a392) ) ) )
          | ! [X187] : 
              ( ndr1_0
             => ( ~ c9_1(X187)
                | ( ndr1_1(X187)
                  & c1_2(X187,a393)
                  & c7_2(X187,a393)
                  & ~ c3_2(X187,a393) )
                | ( ndr1_1(X187)
                  & c1_2(X187,a394)
                  & ~ c9_2(X187,a394) ) ) ) )
        & ( ! [X188] : 
              ( ndr1_0
             => ( c5_1(X188)
                | ~ c9_1(X188)
                | ( ndr1_1(X188)
                  & c10_2(X188,a395)
                  & c3_2(X188,a395)
                  & ~ c9_2(X188,a395) ) ) )
          | ! [X189] : 
              ( ndr1_0
             => ( ~ c8_1(X189)
                | ! [X190] : 
                    ( ndr1_1(X189)
                   => ( c6_2(X189,X190)
                      | ~ c7_2(X189,X190) ) )
                | ( ndr1_1(X189)
                  & c2_2(X189,a396)
                  & c6_2(X189,a396)
                  & ~ c8_2(X189,a396) ) ) )
          | ( ndr1_0
            & ~ c8_1(a397)
            & ndr1_1(a397)
            & c10_2(a397,a398)
            & c4_2(a397,a398)
            & ~ c6_2(a397,a398)
            & ndr1_1(a397)
            & c8_2(a397,a399)
            & ~ c1_2(a397,a399)
            & ~ c10_2(a397,a399) ) )
        & ( ! [X191] : 
              ( ndr1_0
             => ( c6_1(X191)
                | c8_1(X191)
                | ~ c4_1(X191) ) )
          | ( ndr1_0
            & ~ c3_1(a400)
            & ! [X192] : 
                ( ndr1_1(a400)
               => ( c1_2(a400,X192)
                  | c10_2(a400,X192)
                  | ~ c3_2(a400,X192) ) )
            & ! [X193] : 
                ( ndr1_1(a400)
               => ( ~ c1_2(a400,X193)
                  | ~ c7_2(a400,X193)
                  | ~ c9_2(a400,X193) ) ) )
          | ( ndr1_0
            & ! [X194] : 
                ( ndr1_1(a401)
               => ( c5_2(a401,X194)
                  | ~ c8_2(a401,X194) ) )
            & ! [X195] : 
                ( ndr1_1(a401)
               => ( c8_2(a401,X195)
                  | ~ c2_2(a401,X195)
                  | ~ c4_2(a401,X195) ) )
            & ! [X196] : 
                ( ndr1_1(a401)
               => ( ~ c1_2(a401,X196)
                  | ~ c10_2(a401,X196)
                  | ~ c2_2(a401,X196) ) ) ) )
        & ( ! [X197] : 
              ( ndr1_0
             => ( c8_1(X197)
                | ( ndr1_1(X197)
                  & c2_2(X197,a402)
                  & ~ c1_2(X197,a402)
                  & ~ c3_2(X197,a402) ) ) )
          | ( ndr1_0
            & c2_1(a403)
            & ~ c4_1(a403)
            & ndr1_1(a403)
            & c10_2(a403,a404)
            & c5_2(a403,a404)
            & c8_2(a403,a404) ) )
        & ( ! [X198] : 
              ( ndr1_0
             => ( c9_1(X198)
                | ~ c2_1(X198)
                | ( ndr1_1(X198)
                  & c4_2(X198,a405)
                  & ~ c5_2(X198,a405) ) ) )
          | ( ndr1_0
            & c4_1(a406)
            & c9_1(a406)
            & ndr1_1(a406)
            & ~ c2_2(a406,a407)
            & ~ c7_2(a406,a407)
            & ~ c8_2(a406,a407) )
          | ( ndr1_0
            & ~ c2_1(a408)
            & ! [X199] : 
                ( ndr1_1(a408)
               => ( c8_2(a408,X199)
                  | c9_2(a408,X199)
                  | ~ c4_2(a408,X199) ) )
            & ndr1_1(a408)
            & c1_2(a408,a409)
            & c4_2(a408,a409)
            & ~ c5_2(a408,a409) ) )
        & ( ! [X200] : 
              ( ndr1_0
             => ( c9_1(X200)
                | ! [X201] : 
                    ( ndr1_1(X200)
                   => ( c3_2(X200,X201)
                      | c6_2(X200,X201) ) )
                | ( ndr1_1(X200)
                  & c1_2(X200,a410)
                  & c5_2(X200,a410)
                  & c6_2(X200,a410) ) ) )
          | ! [X202] : 
              ( ndr1_0
             => ( ~ c3_1(X202)
                | ~ c7_1(X202)
                | ~ c8_1(X202) ) )
          | ( ndr1_0
            & ! [X203] : 
                ( ndr1_1(a411)
               => ( c3_2(a411,X203)
                  | c8_2(a411,X203)
                  | ~ c2_2(a411,X203) ) )
            & ndr1_1(a411)
            & c3_2(a411,a412)
            & ~ c6_2(a411,a412)
            & ndr1_1(a411)
            & ~ c4_2(a411,a413)
            & ~ c8_2(a411,a413)
            & ~ c9_2(a411,a413) ) )
        & ( ! [X204] : 
              ( ndr1_0
             => ( ~ c1_1(X204)
                | ~ c5_1(X204)
                | ~ c8_1(X204) ) )
          | ( ndr1_0
            & c10_1(a414)
            & c9_1(a414)
            & ndr1_1(a414)
            & ~ c10_2(a414,a415)
            & ~ c4_2(a414,a415)
            & ~ c7_2(a414,a415) ) )
        & ( ! [X205] : 
              ( ndr1_0
             => ( ~ c1_1(X205)
                | ~ c5_1(X205)
                | ( ndr1_1(X205)
                  & c9_2(X205,a416)
                  & ~ c6_2(X205,a416) ) ) )
          | ( ndr1_0
            & c2_1(a417)
            & c3_1(a417)
            & c5_1(a417) )
          | ( ndr1_0
            & c7_1(a418)
            & c8_1(a418)
            & ndr1_1(a418)
            & c10_2(a418,a419)
            & c5_2(a418,a419)
            & ~ c4_2(a418,a419) ) )
        & ( ! [X206] : 
              ( ndr1_0
             => ( ~ c2_1(X206)
                | ~ c6_1(X206)
                | ! [X207] : 
                    ( ndr1_1(X206)
                   => ( c1_2(X206,X207)
                      | c4_2(X206,X207)
                      | c5_2(X206,X207) ) ) ) )
          | ( ndr1_0
            & c1_1(a420)
            & c5_1(a420)
            & ndr1_1(a420)
            & ~ c1_2(a420,a421)
            & ~ c8_2(a420,a421) )
          | ( ndr1_0
            & ~ c1_1(a422)
            & ~ c10_1(a422)
            & ! [X208] : 
                ( ndr1_1(a422)
               => ( c3_2(a422,X208)
                  | c4_2(a422,X208)
                  | ~ c6_2(a422,X208) ) ) ) )
        & ( ( ndr1_0
            & c10_1(a423)
            & ~ c5_1(a423)
            & ~ c6_1(a423) )
          | ( ndr1_0
            & c5_1(a424)
            & ! [X209] : 
                ( ndr1_1(a424)
               => ( ~ c1_2(a424,X209)
                  | ~ c2_2(a424,X209)
                  | ~ c5_2(a424,X209) ) )
            & ! [X210] : 
                ( ndr1_1(a424)
               => ( ~ c3_2(a424,X210)
                  | ~ c6_2(a424,X210)
                  | ~ c8_2(a424,X210) ) ) )
          | ( ndr1_0
            & c7_1(a425)
            & ~ c8_1(a425)
            & ndr1_1(a425)
            & c5_2(a425,a426)
            & c6_2(a425,a426) ) )
        & ( ( ndr1_0
            & c10_1(a427)
            & ndr1_1(a427)
            & c9_2(a427,a428)
            & ~ c10_2(a427,a428)
            & ~ c7_2(a427,a428) )
          | ( ndr1_0
            & c2_1(a429)
            & ~ c8_1(a429)
            & ndr1_1(a429)
            & c1_2(a429,a430)
            & c2_2(a429,a430)
            & c5_2(a429,a430) ) ) ) )).

%--------------------------------------------------------------------------
