%--------------------------------------------------------------------------
% File     : SYN427+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=10, R=1, L=150, K=3, D=2, P=0, Index=064
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-10-1-150-3-2-064.dfg [Wei97]

% Status   : CounterSatisfiable
% Rating   : 0.75 v3.1.0, 1.00 v2.6.0, 0.75 v2.5.0, 0.67 v2.4.0, 0.33 v2.3.0, 0.00 v2.2.1, 1.00 v2.1.0
%
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
%
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       : 1736 (   0 equality)
%            Maximal formula depth :  146 ( 146 average)
%            Number of connectives : 2377 ( 642 ~  ; 654  |; 858  &)
%                                         (   0 <=>; 223 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :  285 ( 264 propositional; 0-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :  223 (   0 singleton; 223 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%--------------------------------------------------------------------------
fof(co1,conjecture,
    ( ~ ( ( ~ c1_0
          | ! [U] : 
              ( ndr1_0
             => ( ~ c1_1(U)
                | ! [V] : 
                    ( ndr1_1(U)
                   => ( ~ c1_2(U,V)
                      | c5_2(U,V)
                      | c7_2(U,V) ) )
                | c10_1(U) ) )
          | ( ndr1_0
            & ! [W] : 
                ( ndr1_1(a1581)
               => ( ~ c5_2(a1581,W)
                  | c10_2(a1581,W)
                  | ~ c6_2(a1581,W) ) )
            & c8_1(a1581)
            & ~ c7_1(a1581) ) )
        & ( ~ c10_0
          | ~ c6_0
          | ! [X] : 
              ( ndr1_0
             => ( ! [Y] : 
                    ( ndr1_1(X)
                   => ( c7_2(X,Y)
                      | c6_2(X,Y)
                      | ~ c2_2(X,Y) ) )
                | ~ c6_1(X)
                | ~ c4_1(X) ) ) )
        & ( ~ c8_0
          | ( ndr1_0
            & ~ c2_1(a1582)
            & ndr1_1(a1582)
            & ~ c10_2(a1582,a1583)
            & c3_2(a1582,a1583)
            & ~ c4_2(a1582,a1583)
            & c1_1(a1582) )
          | ( ndr1_0
            & ndr1_1(a1584)
            & c8_2(a1584,a1585)
            & c2_2(a1584,a1585)
            & ~ c1_2(a1584,a1585)
            & ~ c7_1(a1584) ) )
        & ( ! [Z] : 
              ( ndr1_0
             => ( ( ndr1_1(Z)
                  & c9_2(Z,a1586)
                  & c8_2(Z,a1586)
                  & c10_2(Z,a1586) )
                | ~ c10_1(Z)
                | c8_1(Z) ) )
          | ( ndr1_0
            & c2_1(a1587)
            & ! [X1] : 
                ( ndr1_1(a1587)
               => ( c8_2(a1587,X1)
                  | ~ c2_2(a1587,X1) ) )
            & ~ c3_1(a1587) )
          | ( ndr1_0
            & ndr1_1(a1588)
            & c6_2(a1588,a1589)
            & ~ c9_2(a1588,a1589)
            & ~ c10_2(a1588,a1589)
            & c5_1(a1588)
            & ndr1_1(a1588)
            & ~ c9_2(a1588,a1590)
            & c4_2(a1588,a1590)
            & ~ c6_2(a1588,a1590) ) )
        & ( c7_0
          | ~ c4_0
          | ( ndr1_0
            & ndr1_1(a1591)
            & c4_2(a1591,a1592)
            & c8_2(a1591,a1592)
            & c6_2(a1591,a1592)
            & ~ c10_1(a1591)
            & ~ c4_1(a1591) ) )
        & ( ( ndr1_0
            & c9_1(a1593)
            & ndr1_1(a1593)
            & ~ c10_2(a1593,a1594)
            & ~ c8_2(a1593,a1594)
            & ~ c3_2(a1593,a1594)
            & ~ c6_1(a1593) )
          | ! [X2] : 
              ( ndr1_0
             => ( ( ndr1_1(X2)
                  & c3_2(X2,a1595)
                  & c4_2(X2,a1595)
                  & c6_2(X2,a1595) )
                | ( ndr1_1(X2)
                  & c5_2(X2,a1596)
                  & c3_2(X2,a1596) )
                | c7_1(X2) ) )
          | ~ c10_0 )
        & ( ~ c5_0
          | c7_0 )
        & ( c8_0
          | c9_0
          | ( ndr1_0
            & c5_1(a1597)
            & ndr1_1(a1597)
            & ~ c8_2(a1597,a1598)
            & c2_2(a1597,a1598)
            & ~ c1_2(a1597,a1598)
            & c1_1(a1597) ) )
        & ( ! [X3] : 
              ( ndr1_0
             => ( c1_1(X3)
                | ( ndr1_1(X3)
                  & ~ c1_2(X3,a1599)
                  & ~ c10_2(X3,a1599)
                  & c9_2(X3,a1599) )
                | c3_1(X3) ) )
          | ! [X4] : 
              ( ndr1_0
             => ( ! [X5] : 
                    ( ndr1_1(X4)
                   => ( c5_2(X4,X5)
                      | ~ c7_2(X4,X5)
                      | ~ c8_2(X4,X5) ) )
                | ( ndr1_1(X4)
                  & ~ c8_2(X4,a1600)
                  & ~ c6_2(X4,a1600)
                  & c9_2(X4,a1600) ) ) )
          | ( ndr1_0
            & c1_1(a1601)
            & c9_1(a1601) ) )
        & ( ! [X6] : 
              ( ndr1_0
             => ( ~ c8_1(X6)
                | ( ndr1_1(X6)
                  & ~ c4_2(X6,a1602)
                  & c2_2(X6,a1602) )
                | ! [X7] : 
                    ( ndr1_1(X6)
                   => ( c3_2(X6,X7)
                      | ~ c8_2(X6,X7)
                      | ~ c7_2(X6,X7) ) ) ) )
          | ( ndr1_0
            & ndr1_1(a1603)
            & c8_2(a1603,a1604)
            & ~ c2_2(a1603,a1604)
            & ~ c5_2(a1603,a1604)
            & ndr1_1(a1603)
            & ~ c6_2(a1603,a1605)
            & c8_2(a1603,a1605)
            & ndr1_1(a1603)
            & c1_2(a1603,a1606)
            & ~ c9_2(a1603,a1606)
            & ~ c5_2(a1603,a1606) )
          | ! [X8] : 
              ( ndr1_0
             => ( c10_1(X8)
                | ! [X9] : 
                    ( ndr1_1(X8)
                   => ( ~ c6_2(X8,X9)
                      | c3_2(X8,X9) ) )
                | c9_1(X8) ) ) )
        & ( ! [X10] : 
              ( ndr1_0
             => ( ( ndr1_1(X10)
                  & c9_2(X10,a1607)
                  & ~ c6_2(X10,a1607)
                  & ~ c8_2(X10,a1607) )
                | ~ c5_1(X10)
                | c6_1(X10) ) )
          | ! [X11] : 
              ( ndr1_0
             => ( ! [X12] : 
                    ( ndr1_1(X11)
                   => ( ~ c7_2(X11,X12)
                      | ~ c8_2(X11,X12)
                      | c5_2(X11,X12) ) )
                | ( ndr1_1(X11)
                  & ~ c10_2(X11,a1608)
                  & c7_2(X11,a1608)
                  & c5_2(X11,a1608) )
                | ! [X13] : 
                    ( ndr1_1(X11)
                   => ( c6_2(X11,X13)
                      | c3_2(X11,X13)
                      | ~ c10_2(X11,X13) ) ) ) )
          | ( ndr1_0
            & c10_1(a1609)
            & ~ c2_1(a1609)
            & c3_1(a1609) ) )
        & ( ~ c3_0
          | ( ndr1_0
            & c7_1(a1610)
            & ! [X14] : 
                ( ndr1_1(a1610)
               => ( c3_2(a1610,X14)
                  | c1_2(a1610,X14)
                  | ~ c10_2(a1610,X14) ) ) )
          | ( ndr1_0
            & c10_1(a1611)
            & ~ c5_1(a1611)
            & ndr1_1(a1611)
            & ~ c4_2(a1611,a1612)
            & ~ c8_2(a1611,a1612)
            & c9_2(a1611,a1612) ) )
        & ( ! [X15] : 
              ( ndr1_0
             => ( ~ c3_1(X15)
                | c8_1(X15)
                | c10_1(X15) ) )
          | ! [X16] : 
              ( ndr1_0
             => ( c3_1(X16)
                | ( ndr1_1(X16)
                  & ~ c1_2(X16,a1613)
                  & c5_2(X16,a1613)
                  & ~ c9_2(X16,a1613) )
                | ( ndr1_1(X16)
                  & c4_2(X16,a1614)
                  & ~ c3_2(X16,a1614)
                  & ~ c9_2(X16,a1614) ) ) ) )
        & ( c2_0
          | ! [X17] : 
              ( ndr1_0
             => ( ( ndr1_1(X17)
                  & c8_2(X17,a1615)
                  & ~ c9_2(X17,a1615)
                  & c3_2(X17,a1615) )
                | c2_1(X17)
                | c10_1(X17) ) )
          | ~ c10_0 )
        & ( ( ndr1_0
            & ~ c3_1(a1616)
            & ndr1_1(a1616)
            & ~ c4_2(a1616,a1617)
            & ~ c10_2(a1616,a1617)
            & c8_2(a1616,a1617)
            & ~ c9_1(a1616) )
          | ~ c10_0
          | c9_0 )
        & ( ( ndr1_0
            & ndr1_1(a1618)
            & ~ c6_2(a1618,a1619)
            & c8_2(a1618,a1619)
            & c9_2(a1618,a1619)
            & c5_1(a1618)
            & ! [X18] : 
                ( ndr1_1(a1618)
               => ( ~ c8_2(a1618,X18)
                  | c3_2(a1618,X18)
                  | ~ c9_2(a1618,X18) ) ) )
          | ~ c9_0
          | ( ndr1_0
            & ndr1_1(a1620)
            & ~ c8_2(a1620,a1621)
            & c7_2(a1620,a1621)
            & ~ c4_2(a1620,a1621)
            & c3_1(a1620)
            & ! [X19] : 
                ( ndr1_1(a1620)
               => ( ~ c9_2(a1620,X19)
                  | c4_2(a1620,X19)
                  | c10_2(a1620,X19) ) ) ) )
        & ( ! [X20] : 
              ( ndr1_0
             => ( c4_1(X20)
                | ! [X21] : 
                    ( ndr1_1(X20)
                   => ( ~ c7_2(X20,X21)
                      | c6_2(X20,X21)
                      | ~ c10_2(X20,X21) ) )
                | ! [X22] : 
                    ( ndr1_1(X20)
                   => ( c1_2(X20,X22)
                      | ~ c2_2(X20,X22)
                      | c7_2(X20,X22) ) ) ) )
          | ! [X23] : 
              ( ndr1_0
             => ( c6_1(X23)
                | ( ndr1_1(X23)
                  & ~ c5_2(X23,a1622)
                  & c9_2(X23,a1622)
                  & c3_2(X23,a1622) )
                | ! [X24] : 
                    ( ndr1_1(X23)
                   => ( c2_2(X23,X24)
                      | ~ c4_2(X23,X24)
                      | c5_2(X23,X24) ) ) ) )
          | c1_0 )
        & ( ! [X25] : 
              ( ndr1_0
             => ( ( ndr1_1(X25)
                  & ~ c2_2(X25,a1623)
                  & ~ c6_2(X25,a1623)
                  & ~ c10_2(X25,a1623) )
                | ( ndr1_1(X25)
                  & c4_2(X25,a1624)
                  & c1_2(X25,a1624) )
                | ~ c9_1(X25) ) )
          | ! [X26] : 
              ( ndr1_0
             => ( ! [X27] : 
                    ( ndr1_1(X26)
                   => ( c10_2(X26,X27)
                      | c3_2(X26,X27)
                      | ~ c6_2(X26,X27) ) )
                | c9_1(X26)
                | ( ndr1_1(X26)
                  & c9_2(X26,a1625)
                  & ~ c5_2(X26,a1625)
                  & c6_2(X26,a1625) ) ) )
          | ( ndr1_0
            & c5_1(a1626)
            & c3_1(a1626)
            & c9_1(a1626) ) )
        & ( ~ c8_0
          | ! [X28] : 
              ( ndr1_0
             => ( ( ndr1_1(X28)
                  & ~ c7_2(X28,a1627)
                  & ~ c10_2(X28,a1627)
                  & ~ c1_2(X28,a1627) )
                | ( ndr1_1(X28)
                  & ~ c3_2(X28,a1628)
                  & c9_2(X28,a1628)
                  & c10_2(X28,a1628) )
                | ~ c9_1(X28) ) ) )
        & ( ~ c10_0
          | ! [X29] : 
              ( ndr1_0
             => ( c4_1(X29)
                | ~ c6_1(X29)
                | c2_1(X29) ) )
          | ( ndr1_0
            & ! [X30] : 
                ( ndr1_1(a1629)
               => ( ~ c4_2(a1629,X30)
                  | ~ c9_2(a1629,X30)
                  | c2_2(a1629,X30) ) )
            & ndr1_1(a1629)
            & ~ c6_2(a1629,a1630)
            & c7_2(a1629,a1630)
            & ~ c4_2(a1629,a1630)
            & c1_1(a1629) ) )
        & ( ( ndr1_0
            & c5_1(a1631)
            & ndr1_1(a1631)
            & c9_2(a1631,a1632)
            & ~ c1_2(a1631,a1632)
            & ~ c5_2(a1631,a1632)
            & ndr1_1(a1631)
            & c4_2(a1631,a1633)
            & ~ c3_2(a1631,a1633)
            & c9_2(a1631,a1633) )
          | ! [X31] : 
              ( ndr1_0
             => ( c2_1(X31)
                | ( ndr1_1(X31)
                  & c3_2(X31,a1634)
                  & c6_2(X31,a1634) )
                | c5_1(X31) ) )
          | ! [X32] : 
              ( ndr1_0
             => ( c9_1(X32)
                | ~ c5_1(X32)
                | c6_1(X32) ) ) )
        & ( ( ndr1_0
            & ndr1_1(a1635)
            & c8_2(a1635,a1636)
            & c9_2(a1635,a1636)
            & c2_2(a1635,a1636)
            & ndr1_1(a1635)
            & c3_2(a1635,a1637)
            & ~ c2_2(a1635,a1637)
            & ndr1_1(a1635)
            & c1_2(a1635,a1638)
            & ~ c5_2(a1635,a1638)
            & ~ c8_2(a1635,a1638) )
          | c9_0
          | ( ndr1_0
            & ~ c9_1(a1639)
            & ndr1_1(a1639)
            & ~ c4_2(a1639,a1640)
            & ~ c5_2(a1639,a1640)
            & c6_2(a1639,a1640)
            & ndr1_1(a1639)
            & ~ c10_2(a1639,a1641)
            & c9_2(a1639,a1641)
            & c1_2(a1639,a1641) ) )
        & ( ! [X33] : 
              ( ndr1_0
             => ( ~ c6_1(X33)
                | ~ c1_1(X33)
                | ~ c3_1(X33) ) )
          | ! [X34] : 
              ( ndr1_0
             => ( ! [X35] : 
                    ( ndr1_1(X34)
                   => ( c1_2(X34,X35)
                      | ~ c6_2(X34,X35) ) )
                | c1_1(X34)
                | ! [X36] : 
                    ( ndr1_1(X34)
                   => ( ~ c4_2(X34,X36)
                      | ~ c10_2(X34,X36)
                      | ~ c1_2(X34,X36) ) ) ) )
          | ! [X37] : 
              ( ndr1_0
             => ( c6_1(X37)
                | c2_1(X37)
                | ( ndr1_1(X37)
                  & ~ c9_2(X37,a1642)
                  & ~ c7_2(X37,a1642)
                  & ~ c1_2(X37,a1642) ) ) ) )
        & ( ! [X38] : 
              ( ndr1_0
             => ( ~ c6_1(X38)
                | c3_1(X38)
                | ( ndr1_1(X38)
                  & c3_2(X38,a1643)
                  & ~ c9_2(X38,a1643) ) ) )
          | ( ndr1_0
            & ! [X39] : 
                ( ndr1_1(a1644)
               => ( ~ c8_2(a1644,X39)
                  | c4_2(a1644,X39)
                  | c9_2(a1644,X39) ) )
            & ~ c6_1(a1644)
            & ~ c9_1(a1644) )
          | ( ndr1_0
            & ndr1_1(a1645)
            & c2_2(a1645,a1646)
            & ~ c1_2(a1645,a1646)
            & ~ c5_2(a1645,a1646)
            & ~ c6_1(a1645)
            & c9_1(a1645) ) )
        & ( ( ndr1_0
            & ~ c2_1(a1647)
            & ~ c4_1(a1647)
            & ! [X40] : 
                ( ndr1_1(a1647)
               => ( c9_2(a1647,X40)
                  | c4_2(a1647,X40) ) ) )
          | ! [X41] : 
              ( ndr1_0
             => ( ( ndr1_1(X41)
                  & c10_2(X41,a1648)
                  & c3_2(X41,a1648)
                  & c2_2(X41,a1648) )
                | ( ndr1_1(X41)
                  & ~ c1_2(X41,a1649)
                  & c8_2(X41,a1649)
                  & c7_2(X41,a1649) ) ) )
          | ( ndr1_0
            & ~ c9_1(a1650)
            & ~ c6_1(a1650)
            & c2_1(a1650) ) )
        & ( c3_0
          | ( ndr1_0
            & ndr1_1(a1651)
            & ~ c8_2(a1651,a1652)
            & c2_2(a1651,a1652)
            & ~ c10_1(a1651)
            & c2_1(a1651) )
          | ~ c9_0 )
        & ( ~ c5_0
          | ~ c9_0
          | ! [X42] : 
              ( ndr1_0
             => ( ~ c2_1(X42)
                | ~ c3_1(X42)
                | ( ndr1_1(X42)
                  & ~ c4_2(X42,a1653)
                  & c6_2(X42,a1653) ) ) ) )
        & ( ~ c2_0
          | ! [X43] : 
              ( ndr1_0
             => ( c5_1(X43)
                | c10_1(X43)
                | ! [X44] : 
                    ( ndr1_1(X43)
                   => ( ~ c1_2(X43,X44)
                      | ~ c3_2(X43,X44)
                      | ~ c9_2(X43,X44) ) ) ) )
          | ( ndr1_0
            & ~ c3_1(a1654)
            & c1_1(a1654)
            & ~ c6_1(a1654) ) )
        & ( c10_0
          | c4_0
          | ( ndr1_0
            & ndr1_1(a1655)
            & ~ c7_2(a1655,a1656)
            & c2_2(a1655,a1656)
            & c6_1(a1655)
            & ! [X45] : 
                ( ndr1_1(a1655)
               => ( c1_2(a1655,X45)
                  | ~ c7_2(a1655,X45)
                  | ~ c10_2(a1655,X45) ) ) ) )
        & ( ! [X46] : 
              ( ndr1_0
             => ( ( ndr1_1(X46)
                  & ~ c3_2(X46,a1657)
                  & ~ c2_2(X46,a1657)
                  & c7_2(X46,a1657) )
                | ~ c9_1(X46)
                | ! [X47] : 
                    ( ndr1_1(X46)
                   => ( c3_2(X46,X47)
                      | ~ c8_2(X46,X47)
                      | c6_2(X46,X47) ) ) ) )
          | ! [X48] : 
              ( ndr1_0
             => ( ! [X49] : 
                    ( ndr1_1(X48)
                   => ( ~ c9_2(X48,X49)
                      | c3_2(X48,X49)
                      | ~ c7_2(X48,X49) ) )
                | c3_1(X48)
                | ~ c8_1(X48) ) )
          | ! [X50] : 
              ( ndr1_0
             => ( ~ c1_1(X50)
                | c6_1(X50) ) ) )
        & ( ! [X51] : 
              ( ndr1_0
             => ( ! [X52] : 
                    ( ndr1_1(X51)
                   => ( c9_2(X51,X52)
                      | c8_2(X51,X52) ) )
                | ( ndr1_1(X51)
                  & ~ c9_2(X51,a1658)
                  & c3_2(X51,a1658)
                  & ~ c7_2(X51,a1658) )
                | c9_1(X51) ) )
          | ( ndr1_0
            & ndr1_1(a1659)
            & c4_2(a1659,a1660)
            & c5_2(a1659,a1660)
            & c3_2(a1659,a1660)
            & ndr1_1(a1659)
            & c4_2(a1659,a1661)
            & ~ c1_2(a1659,a1661)
            & c9_2(a1659,a1661)
            & ~ c5_1(a1659) ) )
        & ( ( ndr1_0
            & ndr1_1(a1662)
            & c7_2(a1662,a1663)
            & ~ c1_2(a1662,a1663)
            & c5_2(a1662,a1663)
            & c2_1(a1662)
            & ndr1_1(a1662)
            & ~ c10_2(a1662,a1664)
            & c3_2(a1662,a1664)
            & ~ c1_2(a1662,a1664) )
          | ! [X53] : 
              ( ndr1_0
             => ( c8_1(X53)
                | ( ndr1_1(X53)
                  & ~ c9_2(X53,a1665)
                  & ~ c7_2(X53,a1665)
                  & ~ c8_2(X53,a1665) )
                | c3_1(X53) ) )
          | c4_0 )
        & ( c9_0
          | c6_0 )
        & ( ! [X54] : 
              ( ndr1_0
             => ( ( ndr1_1(X54)
                  & c3_2(X54,a1666)
                  & ~ c10_2(X54,a1666) )
                | ~ c8_1(X54)
                | c6_1(X54) ) )
          | ~ c9_0
          | ( ndr1_0
            & ~ c9_1(a1667)
            & c4_1(a1667)
            & ! [X55] : 
                ( ndr1_1(a1667)
               => ( ~ c1_2(a1667,X55)
                  | ~ c9_2(a1667,X55)
                  | c3_2(a1667,X55) ) ) ) )
        & ( ( ndr1_0
            & ~ c6_1(a1668)
            & ! [X56] : 
                ( ndr1_1(a1668)
               => ( ~ c9_2(a1668,X56)
                  | ~ c3_2(a1668,X56)
                  | c8_2(a1668,X56) ) ) )
          | c6_0 )
        & ( c3_0
          | ~ c8_0
          | ( ndr1_0
            & ndr1_1(a1669)
            & c10_2(a1669,a1670)
            & ~ c8_2(a1669,a1670)
            & ~ c2_2(a1669,a1670)
            & ndr1_1(a1669)
            & c9_2(a1669,a1671)
            & c2_2(a1669,a1671)
            & ~ c4_2(a1669,a1671)
            & ! [X57] : 
                ( ndr1_1(a1669)
               => ( ~ c3_2(a1669,X57)
                  | ~ c2_2(a1669,X57)
                  | c1_2(a1669,X57) ) ) ) )
        & ( ~ c4_0
          | ~ c1_0
          | ~ c6_0 )
        & ( c7_0
          | ~ c8_0
          | ! [X58] : 
              ( ndr1_0
             => ( ~ c7_1(X58)
                | ! [X59] : 
                    ( ndr1_1(X58)
                   => ( ~ c8_2(X58,X59)
                      | c3_2(X58,X59)
                      | c1_2(X58,X59) ) )
                | c1_1(X58) ) ) )
        & ( ( ndr1_0
            & ndr1_1(a1672)
            & c10_2(a1672,a1673)
            & ~ c4_2(a1672,a1673)
            & ~ c6_2(a1672,a1673)
            & ndr1_1(a1672)
            & ~ c1_2(a1672,a1674)
            & c8_2(a1672,a1674)
            & c9_2(a1672,a1674) )
          | ! [X60] : 
              ( ndr1_0
             => ( ( ndr1_1(X60)
                  & ~ c9_2(X60,a1675)
                  & c4_2(X60,a1675)
                  & ~ c5_2(X60,a1675) )
                | ~ c9_1(X60) ) )
          | c9_0 )
        & ( ! [X61] : 
              ( ndr1_0
             => ( ~ c9_1(X61)
                | ( ndr1_1(X61)
                  & c8_2(X61,a1676)
                  & c10_2(X61,a1676) )
                | c2_1(X61) ) )
          | ~ c1_0
          | ( ndr1_0
            & ndr1_1(a1677)
            & c9_2(a1677,a1678)
            & ~ c3_2(a1677,a1678)
            & c10_1(a1677)
            & c3_1(a1677) ) )
        & ( ~ c6_0
          | ~ c9_0
          | ( ndr1_0
            & ~ c9_1(a1679)
            & ndr1_1(a1679)
            & c8_2(a1679,a1680)
            & ~ c4_2(a1679,a1680)
            & c7_2(a1679,a1680)
            & ! [X62] : 
                ( ndr1_1(a1679)
               => ( c5_2(a1679,X62)
                  | c7_2(a1679,X62)
                  | c2_2(a1679,X62) ) ) ) )
        & ( ~ c5_0
          | ( ndr1_0
            & ! [X63] : 
                ( ndr1_1(a1681)
               => ( ~ c10_2(a1681,X63)
                  | ~ c6_2(a1681,X63)
                  | ~ c8_2(a1681,X63) ) )
            & c8_1(a1681)
            & c3_1(a1681) )
          | ~ c3_0 )
        & ( ~ c5_0
          | ! [X64] : 
              ( ndr1_0
             => ( ! [X65] : 
                    ( ndr1_1(X64)
                   => ( ~ c5_2(X64,X65)
                      | c1_2(X64,X65) ) )
                | c7_1(X64) ) )
          | ! [X66] : 
              ( ndr1_0
             => ( ( ndr1_1(X66)
                  & ~ c1_2(X66,a1682)
                  & ~ c8_2(X66,a1682)
                  & c9_2(X66,a1682) )
                | ! [X67] : 
                    ( ndr1_1(X66)
                   => ( c1_2(X66,X67)
                      | c4_2(X66,X67)
                      | c3_2(X66,X67) ) )
                | ~ c7_1(X66) ) ) )
        & ( ( ndr1_0
            & c8_1(a1683)
            & ndr1_1(a1683)
            & ~ c6_2(a1683,a1684)
            & c5_2(a1683,a1684)
            & ~ c8_2(a1683,a1684)
            & ~ c2_1(a1683) )
          | ~ c2_0
          | ~ c5_0 )
        & ( c3_0
          | ( ndr1_0
            & ! [X68] : 
                ( ndr1_1(a1685)
               => ( c8_2(a1685,X68)
                  | c2_2(a1685,X68)
                  | c1_2(a1685,X68) ) )
            & ~ c9_1(a1685)
            & ndr1_1(a1685)
            & ~ c6_2(a1685,a1686)
            & c9_2(a1685,a1686)
            & c8_2(a1685,a1686) ) )
        & ( c1_0
          | ! [X69] : 
              ( ndr1_0
             => ( ! [X70] : 
                    ( ndr1_1(X69)
                   => ( ~ c1_2(X69,X70)
                      | ~ c6_2(X69,X70)
                      | c2_2(X69,X70) ) )
                | c7_1(X69)
                | ~ c5_1(X69) ) ) )
        & ( ~ c7_0
          | c10_0
          | c2_0 )
        & ( ~ c4_0
          | ~ c2_0
          | c6_0 )
        & ( c10_0
          | c2_0
          | ! [X71] : 
              ( ndr1_0
             => ( ~ c8_1(X71)
                | ! [X72] : 
                    ( ndr1_1(X71)
                   => ( ~ c4_2(X71,X72)
                      | ~ c10_2(X71,X72)
                      | ~ c6_2(X71,X72) ) )
                | ~ c2_1(X71) ) ) )
        & ( c3_0
          | ( ndr1_0
            & ~ c4_1(a1687)
            & ! [X73] : 
                ( ndr1_1(a1687)
               => ( c1_2(a1687,X73)
                  | c2_2(a1687,X73)
                  | c8_2(a1687,X73) ) )
            & ! [X74] : 
                ( ndr1_1(a1687)
               => ( c10_2(a1687,X74)
                  | c9_2(a1687,X74)
                  | ~ c6_2(a1687,X74) ) ) )
          | c7_0 )
        & ( ~ c3_0
          | ( ndr1_0
            & ~ c6_1(a1688)
            & c8_1(a1688)
            & ! [X75] : 
                ( ndr1_1(a1688)
               => ( ~ c5_2(a1688,X75)
                  | ~ c2_2(a1688,X75)
                  | ~ c7_2(a1688,X75) ) ) )
          | ~ c8_0 )
        & ( c4_0
          | ! [X76] : 
              ( ndr1_0
             => ( ! [X77] : 
                    ( ndr1_1(X76)
                   => ( c10_2(X76,X77)
                      | ~ c5_2(X76,X77)
                      | c2_2(X76,X77) ) )
                | ~ c1_1(X76)
                | ! [X78] : 
                    ( ndr1_1(X76)
                   => ( c5_2(X76,X78)
                      | ~ c8_2(X76,X78) ) ) ) )
          | ! [X79] : 
              ( ndr1_0
             => ( c1_1(X79)
                | ~ c5_1(X79)
                | ! [X80] : 
                    ( ndr1_1(X79)
                   => ( ~ c3_2(X79,X80)
                      | ~ c7_2(X79,X80)
                      | ~ c9_2(X79,X80) ) ) ) ) )
        & ( ! [X81] : 
              ( ndr1_0
             => ( ( ndr1_1(X81)
                  & ~ c3_2(X81,a1689)
                  & ~ c9_2(X81,a1689)
                  & c1_2(X81,a1689) )
                | ( ndr1_1(X81)
                  & ~ c2_2(X81,a1690)
                  & c7_2(X81,a1690)
                  & c6_2(X81,a1690) ) ) )
          | c8_0
          | c10_0 )
        & ( ~ c3_0
          | c2_0 )
        & ( ! [X82] : 
              ( ndr1_0
             => ( c8_1(X82)
                | c10_1(X82)
                | ~ c9_1(X82) ) )
          | c4_0
          | c7_0 )
        & ( c6_0
          | ! [X83] : 
              ( ndr1_0
             => ( ~ c5_1(X83)
                | ! [X84] : 
                    ( ndr1_1(X83)
                   => ( c1_2(X83,X84)
                      | c2_2(X83,X84)
                      | ~ c10_2(X83,X84) ) ) ) )
          | ~ c5_0 )
        & ( c4_0
          | ! [X85] : 
              ( ndr1_0
             => ( ! [X86] : 
                    ( ndr1_1(X85)
                   => ( c7_2(X85,X86)
                      | ~ c4_2(X85,X86)
                      | ~ c8_2(X85,X86) ) )
                | c8_1(X85) ) )
          | ( ndr1_0
            & ! [X87] : 
                ( ndr1_1(a1691)
               => ( ~ c7_2(a1691,X87)
                  | ~ c9_2(a1691,X87)
                  | ~ c5_2(a1691,X87) ) )
            & ~ c6_1(a1691)
            & ~ c1_1(a1691) ) )
        & ( ( ndr1_0
            & ! [X88] : 
                ( ndr1_1(a1692)
               => ( c3_2(a1692,X88)
                  | c9_2(a1692,X88)
                  | ~ c6_2(a1692,X88) ) )
            & ~ c8_1(a1692)
            & ndr1_1(a1692)
            & c4_2(a1692,a1693)
            & ~ c9_2(a1692,a1693)
            & c10_2(a1692,a1693) )
          | ( ndr1_0
            & c9_1(a1694)
            & ~ c6_1(a1694)
            & ! [X89] : 
                ( ndr1_1(a1694)
               => ( c6_2(a1694,X89)
                  | ~ c8_2(a1694,X89)
                  | ~ c4_2(a1694,X89) ) ) )
          | ( ndr1_0
            & ~ c9_1(a1695)
            & ndr1_1(a1695)
            & c8_2(a1695,a1696)
            & ~ c1_2(a1695,a1696)
            & ~ c9_2(a1695,a1696)
            & ndr1_1(a1695)
            & ~ c2_2(a1695,a1697)
            & c8_2(a1695,a1697)
            & ~ c10_2(a1695,a1697) ) )
        & ( c2_0
          | ! [X90] : 
              ( ndr1_0
             => ( c10_1(X90)
                | ~ c3_1(X90)
                | c8_1(X90) ) )
          | c3_0 )
        & ( ! [X91] : 
              ( ndr1_0
             => ( c7_1(X91)
                | c9_1(X91)
                | ! [X92] : 
                    ( ndr1_1(X91)
                   => ( c7_2(X91,X92)
                      | c10_2(X91,X92)
                      | c3_2(X91,X92) ) ) ) )
          | ( ndr1_0
            & ~ c6_1(a1698)
            & ~ c3_1(a1698) )
          | ! [X93] : 
              ( ndr1_0
             => ( ( ndr1_1(X93)
                  & ~ c9_2(X93,a1699)
                  & ~ c8_2(X93,a1699)
                  & ~ c4_2(X93,a1699) )
                | ~ c8_1(X93)
                | ~ c10_1(X93) ) ) )
        & ( c1_0
          | ( ndr1_0
            & ndr1_1(a1700)
            & c4_2(a1700,a1701)
            & c9_2(a1700,a1701)
            & ~ c7_2(a1700,a1701)
            & ! [X94] : 
                ( ndr1_1(a1700)
               => ( ~ c3_2(a1700,X94)
                  | ~ c10_2(a1700,X94)
                  | c6_2(a1700,X94) ) )
            & ~ c7_1(a1700) )
          | ~ c10_0 )
        & ( ( ndr1_0
            & ! [X95] : 
                ( ndr1_1(a1702)
               => ( ~ c8_2(a1702,X95)
                  | c6_2(a1702,X95)
                  | c5_2(a1702,X95) ) )
            & ndr1_1(a1702)
            & c10_2(a1702,a1703)
            & ~ c5_2(a1702,a1703)
            & ~ c9_2(a1702,a1703)
            & ! [X96] : 
                ( ndr1_1(a1702)
               => ( ~ c4_2(a1702,X96)
                  | ~ c1_2(a1702,X96)
                  | c2_2(a1702,X96) ) ) )
          | ~ c7_0
          | ~ c6_0 )
        & ( ~ c9_0
          | c3_0
          | c2_0 )
        & ( ( ndr1_0
            & ! [X97] : 
                ( ndr1_1(a1704)
               => ( ~ c5_2(a1704,X97)
                  | ~ c6_2(a1704,X97)
                  | c3_2(a1704,X97) ) )
            & c1_1(a1704) )
          | c1_0
          | c10_0 )
        & ( c5_0
          | ~ c10_0 )
        & ( ~ c3_0
          | ~ c5_0
          | ( ndr1_0
            & ~ c3_1(a1705)
            & ~ c9_1(a1705)
            & ~ c1_1(a1705) ) )
        & ( ( ndr1_0
            & c4_1(a1706)
            & ! [X98] : 
                ( ndr1_1(a1706)
               => ( ~ c2_2(a1706,X98)
                  | ~ c5_2(a1706,X98)
                  | ~ c9_2(a1706,X98) ) )
            & ndr1_1(a1706)
            & c6_2(a1706,a1707)
            & ~ c7_2(a1706,a1707)
            & ~ c8_2(a1706,a1707) )
          | ( ndr1_0
            & ! [X99] : 
                ( ndr1_1(a1708)
               => ( c6_2(a1708,X99)
                  | ~ c4_2(a1708,X99)
                  | ~ c2_2(a1708,X99) ) )
            & ! [X100] : 
                ( ndr1_1(a1708)
               => ( c10_2(a1708,X100)
                  | c4_2(a1708,X100)
                  | c1_2(a1708,X100) ) )
            & ! [X101] : 
                ( ndr1_1(a1708)
               => ( c9_2(a1708,X101)
                  | c5_2(a1708,X101)
                  | c6_2(a1708,X101) ) ) )
          | c1_0 )
        & ( c2_0
          | c3_0
          | ! [X102] : 
              ( ndr1_0
             => ( c7_1(X102)
                | c4_1(X102)
                | c2_1(X102) ) ) )
        & ( c9_0
          | ~ c4_0 )
        & ( ! [X103] : 
              ( ndr1_0
             => ( ( ndr1_1(X103)
                  & ~ c5_2(X103,a1709)
                  & ~ c2_2(X103,a1709)
                  & c6_2(X103,a1709) )
                | c8_1(X103)
                | c2_1(X103) ) )
          | ! [X104] : 
              ( ndr1_0
             => ( c8_1(X104)
                | ( ndr1_1(X104)
                  & c1_2(X104,a1710)
                  & c3_2(X104,a1710) )
                | c2_1(X104) ) )
          | ( ndr1_0
            & c1_1(a1711)
            & c9_1(a1711)
            & ! [X105] : 
                ( ndr1_1(a1711)
               => ( ~ c10_2(a1711,X105)
                  | ~ c3_2(a1711,X105)
                  | ~ c6_2(a1711,X105) ) ) ) )
        & ( c2_0
          | ! [X106] : 
              ( ndr1_0
             => ( ! [X107] : 
                    ( ndr1_1(X106)
                   => ( ~ c10_2(X106,X107)
                      | c2_2(X106,X107) ) )
                | ~ c1_1(X106)
                | ~ c2_1(X106) ) )
          | ! [X108] : 
              ( ndr1_0
             => ( ~ c3_1(X108)
                | ! [X109] : 
                    ( ndr1_1(X108)
                   => ( c1_2(X108,X109)
                      | ~ c2_2(X108,X109) ) )
                | ~ c2_1(X108) ) ) )
        & ( ( ndr1_0
            & c2_1(a1712)
            & ! [X110] : 
                ( ndr1_1(a1712)
               => ( ~ c4_2(a1712,X110)
                  | ~ c1_2(a1712,X110)
                  | ~ c5_2(a1712,X110) ) )
            & ndr1_1(a1712)
            & ~ c7_2(a1712,a1713)
            & ~ c10_2(a1712,a1713)
            & c4_2(a1712,a1713) )
          | c10_0
          | ! [X111] : 
              ( ndr1_0
             => ( ~ c10_1(X111)
                | ( ndr1_1(X111)
                  & c4_2(X111,a1714)
                  & c3_2(X111,a1714)
                  & c2_2(X111,a1714) )
                | ~ c5_1(X111) ) ) )
        & ( c3_0
          | ! [X112] : 
              ( ndr1_0
             => ( ~ c10_1(X112)
                | ~ c9_1(X112) ) )
          | ! [X113] : 
              ( ndr1_0
             => ( ( ndr1_1(X113)
                  & ~ c10_2(X113,a1715)
                  & c3_2(X113,a1715)
                  & ~ c8_2(X113,a1715) )
                | ! [X114] : 
                    ( ndr1_1(X113)
                   => ( ~ c1_2(X113,X114)
                      | ~ c4_2(X113,X114)
                      | ~ c3_2(X113,X114) ) )
                | c9_1(X113) ) ) )
        & ( ! [X115] : 
              ( ndr1_0
             => ( ! [X116] : 
                    ( ndr1_1(X115)
                   => ( ~ c3_2(X115,X116)
                      | c1_2(X115,X116) ) )
                | ( ndr1_1(X115)
                  & c7_2(X115,a1716)
                  & c10_2(X115,a1716)
                  & c8_2(X115,a1716) )
                | ~ c7_1(X115) ) )
          | ~ c2_0
          | ! [X117] : 
              ( ndr1_0
             => ( ~ c8_1(X117)
                | ( ndr1_1(X117)
                  & ~ c9_2(X117,a1717)
                  & ~ c10_2(X117,a1717) )
                | ! [X118] : 
                    ( ndr1_1(X117)
                   => ( c6_2(X117,X118)
                      | ~ c10_2(X117,X118)
                      | c3_2(X117,X118) ) ) ) ) )
        & ( ~ c4_0
          | c1_0
          | ( ndr1_0
            & c2_1(a1718)
            & c6_1(a1718)
            & ndr1_1(a1718)
            & c7_2(a1718,a1719)
            & ~ c5_2(a1718,a1719)
            & c6_2(a1718,a1719) ) )
        & ( ~ c4_0
          | c3_0
          | ~ c10_0 )
        & ( ! [X119] : 
              ( ndr1_0
             => ( c9_1(X119)
                | ( ndr1_1(X119)
                  & c3_2(X119,a1720)
                  & c2_2(X119,a1720) )
                | ! [X120] : 
                    ( ndr1_1(X119)
                   => ( c8_2(X119,X120)
                      | c4_2(X119,X120)
                      | c10_2(X119,X120) ) ) ) )
          | ( ndr1_0
            & ndr1_1(a1721)
            & ~ c8_2(a1721,a1722)
            & ~ c4_2(a1721,a1722)
            & ~ c2_2(a1721,a1722)
            & ~ c3_1(a1721)
            & ! [X121] : 
                ( ndr1_1(a1721)
               => ( ~ c9_2(a1721,X121)
                  | ~ c5_2(a1721,X121)
                  | c4_2(a1721,X121) ) ) )
          | ( ndr1_0
            & ~ c5_1(a1723)
            & ! [X122] : 
                ( ndr1_1(a1723)
               => ( c6_2(a1723,X122)
                  | ~ c3_2(a1723,X122)
                  | c9_2(a1723,X122) ) )
            & ndr1_1(a1723)
            & c9_2(a1723,a1724)
            & c5_2(a1723,a1724)
            & c7_2(a1723,a1724) ) )
        & ( ( ndr1_0
            & ~ c8_1(a1725)
            & ~ c3_1(a1725)
            & c9_1(a1725) )
          | ! [X123] : 
              ( ndr1_0
             => ( c3_1(X123)
                | ~ c10_1(X123)
                | ~ c9_1(X123) ) ) )
        & ( ! [X124] : 
              ( ndr1_0
             => ( ~ c6_1(X124)
                | c9_1(X124)
                | ~ c5_1(X124) ) )
          | ( ndr1_0
            & ~ c1_1(a1726)
            & ndr1_1(a1726)
            & c4_2(a1726,a1727)
            & ~ c7_2(a1726,a1727)
            & c3_2(a1726,a1727)
            & ! [X125] : 
                ( ndr1_1(a1726)
               => ( ~ c2_2(a1726,X125)
                  | ~ c4_2(a1726,X125)
                  | ~ c8_2(a1726,X125) ) ) ) )
        & ( c5_0
          | ~ c7_0
          | ~ c3_0 )
        & ( ! [X126] : 
              ( ndr1_0
             => ( ( ndr1_1(X126)
                  & ~ c3_2(X126,a1728)
                  & ~ c9_2(X126,a1728)
                  & c5_2(X126,a1728) )
                | c1_1(X126)
                | ! [X127] : 
                    ( ndr1_1(X126)
                   => ( c2_2(X126,X127)
                      | ~ c7_2(X126,X127)
                      | c1_2(X126,X127) ) ) ) )
          | ( ndr1_0
            & c5_1(a1729)
            & c3_1(a1729)
            & ~ c9_1(a1729) )
          | ( ndr1_0
            & ~ c6_1(a1730)
            & ndr1_1(a1730)
            & c9_2(a1730,a1731)
            & c5_2(a1730,a1731)
            & c4_2(a1730,a1731)
            & ! [X128] : 
                ( ndr1_1(a1730)
               => ( ~ c2_2(a1730,X128)
                  | c4_2(a1730,X128)
                  | c1_2(a1730,X128) ) ) ) )
        & ( c2_0
          | c10_0
          | ! [X129] : 
              ( ndr1_0
             => ( ! [X130] : 
                    ( ndr1_1(X129)
                   => ( ~ c10_2(X129,X130)
                      | c3_2(X129,X130)
                      | ~ c6_2(X129,X130) ) )
                | ~ c10_1(X129)
                | ( ndr1_1(X129)
                  & c9_2(X129,a1732)
                  & ~ c8_2(X129,a1732)
                  & c4_2(X129,a1732) ) ) ) )
        & ( ( ndr1_0
            & ~ c7_1(a1733)
            & ndr1_1(a1733)
            & c7_2(a1733,a1734)
            & ~ c6_2(a1733,a1734)
            & c8_2(a1733,a1734)
            & ndr1_1(a1733)
            & c5_2(a1733,a1735)
            & c1_2(a1733,a1735)
            & c9_2(a1733,a1735) )
          | ( ndr1_0
            & c6_1(a1736)
            & ~ c1_1(a1736)
            & ~ c8_1(a1736) )
          | ! [X131] : 
              ( ndr1_0
             => ( ~ c10_1(X131)
                | ( ndr1_1(X131)
                  & ~ c10_2(X131,a1737)
                  & c8_2(X131,a1737) )
                | ( ndr1_1(X131)
                  & c9_2(X131,a1738)
                  & ~ c4_2(X131,a1738)
                  & ~ c2_2(X131,a1738) ) ) ) )
        & ( ~ c9_0
          | c3_0
          | ( ndr1_0
            & c7_1(a1739)
            & c2_1(a1739)
            & c6_1(a1739) ) )
        & ( c4_0
          | ~ c7_0
          | ! [X132] : 
              ( ndr1_0
             => ( ~ c8_1(X132)
                | ~ c2_1(X132)
                | ! [X133] : 
                    ( ndr1_1(X132)
                   => ( ~ c6_2(X132,X133)
                      | c7_2(X132,X133)
                      | c10_2(X132,X133) ) ) ) ) )
        & ( ~ c8_0
          | c3_0 )
        & ( ( ndr1_0
            & ndr1_1(a1740)
            & ~ c4_2(a1740,a1741)
            & c10_2(a1740,a1741)
            & c7_2(a1740,a1741)
            & ~ c1_1(a1740)
            & c2_1(a1740) )
          | ~ c10_0
          | ! [X134] : 
              ( ndr1_0
             => ( ( ndr1_1(X134)
                  & c7_2(X134,a1742)
                  & c2_2(X134,a1742)
                  & c8_2(X134,a1742) )
                | ~ c10_1(X134)
                | ~ c4_1(X134) ) ) )
        & ( ( ndr1_0
            & ndr1_1(a1743)
            & ~ c1_2(a1743,a1744)
            & c2_2(a1743,a1744)
            & c8_2(a1743,a1744)
            & ! [X135] : 
                ( ndr1_1(a1743)
               => ( ~ c1_2(a1743,X135)
                  | c8_2(a1743,X135)
                  | ~ c5_2(a1743,X135) ) )
            & ! [X136] : 
                ( ndr1_1(a1743)
               => ( ~ c3_2(a1743,X136)
                  | c4_2(a1743,X136)
                  | c2_2(a1743,X136) ) ) )
          | ( ndr1_0
            & ! [X137] : 
                ( ndr1_1(a1745)
               => ( ~ c8_2(a1745,X137)
                  | c4_2(a1745,X137)
                  | ~ c6_2(a1745,X137) ) )
            & ndr1_1(a1745)
            & c1_2(a1745,a1746)
            & ~ c6_2(a1745,a1746)
            & ~ c4_2(a1745,a1746)
            & ~ c8_1(a1745) )
          | ~ c10_0 )
        & ( ~ c6_0
          | ! [X138] : 
              ( ndr1_0
             => ( ( ndr1_1(X138)
                  & ~ c1_2(X138,a1747) )
                | c5_1(X138)
                | ~ c2_1(X138) ) )
          | ( ndr1_0
            & ! [X139] : 
                ( ndr1_1(a1748)
               => ( ~ c1_2(a1748,X139)
                  | c2_2(a1748,X139) ) )
            & c4_1(a1748)
            & c8_1(a1748) ) )
        & ( ! [X140] : 
              ( ndr1_0
             => ( ( ndr1_1(X140)
                  & c8_2(X140,a1749)
                  & ~ c7_2(X140,a1749)
                  & c5_2(X140,a1749) )
                | c2_1(X140)
                | ! [X141] : 
                    ( ndr1_1(X140)
                   => ( ~ c1_2(X140,X141)
                      | ~ c8_2(X140,X141) ) ) ) )
          | ( ndr1_0
            & c6_1(a1750)
            & ! [X142] : 
                ( ndr1_1(a1750)
               => ( c2_2(a1750,X142)
                  | ~ c10_2(a1750,X142)
                  | ~ c8_2(a1750,X142) ) )
            & ! [X143] : 
                ( ndr1_1(a1750)
               => ( ~ c9_2(a1750,X143)
                  | ~ c3_2(a1750,X143)
                  | ~ c7_2(a1750,X143) ) ) )
          | ~ c10_0 )
        & ( ~ c10_0
          | ~ c1_0
          | ! [X144] : 
              ( ndr1_0
             => ( ~ c3_1(X144)
                | ! [X145] : 
                    ( ndr1_1(X144)
                   => ( c4_2(X144,X145)
                      | c2_2(X144,X145)
                      | c5_2(X144,X145) ) )
                | ( ndr1_1(X144)
                  & ~ c1_2(X144,a1751)
                  & c7_2(X144,a1751)
                  & ~ c10_2(X144,a1751) ) ) ) )
        & ( c1_0
          | ~ c3_0
          | ( ndr1_0
            & ! [X146] : 
                ( ndr1_1(a1752)
               => ( ~ c6_2(a1752,X146)
                  | c2_2(a1752,X146)
                  | ~ c1_2(a1752,X146) ) )
            & ~ c8_1(a1752)
            & ~ c9_1(a1752) ) )
        & ( ! [X147] : 
              ( ndr1_0
             => ( c9_1(X147)
                | ( ndr1_1(X147)
                  & c8_2(X147,a1753)
                  & ~ c4_2(X147,a1753)
                  & c6_2(X147,a1753) )
                | ! [X148] : 
                    ( ndr1_1(X147)
                   => ( ~ c7_2(X147,X148)
                      | ~ c3_2(X147,X148)
                      | ~ c6_2(X147,X148) ) ) ) )
          | ! [X149] : 
              ( ndr1_0
             => ( ~ c7_1(X149)
                | ( ndr1_1(X149)
                  & c4_2(X149,a1754)
                  & c8_2(X149,a1754)
                  & c2_2(X149,a1754) )
                | ( ndr1_1(X149)
                  & c2_2(X149,a1755)
                  & c10_2(X149,a1755)
                  & c1_2(X149,a1755) ) ) )
          | ! [X150] : 
              ( ndr1_0
             => ( ~ c10_1(X150)
                | ~ c1_1(X150)
                | ~ c9_1(X150) ) ) )
        & ( c1_0
          | ~ c2_0
          | c9_0 )
        & ( c9_0
          | ( ndr1_0
            & c4_1(a1756)
            & ndr1_1(a1756)
            & ~ c2_2(a1756,a1757)
            & c7_2(a1756,a1757)
            & ~ c6_2(a1756,a1757)
            & c2_1(a1756) )
          | ( ndr1_0
            & ~ c3_1(a1758)
            & ! [X151] : 
                ( ndr1_1(a1758)
               => ( ~ c4_2(a1758,X151)
                  | c6_2(a1758,X151)
                  | ~ c7_2(a1758,X151) ) )
            & ndr1_1(a1758)
            & c3_2(a1758,a1759)
            & ~ c2_2(a1758,a1759)
            & ~ c10_2(a1758,a1759) ) )
        & ( c9_0
          | ~ c5_0
          | ! [X152] : 
              ( ndr1_0
             => ( ~ c1_1(X152)
                | ~ c9_1(X152)
                | ( ndr1_1(X152)
                  & ~ c10_2(X152,a1760)
                  & ~ c4_2(X152,a1760)
                  & ~ c8_2(X152,a1760) ) ) ) )
        & ( ! [X153] : 
              ( ndr1_0
             => ( ! [X154] : 
                    ( ndr1_1(X153)
                   => ( ~ c6_2(X153,X154)
                      | c9_2(X153,X154)
                      | c4_2(X153,X154) ) )
                | ( ndr1_1(X153)
                  & ~ c3_2(X153,a1761)
                  & c5_2(X153,a1761)
                  & ~ c8_2(X153,a1761) )
                | ! [X155] : 
                    ( ndr1_1(X153)
                   => ( c10_2(X153,X155)
                      | ~ c3_2(X153,X155) ) ) ) )
          | ! [X156] : 
              ( ndr1_0
             => ( ( ndr1_1(X156)
                  & ~ c2_2(X156,a1762)
                  & c3_2(X156,a1762)
                  & ~ c10_2(X156,a1762) )
                | ~ c10_1(X156)
                | ( ndr1_1(X156)
                  & ~ c4_2(X156,a1763)
                  & ~ c7_2(X156,a1763)
                  & c6_2(X156,a1763) ) ) )
          | ! [X157] : 
              ( ndr1_0
             => ( c7_1(X157)
                | c4_1(X157)
                | ~ c1_1(X157) ) ) )
        & ( ~ c3_0
          | ~ c5_0
          | ! [X158] : 
              ( ndr1_0
             => ( ! [X159] : 
                    ( ndr1_1(X158)
                   => ( ~ c6_2(X158,X159)
                      | ~ c3_2(X158,X159)
                      | c1_2(X158,X159) ) )
                | ( ndr1_1(X158)
                  & c4_2(X158,a1764)
                  & c2_2(X158,a1764)
                  & c9_2(X158,a1764) )
                | ( ndr1_1(X158)
                  & ~ c3_2(X158,a1765)
                  & ~ c4_2(X158,a1765)
                  & ~ c9_2(X158,a1765) ) ) ) )
        & ( ! [X160] : 
              ( ndr1_0
             => ( ( ndr1_1(X160)
                  & ~ c4_2(X160,a1766)
                  & ~ c7_2(X160,a1766)
                  & c9_2(X160,a1766) )
                | c3_1(X160) ) )
          | c7_0
          | ! [X161] : 
              ( ndr1_0
             => ( ! [X162] : 
                    ( ndr1_1(X161)
                   => ( ~ c5_2(X161,X162)
                      | ~ c9_2(X161,X162)
                      | ~ c10_2(X161,X162) ) )
                | ! [X163] : 
                    ( ndr1_1(X161)
                   => ( ~ c3_2(X161,X163)
                      | c9_2(X161,X163) ) )
                | ! [X164] : 
                    ( ndr1_1(X161)
                   => ( ~ c9_2(X161,X164)
                      | ~ c6_2(X161,X164)
                      | c4_2(X161,X164) ) ) ) ) )
        & ndr1_0
        & ~ c7_1(a1767)
        & ~ c5_1(a1767)
        & ( ! [X165] : 
              ( ndr1_0
             => ( ~ c1_1(X165)
                | ~ c7_1(X165)
                | c4_1(X165) ) )
          | ~ c3_0
          | ! [X166] : 
              ( ndr1_0
             => ( c8_1(X166)
                | ~ c5_1(X166)
                | ~ c9_1(X166) ) ) )
        & ( ! [X167] : 
              ( ndr1_0
             => ( c8_1(X167)
                | ( ndr1_1(X167)
                  & ~ c5_2(X167,a1768)
                  & c3_2(X167,a1768)
                  & ~ c2_2(X167,a1768) )
                | c4_1(X167) ) )
          | ~ c10_0
          | ! [X168] : 
              ( ndr1_0
             => ( c7_1(X168)
                | c10_1(X168)
                | c3_1(X168) ) ) )
        & ( ! [X169] : 
              ( ndr1_0
             => ( c7_1(X169)
                | ( ndr1_1(X169)
                  & c8_2(X169,a1769)
                  & c10_2(X169,a1769)
                  & ~ c7_2(X169,a1769) )
                | c9_1(X169) ) )
          | c5_0 )
        & c7_0
        & ( c2_0
          | ( ndr1_0
            & ndr1_1(a1770)
            & ~ c2_2(a1770,a1771)
            & ~ c6_2(a1770,a1771)
            & c9_2(a1770,a1771)
            & ~ c5_1(a1770)
            & ! [X170] : 
                ( ndr1_1(a1770)
               => ( c6_2(a1770,X170)
                  | ~ c9_2(a1770,X170)
                  | ~ c1_2(a1770,X170) ) ) ) )
        & ( ! [X171] : 
              ( ndr1_0
             => ( ! [X172] : 
                    ( ndr1_1(X171)
                   => ( c10_2(X171,X172)
                      | ~ c2_2(X171,X172)
                      | c9_2(X171,X172) ) )
                | ( ndr1_1(X171)
                  & c3_2(X171,a1772)
                  & ~ c2_2(X171,a1772)
                  & ~ c6_2(X171,a1772) )
                | ! [X173] : 
                    ( ndr1_1(X171)
                   => ( ~ c1_2(X171,X173)
                      | ~ c8_2(X171,X173) ) ) ) )
          | ! [X174] : 
              ( ndr1_0
             => ( ( ndr1_1(X174)
                  & c5_2(X174,a1773)
                  & ~ c4_2(X174,a1773)
                  & c2_2(X174,a1773) )
                | ( ndr1_1(X174)
                  & c2_2(X174,a1774)
                  & ~ c3_2(X174,a1774)
                  & c7_2(X174,a1774) )
                | ! [X175] : 
                    ( ndr1_1(X174)
                   => ( ~ c3_2(X174,X175)
                      | c6_2(X174,X175)
                      | c5_2(X174,X175) ) ) ) )
          | ! [X176] : 
              ( ndr1_0
             => ( ( ndr1_1(X176)
                  & ~ c7_2(X176,a1775)
                  & ~ c9_2(X176,a1775)
                  & ~ c8_2(X176,a1775) )
                | ~ c6_1(X176)
                | ( ndr1_1(X176)
                  & c5_2(X176,a1776)
                  & ~ c9_2(X176,a1776)
                  & ~ c3_2(X176,a1776) ) ) ) )
        & ( ! [X177] : 
              ( ndr1_0
             => ( ( ndr1_1(X177)
                  & c3_2(X177,a1777)
                  & ~ c2_2(X177,a1777)
                  & ~ c8_2(X177,a1777) )
                | c2_1(X177)
                | ( ndr1_1(X177)
                  & ~ c3_2(X177,a1778)
                  & ~ c7_2(X177,a1778)
                  & ~ c5_2(X177,a1778) ) ) )
          | ~ c4_0
          | ! [X178] : 
              ( ndr1_0
             => ( ~ c6_1(X178)
                | c7_1(X178)
                | ! [X179] : 
                    ( ndr1_1(X178)
                   => ( ~ c4_2(X178,X179)
                      | ~ c8_2(X178,X179)
                      | c1_2(X178,X179) ) ) ) ) )
        & ( ~ c2_0
          | ( ndr1_0
            & ~ c8_1(a1779)
            & ~ c2_1(a1779)
            & ~ c7_1(a1779) )
          | c9_0 )
        & ( ! [X180] : 
              ( ndr1_0
             => ( ! [X181] : 
                    ( ndr1_1(X180)
                   => ( ~ c2_2(X180,X181)
                      | ~ c3_2(X180,X181)
                      | c9_2(X180,X181) ) )
                | ( ndr1_1(X180)
                  & c6_2(X180,a1780)
                  & c7_2(X180,a1780)
                  & c3_2(X180,a1780) )
                | ~ c4_1(X180) ) )
          | ~ c10_0 )
        & ( ! [X182] : 
              ( ndr1_0
             => ( c2_1(X182)
                | ! [X183] : 
                    ( ndr1_1(X182)
                   => ( ~ c7_2(X182,X183)
                      | ~ c6_2(X182,X183)
                      | c1_2(X182,X183) ) ) ) )
          | ( ndr1_0
            & ! [X184] : 
                ( ndr1_1(a1781)
               => ( c5_2(a1781,X184)
                  | c3_2(a1781,X184) ) )
            & c2_1(a1781)
            & ndr1_1(a1781)
            & c2_2(a1781,a1782)
            & ~ c9_2(a1781,a1782)
            & c7_2(a1781,a1782) )
          | ! [X185] : 
              ( ndr1_0
             => ( ~ c6_1(X185)
                | c7_1(X185)
                | ! [X186] : 
                    ( ndr1_1(X185)
                   => ( c10_2(X185,X186)
                      | c2_2(X185,X186)
                      | c1_2(X185,X186) ) ) ) ) )
        & ( ( ndr1_0
            & ! [X187] : 
                ( ndr1_1(a1783)
               => ( c4_2(a1783,X187)
                  | c2_2(a1783,X187)
                  | ~ c8_2(a1783,X187) ) )
            & ! [X188] : 
                ( ndr1_1(a1783)
               => ( ~ c2_2(a1783,X188)
                  | c10_2(a1783,X188)
                  | c7_2(a1783,X188) ) )
            & ! [X189] : 
                ( ndr1_1(a1783)
               => ( ~ c7_2(a1783,X189)
                  | c1_2(a1783,X189) ) ) )
          | c2_0
          | c9_0 )
        & ( ( ndr1_0
            & ~ c2_1(a1784)
            & ! [X190] : 
                ( ndr1_1(a1784)
               => ( c9_2(a1784,X190)
                  | c1_2(a1784,X190)
                  | ~ c7_2(a1784,X190) ) )
            & ~ c10_1(a1784) )
          | ( ndr1_0
            & ~ c2_1(a1785)
            & ndr1_1(a1785)
            & c1_2(a1785,a1786)
            & ~ c4_2(a1785,a1786)
            & c10_2(a1785,a1786)
            & ! [X191] : 
                ( ndr1_1(a1785)
               => ( c2_2(a1785,X191)
                  | c4_2(a1785,X191)
                  | ~ c5_2(a1785,X191) ) ) )
          | ( ndr1_0
            & ~ c5_1(a1787)
            & ndr1_1(a1787)
            & ~ c3_2(a1787,a1788)
            & ~ c8_2(a1787,a1788)
            & c1_2(a1787,a1788)
            & ndr1_1(a1787)
            & ~ c9_2(a1787,a1789)
            & c7_2(a1787,a1789)
            & c6_2(a1787,a1789) ) )
        & ( ( ndr1_0
            & c5_1(a1790)
            & ndr1_1(a1790)
            & c2_2(a1790,a1791)
            & c10_2(a1790,a1791)
            & c9_2(a1790,a1791)
            & ! [X192] : 
                ( ndr1_1(a1790)
               => ( ~ c1_2(a1790,X192)
                  | ~ c6_2(a1790,X192)
                  | ~ c2_2(a1790,X192) ) ) )
          | ~ c9_0
          | ! [X193] : 
              ( ndr1_0
             => ( ! [X194] : 
                    ( ndr1_1(X193)
                   => ( ~ c3_2(X193,X194)
                      | ~ c2_2(X193,X194)
                      | c5_2(X193,X194) ) )
                | ~ c8_1(X193)
                | ! [X195] : 
                    ( ndr1_1(X193)
                   => ( c5_2(X193,X195)
                      | ~ c8_2(X193,X195)
                      | ~ c4_2(X193,X195) ) ) ) ) )
        & ( ! [X196] : 
              ( ndr1_0
             => ( ( ndr1_1(X196)
                  & c5_2(X196,a1792)
                  & ~ c1_2(X196,a1792)
                  & c4_2(X196,a1792) )
                | ! [X197] : 
                    ( ndr1_1(X196)
                   => ( ~ c4_2(X196,X197)
                      | ~ c8_2(X196,X197)
                      | ~ c7_2(X196,X197) ) ) ) )
          | ~ c9_0
          | ! [X198] : 
              ( ndr1_0
             => ( ( ndr1_1(X198)
                  & ~ c8_2(X198,a1793)
                  & c2_2(X198,a1793)
                  & ~ c5_2(X198,a1793) )
                | c6_1(X198)
                | ( ndr1_1(X198)
                  & c5_2(X198,a1794)
                  & ~ c10_2(X198,a1794)
                  & ~ c4_2(X198,a1794) ) ) ) )
        & ( ~ c3_0
          | ( ndr1_0
            & ndr1_1(a1795)
            & ~ c10_2(a1795,a1796)
            & ~ c5_2(a1795,a1796)
            & c6_2(a1795,a1796)
            & ndr1_1(a1795)
            & ~ c8_2(a1795,a1797)
            & c10_2(a1795,a1797)
            & ~ c2_2(a1795,a1797)
            & ~ c2_1(a1795) )
          | ( ndr1_0
            & ~ c1_1(a1798)
            & ndr1_1(a1798)
            & c5_2(a1798,a1799)
            & c10_2(a1798,a1799)
            & ~ c9_2(a1798,a1799)
            & ~ c6_1(a1798) ) )
        & ( ~ c6_0
          | c9_0 )
        & ( ! [X199] : 
              ( ndr1_0
             => ( ( ndr1_1(X199)
                  & ~ c10_2(X199,a1800)
                  & c2_2(X199,a1800) )
                | c5_1(X199)
                | ( ndr1_1(X199)
                  & c6_2(X199,a1801)
                  & ~ c4_2(X199,a1801)
                  & ~ c10_2(X199,a1801) ) ) )
          | c8_0
          | ( ndr1_0
            & c7_1(a1802)
            & ndr1_1(a1802)
            & c9_2(a1802,a1803)
            & c4_2(a1802,a1803)
            & c7_2(a1802,a1803)
            & ndr1_1(a1802)
            & c5_2(a1802,a1804)
            & c6_2(a1802,a1804)
            & ~ c7_2(a1802,a1804) ) )
        & ( ~ c4_0
          | c9_0 )
        & ( c8_0
          | ! [X200] : 
              ( ndr1_0
             => ( ! [X201] : 
                    ( ndr1_1(X200)
                   => ( c10_2(X200,X201)
                      | ~ c7_2(X200,X201)
                      | c5_2(X200,X201) ) )
                | ! [X202] : 
                    ( ndr1_1(X200)
                   => ( c2_2(X200,X202)
                      | ~ c9_2(X200,X202) ) )
                | ~ c5_1(X200) ) )
          | ~ c9_0 )
        & ( c10_0
          | ( ndr1_0
            & ~ c7_1(a1805)
            & ndr1_1(a1805)
            & ~ c5_2(a1805,a1806)
            & ~ c4_2(a1805,a1806)
            & ~ c6_2(a1805,a1806)
            & ! [X203] : 
                ( ndr1_1(a1805)
               => ( c10_2(a1805,X203)
                  | c2_2(a1805,X203)
                  | ~ c4_2(a1805,X203) ) ) )
          | ~ c1_0 )
        & ( ( ndr1_0
            & c8_1(a1807)
            & c9_1(a1807)
            & ndr1_1(a1807)
            & ~ c9_2(a1807,a1808)
            & ~ c6_2(a1807,a1808)
            & c5_2(a1807,a1808) )
          | ( ndr1_0
            & c1_1(a1809)
            & c4_1(a1809)
            & ~ c8_1(a1809) )
          | ~ c8_0 )
        & ( ! [X204] : 
              ( ndr1_0
             => ( ~ c8_1(X204)
                | ~ c1_1(X204)
                | ( ndr1_1(X204)
                  & ~ c7_2(X204,a1810)
                  & c2_2(X204,a1810) ) ) )
          | ( ndr1_0
            & ndr1_1(a1811)
            & c6_2(a1811,a1812)
            & ~ c10_2(a1811,a1812)
            & c3_1(a1811)
            & ! [X205] : 
                ( ndr1_1(a1811)
               => ( c2_2(a1811,X205)
                  | ~ c5_2(a1811,X205)
                  | ~ c3_2(a1811,X205) ) ) )
          | ( ndr1_0
            & ~ c4_1(a1813)
            & ! [X206] : 
                ( ndr1_1(a1813)
               => ( c10_2(a1813,X206)
                  | ~ c8_2(a1813,X206)
                  | c9_2(a1813,X206) ) )
            & ~ c5_1(a1813) ) )
        & ( ( ndr1_0
            & ndr1_1(a1814)
            & c3_2(a1814,a1815)
            & ~ c2_2(a1814,a1815)
            & ~ c10_2(a1814,a1815)
            & ~ c6_1(a1814) )
          | c2_0
          | ~ c9_0 )
        & ( c4_0
          | ~ c8_0 )
        & ( ~ c6_0
          | ! [X207] : 
              ( ndr1_0
             => ( c9_1(X207)
                | ( ndr1_1(X207)
                  & c1_2(X207,a1816)
                  & ~ c6_2(X207,a1816)
                  & ~ c5_2(X207,a1816) )
                | ~ c3_1(X207) ) )
          | c9_0 )
        & ( c8_0
          | c2_0 )
        & ( ( ndr1_0
            & ndr1_1(a1817)
            & c4_2(a1817,a1818)
            & ~ c2_2(a1817,a1818)
            & c8_2(a1817,a1818)
            & c10_1(a1817)
            & ndr1_1(a1817)
            & ~ c8_2(a1817,a1819)
            & ~ c4_2(a1817,a1819)
            & c9_2(a1817,a1819) )
          | ( ndr1_0
            & ! [X208] : 
                ( ndr1_1(a1820)
               => ( c9_2(a1820,X208)
                  | ~ c10_2(a1820,X208)
                  | c5_2(a1820,X208) ) )
            & ~ c7_1(a1820)
            & ndr1_1(a1820)
            & ~ c1_2(a1820,a1821)
            & ~ c9_2(a1820,a1821)
            & c8_2(a1820,a1821) )
          | ( ndr1_0
            & ~ c4_1(a1822)
            & c10_1(a1822)
            & ndr1_1(a1822)
            & ~ c9_2(a1822,a1823)
            & ~ c7_2(a1822,a1823)
            & c5_2(a1822,a1823) ) )
        & ( ( ndr1_0
            & c8_1(a1824)
            & ndr1_1(a1824)
            & ~ c9_2(a1824,a1825)
            & c8_2(a1824,a1825)
            & c5_2(a1824,a1825)
            & ~ c4_1(a1824) )
          | c10_0
          | ( ndr1_0
            & c2_1(a1826)
            & c10_1(a1826)
            & ndr1_1(a1826)
            & c6_2(a1826,a1827)
            & ~ c4_2(a1826,a1827)
            & c9_2(a1826,a1827) ) )
        & ( ~ c3_0
          | c2_0
          | ~ c10_0 )
        & ( ~ c3_0
          | c2_0
          | ( ndr1_0
            & ! [X209] : 
                ( ndr1_1(a1828)
               => ( ~ c2_2(a1828,X209)
                  | c4_2(a1828,X209)
                  | ~ c7_2(a1828,X209) ) )
            & ! [X210] : 
                ( ndr1_1(a1828)
               => ( c8_2(a1828,X210)
                  | ~ c5_2(a1828,X210)
                  | ~ c10_2(a1828,X210) ) )
            & c4_1(a1828) ) )
        & ( ! [X211] : 
              ( ndr1_0
             => ( ( ndr1_1(X211)
                  & ~ c2_2(X211,a1829)
                  & c5_2(X211,a1829)
                  & c4_2(X211,a1829) )
                | ( ndr1_1(X211)
                  & ~ c7_2(X211,a1830)
                  & ~ c1_2(X211,a1830) )
                | ! [X212] : 
                    ( ndr1_1(X211)
                   => ( ~ c9_2(X211,X212)
                      | c5_2(X211,X212) ) ) ) )
          | c2_0
          | ! [X213] : 
              ( ndr1_0
             => ( ( ndr1_1(X213)
                  & c4_2(X213,a1831)
                  & ~ c5_2(X213,a1831)
                  & ~ c8_2(X213,a1831) )
                | ! [X214] : 
                    ( ndr1_1(X213)
                   => ( c4_2(X213,X214)
                      | c1_2(X213,X214)
                      | ~ c7_2(X213,X214) ) )
                | ~ c10_1(X213) ) ) )
        & ( ! [X215] : 
              ( ndr1_0
             => ( ( ndr1_1(X215)
                  & ~ c4_2(X215,a1832)
                  & c7_2(X215,a1832)
                  & c1_2(X215,a1832) )
                | ( ndr1_1(X215)
                  & c9_2(X215,a1833)
                  & c2_2(X215,a1833)
                  & c6_2(X215,a1833) )
                | c6_1(X215) ) )
          | c9_0
          | ! [X216] : 
              ( ndr1_0
             => ( ! [X217] : 
                    ( ndr1_1(X216)
                   => ( ~ c5_2(X216,X217)
                      | c8_2(X216,X217)
                      | c2_2(X216,X217) ) )
                | c7_1(X216)
                | ~ c4_1(X216) ) ) ) ) )).

%--------------------------------------------------------------------------
