%--------------------------------------------------------------------------
% File     : SYN428+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=10, R=1, L=150, K=3, D=2, P=0, Index=084
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-10-1-150-3-2-084.dfg [Wei97]

% Status   : CounterSatisfiable
% Rating   : 0.50 v3.1.0, 0.83 v2.6.0, 0.50 v2.5.0, 0.33 v2.3.0, 0.00 v2.1.0
%
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
%
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       : 1509 (   0 equality)
%            Maximal formula depth :  139 ( 139 average)
%            Number of connectives : 2061 ( 553 ~  ; 609  |; 689  &)
%                                         (   0 <=>; 210 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :  231 ( 210 propositional; 0-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :  210 (   0 singleton; 210 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%--------------------------------------------------------------------------
fof(co1,conjecture,
    ( ~ ( ( ! [U] : 
              ( ndr1_0
             => ( ( ndr1_1(U)
                  & ~ c9_2(U,a1834)
                  & ~ c3_2(U,a1834)
                  & c7_2(U,a1834) )
                | ( ndr1_1(U)
                  & c3_2(U,a1835)
                  & c5_2(U,a1835) )
                | ( ndr1_1(U)
                  & c1_2(U,a1836)
                  & ~ c4_2(U,a1836)
                  & c6_2(U,a1836) ) ) )
          | c4_0
          | ~ c6_0 )
        & ( ! [V] : 
              ( ndr1_0
             => ( ! [W] : 
                    ( ndr1_1(V)
                   => ( ~ c5_2(V,W)
                      | c7_2(V,W)
                      | c3_2(V,W) ) )
                | c6_1(V) ) )
          | c7_0
          | c8_0 )
        & ( ! [X] : 
              ( ndr1_0
             => ( c4_1(X)
                | ( ndr1_1(X)
                  & c7_2(X,a1837)
                  & c6_2(X,a1837)
                  & ~ c3_2(X,a1837) )
                | ( ndr1_1(X)
                  & ~ c1_2(X,a1838)
                  & c10_2(X,a1838)
                  & c6_2(X,a1838) ) ) )
          | ~ c7_0
          | ! [Y] : 
              ( ndr1_0
             => ( ! [Z] : 
                    ( ndr1_1(Y)
                   => ( ~ c1_2(Y,Z)
                      | ~ c7_2(Y,Z) ) )
                | ~ c6_1(Y)
                | ~ c10_1(Y) ) ) )
        & ( c8_0
          | ( ndr1_0
            & ndr1_1(a1839)
            & c8_2(a1839,a1840)
            & c2_2(a1839,a1840)
            & c3_2(a1839,a1840)
            & c2_1(a1839)
            & ~ c10_1(a1839) )
          | ( ndr1_0
            & ! [X1] : 
                ( ndr1_1(a1841)
               => ( ~ c2_2(a1841,X1)
                  | ~ c7_2(a1841,X1) ) )
            & ndr1_1(a1841)
            & c4_2(a1841,a1842)
            & c2_2(a1841,a1842) ) )
        & ( ~ c8_0
          | ! [X2] : 
              ( ndr1_0
             => ( ( ndr1_1(X2)
                  & c9_2(X2,a1843)
                  & c7_2(X2,a1843)
                  & ~ c3_2(X2,a1843) )
                | ( ndr1_1(X2)
                  & c7_2(X2,a1844)
                  & c10_2(X2,a1844)
                  & c6_2(X2,a1844) )
                | ! [X3] : 
                    ( ndr1_1(X2)
                   => ( c5_2(X2,X3)
                      | ~ c6_2(X2,X3)
                      | ~ c4_2(X2,X3) ) ) ) )
          | ! [X4] : 
              ( ndr1_0
             => ( ~ c9_1(X4)
                | ~ c3_1(X4)
                | ! [X5] : 
                    ( ndr1_1(X4)
                   => ( ~ c4_2(X4,X5)
                      | c2_2(X4,X5)
                      | ~ c1_2(X4,X5) ) ) ) ) )
        & ( ( ndr1_0
            & c1_1(a1845)
            & ~ c10_1(a1845)
            & ! [X6] : 
                ( ndr1_1(a1845)
               => ( ~ c4_2(a1845,X6)
                  | c5_2(a1845,X6)
                  | ~ c7_2(a1845,X6) ) ) )
          | ( ndr1_0
            & c9_1(a1846)
            & ndr1_1(a1846)
            & c5_2(a1846,a1847)
            & c8_2(a1846,a1847)
            & c7_2(a1846,a1847)
            & ! [X7] : 
                ( ndr1_1(a1846)
               => ( c6_2(a1846,X7)
                  | c5_2(a1846,X7) ) ) )
          | ~ c7_0 )
        & ( ~ c5_0
          | ! [X8] : 
              ( ndr1_0
             => ( c5_1(X8)
                | c3_1(X8) ) ) )
        & ( ( ndr1_0
            & ! [X9] : 
                ( ndr1_1(a1848)
               => ( c3_2(a1848,X9)
                  | c1_2(a1848,X9)
                  | ~ c5_2(a1848,X9) ) )
            & ! [X10] : 
                ( ndr1_1(a1848)
               => ( ~ c2_2(a1848,X10)
                  | c6_2(a1848,X10) ) )
            & ~ c2_1(a1848) )
          | c9_0
          | ( ndr1_0
            & c6_1(a1849)
            & ndr1_1(a1849)
            & c5_2(a1849,a1850)
            & c7_2(a1849,a1850)
            & ~ c3_2(a1849,a1850)
            & ~ c3_1(a1849) ) )
        & ( ~ c7_0
          | c4_0
          | ( ndr1_0
            & ! [X11] : 
                ( ndr1_1(a1851)
               => ( ~ c4_2(a1851,X11)
                  | ~ c7_2(a1851,X11) ) )
            & ndr1_1(a1851)
            & ~ c4_2(a1851,a1852)
            & ~ c2_2(a1851,a1852)
            & c3_2(a1851,a1852)
            & ! [X12] : 
                ( ndr1_1(a1851)
               => ( c4_2(a1851,X12)
                  | c5_2(a1851,X12)
                  | ~ c8_2(a1851,X12) ) ) ) )
        & ( ~ c6_0
          | c10_0
          | ~ c7_0 )
        & ( ~ c4_0
          | ~ c8_0 )
        & ( c1_0
          | ( ndr1_0
            & ~ c2_1(a1853)
            & ! [X13] : 
                ( ndr1_1(a1853)
               => ( c10_2(a1853,X13)
                  | c3_2(a1853,X13)
                  | c6_2(a1853,X13) ) )
            & c1_1(a1853) )
          | c5_0 )
        & ( ~ c4_0
          | c5_0
          | ~ c3_0 )
        & ( ~ c6_0
          | ( ndr1_0
            & c7_1(a1854)
            & c6_1(a1854)
            & c3_1(a1854) )
          | ! [X14] : 
              ( ndr1_0
             => ( ( ndr1_1(X14)
                  & c10_2(X14,a1855)
                  & c1_2(X14,a1855)
                  & c6_2(X14,a1855) )
                | ( ndr1_1(X14)
                  & ~ c5_2(X14,a1856)
                  & c1_2(X14,a1856)
                  & c10_2(X14,a1856) )
                | c10_1(X14) ) ) )
        & ( ~ c9_0
          | ~ c3_0
          | ~ c4_0 )
        & ( ~ c4_0
          | ~ c1_0
          | ( ndr1_0
            & ~ c4_1(a1857)
            & ! [X15] : 
                ( ndr1_1(a1857)
               => ( ~ c5_2(a1857,X15)
                  | c8_2(a1857,X15) ) ) ) )
        & ( c2_0
          | ~ c7_0
          | ~ c10_0 )
        & ( ~ c7_0
          | ! [X16] : 
              ( ndr1_0
             => ( ~ c7_1(X16)
                | c8_1(X16)
                | ! [X17] : 
                    ( ndr1_1(X16)
                   => ( c9_2(X16,X17)
                      | ~ c7_2(X16,X17)
                      | c3_2(X16,X17) ) ) ) )
          | ( ndr1_0
            & c8_1(a1858)
            & ndr1_1(a1858)
            & c4_2(a1858,a1859)
            & ~ c6_2(a1858,a1859)
            & ~ c10_2(a1858,a1859)
            & ~ c10_1(a1858) ) )
        & ( ~ c6_0
          | ( ndr1_0
            & ndr1_1(a1860)
            & ~ c2_2(a1860,a1861)
            & ~ c9_2(a1860,a1861)
            & c5_2(a1860,a1861)
            & ndr1_1(a1860)
            & c1_2(a1860,a1862)
            & c3_2(a1860,a1862)
            & c5_2(a1860,a1862)
            & ! [X18] : 
                ( ndr1_1(a1860)
               => ( c8_2(a1860,X18)
                  | ~ c3_2(a1860,X18)
                  | c5_2(a1860,X18) ) ) )
          | ~ c2_0 )
        & ( ! [X19] : 
              ( ndr1_0
             => ( ( ndr1_1(X19)
                  & c8_2(X19,a1863)
                  & ~ c3_2(X19,a1863)
                  & ~ c1_2(X19,a1863) )
                | ~ c8_1(X19)
                | ( ndr1_1(X19)
                  & ~ c1_2(X19,a1864)
                  & c8_2(X19,a1864)
                  & c7_2(X19,a1864) ) ) )
          | ( ndr1_0
            & ndr1_1(a1865)
            & ~ c7_2(a1865,a1866)
            & c8_2(a1865,a1866)
            & ~ c4_2(a1865,a1866)
            & ndr1_1(a1865)
            & c3_2(a1865,a1867)
            & ~ c9_2(a1865,a1867)
            & ~ c5_2(a1865,a1867)
            & ndr1_1(a1865)
            & c2_2(a1865,a1868)
            & ~ c7_2(a1865,a1868)
            & ~ c6_2(a1865,a1868) ) )
        & ( ~ c1_0
          | c7_0
          | c8_0 )
        & ( ~ c7_0
          | ! [X20] : 
              ( ndr1_0
             => ( c10_1(X20)
                | c4_1(X20)
                | ! [X21] : 
                    ( ndr1_1(X20)
                   => ( c1_2(X20,X21)
                      | c10_2(X20,X21)
                      | c4_2(X20,X21) ) ) ) )
          | ( ndr1_0
            & ndr1_1(a1869)
            & ~ c2_2(a1869,a1870)
            & ~ c9_2(a1869,a1870)
            & ~ c10_2(a1869,a1870)
            & c4_1(a1869)
            & c9_1(a1869) ) )
        & ( ( ndr1_0
            & ! [X22] : 
                ( ndr1_1(a1871)
               => ( c8_2(a1871,X22)
                  | c3_2(a1871,X22)
                  | c9_2(a1871,X22) ) )
            & ndr1_1(a1871)
            & ~ c2_2(a1871,a1872)
            & ~ c5_2(a1871,a1872) )
          | ! [X23] : 
              ( ndr1_0
             => ( ~ c10_1(X23)
                | c4_1(X23)
                | ( ndr1_1(X23)
                  & ~ c4_2(X23,a1873)
                  & c3_2(X23,a1873)
                  & ~ c10_2(X23,a1873) ) ) )
          | ! [X24] : 
              ( ndr1_0
             => ( ( ndr1_1(X24)
                  & ~ c2_2(X24,a1874)
                  & c10_2(X24,a1874)
                  & c1_2(X24,a1874) )
                | c6_1(X24)
                | c2_1(X24) ) ) )
        & ( ( ndr1_0
            & ~ c10_1(a1875)
            & ! [X25] : 
                ( ndr1_1(a1875)
               => ( ~ c4_2(a1875,X25)
                  | ~ c10_2(a1875,X25)
                  | ~ c8_2(a1875,X25) ) )
            & c6_1(a1875) )
          | c1_0
          | ( ndr1_0
            & ~ c2_1(a1876)
            & ~ c5_1(a1876) ) )
        & ( ! [X26] : 
              ( ndr1_0
             => ( ! [X27] : 
                    ( ndr1_1(X26)
                   => ( c6_2(X26,X27)
                      | c3_2(X26,X27)
                      | ~ c2_2(X26,X27) ) )
                | ~ c8_1(X26) ) )
          | ~ c6_0
          | c10_0 )
        & ( ! [X28] : 
              ( ndr1_0
             => ( c3_1(X28)
                | c2_1(X28)
                | ! [X29] : 
                    ( ndr1_1(X28)
                   => ( c8_2(X28,X29)
                      | c2_2(X28,X29) ) ) ) )
          | c9_0
          | c3_0 )
        & ( ~ c7_0
          | ( ndr1_0
            & c10_1(a1877)
            & ndr1_1(a1877)
            & ~ c1_2(a1877,a1878)
            & ~ c2_2(a1877,a1878)
            & c10_2(a1877,a1878) )
          | c9_0 )
        & ( ~ c4_0
          | ( ndr1_0
            & ndr1_1(a1879)
            & c6_2(a1879,a1880)
            & ~ c3_2(a1879,a1880)
            & c5_2(a1879,a1880)
            & ! [X30] : 
                ( ndr1_1(a1879)
               => ( c2_2(a1879,X30)
                  | ~ c6_2(a1879,X30) ) )
            & c2_1(a1879) )
          | ( ndr1_0
            & ~ c9_1(a1881)
            & ~ c3_1(a1881)
            & ndr1_1(a1881)
            & ~ c8_2(a1881,a1882)
            & c1_2(a1881,a1882)
            & ~ c4_2(a1881,a1882) ) )
        & ( ~ c5_0
          | ~ c4_0
          | ! [X31] : 
              ( ndr1_0
             => ( ~ c4_1(X31)
                | c1_1(X31)
                | ( ndr1_1(X31)
                  & c9_2(X31,a1883)
                  & c4_2(X31,a1883)
                  & c6_2(X31,a1883) ) ) ) )
        & ( ( ndr1_0
            & ! [X32] : 
                ( ndr1_1(a1884)
               => ( c9_2(a1884,X32)
                  | ~ c1_2(a1884,X32)
                  | c7_2(a1884,X32) ) )
            & ~ c7_1(a1884)
            & c10_1(a1884) )
          | ( ndr1_0
            & ~ c2_1(a1885)
            & ! [X33] : 
                ( ndr1_1(a1885)
               => ( c8_2(a1885,X33)
                  | ~ c2_2(a1885,X33)
                  | ~ c3_2(a1885,X33) ) )
            & ~ c8_1(a1885) )
          | ~ c1_0 )
        & ( c5_0
          | c9_0 )
        & ( ( ndr1_0
            & c7_1(a1886)
            & ndr1_1(a1886)
            & c4_2(a1886,a1887)
            & ~ c1_2(a1886,a1887)
            & c5_2(a1886,a1887)
            & ~ c9_1(a1886) )
          | ~ c4_0
          | ~ c10_0 )
        & ( ~ c8_0
          | ~ c4_0
          | ~ c10_0 )
        & ( ! [X34] : 
              ( ndr1_0
             => ( ( ndr1_1(X34)
                  & ~ c6_2(X34,a1888)
                  & ~ c5_2(X34,a1888)
                  & ~ c7_2(X34,a1888) )
                | ( ndr1_1(X34)
                  & ~ c7_2(X34,a1889)
                  & c6_2(X34,a1889)
                  & ~ c1_2(X34,a1889) )
                | ~ c6_1(X34) ) )
          | ( ndr1_0
            & ndr1_1(a1890)
            & c5_2(a1890,a1891)
            & ~ c3_2(a1890,a1891)
            & ~ c10_2(a1890,a1891)
            & ~ c6_1(a1890)
            & ~ c1_1(a1890) )
          | ~ c1_0 )
        & ( ( ndr1_0
            & c4_1(a1892)
            & ndr1_1(a1892)
            & c3_2(a1892,a1893)
            & c1_2(a1892,a1893)
            & c6_2(a1892,a1893)
            & ~ c8_1(a1892) )
          | ( ndr1_0
            & ! [X35] : 
                ( ndr1_1(a1894)
               => ( ~ c9_2(a1894,X35)
                  | c4_2(a1894,X35) ) )
            & ! [X36] : 
                ( ndr1_1(a1894)
               => ( ~ c6_2(a1894,X36)
                  | ~ c2_2(a1894,X36)
                  | ~ c4_2(a1894,X36) ) )
            & ~ c9_1(a1894) )
          | ~ c6_0 )
        & ( ! [X37] : 
              ( ndr1_0
             => ( ! [X38] : 
                    ( ndr1_1(X37)
                   => ( c1_2(X37,X38)
                      | c7_2(X37,X38)
                      | ~ c3_2(X37,X38) ) )
                | c9_1(X37)
                | ! [X39] : 
                    ( ndr1_1(X37)
                   => ( c8_2(X37,X39)
                      | c10_2(X37,X39) ) ) ) )
          | ~ c10_0
          | ( ndr1_0
            & c10_1(a1895)
            & ! [X40] : 
                ( ndr1_1(a1895)
               => ( c4_2(a1895,X40)
                  | ~ c10_2(a1895,X40)
                  | c3_2(a1895,X40) ) )
            & c5_1(a1895) ) )
        & ( ! [X41] : 
              ( ndr1_0
             => ( ! [X42] : 
                    ( ndr1_1(X41)
                   => ( c5_2(X41,X42)
                      | c10_2(X41,X42)
                      | ~ c9_2(X41,X42) ) )
                | c10_1(X41)
                | ! [X43] : 
                    ( ndr1_1(X41)
                   => ( c4_2(X41,X43)
                      | c10_2(X41,X43)
                      | ~ c9_2(X41,X43) ) ) ) )
          | ! [X44] : 
              ( ndr1_0
             => ( ~ c9_1(X44)
                | c1_1(X44)
                | ! [X45] : 
                    ( ndr1_1(X44)
                   => ( c8_2(X44,X45)
                      | c2_2(X44,X45) ) ) ) )
          | ( ndr1_0
            & ~ c9_1(a1896)
            & ndr1_1(a1896)
            & ~ c2_2(a1896,a1897)
            & c7_2(a1896,a1897)
            & c6_2(a1896,a1897) ) )
        & ( ! [X46] : 
              ( ndr1_0
             => ( ( ndr1_1(X46)
                  & ~ c1_2(X46,a1898)
                  & ~ c6_2(X46,a1898)
                  & c2_2(X46,a1898) )
                | c2_1(X46)
                | ! [X47] : 
                    ( ndr1_1(X46)
                   => ( c8_2(X46,X47)
                      | c5_2(X46,X47)
                      | ~ c9_2(X46,X47) ) ) ) )
          | ( ndr1_0
            & ~ c9_1(a1899)
            & ~ c1_1(a1899)
            & ! [X48] : 
                ( ndr1_1(a1899)
               => ( c1_2(a1899,X48)
                  | ~ c9_2(a1899,X48)
                  | c2_2(a1899,X48) ) ) ) )
        & ( ~ c4_0
          | ~ c9_0 )
        & ( ( ndr1_0
            & ndr1_1(a1900)
            & ~ c4_2(a1900,a1901)
            & ~ c10_2(a1900,a1901)
            & ~ c2_2(a1900,a1901)
            & ndr1_1(a1900)
            & ~ c10_2(a1900,a1902)
            & c9_2(a1900,a1902)
            & c2_2(a1900,a1902)
            & ~ c6_1(a1900) )
          | c3_0
          | c10_0 )
        & ( ( ndr1_0
            & ! [X49] : 
                ( ndr1_1(a1903)
               => ( c7_2(a1903,X49)
                  | ~ c9_2(a1903,X49)
                  | ~ c8_2(a1903,X49) ) )
            & c3_1(a1903)
            & ! [X50] : 
                ( ndr1_1(a1903)
               => ( ~ c4_2(a1903,X50)
                  | c7_2(a1903,X50)
                  | c5_2(a1903,X50) ) ) )
          | ! [X51] : 
              ( ndr1_0
             => ( ( ndr1_1(X51)
                  & ~ c8_2(X51,a1904)
                  & ~ c7_2(X51,a1904)
                  & c10_2(X51,a1904) )
                | c6_1(X51)
                | ( ndr1_1(X51)
                  & ~ c4_2(X51,a1905)
                  & c5_2(X51,a1905)
                  & ~ c10_2(X51,a1905) ) ) )
          | ( ndr1_0
            & ! [X52] : 
                ( ndr1_1(a1906)
               => ( ~ c3_2(a1906,X52)
                  | ~ c2_2(a1906,X52)
                  | ~ c1_2(a1906,X52) ) )
            & c4_1(a1906)
            & ! [X53] : 
                ( ndr1_1(a1906)
               => ( c9_2(a1906,X53)
                  | ~ c2_2(a1906,X53)
                  | ~ c1_2(a1906,X53) ) ) ) )
        & ( c3_0
          | c9_0
          | ! [X54] : 
              ( ndr1_0
             => ( c6_1(X54)
                | ! [X55] : 
                    ( ndr1_1(X54)
                   => ( ~ c9_2(X54,X55)
                      | c8_2(X54,X55)
                      | ~ c7_2(X54,X55) ) )
                | ~ c3_1(X54) ) ) )
        & ( ~ c3_0
          | ! [X56] : 
              ( ndr1_0
             => ( c3_1(X56)
                | ! [X57] : 
                    ( ndr1_1(X56)
                   => ( c1_2(X56,X57)
                      | ~ c10_2(X56,X57)
                      | ~ c2_2(X56,X57) ) ) ) )
          | ! [X58] : 
              ( ndr1_0
             => ( ~ c3_1(X58)
                | c9_1(X58) ) ) )
        & ( ! [X59] : 
              ( ndr1_0
             => ( ~ c3_1(X59)
                | ~ c4_1(X59) ) )
          | ~ c3_0
          | ! [X60] : 
              ( ndr1_0
             => ( ! [X61] : 
                    ( ndr1_1(X60)
                   => ( ~ c7_2(X60,X61)
                      | ~ c4_2(X60,X61) ) )
                | ! [X62] : 
                    ( ndr1_1(X60)
                   => ( ~ c2_2(X60,X62)
                      | ~ c9_2(X60,X62) ) )
                | ! [X63] : 
                    ( ndr1_1(X60)
                   => ( ~ c2_2(X60,X63)
                      | c3_2(X60,X63)
                      | ~ c4_2(X60,X63) ) ) ) ) )
        & ( ( ndr1_0
            & c5_1(a1907)
            & ~ c10_1(a1907)
            & c8_1(a1907) )
          | ~ c5_0 )
        & ( ! [X64] : 
              ( ndr1_0
             => ( c10_1(X64)
                | c7_1(X64)
                | ( ndr1_1(X64)
                  & c9_2(X64,a1908)
                  & c1_2(X64,a1908)
                  & c3_2(X64,a1908) ) ) )
          | c1_0
          | ! [X65] : 
              ( ndr1_0
             => ( ~ c8_1(X65)
                | ! [X66] : 
                    ( ndr1_1(X65)
                   => ( c4_2(X65,X66)
                      | c3_2(X65,X66)
                      | c10_2(X65,X66) ) )
                | ( ndr1_1(X65)
                  & c10_2(X65,a1909)
                  & ~ c2_2(X65,a1909)
                  & ~ c8_2(X65,a1909) ) ) ) )
        & ( c3_0
          | ~ c8_0
          | ~ c9_0 )
        & ( ~ c3_0
          | ( ndr1_0
            & ! [X67] : 
                ( ndr1_1(a1910)
               => ( c1_2(a1910,X67)
                  | ~ c2_2(a1910,X67) ) )
            & ! [X68] : 
                ( ndr1_1(a1910)
               => ( ~ c7_2(a1910,X68)
                  | c4_2(a1910,X68) ) )
            & ndr1_1(a1910)
            & ~ c3_2(a1910,a1911)
            & ~ c4_2(a1910,a1911) )
          | ( ndr1_0
            & ~ c5_1(a1912)
            & ! [X69] : 
                ( ndr1_1(a1912)
               => ( ~ c5_2(a1912,X69)
                  | c7_2(a1912,X69)
                  | c2_2(a1912,X69) ) )
            & c3_1(a1912) ) )
        & ( c10_0
          | ~ c2_0
          | c7_0 )
        & ( ( ndr1_0
            & ~ c2_1(a1913)
            & ! [X70] : 
                ( ndr1_1(a1913)
               => ( c9_2(a1913,X70)
                  | c7_2(a1913,X70)
                  | c3_2(a1913,X70) ) ) )
          | c1_0
          | ( ndr1_0
            & ~ c3_1(a1914)
            & c9_1(a1914)
            & c5_1(a1914) ) )
        & ( ~ c9_0
          | ( ndr1_0
            & c5_1(a1915)
            & ndr1_1(a1915)
            & c5_2(a1915,a1916)
            & ~ c9_2(a1915,a1916)
            & ! [X71] : 
                ( ndr1_1(a1915)
               => ( c1_2(a1915,X71)
                  | c7_2(a1915,X71) ) ) )
          | c1_0 )
        & ( c6_0
          | ! [X72] : 
              ( ndr1_0
             => ( ! [X73] : 
                    ( ndr1_1(X72)
                   => ( c9_2(X72,X73)
                      | ~ c1_2(X72,X73)
                      | c10_2(X72,X73) ) )
                | c8_1(X72)
                | ! [X74] : 
                    ( ndr1_1(X72)
                   => ( ~ c10_2(X72,X74)
                      | c2_2(X72,X74)
                      | ~ c7_2(X72,X74) ) ) ) )
          | ~ c3_0 )
        & ( ! [X75] : 
              ( ndr1_0
             => ( c5_1(X75)
                | ! [X76] : 
                    ( ndr1_1(X75)
                   => ( ~ c3_2(X75,X76)
                      | ~ c1_2(X75,X76)
                      | ~ c6_2(X75,X76) ) )
                | c2_1(X75) ) )
          | ( ndr1_0
            & ndr1_1(a1917)
            & ~ c4_2(a1917,a1918)
            & c2_2(a1917,a1918)
            & c5_2(a1917,a1918)
            & ! [X77] : 
                ( ndr1_1(a1917)
               => ( c10_2(a1917,X77)
                  | c4_2(a1917,X77)
                  | ~ c9_2(a1917,X77) ) )
            & c7_1(a1917) )
          | ~ c5_0 )
        & ( ( ndr1_0
            & ~ c9_1(a1919)
            & ndr1_1(a1919)
            & c3_2(a1919,a1920)
            & c9_2(a1919,a1920)
            & ~ c1_2(a1919,a1920)
            & ~ c4_1(a1919) )
          | ( ndr1_0
            & c8_1(a1921)
            & c5_1(a1921)
            & ~ c6_1(a1921) )
          | ~ c4_0 )
        & ( c4_0
          | c7_0
          | ( ndr1_0
            & ! [X78] : 
                ( ndr1_1(a1922)
               => ( ~ c10_2(a1922,X78)
                  | ~ c2_2(a1922,X78)
                  | ~ c5_2(a1922,X78) ) )
            & c8_1(a1922)
            & ndr1_1(a1922)
            & ~ c3_2(a1922,a1923)
            & c8_2(a1922,a1923)
            & ~ c7_2(a1922,a1923) ) )
        & ( c1_0
          | ( ndr1_0
            & ! [X79] : 
                ( ndr1_1(a1924)
               => ( ~ c7_2(a1924,X79)
                  | ~ c10_2(a1924,X79)
                  | ~ c8_2(a1924,X79) ) )
            & ~ c5_1(a1924)
            & ! [X80] : 
                ( ndr1_1(a1924)
               => ( ~ c8_2(a1924,X80)
                  | c1_2(a1924,X80)
                  | ~ c9_2(a1924,X80) ) ) )
          | ! [X81] : 
              ( ndr1_0
             => ( ( ndr1_1(X81)
                  & c7_2(X81,a1925)
                  & c5_2(X81,a1925)
                  & c10_2(X81,a1925) )
                | c6_1(X81)
                | ~ c7_1(X81) ) ) )
        & ( ~ c3_0
          | ( ndr1_0
            & ~ c1_1(a1926)
            & c5_1(a1926)
            & ~ c6_1(a1926) )
          | ~ c5_0 )
        & ( ~ c10_0
          | ~ c5_0
          | ! [X82] : 
              ( ndr1_0
             => ( ! [X83] : 
                    ( ndr1_1(X82)
                   => ( ~ c10_2(X82,X83)
                      | ~ c1_2(X82,X83)
                      | ~ c5_2(X82,X83) ) )
                | ! [X84] : 
                    ( ndr1_1(X82)
                   => ( ~ c1_2(X82,X84)
                      | c4_2(X82,X84)
                      | ~ c5_2(X82,X84) ) )
                | c3_1(X82) ) ) )
        & ( ! [X85] : 
              ( ndr1_0
             => ( ( ndr1_1(X85)
                  & c1_2(X85,a1927)
                  & ~ c9_2(X85,a1927) )
                | ~ c1_1(X85)
                | c2_1(X85) ) )
          | c6_0 )
        & ( ( ndr1_0
            & ! [X86] : 
                ( ndr1_1(a1928)
               => ( c8_2(a1928,X86)
                  | ~ c9_2(a1928,X86)
                  | ~ c10_2(a1928,X86) ) )
            & ! [X87] : 
                ( ndr1_1(a1928)
               => ( c3_2(a1928,X87)
                  | ~ c9_2(a1928,X87)
                  | c7_2(a1928,X87) ) ) )
          | c5_0
          | ! [X88] : 
              ( ndr1_0
             => ( c5_1(X88)
                | ~ c6_1(X88) ) ) )
        & ( ! [X89] : 
              ( ndr1_0
             => ( ( ndr1_1(X89)
                  & ~ c9_2(X89,a1929)
                  & c8_2(X89,a1929)
                  & ~ c3_2(X89,a1929) )
                | ~ c5_1(X89)
                | ~ c2_1(X89) ) )
          | ! [X90] : 
              ( ndr1_0
             => ( c10_1(X90)
                | c3_1(X90)
                | ( ndr1_1(X90)
                  & ~ c6_2(X90,a1930)
                  & c8_2(X90,a1930)
                  & c7_2(X90,a1930) ) ) )
          | ( ndr1_0
            & ~ c8_1(a1931)
            & ! [X91] : 
                ( ndr1_1(a1931)
               => ( ~ c2_2(a1931,X91)
                  | c5_2(a1931,X91)
                  | ~ c1_2(a1931,X91) ) )
            & ndr1_1(a1931)
            & c1_2(a1931,a1932)
            & ~ c9_2(a1931,a1932)
            & c7_2(a1931,a1932) ) )
        & ( ! [X92] : 
              ( ndr1_0
             => ( ~ c6_1(X92)
                | c5_1(X92)
                | c9_1(X92) ) )
          | ! [X93] : 
              ( ndr1_0
             => ( c6_1(X93)
                | ! [X94] : 
                    ( ndr1_1(X93)
                   => ( c5_2(X93,X94)
                      | ~ c6_2(X93,X94)
                      | ~ c2_2(X93,X94) ) )
                | ! [X95] : 
                    ( ndr1_1(X93)
                   => ( ~ c6_2(X93,X95)
                      | c7_2(X93,X95)
                      | c5_2(X93,X95) ) ) ) )
          | ! [X96] : 
              ( ndr1_0
             => ( ~ c4_1(X96)
                | ! [X97] : 
                    ( ndr1_1(X96)
                   => ( ~ c1_2(X96,X97)
                      | c10_2(X96,X97)
                      | ~ c8_2(X96,X97) ) )
                | c9_1(X96) ) ) )
        & ( ~ c5_0
          | ~ c7_0
          | ( ndr1_0
            & ~ c8_1(a1933)
            & ndr1_1(a1933)
            & ~ c1_2(a1933,a1934)
            & c5_2(a1933,a1934)
            & c8_2(a1933,a1934)
            & ~ c3_1(a1933) ) )
        & ( c2_0
          | ( ndr1_0
            & ndr1_1(a1935)
            & ~ c8_2(a1935,a1936)
            & c5_2(a1935,a1936)
            & ! [X98] : 
                ( ndr1_1(a1935)
               => ( ~ c8_2(a1935,X98)
                  | c10_2(a1935,X98)
                  | c3_2(a1935,X98) ) )
            & ~ c9_1(a1935) )
          | ! [X99] : 
              ( ndr1_0
             => ( ~ c10_1(X99)
                | ~ c6_1(X99) ) ) )
        & ( c10_0
          | c7_0
          | ( ndr1_0
            & c2_1(a1937)
            & ndr1_1(a1937)
            & ~ c7_2(a1937,a1938)
            & ~ c6_2(a1937,a1938)
            & ~ c10_1(a1937) ) )
        & ( ( ndr1_0
            & ~ c2_1(a1939)
            & c10_1(a1939)
            & ! [X100] : 
                ( ndr1_1(a1939)
               => ( ~ c8_2(a1939,X100)
                  | ~ c3_2(a1939,X100) ) ) )
          | ! [X101] : 
              ( ndr1_0
             => ( ( ndr1_1(X101)
                  & ~ c6_2(X101,a1940)
                  & c8_2(X101,a1940) )
                | c3_1(X101)
                | ~ c6_1(X101) ) ) )
        & ( ~ c3_0
          | c7_0
          | ( ndr1_0
            & ~ c1_1(a1941)
            & ~ c9_1(a1941) ) )
        & ( c7_0
          | ! [X102] : 
              ( ndr1_0
             => ( c4_1(X102)
                | ( ndr1_1(X102)
                  & ~ c3_2(X102,a1942)
                  & ~ c9_2(X102,a1942)
                  & ~ c6_2(X102,a1942) )
                | c2_1(X102) ) )
          | ! [X103] : 
              ( ndr1_0
             => ( c2_1(X103)
                | ~ c3_1(X103)
                | ~ c10_1(X103) ) ) )
        & ( c6_0
          | c1_0
          | ! [X104] : 
              ( ndr1_0
             => ( ! [X105] : 
                    ( ndr1_1(X104)
                   => ( ~ c9_2(X104,X105)
                      | c8_2(X104,X105)
                      | c2_2(X104,X105) ) )
                | ! [X106] : 
                    ( ndr1_1(X104)
                   => ( c10_2(X104,X106)
                      | ~ c1_2(X104,X106) ) )
                | ~ c9_1(X104) ) ) )
        & ( ( ndr1_0
            & ~ c7_1(a1943)
            & ndr1_1(a1943)
            & c4_2(a1943,a1944)
            & ~ c1_2(a1943,a1944)
            & c10_2(a1943,a1944)
            & ~ c4_1(a1943) )
          | ( ndr1_0
            & ! [X107] : 
                ( ndr1_1(a1945)
               => ( c2_2(a1945,X107)
                  | ~ c4_2(a1945,X107) ) )
            & ! [X108] : 
                ( ndr1_1(a1945)
               => ( ~ c10_2(a1945,X108)
                  | ~ c5_2(a1945,X108)
                  | ~ c3_2(a1945,X108) ) )
            & ~ c4_1(a1945) )
          | ! [X109] : 
              ( ndr1_0
             => ( ! [X110] : 
                    ( ndr1_1(X109)
                   => ( ~ c3_2(X109,X110)
                      | ~ c8_2(X109,X110)
                      | c1_2(X109,X110) ) )
                | ! [X111] : 
                    ( ndr1_1(X109)
                   => ( ~ c6_2(X109,X111)
                      | ~ c8_2(X109,X111)
                      | c3_2(X109,X111) ) ) ) ) )
        & ( ( ndr1_0
            & c8_1(a1946)
            & ~ c1_1(a1946) )
          | c9_0
          | ! [X112] : 
              ( ndr1_0
             => ( ~ c10_1(X112)
                | ( ndr1_1(X112)
                  & c9_2(X112,a1947)
                  & c2_2(X112,a1947)
                  & c7_2(X112,a1947) )
                | ( ndr1_1(X112)
                  & ~ c10_2(X112,a1948)
                  & c7_2(X112,a1948)
                  & ~ c6_2(X112,a1948) ) ) ) )
        & ( ! [X113] : 
              ( ndr1_0
             => ( c8_1(X113)
                | c1_1(X113)
                | ( ndr1_1(X113)
                  & c9_2(X113,a1949)
                  & c7_2(X113,a1949)
                  & c10_2(X113,a1949) ) ) )
          | ( ndr1_0
            & c5_1(a1950)
            & ! [X114] : 
                ( ndr1_1(a1950)
               => ( c10_2(a1950,X114)
                  | c3_2(a1950,X114)
                  | ~ c4_2(a1950,X114) ) )
            & ~ c1_1(a1950) )
          | ( ndr1_0
            & ~ c3_1(a1951)
            & c5_1(a1951) ) )
        & ( ~ c7_0
          | ! [X115] : 
              ( ndr1_0
             => ( c8_1(X115)
                | ~ c1_1(X115)
                | ! [X116] : 
                    ( ndr1_1(X115)
                   => ~ c2_2(X115,X116) ) ) )
          | ~ c5_0 )
        & ( ! [X117] : 
              ( ndr1_0
             => ( ! [X118] : 
                    ( ndr1_1(X117)
                   => ( ~ c7_2(X117,X118)
                      | ~ c6_2(X117,X118)
                      | ~ c3_2(X117,X118) ) )
                | c6_1(X117) ) )
          | ~ c5_0
          | ( ndr1_0
            & ~ c10_1(a1952)
            & ! [X119] : 
                ( ndr1_1(a1952)
               => ( ~ c1_2(a1952,X119)
                  | ~ c7_2(a1952,X119)
                  | c3_2(a1952,X119) ) ) ) )
        & ( c3_0
          | ! [X120] : 
              ( ndr1_0
             => ( ! [X121] : 
                    ( ndr1_1(X120)
                   => ( c1_2(X120,X121)
                      | ~ c5_2(X120,X121)
                      | ~ c7_2(X120,X121) ) )
                | ( ndr1_1(X120)
                  & c4_2(X120,a1953)
                  & c10_2(X120,a1953)
                  & ~ c6_2(X120,a1953) )
                | ( ndr1_1(X120)
                  & c3_2(X120,a1954)
                  & c10_2(X120,a1954)
                  & c5_2(X120,a1954) ) ) ) )
        & ( ! [X122] : 
              ( ndr1_0
             => ( ~ c10_1(X122)
                | ( ndr1_1(X122)
                  & c5_2(X122,a1955)
                  & c3_2(X122,a1955)
                  & ~ c1_2(X122,a1955) )
                | ~ c7_1(X122) ) )
          | c8_0
          | ! [X123] : 
              ( ndr1_0
             => ( ( ndr1_1(X123)
                  & c8_2(X123,a1956)
                  & c1_2(X123,a1956)
                  & ~ c6_2(X123,a1956) )
                | ( ndr1_1(X123)
                  & ~ c7_2(X123,a1957)
                  & ~ c8_2(X123,a1957)
                  & c6_2(X123,a1957) )
                | ~ c8_1(X123) ) ) )
        & ( c7_0
          | ~ c3_0
          | ( ndr1_0
            & ndr1_1(a1958)
            & c4_2(a1958,a1959)
            & ~ c7_2(a1958,a1959)
            & c8_2(a1958,a1959)
            & ~ c9_1(a1958)
            & ~ c5_1(a1958) ) )
        & ( c8_0
          | ( ndr1_0
            & ndr1_1(a1960)
            & ~ c3_2(a1960,a1961)
            & ~ c10_2(a1960,a1961)
            & ~ c5_1(a1960)
            & ~ c10_1(a1960) )
          | ! [X124] : 
              ( ndr1_0
             => ( ~ c6_1(X124)
                | ! [X125] : 
                    ( ndr1_1(X124)
                   => ( c9_2(X124,X125)
                      | c1_2(X124,X125)
                      | c8_2(X124,X125) ) )
                | c1_1(X124) ) ) )
        & ( ! [X126] : 
              ( ndr1_0
             => ( ~ c1_1(X126)
                | c8_1(X126)
                | ( ndr1_1(X126)
                  & c3_2(X126,a1962)
                  & c6_2(X126,a1962)
                  & ~ c9_2(X126,a1962) ) ) )
          | ( ndr1_0
            & c5_1(a1963)
            & ! [X127] : 
                ( ndr1_1(a1963)
               => ( ~ c10_2(a1963,X127)
                  | ~ c5_2(a1963,X127)
                  | c6_2(a1963,X127) ) )
            & ! [X128] : 
                ( ndr1_1(a1963)
               => ( ~ c9_2(a1963,X128)
                  | c4_2(a1963,X128)
                  | c1_2(a1963,X128) ) ) ) )
        & ( ( ndr1_0
            & ndr1_1(a1964)
            & c3_2(a1964,a1965)
            & c9_2(a1964,a1965)
            & ~ c4_2(a1964,a1965)
            & ndr1_1(a1964)
            & ~ c10_2(a1964,a1966)
            & ~ c3_2(a1964,a1966)
            & ! [X129] : 
                ( ndr1_1(a1964)
               => ( c3_2(a1964,X129)
                  | ~ c2_2(a1964,X129)
                  | c9_2(a1964,X129) ) ) )
          | ~ c6_0
          | c5_0 )
        & ( ! [X130] : 
              ( ndr1_0
             => ( c5_1(X130)
                | ! [X131] : 
                    ( ndr1_1(X130)
                   => ( ~ c10_2(X130,X131)
                      | ~ c4_2(X130,X131)
                      | c6_2(X130,X131) ) )
                | ~ c7_1(X130) ) )
          | ( ndr1_0
            & ! [X132] : 
                ( ndr1_1(a1967)
               => ( c3_2(a1967,X132)
                  | c5_2(a1967,X132) ) )
            & ! [X133] : 
                ( ndr1_1(a1967)
               => ( c1_2(a1967,X133)
                  | ~ c5_2(a1967,X133)
                  | c8_2(a1967,X133) ) )
            & ! [X134] : 
                ( ndr1_1(a1967)
               => ( c4_2(a1967,X134)
                  | ~ c10_2(a1967,X134)
                  | ~ c7_2(a1967,X134) ) ) ) )
        & ( ! [X135] : 
              ( ndr1_0
             => ( ~ c10_1(X135)
                | ( ndr1_1(X135)
                  & ~ c7_2(X135,a1968)
                  & ~ c2_2(X135,a1968)
                  & c8_2(X135,a1968) )
                | c1_1(X135) ) )
          | ~ c2_0
          | ! [X136] : 
              ( ndr1_0
             => ( c6_1(X136)
                | c10_1(X136)
                | c4_1(X136) ) ) )
        & ( c7_0
          | c10_0
          | ~ c1_0 )
        & ( ! [X137] : 
              ( ndr1_0
             => ( c7_1(X137)
                | ! [X138] : 
                    ( ndr1_1(X137)
                   => ( ~ c6_2(X137,X138)
                      | ~ c3_2(X137,X138) ) ) ) )
          | ! [X139] : 
              ( ndr1_0
             => ( ~ c2_1(X139)
                | c7_1(X139)
                | ( ndr1_1(X139)
                  & c1_2(X139,a1969)
                  & ~ c5_2(X139,a1969)
                  & ~ c8_2(X139,a1969) ) ) ) )
        & ( ~ c4_0
          | ( ndr1_0
            & ~ c10_1(a1970)
            & ~ c5_1(a1970)
            & c7_1(a1970) )
          | ~ c1_0 )
        & ( ( ndr1_0
            & ~ c3_1(a1971)
            & ndr1_1(a1971)
            & ~ c8_2(a1971,a1972)
            & ~ c5_2(a1971,a1972)
            & ~ c7_2(a1971,a1972)
            & ndr1_1(a1971)
            & c7_2(a1971,a1973)
            & c10_2(a1971,a1973) )
          | ! [X140] : 
              ( ndr1_0
             => ( ( ndr1_1(X140)
                  & ~ c1_2(X140,a1974)
                  & ~ c2_2(X140,a1974)
                  & ~ c7_2(X140,a1974) )
                | ~ c6_1(X140)
                | ~ c10_1(X140) ) )
          | c5_0 )
        & ( ( ndr1_0
            & ~ c7_1(a1975)
            & ! [X141] : 
                ( ndr1_1(a1975)
               => ( ~ c7_2(a1975,X141)
                  | ~ c10_2(a1975,X141)
                  | c5_2(a1975,X141) ) ) )
          | ~ c3_0
          | ~ c7_0 )
        & ( ! [X142] : 
              ( ndr1_0
             => ( ! [X143] : 
                    ( ndr1_1(X142)
                   => ( c4_2(X142,X143)
                      | ~ c1_2(X142,X143)
                      | c10_2(X142,X143) ) )
                | c6_1(X142) ) )
          | ! [X144] : 
              ( ndr1_0
             => ( c5_1(X144)
                | ! [X145] : 
                    ( ndr1_1(X144)
                   => ( ~ c1_2(X144,X145)
                      | c5_2(X144,X145)
                      | c10_2(X144,X145) ) ) ) )
          | ~ c10_0 )
        & ( ~ c2_0
          | c7_0 )
        & ( c2_0
          | ~ c10_0
          | c9_0 )
        & ( ( ndr1_0
            & ~ c9_1(a1976)
            & ndr1_1(a1976)
            & c8_2(a1976,a1977)
            & c7_2(a1976,a1977)
            & ~ c6_2(a1976,a1977)
            & ~ c1_1(a1976) )
          | ! [X146] : 
              ( ndr1_0
             => ( ! [X147] : 
                    ( ndr1_1(X146)
                   => ( ~ c2_2(X146,X147)
                      | ~ c1_2(X146,X147)
                      | ~ c3_2(X146,X147) ) )
                | c3_1(X146)
                | ! [X148] : 
                    ( ndr1_1(X146)
                   => ( ~ c3_2(X146,X148)
                      | ~ c7_2(X146,X148)
                      | ~ c8_2(X146,X148) ) ) ) )
          | ! [X149] : 
              ( ndr1_0
             => ( c7_1(X149)
                | ( ndr1_1(X149)
                  & c5_2(X149,a1978)
                  & c9_2(X149,a1978) )
                | ! [X150] : 
                    ( ndr1_1(X149)
                   => ( ~ c2_2(X149,X150)
                      | c5_2(X149,X150)
                      | c7_2(X149,X150) ) ) ) ) )
        & ( ( ndr1_0
            & c1_1(a1979)
            & c9_1(a1979)
            & ! [X151] : 
                ( ndr1_1(a1979)
               => ( ~ c7_2(a1979,X151)
                  | ~ c4_2(a1979,X151)
                  | ~ c10_2(a1979,X151) ) ) )
          | c3_0
          | ! [X152] : 
              ( ndr1_0
             => ( c10_1(X152)
                | ( ndr1_1(X152)
                  & c1_2(X152,a1980)
                  & c7_2(X152,a1980)
                  & c4_2(X152,a1980) )
                | ( ndr1_1(X152)
                  & ~ c5_2(X152,a1981)
                  & ~ c2_2(X152,a1981)
                  & c7_2(X152,a1981) ) ) ) )
        & ( ! [X153] : 
              ( ndr1_0
             => ( c3_1(X153)
                | ( ndr1_1(X153)
                  & c5_2(X153,a1982)
                  & c10_2(X153,a1982)
                  & ~ c9_2(X153,a1982) ) ) )
          | c9_0
          | ~ c5_0 )
        & ( c9_0
          | c1_0 )
        & ( ~ c3_0
          | ~ c6_0
          | ~ c9_0 )
        & ( ! [X154] : 
              ( ndr1_0
             => ( ~ c2_1(X154)
                | ~ c5_1(X154)
                | ( ndr1_1(X154)
                  & ~ c5_2(X154,a1983)
                  & c8_2(X154,a1983)
                  & c1_2(X154,a1983) ) ) )
          | ! [X155] : 
              ( ndr1_0
             => ( ( ndr1_1(X155)
                  & c8_2(X155,a1984)
                  & ~ c10_2(X155,a1984)
                  & c9_2(X155,a1984) )
                | c1_1(X155)
                | ( ndr1_1(X155)
                  & c8_2(X155,a1985)
                  & c6_2(X155,a1985)
                  & c3_2(X155,a1985) ) ) )
          | ( ndr1_0
            & ndr1_1(a1986)
            & ~ c5_2(a1986,a1987)
            & c7_2(a1986,a1987)
            & ~ c2_2(a1986,a1987)
            & ~ c9_1(a1986)
            & ~ c7_1(a1986) ) )
        & ( ! [X156] : 
              ( ndr1_0
             => ( c4_1(X156)
                | ! [X157] : 
                    ( ndr1_1(X156)
                   => ( ~ c1_2(X156,X157)
                      | c3_2(X156,X157)
                      | ~ c8_2(X156,X157) ) )
                | c5_1(X156) ) )
          | ( ndr1_0
            & ! [X158] : 
                ( ndr1_1(a1988)
               => ( ~ c5_2(a1988,X158)
                  | ~ c2_2(a1988,X158)
                  | ~ c1_2(a1988,X158) ) )
            & ndr1_1(a1988)
            & ~ c3_2(a1988,a1989)
            & ~ c6_2(a1988,a1989)
            & c5_2(a1988,a1989)
            & ~ c5_1(a1988) )
          | ! [X159] : 
              ( ndr1_0
             => ( c9_1(X159)
                | ~ c8_1(X159)
                | ! [X160] : 
                    ( ndr1_1(X159)
                   => ( ~ c8_2(X159,X160)
                      | c5_2(X159,X160)
                      | c10_2(X159,X160) ) ) ) ) )
        & ( c2_0
          | ~ c1_0
          | ! [X161] : 
              ( ndr1_0
             => ( ~ c6_1(X161)
                | ~ c4_1(X161)
                | c5_1(X161) ) ) )
        & ( ! [X162] : 
              ( ndr1_0
             => ( ( ndr1_1(X162)
                  & ~ c5_2(X162,a1990)
                  & c10_2(X162,a1990)
                  & ~ c2_2(X162,a1990) )
                | ~ c10_1(X162)
                | ( ndr1_1(X162)
                  & c1_2(X162,a1991)
                  & ~ c9_2(X162,a1991)
                  & ~ c4_2(X162,a1991) ) ) )
          | ! [X163] : 
              ( ndr1_0
             => ( ( ndr1_1(X163)
                  & ~ c2_2(X163,a1992)
                  & c8_2(X163,a1992)
                  & c10_2(X163,a1992) )
                | ( ndr1_1(X163)
                  & c8_2(X163,a1993)
                  & c10_2(X163,a1993)
                  & ~ c9_2(X163,a1993) )
                | c1_1(X163) ) )
          | ~ c6_0 )
        & ( ! [X164] : 
              ( ndr1_0
             => ( ( ndr1_1(X164)
                  & ~ c10_2(X164,a1994)
                  & c9_2(X164,a1994) )
                | c4_1(X164)
                | ~ c10_1(X164) ) )
          | ( ndr1_0
            & ndr1_1(a1995)
            & ~ c6_2(a1995,a1996)
            & c5_2(a1995,a1996)
            & ~ c1_2(a1995,a1996)
            & ! [X165] : 
                ( ndr1_1(a1995)
               => ( ~ c3_2(a1995,X165)
                  | c2_2(a1995,X165)
                  | c5_2(a1995,X165) ) )
            & ~ c3_1(a1995) )
          | ~ c7_0 )
        & ( ( ndr1_0
            & c8_1(a1997)
            & ~ c3_1(a1997) )
          | ~ c4_0 )
        & ( ( ndr1_0
            & ~ c5_1(a1998)
            & ndr1_1(a1998)
            & c10_2(a1998,a1999)
            & ~ c2_2(a1998,a1999)
            & c3_2(a1998,a1999)
            & ndr1_1(a1998)
            & c6_2(a1998,a2000)
            & c9_2(a1998,a2000)
            & c1_2(a1998,a2000) )
          | ( ndr1_0
            & c2_1(a2001)
            & ndr1_1(a2001)
            & c9_2(a2001,a2002)
            & ~ c2_2(a2001,a2002)
            & c5_2(a2001,a2002)
            & ~ c3_1(a2001) )
          | ~ c5_0 )
        & ( ( ndr1_0
            & ! [X166] : 
                ( ndr1_1(a2003)
               => ( c3_2(a2003,X166)
                  | c1_2(a2003,X166)
                  | c9_2(a2003,X166) ) )
            & ! [X167] : 
                ( ndr1_1(a2003)
               => ( c9_2(a2003,X167)
                  | c4_2(a2003,X167)
                  | c6_2(a2003,X167) ) )
            & c3_1(a2003) )
          | c2_0
          | ~ c8_0 )
        & ( ~ c6_0
          | c1_0
          | ( ndr1_0
            & ndr1_1(a2004)
            & c8_2(a2004,a2005)
            & ~ c10_2(a2004,a2005)
            & ! [X168] : 
                ( ndr1_1(a2004)
               => ( ~ c1_2(a2004,X168)
                  | c9_2(a2004,X168) ) )
            & ~ c1_1(a2004) ) )
        & ( ( ndr1_0
            & ndr1_1(a2006)
            & c4_2(a2006,a2007)
            & c7_2(a2006,a2007)
            & ~ c2_2(a2006,a2007)
            & c4_1(a2006)
            & ! [X169] : 
                ( ndr1_1(a2006)
               => ( c9_2(a2006,X169)
                  | c7_2(a2006,X169) ) ) )
          | ! [X170] : 
              ( ndr1_0
             => ( ~ c9_1(X170)
                | ( ndr1_1(X170)
                  & ~ c5_2(X170,a2008)
                  & c3_2(X170,a2008)
                  & ~ c2_2(X170,a2008) )
                | ( ndr1_1(X170)
                  & c6_2(X170,a2009)
                  & ~ c4_2(X170,a2009)
                  & c7_2(X170,a2009) ) ) )
          | c4_0 )
        & ( c6_0
          | ~ c10_0 )
        & ( ~ c6_0
          | ( ndr1_0
            & c7_1(a2010)
            & ! [X171] : 
                ( ndr1_1(a2010)
               => ( c1_2(a2010,X171)
                  | c8_2(a2010,X171)
                  | c10_2(a2010,X171) ) )
            & ~ c1_1(a2010) )
          | c1_0 )
        & ( ! [X172] : 
              ( ndr1_0
             => ( ( ndr1_1(X172)
                  & c4_2(X172,a2011)
                  & c9_2(X172,a2011)
                  & c2_2(X172,a2011) )
                | c2_1(X172)
                | ! [X173] : 
                    ( ndr1_1(X172)
                   => ( c7_2(X172,X173)
                      | ~ c4_2(X172,X173)
                      | c2_2(X172,X173) ) ) ) )
          | ~ c6_0
          | ~ c1_0 )
        & ( ! [X174] : 
              ( ndr1_0
             => ( ! [X175] : 
                    ( ndr1_1(X174)
                   => ( c10_2(X174,X175)
                      | c6_2(X174,X175)
                      | c9_2(X174,X175) ) )
                | c4_1(X174)
                | ! [X176] : 
                    ( ndr1_1(X174)
                   => ( ~ c10_2(X174,X176)
                      | ~ c1_2(X174,X176)
                      | ~ c6_2(X174,X176) ) ) ) )
          | ! [X177] : 
              ( ndr1_0
             => ( ~ c8_1(X177)
                | ~ c9_1(X177)
                | ! [X178] : 
                    ( ndr1_1(X177)
                   => ( ~ c10_2(X177,X178)
                      | ~ c3_2(X177,X178)
                      | ~ c4_2(X177,X178) ) ) ) )
          | ~ c6_0 )
        & ( ~ c2_0
          | ! [X179] : 
              ( ndr1_0
             => ( ! [X180] : 
                    ( ndr1_1(X179)
                   => ( c1_2(X179,X180)
                      | ~ c6_2(X179,X180) ) )
                | c5_1(X179)
                | ( ndr1_1(X179)
                  & c2_2(X179,a2012)
                  & ~ c7_2(X179,a2012)
                  & c8_2(X179,a2012) ) ) )
          | ! [X181] : 
              ( ndr1_0
             => ( ( ndr1_1(X181)
                  & c7_2(X181,a2013)
                  & ~ c4_2(X181,a2013)
                  & c1_2(X181,a2013) )
                | c10_1(X181)
                | ! [X182] : 
                    ( ndr1_1(X181)
                   => ( ~ c8_2(X181,X182)
                      | c4_2(X181,X182)
                      | c10_2(X181,X182) ) ) ) ) )
        & ( ( ndr1_0
            & ~ c7_1(a2014)
            & c2_1(a2014)
            & ! [X183] : 
                ( ndr1_1(a2014)
               => ( ~ c3_2(a2014,X183)
                  | c9_2(a2014,X183)
                  | ~ c4_2(a2014,X183) ) ) )
          | ( ndr1_0
            & ! [X184] : 
                ( ndr1_1(a2015)
               => ( c2_2(a2015,X184)
                  | ~ c10_2(a2015,X184) ) )
            & ndr1_1(a2015)
            & ~ c8_2(a2015,a2016)
            & ~ c9_2(a2015,a2016) ) )
        & ( c3_0
          | c7_0
          | c2_0 )
        & ( c2_0
          | ( ndr1_0
            & c8_1(a2017)
            & c3_1(a2017)
            & ! [X185] : 
                ( ndr1_1(a2017)
               => ( c4_2(a2017,X185)
                  | c7_2(a2017,X185)
                  | c2_2(a2017,X185) ) ) ) )
        & ( ~ c9_0
          | c2_0
          | ! [X186] : 
              ( ndr1_0
             => ( ( ndr1_1(X186)
                  & c6_2(X186,a2018)
                  & ~ c10_2(X186,a2018)
                  & ~ c4_2(X186,a2018) )
                | c8_1(X186)
                | c10_1(X186) ) ) )
        & ( ~ c2_0
          | ~ c3_0 )
        & ( ( ndr1_0
            & c4_1(a2019)
            & ! [X187] : 
                ( ndr1_1(a2019)
               => ( c2_2(a2019,X187)
                  | ~ c6_2(a2019,X187)
                  | ~ c3_2(a2019,X187) ) )
            & c3_1(a2019) )
          | ! [X188] : 
              ( ndr1_0
             => ( ~ c6_1(X188)
                | ( ndr1_1(X188)
                  & ~ c9_2(X188,a2020)
                  & c5_2(X188,a2020) )
                | ! [X189] : 
                    ( ndr1_1(X188)
                   => ( ~ c3_2(X188,X189)
                      | c2_2(X188,X189)
                      | c1_2(X188,X189) ) ) ) )
          | ! [X190] : 
              ( ndr1_0
             => ( ~ c3_1(X190)
                | ~ c10_1(X190)
                | ~ c9_1(X190) ) ) )
        & ( c4_0
          | ~ c6_0
          | ! [X191] : 
              ( ndr1_0
             => ( ! [X192] : 
                    ( ndr1_1(X191)
                   => ( c8_2(X191,X192)
                      | ~ c10_2(X191,X192)
                      | ~ c4_2(X191,X192) ) )
                | c8_1(X191)
                | ~ c3_1(X191) ) ) )
        & ( ( ndr1_0
            & ~ c3_1(a2021)
            & ~ c8_1(a2021)
            & ~ c1_1(a2021) )
          | ~ c3_0 )
        & ( ~ c10_0
          | ( ndr1_0
            & c3_1(a2022)
            & ~ c7_1(a2022) )
          | c8_0 )
        & ( ( ndr1_0
            & ~ c8_1(a2023)
            & ~ c10_1(a2023)
            & ! [X193] : 
                ( ndr1_1(a2023)
               => ( c6_2(a2023,X193)
                  | ~ c2_2(a2023,X193)
                  | ~ c5_2(a2023,X193) ) ) )
          | ~ c1_0 )
        & ( ~ c9_0
          | ! [X194] : 
              ( ndr1_0
             => ( ~ c7_1(X194)
                | ! [X195] : 
                    ( ndr1_1(X194)
                   => ( c5_2(X194,X195)
                      | c3_2(X194,X195)
                      | c4_2(X194,X195) ) )
                | ~ c5_1(X194) ) ) )
        & ( c7_0
          | c9_0 )
        & ( c3_0
          | ~ c1_0 )
        & ( ! [X196] : 
              ( ndr1_0
             => ( ~ c4_1(X196)
                | ! [X197] : 
                    ( ndr1_1(X196)
                   => ( c7_2(X196,X197)
                      | ~ c10_2(X196,X197)
                      | c4_2(X196,X197) ) )
                | ( ndr1_1(X196)
                  & c3_2(X196,a2024)
                  & c10_2(X196,a2024)
                  & ~ c6_2(X196,a2024) ) ) )
          | ~ c7_0
          | ! [X198] : 
              ( ndr1_0
             => ( c10_1(X198)
                | ! [X199] : 
                    ( ndr1_1(X198)
                   => ( ~ c8_2(X198,X199)
                      | c2_2(X198,X199)
                      | c3_2(X198,X199) ) )
                | ( ndr1_1(X198)
                  & ~ c5_2(X198,a2025)
                  & ~ c6_2(X198,a2025)
                  & c3_2(X198,a2025) ) ) ) )
        & ( ! [X200] : 
              ( ndr1_0
             => ( ~ c5_1(X200)
                | c4_1(X200)
                | ( ndr1_1(X200)
                  & ~ c10_2(X200,a2026)
                  & c4_2(X200,a2026)
                  & c3_2(X200,a2026) ) ) )
          | ~ c7_0
          | c6_0 )
        & ( ( ndr1_0
            & c3_1(a2027)
            & ~ c4_1(a2027)
            & ~ c6_1(a2027) )
          | c8_0
          | ! [X201] : 
              ( ndr1_0
             => ( ( ndr1_1(X201)
                  & c2_2(X201,a2028)
                  & ~ c8_2(X201,a2028)
                  & c4_2(X201,a2028) )
                | c2_1(X201)
                | ~ c6_1(X201) ) ) )
        & ( ( ndr1_0
            & c10_1(a2029)
            & ! [X202] : 
                ( ndr1_1(a2029)
               => ( ~ c3_2(a2029,X202)
                  | c4_2(a2029,X202)
                  | ~ c8_2(a2029,X202) ) )
            & ! [X203] : 
                ( ndr1_1(a2029)
               => ( ~ c9_2(a2029,X203)
                  | ~ c4_2(a2029,X203)
                  | ~ c7_2(a2029,X203) ) ) )
          | c4_0 )
        & ( c3_0
          | ( ndr1_0
            & ~ c7_1(a2030)
            & ~ c6_1(a2030) )
          | ! [X204] : 
              ( ndr1_0
             => ( ( ndr1_1(X204)
                  & c8_2(X204,a2031)
                  & ~ c5_2(X204,a2031) )
                | ( ndr1_1(X204)
                  & c2_2(X204,a2032)
                  & c7_2(X204,a2032)
                  & ~ c1_2(X204,a2032) )
                | c1_1(X204) ) ) ) ) )).

%--------------------------------------------------------------------------
