%--------------------------------------------------------------------------
% File     : SYN429+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=10, R=1, L=150, K=3, D=2, P=0, Index=093
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-10-1-150-3-2-093.dfg [Wei97]

% Status   : CounterSatisfiable
% Rating   : 0.50 v3.1.0, 0.67 v2.7.0, 0.83 v2.6.0, 0.50 v2.5.0, 0.33 v2.3.0, 0.00 v2.1.0
%
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
%
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       : 1601 (   0 equality)
%            Maximal formula depth :  141 ( 141 average)
%            Number of connectives : 2195 ( 595 ~  ; 647  |; 737  &)
%                                         (   0 <=>; 216 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :  249 ( 228 propositional; 0-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :  216 (   0 singleton; 216 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%--------------------------------------------------------------------------
fof(co1,conjecture,
    ( ~ ( ( c1_0
          | c2_0
          | c9_0 )
        & ( c1_0
          | c4_0
          | ! [U] : 
              ( ndr1_0
             => ( ! [V] : 
                    ( ndr1_1(U)
                   => ( c10_2(U,V)
                      | ~ c2_2(U,V) ) )
                | ! [W] : 
                    ( ndr1_1(U)
                   => ( c7_2(U,W)
                      | ~ c5_2(U,W)
                      | ~ c9_2(U,W) ) )
                | ! [X] : 
                    ( ndr1_1(U)
                   => ( ~ c4_2(U,X)
                      | ~ c9_2(U,X) ) ) ) ) )
        & ( c1_0
          | c4_0
          | ( ndr1_0
            & ! [Y] : 
                ( ndr1_1(a1)
               => ( c7_2(a1,Y)
                  | ~ c3_2(a1,Y)
                  | ~ c6_2(a1,Y) ) )
            & ndr1_1(a1)
            & c6_2(a1,a2)
            & c9_2(a1,a2)
            & ~ c4_2(a1,a2)
            & ndr1_1(a1)
            & ~ c10_2(a1,a3)
            & ~ c7_2(a1,a3) ) )
        & ( c1_0
          | c6_0
          | c9_0 )
        & ( c1_0
          | c6_0
          | ( ndr1_0
            & c4_1(a4)
            & ndr1_1(a4)
            & c6_2(a4,a5)
            & c7_2(a4,a5)
            & ~ c8_2(a4,a5)
            & ndr1_1(a4)
            & c6_2(a4,a6)
            & ~ c2_2(a4,a6)
            & ~ c9_2(a4,a6) ) )
        & ( c1_0
          | c6_0
          | ( ndr1_0
            & ! [Z] : 
                ( ndr1_1(a7)
               => ( c1_2(a7,Z)
                  | c7_2(a7,Z)
                  | ~ c3_2(a7,Z) ) )
            & ! [X1] : 
                ( ndr1_1(a7)
               => ( c4_2(a7,X1)
                  | ~ c1_2(a7,X1)
                  | ~ c5_2(a7,X1) ) )
            & ndr1_1(a7)
            & c7_2(a7,a8)
            & ~ c10_2(a7,a8)
            & ~ c3_2(a7,a8) ) )
        & ( c1_0
          | ~ c10_0
          | ~ c4_0 )
        & ( c1_0
          | ~ c4_0
          | ~ c9_0 )
        & ( c1_0
          | ~ c5_0
          | ! [X2] : 
              ( ndr1_0
             => ( c3_1(X2)
                | ( ndr1_1(X2)
                  & c2_2(X2,a9)
                  & c3_2(X2,a9)
                  & ~ c8_2(X2,a9) ) ) ) )
        & ( c1_0
          | ~ c7_0
          | ! [X3] : 
              ( ndr1_0
             => ( ~ c1_1(X3)
                | ~ c9_1(X3)
                | ! [X4] : 
                    ( ndr1_1(X3)
                   => ( ~ c10_2(X3,X4)
                      | ~ c3_2(X3,X4) ) ) ) ) )
        & ( c1_0
          | ~ c9_0
          | ! [X5] : 
              ( ndr1_0
             => ( c8_1(X5)
                | ! [X6] : 
                    ( ndr1_1(X5)
                   => ( c4_2(X5,X6)
                      | c9_2(X5,X6)
                      | ~ c8_2(X5,X6) ) )
                | ! [X7] : 
                    ( ndr1_1(X5)
                   => ( c5_2(X5,X7)
                      | c8_2(X5,X7)
                      | ~ c10_2(X5,X7) ) ) ) ) )
        & ( c1_0
          | ~ c9_0
          | ! [X8] : 
              ( ndr1_0
             => ( ~ c3_1(X8)
                | ( ndr1_1(X8)
                  & c1_2(X8,a10)
                  & c2_2(X8,a10)
                  & c9_2(X8,a10) )
                | ( ndr1_1(X8)
                  & c1_2(X8,a11)
                  & ~ c4_2(X8,a11)
                  & ~ c6_2(X8,a11) ) ) ) )
        & ( c10_0
          | c3_0
          | ( ndr1_0
            & ~ c9_1(a12)
            & ndr1_1(a12)
            & c10_2(a12,a13)
            & c3_2(a12,a13)
            & ~ c1_2(a12,a13)
            & ndr1_1(a12)
            & c3_2(a12,a14)
            & c5_2(a12,a14)
            & ~ c1_2(a12,a14) ) )
        & ( c10_0
          | ~ c1_0
          | ( ndr1_0
            & ~ c4_1(a15)
            & ~ c5_1(a15)
            & ndr1_1(a15)
            & c1_2(a15,a16)
            & c8_2(a15,a16)
            & ~ c5_2(a15,a16) ) )
        & ( c10_0
          | ~ c4_0
          | ! [X9] : 
              ( ndr1_0
             => ( ! [X10] : 
                    ( ndr1_1(X9)
                   => ( c10_2(X9,X10)
                      | ~ c2_2(X9,X10)
                      | ~ c9_2(X9,X10) ) )
                | ( ndr1_1(X9)
                  & c1_2(X9,a17)
                  & c2_2(X9,a17)
                  & c6_2(X9,a17) )
                | ( ndr1_1(X9)
                  & c1_2(X9,a18)
                  & ~ c5_2(X9,a18)
                  & ~ c9_2(X9,a18) ) ) ) )
        & ( c10_0
          | ~ c9_0
          | ( ndr1_0
            & c4_1(a19)
            & ~ c6_1(a19)
            & ! [X11] : 
                ( ndr1_1(a19)
               => ( c10_2(a19,X11)
                  | c5_2(a19,X11)
                  | c8_2(a19,X11) ) ) ) )
        & ( c10_0
          | ! [X12] : 
              ( ndr1_0
             => ( c10_1(X12)
                | ~ c2_1(X12)
                | ! [X13] : 
                    ( ndr1_1(X12)
                   => ( c4_2(X12,X13)
                      | c8_2(X12,X13)
                      | c9_2(X12,X13) ) ) ) )
          | ! [X14] : 
              ( ndr1_0
             => ( ~ c2_1(X14)
                | ! [X15] : 
                    ( ndr1_1(X14)
                   => ( c5_2(X14,X15)
                      | c6_2(X14,X15)
                      | ~ c2_2(X14,X15) ) )
                | ( ndr1_1(X14)
                  & c2_2(X14,a20)
                  & c5_2(X14,a20)
                  & c7_2(X14,a20) ) ) ) )
        & ( c10_0
          | ! [X16] : 
              ( ndr1_0
             => ( c2_1(X16)
                | ~ c3_1(X16)
                | ! [X17] : 
                    ( ndr1_1(X16)
                   => ( c1_2(X16,X17)
                      | ~ c3_2(X16,X17)
                      | ~ c7_2(X16,X17) ) ) ) )
          | ! [X18] : 
              ( ndr1_0
             => ( c7_1(X18)
                | ~ c2_1(X18)
                | ~ c6_1(X18) ) ) )
        & ( c10_0
          | ! [X19] : 
              ( ndr1_0
             => ( c4_1(X19)
                | ~ c2_1(X19)
                | ( ndr1_1(X19)
                  & c4_2(X19,a21)
                  & ~ c8_2(X19,a21) ) ) )
          | ! [X20] : 
              ( ndr1_0
             => ( ! [X21] : 
                    ( ndr1_1(X20)
                   => ( c5_2(X20,X21)
                      | ~ c4_2(X20,X21)
                      | ~ c6_2(X20,X21) ) )
                | ( ndr1_1(X20)
                  & c7_2(X20,a22)
                  & c9_2(X20,a22)
                  & ~ c5_2(X20,a22) )
                | ( ndr1_1(X20)
                  & c8_2(X20,a23)
                  & ~ c2_2(X20,a23)
                  & ~ c7_2(X20,a23) ) ) ) )
        & ( c10_0
          | ! [X22] : 
              ( ndr1_0
             => ( ! [X23] : 
                    ( ndr1_1(X22)
                   => ( c10_2(X22,X23)
                      | c6_2(X22,X23)
                      | c8_2(X22,X23) ) )
                | ! [X24] : 
                    ( ndr1_1(X22)
                   => ( c6_2(X22,X24)
                      | c7_2(X22,X24)
                      | ~ c3_2(X22,X24) ) ) ) )
          | ! [X25] : 
              ( ndr1_0
             => ( ( ndr1_1(X25)
                  & c1_2(X25,a24)
                  & ~ c10_2(X25,a24)
                  & ~ c4_2(X25,a24) )
                | ( ndr1_1(X25)
                  & c1_2(X25,a25)
                  & ~ c2_2(X25,a25)
                  & ~ c6_2(X25,a25) )
                | ( ndr1_1(X25)
                  & c6_2(X25,a26)
                  & c7_2(X25,a26)
                  & ~ c1_2(X25,a26) ) ) ) )
        & ( c10_0
          | ( ndr1_0
            & c2_1(a27)
            & ~ c10_1(a27)
            & ndr1_1(a27)
            & ~ c3_2(a27,a28)
            & ~ c5_2(a27,a28)
            & ~ c9_2(a27,a28) )
          | ( ndr1_0
            & ~ c2_1(a29)
            & ndr1_1(a29)
            & c2_2(a29,a30)
            & c7_2(a29,a30)
            & ~ c8_2(a29,a30) ) )
        & ( c2_0
          | c6_0
          | ( ndr1_0
            & c2_1(a31)
            & ! [X26] : 
                ( ndr1_1(a31)
               => ( c2_2(a31,X26)
                  | c4_2(a31,X26)
                  | c6_2(a31,X26) ) ) ) )
        & ( c2_0
          | c8_0
          | ~ c9_0 )
        & ( c2_0
          | ~ c1_0
          | ~ c8_0 )
        & ( c2_0
          | ~ c1_0
          | ( ndr1_0
            & ~ c6_1(a32)
            & ~ c9_1(a32)
            & ndr1_1(a32)
            & c3_2(a32,a33)
            & c6_2(a32,a33)
            & ~ c4_2(a32,a33) ) )
        & ( c2_0
          | ! [X27] : 
              ( ndr1_0
             => ( ~ c5_1(X27)
                | ! [X28] : 
                    ( ndr1_1(X27)
                   => ( c10_2(X27,X28)
                      | c3_2(X27,X28)
                      | ~ c4_2(X27,X28) ) )
                | ( ndr1_1(X27)
                  & c1_2(X27,a34)
                  & c4_2(X27,a34)
                  & ~ c7_2(X27,a34) ) ) )
          | ( ndr1_0
            & ~ c9_1(a35)
            & ! [X29] : 
                ( ndr1_1(a35)
               => ( c10_2(a35,X29)
                  | ~ c3_2(a35,X29)
                  | ~ c4_2(a35,X29) ) )
            & ndr1_1(a35)
            & c2_2(a35,a36)
            & ~ c10_2(a35,a36)
            & ~ c7_2(a35,a36) ) )
        & ( c3_0
          | c4_0
          | ( ndr1_0
            & ~ c3_1(a37)
            & ! [X30] : 
                ( ndr1_1(a37)
               => ( c7_2(a37,X30)
                  | ~ c4_2(a37,X30)
                  | ~ c5_2(a37,X30) ) )
            & ! [X31] : 
                ( ndr1_1(a37)
               => ( ~ c1_2(a37,X31)
                  | ~ c7_2(a37,X31)
                  | ~ c8_2(a37,X31) ) ) ) )
        & ( c3_0
          | c5_0
          | ~ c9_0 )
        & ( c3_0
          | ~ c1_0
          | ~ c4_0 )
        & ( c3_0
          | ~ c1_0
          | ! [X32] : 
              ( ndr1_0
             => ( c3_1(X32)
                | c4_1(X32)
                | ~ c5_1(X32) ) ) )
        & ( c3_0
          | ~ c10_0
          | ( ndr1_0
            & ~ c5_1(a38)
            & ~ c7_1(a38)
            & ! [X33] : 
                ( ndr1_1(a38)
               => ( c2_2(a38,X33)
                  | c4_2(a38,X33)
                  | ~ c8_2(a38,X33) ) ) ) )
        & ( c3_0
          | ~ c2_0
          | ( ndr1_0
            & c1_1(a39)
            & c5_1(a39)
            & ! [X34] : 
                ( ndr1_1(a39)
               => ( c3_2(a39,X34)
                  | ~ c7_2(a39,X34) ) ) ) )
        & ( c3_0
          | ~ c5_0
          | ! [X35] : 
              ( ndr1_0
             => ( ( ndr1_1(X35)
                  & c3_2(X35,a40)
                  & c5_2(X35,a40)
                  & ~ c1_2(X35,a40) )
                | ( ndr1_1(X35)
                  & c6_2(X35,a41)
                  & ~ c4_2(X35,a41)
                  & ~ c9_2(X35,a41) )
                | ( ndr1_1(X35)
                  & ~ c2_2(X35,a42)
                  & ~ c6_2(X35,a42)
                  & ~ c8_2(X35,a42) ) ) ) )
        & ( c3_0
          | ~ c6_0
          | ( ndr1_0
            & ! [X36] : 
                ( ndr1_1(a43)
               => ( c1_2(a43,X36)
                  | ~ c3_2(a43,X36) ) )
            & ! [X37] : 
                ( ndr1_1(a43)
               => ( c3_2(a43,X37)
                  | c6_2(a43,X37)
                  | ~ c2_2(a43,X37) ) )
            & ndr1_1(a43)
            & c4_2(a43,a44)
            & c5_2(a43,a44)
            & c8_2(a43,a44) ) )
        & ( c3_0
          | ~ c7_0
          | ( ndr1_0
            & c7_1(a45)
            & ~ c4_1(a45)
            & ndr1_1(a45)
            & c5_2(a45,a46)
            & ~ c10_2(a45,a46)
            & ~ c4_2(a45,a46) ) )
        & ( c3_0
          | ! [X38] : 
              ( ndr1_0
             => ( c5_1(X38)
                | ! [X39] : 
                    ( ndr1_1(X38)
                   => ( c3_2(X38,X39)
                      | c8_2(X38,X39)
                      | ~ c10_2(X38,X39) ) )
                | ! [X40] : 
                    ( ndr1_1(X38)
                   => ( c3_2(X38,X40)
                      | c9_2(X38,X40)
                      | ~ c6_2(X38,X40) ) ) ) )
          | ! [X41] : 
              ( ndr1_0
             => ( ~ c2_1(X41)
                | ~ c8_1(X41)
                | ( ndr1_1(X41)
                  & ~ c1_2(X41,a47) ) ) ) )
        & ( c3_0
          | ! [X42] : 
              ( ndr1_0
             => ( c9_1(X42)
                | ~ c7_1(X42)
                | ( ndr1_1(X42)
                  & c10_2(X42,a48)
                  & c8_2(X42,a48)
                  & ~ c5_2(X42,a48) ) ) )
          | ( ndr1_0
            & ! [X43] : 
                ( ndr1_1(a49)
               => ( c10_2(a49,X43)
                  | c4_2(a49,X43)
                  | ~ c6_2(a49,X43) ) )
            & ! [X44] : 
                ( ndr1_1(a49)
               => ( c3_2(a49,X44)
                  | ~ c4_2(a49,X44) ) )
            & ndr1_1(a49)
            & c2_2(a49,a50)
            & c3_2(a49,a50)
            & ~ c10_2(a49,a50) ) )
        & ( c4_0
          | c7_0
          | ! [X45] : 
              ( ndr1_0
             => ( c2_1(X45)
                | c6_1(X45)
                | ~ c7_1(X45) ) ) )
        & ( c4_0
          | c8_0
          | ( ndr1_0
            & c6_1(a51)
            & ! [X46] : 
                ( ndr1_1(a51)
               => ( c10_2(a51,X46)
                  | ~ c8_2(a51,X46) ) )
            & ! [X47] : 
                ( ndr1_1(a51)
               => ( ~ c2_2(a51,X47)
                  | ~ c5_2(a51,X47)
                  | ~ c8_2(a51,X47) ) ) ) )
        & ( c4_0
          | ~ c8_0
          | ! [X48] : 
              ( ndr1_0
             => ( c7_1(X48)
                | ! [X49] : 
                    ( ndr1_1(X48)
                   => ( c7_2(X48,X49)
                      | ~ c1_2(X48,X49)
                      | ~ c4_2(X48,X49) ) )
                | ( ndr1_1(X48)
                  & c2_2(X48,a52)
                  & ~ c6_2(X48,a52) ) ) ) )
        & ( c4_0
          | ! [X50] : 
              ( ndr1_0
             => ( c9_1(X50)
                | ( ndr1_1(X50)
                  & c1_2(X50,a53)
                  & c3_2(X50,a53)
                  & ~ c6_2(X50,a53) )
                | ( ndr1_1(X50)
                  & c8_2(X50,a54)
                  & ~ c10_2(X50,a54)
                  & ~ c6_2(X50,a54) ) ) )
          | ! [X51] : 
              ( ndr1_0
             => ( ~ c4_1(X51)
                | ! [X52] : 
                    ( ndr1_1(X51)
                   => ( c2_2(X51,X52)
                      | c8_2(X51,X52)
                      | ~ c6_2(X51,X52) ) )
                | ( ndr1_1(X51)
                  & ~ c7_2(X51,a55)
                  & ~ c8_2(X51,a55) ) ) ) )
        & ( c5_0
          | c7_0
          | ( ndr1_0
            & c4_1(a56)
            & ~ c10_1(a56)
            & ! [X53] : 
                ( ndr1_1(a56)
               => ( ~ c3_2(a56,X53)
                  | ~ c6_2(a56,X53)
                  | ~ c9_2(a56,X53) ) ) ) )
        & ( c5_0
          | c8_0
          | c9_0 )
        & ( c5_0
          | ~ c10_0 )
        & ( c5_0
          | ~ c4_0
          | ! [X54] : 
              ( ndr1_0
             => ( c4_1(X54)
                | ( ndr1_1(X54)
                  & c4_2(X54,a57)
                  & ~ c5_2(X54,a57)
                  & ~ c9_2(X54,a57) )
                | ( ndr1_1(X54)
                  & ~ c2_2(X54,a58)
                  & ~ c3_2(X54,a58)
                  & ~ c9_2(X54,a58) ) ) ) )
        & ( c5_0
          | ~ c8_0
          | ( ndr1_0
            & ~ c4_1(a59)
            & ! [X55] : 
                ( ndr1_1(a59)
               => ( c3_2(a59,X55)
                  | c9_2(a59,X55)
                  | ~ c10_2(a59,X55) ) )
            & ndr1_1(a59)
            & c1_2(a59,a60)
            & ~ c3_2(a59,a60)
            & ~ c5_2(a59,a60) ) )
        & ( c5_0
          | ~ c9_0
          | ( ndr1_0
            & ~ c6_1(a61)
            & ndr1_1(a61)
            & c3_2(a61,a62)
            & ~ c1_2(a61,a62)
            & ndr1_1(a61)
            & ~ c10_2(a61,a63)
            & ~ c5_2(a61,a63) ) )
        & ( c5_0
          | ! [X56] : 
              ( ndr1_0
             => ( c10_1(X56)
                | c6_1(X56)
                | ~ c1_1(X56) ) )
          | ! [X57] : 
              ( ndr1_0
             => ( ~ c6_1(X57)
                | ( ndr1_1(X57)
                  & c10_2(X57,a64)
                  & ~ c1_2(X57,a64)
                  & ~ c9_2(X57,a64) )
                | ( ndr1_1(X57)
                  & c2_2(X57,a65)
                  & c4_2(X57,a65)
                  & ~ c7_2(X57,a65) ) ) ) )
        & ( c5_0
          | ! [X58] : 
              ( ndr1_0
             => ( c2_1(X58)
                | c6_1(X58)
                | ( ndr1_1(X58)
                  & ~ c1_2(X58,a66)
                  & ~ c5_2(X58,a66)
                  & ~ c7_2(X58,a66) ) ) )
          | ( ndr1_0
            & c5_1(a67)
            & ! [X59] : 
                ( ndr1_1(a67)
               => ( ~ c10_2(a67,X59)
                  | ~ c9_2(a67,X59) ) ) ) )
        & ( c5_0
          | ! [X60] : 
              ( ndr1_0
             => ( c5_1(X60)
                | ~ c10_1(X60)
                | ( ndr1_1(X60)
                  & c10_2(X60,a68)
                  & c3_2(X60,a68)
                  & c7_2(X60,a68) ) ) )
          | ( ndr1_0
            & c9_1(a69)
            & ~ c4_1(a69)
            & ! [X61] : 
                ( ndr1_1(a69)
               => ( c2_2(a69,X61)
                  | c5_2(a69,X61)
                  | ~ c6_2(a69,X61) ) ) ) )
        & ( c5_0
          | ! [X62] : 
              ( ndr1_0
             => ( ~ c9_1(X62)
                | ! [X63] : 
                    ( ndr1_1(X62)
                   => ( c10_2(X62,X63)
                      | c4_2(X62,X63)
                      | c9_2(X62,X63) ) )
                | ( ndr1_1(X62)
                  & c8_2(X62,a70)
                  & ~ c10_2(X62,a70)
                  & ~ c6_2(X62,a70) ) ) )
          | ( ndr1_0
            & ! [X64] : 
                ( ndr1_1(a71)
               => ( c1_2(a71,X64)
                  | ~ c4_2(a71,X64)
                  | ~ c8_2(a71,X64) ) )
            & ! [X65] : 
                ( ndr1_1(a71)
               => ( c2_2(a71,X65)
                  | c7_2(a71,X65)
                  | ~ c10_2(a71,X65) ) )
            & ! [X66] : 
                ( ndr1_1(a71)
               => ( c5_2(a71,X66)
                  | ~ c4_2(a71,X66)
                  | ~ c6_2(a71,X66) ) ) ) )
        & ( c5_0
          | ( ndr1_0
            & c1_1(a72)
            & ~ c3_1(a72)
            & ! [X67] : 
                ( ndr1_1(a72)
               => ( c10_2(a72,X67)
                  | c5_2(a72,X67)
                  | ~ c3_2(a72,X67) ) ) )
          | ( ndr1_0
            & c4_1(a73)
            & ~ c6_1(a73)
            & ! [X68] : 
                ( ndr1_1(a73)
               => ( c8_2(a73,X68)
                  | ~ c10_2(a73,X68) ) ) ) )
        & ( c6_0
          | c7_0
          | ( ndr1_0
            & c4_1(a74)
            & c6_1(a74)
            & ndr1_1(a74)
            & c10_2(a74,a75)
            & ~ c1_2(a74,a75)
            & ~ c2_2(a74,a75) ) )
        & ( c6_0
          | c9_0
          | ! [X69] : 
              ( ndr1_0
             => ( c4_1(X69)
                | c5_1(X69)
                | ( ndr1_1(X69)
                  & c1_2(X69,a76)
                  & c4_2(X69,a76)
                  & ~ c5_2(X69,a76) ) ) ) )
        & ( c6_0
          | ~ c3_0
          | ! [X70] : 
              ( ndr1_0
             => ( c8_1(X70)
                | ~ c2_1(X70)
                | ! [X71] : 
                    ( ndr1_1(X70)
                   => ( c9_2(X70,X71)
                      | ~ c10_2(X70,X71)
                      | ~ c3_2(X70,X71) ) ) ) ) )
        & ( c6_0
          | ~ c3_0
          | ! [X72] : 
              ( ndr1_0
             => ( ~ c6_1(X72)
                | ! [X73] : 
                    ( ndr1_1(X72)
                   => ( c7_2(X72,X73)
                      | ~ c2_2(X72,X73)
                      | ~ c5_2(X72,X73) ) )
                | ( ndr1_1(X72)
                  & c1_2(X72,a77)
                  & c3_2(X72,a77)
                  & ~ c9_2(X72,a77) ) ) ) )
        & ( c6_0
          | ! [X74] : 
              ( ndr1_0
             => ( ~ c6_1(X74)
                | ! [X75] : 
                    ( ndr1_1(X74)
                   => ( c2_2(X74,X75)
                      | ~ c9_2(X74,X75) ) )
                | ( ndr1_1(X74)
                  & ~ c3_2(X74,a78)
                  & ~ c7_2(X74,a78)
                  & ~ c9_2(X74,a78) ) ) )
          | ( ndr1_0
            & ~ c3_1(a79)
            & ! [X76] : 
                ( ndr1_1(a79)
               => ( c1_2(a79,X76)
                  | c6_2(a79,X76)
                  | ~ c10_2(a79,X76) ) )
            & ! [X77] : 
                ( ndr1_1(a79)
               => ( c4_2(a79,X77)
                  | c7_2(a79,X77)
                  | c8_2(a79,X77) ) ) ) )
        & ( c6_0
          | ! [X78] : 
              ( ndr1_0
             => ( ! [X79] : 
                    ( ndr1_1(X78)
                   => ( c1_2(X78,X79)
                      | c5_2(X78,X79)
                      | c6_2(X78,X79) ) )
                | ! [X80] : 
                    ( ndr1_1(X78)
                   => ( c10_2(X78,X80)
                      | c5_2(X78,X80)
                      | ~ c9_2(X78,X80) ) )
                | ! [X81] : 
                    ( ndr1_1(X78)
                   => ( c4_2(X78,X81)
                      | c6_2(X78,X81) ) ) ) )
          | ( ndr1_0
            & c3_1(a80)
            & c7_1(a80)
            & ~ c5_1(a80) ) )
        & ( c7_0
          | c9_0
          | ! [X82] : 
              ( ndr1_0
             => ( c8_1(X82)
                | ! [X83] : 
                    ( ndr1_1(X82)
                   => ( c5_2(X82,X83)
                      | ~ c10_2(X82,X83)
                      | ~ c8_2(X82,X83) ) )
                | ! [X84] : 
                    ( ndr1_1(X82)
                   => ( c7_2(X82,X84)
                      | c9_2(X82,X84)
                      | ~ c8_2(X82,X84) ) ) ) ) )
        & ( c7_0
          | ~ c1_0
          | ! [X85] : 
              ( ndr1_0
             => ( c10_1(X85)
                | ~ c5_1(X85)
                | ( ndr1_1(X85)
                  & c6_2(X85,a81)
                  & c8_2(X85,a81)
                  & ~ c5_2(X85,a81) ) ) ) )
        & ( c7_0
          | ~ c6_0
          | ! [X86] : 
              ( ndr1_0
             => ( c1_1(X86)
                | ~ c7_1(X86)
                | ( ndr1_1(X86)
                  & ~ c10_2(X86,a82)
                  & ~ c2_2(X86,a82)
                  & ~ c6_2(X86,a82) ) ) ) )
        & ( c7_0
          | ~ c9_0
          | ( ndr1_0
            & c5_1(a83)
            & ~ c2_1(a83)
            & ndr1_1(a83)
            & ~ c1_2(a83,a84)
            & ~ c2_2(a83,a84) ) )
        & ( c7_0
          | ! [X87] : 
              ( ndr1_0
             => ( ~ c7_1(X87)
                | ~ c8_1(X87)
                | ! [X88] : 
                    ( ndr1_1(X87)
                   => ( c1_2(X87,X88)
                      | c7_2(X87,X88)
                      | c9_2(X87,X88) ) ) ) )
          | ! [X89] : 
              ( ndr1_0
             => ( ! [X90] : 
                    ( ndr1_1(X89)
                   => ( c10_2(X89,X90)
                      | c4_2(X89,X90)
                      | c7_2(X89,X90) ) )
                | ! [X91] : 
                    ( ndr1_1(X89)
                   => ( c4_2(X89,X91)
                      | ~ c3_2(X89,X91)
                      | ~ c5_2(X89,X91) ) )
                | ( ndr1_1(X89)
                  & ~ c6_2(X89,a85) ) ) ) )
        & ( c8_0
          | ~ c10_0
          | ( ndr1_0
            & c7_1(a86)
            & ~ c1_1(a86)
            & ~ c5_1(a86) ) )
        & ( c8_0
          | ! [X92] : 
              ( ndr1_0
             => ( c1_1(X92)
                | ~ c9_1(X92)
                | ( ndr1_1(X92)
                  & ~ c2_2(X92,a87)
                  & ~ c3_2(X92,a87)
                  & ~ c7_2(X92,a87) ) ) ) )
        & ( c9_0
          | ~ c10_0 )
        & ( c9_0
          | ~ c3_0
          | ! [X93] : 
              ( ndr1_0
             => ( ! [X94] : 
                    ( ndr1_1(X93)
                   => ( c9_2(X93,X94)
                      | ~ c3_2(X93,X94)
                      | ~ c5_2(X93,X94) ) )
                | ( ndr1_1(X93)
                  & c1_2(X93,a88)
                  & c2_2(X93,a88)
                  & ~ c4_2(X93,a88) ) ) ) )
        & ( c9_0
          | ~ c4_0
          | ! [X95] : 
              ( ndr1_0
             => ( c7_1(X95)
                | c9_1(X95)
                | ( ndr1_1(X95)
                  & c1_2(X95,a89)
                  & ~ c3_2(X95,a89)
                  & ~ c4_2(X95,a89) ) ) ) )
        & ( c9_0
          | ~ c5_0
          | ( ndr1_0
            & ndr1_1(a90)
            & ~ c3_2(a90,a91)
            & ~ c9_2(a90,a91) ) )
        & ( c9_0
          | ! [X96] : 
              ( ndr1_0
             => ( c6_1(X96)
                | ~ c10_1(X96)
                | ! [X97] : 
                    ( ndr1_1(X96)
                   => ( c3_2(X96,X97)
                      | c9_2(X96,X97)
                      | ~ c8_2(X96,X97) ) ) ) )
          | ( ndr1_0
            & ~ c6_1(a92)
            & ! [X98] : 
                ( ndr1_1(a92)
               => ( c10_2(a92,X98)
                  | c3_2(a92,X98)
                  | ~ c6_2(a92,X98) ) ) ) )
        & ( ~ c1_0
          | ~ c4_0 )
        & ( ~ c1_0
          | ~ c9_0
          | ! [X99] : 
              ( ndr1_0
             => ( c5_1(X99)
                | ( ndr1_1(X99)
                  & c1_2(X99,a93)
                  & c6_2(X99,a93) )
                | ( ndr1_1(X99)
                  & ~ c3_2(X99,a94)
                  & ~ c6_2(X99,a94) ) ) ) )
        & ( ~ c1_0
          | ! [X100] : 
              ( ndr1_0
             => ( c2_1(X100)
                | c5_1(X100)
                | c7_1(X100) ) ) )
        & ( ~ c1_0
          | ! [X101] : 
              ( ndr1_0
             => ( c2_1(X101)
                | ~ c10_1(X101)
                | ~ c9_1(X101) ) )
          | ( ndr1_0
            & c9_1(a95)
            & ndr1_1(a95)
            & c1_2(a95,a96)
            & c2_2(a95,a96)
            & ~ c5_2(a95,a96) ) )
        & ( ~ c1_0
          | ! [X102] : 
              ( ndr1_0
             => ( c4_1(X102)
                | ~ c7_1(X102)
                | ~ c8_1(X102) ) )
          | ( ndr1_0
            & c9_1(a97)
            & ! [X103] : 
                ( ndr1_1(a97)
               => ( c10_2(a97,X103)
                  | c2_2(a97,X103)
                  | c9_2(a97,X103) ) ) ) )
        & ( ~ c1_0
          | ! [X104] : 
              ( ndr1_0
             => ( c4_1(X104)
                | ! [X105] : 
                    ( ndr1_1(X104)
                   => ( c3_2(X104,X105)
                      | c5_2(X104,X105)
                      | ~ c7_2(X104,X105) ) )
                | ! [X106] : 
                    ( ndr1_1(X104)
                   => ( c8_2(X104,X106)
                      | ~ c3_2(X104,X106) ) ) ) )
          | ! [X107] : 
              ( ndr1_0
             => ( ~ c1_1(X107)
                | ~ c7_1(X107)
                | ! [X108] : 
                    ( ndr1_1(X107)
                   => ( c1_2(X107,X108)
                      | c5_2(X107,X108)
                      | ~ c2_2(X107,X108) ) ) ) ) )
        & ( ~ c1_0
          | ! [X109] : 
              ( ndr1_0
             => ( ~ c2_1(X109)
                | ! [X110] : 
                    ( ndr1_1(X109)
                   => ( c2_2(X109,X110)
                      | ~ c7_2(X109,X110)
                      | ~ c9_2(X109,X110) ) ) ) )
          | ( ndr1_0
            & ~ c8_1(a98)
            & ! [X111] : 
                ( ndr1_1(a98)
               => ( c5_2(a98,X111)
                  | ~ c7_2(a98,X111) ) )
            & ndr1_1(a98)
            & c7_2(a98,a99)
            & c8_2(a98,a99)
            & ~ c1_2(a98,a99) ) )
        & ( ~ c1_0
          | ! [X112] : 
              ( ndr1_0
             => ( ~ c5_1(X112)
                | ( ndr1_1(X112)
                  & c3_2(X112,a100)
                  & ~ c1_2(X112,a100)
                  & ~ c8_2(X112,a100) ) ) )
          | ( ndr1_0
            & ! [X113] : 
                ( ndr1_1(a101)
               => ( c2_2(a101,X113)
                  | ~ c5_2(a101,X113) ) )
            & ndr1_1(a101)
            & c7_2(a101,a102)
            & ~ c3_2(a101,a102)
            & ndr1_1(a101)
            & ~ c3_2(a101,a103)
            & ~ c4_2(a101,a103)
            & ~ c9_2(a101,a103) ) )
        & ( ~ c1_0
          | ( ndr1_0
            & c1_1(a104)
            & ndr1_1(a104)
            & c1_2(a104,a105)
            & c8_2(a104,a105)
            & ~ c2_2(a104,a105)
            & ndr1_1(a104)
            & c4_2(a104,a106)
            & ~ c2_2(a104,a106)
            & ~ c5_2(a104,a106) ) )
        & ( ~ c10_0
          | ~ c2_0
          | ( ndr1_0
            & c1_1(a107)
            & ! [X114] : 
                ( ndr1_1(a107)
               => ( c10_2(a107,X114)
                  | c3_2(a107,X114)
                  | ~ c7_2(a107,X114) ) )
            & ndr1_1(a107)
            & c5_2(a107,a108)
            & c8_2(a107,a108)
            & ~ c6_2(a107,a108) ) )
        & ( ~ c10_0
          | ~ c3_0
          | ! [X115] : 
              ( ndr1_0
             => ( c7_1(X115)
                | ( ndr1_1(X115)
                  & c5_2(X115,a109)
                  & ~ c10_2(X115,a109)
                  & ~ c3_2(X115,a109) )
                | ( ndr1_1(X115)
                  & c9_2(X115,a110)
                  & ~ c1_2(X115,a110)
                  & ~ c7_2(X115,a110) ) ) ) )
        & ( ~ c10_0
          | ~ c6_0
          | ! [X116] : 
              ( ndr1_0
             => ( ~ c3_1(X116)
                | ~ c4_1(X116)
                | ! [X117] : 
                    ( ndr1_1(X116)
                   => ( c1_2(X116,X117)
                      | c7_2(X116,X117)
                      | ~ c9_2(X116,X117) ) ) ) ) )
        & ( ~ c10_0
          | ~ c7_0
          | ( ndr1_0
            & ! [X118] : 
                ( ndr1_1(a111)
               => ( c6_2(a111,X118)
                  | c9_2(a111,X118)
                  | ~ c7_2(a111,X118) ) )
            & ndr1_1(a111)
            & c6_2(a111,a112)
            & c8_2(a111,a112)
            & ~ c4_2(a111,a112)
            & ndr1_1(a111)
            & c7_2(a111,a113)
            & ~ c10_2(a111,a113) ) )
        & ( ~ c10_0
          | ~ c8_0
          | ~ c9_0 )
        & ( ~ c10_0
          | ! [X119] : 
              ( ndr1_0
             => ( c1_1(X119)
                | c9_1(X119)
                | ~ c10_1(X119) ) )
          | ( ndr1_0
            & ~ c5_1(a114)
            & ! [X120] : 
                ( ndr1_1(a114)
               => ( c1_2(a114,X120)
                  | c3_2(a114,X120)
                  | c5_2(a114,X120) ) )
            & ndr1_1(a114)
            & c3_2(a114,a115)
            & ~ c2_2(a114,a115)
            & ~ c9_2(a114,a115) ) )
        & ( ~ c10_0
          | ! [X121] : 
              ( ndr1_0
             => ( c9_1(X121)
                | ~ c1_1(X121)
                | ( ndr1_1(X121)
                  & c7_2(X121,a116)
                  & ~ c3_2(X121,a116)
                  & ~ c4_2(X121,a116) ) ) )
          | ( ndr1_0
            & c9_1(a117)
            & ~ c5_1(a117)
            & ndr1_1(a117)
            & c10_2(a117,a118)
            & c5_2(a117,a118)
            & ~ c3_2(a117,a118) ) )
        & ( ~ c10_0
          | ( ndr1_0
            & c5_1(a119)
            & c9_1(a119)
            & ndr1_1(a119)
            & c1_2(a119,a120)
            & ~ c10_2(a119,a120)
            & ~ c4_2(a119,a120) )
          | ( ndr1_0
            & ~ c4_1(a121)
            & ! [X122] : 
                ( ndr1_1(a121)
               => ( c1_2(a121,X122)
                  | ~ c10_2(a121,X122)
                  | ~ c7_2(a121,X122) ) )
            & ndr1_1(a121)
            & c2_2(a121,a122)
            & ~ c8_2(a121,a122)
            & ~ c9_2(a121,a122) ) )
        & ( ~ c2_0
          | ~ c6_0 )
        & ( ~ c2_0
          | ~ c9_0
          | ! [X123] : 
              ( ndr1_0
             => ( ~ c5_1(X123)
                | ~ c9_1(X123)
                | ! [X124] : 
                    ( ndr1_1(X123)
                   => ( c2_2(X123,X124)
                      | ~ c10_2(X123,X124)
                      | ~ c7_2(X123,X124) ) ) ) ) )
        & ( ~ c3_0
          | ~ c4_0
          | ~ c5_0 )
        & ( ~ c3_0
          | ~ c6_0
          | ~ c8_0 )
        & ( ~ c3_0
          | ! [X125] : 
              ( ndr1_0
             => ( c4_1(X125)
                | c9_1(X125)
                | ! [X126] : 
                    ( ndr1_1(X125)
                   => ( ~ c1_2(X125,X126)
                      | ~ c10_2(X125,X126)
                      | ~ c5_2(X125,X126) ) ) ) ) )
        & ( ~ c3_0
          | ! [X127] : 
              ( ndr1_0
             => ( c8_1(X127)
                | ! [X128] : 
                    ( ndr1_1(X127)
                   => ( c7_2(X127,X128)
                      | c8_2(X127,X128)
                      | ~ c5_2(X127,X128) ) )
                | ! [X129] : 
                    ( ndr1_1(X127)
                   => ( ~ c2_2(X127,X129)
                      | ~ c6_2(X127,X129)
                      | ~ c9_2(X127,X129) ) ) ) )
          | ! [X130] : 
              ( ndr1_0
             => ( c9_1(X130)
                | ( ndr1_1(X130)
                  & c1_2(X130,a123)
                  & c7_2(X130,a123)
                  & ~ c4_2(X130,a123) )
                | ( ndr1_1(X130)
                  & c3_2(X130,a124)
                  & ~ c4_2(X130,a124)
                  & ~ c6_2(X130,a124) ) ) ) )
        & ( ~ c3_0
          | ! [X131] : 
              ( ndr1_0
             => ( c9_1(X131)
                | ( ndr1_1(X131)
                  & c1_2(X131,a125)
                  & c4_2(X131,a125)
                  & ~ c8_2(X131,a125) )
                | ( ndr1_1(X131)
                  & c4_2(X131,a126)
                  & ~ c10_2(X131,a126) ) ) )
          | ( ndr1_0
            & ~ c6_1(a127)
            & ~ c9_1(a127)
            & ndr1_1(a127)
            & c1_2(a127,a128)
            & c10_2(a127,a128)
            & c7_2(a127,a128) ) )
        & ( ~ c3_0
          | ! [X132] : 
              ( ndr1_0
             => ( ~ c10_1(X132)
                | ~ c3_1(X132) ) )
          | ! [X133] : 
              ( ndr1_0
             => ( ~ c7_1(X133)
                | ! [X134] : 
                    ( ndr1_1(X133)
                   => ( c1_2(X133,X134)
                      | ~ c8_2(X133,X134)
                      | ~ c9_2(X133,X134) ) )
                | ! [X135] : 
                    ( ndr1_1(X133)
                   => ( c3_2(X133,X135)
                      | c6_2(X133,X135)
                      | ~ c2_2(X133,X135) ) ) ) ) )
        & ( ~ c4_0
          | ( ndr1_0
            & c2_1(a129)
            & ~ c6_1(a129)
            & ! [X136] : 
                ( ndr1_1(a129)
               => ( c6_2(a129,X136)
                  | ~ c8_2(a129,X136)
                  | ~ c9_2(a129,X136) ) ) )
          | ( ndr1_0
            & ~ c1_1(a130)
            & ~ c3_1(a130)
            & ndr1_1(a130)
            & ~ c3_2(a130,a131)
            & ~ c6_2(a130,a131) ) )
        & ( ~ c4_0
          | ( ndr1_0
            & c4_1(a132)
            & c6_1(a132)
            & ndr1_1(a132)
            & c2_2(a132,a133)
            & c8_2(a132,a133)
            & ~ c4_2(a132,a133) ) )
        & ( ~ c4_0
          | ( ndr1_0
            & c7_1(a134)
            & ndr1_1(a134)
            & c1_2(a134,a135)
            & ~ c10_2(a134,a135)
            & ~ c6_2(a134,a135)
            & ndr1_1(a134)
            & c2_2(a134,a136)
            & c8_2(a134,a136)
            & ~ c10_2(a134,a136) )
          | ( ndr1_0
            & ~ c5_1(a137)
            & ~ c8_1(a137)
            & ndr1_1(a137)
            & c10_2(a137,a138)
            & c5_2(a137,a138)
            & ~ c6_2(a137,a138) ) )
        & ( ~ c5_0
          | ~ c6_0
          | ( ndr1_0
            & c6_1(a139)
            & ~ c2_1(a139)
            & ndr1_1(a139)
            & c6_2(a139,a140)
            & ~ c1_2(a139,a140) ) )
        & ( ~ c5_0
          | ~ c9_0
          | ( ndr1_0
            & ~ c9_1(a141)
            & ! [X137] : 
                ( ndr1_1(a141)
               => ( c10_2(a141,X137)
                  | c6_2(a141,X137)
                  | ~ c8_2(a141,X137) ) )
            & ndr1_1(a141)
            & ~ c10_2(a141,a142)
            & ~ c3_2(a141,a142)
            & ~ c7_2(a141,a142) ) )
        & ( ~ c5_0
          | ! [X138] : 
              ( ndr1_0
             => ( ~ c8_1(X138)
                | ! [X139] : 
                    ( ndr1_1(X138)
                   => ( c6_2(X138,X139)
                      | c7_2(X138,X139) ) )
                | ( ndr1_1(X138)
                  & c10_2(X138,a143)
                  & c5_2(X138,a143) ) ) )
          | ! [X140] : 
              ( ndr1_0
             => ( ! [X141] : 
                    ( ndr1_1(X140)
                   => ( c3_2(X140,X141)
                      | ~ c1_2(X140,X141) ) )
                | ! [X142] : 
                    ( ndr1_1(X140)
                   => ( c7_2(X140,X142)
                      | ~ c2_2(X140,X142)
                      | ~ c3_2(X140,X142) ) )
                | ( ndr1_1(X140)
                  & c10_2(X140,a144)
                  & c6_2(X140,a144)
                  & ~ c8_2(X140,a144) ) ) ) )
        & ( ~ c5_0
          | ( ndr1_0
            & c1_1(a145)
            & ~ c8_1(a145)
            & ! [X143] : 
                ( ndr1_1(a145)
               => ( c2_2(a145,X143)
                  | c9_2(a145,X143)
                  | ~ c10_2(a145,X143) ) ) )
          | ( ndr1_0
            & ~ c4_1(a146)
            & ndr1_1(a146)
            & c10_2(a146,a147)
            & c3_2(a146,a147)
            & ~ c5_2(a146,a147) ) )
        & ( ~ c6_0
          | ! [X144] : 
              ( ndr1_0
             => ( c1_1(X144)
                | c4_1(X144)
                | ~ c5_1(X144) ) )
          | ( ndr1_0
            & ~ c1_1(a148)
            & ndr1_1(a148)
            & c7_2(a148,a149)
            & c9_2(a148,a149)
            & ~ c3_2(a148,a149) ) )
        & ( ~ c6_0
          | ! [X145] : 
              ( ndr1_0
             => ( c2_1(X145)
                | ~ c9_1(X145)
                | ( ndr1_1(X145)
                  & ~ c10_2(X145,a150)
                  & ~ c7_2(X145,a150)
                  & ~ c8_2(X145,a150) ) ) )
          | ! [X146] : 
              ( ndr1_0
             => ( ! [X147] : 
                    ( ndr1_1(X146)
                   => ( c10_2(X146,X147)
                      | c5_2(X146,X147)
                      | ~ c6_2(X146,X147) ) )
                | ! [X148] : 
                    ( ndr1_1(X146)
                   => ( c5_2(X146,X148)
                      | c6_2(X146,X148)
                      | ~ c3_2(X146,X148) ) )
                | ! [X149] : 
                    ( ndr1_1(X146)
                   => ( ~ c1_2(X146,X149)
                      | ~ c10_2(X146,X149)
                      | ~ c9_2(X146,X149) ) ) ) ) )
        & ( ~ c7_0
          | ~ c8_0
          | ! [X150] : 
              ( ndr1_0
             => ( c2_1(X150)
                | c3_1(X150)
                | ~ c9_1(X150) ) ) )
        & ( ~ c7_0
          | ~ c8_0
          | ! [X151] : 
              ( ndr1_0
             => ( ~ c2_1(X151)
                | ( ndr1_1(X151)
                  & c4_2(X151,a151)
                  & ~ c6_2(X151,a151)
                  & ~ c9_2(X151,a151) ) ) ) )
        & ( ~ c7_0
          | ~ c8_0
          | ( ndr1_0
            & ndr1_1(a152)
            & c10_2(a152,a153)
            & c6_2(a152,a153)
            & c7_2(a152,a153)
            & ndr1_1(a152)
            & c3_2(a152,a154)
            & c8_2(a152,a154)
            & ~ c1_2(a152,a154) ) )
        & ( ~ c7_0
          | ! [X152] : 
              ( ndr1_0
             => ( ~ c6_1(X152)
                | ~ c8_1(X152)
                | ( ndr1_1(X152)
                  & ~ c1_2(X152,a155)
                  & ~ c7_2(X152,a155)
                  & ~ c9_2(X152,a155) ) ) )
          | ! [X153] : 
              ( ndr1_0
             => ( ~ c6_1(X153)
                | ( ndr1_1(X153)
                  & c10_2(X153,a156)
                  & c3_2(X153,a156)
                  & ~ c2_2(X153,a156) )
                | ( ndr1_1(X153)
                  & c6_2(X153,a157)
                  & c8_2(X153,a157)
                  & ~ c1_2(X153,a157) ) ) ) )
        & ( ~ c7_0
          | ( ndr1_0
            & c1_1(a158)
            & ~ c6_1(a158)
            & ndr1_1(a158)
            & c1_2(a158,a159)
            & c10_2(a158,a159)
            & ~ c9_2(a158,a159) )
          | ( ndr1_0
            & ~ c10_1(a160)
            & ! [X154] : 
                ( ndr1_1(a160)
               => ( c1_2(a160,X154)
                  | c2_2(a160,X154)
                  | c9_2(a160,X154) ) )
            & ! [X155] : 
                ( ndr1_1(a160)
               => ( c2_2(a160,X155)
                  | c6_2(a160,X155)
                  | ~ c4_2(a160,X155) ) ) ) )
        & ( ~ c8_0
          | ~ c9_0
          | ! [X156] : 
              ( ndr1_0
             => ( c10_1(X156)
                | ( ndr1_1(X156)
                  & c4_2(X156,a161)
                  & c5_2(X156,a161)
                  & c6_2(X156,a161) ) ) ) )
        & ( ~ c8_0
          | ~ c9_0
          | ( ndr1_0
            & ~ c10_1(a162)
            & ~ c9_1(a162)
            & ndr1_1(a162)
            & c2_2(a162,a163)
            & c5_2(a162,a163)
            & c9_2(a162,a163) ) )
        & ( ~ c8_0
          | ! [X157] : 
              ( ndr1_0
             => ( c3_1(X157)
                | ! [X158] : 
                    ( ndr1_1(X157)
                   => ( c6_2(X157,X158)
                      | ~ c4_2(X157,X158)
                      | ~ c9_2(X157,X158) ) ) ) )
          | ( ndr1_0
            & ~ c3_1(a164)
            & ! [X159] : 
                ( ndr1_1(a164)
               => ( c5_2(a164,X159)
                  | c7_2(a164,X159)
                  | c9_2(a164,X159) ) )
            & ! [X160] : 
                ( ndr1_1(a164)
               => ( c8_2(a164,X160)
                  | ~ c6_2(a164,X160) ) ) ) )
        & ( ~ c8_0
          | ! [X161] : 
              ( ndr1_0
             => ( c6_1(X161)
                | ! [X162] : 
                    ( ndr1_1(X161)
                   => ( c6_2(X161,X162)
                      | ~ c2_2(X161,X162)
                      | ~ c4_2(X161,X162) ) )
                | ! [X163] : 
                    ( ndr1_1(X161)
                   => ( c9_2(X161,X163)
                      | ~ c2_2(X161,X163)
                      | ~ c3_2(X161,X163) ) ) ) )
          | ( ndr1_0
            & c4_1(a165)
            & ndr1_1(a165)
            & c10_2(a165,a166)
            & c5_2(a165,a166)
            & c9_2(a165,a166) ) )
        & ( ~ c8_0
          | ! [X164] : 
              ( ndr1_0
             => ( ~ c1_1(X164)
                | ( ndr1_1(X164)
                  & c1_2(X164,a167)
                  & c10_2(X164,a167)
                  & c8_2(X164,a167) )
                | ( ndr1_1(X164)
                  & c1_2(X164,a168)
                  & c5_2(X164,a168)
                  & ~ c6_2(X164,a168) ) ) )
          | ( ndr1_0
            & ! [X165] : 
                ( ndr1_1(a169)
               => ( c1_2(a169,X165)
                  | c3_2(a169,X165)
                  | c8_2(a169,X165) ) )
            & ! [X166] : 
                ( ndr1_1(a169)
               => ( c2_2(a169,X166)
                  | ~ c1_2(a169,X166)
                  | ~ c9_2(a169,X166) ) )
            & ndr1_1(a169)
            & c5_2(a169,a170)
            & c6_2(a169,a170)
            & ~ c9_2(a169,a170) ) )
        & ( ~ c8_0
          | ! [X167] : 
              ( ndr1_0
             => ( ~ c2_1(X167)
                | ~ c7_1(X167)
                | ! [X168] : 
                    ( ndr1_1(X167)
                   => ( c10_2(X167,X168)
                      | c4_2(X167,X168)
                      | ~ c6_2(X167,X168) ) ) ) )
          | ( ndr1_0
            & ~ c1_1(a171)
            & ~ c4_1(a171)
            & ~ c8_1(a171) ) )
        & ( ~ c8_0
          | ( ndr1_0
            & c5_1(a172)
            & ~ c7_1(a172)
            & ndr1_1(a172)
            & ~ c10_2(a172,a173)
            & ~ c6_2(a172,a173) )
          | ( ndr1_0
            & ~ c3_1(a174)
            & ~ c5_1(a174) ) )
        & ( ~ c9_0
          | ! [X169] : 
              ( ndr1_0
             => ( c3_1(X169)
                | c9_1(X169)
                | ( ndr1_1(X169)
                  & c4_2(X169,a175)
                  & c7_2(X169,a175)
                  & c9_2(X169,a175) ) ) )
          | ! [X170] : 
              ( ndr1_0
             => ( ! [X171] : 
                    ( ndr1_1(X170)
                   => ( c1_2(X170,X171)
                      | ~ c2_2(X170,X171)
                      | ~ c8_2(X170,X171) ) )
                | ( ndr1_1(X170)
                  & c6_2(X170,a176)
                  & ~ c7_2(X170,a176)
                  & ~ c8_2(X170,a176) )
                | ( ndr1_1(X170)
                  & c8_2(X170,a177)
                  & ~ c2_2(X170,a177)
                  & ~ c3_2(X170,a177) ) ) ) )
        & ( ~ c9_0
          | ! [X172] : 
              ( ndr1_0
             => ( c7_1(X172)
                | ! [X173] : 
                    ( ndr1_1(X172)
                   => ( c10_2(X172,X173)
                      | c9_2(X172,X173)
                      | ~ c2_2(X172,X173) ) )
                | ( ndr1_1(X172)
                  & c5_2(X172,a178)
                  & c8_2(X172,a178) ) ) )
          | ! [X174] : 
              ( ndr1_0
             => ( ~ c2_1(X174)
                | ( ndr1_1(X174)
                  & c10_2(X174,a179)
                  & ~ c1_2(X174,a179)
                  & ~ c3_2(X174,a179) ) ) ) )
        & ( ~ c9_0
          | ! [X175] : 
              ( ndr1_0
             => ( ! [X176] : 
                    ( ndr1_1(X175)
                   => ( c4_2(X175,X176)
                      | ~ c3_2(X175,X176)
                      | ~ c7_2(X175,X176) ) )
                | ! [X177] : 
                    ( ndr1_1(X175)
                   => ( c5_2(X175,X177)
                      | ~ c1_2(X175,X177)
                      | ~ c7_2(X175,X177) ) )
                | ! [X178] : 
                    ( ndr1_1(X175)
                   => ( ~ c10_2(X175,X178)
                      | ~ c5_2(X175,X178)
                      | ~ c6_2(X175,X178) ) ) ) )
          | ( ndr1_0
            & c5_1(a180)
            & ! [X179] : 
                ( ndr1_1(a180)
               => ( c1_2(a180,X179)
                  | c2_2(a180,X179)
                  | c6_2(a180,X179) ) )
            & ndr1_1(a180)
            & c10_2(a180,a181)
            & c7_2(a180,a181)
            & c9_2(a180,a181) ) )
        & ( ~ c9_0
          | ( ndr1_0
            & c10_1(a182)
            & c8_1(a182) )
          | ( ndr1_0
            & ~ c6_1(a183)
            & ! [X180] : 
                ( ndr1_1(a183)
               => ( c1_2(a183,X180)
                  | ~ c4_2(a183,X180) ) )
            & ndr1_1(a183)
            & c1_2(a183,a184)
            & ~ c6_2(a183,a184)
            & ~ c8_2(a183,a184) ) )
        & ( ! [X181] : 
              ( ndr1_0
             => ( c10_1(X181)
                | c2_1(X181) ) )
          | ! [X182] : 
              ( ndr1_0
             => ( ! [X183] : 
                    ( ndr1_1(X182)
                   => ( c1_2(X182,X183)
                      | ~ c10_2(X182,X183) ) )
                | ! [X184] : 
                    ( ndr1_1(X182)
                   => ( c4_2(X182,X184)
                      | c5_2(X182,X184)
                      | c7_2(X182,X184) ) )
                | ( ndr1_1(X182)
                  & ~ c3_2(X182,a185)
                  & ~ c5_2(X182,a185)
                  & ~ c6_2(X182,a185) ) ) )
          | ( ndr1_0
            & c3_1(a186)
            & ~ c2_1(a186)
            & ~ c9_1(a186) ) )
        & ( ! [X185] : 
              ( ndr1_0
             => ( c3_1(X185)
                | c5_1(X185)
                | ! [X186] : 
                    ( ndr1_1(X185)
                   => ( c5_2(X185,X186)
                      | ~ c6_2(X185,X186)
                      | ~ c9_2(X185,X186) ) ) ) )
          | ( ndr1_0
            & c3_1(a187)
            & ~ c1_1(a187)
            & ~ c8_1(a187) )
          | ( ndr1_0
            & ~ c3_1(a188)
            & ~ c9_1(a188)
            & ! [X187] : 
                ( ndr1_1(a188)
               => ( c7_2(a188,X187)
                  | ~ c2_2(a188,X187)
                  | ~ c8_2(a188,X187) ) ) ) )
        & ( ! [X188] : 
              ( ndr1_0
             => ( c3_1(X188)
                | ! [X189] : 
                    ( ndr1_1(X188)
                   => ( c5_2(X188,X189)
                      | ~ c2_2(X188,X189)
                      | ~ c9_2(X188,X189) ) )
                | ! [X190] : 
                    ( ndr1_1(X188)
                   => ( c9_2(X188,X190)
                      | ~ c4_2(X188,X190)
                      | ~ c6_2(X188,X190) ) ) ) )
          | ( ndr1_0
            & c2_1(a189)
            & ndr1_1(a189)
            & c2_2(a189,a190)
            & c4_2(a189,a190)
            & ~ c1_2(a189,a190)
            & ndr1_1(a189)
            & c2_2(a189,a191)
            & c8_2(a189,a191)
            & ~ c1_2(a189,a191) )
          | ( ndr1_0
            & c3_1(a192)
            & c7_1(a192)
            & ndr1_1(a192)
            & c9_2(a192,a193)
            & ~ c3_2(a192,a193)
            & ~ c7_2(a192,a193) ) )
        & ( ! [X191] : 
              ( ndr1_0
             => ( c6_1(X191)
                | ! [X192] : 
                    ( ndr1_1(X191)
                   => ( c1_2(X191,X192)
                      | c5_2(X191,X192)
                      | ~ c10_2(X191,X192) ) ) ) )
          | ( ndr1_0
            & ~ c2_1(a194)
            & ~ c9_1(a194)
            & ! [X193] : 
                ( ndr1_1(a194)
               => ( c8_2(a194,X193)
                  | ~ c1_2(a194,X193)
                  | ~ c7_2(a194,X193) ) ) )
          | ( ndr1_0
            & ! [X194] : 
                ( ndr1_1(a195)
               => ( ~ c1_2(a195,X194)
                  | ~ c2_2(a195,X194)
                  | ~ c4_2(a195,X194) ) )
            & ndr1_1(a195)
            & ~ c2_2(a195,a196)
            & ~ c8_2(a195,a196)
            & ndr1_1(a195)
            & ~ c4_2(a195,a197)
            & ~ c7_2(a195,a197)
            & ~ c9_2(a195,a197) ) )
        & ( ! [X195] : 
              ( ndr1_0
             => ( ~ c1_1(X195)
                | ! [X196] : 
                    ( ndr1_1(X195)
                   => ( c8_2(X195,X196)
                      | ~ c5_2(X195,X196)
                      | ~ c7_2(X195,X196) ) )
                | ( ndr1_1(X195)
                  & c1_2(X195,a198)
                  & c4_2(X195,a198)
                  & ~ c2_2(X195,a198) ) ) )
          | ( ndr1_0
            & c4_1(a199)
            & ~ c9_1(a199)
            & ! [X197] : 
                ( ndr1_1(a199)
               => ( c7_2(a199,X197)
                  | ~ c3_2(a199,X197)
                  | ~ c4_2(a199,X197) ) ) )
          | ( ndr1_0
            & c8_1(a200)
            & ! [X198] : 
                ( ndr1_1(a200)
               => ( c5_2(a200,X198)
                  | ~ c3_2(a200,X198)
                  | ~ c9_2(a200,X198) ) )
            & ! [X199] : 
                ( ndr1_1(a200)
               => ( c7_2(a200,X199)
                  | c9_2(a200,X199)
                  | ~ c3_2(a200,X199) ) ) ) )
        & ( ! [X200] : 
              ( ndr1_0
             => ( ~ c5_1(X200)
                | ~ c9_1(X200)
                | ! [X201] : 
                    ( ndr1_1(X200)
                   => ( c5_2(X200,X201)
                      | ~ c10_2(X200,X201)
                      | ~ c8_2(X200,X201) ) ) ) )
          | ! [X202] : 
              ( ndr1_0
             => ( ~ c9_1(X202)
                | ! [X203] : 
                    ( ndr1_1(X202)
                   => ( c2_2(X202,X203)
                      | c5_2(X202,X203) ) )
                | ! [X204] : 
                    ( ndr1_1(X202)
                   => ( c2_2(X202,X204)
                      | ~ c10_2(X202,X204)
                      | ~ c6_2(X202,X204) ) ) ) )
          | ( ndr1_0
            & ndr1_1(a201)
            & c1_2(a201,a202)
            & ~ c3_2(a201,a202)
            & ~ c9_2(a201,a202)
            & ndr1_1(a201)
            & c3_2(a201,a203)
            & c9_2(a201,a203)
            & ~ c7_2(a201,a203) ) )
        & ( ! [X205] : 
              ( ndr1_0
             => ( ~ c7_1(X205)
                | ! [X206] : 
                    ( ndr1_1(X205)
                   => ( c1_2(X205,X206)
                      | ~ c3_2(X205,X206)
                      | ~ c4_2(X205,X206) ) )
                | ( ndr1_1(X205)
                  & c4_2(X205,a204)
                  & c8_2(X205,a204) ) ) )
          | ( ndr1_0
            & c10_1(a205)
            & c2_1(a205) )
          | ( ndr1_0
            & ~ c1_1(a206)
            & ! [X207] : 
                ( ndr1_1(a206)
               => ( c1_2(a206,X207)
                  | c3_2(a206,X207)
                  | ~ c7_2(a206,X207) ) )
            & ndr1_1(a206)
            & c6_2(a206,a207)
            & ~ c8_2(a206,a207) ) )
        & ( ! [X208] : 
              ( ndr1_0
             => ( ! [X209] : 
                    ( ndr1_1(X208)
                   => ( c9_2(X208,X209)
                      | ~ c6_2(X208,X209)
                      | ~ c8_2(X208,X209) ) )
                | ( ndr1_1(X208)
                  & c2_2(X208,a208)
                  & c4_2(X208,a208)
                  & c9_2(X208,a208) )
                | ( ndr1_1(X208)
                  & c3_2(X208,a209)
                  & c5_2(X208,a209)
                  & ~ c10_2(X208,a209) ) ) )
          | ( ndr1_0
            & c9_1(a210)
            & ndr1_1(a210)
            & c10_2(a210,a211)
            & c5_2(a210,a211)
            & ~ c3_2(a210,a211)
            & ndr1_1(a210)
            & c8_2(a210,a212)
            & ~ c10_2(a210,a212)
            & ~ c4_2(a210,a212) ) )
        & ( ( ndr1_0
            & c8_1(a213)
            & ! [X210] : 
                ( ndr1_1(a213)
               => ( c7_2(a213,X210)
                  | ~ c2_2(a213,X210)
                  | ~ c8_2(a213,X210) ) )
            & ndr1_1(a213)
            & ~ c1_2(a213,a214)
            & ~ c6_2(a213,a214)
            & ~ c8_2(a213,a214) )
          | ( ndr1_0
            & ~ c9_1(a215)
            & ndr1_1(a215)
            & ~ c1_2(a215,a216)
            & ~ c5_2(a215,a216)
            & ~ c9_2(a215,a216)
            & ndr1_1(a215)
            & ~ c6_2(a215,a217)
            & ~ c7_2(a215,a217) ) ) ) )).

%--------------------------------------------------------------------------
