%--------------------------------------------------------------------------
% File     : SYN437+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=48, K=3, D=1, P=0, Index=082
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-48-3-1-082.dfg [Wei97]

% Status   : CounterSatisfiable
% Rating   : 0.25 v3.1.0, 0.17 v2.7.0, 0.33 v2.6.0, 0.00 v2.4.0, 0.67 v2.2.1, 1.00 v2.1.0
%
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
%
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  644 (   0 equality)
%            Maximal formula depth :  108 ( 108 average)
%            Number of connectives :  909 ( 266 ~  ; 308  |; 255  &)
%                                         (   0 <=>;  80 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   57 (  53 propositional; 0-1 arity)
%            Number of functors    :   52 (  52 constant; 0-0 arity)
%            Number of variables   :   80 (   0 singleton;  80 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%--------------------------------------------------------------------------
fof(co1,conjecture,
    ( ~ ( ( ~ hskp0
          | ( ndr1_0
            & ~ c3_1(a402)
            & ~ c2_1(a402)
            & ~ c1_1(a402) ) )
        & ( ~ hskp1
          | ( ndr1_0
            & c2_1(a403)
            & c3_1(a403)
            & ~ c1_1(a403) ) )
        & ( ~ hskp2
          | ( ndr1_0
            & c1_1(a405)
            & c0_1(a405)
            & ~ c2_1(a405) ) )
        & ( ~ hskp3
          | ( ndr1_0
            & ~ c1_1(a407)
            & ~ c0_1(a407)
            & ~ c3_1(a407) ) )
        & ( ~ hskp4
          | ( ndr1_0
            & ~ c2_1(a411)
            & ~ c1_1(a411)
            & ~ c3_1(a411) ) )
        & ( ~ hskp5
          | ( ndr1_0
            & ~ c1_1(a413)
            & c0_1(a413)
            & ~ c3_1(a413) ) )
        & ( ~ hskp6
          | ( ndr1_0
            & c2_1(a416)
            & ~ c3_1(a416)
            & ~ c1_1(a416) ) )
        & ( ~ hskp7
          | ( ndr1_0
            & ~ c3_1(a418)
            & c1_1(a418)
            & ~ c2_1(a418) ) )
        & ( ~ hskp8
          | ( ndr1_0
            & ~ c2_1(a420)
            & c1_1(a420)
            & ~ c3_1(a420) ) )
        & ( ~ hskp9
          | ( ndr1_0
            & c3_1(a421)
            & c2_1(a421)
            & ~ c0_1(a421) ) )
        & ( ~ hskp10
          | ( ndr1_0
            & ~ c1_1(a422)
            & c0_1(a422)
            & ~ c2_1(a422) ) )
        & ( ~ hskp11
          | ( ndr1_0
            & ~ c0_1(a428)
            & ~ c1_1(a428)
            & ~ c2_1(a428) ) )
        & ( ~ hskp12
          | ( ndr1_0
            & c1_1(a430)
            & c3_1(a430)
            & ~ c2_1(a430) ) )
        & ( ~ hskp13
          | ( ndr1_0
            & ~ c2_1(a433)
            & ~ c3_1(a433)
            & ~ c0_1(a433) ) )
        & ( ~ hskp14
          | ( ndr1_0
            & ~ c3_1(a437)
            & ~ c1_1(a437)
            & ~ c2_1(a437) ) )
        & ( ~ hskp15
          | ( ndr1_0
            & c2_1(a440)
            & c0_1(a440)
            & ~ c3_1(a440) ) )
        & ( ~ hskp16
          | ( ndr1_0
            & ~ c0_1(a441)
            & c1_1(a441)
            & ~ c2_1(a441) ) )
        & ( ~ hskp17
          | ( ndr1_0
            & c2_1(a443)
            & ~ c1_1(a443)
            & ~ c0_1(a443) ) )
        & ( ~ hskp18
          | ( ndr1_0
            & ~ c2_1(a444)
            & c0_1(a444)
            & ~ c1_1(a444) ) )
        & ( ~ hskp19
          | ( ndr1_0
            & c2_1(a445)
            & c0_1(a445)
            & ~ c1_1(a445) ) )
        & ( ~ hskp20
          | ( ndr1_0
            & ~ c0_1(a448)
            & ~ c1_1(a448)
            & ~ c3_1(a448) ) )
        & ( ~ hskp21
          | ( ndr1_0
            & ~ c0_1(a450)
            & c3_1(a450)
            & ~ c2_1(a450) ) )
        & ( ~ hskp22
          | ( ndr1_0
            & ~ c0_1(a451)
            & ~ c3_1(a451)
            & ~ c2_1(a451) ) )
        & ( ~ hskp23
          | ( ndr1_0
            & ~ c1_1(a452)
            & c3_1(a452)
            & ~ c0_1(a452) ) )
        & ( ~ hskp24
          | ( ndr1_0
            & c0_1(a454)
            & ~ c3_1(a454)
            & ~ c2_1(a454) ) )
        & ( ~ hskp25
          | ( ndr1_0
            & c1_1(a460)
            & c2_1(a460)
            & ~ c0_1(a460) ) )
        & ( ~ hskp26
          | ( ndr1_0
            & c1_1(a461)
            & c3_1(a461)
            & ~ c0_1(a461) ) )
        & ( ~ hskp27
          | ( ndr1_0
            & ~ c3_1(a404)
            & ~ c2_1(a404)
            & c1_1(a404) ) )
        & ( ~ hskp28
          | ( ndr1_0
            & ~ c0_1(a408)
            & ~ c3_1(a408)
            & c2_1(a408) ) )
        & ( ~ hskp29
          | ( ndr1_0
            & ~ c1_1(a409)
            & ~ c3_1(a409)
            & c0_1(a409) ) )
        & ( ~ hskp30
          | ( ndr1_0
            & ~ c0_1(a410)
            & ~ c2_1(a410)
            & c1_1(a410) ) )
        & ( ~ hskp31
          | ( ndr1_0
            & ~ c3_1(a412)
            & ~ c2_1(a412)
            & c0_1(a412) ) )
        & ( ~ hskp32
          | ( ndr1_0
            & c3_1(a414)
            & ~ c0_1(a414)
            & c1_1(a414) ) )
        & ( ~ hskp33
          | ( ndr1_0
            & c1_1(a415)
            & ~ c3_1(a415)
            & c0_1(a415) ) )
        & ( ~ hskp34
          | ( ndr1_0
            & c1_1(a417)
            & ~ c0_1(a417)
            & c2_1(a417) ) )
        & ( ~ hskp35
          | ( ndr1_0
            & c2_1(a419)
            & c1_1(a419)
            & c3_1(a419) ) )
        & ( ~ hskp36
          | ( ndr1_0
            & ~ c0_1(a424)
            & c3_1(a424)
            & c2_1(a424) ) )
        & ( ~ hskp37
          | ( ndr1_0
            & ~ c1_1(a427)
            & ~ c2_1(a427)
            & c3_1(a427) ) )
        & ( ~ hskp38
          | ( ndr1_0
            & ~ c0_1(a429)
            & ~ c3_1(a429)
            & c1_1(a429) ) )
        & ( ~ hskp39
          | ( ndr1_0
            & c3_1(a431)
            & c1_1(a431)
            & c2_1(a431) ) )
        & ( ~ hskp40
          | ( ndr1_0
            & ~ c3_1(a432)
            & c1_1(a432)
            & c2_1(a432) ) )
        & ( ~ hskp41
          | ( ndr1_0
            & c0_1(a434)
            & c1_1(a434)
            & c3_1(a434) ) )
        & ( ~ hskp42
          | ( ndr1_0
            & c2_1(a435)
            & ~ c3_1(a435)
            & c0_1(a435) ) )
        & ( ~ hskp43
          | ( ndr1_0
            & c2_1(a436)
            & ~ c0_1(a436)
            & c3_1(a436) ) )
        & ( ~ hskp44
          | ( ndr1_0
            & ~ c0_1(a438)
            & c1_1(a438)
            & c2_1(a438) ) )
        & ( ~ hskp45
          | ( ndr1_0
            & c3_1(a439)
            & ~ c2_1(a439)
            & c0_1(a439) ) )
        & ( ~ hskp46
          | ( ndr1_0
            & ~ c2_1(a446)
            & ~ c3_1(a446)
            & c1_1(a446) ) )
        & ( ~ hskp47
          | ( ndr1_0
            & c0_1(a449)
            & ~ c3_1(a449)
            & c1_1(a449) ) )
        & ( ~ hskp48
          | ( ndr1_0
            & c3_1(a455)
            & c2_1(a455)
            & c1_1(a455) ) )
        & ( ~ hskp49
          | ( ndr1_0
            & ~ c2_1(a459)
            & ~ c1_1(a459)
            & c0_1(a459) ) )
        & ( ~ hskp50
          | ( ndr1_0
            & ~ c1_1(a462)
            & c3_1(a462)
            & c0_1(a462) ) )
        & ( ~ hskp51
          | ( ndr1_0
            & c1_1(a464)
            & ~ c2_1(a464)
            & c0_1(a464) ) )
        & ( ! [U] : 
              ( ndr1_0
             => ( ~ c2_1(U)
                | c0_1(U)
                | ~ c3_1(U) ) )
          | hskp0
          | ! [V] : 
              ( ndr1_0
             => ( c1_1(V)
                | c2_1(V)
                | ~ c0_1(V) ) ) )
        & ( ! [W] : 
              ( ndr1_0
             => ( ~ c1_1(W)
                | ~ c0_1(W)
                | ~ c2_1(W) ) )
          | ! [X] : 
              ( ndr1_0
             => ( c1_1(X)
                | ~ c3_1(X)
                | ~ c2_1(X) ) )
          | hskp1 )
        & ( hskp27
          | hskp2
          | ! [Y] : 
              ( ndr1_0
             => ( ~ c2_1(Y)
                | ~ c1_1(Y)
                | c3_1(Y) ) ) )
        & ( hskp1
          | hskp3
          | hskp28 )
        & ( hskp29
          | ! [Z] : 
              ( ndr1_0
             => ( c0_1(Z)
                | ~ c3_1(Z)
                | c1_1(Z) ) )
          | hskp30 )
        & ( ! [X1] : 
              ( ndr1_0
             => ( c3_1(X1)
                | c1_1(X1)
                | ~ c2_1(X1) ) )
          | ! [X2] : 
              ( ndr1_0
             => ( c1_1(X2)
                | ~ c3_1(X2)
                | c2_1(X2) ) )
          | hskp4 )
        & ( ! [X3] : 
              ( ndr1_0
             => ( c0_1(X3)
                | c3_1(X3)
                | ~ c1_1(X3) ) )
          | hskp31
          | ! [X4] : 
              ( ndr1_0
             => ( c0_1(X4)
                | ~ c2_1(X4)
                | c1_1(X4) ) ) )
        & ( ! [X5] : 
              ( ndr1_0
             => ( c1_1(X5)
                | ~ c3_1(X5)
                | ~ c0_1(X5) ) )
          | hskp5
          | ! [X6] : 
              ( ndr1_0
             => ( ~ c2_1(X6)
                | c1_1(X6)
                | ~ c0_1(X6) ) ) )
        & ( ! [X7] : 
              ( ndr1_0
             => ( ~ c1_1(X7)
                | c0_1(X7)
                | c3_1(X7) ) )
          | ! [X8] : 
              ( ndr1_0
             => ( c3_1(X8)
                | ~ c0_1(X8)
                | ~ c1_1(X8) ) )
          | hskp32 )
        & ( hskp33
          | ! [X9] : 
              ( ndr1_0
             => ( ~ c2_1(X9)
                | c0_1(X9)
                | c1_1(X9) ) )
          | hskp6 )
        & ( hskp34
          | ! [X10] : 
              ( ndr1_0
             => ( ~ c2_1(X10)
                | ~ c0_1(X10)
                | c3_1(X10) ) )
          | ! [X11] : 
              ( ndr1_0
             => ( ~ c2_1(X11)
                | ~ c1_1(X11)
                | c0_1(X11) ) ) )
        & ( ! [X12] : 
              ( ndr1_0
             => ( ~ c3_1(X12)
                | ~ c2_1(X12)
                | c0_1(X12) ) )
          | ! [X13] : 
              ( ndr1_0
             => ( ~ c1_1(X13)
                | ~ c0_1(X13)
                | ~ c3_1(X13) ) )
          | ! [X14] : 
              ( ndr1_0
             => ( ~ c1_1(X14)
                | ~ c3_1(X14)
                | c2_1(X14) ) ) )
        & ( ! [X15] : 
              ( ndr1_0
             => ( ~ c0_1(X15)
                | ~ c1_1(X15)
                | ~ c3_1(X15) ) )
          | ! [X16] : 
              ( ndr1_0
             => ( ~ c1_1(X16)
                | ~ c2_1(X16)
                | ~ c3_1(X16) ) )
          | hskp7 )
        & ( hskp35
          | ! [X17] : 
              ( ndr1_0
             => ( c1_1(X17)
                | c3_1(X17)
                | ~ c0_1(X17) ) )
          | hskp8 )
        & ( ! [X18] : 
              ( ndr1_0
             => ( c3_1(X18)
                | ~ c0_1(X18)
                | c1_1(X18) ) )
          | hskp9
          | hskp10 )
        & ( ! [X19] : 
              ( ndr1_0
             => ( c0_1(X19)
                | ~ c1_1(X19)
                | c3_1(X19) ) )
          | hskp0
          | ! [X20] : 
              ( ndr1_0
             => ( ~ c1_1(X20)
                | ~ c2_1(X20)
                | c0_1(X20) ) ) )
        & ( hskp36
          | ! [X21] : 
              ( ndr1_0
             => ( ~ c0_1(X21)
                | ~ c3_1(X21)
                | ~ c1_1(X21) ) )
          | ! [X22] : 
              ( ndr1_0
             => ( c0_1(X22)
                | ~ c3_1(X22)
                | c1_1(X22) ) ) )
        & ( ! [X23] : 
              ( ndr1_0
             => ( ~ c0_1(X23)
                | c1_1(X23)
                | ~ c3_1(X23) ) )
          | ! [X24] : 
              ( ndr1_0
             => ( c1_1(X24)
                | ~ c3_1(X24)
                | ~ c0_1(X24) ) )
          | ! [X25] : 
              ( ndr1_0
             => ( c1_1(X25)
                | ~ c0_1(X25)
                | c2_1(X25) ) ) )
        & ( hskp3
          | hskp2
          | hskp37 )
        & ( ! [X26] : 
              ( ndr1_0
             => ( ~ c0_1(X26)
                | ~ c2_1(X26)
                | c1_1(X26) ) )
          | hskp11
          | ! [X27] : 
              ( ndr1_0
             => ( c2_1(X27)
                | ~ c3_1(X27)
                | ~ c0_1(X27) ) ) )
        & ( hskp38
          | ! [X28] : 
              ( ndr1_0
             => ( ~ c3_1(X28)
                | ~ c2_1(X28)
                | c1_1(X28) ) )
          | hskp12 )
        & ( hskp39
          | hskp40
          | ! [X29] : 
              ( ndr1_0
             => ( c3_1(X29)
                | c0_1(X29)
                | c1_1(X29) ) ) )
        & ( hskp13
          | hskp41
          | ! [X30] : 
              ( ndr1_0
             => ( ~ c1_1(X30)
                | ~ c0_1(X30)
                | c2_1(X30) ) ) )
        & ( ! [X31] : 
              ( ndr1_0
             => ( c0_1(X31)
                | ~ c3_1(X31)
                | ~ c2_1(X31) ) )
          | ! [X32] : 
              ( ndr1_0
             => ( c0_1(X32)
                | ~ c2_1(X32)
                | ~ c1_1(X32) ) )
          | ! [X33] : 
              ( ndr1_0
             => ( ~ c0_1(X33)
                | ~ c2_1(X33)
                | ~ c1_1(X33) ) ) )
        & ( hskp42
          | ! [X34] : 
              ( ndr1_0
             => ( ~ c2_1(X34)
                | c0_1(X34)
                | c3_1(X34) ) )
          | ! [X35] : 
              ( ndr1_0
             => ( ~ c0_1(X35)
                | c1_1(X35)
                | c3_1(X35) ) ) )
        & ( ! [X36] : 
              ( ndr1_0
             => ( c3_1(X36)
                | ~ c1_1(X36)
                | ~ c2_1(X36) ) )
          | hskp43
          | ! [X37] : 
              ( ndr1_0
             => ( c3_1(X37)
                | ~ c2_1(X37)
                | c1_1(X37) ) ) )
        & ( hskp14
          | ! [X38] : 
              ( ndr1_0
             => ( c3_1(X38)
                | c0_1(X38)
                | c1_1(X38) ) )
          | ! [X39] : 
              ( ndr1_0
             => ( ~ c0_1(X39)
                | ~ c3_1(X39)
                | c1_1(X39) ) ) )
        & ( hskp44
          | ! [X40] : 
              ( ndr1_0
             => ( c3_1(X40)
                | ~ c0_1(X40)
                | c1_1(X40) ) )
          | ! [X41] : 
              ( ndr1_0
             => ( ~ c0_1(X41)
                | ~ c1_1(X41)
                | c2_1(X41) ) ) )
        & ( ! [X42] : 
              ( ndr1_0
             => ( ~ c0_1(X42)
                | ~ c2_1(X42)
                | ~ c1_1(X42) ) )
          | hskp45
          | hskp15 )
        & ( ! [X43] : 
              ( ndr1_0
             => ( c2_1(X43)
                | c3_1(X43)
                | ~ c0_1(X43) ) )
          | hskp16
          | ! [X44] : 
              ( ndr1_0
             => ( c0_1(X44)
                | ~ c2_1(X44)
                | c3_1(X44) ) ) )
        & ( ! [X45] : 
              ( ndr1_0
             => ( c0_1(X45)
                | ~ c1_1(X45)
                | c3_1(X45) ) )
          | ! [X46] : 
              ( ndr1_0
             => ( c3_1(X46)
                | c1_1(X46)
                | ~ c0_1(X46) ) )
          | hskp37 )
        & ( hskp17
          | hskp18
          | ! [X47] : 
              ( ndr1_0
             => ( c3_1(X47)
                | ~ c2_1(X47)
                | ~ c1_1(X47) ) ) )
        & ( ! [X48] : 
              ( ndr1_0
             => ( c2_1(X48)
                | c3_1(X48)
                | ~ c1_1(X48) ) )
          | ! [X49] : 
              ( ndr1_0
             => ( ~ c2_1(X49)
                | ~ c0_1(X49)
                | ~ c3_1(X49) ) )
          | hskp19 )
        & ( ! [X50] : 
              ( ndr1_0
             => ( c1_1(X50)
                | c0_1(X50)
                | ~ c2_1(X50) ) )
          | hskp46
          | ! [X51] : 
              ( ndr1_0
             => ( ~ c0_1(X51)
                | ~ c1_1(X51)
                | c2_1(X51) ) ) )
        & ( hskp11
          | ! [X52] : 
              ( ndr1_0
             => ( ~ c1_1(X52)
                | c2_1(X52)
                | ~ c3_1(X52) ) )
          | hskp20 )
        & ( hskp47
          | ! [X53] : 
              ( ndr1_0
             => ( ~ c0_1(X53)
                | ~ c1_1(X53)
                | ~ c3_1(X53) ) )
          | hskp21 )
        & ( hskp22
          | ! [X54] : 
              ( ndr1_0
             => ( c0_1(X54)
                | c2_1(X54)
                | ~ c3_1(X54) ) )
          | hskp23 )
        & ( hskp36
          | ! [X55] : 
              ( ndr1_0
             => ( ~ c1_1(X55)
                | ~ c3_1(X55)
                | c0_1(X55) ) )
          | ! [X56] : 
              ( ndr1_0
             => ( ~ c3_1(X56)
                | c1_1(X56)
                | ~ c2_1(X56) ) ) )
        & ( ! [X57] : 
              ( ndr1_0
             => ( ~ c3_1(X57)
                | c0_1(X57)
                | ~ c2_1(X57) ) )
          | ! [X58] : 
              ( ndr1_0
             => ( ~ c3_1(X58)
                | c2_1(X58)
                | ~ c1_1(X58) ) )
          | ! [X59] : 
              ( ndr1_0
             => ( ~ c0_1(X59)
                | c3_1(X59)
                | c1_1(X59) ) ) )
        & ( hskp24
          | hskp48
          | hskp46 )
        & ( hskp40
          | ! [X60] : 
              ( ndr1_0
             => ( c1_1(X60)
                | ~ c2_1(X60)
                | ~ c0_1(X60) ) )
          | ! [X61] : 
              ( ndr1_0
             => ( c2_1(X61)
                | c3_1(X61)
                | c1_1(X61) ) ) )
        & ( ! [X62] : 
              ( ndr1_0
             => ( c2_1(X62)
                | c3_1(X62)
                | ~ c0_1(X62) ) )
          | ! [X63] : 
              ( ndr1_0
             => ( c0_1(X63)
                | ~ c2_1(X63)
                | ~ c1_1(X63) ) )
          | ! [X64] : 
              ( ndr1_0
             => ( ~ c2_1(X64)
                | c0_1(X64)
                | ~ c3_1(X64) ) ) )
        & ( ! [X65] : 
              ( ndr1_0
             => ( c2_1(X65)
                | ~ c1_1(X65)
                | ~ c3_1(X65) ) )
          | hskp11
          | hskp49 )
        & ( ! [X66] : 
              ( ndr1_0
             => ( c2_1(X66)
                | ~ c1_1(X66)
                | ~ c0_1(X66) ) )
          | ! [X67] : 
              ( ndr1_0
             => ( c2_1(X67)
                | ~ c3_1(X67)
                | ~ c1_1(X67) ) )
          | ! [X68] : 
              ( ndr1_0
             => ( c2_1(X68)
                | c1_1(X68)
                | c0_1(X68) ) ) )
        & ( ! [X69] : 
              ( ndr1_0
             => ( c1_1(X69)
                | c2_1(X69)
                | ~ c3_1(X69) ) )
          | ! [X70] : 
              ( ndr1_0
             => ( ~ c1_1(X70)
                | c2_1(X70)
                | c3_1(X70) ) )
          | ! [X71] : 
              ( ndr1_0
             => ( c3_1(X71)
                | c1_1(X71)
                | c2_1(X71) ) ) )
        & ( ! [X72] : 
              ( ndr1_0
             => ( c1_1(X72)
                | c0_1(X72)
                | c2_1(X72) ) )
          | hskp25
          | hskp26 )
        & ( hskp50
          | hskp17
          | hskp51 )
        & ( hskp34
          | ! [X73] : 
              ( ndr1_0
             => ( ~ c1_1(X73)
                | c0_1(X73)
                | ~ c2_1(X73) ) )
          | ! [X74] : 
              ( ndr1_0
             => ( ~ c0_1(X74)
                | ~ c2_1(X74)
                | c1_1(X74) ) ) ) ) )).

%--------------------------------------------------------------------------
