%--------------------------------------------------------------------------
% File     : SYN439+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=48, K=3, D=1, P=0, Index=090
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-48-3-1-090.dfg [Wei97]

% Status   : Theorem
% Rating   : 0.67 v2.7.0, 0.33 v2.5.0, 0.67 v2.4.0, 0.67 v2.2.1, 1.00 v2.1.0
%
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
%
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  655 (   0 equality)
%            Maximal formula depth :  109 ( 109 average)
%            Number of connectives :  922 ( 268 ~  ; 313  |; 259  &)
%                                         (   0 <=>;  82 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   58 (  54 propositional; 0-1 arity)
%            Number of functors    :   53 (  53 constant; 0-0 arity)
%            Number of variables   :   82 (   0 singleton;  82 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%--------------------------------------------------------------------------
fof(co1,conjecture,
    ( ~ ( ( ~ hskp0
          | ( ndr1_0
            & c1_1(a535)
            & c0_1(a535)
            & ~ c2_1(a535) ) )
        & ( ~ hskp1
          | ( ndr1_0
            & ~ c2_1(a539)
            & ~ c1_1(a539)
            & ~ c0_1(a539) ) )
        & ( ~ hskp2
          | ( ndr1_0
            & c2_1(a540)
            & c1_1(a540)
            & ~ c3_1(a540) ) )
        & ( ~ hskp3
          | ( ndr1_0
            & ~ c1_1(a543)
            & ~ c0_1(a543)
            & ~ c3_1(a543) ) )
        & ( ~ hskp4
          | ( ndr1_0
            & ~ c2_1(a545)
            & c1_1(a545)
            & ~ c0_1(a545) ) )
        & ( ~ hskp5
          | ( ndr1_0
            & ~ c3_1(a546)
            & c2_1(a546)
            & ~ c1_1(a546) ) )
        & ( ~ hskp6
          | ( ndr1_0
            & ~ c2_1(a548)
            & c3_1(a548)
            & ~ c0_1(a548) ) )
        & ( ~ hskp7
          | ( ndr1_0
            & c0_1(a550)
            & c3_1(a550)
            & ~ c1_1(a550) ) )
        & ( ~ hskp8
          | ( ndr1_0
            & ~ c3_1(a552)
            & ~ c1_1(a552)
            & ~ c2_1(a552) ) )
        & ( ~ hskp9
          | ( ndr1_0
            & ~ c0_1(a554)
            & ~ c2_1(a554)
            & ~ c1_1(a554) ) )
        & ( ~ hskp10
          | ( ndr1_0
            & ~ c1_1(a558)
            & c3_1(a558)
            & ~ c0_1(a558) ) )
        & ( ~ hskp11
          | ( ndr1_0
            & c1_1(a560)
            & ~ c3_1(a560)
            & ~ c0_1(a560) ) )
        & ( ~ hskp12
          | ( ndr1_0
            & c3_1(a563)
            & ~ c0_1(a563)
            & ~ c2_1(a563) ) )
        & ( ~ hskp13
          | ( ndr1_0
            & c3_1(a565)
            & c2_1(a565)
            & ~ c1_1(a565) ) )
        & ( ~ hskp14
          | ( ndr1_0
            & c0_1(a567)
            & ~ c1_1(a567)
            & ~ c3_1(a567) ) )
        & ( ~ hskp15
          | ( ndr1_0
            & ~ c0_1(a569)
            & ~ c1_1(a569)
            & ~ c2_1(a569) ) )
        & ( ~ hskp16
          | ( ndr1_0
            & c3_1(a570)
            & c1_1(a570)
            & ~ c0_1(a570) ) )
        & ( ~ hskp17
          | ( ndr1_0
            & c0_1(a571)
            & c3_1(a571)
            & ~ c2_1(a571) ) )
        & ( ~ hskp18
          | ( ndr1_0
            & ~ c3_1(a572)
            & c0_1(a572)
            & ~ c1_1(a572) ) )
        & ( ~ hskp19
          | ( ndr1_0
            & ~ c2_1(a573)
            & ~ c0_1(a573)
            & ~ c1_1(a573) ) )
        & ( ~ hskp20
          | ( ndr1_0
            & ~ c2_1(a575)
            & ~ c0_1(a575)
            & ~ c3_1(a575) ) )
        & ( ~ hskp21
          | ( ndr1_0
            & c1_1(a576)
            & ~ c0_1(a576)
            & ~ c3_1(a576) ) )
        & ( ~ hskp22
          | ( ndr1_0
            & ~ c3_1(a577)
            & c1_1(a577)
            & ~ c0_1(a577) ) )
        & ( ~ hskp23
          | ( ndr1_0
            & c3_1(a578)
            & ~ c0_1(a578)
            & ~ c1_1(a578) ) )
        & ( ~ hskp24
          | ( ndr1_0
            & c2_1(a581)
            & ~ c1_1(a581)
            & ~ c3_1(a581) ) )
        & ( ~ hskp25
          | ( ndr1_0
            & ~ c3_1(a582)
            & ~ c2_1(a582)
            & ~ c1_1(a582) ) )
        & ( ~ hskp26
          | ( ndr1_0
            & c0_1(a584)
            & c1_1(a584)
            & ~ c3_1(a584) ) )
        & ( ~ hskp27
          | ( ndr1_0
            & ~ c0_1(a586)
            & c1_1(a586)
            & ~ c3_1(a586) ) )
        & ( ~ hskp28
          | ( ndr1_0
            & c2_1(a589)
            & c3_1(a589)
            & ~ c0_1(a589) ) )
        & ( ~ hskp29
          | ( ndr1_0
            & ~ c3_1(a590)
            & ~ c0_1(a590)
            & ~ c1_1(a590) ) )
        & ( ~ hskp30
          | ( ndr1_0
            & c1_1(a591)
            & ~ c2_1(a591)
            & ~ c0_1(a591) ) )
        & ( ~ hskp31
          | ( ndr1_0
            & ~ c0_1(a594)
            & ~ c3_1(a594)
            & ~ c1_1(a594) ) )
        & ( ~ hskp32
          | ( ndr1_0
            & c0_1(a596)
            & ~ c3_1(a596)
            & ~ c2_1(a596) ) )
        & ( ~ hskp33
          | ( ndr1_0
            & c1_1(a536)
            & c2_1(a536)
            & c0_1(a536) ) )
        & ( ~ hskp34
          | ( ndr1_0
            & c0_1(a537)
            & ~ c1_1(a537)
            & c3_1(a537) ) )
        & ( ~ hskp35
          | ( ndr1_0
            & c2_1(a538)
            & c1_1(a538)
            & c3_1(a538) ) )
        & ( ~ hskp36
          | ( ndr1_0
            & c0_1(a541)
            & c1_1(a541)
            & c2_1(a541) ) )
        & ( ~ hskp37
          | ( ndr1_0
            & ~ c2_1(a544)
            & ~ c3_1(a544)
            & c1_1(a544) ) )
        & ( ~ hskp38
          | ( ndr1_0
            & c2_1(a547)
            & c1_1(a547)
            & c0_1(a547) ) )
        & ( ~ hskp39
          | ( ndr1_0
            & c3_1(a549)
            & c2_1(a549)
            & c1_1(a549) ) )
        & ( ~ hskp40
          | ( ndr1_0
            & c3_1(a551)
            & ~ c0_1(a551)
            & c2_1(a551) ) )
        & ( ~ hskp41
          | ( ndr1_0
            & ~ c2_1(a555)
            & c3_1(a555)
            & c0_1(a555) ) )
        & ( ~ hskp42
          | ( ndr1_0
            & ~ c2_1(a556)
            & c1_1(a556)
            & c3_1(a556) ) )
        & ( ~ hskp43
          | ( ndr1_0
            & c3_1(a557)
            & ~ c1_1(a557)
            & c0_1(a557) ) )
        & ( ~ hskp44
          | ( ndr1_0
            & ~ c3_1(a559)
            & c0_1(a559)
            & c2_1(a559) ) )
        & ( ~ hskp45
          | ( ndr1_0
            & ~ c3_1(a561)
            & ~ c2_1(a561)
            & c0_1(a561) ) )
        & ( ~ hskp46
          | ( ndr1_0
            & ~ c3_1(a562)
            & ~ c0_1(a562)
            & c1_1(a562) ) )
        & ( ~ hskp47
          | ( ndr1_0
            & ~ c2_1(a564)
            & c0_1(a564)
            & c1_1(a564) ) )
        & ( ~ hskp48
          | ( ndr1_0
            & ~ c3_1(a566)
            & ~ c2_1(a566)
            & c1_1(a566) ) )
        & ( ~ hskp49
          | ( ndr1_0
            & ~ c0_1(a568)
            & ~ c1_1(a568)
            & c2_1(a568) ) )
        & ( ~ hskp50
          | ( ndr1_0
            & ~ c3_1(a574)
            & c0_1(a574)
            & c1_1(a574) ) )
        & ( ~ hskp51
          | ( ndr1_0
            & ~ c2_1(a583)
            & c0_1(a583)
            & c3_1(a583) ) )
        & ( ~ hskp52
          | ( ndr1_0
            & ~ c0_1(a595)
            & c2_1(a595)
            & c1_1(a595) ) )
        & ( ! [U] : 
              ( ndr1_0
             => ( c1_1(U)
                | c2_1(U)
                | c3_1(U) ) )
          | ! [V] : 
              ( ndr1_0
             => ( ~ c2_1(V)
                | ~ c1_1(V)
                | ~ c0_1(V) ) )
          | hskp0 )
        & ( ! [W] : 
              ( ndr1_0
             => ( c2_1(W)
                | ~ c1_1(W)
                | ~ c0_1(W) ) )
          | ! [X] : 
              ( ndr1_0
             => ( c2_1(X)
                | c1_1(X)
                | ~ c3_1(X) ) )
          | ! [Y] : 
              ( ndr1_0
             => ( ~ c0_1(Y)
                | ~ c1_1(Y)
                | ~ c2_1(Y) ) ) )
        & ( hskp33
          | ! [Z] : 
              ( ndr1_0
             => ( c2_1(Z)
                | c3_1(Z)
                | c0_1(Z) ) )
          | ! [X1] : 
              ( ndr1_0
             => ( c3_1(X1)
                | ~ c1_1(X1)
                | ~ c0_1(X1) ) ) )
        & ( hskp34
          | ! [X2] : 
              ( ndr1_0
             => ( ~ c1_1(X2)
                | ~ c2_1(X2)
                | ~ c3_1(X2) ) )
          | ! [X3] : 
              ( ndr1_0
             => ( c1_1(X3)
                | c2_1(X3)
                | c3_1(X3) ) ) )
        & ( hskp35
          | ! [X4] : 
              ( ndr1_0
             => ( c3_1(X4)
                | ~ c2_1(X4)
                | ~ c1_1(X4) ) )
          | ! [X5] : 
              ( ndr1_0
             => ( ~ c0_1(X5)
                | c1_1(X5)
                | c2_1(X5) ) ) )
        & ( ! [X6] : 
              ( ndr1_0
             => ( ~ c3_1(X6)
                | ~ c1_1(X6)
                | ~ c0_1(X6) ) )
          | hskp1
          | hskp2 )
        & ( hskp36
          | hskp34
          | hskp3 )
        & ( ! [X7] : 
              ( ndr1_0
             => ( ~ c0_1(X7)
                | c1_1(X7)
                | c3_1(X7) ) )
          | hskp37
          | ! [X8] : 
              ( ndr1_0
             => ( c1_1(X8)
                | ~ c2_1(X8)
                | ~ c0_1(X8) ) ) )
        & ( ! [X9] : 
              ( ndr1_0
             => ( c3_1(X9)
                | c0_1(X9)
                | ~ c1_1(X9) ) )
          | hskp4
          | ! [X10] : 
              ( ndr1_0
             => ( ~ c2_1(X10)
                | ~ c3_1(X10)
                | ~ c1_1(X10) ) ) )
        & ( ! [X11] : 
              ( ndr1_0
             => ( c3_1(X11)
                | ~ c2_1(X11)
                | ~ c1_1(X11) ) )
          | ! [X12] : 
              ( ndr1_0
             => ( c1_1(X12)
                | ~ c3_1(X12)
                | c2_1(X12) ) )
          | hskp5 )
        & ( ! [X13] : 
              ( ndr1_0
             => ( c3_1(X13)
                | c1_1(X13)
                | c2_1(X13) ) )
          | hskp38
          | ! [X14] : 
              ( ndr1_0
             => ( c0_1(X14)
                | c2_1(X14)
                | ~ c3_1(X14) ) ) )
        & ( ! [X15] : 
              ( ndr1_0
             => ( c0_1(X15)
                | c1_1(X15)
                | c2_1(X15) ) )
          | ! [X16] : 
              ( ndr1_0
             => ( ~ c1_1(X16)
                | ~ c3_1(X16)
                | c0_1(X16) ) )
          | hskp6 )
        & ( ! [X17] : 
              ( ndr1_0
             => ( c3_1(X17)
                | ~ c1_1(X17)
                | c0_1(X17) ) )
          | ! [X18] : 
              ( ndr1_0
             => ( c2_1(X18)
                | ~ c3_1(X18)
                | ~ c1_1(X18) ) )
          | hskp39 )
        & ( ! [X19] : 
              ( ndr1_0
             => ( ~ c2_1(X19)
                | c1_1(X19)
                | ~ c0_1(X19) ) )
          | hskp7
          | hskp40 )
        & ( ! [X20] : 
              ( ndr1_0
             => ( c0_1(X20)
                | ~ c2_1(X20)
                | c1_1(X20) ) )
          | ! [X21] : 
              ( ndr1_0
             => ( c1_1(X21)
                | ~ c0_1(X21)
                | ~ c3_1(X21) ) )
          | hskp8 )
        & ( ! [X22] : 
              ( ndr1_0
             => ( ~ c2_1(X22)
                | c1_1(X22)
                | ~ c3_1(X22) ) )
          | ! [X23] : 
              ( ndr1_0
             => ( ~ c1_1(X23)
                | ~ c2_1(X23)
                | ~ c3_1(X23) ) )
          | hskp38 )
        & ( ! [X24] : 
              ( ndr1_0
             => ( c2_1(X24)
                | ~ c1_1(X24)
                | ~ c0_1(X24) ) )
          | ! [X25] : 
              ( ndr1_0
             => ( c0_1(X25)
                | ~ c3_1(X25)
                | c1_1(X25) ) )
          | ! [X26] : 
              ( ndr1_0
             => ( c0_1(X26)
                | ~ c2_1(X26)
                | c3_1(X26) ) ) )
        & ( ! [X27] : 
              ( ndr1_0
             => ( ~ c1_1(X27)
                | c0_1(X27)
                | ~ c3_1(X27) ) )
          | hskp9
          | hskp41 )
        & ( ! [X28] : 
              ( ndr1_0
             => ( c1_1(X28)
                | ~ c2_1(X28)
                | ~ c3_1(X28) ) )
          | ! [X29] : 
              ( ndr1_0
             => ( c2_1(X29)
                | c3_1(X29)
                | c1_1(X29) ) )
          | ! [X30] : 
              ( ndr1_0
             => ( ~ c1_1(X30)
                | c2_1(X30)
                | ~ c3_1(X30) ) ) )
        & ( hskp42
          | ! [X31] : 
              ( ndr1_0
             => ( ~ c2_1(X31)
                | ~ c0_1(X31)
                | ~ c1_1(X31) ) )
          | ! [X32] : 
              ( ndr1_0
             => ( ~ c1_1(X32)
                | ~ c3_1(X32)
                | c2_1(X32) ) ) )
        & ( ! [X33] : 
              ( ndr1_0
             => ( c0_1(X33)
                | ~ c2_1(X33)
                | ~ c1_1(X33) ) )
          | hskp43
          | ! [X34] : 
              ( ndr1_0
             => ( c1_1(X34)
                | c2_1(X34)
                | ~ c0_1(X34) ) ) )
        & ( hskp10
          | ! [X35] : 
              ( ndr1_0
             => ( ~ c2_1(X35)
                | c0_1(X35)
                | ~ c1_1(X35) ) )
          | ! [X36] : 
              ( ndr1_0
             => ( ~ c0_1(X36)
                | ~ c3_1(X36)
                | ~ c2_1(X36) ) ) )
        & ( hskp44
          | hskp11
          | ! [X37] : 
              ( ndr1_0
             => ( c0_1(X37)
                | ~ c3_1(X37)
                | c2_1(X37) ) ) )
        & ( ! [X38] : 
              ( ndr1_0
             => ( c2_1(X38)
                | c0_1(X38)
                | c3_1(X38) ) )
          | ! [X39] : 
              ( ndr1_0
             => ( ~ c0_1(X39)
                | c2_1(X39)
                | ~ c1_1(X39) ) )
          | hskp45 )
        & ( ! [X40] : 
              ( ndr1_0
             => ( ~ c2_1(X40)
                | c0_1(X40)
                | ~ c1_1(X40) ) )
          | hskp46
          | ! [X41] : 
              ( ndr1_0
             => ( ~ c2_1(X41)
                | ~ c0_1(X41)
                | c1_1(X41) ) ) )
        & ( hskp12
          | ! [X42] : 
              ( ndr1_0
             => ( c1_1(X42)
                | c2_1(X42)
                | c3_1(X42) ) )
          | ! [X43] : 
              ( ndr1_0
             => ( ~ c3_1(X43)
                | ~ c1_1(X43)
                | c2_1(X43) ) ) )
        & ( ! [X44] : 
              ( ndr1_0
             => ( c0_1(X44)
                | ~ c2_1(X44)
                | ~ c3_1(X44) ) )
          | ! [X45] : 
              ( ndr1_0
             => ( ~ c2_1(X45)
                | ~ c1_1(X45)
                | c3_1(X45) ) )
          | hskp47 )
        & ( hskp13
          | hskp48
          | ! [X46] : 
              ( ndr1_0
             => ( ~ c2_1(X46)
                | c1_1(X46)
                | c0_1(X46) ) ) )
        & ( hskp14
          | ! [X47] : 
              ( ndr1_0
             => ( c3_1(X47)
                | c2_1(X47)
                | c1_1(X47) ) )
          | ! [X48] : 
              ( ndr1_0
             => ( c2_1(X48)
                | c0_1(X48)
                | ~ c1_1(X48) ) ) )
        & ( ! [X49] : 
              ( ndr1_0
             => ( c2_1(X49)
                | ~ c0_1(X49)
                | ~ c3_1(X49) ) )
          | hskp49
          | ! [X50] : 
              ( ndr1_0
             => ( c2_1(X50)
                | c3_1(X50)
                | ~ c0_1(X50) ) ) )
        & ( ! [X51] : 
              ( ndr1_0
             => ( ~ c2_1(X51)
                | ~ c3_1(X51)
                | c1_1(X51) ) )
          | ! [X52] : 
              ( ndr1_0
             => ( c3_1(X52)
                | ~ c1_1(X52)
                | c2_1(X52) ) )
          | hskp15 )
        & ( hskp16
          | hskp17
          | hskp18 )
        & ( ! [X53] : 
              ( ndr1_0
             => ( c2_1(X53)
                | ~ c0_1(X53)
                | c1_1(X53) ) )
          | hskp19
          | hskp50 )
        & ( ! [X54] : 
              ( ndr1_0
             => ( c2_1(X54)
                | ~ c3_1(X54)
                | ~ c1_1(X54) ) )
          | hskp20
          | hskp21 )
        & ( ! [X55] : 
              ( ndr1_0
             => ( ~ c1_1(X55)
                | c3_1(X55)
                | ~ c0_1(X55) ) )
          | hskp22
          | hskp23 )
        & ( ! [X56] : 
              ( ndr1_0
             => ( ~ c1_1(X56)
                | c3_1(X56)
                | c0_1(X56) ) )
          | ! [X57] : 
              ( ndr1_0
             => ( ~ c1_1(X57)
                | ~ c0_1(X57)
                | ~ c2_1(X57) ) )
          | hskp34 )
        & ( hskp39
          | hskp24
          | ! [X58] : 
              ( ndr1_0
             => ( c3_1(X58)
                | c2_1(X58)
                | ~ c0_1(X58) ) ) )
        & ( ! [X59] : 
              ( ndr1_0
             => ( ~ c1_1(X59)
                | ~ c3_1(X59)
                | c2_1(X59) ) )
          | hskp25
          | ! [X60] : 
              ( ndr1_0
             => ( ~ c2_1(X60)
                | ~ c3_1(X60)
                | ~ c1_1(X60) ) ) )
        & ( ! [X61] : 
              ( ndr1_0
             => ( ~ c0_1(X61)
                | ~ c3_1(X61)
                | c1_1(X61) ) )
          | ! [X62] : 
              ( ndr1_0
             => ( c1_1(X62)
                | ~ c2_1(X62)
                | c3_1(X62) ) )
          | ! [X63] : 
              ( ndr1_0
             => ( ~ c0_1(X63)
                | c2_1(X63)
                | ~ c3_1(X63) ) ) )
        & ( ! [X64] : 
              ( ndr1_0
             => ( c3_1(X64)
                | c2_1(X64)
                | c1_1(X64) ) )
          | ! [X65] : 
              ( ndr1_0
             => ( ~ c0_1(X65)
                | c1_1(X65)
                | ~ c3_1(X65) ) )
          | hskp51 )
        & ( ! [X66] : 
              ( ndr1_0
             => ( ~ c3_1(X66)
                | c0_1(X66)
                | c1_1(X66) ) )
          | ! [X67] : 
              ( ndr1_0
             => ( c0_1(X67)
                | c3_1(X67)
                | ~ c1_1(X67) ) )
          | hskp26 )
        & ( hskp6
          | hskp27
          | hskp4 )
        & ( hskp46
          | ! [X68] : 
              ( ndr1_0
             => ( ~ c3_1(X68)
                | c2_1(X68)
                | c0_1(X68) ) )
          | ! [X69] : 
              ( ndr1_0
             => ( c2_1(X69)
                | ~ c1_1(X69)
                | ~ c3_1(X69) ) ) )
        & ( ! [X70] : 
              ( ndr1_0
             => ( c2_1(X70)
                | c0_1(X70)
                | c1_1(X70) ) )
          | ! [X71] : 
              ( ndr1_0
             => ( c1_1(X71)
                | c0_1(X71)
                | c2_1(X71) ) )
          | hskp28 )
        & ( hskp29
          | ! [X72] : 
              ( ndr1_0
             => ( c2_1(X72)
                | ~ c3_1(X72)
                | c1_1(X72) ) )
          | hskp30 )
        & ( ! [X73] : 
              ( ndr1_0
             => ( ~ c2_1(X73)
                | c3_1(X73)
                | c0_1(X73) ) )
          | ! [X74] : 
              ( ndr1_0
             => ( ~ c1_1(X74)
                | ~ c2_1(X74)
                | ~ c3_1(X74) ) )
          | hskp46 )
        & ( hskp40
          | hskp31
          | hskp52 )
        & ( ! [X75] : 
              ( ndr1_0
             => ( ~ c1_1(X75)
                | c3_1(X75)
                | ~ c2_1(X75) ) )
          | hskp32
          | ! [X76] : 
              ( ndr1_0
             => ( c3_1(X76)
                | ~ c1_1(X76)
                | ~ c0_1(X76) ) ) ) ) )).

%--------------------------------------------------------------------------
