%--------------------------------------------------------------------------
% File     : SYN440+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=60, K=3, D=1, P=0, Index=002
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-60-3-1-002.dfg [Wei97]

% Status   : Theorem
% Rating   : 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.67 v2.2.1, 1.00 v2.1.0
%
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
%
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  805 (   0 equality)
%            Maximal formula depth :  135 ( 135 average)
%            Number of connectives : 1120 ( 316 ~  ; 380  |; 327  &)
%                                         (   0 <=>;  97 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   72 (  68 propositional; 0-1 arity)
%            Number of functors    :   67 (  67 constant; 0-0 arity)
%            Number of variables   :   97 (   0 singleton;  97 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%--------------------------------------------------------------------------
fof(co1,conjecture,
    ( ~ ( ( ~ hskp0
          | ( ndr1_0
            & c0_1(a597)
            & ~ c3_1(a597)
            & ~ c1_1(a597) ) )
        & ( ~ hskp1
          | ( ndr1_0
            & c0_1(a598)
            & c2_1(a598)
            & ~ c1_1(a598) ) )
        & ( ~ hskp2
          | ( ndr1_0
            & c0_1(a601)
            & ~ c2_1(a601)
            & ~ c3_1(a601) ) )
        & ( ~ hskp3
          | ( ndr1_0
            & c0_1(a603)
            & ~ c1_1(a603)
            & ~ c3_1(a603) ) )
        & ( ~ hskp4
          | ( ndr1_0
            & ~ c2_1(a604)
            & ~ c0_1(a604)
            & ~ c3_1(a604) ) )
        & ( ~ hskp5
          | ( ndr1_0
            & ~ c0_1(a606)
            & c2_1(a606)
            & ~ c3_1(a606) ) )
        & ( ~ hskp6
          | ( ndr1_0
            & c2_1(a609)
            & ~ c0_1(a609)
            & ~ c1_1(a609) ) )
        & ( ~ hskp7
          | ( ndr1_0
            & c1_1(a610)
            & ~ c2_1(a610)
            & ~ c0_1(a610) ) )
        & ( ~ hskp8
          | ( ndr1_0
            & ~ c2_1(a612)
            & c3_1(a612)
            & ~ c1_1(a612) ) )
        & ( ~ hskp9
          | ( ndr1_0
            & c1_1(a613)
            & c2_1(a613)
            & ~ c3_1(a613) ) )
        & ( ~ hskp10
          | ( ndr1_0
            & c0_1(a615)
            & c3_1(a615)
            & ~ c2_1(a615) ) )
        & ( ~ hskp11
          | ( ndr1_0
            & c0_1(a616)
            & c1_1(a616)
            & ~ c2_1(a616) ) )
        & ( ~ hskp12
          | ( ndr1_0
            & ~ c0_1(a620)
            & ~ c3_1(a620)
            & ~ c1_1(a620) ) )
        & ( ~ hskp13
          | ( ndr1_0
            & ~ c1_1(a622)
            & ~ c2_1(a622)
            & ~ c0_1(a622) ) )
        & ( ~ hskp14
          | ( ndr1_0
            & c3_1(a624)
            & ~ c1_1(a624)
            & ~ c2_1(a624) ) )
        & ( ~ hskp15
          | ( ndr1_0
            & ~ c2_1(a625)
            & ~ c1_1(a625)
            & ~ c0_1(a625) ) )
        & ( ~ hskp16
          | ( ndr1_0
            & c2_1(a627)
            & c0_1(a627)
            & ~ c3_1(a627) ) )
        & ( ~ hskp17
          | ( ndr1_0
            & c3_1(a628)
            & ~ c2_1(a628)
            & ~ c1_1(a628) ) )
        & ( ~ hskp18
          | ( ndr1_0
            & c0_1(a632)
            & c3_1(a632)
            & ~ c1_1(a632) ) )
        & ( ~ hskp19
          | ( ndr1_0
            & ~ c1_1(a634)
            & ~ c0_1(a634)
            & ~ c3_1(a634) ) )
        & ( ~ hskp20
          | ( ndr1_0
            & ~ c1_1(a635)
            & ~ c2_1(a635)
            & ~ c3_1(a635) ) )
        & ( ~ hskp21
          | ( ndr1_0
            & c1_1(a637)
            & c0_1(a637)
            & ~ c3_1(a637) ) )
        & ( ~ hskp22
          | ( ndr1_0
            & c0_1(a641)
            & ~ c1_1(a641)
            & ~ c2_1(a641) ) )
        & ( ~ hskp23
          | ( ndr1_0
            & c2_1(a642)
            & c3_1(a642)
            & ~ c0_1(a642) ) )
        & ( ~ hskp24
          | ( ndr1_0
            & ~ c0_1(a643)
            & c3_1(a643)
            & ~ c1_1(a643) ) )
        & ( ~ hskp25
          | ( ndr1_0
            & c3_1(a646)
            & ~ c2_1(a646)
            & ~ c0_1(a646) ) )
        & ( ~ hskp26
          | ( ndr1_0
            & ~ c1_1(a652)
            & c3_1(a652)
            & ~ c2_1(a652) ) )
        & ( ~ hskp27
          | ( ndr1_0
            & ~ c3_1(a654)
            & ~ c0_1(a654)
            & ~ c1_1(a654) ) )
        & ( ~ hskp28
          | ( ndr1_0
            & ~ c3_1(a656)
            & c1_1(a656)
            & ~ c0_1(a656) ) )
        & ( ~ hskp29
          | ( ndr1_0
            & ~ c1_1(a660)
            & ~ c3_1(a660)
            & ~ c0_1(a660) ) )
        & ( ~ hskp30
          | ( ndr1_0
            & ~ c2_1(a666)
            & c0_1(a666)
            & ~ c3_1(a666) ) )
        & ( ~ hskp31
          | ( ndr1_0
            & ~ c2_1(a667)
            & c1_1(a667)
            & ~ c0_1(a667) ) )
        & ( ~ hskp32
          | ( ndr1_0
            & c0_1(a677)
            & ~ c3_1(a677)
            & ~ c2_1(a677) ) )
        & ( ~ hskp33
          | ( ndr1_0
            & ~ c2_1(a599)
            & c0_1(a599)
            & c3_1(a599) ) )
        & ( ~ hskp34
          | ( ndr1_0
            & ~ c3_1(a600)
            & c2_1(a600)
            & c0_1(a600) ) )
        & ( ~ hskp35
          | ( ndr1_0
            & ~ c3_1(a602)
            & ~ c1_1(a602)
            & c2_1(a602) ) )
        & ( ~ hskp36
          | ( ndr1_0
            & c1_1(a605)
            & ~ c3_1(a605)
            & c0_1(a605) ) )
        & ( ~ hskp37
          | ( ndr1_0
            & c1_1(a607)
            & ~ c2_1(a607)
            & c0_1(a607) ) )
        & ( ~ hskp38
          | ( ndr1_0
            & c1_1(a608)
            & c3_1(a608)
            & c0_1(a608) ) )
        & ( ~ hskp39
          | ( ndr1_0
            & ~ c1_1(a611)
            & c3_1(a611)
            & c2_1(a611) ) )
        & ( ~ hskp40
          | ( ndr1_0
            & c2_1(a614)
            & c1_1(a614)
            & c0_1(a614) ) )
        & ( ~ hskp41
          | ( ndr1_0
            & c2_1(a617)
            & ~ c1_1(a617)
            & c3_1(a617) ) )
        & ( ~ hskp42
          | ( ndr1_0
            & ~ c2_1(a618)
            & ~ c3_1(a618)
            & c1_1(a618) ) )
        & ( ~ hskp43
          | ( ndr1_0
            & ~ c3_1(a619)
            & ~ c1_1(a619)
            & c0_1(a619) ) )
        & ( ~ hskp44
          | ( ndr1_0
            & c2_1(a621)
            & ~ c0_1(a621)
            & c3_1(a621) ) )
        & ( ~ hskp45
          | ( ndr1_0
            & ~ c0_1(a623)
            & c3_1(a623)
            & c2_1(a623) ) )
        & ( ~ hskp46
          | ( ndr1_0
            & c1_1(a626)
            & c0_1(a626)
            & c3_1(a626) ) )
        & ( ~ hskp47
          | ( ndr1_0
            & ~ c1_1(a636)
            & ~ c0_1(a636)
            & c3_1(a636) ) )
        & ( ~ hskp48
          | ( ndr1_0
            & ~ c3_1(a638)
            & c1_1(a638)
            & c2_1(a638) ) )
        & ( ~ hskp49
          | ( ndr1_0
            & ~ c2_1(a639)
            & ~ c0_1(a639)
            & c1_1(a639) ) )
        & ( ~ hskp50
          | ( ndr1_0
            & ~ c3_1(a640)
            & c1_1(a640)
            & c0_1(a640) ) )
        & ( ~ hskp51
          | ( ndr1_0
            & c2_1(a644)
            & ~ c3_1(a644)
            & c0_1(a644) ) )
        & ( ~ hskp52
          | ( ndr1_0
            & ~ c2_1(a647)
            & ~ c1_1(a647)
            & c0_1(a647) ) )
        & ( ~ hskp53
          | ( ndr1_0
            & c3_1(a648)
            & ~ c2_1(a648)
            & c0_1(a648) ) )
        & ( ~ hskp54
          | ( ndr1_0
            & c3_1(a651)
            & ~ c0_1(a651)
            & c2_1(a651) ) )
        & ( ~ hskp55
          | ( ndr1_0
            & ~ c2_1(a653)
            & c3_1(a653)
            & c1_1(a653) ) )
        & ( ~ hskp56
          | ( ndr1_0
            & ~ c1_1(a658)
            & c2_1(a658)
            & c3_1(a658) ) )
        & ( ~ hskp57
          | ( ndr1_0
            & ~ c0_1(a662)
            & c1_1(a662)
            & c2_1(a662) ) )
        & ( ~ hskp58
          | ( ndr1_0
            & ~ c0_1(a663)
            & ~ c1_1(a663)
            & c3_1(a663) ) )
        & ( ~ hskp59
          | ( ndr1_0
            & ~ c0_1(a665)
            & c2_1(a665)
            & c3_1(a665) ) )
        & ( ~ hskp60
          | ( ndr1_0
            & c0_1(a669)
            & ~ c2_1(a669)
            & c1_1(a669) ) )
        & ( ~ hskp61
          | ( ndr1_0
            & ~ c1_1(a670)
            & ~ c0_1(a670)
            & c2_1(a670) ) )
        & ( ~ hskp62
          | ( ndr1_0
            & ~ c1_1(a671)
            & c3_1(a671)
            & c0_1(a671) ) )
        & ( ~ hskp63
          | ( ndr1_0
            & ~ c0_1(a672)
            & ~ c2_1(a672)
            & c3_1(a672) ) )
        & ( ~ hskp64
          | ( ndr1_0
            & c3_1(a673)
            & ~ c0_1(a673)
            & c1_1(a673) ) )
        & ( ~ hskp65
          | ( ndr1_0
            & c2_1(a674)
            & ~ c1_1(a674)
            & c0_1(a674) ) )
        & ( ~ hskp66
          | ( ndr1_0
            & c1_1(a675)
            & ~ c2_1(a675)
            & c3_1(a675) ) )
        & ( ! [U] : 
              ( ndr1_0
             => ( c2_1(U)
                | ~ c3_1(U)
                | ~ c0_1(U) ) )
          | ! [V] : 
              ( ndr1_0
             => ( ~ c2_1(V)
                | c0_1(V)
                | ~ c3_1(V) ) )
          | ! [W] : 
              ( ndr1_0
             => ( ~ c1_1(W)
                | ~ c2_1(W)
                | c3_1(W) ) ) )
        & ( hskp0
          | ! [X] : 
              ( ndr1_0
             => ( c0_1(X)
                | ~ c3_1(X)
                | c1_1(X) ) )
          | hskp1 )
        & ( hskp33
          | hskp34
          | hskp2 )
        & ( ! [Y] : 
              ( ndr1_0
             => ( c2_1(Y)
                | ~ c0_1(Y)
                | c1_1(Y) ) )
          | ! [Z] : 
              ( ndr1_0
             => ( c0_1(Z)
                | ~ c3_1(Z)
                | ~ c2_1(Z) ) )
          | ! [X1] : 
              ( ndr1_0
             => ( ~ c0_1(X1)
                | c1_1(X1)
                | ~ c2_1(X1) ) ) )
        & ( ! [X2] : 
              ( ndr1_0
             => ( ~ c1_1(X2)
                | c0_1(X2)
                | ~ c2_1(X2) ) )
          | ! [X3] : 
              ( ndr1_0
             => ( c0_1(X3)
                | c3_1(X3)
                | ~ c2_1(X3) ) )
          | ! [X4] : 
              ( ndr1_0
             => ( c0_1(X4)
                | ~ c1_1(X4)
                | ~ c2_1(X4) ) ) )
        & ( hskp35
          | ! [X5] : 
              ( ndr1_0
             => ( ~ c0_1(X5)
                | ~ c2_1(X5)
                | ~ c3_1(X5) ) )
          | ! [X6] : 
              ( ndr1_0
             => ( ~ c0_1(X6)
                | c2_1(X6)
                | ~ c3_1(X6) ) ) )
        & ( hskp3
          | hskp4
          | hskp36 )
        & ( hskp5
          | ! [X7] : 
              ( ndr1_0
             => ( ~ c0_1(X7)
                | ~ c2_1(X7)
                | ~ c3_1(X7) ) )
          | hskp37 )
        & ( ! [X8] : 
              ( ndr1_0
             => ( ~ c2_1(X8)
                | c0_1(X8)
                | c1_1(X8) ) )
          | ! [X9] : 
              ( ndr1_0
             => ( ~ c2_1(X9)
                | c1_1(X9)
                | c3_1(X9) ) )
          | ! [X10] : 
              ( ndr1_0
             => ( c0_1(X10)
                | c1_1(X10)
                | c2_1(X10) ) ) )
        & ( hskp38
          | ! [X11] : 
              ( ndr1_0
             => ( c2_1(X11)
                | c1_1(X11)
                | c0_1(X11) ) )
          | ! [X12] : 
              ( ndr1_0
             => ( ~ c3_1(X12)
                | ~ c1_1(X12)
                | c0_1(X12) ) ) )
        & ( ! [X13] : 
              ( ndr1_0
             => ( ~ c1_1(X13)
                | ~ c3_1(X13)
                | ~ c0_1(X13) ) )
          | hskp6
          | ! [X14] : 
              ( ndr1_0
             => ( ~ c1_1(X14)
                | ~ c0_1(X14)
                | ~ c3_1(X14) ) ) )
        & ( ! [X15] : 
              ( ndr1_0
             => ( c2_1(X15)
                | ~ c1_1(X15)
                | ~ c0_1(X15) ) )
          | hskp7
          | hskp39 )
        & ( hskp8
          | ! [X16] : 
              ( ndr1_0
             => ( c2_1(X16)
                | c1_1(X16)
                | c3_1(X16) ) )
          | hskp9 )
        & ( ! [X17] : 
              ( ndr1_0
             => ( c2_1(X17)
                | ~ c3_1(X17)
                | ~ c0_1(X17) ) )
          | ! [X18] : 
              ( ndr1_0
             => ( ~ c3_1(X18)
                | c1_1(X18)
                | ~ c0_1(X18) ) )
          | ! [X19] : 
              ( ndr1_0
             => ( c3_1(X19)
                | c0_1(X19)
                | c2_1(X19) ) ) )
        & ( ! [X20] : 
              ( ndr1_0
             => ( c3_1(X20)
                | ~ c1_1(X20)
                | c2_1(X20) ) )
          | hskp40
          | hskp10 )
        & ( ! [X21] : 
              ( ndr1_0
             => ( ~ c3_1(X21)
                | ~ c1_1(X21)
                | ~ c2_1(X21) ) )
          | hskp11
          | ! [X22] : 
              ( ndr1_0
             => ( c2_1(X22)
                | c1_1(X22)
                | c3_1(X22) ) ) )
        & ( ! [X23] : 
              ( ndr1_0
             => ( c3_1(X23)
                | c2_1(X23)
                | c0_1(X23) ) )
          | ! [X24] : 
              ( ndr1_0
             => ( ~ c3_1(X24)
                | c2_1(X24)
                | ~ c0_1(X24) ) )
          | ! [X25] : 
              ( ndr1_0
             => ( ~ c1_1(X25)
                | ~ c2_1(X25)
                | c0_1(X25) ) ) )
        & ( ! [X26] : 
              ( ndr1_0
             => ( ~ c1_1(X26)
                | ~ c0_1(X26)
                | c2_1(X26) ) )
          | hskp41
          | ! [X27] : 
              ( ndr1_0
             => ( ~ c1_1(X27)
                | ~ c3_1(X27)
                | c2_1(X27) ) ) )
        & ( hskp42
          | ! [X28] : 
              ( ndr1_0
             => ( c0_1(X28)
                | c1_1(X28)
                | ~ c3_1(X28) ) )
          | ! [X29] : 
              ( ndr1_0
             => ( ~ c0_1(X29)
                | c2_1(X29)
                | c1_1(X29) ) ) )
        & ( ! [X30] : 
              ( ndr1_0
             => ( c1_1(X30)
                | c2_1(X30)
                | ~ c3_1(X30) ) )
          | ! [X31] : 
              ( ndr1_0
             => ( ~ c2_1(X31)
                | ~ c0_1(X31)
                | c1_1(X31) ) )
          | ! [X32] : 
              ( ndr1_0
             => ( c0_1(X32)
                | ~ c3_1(X32)
                | ~ c2_1(X32) ) ) )
        & ( ! [X33] : 
              ( ndr1_0
             => ( ~ c2_1(X33)
                | ~ c1_1(X33)
                | c0_1(X33) ) )
          | ! [X34] : 
              ( ndr1_0
             => ( ~ c2_1(X34)
                | c1_1(X34)
                | c0_1(X34) ) )
          | ! [X35] : 
              ( ndr1_0
             => ( ~ c2_1(X35)
                | ~ c3_1(X35)
                | c1_1(X35) ) ) )
        & ( ! [X36] : 
              ( ndr1_0
             => ( ~ c2_1(X36)
                | ~ c0_1(X36)
                | ~ c1_1(X36) ) )
          | ! [X37] : 
              ( ndr1_0
             => ( ~ c2_1(X37)
                | c3_1(X37)
                | ~ c0_1(X37) ) )
          | ! [X38] : 
              ( ndr1_0
             => ( ~ c3_1(X38)
                | ~ c0_1(X38)
                | ~ c2_1(X38) ) ) )
        & ( hskp43
          | hskp12
          | ! [X39] : 
              ( ndr1_0
             => ( ~ c3_1(X39)
                | ~ c1_1(X39)
                | c2_1(X39) ) ) )
        & ( hskp44
          | hskp13
          | ! [X40] : 
              ( ndr1_0
             => ( c0_1(X40)
                | ~ c2_1(X40)
                | ~ c1_1(X40) ) ) )
        & ( ! [X41] : 
              ( ndr1_0
             => ( c0_1(X41)
                | ~ c3_1(X41)
                | ~ c2_1(X41) ) )
          | ! [X42] : 
              ( ndr1_0
             => ( c2_1(X42)
                | c3_1(X42)
                | ~ c1_1(X42) ) )
          | hskp45 )
        & ( hskp14
          | hskp15
          | ! [X43] : 
              ( ndr1_0
             => ( ~ c2_1(X43)
                | c1_1(X43)
                | ~ c0_1(X43) ) ) )
        & ( ! [X44] : 
              ( ndr1_0
             => ( c3_1(X44)
                | c1_1(X44)
                | c0_1(X44) ) )
          | ! [X45] : 
              ( ndr1_0
             => ( ~ c3_1(X45)
                | c0_1(X45)
                | c1_1(X45) ) )
          | ! [X46] : 
              ( ndr1_0
             => ( ~ c3_1(X46)
                | ~ c2_1(X46)
                | c1_1(X46) ) ) )
        & ( ! [X47] : 
              ( ndr1_0
             => ( ~ c1_1(X47)
                | c2_1(X47)
                | c3_1(X47) ) )
          | ! [X48] : 
              ( ndr1_0
             => ( c1_1(X48)
                | ~ c0_1(X48)
                | ~ c3_1(X48) ) )
          | hskp46 )
        & ( ! [X49] : 
              ( ndr1_0
             => ( c2_1(X49)
                | c1_1(X49)
                | c3_1(X49) ) )
          | ! [X50] : 
              ( ndr1_0
             => ( c2_1(X50)
                | c3_1(X50)
                | c1_1(X50) ) )
          | ! [X51] : 
              ( ndr1_0
             => ( ~ c2_1(X51)
                | c3_1(X51)
                | c0_1(X51) ) ) )
        & ( hskp16
          | hskp17
          | hskp9 )
        & ( hskp36
          | ! [X52] : 
              ( ndr1_0
             => ( ~ c0_1(X52)
                | c1_1(X52)
                | c2_1(X52) ) )
          | ! [X53] : 
              ( ndr1_0
             => ( ~ c0_1(X53)
                | ~ c1_1(X53)
                | ~ c3_1(X53) ) ) )
        & ( hskp16
          | ! [X54] : 
              ( ndr1_0
             => ( ~ c3_1(X54)
                | c2_1(X54)
                | c0_1(X54) ) )
          | ! [X55] : 
              ( ndr1_0
             => ( ~ c2_1(X55)
                | c3_1(X55)
                | ~ c0_1(X55) ) ) )
        & ( ! [X56] : 
              ( ndr1_0
             => ( ~ c1_1(X56)
                | ~ c2_1(X56)
                | ~ c3_1(X56) ) )
          | ! [X57] : 
              ( ndr1_0
             => ( ~ c3_1(X57)
                | ~ c2_1(X57)
                | ~ c1_1(X57) ) )
          | ! [X58] : 
              ( ndr1_0
             => ( c1_1(X58)
                | ~ c2_1(X58)
                | ~ c0_1(X58) ) ) )
        & ( hskp18
          | hskp9
          | hskp19 )
        & ( ! [X59] : 
              ( ndr1_0
             => ( ~ c2_1(X59)
                | c1_1(X59)
                | ~ c3_1(X59) ) )
          | ! [X60] : 
              ( ndr1_0
             => ( c3_1(X60)
                | c2_1(X60)
                | ~ c0_1(X60) ) )
          | hskp20 )
        & ( hskp47
          | ! [X61] : 
              ( ndr1_0
             => ( c1_1(X61)
                | c3_1(X61)
                | ~ c0_1(X61) ) )
          | hskp21 )
        & ( ! [X62] : 
              ( ndr1_0
             => ( c2_1(X62)
                | c0_1(X62)
                | c3_1(X62) ) )
          | ! [X63] : 
              ( ndr1_0
             => ( c3_1(X63)
                | c1_1(X63)
                | c0_1(X63) ) )
          | ! [X64] : 
              ( ndr1_0
             => ( c3_1(X64)
                | c0_1(X64)
                | c2_1(X64) ) ) )
        & ( hskp48
          | ! [X65] : 
              ( ndr1_0
             => ( c1_1(X65)
                | c3_1(X65)
                | ~ c0_1(X65) ) )
          | hskp49 )
        & ( ! [X66] : 
              ( ndr1_0
             => ( c3_1(X66)
                | c2_1(X66)
                | c1_1(X66) ) )
          | hskp50
          | hskp22 )
        & ( ! [X67] : 
              ( ndr1_0
             => ( c1_1(X67)
                | ~ c2_1(X67)
                | ~ c3_1(X67) ) )
          | hskp23
          | hskp24 )
        & ( ! [X68] : 
              ( ndr1_0
             => ( c1_1(X68)
                | c0_1(X68)
                | c3_1(X68) ) )
          | hskp51
          | ! [X69] : 
              ( ndr1_0
             => ( ~ c1_1(X69)
                | c0_1(X69)
                | ~ c3_1(X69) ) ) )
        & ( ! [X70] : 
              ( ndr1_0
             => ( ~ c0_1(X70)
                | ~ c1_1(X70)
                | c2_1(X70) ) )
          | ! [X71] : 
              ( ndr1_0
             => ( c2_1(X71)
                | c1_1(X71)
                | ~ c3_1(X71) ) )
          | hskp5 )
        & ( hskp25
          | ! [X72] : 
              ( ndr1_0
             => ( c3_1(X72)
                | c2_1(X72)
                | ~ c0_1(X72) ) )
          | hskp52 )
        & ( hskp53
          | hskp17
          | ! [X73] : 
              ( ndr1_0
             => ( c0_1(X73)
                | c1_1(X73)
                | ~ c3_1(X73) ) ) )
        & ( hskp37
          | hskp54
          | ! [X74] : 
              ( ndr1_0
             => ( c3_1(X74)
                | ~ c2_1(X74)
                | c0_1(X74) ) ) )
        & ( hskp26
          | hskp55
          | ! [X75] : 
              ( ndr1_0
             => ( c1_1(X75)
                | ~ c0_1(X75)
                | c2_1(X75) ) ) )
        & ( hskp27
          | hskp40
          | hskp28 )
        & ( hskp55
          | ! [X76] : 
              ( ndr1_0
             => ( c2_1(X76)
                | ~ c3_1(X76)
                | c1_1(X76) ) )
          | ! [X77] : 
              ( ndr1_0
             => ( ~ c2_1(X77)
                | c3_1(X77)
                | c0_1(X77) ) ) )
        & ( ! [X78] : 
              ( ndr1_0
             => ( c2_1(X78)
                | c1_1(X78)
                | ~ c3_1(X78) ) )
          | hskp56
          | ! [X79] : 
              ( ndr1_0
             => ( c2_1(X79)
                | ~ c1_1(X79)
                | c3_1(X79) ) ) )
        & ( ! [X80] : 
              ( ndr1_0
             => ( c0_1(X80)
                | c2_1(X80)
                | ~ c3_1(X80) ) )
          | hskp3
          | hskp29 )
        & ( hskp42
          | ! [X81] : 
              ( ndr1_0
             => ( ~ c3_1(X81)
                | c0_1(X81)
                | c1_1(X81) ) )
          | ! [X82] : 
              ( ndr1_0
             => ( c3_1(X82)
                | c0_1(X82)
                | c1_1(X82) ) ) )
        & ( hskp57
          | ! [X83] : 
              ( ndr1_0
             => ( c1_1(X83)
                | ~ c3_1(X83)
                | ~ c0_1(X83) ) )
          | ! [X84] : 
              ( ndr1_0
             => ( ~ c0_1(X84)
                | ~ c1_1(X84)
                | ~ c3_1(X84) ) ) )
        & ( ! [X85] : 
              ( ndr1_0
             => ( c2_1(X85)
                | ~ c3_1(X85)
                | ~ c0_1(X85) ) )
          | hskp58
          | hskp41 )
        & ( hskp59
          | hskp30 )
        & ( ! [X86] : 
              ( ndr1_0
             => ( ~ c2_1(X86)
                | ~ c1_1(X86)
                | c0_1(X86) ) )
          | hskp31
          | ! [X87] : 
              ( ndr1_0
             => ( ~ c2_1(X87)
                | c1_1(X87)
                | ~ c0_1(X87) ) ) )
        & ( hskp33
          | hskp60
          | hskp61 )
        & ( hskp62
          | hskp63
          | ! [X88] : 
              ( ndr1_0
             => ( c1_1(X88)
                | c3_1(X88)
                | c2_1(X88) ) ) )
        & ( hskp64
          | hskp65
          | hskp66 )
        & ( ! [X89] : 
              ( ndr1_0
             => ( ~ c3_1(X89)
                | ~ c0_1(X89)
                | c1_1(X89) ) )
          | hskp55
          | ! [X90] : 
              ( ndr1_0
             => ( c1_1(X90)
                | c0_1(X90)
                | ~ c3_1(X90) ) ) )
        & ( hskp32
          | hskp30
          | ! [X91] : 
              ( ndr1_0
             => ( c1_1(X91)
                | ~ c0_1(X91)
                | ~ c2_1(X91) ) ) ) ) )).

%--------------------------------------------------------------------------
