%--------------------------------------------------------------------------
% File     : SYN444+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=60, K=3, D=1, P=0, Index=013
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-60-3-1-013.dfg [Wei97]

% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
%
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
%
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  614 (   0 equality)
%            Maximal formula depth :   92 (  92 average)
%            Number of connectives :  842 ( 229 ~  ; 341  |; 175  &)
%                                         (   0 <=>;  97 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   34 (  30 propositional; 0-1 arity)
%            Number of functors    :   29 (  29 constant; 0-0 arity)
%            Number of variables   :   97 (   0 singleton;  97 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%--------------------------------------------------------------------------
fof(co1,conjecture,
    ( ~ ( ( ~ hskp0
          | ( ndr1_0
            & c1_1(a213)
            & c3_1(a213)
            & ~ c2_1(a213) ) )
        & ( ~ hskp1
          | ( ndr1_0
            & c1_1(a214)
            & c2_1(a214)
            & ~ c0_1(a214) ) )
        & ( ~ hskp2
          | ( ndr1_0
            & c2_1(a215)
            & ~ c0_1(a215)
            & ~ c1_1(a215) ) )
        & ( ~ hskp3
          | ( ndr1_0
            & c3_1(a216)
            & ~ c0_1(a216)
            & ~ c2_1(a216) ) )
        & ( ~ hskp4
          | ( ndr1_0
            & c3_1(a218)
            & ~ c0_1(a218)
            & ~ c1_1(a218) ) )
        & ( ~ hskp5
          | ( ndr1_0
            & c2_1(a220)
            & ~ c0_1(a220)
            & ~ c3_1(a220) ) )
        & ( ~ hskp6
          | ( ndr1_0
            & c0_1(a221)
            & c1_1(a221)
            & ~ c2_1(a221) ) )
        & ( ~ hskp7
          | ( ndr1_0
            & c0_1(a224)
            & c3_1(a224)
            & ~ c1_1(a224) ) )
        & ( ~ hskp8
          | ( ndr1_0
            & c0_1(a225)
            & ~ c2_1(a225)
            & ~ c3_1(a225) ) )
        & ( ~ hskp9
          | ( ndr1_0
            & c3_1(a228)
            & ~ c1_1(a228)
            & ~ c2_1(a228) ) )
        & ( ~ hskp10
          | ( ndr1_0
            & c2_1(a229)
            & c3_1(a229)
            & ~ c0_1(a229) ) )
        & ( ~ hskp11
          | ( ndr1_0
            & c2_1(a230)
            & c3_1(a230)
            & ~ c1_1(a230) ) )
        & ( ~ hskp12
          | ( ndr1_0
            & ~ c0_1(a235)
            & ~ c1_1(a235)
            & ~ c3_1(a235) ) )
        & ( ~ hskp13
          | ( ndr1_0
            & ~ c1_1(a236)
            & ~ c2_1(a236)
            & ~ c3_1(a236) ) )
        & ( ~ hskp14
          | ( ndr1_0
            & c0_1(a237)
            & c2_1(a237)
            & ~ c1_1(a237) ) )
        & ( ~ hskp15
          | ( ndr1_0
            & c0_1(a238)
            & c2_1(a238)
            & ~ c3_1(a238) ) )
        & ( ~ hskp16
          | ( ndr1_0
            & c1_1(a239)
            & c2_1(a239)
            & ~ c3_1(a239) ) )
        & ( ~ hskp17
          | ( ndr1_0
            & ~ c0_1(a243)
            & ~ c1_1(a243)
            & ~ c2_1(a243) ) )
        & ( ~ hskp18
          | ( ndr1_0
            & c0_1(a247)
            & c3_1(a247)
            & ~ c2_1(a247) ) )
        & ( ~ hskp19
          | ( ndr1_0
            & c1_1(a252)
            & ~ c2_1(a252)
            & ~ c3_1(a252) ) )
        & ( ~ hskp20
          | ( ndr1_0
            & c0_1(a259)
            & c1_1(a259)
            & ~ c3_1(a259) ) )
        & ( ~ hskp21
          | ( ndr1_0
            & c1_1(a260)
            & ~ c0_1(a260)
            & ~ c2_1(a260) ) )
        & ( ~ hskp22
          | ( ndr1_0
            & c1_1(a263)
            & c3_1(a263)
            & ~ c0_1(a263) ) )
        & ( ~ hskp23
          | ( ndr1_0
            & ~ c0_1(a278)
            & ~ c2_1(a278)
            & ~ c3_1(a278) ) )
        & ( ~ hskp24
          | ( ndr1_0
            & c0_1(a282)
            & ~ c1_1(a282)
            & ~ c3_1(a282) ) )
        & ( ~ hskp25
          | ( ndr1_0
            & c1_1(a288)
            & ~ c0_1(a288)
            & ~ c3_1(a288) ) )
        & ( ~ hskp26
          | ( ndr1_0
            & c1_1(a223)
            & c2_1(a223)
            & c3_1(a223) ) )
        & ( ~ hskp27
          | ( ndr1_0
            & c0_1(a232)
            & c2_1(a232)
            & c3_1(a232) ) )
        & ( ~ hskp28
          | ( ndr1_0
            & c0_1(a246)
            & c1_1(a246)
            & c2_1(a246) ) )
        & ( ! [U] : 
              ( ndr1_0
             => ( c0_1(U)
                | c1_1(U)
                | c2_1(U) ) )
          | ! [V] : 
              ( ndr1_0
             => ( c0_1(V)
                | ~ c1_1(V)
                | ~ c3_1(V) ) )
          | ! [W] : 
              ( ndr1_0
             => ( ~ c0_1(W)
                | ~ c1_1(W)
                | ~ c2_1(W) ) ) )
        & ( ! [X] : 
              ( ndr1_0
             => ( c0_1(X)
                | c1_1(X)
                | c3_1(X) ) )
          | ! [Y] : 
              ( ndr1_0
             => ( c2_1(Y)
                | ~ c0_1(Y)
                | ~ c3_1(Y) ) )
          | hskp0 )
        & ( ! [Z] : 
              ( ndr1_0
             => ( c0_1(Z)
                | c1_1(Z)
                | c3_1(Z) ) )
          | ! [X1] : 
              ( ndr1_0
             => ( ~ c1_1(X1)
                | ~ c2_1(X1)
                | ~ c3_1(X1) ) )
          | hskp1 )
        & ( ! [X2] : 
              ( ndr1_0
             => ( c0_1(X2)
                | c1_1(X2)
                | c3_1(X2) ) )
          | hskp2
          | hskp3 )
        & ( ! [X3] : 
              ( ndr1_0
             => ( c0_1(X3)
                | c1_1(X3)
                | ~ c2_1(X3) ) )
          | ! [X4] : 
              ( ndr1_0
             => ( c1_1(X4)
                | c3_1(X4)
                | ~ c2_1(X4) ) )
          | ! [X5] : 
              ( ndr1_0
             => ( c2_1(X5)
                | ~ c0_1(X5)
                | ~ c1_1(X5) ) ) )
        & ( ! [X6] : 
              ( ndr1_0
             => ( c0_1(X6)
                | c1_1(X6)
                | ~ c2_1(X6) ) )
          | hskp1
          | hskp4 )
        & ( ! [X7] : 
              ( ndr1_0
             => ( c0_1(X7)
                | c1_1(X7)
                | ~ c3_1(X7) ) )
          | ! [X8] : 
              ( ndr1_0
             => ( c0_1(X8)
                | c2_1(X8)
                | ~ c1_1(X8) ) )
          | hskp3 )
        & ( ! [X9] : 
              ( ndr1_0
             => ( c0_1(X9)
                | c1_1(X9)
                | ~ c3_1(X9) ) )
          | ! [X10] : 
              ( ndr1_0
             => ( c1_1(X10)
                | c3_1(X10)
                | ~ c2_1(X10) ) )
          | ! [X11] : 
              ( ndr1_0
             => ( c2_1(X11)
                | ~ c1_1(X11)
                | ~ c3_1(X11) ) ) )
        & ( ! [X12] : 
              ( ndr1_0
             => ( c0_1(X12)
                | c1_1(X12)
                | ~ c3_1(X12) ) )
          | ! [X13] : 
              ( ndr1_0
             => ( c1_1(X13)
                | ~ c0_1(X13)
                | ~ c2_1(X13) ) )
          | hskp5 )
        & ( ! [X14] : 
              ( ndr1_0
             => ( c0_1(X14)
                | c1_1(X14)
                | ~ c3_1(X14) ) )
          | ! [X15] : 
              ( ndr1_0
             => ( ~ c0_1(X15)
                | ~ c1_1(X15)
                | ~ c3_1(X15) ) ) )
        & ( ! [X16] : 
              ( ndr1_0
             => ( c0_1(X16)
                | c2_1(X16)
                | c3_1(X16) ) )
          | ! [X17] : 
              ( ndr1_0
             => ( c0_1(X17)
                | c3_1(X17)
                | ~ c2_1(X17) ) )
          | ! [X18] : 
              ( ndr1_0
             => ( ~ c0_1(X18)
                | ~ c2_1(X18)
                | ~ c3_1(X18) ) ) )
        & ( ! [X19] : 
              ( ndr1_0
             => ( c0_1(X19)
                | c2_1(X19)
                | c3_1(X19) ) )
          | ! [X20] : 
              ( ndr1_0
             => ( c0_1(X20)
                | ~ c2_1(X20)
                | ~ c3_1(X20) ) )
          | hskp6 )
        & ( ! [X21] : 
              ( ndr1_0
             => ( c0_1(X21)
                | c2_1(X21)
                | c3_1(X21) ) )
          | ! [X22] : 
              ( ndr1_0
             => ( c2_1(X22)
                | c3_1(X22)
                | ~ c0_1(X22) ) )
          | hskp0 )
        & ( ! [X23] : 
              ( ndr1_0
             => ( c0_1(X23)
                | c2_1(X23)
                | c3_1(X23) ) )
          | ! [X24] : 
              ( ndr1_0
             => ( c3_1(X24)
                | ~ c1_1(X24)
                | ~ c2_1(X24) ) )
          | hskp26 )
        & ( ! [X25] : 
              ( ndr1_0
             => ( c0_1(X25)
                | c2_1(X25)
                | c3_1(X25) ) )
          | ! [X26] : 
              ( ndr1_0
             => ( ~ c0_1(X26)
                | ~ c1_1(X26)
                | ~ c3_1(X26) ) )
          | hskp7 )
        & ( ! [X27] : 
              ( ndr1_0
             => ( c0_1(X27)
                | c2_1(X27)
                | c3_1(X27) ) )
          | hskp8
          | hskp0 )
        & ( ! [X28] : 
              ( ndr1_0
             => ( c0_1(X28)
                | c2_1(X28)
                | ~ c1_1(X28) ) )
          | hskp1
          | hskp9 )
        & ( ! [X29] : 
              ( ndr1_0
             => ( c0_1(X29)
                | c2_1(X29)
                | ~ c1_1(X29) ) )
          | hskp10
          | hskp11 )
        & ( ! [X30] : 
              ( ndr1_0
             => ( c0_1(X30)
                | c2_1(X30)
                | ~ c3_1(X30) ) )
          | ! [X31] : 
              ( ndr1_0
             => ( c1_1(X31)
                | c2_1(X31)
                | ~ c0_1(X31) ) )
          | ! [X32] : 
              ( ndr1_0
             => ( c2_1(X32)
                | ~ c1_1(X32)
                | ~ c3_1(X32) ) ) )
        & ( ! [X33] : 
              ( ndr1_0
             => ( c0_1(X33)
                | c2_1(X33)
                | ~ c3_1(X33) ) )
          | ! [X34] : 
              ( ndr1_0
             => ( c1_1(X34)
                | ~ c2_1(X34)
                | ~ c3_1(X34) ) )
          | ! [X35] : 
              ( ndr1_0
             => ( c2_1(X35)
                | c3_1(X35)
                | ~ c0_1(X35) ) ) )
        & ( ! [X36] : 
              ( ndr1_0
             => ( c0_1(X36)
                | c3_1(X36)
                | ~ c1_1(X36) ) )
          | ! [X37] : 
              ( ndr1_0
             => ( c0_1(X37)
                | ~ c1_1(X37)
                | ~ c2_1(X37) ) )
          | hskp4 )
        & ( ! [X38] : 
              ( ndr1_0
             => ( c0_1(X38)
                | c3_1(X38)
                | ~ c1_1(X38) ) )
          | ! [X39] : 
              ( ndr1_0
             => ( c3_1(X39)
                | ~ c0_1(X39)
                | ~ c1_1(X39) ) )
          | ! [X40] : 
              ( ndr1_0
             => ( ~ c0_1(X40)
                | ~ c1_1(X40)
                | ~ c2_1(X40) ) ) )
        & ( ! [X41] : 
              ( ndr1_0
             => ( c0_1(X41)
                | c3_1(X41)
                | ~ c2_1(X41) ) )
          | ! [X42] : 
              ( ndr1_0
             => ( c1_1(X42)
                | ~ c0_1(X42)
                | ~ c3_1(X42) ) )
          | hskp27 )
        & ( ! [X43] : 
              ( ndr1_0
             => ( c0_1(X43)
                | c3_1(X43)
                | ~ c2_1(X43) ) )
          | ! [X44] : 
              ( ndr1_0
             => ( c3_1(X44)
                | ~ c0_1(X44)
                | ~ c1_1(X44) ) )
          | hskp9 )
        & ( ! [X45] : 
              ( ndr1_0
             => ( c0_1(X45)
                | ~ c1_1(X45)
                | ~ c2_1(X45) ) )
          | ! [X46] : 
              ( ndr1_0
             => ( c1_1(X46)
                | c3_1(X46)
                | ~ c0_1(X46) ) )
          | ! [X47] : 
              ( ndr1_0
             => ( c1_1(X47)
                | c3_1(X47)
                | ~ c2_1(X47) ) ) )
        & ( ! [X48] : 
              ( ndr1_0
             => ( c0_1(X48)
                | ~ c1_1(X48)
                | ~ c2_1(X48) ) )
          | hskp10
          | hskp12 )
        & ( ! [X49] : 
              ( ndr1_0
             => ( c0_1(X49)
                | ~ c1_1(X49)
                | ~ c3_1(X49) ) )
          | ! [X50] : 
              ( ndr1_0
             => ( c1_1(X50)
                | ~ c2_1(X50)
                | ~ c3_1(X50) ) )
          | hskp13 )
        & ( ! [X51] : 
              ( ndr1_0
             => ( c0_1(X51)
                | ~ c1_1(X51)
                | ~ c3_1(X51) ) )
          | hskp14
          | hskp15 )
        & ( ! [X52] : 
              ( ndr1_0
             => ( c0_1(X52)
                | ~ c1_1(X52)
                | ~ c3_1(X52) ) )
          | hskp16
          | hskp2 )
        & ( ! [X53] : 
              ( ndr1_0
             => ( c0_1(X53)
                | ~ c2_1(X53)
                | ~ c3_1(X53) ) )
          | ! [X54] : 
              ( ndr1_0
             => ( c1_1(X54)
                | c2_1(X54)
                | ~ c0_1(X54) ) )
          | ! [X55] : 
              ( ndr1_0
             => ( ~ c1_1(X55)
                | ~ c2_1(X55)
                | ~ c3_1(X55) ) ) )
        & ( ! [X56] : 
              ( ndr1_0
             => ( c0_1(X56)
                | ~ c2_1(X56)
                | ~ c3_1(X56) ) )
          | ! [X57] : 
              ( ndr1_0
             => ( c2_1(X57)
                | ~ c0_1(X57)
                | ~ c3_1(X57) ) )
          | hskp6 )
        & ( ! [X58] : 
              ( ndr1_0
             => ( c1_1(X58)
                | c2_1(X58)
                | c3_1(X58) ) )
          | ! [X59] : 
              ( ndr1_0
             => ( ~ c0_1(X59)
                | ~ c2_1(X59)
                | ~ c3_1(X59) ) )
          | hskp0 )
        & ( ! [X60] : 
              ( ndr1_0
             => ( c1_1(X60)
                | c2_1(X60)
                | c3_1(X60) ) )
          | ! [X61] : 
              ( ndr1_0
             => ( ~ c0_1(X61)
                | ~ c2_1(X61)
                | ~ c3_1(X61) ) )
          | hskp17 )
        & ( ! [X62] : 
              ( ndr1_0
             => ( c1_1(X62)
                | c2_1(X62)
                | ~ c0_1(X62) ) )
          | ! [X63] : 
              ( ndr1_0
             => ( ~ c0_1(X63)
                | ~ c2_1(X63)
                | ~ c3_1(X63) ) )
          | hskp11 )
        & ( ! [X64] : 
              ( ndr1_0
             => ( c1_1(X64)
                | c2_1(X64)
                | ~ c3_1(X64) ) )
          | ! [X65] : 
              ( ndr1_0
             => ( c2_1(X65)
                | ~ c1_1(X65)
                | ~ c3_1(X65) ) )
          | hskp26 )
        & ( ! [X66] : 
              ( ndr1_0
             => ( c1_1(X66)
                | c3_1(X66)
                | ~ c2_1(X66) ) )
          | ! [X67] : 
              ( ndr1_0
             => ( c2_1(X67)
                | ~ c0_1(X67)
                | ~ c1_1(X67) ) )
          | hskp28 )
        & ( ! [X68] : 
              ( ndr1_0
             => ( c1_1(X68)
                | c3_1(X68)
                | ~ c2_1(X68) ) )
          | ! [X69] : 
              ( ndr1_0
             => ( c2_1(X69)
                | ~ c1_1(X69)
                | ~ c3_1(X69) ) )
          | hskp18 )
        & ( ! [X70] : 
              ( ndr1_0
             => ( c1_1(X70)
                | ~ c0_1(X70)
                | ~ c2_1(X70) ) )
          | hskp28
          | hskp15 )
        & ( ! [X71] : 
              ( ndr1_0
             => ( c1_1(X71)
                | ~ c0_1(X71)
                | ~ c2_1(X71) ) )
          | hskp28
          | hskp18 )
        & ( ! [X72] : 
              ( ndr1_0
             => ( c1_1(X72)
                | ~ c0_1(X72)
                | ~ c3_1(X72) ) )
          | ! [X73] : 
              ( ndr1_0
             => ( c1_1(X73)
                | ~ c2_1(X73)
                | ~ c3_1(X73) ) )
          | hskp19 )
        & ( ! [X74] : 
              ( ndr1_0
             => ( c1_1(X74)
                | ~ c2_1(X74)
                | ~ c3_1(X74) ) )
          | ! [X75] : 
              ( ndr1_0
             => ( c2_1(X75)
                | c3_1(X75)
                | ~ c0_1(X75) ) )
          | hskp27 )
        & ( ! [X76] : 
              ( ndr1_0
             => ( c2_1(X76)
                | c3_1(X76)
                | ~ c0_1(X76) ) )
          | hskp15
          | hskp0 )
        & ( ! [X77] : 
              ( ndr1_0
             => ( c2_1(X77)
                | ~ c0_1(X77)
                | ~ c1_1(X77) ) )
          | ! [X78] : 
              ( ndr1_0
             => ( ~ c1_1(X78)
                | ~ c2_1(X78)
                | ~ c3_1(X78) ) )
          | hskp26 )
        & ( ! [X79] : 
              ( ndr1_0
             => ( c2_1(X79)
                | ~ c0_1(X79)
                | ~ c1_1(X79) ) )
          | hskp6
          | hskp18 )
        & ( ! [X80] : 
              ( ndr1_0
             => ( c2_1(X80)
                | ~ c0_1(X80)
                | ~ c1_1(X80) ) )
          | hskp20
          | hskp21 )
        & ( ! [X81] : 
              ( ndr1_0
             => ( c2_1(X81)
                | ~ c1_1(X81)
                | ~ c3_1(X81) ) )
          | hskp20
          | hskp13 )
        & ( ! [X82] : 
              ( ndr1_0
             => ( c2_1(X82)
                | ~ c1_1(X82)
                | ~ c3_1(X82) ) )
          | hskp22
          | hskp12 )
        & ( ! [X83] : 
              ( ndr1_0
             => ( c3_1(X83)
                | ~ c0_1(X83)
                | ~ c1_1(X83) ) )
          | ! [X84] : 
              ( ndr1_0
             => ( ~ c0_1(X84)
                | ~ c1_1(X84)
                | ~ c3_1(X84) ) )
          | hskp3 )
        & ( ! [X85] : 
              ( ndr1_0
             => ( c3_1(X85)
                | ~ c0_1(X85)
                | ~ c1_1(X85) ) )
          | hskp8
          | hskp3 )
        & ( ! [X86] : 
              ( ndr1_0
             => ( c3_1(X86)
                | ~ c0_1(X86)
                | ~ c1_1(X86) ) )
          | hskp0
          | hskp12 )
        & ( ! [X87] : 
              ( ndr1_0
             => ( c3_1(X87)
                | ~ c0_1(X87)
                | ~ c1_1(X87) ) )
          | hskp4
          | hskp13 )
        & ( ! [X88] : 
              ( ndr1_0
             => ( c3_1(X88)
                | ~ c0_1(X88)
                | ~ c2_1(X88) ) )
          | hskp27 )
        & ( ! [X89] : 
              ( ndr1_0
             => ( ~ c0_1(X89)
                | ~ c1_1(X89)
                | ~ c2_1(X89) ) )
          | ! [X90] : 
              ( ndr1_0
             => ( ~ c0_1(X90)
                | ~ c1_1(X90)
                | ~ c3_1(X90) ) )
          | hskp20 )
        & ( ! [X91] : 
              ( ndr1_0
             => ( ~ c1_1(X91)
                | ~ c2_1(X91)
                | ~ c3_1(X91) ) )
          | hskp5
          | hskp3 )
        & ( hskp20
          | hskp18
          | hskp23 )
        & ( hskp15
          | hskp7
          | hskp11 )
        & ( hskp24
          | hskp8
          | hskp10 )
        & ( hskp16
          | hskp9
          | hskp23 )
        & ( hskp25
          | hskp2
          | hskp3 )
        & ( hskp10
          | hskp11
          | hskp13 ) ) )).

%--------------------------------------------------------------------------
