%--------------------------------------------------------------------------
% File     : SYN445+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=60, K=3, D=1, P=0, Index=015
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-60-3-1-015.dfg [Wei97]

% Status   : Theorem
% Rating   : 0.22 v3.1.0, 0.50 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
%
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
%
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  606 (   0 equality)
%            Maximal formula depth :   93 (  93 average)
%            Number of connectives :  824 ( 219 ~  ; 332  |; 179  &)
%                                         (   0 <=>;  94 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   35 (  31 propositional; 0-1 arity)
%            Number of functors    :   30 (  30 constant; 0-0 arity)
%            Number of variables   :   94 (   0 singleton;  94 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%--------------------------------------------------------------------------
fof(co1,conjecture,
    ( ~ ( ( ~ hskp0
          | ( ndr1_0
            & ~ c0_1(a294)
            & ~ c2_1(a294)
            & ~ c3_1(a294) ) )
        & ( ~ hskp1
          | ( ndr1_0
            & c0_1(a295)
            & c2_1(a295)
            & ~ c1_1(a295) ) )
        & ( ~ hskp2
          | ( ndr1_0
            & c1_1(a297)
            & ~ c0_1(a297)
            & ~ c3_1(a297) ) )
        & ( ~ hskp3
          | ( ndr1_0
            & c0_1(a299)
            & c3_1(a299)
            & ~ c2_1(a299) ) )
        & ( ~ hskp4
          | ( ndr1_0
            & ~ c0_1(a300)
            & ~ c1_1(a300)
            & ~ c2_1(a300) ) )
        & ( ~ hskp5
          | ( ndr1_0
            & c2_1(a301)
            & ~ c1_1(a301)
            & ~ c3_1(a301) ) )
        & ( ~ hskp6
          | ( ndr1_0
            & c0_1(a302)
            & ~ c1_1(a302)
            & ~ c2_1(a302) ) )
        & ( ~ hskp7
          | ( ndr1_0
            & c0_1(a303)
            & c1_1(a303)
            & ~ c2_1(a303) ) )
        & ( ~ hskp8
          | ( ndr1_0
            & c2_1(a305)
            & ~ c0_1(a305)
            & ~ c1_1(a305) ) )
        & ( ~ hskp9
          | ( ndr1_0
            & c0_1(a307)
            & ~ c1_1(a307)
            & ~ c3_1(a307) ) )
        & ( ~ hskp10
          | ( ndr1_0
            & c1_1(a308)
            & c3_1(a308)
            & ~ c0_1(a308) ) )
        & ( ~ hskp11
          | ( ndr1_0
            & c1_1(a309)
            & c3_1(a309)
            & ~ c2_1(a309) ) )
        & ( ~ hskp12
          | ( ndr1_0
            & c3_1(a310)
            & ~ c0_1(a310)
            & ~ c2_1(a310) ) )
        & ( ~ hskp13
          | ( ndr1_0
            & c0_1(a313)
            & c3_1(a313)
            & ~ c1_1(a313) ) )
        & ( ~ hskp14
          | ( ndr1_0
            & c1_1(a315)
            & c2_1(a315)
            & ~ c0_1(a315) ) )
        & ( ~ hskp15
          | ( ndr1_0
            & c1_1(a320)
            & ~ c0_1(a320)
            & ~ c2_1(a320) ) )
        & ( ~ hskp16
          | ( ndr1_0
            & c2_1(a321)
            & c3_1(a321)
            & ~ c1_1(a321) ) )
        & ( ~ hskp17
          | ( ndr1_0
            & c0_1(a323)
            & c2_1(a323)
            & ~ c3_1(a323) ) )
        & ( ~ hskp18
          | ( ndr1_0
            & c2_1(a329)
            & ~ c0_1(a329)
            & ~ c3_1(a329) ) )
        & ( ~ hskp19
          | ( ndr1_0
            & c1_1(a330)
            & c2_1(a330)
            & ~ c3_1(a330) ) )
        & ( ~ hskp20
          | ( ndr1_0
            & c1_1(a333)
            & ~ c2_1(a333)
            & ~ c3_1(a333) ) )
        & ( ~ hskp21
          | ( ndr1_0
            & c3_1(a336)
            & ~ c0_1(a336)
            & ~ c1_1(a336) ) )
        & ( ~ hskp22
          | ( ndr1_0
            & ~ c1_1(a338)
            & ~ c2_1(a338)
            & ~ c3_1(a338) ) )
        & ( ~ hskp23
          | ( ndr1_0
            & c2_1(a341)
            & c3_1(a341)
            & ~ c0_1(a341) ) )
        & ( ~ hskp24
          | ( ndr1_0
            & c3_1(a342)
            & ~ c1_1(a342)
            & ~ c2_1(a342) ) )
        & ( ~ hskp25
          | ( ndr1_0
            & ~ c0_1(a346)
            & ~ c1_1(a346)
            & ~ c3_1(a346) ) )
        & ( ~ hskp26
          | ( ndr1_0
            & c0_1(a349)
            & ~ c2_1(a349)
            & ~ c3_1(a349) ) )
        & ( ~ hskp27
          | ( ndr1_0
            & c0_1(a334)
            & c2_1(a334)
            & c3_1(a334) ) )
        & ( ~ hskp28
          | ( ndr1_0
            & c1_1(a353)
            & c2_1(a353)
            & c3_1(a353) ) )
        & ( ~ hskp29
          | ( ndr1_0
            & c0_1(a354)
            & c1_1(a354)
            & c2_1(a354) ) )
        & ( ! [U] : 
              ( ndr1_0
             => ( c0_1(U)
                | c1_1(U)
                | c2_1(U) ) )
          | ! [V] : 
              ( ndr1_0
             => ( c0_1(V)
                | c2_1(V)
                | c3_1(V) ) )
          | ! [W] : 
              ( ndr1_0
             => ( c0_1(W)
                | ~ c1_1(W)
                | ~ c2_1(W) ) ) )
        & ( ! [X] : 
              ( ndr1_0
             => ( c0_1(X)
                | c1_1(X)
                | c2_1(X) ) )
          | ! [Y] : 
              ( ndr1_0
             => ( c1_1(Y)
                | c2_1(Y)
                | c3_1(Y) ) )
          | ! [Z] : 
              ( ndr1_0
             => ( c2_1(Z)
                | ~ c1_1(Z)
                | ~ c3_1(Z) ) ) )
        & ( ! [X1] : 
              ( ndr1_0
             => ( c0_1(X1)
                | c1_1(X1)
                | c2_1(X1) ) )
          | ! [X2] : 
              ( ndr1_0
             => ( c1_1(X2)
                | ~ c0_1(X2)
                | ~ c2_1(X2) ) )
          | ! [X3] : 
              ( ndr1_0
             => ( ~ c0_1(X3)
                | ~ c1_1(X3)
                | ~ c3_1(X3) ) ) )
        & ( ! [X4] : 
              ( ndr1_0
             => ( c0_1(X4)
                | c1_1(X4)
                | c2_1(X4) ) )
          | ! [X5] : 
              ( ndr1_0
             => ( c2_1(X5)
                | ~ c0_1(X5)
                | ~ c1_1(X5) ) )
          | hskp0 )
        & ( ! [X6] : 
              ( ndr1_0
             => ( c0_1(X6)
                | c1_1(X6)
                | c3_1(X6) ) )
          | ! [X7] : 
              ( ndr1_0
             => ( c0_1(X7)
                | c2_1(X7)
                | c3_1(X7) ) )
          | ! [X8] : 
              ( ndr1_0
             => ( c0_1(X8)
                | ~ c2_1(X8)
                | ~ c3_1(X8) ) ) )
        & ( ! [X9] : 
              ( ndr1_0
             => ( c0_1(X9)
                | c1_1(X9)
                | c3_1(X9) ) )
          | ! [X10] : 
              ( ndr1_0
             => ( c0_1(X10)
                | c2_1(X10)
                | ~ c1_1(X10) ) )
          | ! [X11] : 
              ( ndr1_0
             => ( c3_1(X11)
                | ~ c0_1(X11)
                | ~ c2_1(X11) ) ) )
        & ( ! [X12] : 
              ( ndr1_0
             => ( c0_1(X12)
                | c1_1(X12)
                | ~ c2_1(X12) ) )
          | ! [X13] : 
              ( ndr1_0
             => ( c0_1(X13)
                | c2_1(X13)
                | ~ c1_1(X13) ) )
          | ! [X14] : 
              ( ndr1_0
             => ( c3_1(X14)
                | ~ c1_1(X14)
                | ~ c2_1(X14) ) ) )
        & ( ! [X15] : 
              ( ndr1_0
             => ( c0_1(X15)
                | c1_1(X15)
                | ~ c2_1(X15) ) )
          | ! [X16] : 
              ( ndr1_0
             => ( c1_1(X16)
                | ~ c2_1(X16)
                | ~ c3_1(X16) ) )
          | hskp1 )
        & ( ! [X17] : 
              ( ndr1_0
             => ( c0_1(X17)
                | c1_1(X17)
                | ~ c3_1(X17) ) )
          | ! [X18] : 
              ( ndr1_0
             => ( c2_1(X18)
                | ~ c1_1(X18)
                | ~ c3_1(X18) ) )
          | hskp0 )
        & ( ! [X19] : 
              ( ndr1_0
             => ( c0_1(X19)
                | c1_1(X19)
                | ~ c3_1(X19) ) )
          | hskp2
          | hskp0 )
        & ( ! [X20] : 
              ( ndr1_0
             => ( c0_1(X20)
                | c2_1(X20)
                | c3_1(X20) ) )
          | ! [X21] : 
              ( ndr1_0
             => ( c0_1(X21)
                | c2_1(X21)
                | ~ c1_1(X21) ) )
          | ! [X22] : 
              ( ndr1_0
             => ( c1_1(X22)
                | ~ c2_1(X22)
                | ~ c3_1(X22) ) ) )
        & ( ! [X23] : 
              ( ndr1_0
             => ( c0_1(X23)
                | c2_1(X23)
                | ~ c1_1(X23) ) )
          | ! [X24] : 
              ( ndr1_0
             => ( c0_1(X24)
                | c3_1(X24)
                | ~ c1_1(X24) ) )
          | ! [X25] : 
              ( ndr1_0
             => ( c0_1(X25)
                | ~ c1_1(X25)
                | ~ c3_1(X25) ) ) )
        & ( ! [X26] : 
              ( ndr1_0
             => ( c0_1(X26)
                | c2_1(X26)
                | ~ c1_1(X26) ) )
          | ! [X27] : 
              ( ndr1_0
             => ( c0_1(X27)
                | c3_1(X27)
                | ~ c1_1(X27) ) )
          | hskp3 )
        & ( ! [X28] : 
              ( ndr1_0
             => ( c0_1(X28)
                | c2_1(X28)
                | ~ c1_1(X28) ) )
          | ! [X29] : 
              ( ndr1_0
             => ( c1_1(X29)
                | ~ c0_1(X29)
                | ~ c2_1(X29) ) )
          | hskp4 )
        & ( ! [X30] : 
              ( ndr1_0
             => ( c0_1(X30)
                | c2_1(X30)
                | ~ c1_1(X30) ) )
          | ! [X31] : 
              ( ndr1_0
             => ( c1_1(X31)
                | ~ c0_1(X31)
                | ~ c3_1(X31) ) )
          | hskp5 )
        & ( ! [X32] : 
              ( ndr1_0
             => ( c0_1(X32)
                | c2_1(X32)
                | ~ c1_1(X32) ) )
          | ! [X33] : 
              ( ndr1_0
             => ( c3_1(X33)
                | ~ c0_1(X33)
                | ~ c1_1(X33) ) )
          | hskp6 )
        & ( ! [X34] : 
              ( ndr1_0
             => ( c0_1(X34)
                | c2_1(X34)
                | ~ c1_1(X34) ) )
          | hskp7
          | hskp4 )
        & ( ! [X35] : 
              ( ndr1_0
             => ( c0_1(X35)
                | c2_1(X35)
                | ~ c1_1(X35) ) )
          | hskp8
          | hskp5 )
        & ( ! [X36] : 
              ( ndr1_0
             => ( c0_1(X36)
                | c2_1(X36)
                | ~ c3_1(X36) ) )
          | ! [X37] : 
              ( ndr1_0
             => ( c3_1(X37)
                | ~ c0_1(X37)
                | ~ c2_1(X37) ) )
          | hskp9 )
        & ( ! [X38] : 
              ( ndr1_0
             => ( c0_1(X38)
                | c2_1(X38)
                | ~ c3_1(X38) ) )
          | hskp10
          | hskp11 )
        & ( ! [X39] : 
              ( ndr1_0
             => ( c0_1(X39)
                | c3_1(X39)
                | ~ c1_1(X39) ) )
          | ! [X40] : 
              ( ndr1_0
             => ( c2_1(X40)
                | ~ c1_1(X40)
                | ~ c3_1(X40) ) )
          | hskp12 )
        & ( ! [X41] : 
              ( ndr1_0
             => ( c0_1(X41)
                | c3_1(X41)
                | ~ c2_1(X41) ) )
          | ! [X42] : 
              ( ndr1_0
             => ( c3_1(X42)
                | ~ c1_1(X42)
                | ~ c2_1(X42) ) )
          | hskp8 )
        & ( ! [X43] : 
              ( ndr1_0
             => ( c0_1(X43)
                | ~ c1_1(X43)
                | ~ c2_1(X43) ) )
          | ! [X44] : 
              ( ndr1_0
             => ( c2_1(X44)
                | c3_1(X44)
                | ~ c0_1(X44) ) )
          | hskp12 )
        & ( ! [X45] : 
              ( ndr1_0
             => ( c0_1(X45)
                | ~ c1_1(X45)
                | ~ c2_1(X45) ) )
          | ! [X46] : 
              ( ndr1_0
             => ( c3_1(X46)
                | ~ c0_1(X46)
                | ~ c1_1(X46) ) )
          | hskp13 )
        & ( ! [X47] : 
              ( ndr1_0
             => ( c0_1(X47)
                | ~ c2_1(X47)
                | ~ c3_1(X47) ) )
          | ! [X48] : 
              ( ndr1_0
             => ( c2_1(X48)
                | c3_1(X48)
                | ~ c1_1(X48) ) )
          | hskp3 )
        & ( ! [X49] : 
              ( ndr1_0
             => ( c0_1(X49)
                | ~ c2_1(X49)
                | ~ c3_1(X49) ) )
          | hskp14
          | hskp0 )
        & ( ! [X50] : 
              ( ndr1_0
             => ( c1_1(X50)
                | c2_1(X50)
                | ~ c0_1(X50) ) )
          | ! [X51] : 
              ( ndr1_0
             => ( c2_1(X51)
                | ~ c1_1(X51)
                | ~ c3_1(X51) ) )
          | hskp14 )
        & ( ! [X52] : 
              ( ndr1_0
             => ( c1_1(X52)
                | c2_1(X52)
                | ~ c3_1(X52) ) )
          | ! [X53] : 
              ( ndr1_0
             => ( c2_1(X53)
                | ~ c0_1(X53)
                | ~ c1_1(X53) ) )
          | hskp7 )
        & ( ! [X54] : 
              ( ndr1_0
             => ( c1_1(X54)
                | c2_1(X54)
                | ~ c3_1(X54) ) )
          | hskp6
          | hskp15 )
        & ( ! [X55] : 
              ( ndr1_0
             => ( c1_1(X55)
                | c2_1(X55)
                | ~ c3_1(X55) ) )
          | hskp16 )
        & ( ! [X56] : 
              ( ndr1_0
             => ( c1_1(X56)
                | c3_1(X56)
                | ~ c0_1(X56) ) )
          | ! [X57] : 
              ( ndr1_0
             => ( c1_1(X57)
                | c3_1(X57)
                | ~ c2_1(X57) ) )
          | hskp13 )
        & ( ! [X58] : 
              ( ndr1_0
             => ( c1_1(X58)
                | c3_1(X58)
                | ~ c0_1(X58) ) )
          | ! [X59] : 
              ( ndr1_0
             => ( c2_1(X59)
                | c3_1(X59)
                | ~ c1_1(X59) ) )
          | hskp17 )
        & ( ! [X60] : 
              ( ndr1_0
             => ( c1_1(X60)
                | c3_1(X60)
                | ~ c2_1(X60) ) )
          | ! [X61] : 
              ( ndr1_0
             => ( c2_1(X61)
                | c3_1(X61)
                | ~ c1_1(X61) ) )
          | hskp5 )
        & ( ! [X62] : 
              ( ndr1_0
             => ( c1_1(X62)
                | c3_1(X62)
                | ~ c2_1(X62) ) )
          | hskp11
          | hskp16 )
        & ( ! [X63] : 
              ( ndr1_0
             => ( c1_1(X63)
                | ~ c0_1(X63)
                | ~ c2_1(X63) ) )
          | ! [X64] : 
              ( ndr1_0
             => ( c1_1(X64)
                | ~ c0_1(X64)
                | ~ c3_1(X64) ) )
          | hskp4 )
        & ( ! [X65] : 
              ( ndr1_0
             => ( c1_1(X65)
                | ~ c0_1(X65)
                | ~ c2_1(X65) ) )
          | hskp17
          | hskp18 )
        & ( ! [X66] : 
              ( ndr1_0
             => ( c1_1(X66)
                | ~ c0_1(X66)
                | ~ c2_1(X66) ) )
          | hskp19
          | hskp12 )
        & ( ! [X67] : 
              ( ndr1_0
             => ( c1_1(X67)
                | ~ c0_1(X67)
                | ~ c2_1(X67) ) )
          | hskp11
          | hskp20 )
        & ( ! [X68] : 
              ( ndr1_0
             => ( c1_1(X68)
                | ~ c2_1(X68)
                | ~ c3_1(X68) ) )
          | hskp27
          | hskp3 )
        & ( ! [X69] : 
              ( ndr1_0
             => ( c2_1(X69)
                | c3_1(X69)
                | ~ c0_1(X69) ) )
          | hskp21 )
        & ( ! [X70] : 
              ( ndr1_0
             => ( c2_1(X70)
                | c3_1(X70)
                | ~ c1_1(X70) ) )
          | ! [X71] : 
              ( ndr1_0
             => ( c2_1(X71)
                | ~ c1_1(X71)
                | ~ c3_1(X71) ) )
          | ! [X72] : 
              ( ndr1_0
             => ( ~ c0_1(X72)
                | ~ c1_1(X72)
                | ~ c3_1(X72) ) ) )
        & ( ! [X73] : 
              ( ndr1_0
             => ( c2_1(X73)
                | c3_1(X73)
                | ~ c1_1(X73) ) )
          | ! [X74] : 
              ( ndr1_0
             => ( ~ c0_1(X74)
                | ~ c1_1(X74)
                | ~ c3_1(X74) ) )
          | hskp17 )
        & ( ! [X75] : 
              ( ndr1_0
             => ( c2_1(X75)
                | c3_1(X75)
                | ~ c1_1(X75) ) )
          | hskp22 )
        & ( ! [X76] : 
              ( ndr1_0
             => ( c2_1(X76)
                | ~ c1_1(X76)
                | ~ c3_1(X76) ) )
          | ! [X77] : 
              ( ndr1_0
             => ( ~ c0_1(X77)
                | ~ c2_1(X77)
                | ~ c3_1(X77) ) ) )
        & ( ! [X78] : 
              ( ndr1_0
             => ( c3_1(X78)
                | ~ c0_1(X78)
                | ~ c1_1(X78) ) )
          | hskp17
          | hskp4 )
        & ( ! [X79] : 
              ( ndr1_0
             => ( c3_1(X79)
                | ~ c0_1(X79)
                | ~ c1_1(X79) ) )
          | hskp23
          | hskp24 )
        & ( ! [X80] : 
              ( ndr1_0
             => ( c3_1(X80)
                | ~ c0_1(X80)
                | ~ c2_1(X80) ) )
          | ! [X81] : 
              ( ndr1_0
             => ( ~ c0_1(X81)
                | ~ c2_1(X81)
                | ~ c3_1(X81) ) )
          | hskp11 )
        & ( ! [X82] : 
              ( ndr1_0
             => ( c3_1(X82)
                | ~ c1_1(X82)
                | ~ c2_1(X82) ) )
          | ! [X83] : 
              ( ndr1_0
             => ( ~ c1_1(X83)
                | ~ c2_1(X83)
                | ~ c3_1(X83) ) )
          | hskp4 )
        & ( ! [X84] : 
              ( ndr1_0
             => ( c3_1(X84)
                | ~ c1_1(X84)
                | ~ c2_1(X84) ) )
          | hskp15
          | hskp25 )
        & ( ! [X85] : 
              ( ndr1_0
             => ( ~ c0_1(X85)
                | ~ c1_1(X85)
                | ~ c2_1(X85) ) )
          | hskp6
          | hskp8 )
        & ( ! [X86] : 
              ( ndr1_0
             => ( ~ c0_1(X86)
                | ~ c1_1(X86)
                | ~ c2_1(X86) ) )
          | hskp26
          | hskp23 )
        & ( ! [X87] : 
              ( ndr1_0
             => ( ~ c0_1(X87)
                | ~ c1_1(X87)
                | ~ c3_1(X87) ) )
          | hskp17
          | hskp21 )
        & ( ! [X88] : 
              ( ndr1_0
             => ( ~ c1_1(X88)
                | ~ c2_1(X88)
                | ~ c3_1(X88) ) )
          | hskp28 )
        & ( hskp29
          | hskp27
          | hskp10 )
        & ( hskp7
          | hskp1
          | hskp10 )
        & ( hskp17
          | hskp5
          | hskp24 )
        & ( hskp6
          | hskp15
          | hskp23 )
        & ( hskp26
          | hskp11
          | hskp12 )
        & ( hskp26
          | hskp16 )
        & ( hskp20
          | hskp12
          | hskp25 ) ) )).

%--------------------------------------------------------------------------
