%--------------------------------------------------------------------------
% File     : SYN453+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=60, K=3, D=1, P=0, Index=044
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-60-3-1-044.dfg [Wei97]

% Status   : CounterSatisfiable
% Rating   : 0.25 v3.1.0, 0.50 v2.7.0, 0.67 v2.6.0, 0.50 v2.5.0, 0.67 v2.4.0, 0.33 v2.2.1, 1.00 v2.1.0
%
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
%
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  796 (   0 equality)
%            Maximal formula depth :  139 ( 139 average)
%            Number of connectives : 1108 ( 313 ~  ; 365  |; 343  &)
%                                         (   0 <=>;  87 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   76 (  72 propositional; 0-1 arity)
%            Number of functors    :   71 (  71 constant; 0-0 arity)
%            Number of variables   :   87 (   0 singleton;  87 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%--------------------------------------------------------------------------
fof(co1,conjecture,
    ( ~ ( ( ~ hskp0
          | ( ndr1_0
            & ~ c1_1(a1994)
            & c0_1(a1994)
            & ~ c3_1(a1994) ) )
        & ( ~ hskp1
          | ( ndr1_0
            & c0_1(a1998)
            & c3_1(a1998)
            & ~ c1_1(a1998) ) )
        & ( ~ hskp2
          | ( ndr1_0
            & ~ c2_1(a1999)
            & c1_1(a1999)
            & ~ c3_1(a1999) ) )
        & ( ~ hskp3
          | ( ndr1_0
            & ~ c3_1(a2000)
            & c1_1(a2000)
            & ~ c0_1(a2000) ) )
        & ( ~ hskp4
          | ( ndr1_0
            & ~ c3_1(a2001)
            & ~ c2_1(a2001)
            & ~ c1_1(a2001) ) )
        & ( ~ hskp5
          | ( ndr1_0
            & ~ c1_1(a2006)
            & c2_1(a2006)
            & ~ c0_1(a2006) ) )
        & ( ~ hskp6
          | ( ndr1_0
            & c3_1(a2009)
            & ~ c0_1(a2009)
            & ~ c1_1(a2009) ) )
        & ( ~ hskp7
          | ( ndr1_0
            & ~ c3_1(a2011)
            & c0_1(a2011)
            & ~ c2_1(a2011) ) )
        & ( ~ hskp8
          | ( ndr1_0
            & ~ c3_1(a2013)
            & ~ c0_1(a2013)
            & ~ c1_1(a2013) ) )
        & ( ~ hskp9
          | ( ndr1_0
            & ~ c3_1(a2014)
            & ~ c2_1(a2014)
            & ~ c0_1(a2014) ) )
        & ( ~ hskp10
          | ( ndr1_0
            & c3_1(a2015)
            & c1_1(a2015)
            & ~ c0_1(a2015) ) )
        & ( ~ hskp11
          | ( ndr1_0
            & c0_1(a2016)
            & c2_1(a2016)
            & ~ c1_1(a2016) ) )
        & ( ~ hskp12
          | ( ndr1_0
            & ~ c1_1(a2019)
            & ~ c2_1(a2019)
            & ~ c0_1(a2019) ) )
        & ( ~ hskp13
          | ( ndr1_0
            & c1_1(a2020)
            & ~ c3_1(a2020)
            & ~ c2_1(a2020) ) )
        & ( ~ hskp14
          | ( ndr1_0
            & c2_1(a2023)
            & c0_1(a2023)
            & ~ c3_1(a2023) ) )
        & ( ~ hskp15
          | ( ndr1_0
            & ~ c2_1(a2031)
            & ~ c3_1(a2031)
            & ~ c0_1(a2031) ) )
        & ( ~ hskp16
          | ( ndr1_0
            & ~ c1_1(a2032)
            & c0_1(a2032)
            & ~ c2_1(a2032) ) )
        & ( ~ hskp17
          | ( ndr1_0
            & ~ c2_1(a2034)
            & ~ c1_1(a2034)
            & ~ c0_1(a2034) ) )
        & ( ~ hskp18
          | ( ndr1_0
            & c3_1(a2036)
            & c0_1(a2036)
            & ~ c1_1(a2036) ) )
        & ( ~ hskp19
          | ( ndr1_0
            & c1_1(a2038)
            & c0_1(a2038)
            & ~ c3_1(a2038) ) )
        & ( ~ hskp20
          | ( ndr1_0
            & c1_1(a2041)
            & c3_1(a2041)
            & ~ c0_1(a2041) ) )
        & ( ~ hskp21
          | ( ndr1_0
            & c3_1(a2044)
            & ~ c1_1(a2044)
            & ~ c0_1(a2044) ) )
        & ( ~ hskp22
          | ( ndr1_0
            & c2_1(a2045)
            & ~ c0_1(a2045)
            & ~ c3_1(a2045) ) )
        & ( ~ hskp23
          | ( ndr1_0
            & ~ c2_1(a2050)
            & ~ c0_1(a2050)
            & ~ c3_1(a2050) ) )
        & ( ~ hskp24
          | ( ndr1_0
            & c2_1(a2057)
            & ~ c3_1(a2057)
            & ~ c0_1(a2057) ) )
        & ( ~ hskp25
          | ( ndr1_0
            & ~ c3_1(a2062)
            & ~ c1_1(a2062)
            & ~ c2_1(a2062) ) )
        & ( ~ hskp26
          | ( ndr1_0
            & c3_1(a2065)
            & c2_1(a2065)
            & ~ c0_1(a2065) ) )
        & ( ~ hskp27
          | ( ndr1_0
            & c0_1(a2068)
            & c1_1(a2068)
            & ~ c2_1(a2068) ) )
        & ( ~ hskp28
          | ( ndr1_0
            & c1_1(a2069)
            & c2_1(a2069)
            & ~ c0_1(a2069) ) )
        & ( ~ hskp29
          | ( ndr1_0
            & c3_1(a2079)
            & c2_1(a2079)
            & ~ c1_1(a2079) ) )
        & ( ~ hskp30
          | ( ndr1_0
            & ~ c1_1(a2080)
            & ~ c0_1(a2080)
            & ~ c2_1(a2080) ) )
        & ( ~ hskp31
          | ( ndr1_0
            & ~ c1_1(a2081)
            & ~ c3_1(a2081)
            & ~ c2_1(a2081) ) )
        & ( ~ hskp32
          | ( ndr1_0
            & ~ c2_1(a2083)
            & ~ c3_1(a2083)
            & ~ c1_1(a2083) ) )
        & ( ~ hskp33
          | ( ndr1_0
            & c2_1(a1993)
            & c1_1(a1993)
            & c0_1(a1993) ) )
        & ( ~ hskp34
          | ( ndr1_0
            & c0_1(a1995)
            & ~ c3_1(a1995)
            & c1_1(a1995) ) )
        & ( ~ hskp35
          | ( ndr1_0
            & c2_1(a1996)
            & c3_1(a1996)
            & c0_1(a1996) ) )
        & ( ~ hskp36
          | ( ndr1_0
            & ~ c2_1(a1997)
            & ~ c3_1(a1997)
            & c1_1(a1997) ) )
        & ( ~ hskp37
          | ( ndr1_0
            & c3_1(a2002)
            & ~ c0_1(a2002)
            & c1_1(a2002) ) )
        & ( ~ hskp38
          | ( ndr1_0
            & ~ c1_1(a2003)
            & ~ c2_1(a2003)
            & c3_1(a2003) ) )
        & ( ~ hskp39
          | ( ndr1_0
            & c0_1(a2004)
            & c2_1(a2004)
            & c1_1(a2004) ) )
        & ( ~ hskp40
          | ( ndr1_0
            & ~ c1_1(a2005)
            & ~ c3_1(a2005)
            & c0_1(a2005) ) )
        & ( ~ hskp41
          | ( ndr1_0
            & c3_1(a2007)
            & c1_1(a2007)
            & c0_1(a2007) ) )
        & ( ~ hskp42
          | ( ndr1_0
            & c3_1(a2010)
            & ~ c0_1(a2010)
            & c2_1(a2010) ) )
        & ( ~ hskp43
          | ( ndr1_0
            & ~ c1_1(a2017)
            & ~ c0_1(a2017)
            & c2_1(a2017) ) )
        & ( ~ hskp44
          | ( ndr1_0
            & c2_1(a2018)
            & ~ c1_1(a2018)
            & c0_1(a2018) ) )
        & ( ~ hskp45
          | ( ndr1_0
            & c2_1(a2022)
            & ~ c0_1(a2022)
            & c3_1(a2022) ) )
        & ( ~ hskp46
          | ( ndr1_0
            & c3_1(a2025)
            & ~ c2_1(a2025)
            & c0_1(a2025) ) )
        & ( ~ hskp47
          | ( ndr1_0
            & c2_1(a2026)
            & ~ c3_1(a2026)
            & c0_1(a2026) ) )
        & ( ~ hskp48
          | ( ndr1_0
            & c1_1(a2027)
            & c3_1(a2027)
            & c0_1(a2027) ) )
        & ( ~ hskp49
          | ( ndr1_0
            & c0_1(a2028)
            & ~ c1_1(a2028)
            & c3_1(a2028) ) )
        & ( ~ hskp50
          | ( ndr1_0
            & c1_1(a2029)
            & ~ c3_1(a2029)
            & c2_1(a2029) ) )
        & ( ~ hskp51
          | ( ndr1_0
            & ~ c0_1(a2030)
            & c2_1(a2030)
            & c1_1(a2030) ) )
        & ( ~ hskp52
          | ( ndr1_0
            & ~ c3_1(a2033)
            & ~ c1_1(a2033)
            & c2_1(a2033) ) )
        & ( ~ hskp53
          | ( ndr1_0
            & c2_1(a2035)
            & ~ c0_1(a2035)
            & c1_1(a2035) ) )
        & ( ~ hskp54
          | ( ndr1_0
            & ~ c0_1(a2037)
            & c2_1(a2037)
            & c3_1(a2037) ) )
        & ( ~ hskp55
          | ( ndr1_0
            & c0_1(a2046)
            & c1_1(a2046)
            & c2_1(a2046) ) )
        & ( ~ hskp56
          | ( ndr1_0
            & ~ c2_1(a2047)
            & c3_1(a2047)
            & c0_1(a2047) ) )
        & ( ~ hskp57
          | ( ndr1_0
            & ~ c3_1(a2048)
            & ~ c1_1(a2048)
            & c0_1(a2048) ) )
        & ( ~ hskp58
          | ( ndr1_0
            & ~ c2_1(a2051)
            & ~ c1_1(a2051)
            & c3_1(a2051) ) )
        & ( ~ hskp59
          | ( ndr1_0
            & ~ c1_1(a2052)
            & c0_1(a2052)
            & c2_1(a2052) ) )
        & ( ~ hskp60
          | ( ndr1_0
            & ~ c2_1(a2053)
            & c0_1(a2053)
            & c1_1(a2053) ) )
        & ( ~ hskp61
          | ( ndr1_0
            & c1_1(a2054)
            & c2_1(a2054)
            & c3_1(a2054) ) )
        & ( ~ hskp62
          | ( ndr1_0
            & ~ c2_1(a2058)
            & c1_1(a2058)
            & c3_1(a2058) ) )
        & ( ~ hskp63
          | ( ndr1_0
            & ~ c3_1(a2059)
            & c2_1(a2059)
            & c1_1(a2059) ) )
        & ( ~ hskp64
          | ( ndr1_0
            & c3_1(a2061)
            & ~ c2_1(a2061)
            & c1_1(a2061) ) )
        & ( ~ hskp65
          | ( ndr1_0
            & ~ c3_1(a2063)
            & c0_1(a2063)
            & c1_1(a2063) ) )
        & ( ~ hskp66
          | ( ndr1_0
            & c0_1(a2067)
            & c3_1(a2067)
            & c2_1(a2067) ) )
        & ( ~ hskp67
          | ( ndr1_0
            & ~ c1_1(a2070)
            & ~ c0_1(a2070)
            & c3_1(a2070) ) )
        & ( ~ hskp68
          | ( ndr1_0
            & c1_1(a2073)
            & ~ c2_1(a2073)
            & c0_1(a2073) ) )
        & ( ~ hskp69
          | ( ndr1_0
            & ~ c2_1(a2074)
            & ~ c3_1(a2074)
            & c0_1(a2074) ) )
        & ( ~ hskp70
          | ( ndr1_0
            & c2_1(a2078)
            & c0_1(a2078)
            & c3_1(a2078) ) )
        & ( ! [U] : 
              ( ndr1_0
             => ( ~ c2_1(U)
                | c1_1(U)
                | c0_1(U) ) )
          | ! [V] : 
              ( ndr1_0
             => ( c1_1(V)
                | ~ c2_1(V)
                | ~ c3_1(V) ) )
          | hskp33 )
        & ( ! [W] : 
              ( ndr1_0
             => ( ~ c2_1(W)
                | ~ c1_1(W)
                | ~ c3_1(W) ) )
          | ! [X] : 
              ( ndr1_0
             => ( ~ c0_1(X)
                | ~ c2_1(X)
                | ~ c1_1(X) ) )
          | hskp0 )
        & ( hskp34
          | hskp35
          | ! [Y] : 
              ( ndr1_0
             => ( c3_1(Y)
                | ~ c1_1(Y)
                | c2_1(Y) ) ) )
        & ( hskp36
          | ! [Z] : 
              ( ndr1_0
             => ( ~ c0_1(Z)
                | c3_1(Z)
                | ~ c2_1(Z) ) )
          | hskp1 )
        & ( hskp2
          | ! [X1] : 
              ( ndr1_0
             => ( ~ c3_1(X1)
                | c1_1(X1)
                | ~ c2_1(X1) ) )
          | ! [X2] : 
              ( ndr1_0
             => ( ~ c1_1(X2)
                | c3_1(X2)
                | c0_1(X2) ) ) )
        & ( hskp3
          | ! [X3] : 
              ( ndr1_0
             => ( c0_1(X3)
                | ~ c1_1(X3)
                | ~ c3_1(X3) ) )
          | ! [X4] : 
              ( ndr1_0
             => ( c0_1(X4)
                | c3_1(X4)
                | c1_1(X4) ) ) )
        & ( hskp4
          | ! [X5] : 
              ( ndr1_0
             => ( c0_1(X5)
                | c1_1(X5)
                | ~ c2_1(X5) ) )
          | hskp37 )
        & ( hskp38
          | ! [X6] : 
              ( ndr1_0
             => ( c1_1(X6)
                | ~ c0_1(X6)
                | ~ c3_1(X6) ) )
          | ! [X7] : 
              ( ndr1_0
             => ( c2_1(X7)
                | ~ c1_1(X7)
                | c0_1(X7) ) ) )
        & ( hskp39
          | ! [X8] : 
              ( ndr1_0
             => ( c2_1(X8)
                | c0_1(X8)
                | ~ c1_1(X8) ) )
          | ! [X9] : 
              ( ndr1_0
             => ( ~ c0_1(X9)
                | c1_1(X9)
                | ~ c2_1(X9) ) ) )
        & ( ! [X10] : 
              ( ndr1_0
             => ( c3_1(X10)
                | c0_1(X10)
                | ~ c2_1(X10) ) )
          | hskp40
          | hskp5 )
        & ( hskp41
          | hskp37
          | ! [X11] : 
              ( ndr1_0
             => ( c1_1(X11)
                | c3_1(X11)
                | c2_1(X11) ) ) )
        & ( hskp6
          | ! [X12] : 
              ( ndr1_0
             => ( ~ c3_1(X12)
                | ~ c0_1(X12)
                | c1_1(X12) ) )
          | ! [X13] : 
              ( ndr1_0
             => ( c1_1(X13)
                | c3_1(X13)
                | ~ c0_1(X13) ) ) )
        & ( ! [X14] : 
              ( ndr1_0
             => ( ~ c0_1(X14)
                | ~ c3_1(X14)
                | ~ c2_1(X14) ) )
          | ! [X15] : 
              ( ndr1_0
             => ( c1_1(X15)
                | ~ c2_1(X15)
                | ~ c0_1(X15) ) )
          | hskp42 )
        & ( ! [X16] : 
              ( ndr1_0
             => ( c1_1(X16)
                | c0_1(X16)
                | c2_1(X16) ) )
          | hskp7
          | ! [X17] : 
              ( ndr1_0
             => ( c1_1(X17)
                | ~ c2_1(X17)
                | c0_1(X17) ) ) )
        & ( ! [X18] : 
              ( ndr1_0
             => ( ~ c0_1(X18)
                | ~ c3_1(X18)
                | ~ c1_1(X18) ) )
          | hskp2
          | hskp8 )
        & ( ! [X19] : 
              ( ndr1_0
             => ( c3_1(X19)
                | ~ c2_1(X19)
                | c0_1(X19) ) )
          | ! [X20] : 
              ( ndr1_0
             => ( ~ c0_1(X20)
                | c2_1(X20)
                | ~ c1_1(X20) ) )
          | hskp9 )
        & ( ! [X21] : 
              ( ndr1_0
             => ( ~ c0_1(X21)
                | c3_1(X21)
                | ~ c1_1(X21) ) )
          | hskp10
          | ! [X22] : 
              ( ndr1_0
             => ( c2_1(X22)
                | ~ c0_1(X22)
                | ~ c3_1(X22) ) ) )
        & ( ! [X23] : 
              ( ndr1_0
             => ( ~ c1_1(X23)
                | ~ c2_1(X23)
                | c0_1(X23) ) )
          | ! [X24] : 
              ( ndr1_0
             => ( ~ c0_1(X24)
                | ~ c3_1(X24)
                | ~ c2_1(X24) ) )
          | ! [X25] : 
              ( ndr1_0
             => ( c2_1(X25)
                | c0_1(X25)
                | ~ c1_1(X25) ) ) )
        & ( ! [X26] : 
              ( ndr1_0
             => ( c2_1(X26)
                | ~ c3_1(X26)
                | c0_1(X26) ) )
          | hskp11
          | ! [X27] : 
              ( ndr1_0
             => ( c2_1(X27)
                | c3_1(X27)
                | ~ c0_1(X27) ) ) )
        & ( ! [X28] : 
              ( ndr1_0
             => ( ~ c1_1(X28)
                | c0_1(X28)
                | c2_1(X28) ) )
          | hskp43
          | ! [X29] : 
              ( ndr1_0
             => ( ~ c1_1(X29)
                | c3_1(X29)
                | c0_1(X29) ) ) )
        & ( hskp44
          | ! [X30] : 
              ( ndr1_0
             => ( ~ c3_1(X30)
                | c2_1(X30)
                | ~ c0_1(X30) ) )
          | hskp12 )
        & ( hskp13
          | hskp38
          | hskp45 )
        & ( ! [X31] : 
              ( ndr1_0
             => ( c0_1(X31)
                | c2_1(X31)
                | c1_1(X31) ) )
          | ! [X32] : 
              ( ndr1_0
             => ( c2_1(X32)
                | c3_1(X32)
                | ~ c0_1(X32) ) )
          | hskp14 )
        & ( hskp5
          | hskp46
          | ! [X33] : 
              ( ndr1_0
             => ( c2_1(X33)
                | ~ c1_1(X33)
                | ~ c3_1(X33) ) ) )
        & ( ! [X34] : 
              ( ndr1_0
             => ( c0_1(X34)
                | c3_1(X34)
                | ~ c2_1(X34) ) )
          | hskp47
          | ! [X35] : 
              ( ndr1_0
             => ( c3_1(X35)
                | c1_1(X35)
                | ~ c0_1(X35) ) ) )
        & ( hskp48
          | hskp49
          | hskp50 )
        & ( hskp51
          | ! [X36] : 
              ( ndr1_0
             => ( ~ c0_1(X36)
                | c1_1(X36)
                | c3_1(X36) ) )
          | hskp15 )
        & ( hskp16
          | ! [X37] : 
              ( ndr1_0
             => ( ~ c0_1(X37)
                | c2_1(X37)
                | c1_1(X37) ) )
          | hskp52 )
        & ( hskp17
          | hskp53
          | hskp18 )
        & ( hskp54
          | ! [X38] : 
              ( ndr1_0
             => ( ~ c3_1(X38)
                | ~ c0_1(X38)
                | c2_1(X38) ) )
          | ! [X39] : 
              ( ndr1_0
             => ( ~ c2_1(X39)
                | c3_1(X39)
                | c1_1(X39) ) ) )
        & ( hskp19
          | hskp47
          | hskp41 )
        & ( hskp20
          | ! [X40] : 
              ( ndr1_0
             => ( c0_1(X40)
                | c3_1(X40)
                | c1_1(X40) ) )
          | ! [X41] : 
              ( ndr1_0
             => ( ~ c1_1(X41)
                | c2_1(X41)
                | c3_1(X41) ) ) )
        & ( hskp43
          | ! [X42] : 
              ( ndr1_0
             => ( ~ c2_1(X42)
                | c0_1(X42)
                | ~ c1_1(X42) ) )
          | hskp48 )
        & ( hskp21
          | ! [X43] : 
              ( ndr1_0
             => ( ~ c2_1(X43)
                | ~ c1_1(X43)
                | c0_1(X43) ) )
          | hskp22 )
        & ( hskp55
          | hskp56
          | hskp57 )
        & ( hskp56
          | ! [X44] : 
              ( ndr1_0
             => ( c0_1(X44)
                | ~ c1_1(X44)
                | ~ c3_1(X44) ) )
          | ! [X45] : 
              ( ndr1_0
             => ( ~ c3_1(X45)
                | ~ c0_1(X45)
                | ~ c2_1(X45) ) ) )
        & ( hskp23
          | hskp58
          | hskp59 )
        & ( hskp60
          | hskp61
          | ! [X46] : 
              ( ndr1_0
             => ( c3_1(X46)
                | ~ c2_1(X46)
                | c0_1(X46) ) ) )
        & ( hskp33
          | hskp59
          | ! [X47] : 
              ( ndr1_0
             => ( ~ c2_1(X47)
                | ~ c1_1(X47)
                | c0_1(X47) ) ) )
        & ( hskp24
          | ! [X48] : 
              ( ndr1_0
             => ( ~ c0_1(X48)
                | ~ c1_1(X48)
                | ~ c2_1(X48) ) )
          | ! [X49] : 
              ( ndr1_0
             => ( ~ c1_1(X49)
                | ~ c0_1(X49)
                | c2_1(X49) ) ) )
        & ( hskp62
          | ! [X50] : 
              ( ndr1_0
             => ( ~ c3_1(X50)
                | c1_1(X50)
                | c0_1(X50) ) )
          | hskp63 )
        & ( ! [X51] : 
              ( ndr1_0
             => ( c3_1(X51)
                | c2_1(X51)
                | c0_1(X51) ) )
          | hskp2
          | hskp64 )
        & ( hskp25
          | hskp65
          | ! [X52] : 
              ( ndr1_0
             => ( ~ c3_1(X52)
                | c2_1(X52)
                | c0_1(X52) ) ) )
        & ( ! [X53] : 
              ( ndr1_0
             => ( c2_1(X53)
                | ~ c3_1(X53)
                | ~ c1_1(X53) ) )
          | ! [X54] : 
              ( ndr1_0
             => ( ~ c0_1(X54)
                | ~ c1_1(X54)
                | ~ c3_1(X54) ) )
          | ! [X55] : 
              ( ndr1_0
             => ( ~ c3_1(X55)
                | ~ c1_1(X55)
                | c2_1(X55) ) ) )
        & ( hskp49
          | hskp26
          | hskp6 )
        & ( ! [X56] : 
              ( ndr1_0
             => ( c2_1(X56)
                | c0_1(X56)
                | c1_1(X56) ) )
          | hskp66
          | ! [X57] : 
              ( ndr1_0
             => ( ~ c0_1(X57)
                | ~ c1_1(X57)
                | c3_1(X57) ) ) )
        & ( ! [X58] : 
              ( ndr1_0
             => ( ~ c0_1(X58)
                | ~ c3_1(X58)
                | c1_1(X58) ) )
          | ! [X59] : 
              ( ndr1_0
             => ( ~ c0_1(X59)
                | ~ c3_1(X59)
                | ~ c1_1(X59) ) )
          | ! [X60] : 
              ( ndr1_0
             => ( ~ c2_1(X60)
                | c1_1(X60)
                | ~ c0_1(X60) ) ) )
        & ( ! [X61] : 
              ( ndr1_0
             => ( ~ c2_1(X61)
                | ~ c1_1(X61)
                | ~ c0_1(X61) ) )
          | ! [X62] : 
              ( ndr1_0
             => ( ~ c1_1(X62)
                | c0_1(X62)
                | c3_1(X62) ) )
          | ! [X63] : 
              ( ndr1_0
             => ( c2_1(X63)
                | ~ c3_1(X63)
                | ~ c0_1(X63) ) ) )
        & ( hskp27
          | ! [X64] : 
              ( ndr1_0
             => ( ~ c1_1(X64)
                | c3_1(X64)
                | c2_1(X64) ) )
          | ! [X65] : 
              ( ndr1_0
             => ( ~ c3_1(X65)
                | ~ c2_1(X65)
                | c0_1(X65) ) ) )
        & ( hskp28
          | ! [X66] : 
              ( ndr1_0
             => ( c3_1(X66)
                | ~ c0_1(X66)
                | c1_1(X66) ) )
          | ! [X67] : 
              ( ndr1_0
             => ( c2_1(X67)
                | ~ c0_1(X67)
                | ~ c1_1(X67) ) ) )
        & ( hskp67
          | hskp10
          | ! [X68] : 
              ( ndr1_0
             => ( ~ c1_1(X68)
                | c2_1(X68)
                | ~ c0_1(X68) ) ) )
        & ( hskp21
          | hskp68
          | hskp69 )
        & ( ! [X69] : 
              ( ndr1_0
             => ( ~ c3_1(X69)
                | c1_1(X69)
                | c2_1(X69) ) )
          | ! [X70] : 
              ( ndr1_0
             => ( ~ c1_1(X70)
                | ~ c3_1(X70)
                | ~ c0_1(X70) ) )
          | hskp42 )
        & ( hskp48
          | hskp54
          | ! [X71] : 
              ( ndr1_0
             => ( c2_1(X71)
                | ~ c3_1(X71)
                | ~ c0_1(X71) ) ) )
        & ( hskp70
          | ! [X72] : 
              ( ndr1_0
             => ( c1_1(X72)
                | ~ c2_1(X72)
                | c0_1(X72) ) )
          | hskp29 )
        & ( ! [X73] : 
              ( ndr1_0
             => ( ~ c1_1(X73)
                | c3_1(X73)
                | ~ c2_1(X73) ) )
          | ! [X74] : 
              ( ndr1_0
             => ( ~ c2_1(X74)
                | ~ c0_1(X74)
                | c1_1(X74) ) )
          | ! [X75] : 
              ( ndr1_0
             => ( c1_1(X75)
                | c3_1(X75)
                | c2_1(X75) ) ) )
        & ( ! [X76] : 
              ( ndr1_0
             => ( ~ c3_1(X76)
                | ~ c0_1(X76)
                | ~ c1_1(X76) ) )
          | hskp30
          | ! [X77] : 
              ( ndr1_0
             => ( ~ c1_1(X77)
                | c3_1(X77)
                | ~ c0_1(X77) ) ) )
        & ( hskp31
          | ! [X78] : 
              ( ndr1_0
             => ( c1_1(X78)
                | c0_1(X78)
                | c3_1(X78) ) )
          | hskp47 )
        & ( hskp32
          | ! [X79] : 
              ( ndr1_0
             => ( c3_1(X79)
                | ~ c2_1(X79)
                | ~ c0_1(X79) ) )
          | hskp10 )
        & ( ! [X80] : 
              ( ndr1_0
             => ( ~ c2_1(X80)
                | c0_1(X80)
                | ~ c1_1(X80) ) )
          | ! [X81] : 
              ( ndr1_0
             => ( c1_1(X81)
                | ~ c0_1(X81)
                | c3_1(X81) ) )
          | hskp20 ) ) )).

%--------------------------------------------------------------------------
