%--------------------------------------------------------------------------
% File     : SYN457+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=60, K=3, D=1, P=0, Index=060
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-60-3-1-060.dfg [Wei97]

% Status   : Theorem
% Rating   : 0.67 v2.7.0, 0.33 v2.5.0, 0.67 v2.4.0, 1.00 v2.1.0
%
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
%
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  827 (   0 equality)
%            Maximal formula depth :  144 ( 144 average)
%            Number of connectives : 1167 ( 341 ~  ; 374  |; 363  &)
%                                         (   0 <=>;  89 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   81 (  77 propositional; 0-1 arity)
%            Number of functors    :   76 (  76 constant; 0-0 arity)
%            Number of variables   :   89 (   0 singleton;  89 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%--------------------------------------------------------------------------
fof(co1,conjecture,
    ( ~ ( ( ~ hskp0
          | ( ndr1_0
            & c1_1(a1637)
            & c0_1(a1637)
            & ~ c2_1(a1637) ) )
        & ( ~ hskp1
          | ( ndr1_0
            & ~ c1_1(a1643)
            & c3_1(a1643)
            & ~ c2_1(a1643) ) )
        & ( ~ hskp2
          | ( ndr1_0
            & ~ c1_1(a1645)
            & ~ c0_1(a1645)
            & ~ c3_1(a1645) ) )
        & ( ~ hskp3
          | ( ndr1_0
            & c0_1(a1646)
            & ~ c1_1(a1646)
            & ~ c2_1(a1646) ) )
        & ( ~ hskp4
          | ( ndr1_0
            & c1_1(a1647)
            & ~ c0_1(a1647)
            & ~ c2_1(a1647) ) )
        & ( ~ hskp5
          | ( ndr1_0
            & c3_1(a1648)
            & ~ c1_1(a1648)
            & ~ c0_1(a1648) ) )
        & ( ~ hskp6
          | ( ndr1_0
            & ~ c1_1(a1650)
            & ~ c2_1(a1650)
            & ~ c3_1(a1650) ) )
        & ( ~ hskp7
          | ( ndr1_0
            & c3_1(a1655)
            & c0_1(a1655)
            & ~ c2_1(a1655) ) )
        & ( ~ hskp8
          | ( ndr1_0
            & c2_1(a1657)
            & ~ c1_1(a1657)
            & ~ c0_1(a1657) ) )
        & ( ~ hskp9
          | ( ndr1_0
            & ~ c3_1(a1660)
            & ~ c0_1(a1660)
            & ~ c1_1(a1660) ) )
        & ( ~ hskp10
          | ( ndr1_0
            & ~ c2_1(a1663)
            & ~ c3_1(a1663)
            & ~ c0_1(a1663) ) )
        & ( ~ hskp11
          | ( ndr1_0
            & ~ c3_1(a1664)
            & ~ c2_1(a1664)
            & ~ c1_1(a1664) ) )
        & ( ~ hskp12
          | ( ndr1_0
            & c2_1(a1666)
            & c3_1(a1666)
            & ~ c1_1(a1666) ) )
        & ( ~ hskp13
          | ( ndr1_0
            & c0_1(a1667)
            & c3_1(a1667)
            & ~ c1_1(a1667) ) )
        & ( ~ hskp14
          | ( ndr1_0
            & c2_1(a1671)
            & ~ c1_1(a1671)
            & ~ c3_1(a1671) ) )
        & ( ~ hskp15
          | ( ndr1_0
            & c3_1(a1672)
            & c1_1(a1672)
            & ~ c0_1(a1672) ) )
        & ( ~ hskp16
          | ( ndr1_0
            & ~ c0_1(a1677)
            & ~ c2_1(a1677)
            & ~ c1_1(a1677) ) )
        & ( ~ hskp17
          | ( ndr1_0
            & ~ c0_1(a1678)
            & ~ c1_1(a1678)
            & ~ c2_1(a1678) ) )
        & ( ~ hskp18
          | ( ndr1_0
            & ~ c3_1(a1680)
            & ~ c1_1(a1680)
            & ~ c0_1(a1680) ) )
        & ( ~ hskp19
          | ( ndr1_0
            & ~ c1_1(a1681)
            & ~ c3_1(a1681)
            & ~ c2_1(a1681) ) )
        & ( ~ hskp20
          | ( ndr1_0
            & ~ c2_1(a1682)
            & ~ c1_1(a1682)
            & ~ c3_1(a1682) ) )
        & ( ~ hskp21
          | ( ndr1_0
            & c3_1(a1683)
            & c2_1(a1683)
            & ~ c1_1(a1683) ) )
        & ( ~ hskp22
          | ( ndr1_0
            & ~ c0_1(a1684)
            & c2_1(a1684)
            & ~ c3_1(a1684) ) )
        & ( ~ hskp23
          | ( ndr1_0
            & ~ c0_1(a1685)
            & c2_1(a1685)
            & ~ c1_1(a1685) ) )
        & ( ~ hskp24
          | ( ndr1_0
            & ~ c0_1(a1689)
            & c3_1(a1689)
            & ~ c1_1(a1689) ) )
        & ( ~ hskp25
          | ( ndr1_0
            & c2_1(a1690)
            & ~ c0_1(a1690)
            & ~ c1_1(a1690) ) )
        & ( ~ hskp26
          | ( ndr1_0
            & ~ c3_1(a1691)
            & ~ c1_1(a1691)
            & ~ c2_1(a1691) ) )
        & ( ~ hskp27
          | ( ndr1_0
            & ~ c0_1(a1693)
            & ~ c3_1(a1693)
            & ~ c2_1(a1693) ) )
        & ( ~ hskp28
          | ( ndr1_0
            & ~ c1_1(a1694)
            & c2_1(a1694)
            & ~ c3_1(a1694) ) )
        & ( ~ hskp29
          | ( ndr1_0
            & c2_1(a1695)
            & c0_1(a1695)
            & ~ c3_1(a1695) ) )
        & ( ~ hskp30
          | ( ndr1_0
            & c1_1(a1698)
            & c3_1(a1698)
            & ~ c0_1(a1698) ) )
        & ( ~ hskp31
          | ( ndr1_0
            & c2_1(a1700)
            & ~ c0_1(a1700)
            & ~ c3_1(a1700) ) )
        & ( ~ hskp32
          | ( ndr1_0
            & c1_1(a1701)
            & c0_1(a1701)
            & ~ c3_1(a1701) ) )
        & ( ~ hskp33
          | ( ndr1_0
            & c3_1(a1704)
            & ~ c0_1(a1704)
            & ~ c2_1(a1704) ) )
        & ( ~ hskp34
          | ( ndr1_0
            & c2_1(a1705)
            & ~ c3_1(a1705)
            & ~ c1_1(a1705) ) )
        & ( ~ hskp35
          | ( ndr1_0
            & ~ c0_1(a1706)
            & ~ c3_1(a1706)
            & ~ c1_1(a1706) ) )
        & ( ~ hskp36
          | ( ndr1_0
            & ~ c2_1(a1712)
            & ~ c0_1(a1712)
            & ~ c1_1(a1712) ) )
        & ( ~ hskp37
          | ( ndr1_0
            & c2_1(a1714)
            & c0_1(a1714)
            & ~ c1_1(a1714) ) )
        & ( ~ hskp38
          | ( ndr1_0
            & c3_1(a1718)
            & ~ c2_1(a1718)
            & ~ c0_1(a1718) ) )
        & ( ~ hskp39
          | ( ndr1_0
            & ~ c1_1(a1721)
            & c3_1(a1721)
            & ~ c0_1(a1721) ) )
        & ( ~ hskp40
          | ( ndr1_0
            & c1_1(a1725)
            & c3_1(a1725)
            & ~ c2_1(a1725) ) )
        & ( ~ hskp41
          | ( ndr1_0
            & c0_1(a1726)
            & c2_1(a1726)
            & ~ c1_1(a1726) ) )
        & ( ~ hskp42
          | ( ndr1_0
            & c1_1(a1638)
            & ~ c3_1(a1638)
            & c0_1(a1638) ) )
        & ( ~ hskp43
          | ( ndr1_0
            & ~ c1_1(a1639)
            & c2_1(a1639)
            & c0_1(a1639) ) )
        & ( ~ hskp44
          | ( ndr1_0
            & c3_1(a1640)
            & c2_1(a1640)
            & c1_1(a1640) ) )
        & ( ~ hskp45
          | ( ndr1_0
            & ~ c3_1(a1641)
            & ~ c1_1(a1641)
            & c2_1(a1641) ) )
        & ( ~ hskp46
          | ( ndr1_0
            & ~ c2_1(a1642)
            & ~ c1_1(a1642)
            & c0_1(a1642) ) )
        & ( ~ hskp47
          | ( ndr1_0
            & ~ c1_1(a1644)
            & ~ c0_1(a1644)
            & c3_1(a1644) ) )
        & ( ~ hskp48
          | ( ndr1_0
            & ~ c3_1(a1649)
            & ~ c2_1(a1649)
            & c0_1(a1649) ) )
        & ( ~ hskp49
          | ( ndr1_0
            & c3_1(a1651)
            & ~ c2_1(a1651)
            & c1_1(a1651) ) )
        & ( ~ hskp50
          | ( ndr1_0
            & c3_1(a1652)
            & c2_1(a1652)
            & c0_1(a1652) ) )
        & ( ~ hskp51
          | ( ndr1_0
            & c2_1(a1653)
            & ~ c0_1(a1653)
            & c1_1(a1653) ) )
        & ( ~ hskp52
          | ( ndr1_0
            & c0_1(a1654)
            & c2_1(a1654)
            & c3_1(a1654) ) )
        & ( ~ hskp53
          | ( ndr1_0
            & ~ c3_1(a1656)
            & c2_1(a1656)
            & c0_1(a1656) ) )
        & ( ~ hskp54
          | ( ndr1_0
            & c3_1(a1658)
            & ~ c0_1(a1658)
            & c1_1(a1658) ) )
        & ( ~ hskp55
          | ( ndr1_0
            & ~ c2_1(a1661)
            & ~ c3_1(a1661)
            & c1_1(a1661) ) )
        & ( ~ hskp56
          | ( ndr1_0
            & c0_1(a1662)
            & ~ c2_1(a1662)
            & c1_1(a1662) ) )
        & ( ~ hskp57
          | ( ndr1_0
            & c0_1(a1665)
            & ~ c1_1(a1665)
            & c3_1(a1665) ) )
        & ( ~ hskp58
          | ( ndr1_0
            & ~ c0_1(a1668)
            & ~ c1_1(a1668)
            & c3_1(a1668) ) )
        & ( ~ hskp59
          | ( ndr1_0
            & c3_1(a1669)
            & ~ c2_1(a1669)
            & c0_1(a1669) ) )
        & ( ~ hskp60
          | ( ndr1_0
            & ~ c1_1(a1673)
            & c3_1(a1673)
            & c2_1(a1673) ) )
        & ( ~ hskp61
          | ( ndr1_0
            & ~ c1_1(a1674)
            & ~ c2_1(a1674)
            & c3_1(a1674) ) )
        & ( ~ hskp62
          | ( ndr1_0
            & ~ c3_1(a1675)
            & c1_1(a1675)
            & c0_1(a1675) ) )
        & ( ~ hskp63
          | ( ndr1_0
            & ~ c0_1(a1676)
            & c2_1(a1676)
            & c3_1(a1676) ) )
        & ( ~ hskp64
          | ( ndr1_0
            & ~ c3_1(a1686)
            & ~ c1_1(a1686)
            & c0_1(a1686) ) )
        & ( ~ hskp65
          | ( ndr1_0
            & ~ c3_1(a1687)
            & ~ c0_1(a1687)
            & c2_1(a1687) ) )
        & ( ~ hskp66
          | ( ndr1_0
            & ~ c1_1(a1692)
            & ~ c2_1(a1692)
            & c0_1(a1692) ) )
        & ( ~ hskp67
          | ( ndr1_0
            & c1_1(a1702)
            & c2_1(a1702)
            & c3_1(a1702) ) )
        & ( ~ hskp68
          | ( ndr1_0
            & ~ c1_1(a1707)
            & c3_1(a1707)
            & c0_1(a1707) ) )
        & ( ~ hskp69
          | ( ndr1_0
            & ~ c1_1(a1709)
            & c0_1(a1709)
            & c3_1(a1709) ) )
        & ( ~ hskp70
          | ( ndr1_0
            & ~ c0_1(a1710)
            & ~ c3_1(a1710)
            & c1_1(a1710) ) )
        & ( ~ hskp71
          | ( ndr1_0
            & ~ c2_1(a1713)
            & c3_1(a1713)
            & c0_1(a1713) ) )
        & ( ~ hskp72
          | ( ndr1_0
            & ~ c2_1(a1715)
            & c1_1(a1715)
            & c3_1(a1715) ) )
        & ( ~ hskp73
          | ( ndr1_0
            & c2_1(a1716)
            & ~ c3_1(a1716)
            & c0_1(a1716) ) )
        & ( ~ hskp74
          | ( ndr1_0
            & ~ c3_1(a1717)
            & c0_1(a1717)
            & c2_1(a1717) ) )
        & ( ~ hskp75
          | ( ndr1_0
            & c0_1(a1724)
            & ~ c2_1(a1724)
            & c3_1(a1724) ) )
        & ( hskp0
          | ! [U] : 
              ( ndr1_0
             => ( ~ c2_1(U)
                | ~ c0_1(U)
                | c3_1(U) ) )
          | hskp42 )
        & ( hskp43
          | hskp44
          | hskp45 )
        & ( ! [V] : 
              ( ndr1_0
             => ( c0_1(V)
                | ~ c1_1(V)
                | c2_1(V) ) )
          | hskp46
          | ! [W] : 
              ( ndr1_0
             => ( ~ c2_1(W)
                | c0_1(W)
                | ~ c3_1(W) ) ) )
        & ( ! [X] : 
              ( ndr1_0
             => ( c2_1(X)
                | c0_1(X)
                | c3_1(X) ) )
          | hskp1
          | ! [Y] : 
              ( ndr1_0
             => ( c1_1(Y)
                | ~ c0_1(Y)
                | c2_1(Y) ) ) )
        & ( hskp47
          | hskp2
          | hskp3 )
        & ( ! [Z] : 
              ( ndr1_0
             => ( c1_1(Z)
                | c0_1(Z)
                | ~ c3_1(Z) ) )
          | hskp4
          | hskp5 )
        & ( ! [X1] : 
              ( ndr1_0
             => ( ~ c0_1(X1)
                | ~ c3_1(X1)
                | c2_1(X1) ) )
          | hskp48
          | hskp6 )
        & ( ! [X2] : 
              ( ndr1_0
             => ( c2_1(X2)
                | c0_1(X2)
                | ~ c1_1(X2) ) )
          | ! [X3] : 
              ( ndr1_0
             => ( c1_1(X3)
                | c2_1(X3)
                | c0_1(X3) ) )
          | hskp49 )
        & ( hskp50
          | ! [X4] : 
              ( ndr1_0
             => ( ~ c1_1(X4)
                | ~ c0_1(X4)
                | ~ c2_1(X4) ) )
          | hskp51 )
        & ( hskp52
          | ! [X5] : 
              ( ndr1_0
             => ( ~ c2_1(X5)
                | ~ c0_1(X5)
                | c3_1(X5) ) )
          | hskp7 )
        & ( hskp53
          | hskp8
          | hskp54 )
        & ( ! [X6] : 
              ( ndr1_0
             => ( c2_1(X6)
                | c3_1(X6)
                | c0_1(X6) ) )
          | ! [X7] : 
              ( ndr1_0
             => ( ~ c0_1(X7)
                | c1_1(X7)
                | ~ c2_1(X7) ) )
          | ! [X8] : 
              ( ndr1_0
             => ( ~ c0_1(X8)
                | ~ c3_1(X8)
                | ~ c2_1(X8) ) ) )
        & ( hskp2
          | ! [X9] : 
              ( ndr1_0
             => ( c3_1(X9)
                | c1_1(X9)
                | ~ c0_1(X9) ) )
          | ! [X10] : 
              ( ndr1_0
             => ( ~ c1_1(X10)
                | c3_1(X10)
                | ~ c0_1(X10) ) ) )
        & ( hskp9
          | hskp55
          | ! [X11] : 
              ( ndr1_0
             => ( ~ c0_1(X11)
                | ~ c2_1(X11)
                | c3_1(X11) ) ) )
        & ( ! [X12] : 
              ( ndr1_0
             => ( ~ c0_1(X12)
                | c1_1(X12)
                | c3_1(X12) ) )
          | ! [X13] : 
              ( ndr1_0
             => ( c2_1(X13)
                | c0_1(X13)
                | ~ c3_1(X13) ) )
          | ! [X14] : 
              ( ndr1_0
             => ( c2_1(X14)
                | ~ c3_1(X14)
                | ~ c0_1(X14) ) ) )
        & ( hskp56
          | ! [X15] : 
              ( ndr1_0
             => ( c2_1(X15)
                | c3_1(X15)
                | c0_1(X15) ) )
          | hskp10 )
        & ( ! [X16] : 
              ( ndr1_0
             => ( ~ c0_1(X16)
                | c2_1(X16)
                | ~ c3_1(X16) ) )
          | hskp11
          | hskp57 )
        & ( hskp12
          | hskp13
          | ! [X17] : 
              ( ndr1_0
             => ( ~ c2_1(X17)
                | ~ c3_1(X17)
                | ~ c1_1(X17) ) ) )
        & ( hskp58
          | hskp59
          | ! [X18] : 
              ( ndr1_0
             => ( c1_1(X18)
                | ~ c0_1(X18)
                | c2_1(X18) ) ) )
        & ( hskp10
          | hskp14
          | hskp15 )
        & ( ! [X19] : 
              ( ndr1_0
             => ( ~ c2_1(X19)
                | c1_1(X19)
                | ~ c3_1(X19) ) )
          | ! [X20] : 
              ( ndr1_0
             => ( ~ c3_1(X20)
                | c2_1(X20)
                | c0_1(X20) ) )
          | ! [X21] : 
              ( ndr1_0
             => ( c2_1(X21)
                | ~ c0_1(X21)
                | ~ c3_1(X21) ) ) )
        & ( hskp60
          | ! [X22] : 
              ( ndr1_0
             => ( c0_1(X22)
                | c1_1(X22)
                | ~ c3_1(X22) ) )
          | ! [X23] : 
              ( ndr1_0
             => ( c3_1(X23)
                | ~ c2_1(X23)
                | c1_1(X23) ) ) )
        & ( ! [X24] : 
              ( ndr1_0
             => ( ~ c1_1(X24)
                | ~ c3_1(X24)
                | c0_1(X24) ) )
          | hskp61
          | hskp62 )
        & ( ! [X25] : 
              ( ndr1_0
             => ( ~ c1_1(X25)
                | ~ c2_1(X25)
                | c3_1(X25) ) )
          | ! [X26] : 
              ( ndr1_0
             => ( ~ c0_1(X26)
                | ~ c3_1(X26)
                | c1_1(X26) ) )
          | ! [X27] : 
              ( ndr1_0
             => ( c0_1(X27)
                | ~ c3_1(X27)
                | c1_1(X27) ) ) )
        & ( hskp63
          | ! [X28] : 
              ( ndr1_0
             => ( c1_1(X28)
                | ~ c0_1(X28)
                | ~ c3_1(X28) ) )
          | ! [X29] : 
              ( ndr1_0
             => ( ~ c2_1(X29)
                | ~ c1_1(X29)
                | ~ c3_1(X29) ) ) )
        & ( ! [X30] : 
              ( ndr1_0
             => ( ~ c0_1(X30)
                | c1_1(X30)
                | ~ c3_1(X30) ) )
          | hskp16
          | hskp17 )
        & ( hskp60
          | hskp18
          | ! [X31] : 
              ( ndr1_0
             => ( c1_1(X31)
                | ~ c2_1(X31)
                | c3_1(X31) ) ) )
        & ( hskp19
          | ! [X32] : 
              ( ndr1_0
             => ( ~ c0_1(X32)
                | ~ c1_1(X32)
                | c3_1(X32) ) )
          | hskp20 )
        & ( ! [X33] : 
              ( ndr1_0
             => ( ~ c1_1(X33)
                | c0_1(X33)
                | c2_1(X33) ) )
          | hskp21
          | ! [X34] : 
              ( ndr1_0
             => ( ~ c1_1(X34)
                | c2_1(X34)
                | c3_1(X34) ) ) )
        & ( ! [X35] : 
              ( ndr1_0
             => ( ~ c2_1(X35)
                | c0_1(X35)
                | c3_1(X35) ) )
          | hskp22
          | ! [X36] : 
              ( ndr1_0
             => ( c3_1(X36)
                | ~ c0_1(X36)
                | c2_1(X36) ) ) )
        & ( hskp23
          | hskp64
          | hskp65 )
        & ( hskp61
          | hskp24
          | ! [X37] : 
              ( ndr1_0
             => ( ~ c3_1(X37)
                | c1_1(X37)
                | c0_1(X37) ) ) )
        & ( hskp25
          | ! [X38] : 
              ( ndr1_0
             => ( c1_1(X38)
                | c0_1(X38)
                | c3_1(X38) ) )
          | ! [X39] : 
              ( ndr1_0
             => ( ~ c1_1(X39)
                | ~ c3_1(X39)
                | c0_1(X39) ) ) )
        & ( ! [X40] : 
              ( ndr1_0
             => ( ~ c2_1(X40)
                | ~ c3_1(X40)
                | ~ c0_1(X40) ) )
          | hskp26
          | ! [X41] : 
              ( ndr1_0
             => ( ~ c2_1(X41)
                | ~ c3_1(X41)
                | c1_1(X41) ) ) )
        & ( hskp66
          | hskp27
          | hskp28 )
        & ( hskp29
          | hskp52
          | hskp53 )
        & ( ! [X42] : 
              ( ndr1_0
             => ( ~ c0_1(X42)
                | ~ c1_1(X42)
                | c2_1(X42) ) )
          | ! [X43] : 
              ( ndr1_0
             => ( c0_1(X43)
                | ~ c3_1(X43)
                | c1_1(X43) ) )
          | hskp30 )
        & ( hskp63
          | hskp31
          | hskp32 )
        & ( ! [X44] : 
              ( ndr1_0
             => ( c1_1(X44)
                | ~ c3_1(X44)
                | ~ c2_1(X44) ) )
          | ! [X45] : 
              ( ndr1_0
             => ( ~ c3_1(X45)
                | ~ c0_1(X45)
                | c1_1(X45) ) )
          | hskp67 )
        & ( ! [X46] : 
              ( ndr1_0
             => ( c2_1(X46)
                | ~ c0_1(X46)
                | ~ c3_1(X46) ) )
          | hskp61
          | hskp33 )
        & ( hskp34
          | ! [X47] : 
              ( ndr1_0
             => ( ~ c1_1(X47)
                | ~ c3_1(X47)
                | c2_1(X47) ) )
          | ! [X48] : 
              ( ndr1_0
             => ( c1_1(X48)
                | ~ c0_1(X48)
                | ~ c2_1(X48) ) ) )
        & ( hskp35
          | hskp68
          | ! [X49] : 
              ( ndr1_0
             => ( c0_1(X49)
                | ~ c1_1(X49)
                | c2_1(X49) ) ) )
        & ( ! [X50] : 
              ( ndr1_0
             => ( c2_1(X50)
                | ~ c1_1(X50)
                | ~ c3_1(X50) ) )
          | ! [X51] : 
              ( ndr1_0
             => ( ~ c1_1(X51)
                | ~ c0_1(X51)
                | ~ c3_1(X51) ) )
          | hskp13 )
        & ( hskp69
          | ! [X52] : 
              ( ndr1_0
             => ( ~ c1_1(X52)
                | c2_1(X52)
                | c3_1(X52) ) )
          | ! [X53] : 
              ( ndr1_0
             => ( ~ c3_1(X53)
                | c0_1(X53)
                | c1_1(X53) ) ) )
        & ( hskp70
          | ! [X54] : 
              ( ndr1_0
             => ( c1_1(X54)
                | c0_1(X54)
                | ~ c2_1(X54) ) )
          | ! [X55] : 
              ( ndr1_0
             => ( c2_1(X55)
                | c0_1(X55)
                | c3_1(X55) ) ) )
        & ( ! [X56] : 
              ( ndr1_0
             => ( ~ c2_1(X56)
                | ~ c1_1(X56)
                | ~ c0_1(X56) ) )
          | ! [X57] : 
              ( ndr1_0
             => ( c2_1(X57)
                | ~ c1_1(X57)
                | ~ c3_1(X57) ) )
          | hskp0 )
        & ( ! [X58] : 
              ( ndr1_0
             => ( c2_1(X58)
                | ~ c1_1(X58)
                | c0_1(X58) ) )
          | hskp36
          | hskp71 )
        & ( ! [X59] : 
              ( ndr1_0
             => ( c2_1(X59)
                | c1_1(X59)
                | c3_1(X59) ) )
          | ! [X60] : 
              ( ndr1_0
             => ( c1_1(X60)
                | c2_1(X60)
                | c0_1(X60) ) )
          | ! [X61] : 
              ( ndr1_0
             => ( c3_1(X61)
                | ~ c0_1(X61)
                | ~ c2_1(X61) ) ) )
        & ( hskp37
          | ! [X62] : 
              ( ndr1_0
             => ( c3_1(X62)
                | c0_1(X62)
                | c2_1(X62) ) )
          | hskp72 )
        & ( hskp73
          | ! [X63] : 
              ( ndr1_0
             => ( ~ c1_1(X63)
                | ~ c3_1(X63)
                | c0_1(X63) ) )
          | ! [X64] : 
              ( ndr1_0
             => ( ~ c3_1(X64)
                | ~ c2_1(X64)
                | c1_1(X64) ) ) )
        & ( hskp74
          | hskp38
          | ! [X65] : 
              ( ndr1_0
             => ( ~ c3_1(X65)
                | ~ c2_1(X65)
                | ~ c0_1(X65) ) ) )
        & ( ! [X66] : 
              ( ndr1_0
             => ( ~ c1_1(X66)
                | ~ c0_1(X66)
                | ~ c3_1(X66) ) )
          | hskp47
          | ! [X67] : 
              ( ndr1_0
             => ( ~ c0_1(X67)
                | c3_1(X67)
                | c2_1(X67) ) ) )
        & ( ! [X68] : 
              ( ndr1_0
             => ( c1_1(X68)
                | c2_1(X68)
                | ~ c3_1(X68) ) )
          | ! [X69] : 
              ( ndr1_0
             => ( ~ c3_1(X69)
                | ~ c0_1(X69)
                | ~ c1_1(X69) ) )
          | ! [X70] : 
              ( ndr1_0
             => ( ~ c0_1(X70)
                | c2_1(X70)
                | c1_1(X70) ) ) )
        & ( ! [X71] : 
              ( ndr1_0
             => ( ~ c2_1(X71)
                | c1_1(X71)
                | c3_1(X71) ) )
          | hskp57
          | ! [X72] : 
              ( ndr1_0
             => ( c2_1(X72)
                | c3_1(X72)
                | ~ c0_1(X72) ) ) )
        & ( hskp39
          | ! [X73] : 
              ( ndr1_0
             => ( c0_1(X73)
                | ~ c3_1(X73)
                | ~ c2_1(X73) ) )
          | ! [X74] : 
              ( ndr1_0
             => ( c2_1(X74)
                | ~ c0_1(X74)
                | ~ c3_1(X74) ) ) )
        & ( ! [X75] : 
              ( ndr1_0
             => ( c0_1(X75)
                | c1_1(X75)
                | ~ c3_1(X75) ) )
          | hskp29
          | ! [X76] : 
              ( ndr1_0
             => ( ~ c0_1(X76)
                | c1_1(X76)
                | ~ c3_1(X76) ) ) )
        & ( hskp61
          | ! [X77] : 
              ( ndr1_0
             => ( c2_1(X77)
                | ~ c0_1(X77)
                | ~ c1_1(X77) ) )
          | ! [X78] : 
              ( ndr1_0
             => ( ~ c0_1(X78)
                | c2_1(X78)
                | c3_1(X78) ) ) )
        & ( ! [X79] : 
              ( ndr1_0
             => ( ~ c2_1(X79)
                | c3_1(X79)
                | ~ c1_1(X79) ) )
          | hskp75
          | ! [X80] : 
              ( ndr1_0
             => ( ~ c3_1(X80)
                | c1_1(X80)
                | c2_1(X80) ) ) )
        & ( ! [X81] : 
              ( ndr1_0
             => ( c1_1(X81)
                | ~ c2_1(X81)
                | c3_1(X81) ) )
          | hskp40
          | ! [X82] : 
              ( ndr1_0
             => ( ~ c0_1(X82)
                | ~ c1_1(X82)
                | ~ c3_1(X82) ) ) )
        & ( ! [X83] : 
              ( ndr1_0
             => ( c2_1(X83)
                | ~ c1_1(X83)
                | c0_1(X83) ) )
          | hskp41
          | hskp30 ) ) )).

%--------------------------------------------------------------------------
