%--------------------------------------------------------------------------
% File     : SYN459+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=60, K=3, D=1, P=0, Index=073
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-60-3-1-073.dfg [Wei97]

% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
%
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
%
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  605 (   0 equality)
%            Maximal formula depth :   89 (  89 average)
%            Number of connectives :  826 ( 222 ~  ; 342  |; 163  &)
%                                         (   0 <=>;  99 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   31 (  27 propositional; 0-1 arity)
%            Number of functors    :   26 (  26 constant; 0-0 arity)
%            Number of variables   :   99 (   0 singleton;  99 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%--------------------------------------------------------------------------
fof(co1,conjecture,
    ( ~ ( ( ~ hskp0
          | ( ndr1_0
            & ~ c0_1(a188)
            & ~ c1_1(a188)
            & ~ c3_1(a188) ) )
        & ( ~ hskp1
          | ( ndr1_0
            & c0_1(a190)
            & c2_1(a190)
            & ~ c3_1(a190) ) )
        & ( ~ hskp2
          | ( ndr1_0
            & ~ c1_1(a191)
            & ~ c2_1(a191)
            & ~ c3_1(a191) ) )
        & ( ~ hskp3
          | ( ndr1_0
            & c0_1(a192)
            & c1_1(a192)
            & ~ c3_1(a192) ) )
        & ( ~ hskp4
          | ( ndr1_0
            & c1_1(a193)
            & ~ c0_1(a193)
            & ~ c3_1(a193) ) )
        & ( ~ hskp5
          | ( ndr1_0
            & c0_1(a194)
            & ~ c1_1(a194)
            & ~ c2_1(a194) ) )
        & ( ~ hskp6
          | ( ndr1_0
            & c0_1(a195)
            & ~ c1_1(a195)
            & ~ c3_1(a195) ) )
        & ( ~ hskp7
          | ( ndr1_0
            & c1_1(a197)
            & ~ c0_1(a197)
            & ~ c2_1(a197) ) )
        & ( ~ hskp8
          | ( ndr1_0
            & c1_1(a198)
            & c3_1(a198)
            & ~ c2_1(a198) ) )
        & ( ~ hskp9
          | ( ndr1_0
            & c2_1(a199)
            & ~ c0_1(a199)
            & ~ c1_1(a199) ) )
        & ( ~ hskp10
          | ( ndr1_0
            & c0_1(a200)
            & c3_1(a200)
            & ~ c1_1(a200) ) )
        & ( ~ hskp11
          | ( ndr1_0
            & c0_1(a202)
            & ~ c2_1(a202)
            & ~ c3_1(a202) ) )
        & ( ~ hskp12
          | ( ndr1_0
            & ~ c0_1(a206)
            & ~ c2_1(a206)
            & ~ c3_1(a206) ) )
        & ( ~ hskp13
          | ( ndr1_0
            & c1_1(a209)
            & c3_1(a209)
            & ~ c0_1(a209) ) )
        & ( ~ hskp14
          | ( ndr1_0
            & c2_1(a210)
            & c3_1(a210)
            & ~ c1_1(a210) ) )
        & ( ~ hskp15
          | ( ndr1_0
            & c2_1(a214)
            & ~ c0_1(a214)
            & ~ c3_1(a214) ) )
        & ( ~ hskp16
          | ( ndr1_0
            & ~ c0_1(a221)
            & ~ c1_1(a221)
            & ~ c2_1(a221) ) )
        & ( ~ hskp17
          | ( ndr1_0
            & c1_1(a222)
            & c2_1(a222)
            & ~ c3_1(a222) ) )
        & ( ~ hskp18
          | ( ndr1_0
            & c3_1(a223)
            & ~ c1_1(a223)
            & ~ c2_1(a223) ) )
        & ( ~ hskp19
          | ( ndr1_0
            & c3_1(a225)
            & ~ c0_1(a225)
            & ~ c1_1(a225) ) )
        & ( ~ hskp20
          | ( ndr1_0
            & c2_1(a233)
            & c3_1(a233)
            & ~ c0_1(a233) ) )
        & ( ~ hskp21
          | ( ndr1_0
            & c2_1(a257)
            & ~ c1_1(a257)
            & ~ c3_1(a257) ) )
        & ( ~ hskp22
          | ( ndr1_0
            & c3_1(a259)
            & ~ c0_1(a259)
            & ~ c2_1(a259) ) )
        & ( ~ hskp23
          | ( ndr1_0
            & c0_1(a189)
            & c1_1(a189)
            & c3_1(a189) ) )
        & ( ~ hskp24
          | ( ndr1_0
            & c1_1(a215)
            & c2_1(a215)
            & c3_1(a215) ) )
        & ( ~ hskp25
          | ( ndr1_0
            & c0_1(a230)
            & c1_1(a230)
            & c2_1(a230) ) )
        & ( ! [U] : 
              ( ndr1_0
             => ( c0_1(U)
                | c1_1(U)
                | c2_1(U) ) )
          | ! [V] : 
              ( ndr1_0
             => ( c0_1(V)
                | c2_1(V)
                | ~ c3_1(V) ) )
          | ! [W] : 
              ( ndr1_0
             => ( c1_1(W)
                | c2_1(W)
                | c3_1(W) ) ) )
        & ( ! [X] : 
              ( ndr1_0
             => ( c0_1(X)
                | c1_1(X)
                | c2_1(X) ) )
          | ! [Y] : 
              ( ndr1_0
             => ( c2_1(Y)
                | ~ c0_1(Y)
                | ~ c3_1(Y) ) )
          | hskp0 )
        & ( ! [Z] : 
              ( ndr1_0
             => ( c0_1(Z)
                | c1_1(Z)
                | c3_1(Z) ) )
          | ! [X1] : 
              ( ndr1_0
             => ( c0_1(X1)
                | c2_1(X1)
                | ~ c1_1(X1) ) )
          | hskp23 )
        & ( ! [X2] : 
              ( ndr1_0
             => ( c0_1(X2)
                | c1_1(X2)
                | c3_1(X2) ) )
          | hskp1 )
        & ( ! [X3] : 
              ( ndr1_0
             => ( c0_1(X3)
                | c1_1(X3)
                | ~ c2_1(X3) ) )
          | ! [X4] : 
              ( ndr1_0
             => ( c0_1(X4)
                | ~ c1_1(X4)
                | ~ c2_1(X4) ) )
          | ! [X5] : 
              ( ndr1_0
             => ( c1_1(X5)
                | c2_1(X5)
                | ~ c3_1(X5) ) ) )
        & ( ! [X6] : 
              ( ndr1_0
             => ( c0_1(X6)
                | c1_1(X6)
                | ~ c2_1(X6) ) )
          | ! [X7] : 
              ( ndr1_0
             => ( c0_1(X7)
                | ~ c1_1(X7)
                | ~ c3_1(X7) ) )
          | ! [X8] : 
              ( ndr1_0
             => ( c1_1(X8)
                | c2_1(X8)
                | ~ c0_1(X8) ) ) )
        & ( ! [X9] : 
              ( ndr1_0
             => ( c0_1(X9)
                | c1_1(X9)
                | ~ c3_1(X9) ) )
          | ! [X10] : 
              ( ndr1_0
             => ( c3_1(X10)
                | ~ c0_1(X10)
                | ~ c1_1(X10) ) )
          | hskp2 )
        & ( ! [X11] : 
              ( ndr1_0
             => ( c0_1(X11)
                | c1_1(X11)
                | ~ c3_1(X11) ) )
          | hskp3
          | hskp4 )
        & ( ! [X12] : 
              ( ndr1_0
             => ( c0_1(X12)
                | c2_1(X12)
                | c3_1(X12) ) )
          | hskp5
          | hskp6 )
        & ( ! [X13] : 
              ( ndr1_0
             => ( c0_1(X13)
                | c2_1(X13)
                | c3_1(X13) ) )
          | hskp6 )
        & ( ! [X14] : 
              ( ndr1_0
             => ( c0_1(X14)
                | c2_1(X14)
                | ~ c1_1(X14) ) )
          | ! [X15] : 
              ( ndr1_0
             => ( ~ c1_1(X15)
                | ~ c2_1(X15)
                | ~ c3_1(X15) ) )
          | hskp7 )
        & ( ! [X16] : 
              ( ndr1_0
             => ( c0_1(X16)
                | c2_1(X16)
                | ~ c1_1(X16) ) )
          | hskp8
          | hskp9 )
        & ( ! [X17] : 
              ( ndr1_0
             => ( c0_1(X17)
                | c2_1(X17)
                | ~ c3_1(X17) ) )
          | ! [X18] : 
              ( ndr1_0
             => ( c0_1(X18)
                | ~ c1_1(X18)
                | ~ c2_1(X18) ) )
          | ! [X19] : 
              ( ndr1_0
             => ( c1_1(X19)
                | ~ c0_1(X19)
                | ~ c3_1(X19) ) ) )
        & ( ! [X20] : 
              ( ndr1_0
             => ( c0_1(X20)
                | c2_1(X20)
                | ~ c3_1(X20) ) )
          | ! [X21] : 
              ( ndr1_0
             => ( c1_1(X21)
                | c3_1(X21)
                | ~ c2_1(X21) ) )
          | ! [X22] : 
              ( ndr1_0
             => ( c3_1(X22)
                | ~ c0_1(X22)
                | ~ c2_1(X22) ) ) )
        & ( ! [X23] : 
              ( ndr1_0
             => ( c0_1(X23)
                | c2_1(X23)
                | ~ c3_1(X23) ) )
          | ! [X24] : 
              ( ndr1_0
             => ( c2_1(X24)
                | c3_1(X24)
                | ~ c0_1(X24) ) )
          | hskp10 )
        & ( ! [X25] : 
              ( ndr1_0
             => ( c0_1(X25)
                | c3_1(X25)
                | ~ c1_1(X25) ) )
          | ! [X26] : 
              ( ndr1_0
             => ( c0_1(X26)
                | c3_1(X26)
                | ~ c2_1(X26) ) )
          | hskp5 )
        & ( ! [X27] : 
              ( ndr1_0
             => ( c0_1(X27)
                | c3_1(X27)
                | ~ c2_1(X27) ) )
          | ! [X28] : 
              ( ndr1_0
             => ( c2_1(X28)
                | c3_1(X28)
                | ~ c0_1(X28) ) )
          | ! [X29] : 
              ( ndr1_0
             => ( ~ c0_1(X29)
                | ~ c1_1(X29)
                | ~ c2_1(X29) ) ) )
        & ( ! [X30] : 
              ( ndr1_0
             => ( c0_1(X30)
                | c3_1(X30)
                | ~ c2_1(X30) ) )
          | hskp11
          | hskp9 )
        & ( ! [X31] : 
              ( ndr1_0
             => ( c0_1(X31)
                | ~ c1_1(X31)
                | ~ c2_1(X31) ) )
          | ! [X32] : 
              ( ndr1_0
             => ( c1_1(X32)
                | c2_1(X32)
                | ~ c0_1(X32) ) )
          | hskp2 )
        & ( ! [X33] : 
              ( ndr1_0
             => ( c0_1(X33)
                | ~ c1_1(X33)
                | ~ c2_1(X33) ) )
          | ! [X34] : 
              ( ndr1_0
             => ( c2_1(X34)
                | ~ c1_1(X34)
                | ~ c3_1(X34) ) )
          | hskp0 )
        & ( ! [X35] : 
              ( ndr1_0
             => ( c0_1(X35)
                | ~ c1_1(X35)
                | ~ c2_1(X35) ) )
          | ! [X36] : 
              ( ndr1_0
             => ( c3_1(X36)
                | ~ c0_1(X36)
                | ~ c1_1(X36) ) )
          | hskp12 )
        & ( ! [X37] : 
              ( ndr1_0
             => ( c0_1(X37)
                | ~ c1_1(X37)
                | ~ c2_1(X37) ) )
          | ! [X38] : 
              ( ndr1_0
             => ( ~ c0_1(X38)
                | ~ c2_1(X38)
                | ~ c3_1(X38) ) )
          | hskp6 )
        & ( ! [X39] : 
              ( ndr1_0
             => ( c0_1(X39)
                | ~ c1_1(X39)
                | ~ c3_1(X39) ) )
          | ! [X40] : 
              ( ndr1_0
             => ( c1_1(X40)
                | c2_1(X40)
                | c3_1(X40) ) )
          | hskp10 )
        & ( ! [X41] : 
              ( ndr1_0
             => ( c0_1(X41)
                | ~ c2_1(X41)
                | ~ c3_1(X41) ) )
          | ! [X42] : 
              ( ndr1_0
             => ( c1_1(X42)
                | c2_1(X42)
                | c3_1(X42) ) )
          | hskp13 )
        & ( ! [X43] : 
              ( ndr1_0
             => ( c0_1(X43)
                | ~ c2_1(X43)
                | ~ c3_1(X43) ) )
          | ! [X44] : 
              ( ndr1_0
             => ( c1_1(X44)
                | ~ c2_1(X44)
                | ~ c3_1(X44) ) )
          | hskp14 )
        & ( ! [X45] : 
              ( ndr1_0
             => ( c0_1(X45)
                | ~ c2_1(X45)
                | ~ c3_1(X45) ) )
          | ! [X46] : 
              ( ndr1_0
             => ( ~ c0_1(X46)
                | ~ c1_1(X46)
                | ~ c2_1(X46) ) )
          | hskp7 )
        & ( ! [X47] : 
              ( ndr1_0
             => ( c0_1(X47)
                | ~ c2_1(X47)
                | ~ c3_1(X47) ) )
          | hskp8
          | hskp4 )
        & ( ! [X48] : 
              ( ndr1_0
             => ( c1_1(X48)
                | c2_1(X48)
                | c3_1(X48) ) )
          | ! [X49] : 
              ( ndr1_0
             => ( c2_1(X49)
                | c3_1(X49)
                | ~ c1_1(X49) ) )
          | hskp15 )
        & ( ! [X50] : 
              ( ndr1_0
             => ( c1_1(X50)
                | c2_1(X50)
                | ~ c0_1(X50) ) )
          | ! [X51] : 
              ( ndr1_0
             => ( c1_1(X51)
                | ~ c0_1(X51)
                | ~ c3_1(X51) ) )
          | hskp24 )
        & ( ! [X52] : 
              ( ndr1_0
             => ( c1_1(X52)
                | c2_1(X52)
                | ~ c0_1(X52) ) )
          | ! [X53] : 
              ( ndr1_0
             => ( c2_1(X53)
                | c3_1(X53)
                | ~ c0_1(X53) ) )
          | ! [X54] : 
              ( ndr1_0
             => ( ~ c0_1(X54)
                | ~ c1_1(X54)
                | ~ c2_1(X54) ) ) )
        & ( ! [X55] : 
              ( ndr1_0
             => ( c1_1(X55)
                | c2_1(X55)
                | ~ c0_1(X55) ) )
          | ! [X56] : 
              ( ndr1_0
             => ( c3_1(X56)
                | ~ c0_1(X56)
                | ~ c2_1(X56) ) )
          | hskp1 )
        & ( ! [X57] : 
              ( ndr1_0
             => ( c1_1(X57)
                | c2_1(X57)
                | ~ c0_1(X57) ) )
          | ! [X58] : 
              ( ndr1_0
             => ( ~ c0_1(X58)
                | ~ c1_1(X58)
                | ~ c3_1(X58) ) )
          | hskp9 )
        & ( ! [X59] : 
              ( ndr1_0
             => ( c1_1(X59)
                | c2_1(X59)
                | ~ c3_1(X59) ) )
          | ! [X60] : 
              ( ndr1_0
             => ( c2_1(X60)
                | c3_1(X60)
                | ~ c0_1(X60) ) )
          | hskp1 )
        & ( ! [X61] : 
              ( ndr1_0
             => ( c1_1(X61)
                | c2_1(X61)
                | ~ c3_1(X61) ) )
          | ! [X62] : 
              ( ndr1_0
             => ( c3_1(X62)
                | ~ c0_1(X62)
                | ~ c1_1(X62) ) )
          | hskp13 )
        & ( ! [X63] : 
              ( ndr1_0
             => ( c1_1(X63)
                | c3_1(X63)
                | ~ c0_1(X63) ) )
          | ! [X64] : 
              ( ndr1_0
             => ( ~ c0_1(X64)
                | ~ c1_1(X64)
                | ~ c3_1(X64) ) )
          | ! [X65] : 
              ( ndr1_0
             => ( ~ c0_1(X65)
                | ~ c2_1(X65)
                | ~ c3_1(X65) ) ) )
        & ( ! [X66] : 
              ( ndr1_0
             => ( c1_1(X66)
                | c3_1(X66)
                | ~ c0_1(X66) ) )
          | hskp23
          | hskp16 )
        & ( ! [X67] : 
              ( ndr1_0
             => ( c1_1(X67)
                | c3_1(X67)
                | ~ c0_1(X67) ) )
          | hskp17
          | hskp18 )
        & ( ! [X68] : 
              ( ndr1_0
             => ( c1_1(X68)
                | c3_1(X68)
                | ~ c2_1(X68) ) )
          | ! [X69] : 
              ( ndr1_0
             => ( c2_1(X69)
                | ~ c0_1(X69)
                | ~ c1_1(X69) ) )
          | hskp24 )
        & ( ! [X70] : 
              ( ndr1_0
             => ( c1_1(X70)
                | c3_1(X70)
                | ~ c2_1(X70) ) )
          | ! [X71] : 
              ( ndr1_0
             => ( c3_1(X71)
                | ~ c0_1(X71)
                | ~ c2_1(X71) ) )
          | hskp19 )
        & ( ! [X72] : 
              ( ndr1_0
             => ( c1_1(X72)
                | ~ c0_1(X72)
                | ~ c2_1(X72) ) )
          | ! [X73] : 
              ( ndr1_0
             => ( c2_1(X73)
                | c3_1(X73)
                | ~ c0_1(X73) ) )
          | ! [X74] : 
              ( ndr1_0
             => ( ~ c0_1(X74)
                | ~ c1_1(X74)
                | ~ c2_1(X74) ) ) )
        & ( ! [X75] : 
              ( ndr1_0
             => ( c1_1(X75)
                | ~ c2_1(X75)
                | ~ c3_1(X75) ) )
          | ! [X76] : 
              ( ndr1_0
             => ( c2_1(X76)
                | ~ c0_1(X76)
                | ~ c3_1(X76) ) )
          | ! [X77] : 
              ( ndr1_0
             => ( c3_1(X77)
                | ~ c0_1(X77)
                | ~ c1_1(X77) ) ) )
        & ( ! [X78] : 
              ( ndr1_0
             => ( c2_1(X78)
                | c3_1(X78)
                | ~ c0_1(X78) ) )
          | ! [X79] : 
              ( ndr1_0
             => ( c3_1(X79)
                | ~ c1_1(X79)
                | ~ c2_1(X79) ) )
          | ! [X80] : 
              ( ndr1_0
             => ( ~ c0_1(X80)
                | ~ c1_1(X80)
                | ~ c3_1(X80) ) ) )
        & ( ! [X81] : 
              ( ndr1_0
             => ( c2_1(X81)
                | c3_1(X81)
                | ~ c0_1(X81) ) )
          | ! [X82] : 
              ( ndr1_0
             => ( ~ c1_1(X82)
                | ~ c2_1(X82)
                | ~ c3_1(X82) ) )
          | hskp13 )
        & ( ! [X83] : 
              ( ndr1_0
             => ( c2_1(X83)
                | c3_1(X83)
                | ~ c1_1(X83) ) )
          | hskp3
          | hskp12 )
        & ( ! [X84] : 
              ( ndr1_0
             => ( c2_1(X84)
                | ~ c0_1(X84)
                | ~ c1_1(X84) ) )
          | ! [X85] : 
              ( ndr1_0
             => ( c3_1(X85)
                | ~ c1_1(X85)
                | ~ c2_1(X85) ) )
          | hskp12 )
        & ( ! [X86] : 
              ( ndr1_0
             => ( c2_1(X86)
                | ~ c0_1(X86)
                | ~ c1_1(X86) ) )
          | hskp25
          | hskp16 )
        & ( ! [X87] : 
              ( ndr1_0
             => ( c2_1(X87)
                | ~ c0_1(X87)
                | ~ c3_1(X87) ) )
          | hskp4
          | hskp20 )
        & ( ! [X88] : 
              ( ndr1_0
             => ( c3_1(X88)
                | ~ c0_1(X88)
                | ~ c1_1(X88) ) )
          | hskp7
          | hskp4 )
        & ( ! [X89] : 
              ( ndr1_0
             => ( c3_1(X89)
                | ~ c0_1(X89)
                | ~ c1_1(X89) ) )
          | hskp7
          | hskp9 )
        & ( ! [X90] : 
              ( ndr1_0
             => ( c3_1(X90)
                | ~ c0_1(X90)
                | ~ c2_1(X90) ) )
          | hskp10
          | hskp24 )
        & ( ! [X91] : 
              ( ndr1_0
             => ( ~ c0_1(X91)
                | ~ c1_1(X91)
                | ~ c3_1(X91) ) )
          | hskp1
          | hskp2 )
        & ( ! [X92] : 
              ( ndr1_0
             => ( ~ c0_1(X92)
                | ~ c2_1(X92)
                | ~ c3_1(X92) ) )
          | hskp23
          | hskp5 )
        & ( ! [X93] : 
              ( ndr1_0
             => ( ~ c0_1(X93)
                | ~ c2_1(X93)
                | ~ c3_1(X93) ) )
          | hskp16
          | hskp12 )
        & ( hskp25
          | hskp15
          | hskp2 )
        & ( hskp23
          | hskp9
          | hskp2 )
        & ( hskp1
          | hskp9
          | hskp0 )
        & ( hskp5
          | hskp15
          | hskp21 )
        & ( hskp24
          | hskp22
          | hskp2 )
        & ( hskp7
          | hskp14
          | hskp9 )
        & ( hskp14
          | hskp15
          | hskp12 ) ) )).

%--------------------------------------------------------------------------
