%--------------------------------------------------------------------------
% File     : SYN460+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=60, K=3, D=1, P=0, Index=077
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-60-3-1-077.dfg [Wei97]

% Status   : Theorem
% Rating   : 0.44 v3.1.0, 0.67 v2.7.0, 0.33 v2.5.0, 0.67 v2.4.0, 0.33 v2.2.1, 1.00 v2.1.0
%
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
%
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  786 (   0 equality)
%            Maximal formula depth :  127 ( 127 average)
%            Number of connectives : 1074 ( 289 ~  ; 386  |; 295  &)
%                                         (   0 <=>; 104 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   64 (  60 propositional; 0-1 arity)
%            Number of functors    :   59 (  59 constant; 0-0 arity)
%            Number of variables   :  104 (   0 singleton; 104 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%--------------------------------------------------------------------------
fof(co1,conjecture,
    ( ~ ( ( ~ hskp0
          | ( ndr1_0
            & ~ c0_1(a2181)
            & ~ c1_1(a2181)
            & ~ c2_1(a2181) ) )
        & ( ~ hskp1
          | ( ndr1_0
            & c3_1(a2182)
            & ~ c0_1(a2182)
            & ~ c2_1(a2182) ) )
        & ( ~ hskp2
          | ( ndr1_0
            & c3_1(a2187)
            & c1_1(a2187)
            & ~ c2_1(a2187) ) )
        & ( ~ hskp3
          | ( ndr1_0
            & c2_1(a2190)
            & ~ c1_1(a2190)
            & ~ c0_1(a2190) ) )
        & ( ~ hskp4
          | ( ndr1_0
            & c3_1(a2191)
            & ~ c2_1(a2191)
            & ~ c1_1(a2191) ) )
        & ( ~ hskp5
          | ( ndr1_0
            & ~ c0_1(a2192)
            & c1_1(a2192)
            & ~ c3_1(a2192) ) )
        & ( ~ hskp6
          | ( ndr1_0
            & ~ c0_1(a2197)
            & ~ c3_1(a2197)
            & ~ c1_1(a2197) ) )
        & ( ~ hskp7
          | ( ndr1_0
            & c2_1(a2198)
            & c0_1(a2198)
            & ~ c3_1(a2198) ) )
        & ( ~ hskp8
          | ( ndr1_0
            & ~ c2_1(a2202)
            & ~ c1_1(a2202)
            & ~ c0_1(a2202) ) )
        & ( ~ hskp9
          | ( ndr1_0
            & ~ c1_1(a2203)
            & c0_1(a2203)
            & ~ c3_1(a2203) ) )
        & ( ~ hskp10
          | ( ndr1_0
            & ~ c2_1(a2206)
            & ~ c0_1(a2206)
            & ~ c3_1(a2206) ) )
        & ( ~ hskp11
          | ( ndr1_0
            & c0_1(a2209)
            & ~ c1_1(a2209)
            & ~ c2_1(a2209) ) )
        & ( ~ hskp12
          | ( ndr1_0
            & c2_1(a2211)
            & ~ c1_1(a2211)
            & ~ c3_1(a2211) ) )
        & ( ~ hskp13
          | ( ndr1_0
            & c0_1(a2212)
            & c2_1(a2212)
            & ~ c3_1(a2212) ) )
        & ( ~ hskp14
          | ( ndr1_0
            & ~ c1_1(a2213)
            & c2_1(a2213)
            & ~ c0_1(a2213) ) )
        & ( ~ hskp15
          | ( ndr1_0
            & ~ c3_1(a2217)
            & c1_1(a2217)
            & ~ c0_1(a2217) ) )
        & ( ~ hskp16
          | ( ndr1_0
            & ~ c2_1(a2220)
            & ~ c1_1(a2220)
            & ~ c3_1(a2220) ) )
        & ( ~ hskp17
          | ( ndr1_0
            & ~ c0_1(a2221)
            & c2_1(a2221)
            & ~ c3_1(a2221) ) )
        & ( ~ hskp18
          | ( ndr1_0
            & c0_1(a2222)
            & c3_1(a2222)
            & ~ c2_1(a2222) ) )
        & ( ~ hskp19
          | ( ndr1_0
            & ~ c0_1(a2233)
            & ~ c1_1(a2233)
            & ~ c3_1(a2233) ) )
        & ( ~ hskp20
          | ( ndr1_0
            & c1_1(a2237)
            & c0_1(a2237)
            & ~ c3_1(a2237) ) )
        & ( ~ hskp21
          | ( ndr1_0
            & c2_1(a2239)
            & ~ c0_1(a2239)
            & ~ c3_1(a2239) ) )
        & ( ~ hskp22
          | ( ndr1_0
            & c0_1(a2244)
            & ~ c2_1(a2244)
            & ~ c1_1(a2244) ) )
        & ( ~ hskp23
          | ( ndr1_0
            & c3_1(a2245)
            & c0_1(a2245)
            & ~ c1_1(a2245) ) )
        & ( ~ hskp24
          | ( ndr1_0
            & c1_1(a2246)
            & ~ c0_1(a2246)
            & ~ c3_1(a2246) ) )
        & ( ~ hskp25
          | ( ndr1_0
            & c3_1(a2249)
            & c2_1(a2249)
            & ~ c0_1(a2249) ) )
        & ( ~ hskp26
          | ( ndr1_0
            & ~ c3_1(a2178)
            & c0_1(a2178)
            & c2_1(a2178) ) )
        & ( ~ hskp27
          | ( ndr1_0
            & ~ c1_1(a2179)
            & ~ c2_1(a2179)
            & c0_1(a2179) ) )
        & ( ~ hskp28
          | ( ndr1_0
            & c3_1(a2180)
            & c1_1(a2180)
            & c2_1(a2180) ) )
        & ( ~ hskp29
          | ( ndr1_0
            & ~ c0_1(a2183)
            & c2_1(a2183)
            & c3_1(a2183) ) )
        & ( ~ hskp30
          | ( ndr1_0
            & ~ c3_1(a2184)
            & ~ c1_1(a2184)
            & c0_1(a2184) ) )
        & ( ~ hskp31
          | ( ndr1_0
            & c1_1(a2185)
            & ~ c2_1(a2185)
            & c3_1(a2185) ) )
        & ( ~ hskp32
          | ( ndr1_0
            & ~ c3_1(a2186)
            & ~ c2_1(a2186)
            & c0_1(a2186) ) )
        & ( ~ hskp33
          | ( ndr1_0
            & ~ c3_1(a2188)
            & ~ c2_1(a2188)
            & c1_1(a2188) ) )
        & ( ~ hskp34
          | ( ndr1_0
            & ~ c0_1(a2189)
            & c1_1(a2189)
            & c3_1(a2189) ) )
        & ( ~ hskp35
          | ( ndr1_0
            & c2_1(a2193)
            & ~ c0_1(a2193)
            & c3_1(a2193) ) )
        & ( ~ hskp36
          | ( ndr1_0
            & c3_1(a2194)
            & ~ c2_1(a2194)
            & c1_1(a2194) ) )
        & ( ~ hskp37
          | ( ndr1_0
            & c1_1(a2196)
            & ~ c0_1(a2196)
            & c2_1(a2196) ) )
        & ( ~ hskp38
          | ( ndr1_0
            & ~ c0_1(a2200)
            & ~ c2_1(a2200)
            & c1_1(a2200) ) )
        & ( ~ hskp39
          | ( ndr1_0
            & ~ c1_1(a2201)
            & ~ c0_1(a2201)
            & c3_1(a2201) ) )
        & ( ~ hskp40
          | ( ndr1_0
            & c2_1(a2204)
            & ~ c1_1(a2204)
            & c3_1(a2204) ) )
        & ( ~ hskp41
          | ( ndr1_0
            & c2_1(a2205)
            & ~ c0_1(a2205)
            & c1_1(a2205) ) )
        & ( ~ hskp42
          | ( ndr1_0
            & c1_1(a2207)
            & ~ c3_1(a2207)
            & c0_1(a2207) ) )
        & ( ~ hskp43
          | ( ndr1_0
            & ~ c2_1(a2208)
            & c3_1(a2208)
            & c0_1(a2208) ) )
        & ( ~ hskp44
          | ( ndr1_0
            & ~ c0_1(a2215)
            & c2_1(a2215)
            & c1_1(a2215) ) )
        & ( ~ hskp45
          | ( ndr1_0
            & c2_1(a2216)
            & c3_1(a2216)
            & c0_1(a2216) ) )
        & ( ~ hskp46
          | ( ndr1_0
            & c0_1(a2218)
            & ~ c3_1(a2218)
            & c2_1(a2218) ) )
        & ( ~ hskp47
          | ( ndr1_0
            & c2_1(a2226)
            & ~ c1_1(a2226)
            & c0_1(a2226) ) )
        & ( ~ hskp48
          | ( ndr1_0
            & ~ c0_1(a2228)
            & c3_1(a2228)
            & c2_1(a2228) ) )
        & ( ~ hskp49
          | ( ndr1_0
            & c0_1(a2229)
            & ~ c1_1(a2229)
            & c3_1(a2229) ) )
        & ( ~ hskp50
          | ( ndr1_0
            & ~ c3_1(a2231)
            & c2_1(a2231)
            & c1_1(a2231) ) )
        & ( ~ hskp51
          | ( ndr1_0
            & c0_1(a2232)
            & c3_1(a2232)
            & c2_1(a2232) ) )
        & ( ~ hskp52
          | ( ndr1_0
            & c1_1(a2234)
            & c3_1(a2234)
            & c2_1(a2234) ) )
        & ( ~ hskp53
          | ( ndr1_0
            & c0_1(a2235)
            & c2_1(a2235)
            & c3_1(a2235) ) )
        & ( ~ hskp54
          | ( ndr1_0
            & c1_1(a2240)
            & c3_1(a2240)
            & c0_1(a2240) ) )
        & ( ~ hskp55
          | ( ndr1_0
            & c1_1(a2241)
            & c0_1(a2241)
            & c2_1(a2241) ) )
        & ( ~ hskp56
          | ( ndr1_0
            & ~ c1_1(a2242)
            & ~ c3_1(a2242)
            & c2_1(a2242) ) )
        & ( ~ hskp57
          | ( ndr1_0
            & c1_1(a2243)
            & c0_1(a2243)
            & c3_1(a2243) ) )
        & ( ~ hskp58
          | ( ndr1_0
            & ~ c2_1(a2252)
            & ~ c1_1(a2252)
            & c0_1(a2252) ) )
        & ( hskp26
          | ! [U] : 
              ( ndr1_0
             => ( c0_1(U)
                | c1_1(U)
                | ~ c2_1(U) ) )
          | ! [V] : 
              ( ndr1_0
             => ( ~ c1_1(V)
                | ~ c3_1(V)
                | c0_1(V) ) ) )
        & ( ! [W] : 
              ( ndr1_0
             => ( c3_1(W)
                | c1_1(W)
                | c2_1(W) ) )
          | hskp27
          | hskp28 )
        & ( ! [X] : 
              ( ndr1_0
             => ( ~ c2_1(X)
                | ~ c0_1(X)
                | ~ c1_1(X) ) )
          | hskp0
          | ! [Y] : 
              ( ndr1_0
             => ( ~ c0_1(Y)
                | ~ c2_1(Y)
                | ~ c1_1(Y) ) ) )
        & ( hskp1
          | ! [Z] : 
              ( ndr1_0
             => ( ~ c1_1(Z)
                | c0_1(Z)
                | c3_1(Z) ) )
          | ! [X1] : 
              ( ndr1_0
             => ( c3_1(X1)
                | c1_1(X1)
                | c0_1(X1) ) ) )
        & ( hskp29
          | hskp30
          | hskp31 )
        & ( hskp32
          | hskp2
          | ! [X2] : 
              ( ndr1_0
             => ( c3_1(X2)
                | c1_1(X2)
                | c0_1(X2) ) ) )
        & ( hskp33
          | ! [X3] : 
              ( ndr1_0
             => ( ~ c0_1(X3)
                | c1_1(X3)
                | ~ c2_1(X3) ) )
          | hskp34 )
        & ( ! [X4] : 
              ( ndr1_0
             => ( ~ c1_1(X4)
                | ~ c0_1(X4)
                | ~ c2_1(X4) ) )
          | ! [X5] : 
              ( ndr1_0
             => ( c1_1(X5)
                | ~ c3_1(X5)
                | c2_1(X5) ) )
          | ! [X6] : 
              ( ndr1_0
             => ( ~ c0_1(X6)
                | c2_1(X6)
                | c3_1(X6) ) ) )
        & ( ! [X7] : 
              ( ndr1_0
             => ( ~ c3_1(X7)
                | ~ c2_1(X7)
                | c1_1(X7) ) )
          | ! [X8] : 
              ( ndr1_0
             => ( c3_1(X8)
                | c1_1(X8)
                | ~ c2_1(X8) ) )
          | hskp3 )
        & ( ! [X9] : 
              ( ndr1_0
             => ( c0_1(X9)
                | ~ c1_1(X9)
                | ~ c2_1(X9) ) )
          | ! [X10] : 
              ( ndr1_0
             => ( c2_1(X10)
                | ~ c1_1(X10)
                | c3_1(X10) ) )
          | hskp4 )
        & ( hskp5
          | hskp35
          | hskp36 )
        & ( ! [X11] : 
              ( ndr1_0
             => ( c1_1(X11)
                | c0_1(X11)
                | c2_1(X11) ) )
          | ! [X12] : 
              ( ndr1_0
             => ( ~ c1_1(X12)
                | ~ c2_1(X12)
                | ~ c0_1(X12) ) )
          | ! [X13] : 
              ( ndr1_0
             => ( ~ c1_1(X13)
                | c3_1(X13)
                | c2_1(X13) ) ) )
        & ( hskp34
          | hskp37
          | hskp6 )
        & ( ! [X14] : 
              ( ndr1_0
             => ( c2_1(X14)
                | c3_1(X14)
                | ~ c0_1(X14) ) )
          | hskp7
          | hskp37 )
        & ( hskp38
          | ! [X15] : 
              ( ndr1_0
             => ( c3_1(X15)
                | ~ c1_1(X15)
                | ~ c0_1(X15) ) )
          | ! [X16] : 
              ( ndr1_0
             => ( c2_1(X16)
                | c1_1(X16)
                | c0_1(X16) ) ) )
        & ( ! [X17] : 
              ( ndr1_0
             => ( ~ c0_1(X17)
                | c2_1(X17)
                | ~ c1_1(X17) ) )
          | hskp39
          | ! [X18] : 
              ( ndr1_0
             => ( ~ c1_1(X18)
                | ~ c0_1(X18)
                | ~ c2_1(X18) ) ) )
        & ( hskp8
          | hskp9
          | ! [X19] : 
              ( ndr1_0
             => ( c2_1(X19)
                | c1_1(X19)
                | ~ c0_1(X19) ) ) )
        & ( ! [X20] : 
              ( ndr1_0
             => ( c3_1(X20)
                | ~ c0_1(X20)
                | c1_1(X20) ) )
          | ! [X21] : 
              ( ndr1_0
             => ( ~ c0_1(X21)
                | c3_1(X21)
                | ~ c2_1(X21) ) )
          | ! [X22] : 
              ( ndr1_0
             => ( c0_1(X22)
                | ~ c2_1(X22)
                | c1_1(X22) ) ) )
        & ( ! [X23] : 
              ( ndr1_0
             => ( c1_1(X23)
                | c3_1(X23)
                | ~ c0_1(X23) ) )
          | ! [X24] : 
              ( ndr1_0
             => ( ~ c3_1(X24)
                | c1_1(X24)
                | c2_1(X24) ) )
          | hskp40 )
        & ( ! [X25] : 
              ( ndr1_0
             => ( ~ c2_1(X25)
                | c3_1(X25)
                | c0_1(X25) ) )
          | hskp41
          | hskp10 )
        & ( ! [X26] : 
              ( ndr1_0
             => ( c2_1(X26)
                | ~ c1_1(X26)
                | c0_1(X26) ) )
          | ! [X27] : 
              ( ndr1_0
             => ( ~ c0_1(X27)
                | ~ c1_1(X27)
                | c2_1(X27) ) )
          | ! [X28] : 
              ( ndr1_0
             => ( c2_1(X28)
                | ~ c3_1(X28)
                | ~ c1_1(X28) ) ) )
        & ( ! [X29] : 
              ( ndr1_0
             => ( c1_1(X29)
                | c3_1(X29)
                | c0_1(X29) ) )
          | hskp42
          | hskp43 )
        & ( hskp11
          | hskp3
          | hskp12 )
        & ( hskp13
          | ! [X30] : 
              ( ndr1_0
             => ( c0_1(X30)
                | c1_1(X30)
                | ~ c3_1(X30) ) )
          | ! [X31] : 
              ( ndr1_0
             => ( ~ c0_1(X31)
                | c3_1(X31)
                | c1_1(X31) ) ) )
        & ( ! [X32] : 
              ( ndr1_0
             => ( c3_1(X32)
                | ~ c2_1(X32)
                | c0_1(X32) ) )
          | ! [X33] : 
              ( ndr1_0
             => ( ~ c0_1(X33)
                | ~ c3_1(X33)
                | ~ c2_1(X33) ) )
          | ! [X34] : 
              ( ndr1_0
             => ( ~ c3_1(X34)
                | c0_1(X34)
                | ~ c1_1(X34) ) ) )
        & ( hskp14
          | ! [X35] : 
              ( ndr1_0
             => ( ~ c0_1(X35)
                | c3_1(X35)
                | c2_1(X35) ) )
          | hskp4 )
        & ( ! [X36] : 
              ( ndr1_0
             => ( c0_1(X36)
                | c3_1(X36)
                | ~ c2_1(X36) ) )
          | ! [X37] : 
              ( ndr1_0
             => ( c1_1(X37)
                | c0_1(X37)
                | ~ c2_1(X37) ) )
          | ! [X38] : 
              ( ndr1_0
             => ( ~ c2_1(X38)
                | c1_1(X38)
                | ~ c3_1(X38) ) ) )
        & ( hskp44
          | ! [X39] : 
              ( ndr1_0
             => ( ~ c3_1(X39)
                | c2_1(X39)
                | ~ c0_1(X39) ) )
          | ! [X40] : 
              ( ndr1_0
             => ( c1_1(X40)
                | ~ c3_1(X40)
                | ~ c0_1(X40) ) ) )
        & ( hskp45
          | hskp15
          | ! [X41] : 
              ( ndr1_0
             => ( ~ c3_1(X41)
                | ~ c2_1(X41)
                | c1_1(X41) ) ) )
        & ( ! [X42] : 
              ( ndr1_0
             => ( ~ c0_1(X42)
                | c1_1(X42)
                | ~ c3_1(X42) ) )
          | hskp46
          | hskp34 )
        & ( ! [X43] : 
              ( ndr1_0
             => ( ~ c3_1(X43)
                | c2_1(X43)
                | ~ c0_1(X43) ) )
          | ! [X44] : 
              ( ndr1_0
             => ( c3_1(X44)
                | c2_1(X44)
                | c0_1(X44) ) )
          | ! [X45] : 
              ( ndr1_0
             => ( c1_1(X45)
                | c2_1(X45)
                | c3_1(X45) ) ) )
        & ( hskp16
          | hskp17
          | ! [X46] : 
              ( ndr1_0
             => ( c0_1(X46)
                | ~ c2_1(X46)
                | c1_1(X46) ) ) )
        & ( hskp18
          | ! [X47] : 
              ( ndr1_0
             => ( ~ c1_1(X47)
                | ~ c2_1(X47)
                | c3_1(X47) ) )
          | hskp31 )
        & ( ! [X48] : 
              ( ndr1_0
             => ( ~ c1_1(X48)
                | ~ c3_1(X48)
                | ~ c2_1(X48) ) )
          | hskp33
          | ! [X49] : 
              ( ndr1_0
             => ( ~ c2_1(X49)
                | ~ c1_1(X49)
                | c0_1(X49) ) ) )
        & ( ! [X50] : 
              ( ndr1_0
             => ( c1_1(X50)
                | ~ c0_1(X50)
                | c3_1(X50) ) )
          | hskp33
          | ! [X51] : 
              ( ndr1_0
             => ( c2_1(X51)
                | ~ c1_1(X51)
                | c0_1(X51) ) ) )
        & ( hskp47
          | ! [X52] : 
              ( ndr1_0
             => ( ~ c3_1(X52)
                | c0_1(X52)
                | c2_1(X52) ) )
          | ! [X53] : 
              ( ndr1_0
             => ( c1_1(X53)
                | c2_1(X53)
                | c3_1(X53) ) ) )
        & ( hskp18
          | ! [X54] : 
              ( ndr1_0
             => ( ~ c1_1(X54)
                | c3_1(X54)
                | c2_1(X54) ) )
          | ! [X55] : 
              ( ndr1_0
             => ( c3_1(X55)
                | ~ c1_1(X55)
                | c2_1(X55) ) ) )
        & ( ! [X56] : 
              ( ndr1_0
             => ( ~ c1_1(X56)
                | ~ c3_1(X56)
                | c0_1(X56) ) )
          | ! [X57] : 
              ( ndr1_0
             => ( ~ c2_1(X57)
                | c0_1(X57)
                | ~ c1_1(X57) ) )
          | hskp48 )
        & ( ! [X58] : 
              ( ndr1_0
             => ( c0_1(X58)
                | c1_1(X58)
                | ~ c3_1(X58) ) )
          | hskp49
          | hskp31 )
        & ( hskp50
          | hskp51
          | ! [X59] : 
              ( ndr1_0
             => ( ~ c1_1(X59)
                | c0_1(X59)
                | ~ c2_1(X59) ) ) )
        & ( ! [X60] : 
              ( ndr1_0
             => ( ~ c3_1(X60)
                | ~ c1_1(X60)
                | c0_1(X60) ) )
          | ! [X61] : 
              ( ndr1_0
             => ( c3_1(X61)
                | c0_1(X61)
                | ~ c2_1(X61) ) )
          | ! [X62] : 
              ( ndr1_0
             => ( ~ c1_1(X62)
                | c3_1(X62)
                | ~ c0_1(X62) ) ) )
        & ( ! [X63] : 
              ( ndr1_0
             => ( c3_1(X63)
                | ~ c2_1(X63)
                | c0_1(X63) ) )
          | hskp19
          | hskp52 )
        & ( ! [X64] : 
              ( ndr1_0
             => ( ~ c0_1(X64)
                | c3_1(X64)
                | c1_1(X64) ) )
          | hskp53
          | ! [X65] : 
              ( ndr1_0
             => ( c3_1(X65)
                | c2_1(X65)
                | c1_1(X65) ) ) )
        & ( ! [X66] : 
              ( ndr1_0
             => ( ~ c2_1(X66)
                | ~ c0_1(X66)
                | c3_1(X66) ) )
          | hskp10
          | ! [X67] : 
              ( ndr1_0
             => ( c2_1(X67)
                | ~ c3_1(X67)
                | c1_1(X67) ) ) )
        & ( hskp20
          | ! [X68] : 
              ( ndr1_0
             => ( ~ c1_1(X68)
                | ~ c3_1(X68)
                | ~ c2_1(X68) ) )
          | ! [X69] : 
              ( ndr1_0
             => ( c3_1(X69)
                | c1_1(X69)
                | ~ c0_1(X69) ) ) )
        & ( ! [X70] : 
              ( ndr1_0
             => ( ~ c3_1(X70)
                | c2_1(X70)
                | ~ c1_1(X70) ) )
          | ! [X71] : 
              ( ndr1_0
             => ( ~ c3_1(X71)
                | c2_1(X71)
                | ~ c0_1(X71) ) )
          | hskp10 )
        & ( hskp21
          | hskp54
          | hskp55 )
        & ( ! [X72] : 
              ( ndr1_0
             => ( c1_1(X72)
                | ~ c0_1(X72)
                | c2_1(X72) ) )
          | hskp56
          | ! [X73] : 
              ( ndr1_0
             => ( c1_1(X73)
                | ~ c0_1(X73)
                | ~ c2_1(X73) ) ) )
        & ( hskp57
          | ! [X74] : 
              ( ndr1_0
             => ( ~ c1_1(X74)
                | c0_1(X74)
                | c3_1(X74) ) )
          | hskp22 )
        & ( hskp23
          | hskp24
          | ! [X75] : 
              ( ndr1_0
             => ( ~ c0_1(X75)
                | ~ c3_1(X75)
                | c1_1(X75) ) ) )
        & ( hskp17
          | ! [X76] : 
              ( ndr1_0
             => ( ~ c2_1(X76)
                | c3_1(X76)
                | ~ c1_1(X76) ) ) )
        & ( ! [X77] : 
              ( ndr1_0
             => ( c2_1(X77)
                | c0_1(X77)
                | ~ c3_1(X77) ) )
          | ! [X78] : 
              ( ndr1_0
             => ( c0_1(X78)
                | c2_1(X78)
                | ~ c1_1(X78) ) )
          | ! [X79] : 
              ( ndr1_0
             => ( ~ c2_1(X79)
                | ~ c0_1(X79)
                | ~ c3_1(X79) ) ) )
        & ( ! [X80] : 
              ( ndr1_0
             => ( c1_1(X80)
                | c2_1(X80)
                | c3_1(X80) ) )
          | ! [X81] : 
              ( ndr1_0
             => ( c0_1(X81)
                | c1_1(X81)
                | c3_1(X81) ) )
          | ! [X82] : 
              ( ndr1_0
             => ( c2_1(X82)
                | ~ c0_1(X82)
                | ~ c3_1(X82) ) ) )
        & ( ! [X83] : 
              ( ndr1_0
             => ( c0_1(X83)
                | ~ c2_1(X83)
                | c1_1(X83) ) )
          | ! [X84] : 
              ( ndr1_0
             => ( c1_1(X84)
                | ~ c3_1(X84)
                | ~ c2_1(X84) ) )
          | ! [X85] : 
              ( ndr1_0
             => ( c2_1(X85)
                | ~ c0_1(X85)
                | c1_1(X85) ) ) )
        & ( hskp32
          | ! [X86] : 
              ( ndr1_0
             => ( ~ c0_1(X86)
                | c1_1(X86)
                | c2_1(X86) ) )
          | ! [X87] : 
              ( ndr1_0
             => ( c2_1(X87)
                | c1_1(X87)
                | ~ c3_1(X87) ) ) )
        & ( ! [X88] : 
              ( ndr1_0
             => ( c0_1(X88)
                | ~ c3_1(X88)
                | ~ c2_1(X88) ) )
          | ! [X89] : 
              ( ndr1_0
             => ( c3_1(X89)
                | c0_1(X89)
                | c2_1(X89) ) )
          | hskp25 )
        & ( ! [X90] : 
              ( ndr1_0
             => ( c3_1(X90)
                | c0_1(X90)
                | ~ c2_1(X90) ) )
          | hskp56
          | ! [X91] : 
              ( ndr1_0
             => ( c3_1(X91)
                | ~ c2_1(X91)
                | ~ c0_1(X91) ) ) )
        & ( ! [X92] : 
              ( ndr1_0
             => ( c3_1(X92)
                | c2_1(X92)
                | ~ c0_1(X92) ) )
          | ! [X93] : 
              ( ndr1_0
             => ( ~ c2_1(X93)
                | c0_1(X93)
                | c1_1(X93) ) )
          | ! [X94] : 
              ( ndr1_0
             => ( c3_1(X94)
                | ~ c0_1(X94)
                | ~ c2_1(X94) ) ) )
        & ( ! [X95] : 
              ( ndr1_0
             => ( c2_1(X95)
                | ~ c3_1(X95)
                | ~ c0_1(X95) ) )
          | ! [X96] : 
              ( ndr1_0
             => ( ~ c3_1(X96)
                | ~ c2_1(X96)
                | c0_1(X96) ) )
          | hskp40 )
        & ( hskp58
          | ! [X97] : 
              ( ndr1_0
             => ( ~ c3_1(X97)
                | c2_1(X97)
                | c1_1(X97) ) )
          | ! [X98] : 
              ( ndr1_0
             => ( ~ c3_1(X98)
                | c1_1(X98)
                | c2_1(X98) ) ) ) ) )).

%--------------------------------------------------------------------------
