%--------------------------------------------------------------------------
% File     : SYN464+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=60, K=3, D=1, P=0, Index=093
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-60-3-1-093.dfg [Wei97]

% Status   : CounterSatisfiable
% Rating   : 0.25 v3.1.0, 0.50 v2.5.0, 0.67 v2.2.1, 1.00 v2.1.0
%
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
%
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  803 (   0 equality)
%            Maximal formula depth :  138 ( 138 average)
%            Number of connectives : 1134 ( 332 ~  ; 372  |; 339  &)
%                                         (   0 <=>;  91 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   75 (  71 propositional; 0-1 arity)
%            Number of functors    :   70 (  70 constant; 0-0 arity)
%            Number of variables   :   91 (   0 singleton;  91 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%--------------------------------------------------------------------------
fof(co1,conjecture,
    ( ~ ( ( ~ hskp0
          | ( ndr1_0
            & c2_1(a2428)
            & ~ c1_1(a2428)
            & ~ c0_1(a2428) ) )
        & ( ~ hskp1
          | ( ndr1_0
            & ~ c1_1(a2430)
            & c2_1(a2430)
            & ~ c3_1(a2430) ) )
        & ( ~ hskp2
          | ( ndr1_0
            & c2_1(a2435)
            & c3_1(a2435)
            & ~ c1_1(a2435) ) )
        & ( ~ hskp3
          | ( ndr1_0
            & c1_1(a2438)
            & ~ c3_1(a2438)
            & ~ c0_1(a2438) ) )
        & ( ~ hskp4
          | ( ndr1_0
            & c0_1(a2440)
            & ~ c3_1(a2440)
            & ~ c2_1(a2440) ) )
        & ( ~ hskp5
          | ( ndr1_0
            & ~ c2_1(a2441)
            & c0_1(a2441)
            & ~ c3_1(a2441) ) )
        & ( ~ hskp6
          | ( ndr1_0
            & c0_1(a2442)
            & ~ c1_1(a2442)
            & ~ c2_1(a2442) ) )
        & ( ~ hskp7
          | ( ndr1_0
            & ~ c2_1(a2443)
            & ~ c0_1(a2443)
            & ~ c3_1(a2443) ) )
        & ( ~ hskp8
          | ( ndr1_0
            & c3_1(a2445)
            & ~ c0_1(a2445)
            & ~ c1_1(a2445) ) )
        & ( ~ hskp9
          | ( ndr1_0
            & ~ c0_1(a2446)
            & ~ c3_1(a2446)
            & ~ c1_1(a2446) ) )
        & ( ~ hskp10
          | ( ndr1_0
            & c3_1(a2448)
            & c1_1(a2448)
            & ~ c2_1(a2448) ) )
        & ( ~ hskp11
          | ( ndr1_0
            & ~ c2_1(a2453)
            & ~ c1_1(a2453)
            & ~ c0_1(a2453) ) )
        & ( ~ hskp12
          | ( ndr1_0
            & ~ c0_1(a2454)
            & ~ c1_1(a2454)
            & ~ c3_1(a2454) ) )
        & ( ~ hskp13
          | ( ndr1_0
            & c3_1(a2458)
            & c1_1(a2458)
            & ~ c0_1(a2458) ) )
        & ( ~ hskp14
          | ( ndr1_0
            & c2_1(a2462)
            & c3_1(a2462)
            & ~ c0_1(a2462) ) )
        & ( ~ hskp15
          | ( ndr1_0
            & c1_1(a2464)
            & ~ c0_1(a2464)
            & ~ c2_1(a2464) ) )
        & ( ~ hskp16
          | ( ndr1_0
            & ~ c0_1(a2466)
            & ~ c2_1(a2466)
            & ~ c3_1(a2466) ) )
        & ( ~ hskp17
          | ( ndr1_0
            & ~ c1_1(a2469)
            & ~ c0_1(a2469)
            & ~ c2_1(a2469) ) )
        & ( ~ hskp18
          | ( ndr1_0
            & c3_1(a2472)
            & c2_1(a2472)
            & ~ c0_1(a2472) ) )
        & ( ~ hskp19
          | ( ndr1_0
            & ~ c3_1(a2473)
            & c2_1(a2473)
            & ~ c1_1(a2473) ) )
        & ( ~ hskp20
          | ( ndr1_0
            & ~ c3_1(a2478)
            & ~ c0_1(a2478)
            & ~ c2_1(a2478) ) )
        & ( ~ hskp21
          | ( ndr1_0
            & ~ c0_1(a2482)
            & ~ c2_1(a2482)
            & ~ c1_1(a2482) ) )
        & ( ~ hskp22
          | ( ndr1_0
            & ~ c2_1(a2483)
            & c3_1(a2483)
            & ~ c1_1(a2483) ) )
        & ( ~ hskp23
          | ( ndr1_0
            & ~ c0_1(a2485)
            & c2_1(a2485)
            & ~ c1_1(a2485) ) )
        & ( ~ hskp24
          | ( ndr1_0
            & c2_1(a2486)
            & ~ c0_1(a2486)
            & ~ c1_1(a2486) ) )
        & ( ~ hskp25
          | ( ndr1_0
            & ~ c3_1(a2489)
            & c0_1(a2489)
            & ~ c2_1(a2489) ) )
        & ( ~ hskp26
          | ( ndr1_0
            & ~ c0_1(a2492)
            & c2_1(a2492)
            & ~ c3_1(a2492) ) )
        & ( ~ hskp27
          | ( ndr1_0
            & ~ c3_1(a2495)
            & ~ c2_1(a2495)
            & ~ c0_1(a2495) ) )
        & ( ~ hskp28
          | ( ndr1_0
            & ~ c1_1(a2497)
            & c3_1(a2497)
            & ~ c2_1(a2497) ) )
        & ( ~ hskp29
          | ( ndr1_0
            & c0_1(a2501)
            & c2_1(a2501)
            & ~ c1_1(a2501) ) )
        & ( ~ hskp30
          | ( ndr1_0
            & ~ c0_1(a2506)
            & ~ c3_1(a2506)
            & ~ c2_1(a2506) ) )
        & ( ~ hskp31
          | ( ndr1_0
            & c1_1(a2510)
            & ~ c3_1(a2510)
            & ~ c2_1(a2510) ) )
        & ( ~ hskp32
          | ( ndr1_0
            & ~ c3_1(a2511)
            & c1_1(a2511)
            & ~ c0_1(a2511) ) )
        & ( ~ hskp33
          | ( ndr1_0
            & c3_1(a2513)
            & c0_1(a2513)
            & ~ c2_1(a2513) ) )
        & ( ~ hskp34
          | ( ndr1_0
            & ~ c1_1(a2514)
            & ~ c3_1(a2514)
            & ~ c2_1(a2514) ) )
        & ( ~ hskp35
          | ( ndr1_0
            & c0_1(a2515)
            & ~ c2_1(a2515)
            & ~ c1_1(a2515) ) )
        & ( ~ hskp36
          | ( ndr1_0
            & ~ c3_1(a2429)
            & ~ c0_1(a2429)
            & c1_1(a2429) ) )
        & ( ~ hskp37
          | ( ndr1_0
            & ~ c0_1(a2431)
            & ~ c1_1(a2431)
            & c2_1(a2431) ) )
        & ( ~ hskp38
          | ( ndr1_0
            & c3_1(a2432)
            & ~ c1_1(a2432)
            & c2_1(a2432) ) )
        & ( ~ hskp39
          | ( ndr1_0
            & c2_1(a2433)
            & ~ c1_1(a2433)
            & c0_1(a2433) ) )
        & ( ~ hskp40
          | ( ndr1_0
            & c0_1(a2434)
            & c2_1(a2434)
            & c1_1(a2434) ) )
        & ( ~ hskp41
          | ( ndr1_0
            & c2_1(a2436)
            & c0_1(a2436)
            & c1_1(a2436) ) )
        & ( ~ hskp42
          | ( ndr1_0
            & ~ c2_1(a2437)
            & c0_1(a2437)
            & c1_1(a2437) ) )
        & ( ~ hskp43
          | ( ndr1_0
            & c2_1(a2439)
            & c3_1(a2439)
            & c1_1(a2439) ) )
        & ( ~ hskp44
          | ( ndr1_0
            & ~ c2_1(a2444)
            & c1_1(a2444)
            & c0_1(a2444) ) )
        & ( ~ hskp45
          | ( ndr1_0
            & ~ c0_1(a2447)
            & ~ c2_1(a2447)
            & c1_1(a2447) ) )
        & ( ~ hskp46
          | ( ndr1_0
            & c3_1(a2451)
            & c0_1(a2451)
            & c1_1(a2451) ) )
        & ( ~ hskp47
          | ( ndr1_0
            & ~ c2_1(a2452)
            & ~ c1_1(a2452)
            & c0_1(a2452) ) )
        & ( ~ hskp48
          | ( ndr1_0
            & c3_1(a2455)
            & c2_1(a2455)
            & c0_1(a2455) ) )
        & ( ~ hskp49
          | ( ndr1_0
            & ~ c1_1(a2456)
            & ~ c2_1(a2456)
            & c3_1(a2456) ) )
        & ( ~ hskp50
          | ( ndr1_0
            & ~ c1_1(a2457)
            & c3_1(a2457)
            & c2_1(a2457) ) )
        & ( ~ hskp51
          | ( ndr1_0
            & ~ c0_1(a2459)
            & c3_1(a2459)
            & c1_1(a2459) ) )
        & ( ~ hskp52
          | ( ndr1_0
            & c0_1(a2460)
            & ~ c3_1(a2460)
            & c2_1(a2460) ) )
        & ( ~ hskp53
          | ( ndr1_0
            & c1_1(a2461)
            & ~ c0_1(a2461)
            & c3_1(a2461) ) )
        & ( ~ hskp54
          | ( ndr1_0
            & ~ c3_1(a2463)
            & ~ c2_1(a2463)
            & c1_1(a2463) ) )
        & ( ~ hskp55
          | ( ndr1_0
            & ~ c1_1(a2468)
            & c0_1(a2468)
            & c3_1(a2468) ) )
        & ( ~ hskp56
          | ( ndr1_0
            & ~ c3_1(a2471)
            & c0_1(a2471)
            & c2_1(a2471) ) )
        & ( ~ hskp57
          | ( ndr1_0
            & c3_1(a2475)
            & c2_1(a2475)
            & c1_1(a2475) ) )
        & ( ~ hskp58
          | ( ndr1_0
            & ~ c0_1(a2476)
            & ~ c2_1(a2476)
            & c3_1(a2476) ) )
        & ( ~ hskp59
          | ( ndr1_0
            & c0_1(a2479)
            & ~ c1_1(a2479)
            & c2_1(a2479) ) )
        & ( ~ hskp60
          | ( ndr1_0
            & ~ c1_1(a2487)
            & ~ c3_1(a2487)
            & c0_1(a2487) ) )
        & ( ~ hskp61
          | ( ndr1_0
            & ~ c2_1(a2491)
            & ~ c3_1(a2491)
            & c1_1(a2491) ) )
        & ( ~ hskp62
          | ( ndr1_0
            & c3_1(a2493)
            & c0_1(a2493)
            & c2_1(a2493) ) )
        & ( ~ hskp63
          | ( ndr1_0
            & ~ c0_1(a2494)
            & c2_1(a2494)
            & c1_1(a2494) ) )
        & ( ~ hskp64
          | ( ndr1_0
            & c1_1(a2498)
            & ~ c3_1(a2498)
            & c2_1(a2498) ) )
        & ( ~ hskp65
          | ( ndr1_0
            & ~ c1_1(a2499)
            & ~ c2_1(a2499)
            & c0_1(a2499) ) )
        & ( ~ hskp66
          | ( ndr1_0
            & ~ c2_1(a2502)
            & ~ c0_1(a2502)
            & c3_1(a2502) ) )
        & ( ~ hskp67
          | ( ndr1_0
            & c0_1(a2503)
            & c2_1(a2503)
            & c3_1(a2503) ) )
        & ( ~ hskp68
          | ( ndr1_0
            & c0_1(a2505)
            & ~ c3_1(a2505)
            & c1_1(a2505) ) )
        & ( ~ hskp69
          | ( ndr1_0
            & ~ c3_1(a2509)
            & ~ c1_1(a2509)
            & c2_1(a2509) ) )
        & ( ! [U] : 
              ( ndr1_0
             => ( c3_1(U)
                | ~ c2_1(U)
                | c1_1(U) ) )
          | hskp0
          | hskp36 )
        & ( hskp1
          | ! [V] : 
              ( ndr1_0
             => ( ~ c2_1(V)
                | ~ c0_1(V)
                | c3_1(V) ) )
          | ! [W] : 
              ( ndr1_0
             => ( c0_1(W)
                | ~ c3_1(W)
                | ~ c1_1(W) ) ) )
        & ( ! [X] : 
              ( ndr1_0
             => ( ~ c2_1(X)
                | c3_1(X)
                | c1_1(X) ) )
          | hskp37
          | hskp38 )
        & ( hskp39
          | ! [Y] : 
              ( ndr1_0
             => ( c0_1(Y)
                | ~ c2_1(Y)
                | ~ c1_1(Y) ) )
          | ! [Z] : 
              ( ndr1_0
             => ( ~ c2_1(Z)
                | c3_1(Z)
                | ~ c1_1(Z) ) ) )
        & ( hskp40
          | hskp2
          | ! [X1] : 
              ( ndr1_0
             => ( ~ c3_1(X1)
                | ~ c0_1(X1)
                | ~ c1_1(X1) ) ) )
        & ( ! [X2] : 
              ( ndr1_0
             => ( ~ c0_1(X2)
                | ~ c2_1(X2)
                | ~ c3_1(X2) ) )
          | hskp41
          | ! [X3] : 
              ( ndr1_0
             => ( c0_1(X3)
                | ~ c1_1(X3)
                | ~ c3_1(X3) ) ) )
        & ( hskp42
          | hskp3
          | ! [X4] : 
              ( ndr1_0
             => ( ~ c3_1(X4)
                | ~ c0_1(X4)
                | ~ c1_1(X4) ) ) )
        & ( ! [X5] : 
              ( ndr1_0
             => ( c3_1(X5)
                | ~ c1_1(X5)
                | c0_1(X5) ) )
          | hskp43
          | hskp4 )
        & ( ! [X6] : 
              ( ndr1_0
             => ( ~ c2_1(X6)
                | ~ c0_1(X6)
                | ~ c3_1(X6) ) )
          | ! [X7] : 
              ( ndr1_0
             => ( ~ c3_1(X7)
                | ~ c1_1(X7)
                | ~ c2_1(X7) ) )
          | hskp5 )
        & ( hskp6
          | ! [X8] : 
              ( ndr1_0
             => ( c2_1(X8)
                | c1_1(X8)
                | c3_1(X8) ) )
          | ! [X9] : 
              ( ndr1_0
             => ( ~ c2_1(X9)
                | ~ c0_1(X9)
                | ~ c1_1(X9) ) ) )
        & ( hskp7
          | hskp44
          | hskp8 )
        & ( ! [X10] : 
              ( ndr1_0
             => ( c3_1(X10)
                | c0_1(X10)
                | c2_1(X10) ) )
          | hskp9
          | hskp45 )
        & ( hskp10
          | hskp0
          | hskp41 )
        & ( ! [X11] : 
              ( ndr1_0
             => ( ~ c1_1(X11)
                | ~ c0_1(X11)
                | ~ c3_1(X11) ) )
          | hskp46
          | ! [X12] : 
              ( ndr1_0
             => ( c1_1(X12)
                | c0_1(X12)
                | c2_1(X12) ) ) )
        & ( hskp47
          | ! [X13] : 
              ( ndr1_0
             => ( c3_1(X13)
                | ~ c0_1(X13)
                | c2_1(X13) ) )
          | ! [X14] : 
              ( ndr1_0
             => ( ~ c1_1(X14)
                | ~ c3_1(X14)
                | ~ c2_1(X14) ) ) )
        & ( hskp11
          | ! [X15] : 
              ( ndr1_0
             => ( ~ c0_1(X15)
                | c3_1(X15)
                | ~ c1_1(X15) ) )
          | hskp12 )
        & ( ! [X16] : 
              ( ndr1_0
             => ( c0_1(X16)
                | ~ c2_1(X16)
                | ~ c1_1(X16) ) )
          | ! [X17] : 
              ( ndr1_0
             => ( ~ c3_1(X17)
                | ~ c0_1(X17)
                | c2_1(X17) ) )
          | ! [X18] : 
              ( ndr1_0
             => ( c0_1(X18)
                | ~ c3_1(X18)
                | c1_1(X18) ) ) )
        & ( hskp48
          | hskp49
          | hskp50 )
        & ( ! [X19] : 
              ( ndr1_0
             => ( ~ c0_1(X19)
                | ~ c3_1(X19)
                | c1_1(X19) ) )
          | hskp13
          | ! [X20] : 
              ( ndr1_0
             => ( ~ c2_1(X20)
                | ~ c0_1(X20)
                | ~ c3_1(X20) ) ) )
        & ( ! [X21] : 
              ( ndr1_0
             => ( ~ c1_1(X21)
                | c0_1(X21)
                | c3_1(X21) ) )
          | ! [X22] : 
              ( ndr1_0
             => ( c3_1(X22)
                | c1_1(X22)
                | c0_1(X22) ) )
          | ! [X23] : 
              ( ndr1_0
             => ( c0_1(X23)
                | c3_1(X23)
                | c2_1(X23) ) ) )
        & ( hskp51
          | ! [X24] : 
              ( ndr1_0
             => ( ~ c1_1(X24)
                | c0_1(X24)
                | c3_1(X24) ) )
          | hskp52 )
        & ( hskp53
          | hskp14
          | hskp54 )
        & ( ! [X25] : 
              ( ndr1_0
             => ( c3_1(X25)
                | c1_1(X25)
                | ~ c0_1(X25) ) )
          | ! [X26] : 
              ( ndr1_0
             => ( c0_1(X26)
                | c2_1(X26)
                | c3_1(X26) ) )
          | ! [X27] : 
              ( ndr1_0
             => ( c2_1(X27)
                | c0_1(X27)
                | ~ c1_1(X27) ) ) )
        & ( hskp15
          | ! [X28] : 
              ( ndr1_0
             => ( ~ c1_1(X28)
                | ~ c2_1(X28)
                | c3_1(X28) ) )
          | ! [X29] : 
              ( ndr1_0
             => ( c1_1(X29)
                | ~ c3_1(X29)
                | ~ c0_1(X29) ) ) )
        & ( ! [X30] : 
              ( ndr1_0
             => ( ~ c1_1(X30)
                | c3_1(X30)
                | ~ c2_1(X30) ) )
          | ! [X31] : 
              ( ndr1_0
             => ( ~ c1_1(X31)
                | ~ c0_1(X31)
                | c3_1(X31) ) )
          | hskp36 )
        & ( ! [X32] : 
              ( ndr1_0
             => ( c1_1(X32)
                | c2_1(X32)
                | ~ c0_1(X32) ) )
          | hskp16
          | ! [X33] : 
              ( ndr1_0
             => ( c0_1(X33)
                | c2_1(X33)
                | ~ c3_1(X33) ) ) )
        & ( ! [X34] : 
              ( ndr1_0
             => ( c1_1(X34)
                | ~ c2_1(X34)
                | ~ c3_1(X34) ) )
          | hskp8
          | hskp55 )
        & ( hskp17
          | hskp38
          | hskp56 )
        & ( hskp18
          | ! [X35] : 
              ( ndr1_0
             => ( c2_1(X35)
                | c1_1(X35)
                | ~ c3_1(X35) ) )
          | hskp19 )
        & ( ! [X36] : 
              ( ndr1_0
             => ( ~ c2_1(X36)
                | ~ c3_1(X36)
                | ~ c0_1(X36) ) )
          | hskp12
          | hskp57 )
        & ( ! [X37] : 
              ( ndr1_0
             => ( c2_1(X37)
                | c1_1(X37)
                | ~ c0_1(X37) ) )
          | ! [X38] : 
              ( ndr1_0
             => ( c3_1(X38)
                | c2_1(X38)
                | c1_1(X38) ) )
          | ! [X39] : 
              ( ndr1_0
             => ( c0_1(X39)
                | ~ c3_1(X39)
                | c1_1(X39) ) ) )
        & ( ! [X40] : 
              ( ndr1_0
             => ( ~ c1_1(X40)
                | ~ c0_1(X40)
                | c2_1(X40) ) )
          | ! [X41] : 
              ( ndr1_0
             => ( ~ c3_1(X41)
                | c1_1(X41)
                | ~ c0_1(X41) ) )
          | ! [X42] : 
              ( ndr1_0
             => ( ~ c2_1(X42)
                | ~ c1_1(X42)
                | c3_1(X42) ) ) )
        & ( hskp58
          | ! [X43] : 
              ( ndr1_0
             => ( ~ c1_1(X43)
                | c2_1(X43)
                | ~ c3_1(X43) ) )
          | hskp7 )
        & ( ! [X44] : 
              ( ndr1_0
             => ( c2_1(X44)
                | c1_1(X44)
                | ~ c0_1(X44) ) )
          | ! [X45] : 
              ( ndr1_0
             => ( c3_1(X45)
                | c0_1(X45)
                | ~ c2_1(X45) ) )
          | ! [X46] : 
              ( ndr1_0
             => ( c3_1(X46)
                | ~ c2_1(X46)
                | c1_1(X46) ) ) )
        & ( hskp20
          | ! [X47] : 
              ( ndr1_0
             => ( c2_1(X47)
                | c1_1(X47)
                | ~ c3_1(X47) ) )
          | ! [X48] : 
              ( ndr1_0
             => ( ~ c2_1(X48)
                | ~ c1_1(X48)
                | c3_1(X48) ) ) )
        & ( hskp59
          | ! [X49] : 
              ( ndr1_0
             => ( ~ c1_1(X49)
                | ~ c0_1(X49)
                | ~ c2_1(X49) ) )
          | hskp38 )
        & ( hskp13
          | ! [X50] : 
              ( ndr1_0
             => ( c3_1(X50)
                | c2_1(X50)
                | c1_1(X50) ) )
          | ! [X51] : 
              ( ndr1_0
             => ( ~ c0_1(X51)
                | ~ c1_1(X51)
                | c2_1(X51) ) ) )
        & ( ! [X52] : 
              ( ndr1_0
             => ( ~ c0_1(X52)
                | c1_1(X52)
                | ~ c2_1(X52) ) )
          | hskp21
          | ! [X53] : 
              ( ndr1_0
             => ( c2_1(X53)
                | c1_1(X53)
                | ~ c0_1(X53) ) ) )
        & ( ! [X54] : 
              ( ndr1_0
             => ( ~ c1_1(X54)
                | ~ c0_1(X54)
                | ~ c3_1(X54) ) )
          | ! [X55] : 
              ( ndr1_0
             => ( c0_1(X55)
                | c3_1(X55)
                | ~ c2_1(X55) ) )
          | ! [X56] : 
              ( ndr1_0
             => ( ~ c2_1(X56)
                | ~ c1_1(X56)
                | ~ c0_1(X56) ) ) )
        & ( ! [X57] : 
              ( ndr1_0
             => ( ~ c1_1(X57)
                | ~ c0_1(X57)
                | c3_1(X57) ) )
          | ! [X58] : 
              ( ndr1_0
             => ( c1_1(X58)
                | c0_1(X58)
                | ~ c3_1(X58) ) )
          | hskp22 )
        & ( ! [X59] : 
              ( ndr1_0
             => ( c0_1(X59)
                | c1_1(X59)
                | c2_1(X59) ) )
          | hskp57
          | hskp23 )
        & ( hskp24
          | ! [X60] : 
              ( ndr1_0
             => ( ~ c0_1(X60)
                | c2_1(X60)
                | c3_1(X60) ) )
          | hskp60 )
        & ( hskp54
          | hskp25
          | ! [X61] : 
              ( ndr1_0
             => ( ~ c3_1(X61)
                | ~ c0_1(X61)
                | ~ c2_1(X61) ) ) )
        & ( ! [X62] : 
              ( ndr1_0
             => ( ~ c0_1(X62)
                | ~ c1_1(X62)
                | ~ c2_1(X62) ) )
          | ! [X63] : 
              ( ndr1_0
             => ( ~ c2_1(X63)
                | c1_1(X63)
                | ~ c0_1(X63) ) )
          | hskp54 )
        & ( ! [X64] : 
              ( ndr1_0
             => ( ~ c0_1(X64)
                | c3_1(X64)
                | ~ c1_1(X64) ) )
          | ! [X65] : 
              ( ndr1_0
             => ( ~ c2_1(X65)
                | c0_1(X65)
                | ~ c3_1(X65) ) )
          | hskp61 )
        & ( hskp26
          | ! [X66] : 
              ( ndr1_0
             => ( c2_1(X66)
                | c1_1(X66)
                | ~ c3_1(X66) ) )
          | hskp62 )
        & ( hskp63
          | hskp27
          | ! [X67] : 
              ( ndr1_0
             => ( c3_1(X67)
                | c1_1(X67)
                | ~ c2_1(X67) ) ) )
        & ( hskp39
          | hskp28
          | hskp64 )
        & ( hskp65
          | hskp52
          | hskp29 )
        & ( hskp66
          | ! [X68] : 
              ( ndr1_0
             => ( c2_1(X68)
                | ~ c1_1(X68)
                | ~ c0_1(X68) ) )
          | ! [X69] : 
              ( ndr1_0
             => ( ~ c2_1(X69)
                | ~ c1_1(X69)
                | c3_1(X69) ) ) )
        & ( ! [X70] : 
              ( ndr1_0
             => ( c1_1(X70)
                | ~ c3_1(X70)
                | c2_1(X70) ) )
          | ! [X71] : 
              ( ndr1_0
             => ( ~ c1_1(X71)
                | c3_1(X71)
                | c2_1(X71) ) )
          | hskp67 )
        & ( ! [X72] : 
              ( ndr1_0
             => ( c0_1(X72)
                | c3_1(X72)
                | c1_1(X72) ) )
          | ! [X73] : 
              ( ndr1_0
             => ( ~ c0_1(X73)
                | ~ c3_1(X73)
                | c1_1(X73) ) )
          | hskp21 )
        & ( hskp68
          | hskp30
          | ! [X74] : 
              ( ndr1_0
             => ( c0_1(X74)
                | c3_1(X74)
                | ~ c2_1(X74) ) ) )
        & ( ! [X75] : 
              ( ndr1_0
             => ( c3_1(X75)
                | c1_1(X75)
                | c0_1(X75) ) )
          | ! [X76] : 
              ( ndr1_0
             => ( ~ c2_1(X76)
                | c3_1(X76)
                | ~ c0_1(X76) ) )
          | hskp52 )
        & ( hskp27
          | hskp69
          | ! [X77] : 
              ( ndr1_0
             => ( ~ c1_1(X77)
                | c2_1(X77)
                | c0_1(X77) ) ) )
        & ( ! [X78] : 
              ( ndr1_0
             => ( ~ c1_1(X78)
                | ~ c2_1(X78)
                | ~ c0_1(X78) ) )
          | hskp31
          | hskp32 )
        & ( ! [X79] : 
              ( ndr1_0
             => ( c1_1(X79)
                | c3_1(X79)
                | ~ c2_1(X79) ) )
          | hskp59
          | hskp33 )
        & ( hskp34
          | ! [X80] : 
              ( ndr1_0
             => ( ~ c3_1(X80)
                | ~ c1_1(X80)
                | c0_1(X80) ) )
          | hskp35 )
        & ( ! [X81] : 
              ( ndr1_0
             => ( ~ c1_1(X81)
                | c3_1(X81)
                | c0_1(X81) ) )
          | ! [X82] : 
              ( ndr1_0
             => ( ~ c2_1(X82)
                | c1_1(X82)
                | ~ c3_1(X82) ) )
          | hskp46 )
        & ( ! [X83] : 
              ( ndr1_0
             => ( ~ c1_1(X83)
                | ~ c0_1(X83)
                | c2_1(X83) ) )
          | ! [X84] : 
              ( ndr1_0
             => ( ~ c3_1(X84)
                | ~ c2_1(X84)
                | ~ c1_1(X84) ) )
          | ! [X85] : 
              ( ndr1_0
             => ( ~ c2_1(X85)
                | ~ c3_1(X85)
                | c1_1(X85) ) ) ) ) )).

%--------------------------------------------------------------------------
