%--------------------------------------------------------------------------
% File     : SYN466+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=68, K=3, D=1, P=0, Index=017
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-68-3-1-017.dfg [Wei97]

% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.5.0, 0.67 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
%
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
%
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  673 (   0 equality)
%            Maximal formula depth :  103 ( 103 average)
%            Number of connectives :  915 ( 243 ~  ; 373  |; 195  &)
%                                         (   0 <=>; 104 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   37 (  33 propositional; 0-1 arity)
%            Number of functors    :   32 (  32 constant; 0-0 arity)
%            Number of variables   :  104 (   0 singleton; 104 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%--------------------------------------------------------------------------
fof(co1,conjecture,
    ( ~ ( ( ~ hskp0
          | ( ndr1_0
            & c2_1(a101)
            & c3_1(a101)
            & ~ c0_1(a101) ) )
        & ( ~ hskp1
          | ( ndr1_0
            & c2_1(a102)
            & ~ c0_1(a102)
            & ~ c1_1(a102) ) )
        & ( ~ hskp2
          | ( ndr1_0
            & c0_1(a103)
            & c1_1(a103)
            & ~ c3_1(a103) ) )
        & ( ~ hskp3
          | ( ndr1_0
            & c0_1(a104)
            & c2_1(a104)
            & ~ c1_1(a104) ) )
        & ( ~ hskp4
          | ( ndr1_0
            & c2_1(a105)
            & c3_1(a105)
            & ~ c1_1(a105) ) )
        & ( ~ hskp5
          | ( ndr1_0
            & c0_1(a106)
            & c1_1(a106)
            & ~ c2_1(a106) ) )
        & ( ~ hskp6
          | ( ndr1_0
            & c1_1(a107)
            & c2_1(a107)
            & ~ c0_1(a107) ) )
        & ( ~ hskp7
          | ( ndr1_0
            & c1_1(a108)
            & c3_1(a108)
            & ~ c0_1(a108) ) )
        & ( ~ hskp8
          | ( ndr1_0
            & c1_1(a109)
            & ~ c0_1(a109)
            & ~ c3_1(a109) ) )
        & ( ~ hskp9
          | ( ndr1_0
            & c2_1(a110)
            & ~ c1_1(a110)
            & ~ c3_1(a110) ) )
        & ( ~ hskp10
          | ( ndr1_0
            & ~ c0_1(a111)
            & ~ c2_1(a111)
            & ~ c3_1(a111) ) )
        & ( ~ hskp11
          | ( ndr1_0
            & c1_1(a112)
            & ~ c2_1(a112)
            & ~ c3_1(a112) ) )
        & ( ~ hskp12
          | ( ndr1_0
            & c3_1(a113)
            & ~ c0_1(a113)
            & ~ c2_1(a113) ) )
        & ( ~ hskp13
          | ( ndr1_0
            & c1_1(a114)
            & c2_1(a114)
            & ~ c3_1(a114) ) )
        & ( ~ hskp14
          | ( ndr1_0
            & c0_1(a116)
            & c2_1(a116)
            & ~ c3_1(a116) ) )
        & ( ~ hskp15
          | ( ndr1_0
            & c0_1(a117)
            & c3_1(a117)
            & ~ c1_1(a117) ) )
        & ( ~ hskp16
          | ( ndr1_0
            & c1_1(a126)
            & c3_1(a126)
            & ~ c2_1(a126) ) )
        & ( ~ hskp17
          | ( ndr1_0
            & c3_1(a132)
            & ~ c0_1(a132)
            & ~ c1_1(a132) ) )
        & ( ~ hskp18
          | ( ndr1_0
            & c0_1(a134)
            & c3_1(a134)
            & ~ c2_1(a134) ) )
        & ( ~ hskp19
          | ( ndr1_0
            & c0_1(a135)
            & ~ c2_1(a135)
            & ~ c3_1(a135) ) )
        & ( ~ hskp20
          | ( ndr1_0
            & c0_1(a139)
            & ~ c1_1(a139)
            & ~ c3_1(a139) ) )
        & ( ~ hskp21
          | ( ndr1_0
            & c3_1(a143)
            & ~ c1_1(a143)
            & ~ c2_1(a143) ) )
        & ( ~ hskp22
          | ( ndr1_0
            & ~ c0_1(a145)
            & ~ c1_1(a145)
            & ~ c2_1(a145) ) )
        & ( ~ hskp23
          | ( ndr1_0
            & ~ c0_1(a153)
            & ~ c1_1(a153)
            & ~ c3_1(a153) ) )
        & ( ~ hskp24
          | ( ndr1_0
            & ~ c1_1(a163)
            & ~ c2_1(a163)
            & ~ c3_1(a163) ) )
        & ( ~ hskp25
          | ( ndr1_0
            & c1_1(a167)
            & ~ c0_1(a167)
            & ~ c2_1(a167) ) )
        & ( ~ hskp26
          | ( ndr1_0
            & c0_1(a187)
            & ~ c1_1(a187)
            & ~ c2_1(a187) ) )
        & ( ~ hskp27
          | ( ndr1_0
            & c2_1(a196)
            & ~ c0_1(a196)
            & ~ c3_1(a196) ) )
        & ( ~ hskp28
          | ( ndr1_0
            & c1_1(a118)
            & c2_1(a118)
            & c3_1(a118) ) )
        & ( ~ hskp29
          | ( ndr1_0
            & c0_1(a128)
            & c1_1(a128)
            & c2_1(a128) ) )
        & ( ~ hskp30
          | ( ndr1_0
            & c0_1(a131)
            & c2_1(a131)
            & c3_1(a131) ) )
        & ( ~ hskp31
          | ( ndr1_0
            & c0_1(a141)
            & c1_1(a141)
            & c3_1(a141) ) )
        & ( ! [U] : 
              ( ndr1_0
             => ( c0_1(U)
                | c1_1(U)
                | c2_1(U) ) )
          | ! [V] : 
              ( ndr1_0
             => ( c0_1(V)
                | c1_1(V)
                | ~ c2_1(V) ) )
          | ! [W] : 
              ( ndr1_0
             => ( ~ c1_1(W)
                | ~ c2_1(W)
                | ~ c3_1(W) ) ) )
        & ( ! [X] : 
              ( ndr1_0
             => ( c0_1(X)
                | c1_1(X)
                | c2_1(X) ) )
          | ! [Y] : 
              ( ndr1_0
             => ( c0_1(Y)
                | c1_1(Y)
                | ~ c3_1(Y) ) )
          | hskp0 )
        & ( ! [Z] : 
              ( ndr1_0
             => ( c0_1(Z)
                | c1_1(Z)
                | c2_1(Z) ) )
          | ! [X1] : 
              ( ndr1_0
             => ( c0_1(X1)
                | ~ c2_1(X1)
                | ~ c3_1(X1) ) )
          | hskp1 )
        & ( ! [X2] : 
              ( ndr1_0
             => ( c0_1(X2)
                | c1_1(X2)
                | c2_1(X2) ) )
          | ! [X3] : 
              ( ndr1_0
             => ( c2_1(X3)
                | ~ c1_1(X3)
                | ~ c3_1(X3) ) )
          | hskp2 )
        & ( ! [X4] : 
              ( ndr1_0
             => ( c0_1(X4)
                | c1_1(X4)
                | c2_1(X4) ) )
          | hskp3
          | hskp4 )
        & ( ! [X5] : 
              ( ndr1_0
             => ( c0_1(X5)
                | c1_1(X5)
                | c3_1(X5) ) )
          | ! [X6] : 
              ( ndr1_0
             => ( c0_1(X6)
                | c3_1(X6)
                | ~ c2_1(X6) ) )
          | ! [X7] : 
              ( ndr1_0
             => ( c3_1(X7)
                | ~ c0_1(X7)
                | ~ c2_1(X7) ) ) )
        & ( ! [X8] : 
              ( ndr1_0
             => ( c0_1(X8)
                | c1_1(X8)
                | c3_1(X8) ) )
          | hskp5 )
        & ( ! [X9] : 
              ( ndr1_0
             => ( c0_1(X9)
                | c1_1(X9)
                | c3_1(X9) ) )
          | hskp6
          | hskp7 )
        & ( ! [X10] : 
              ( ndr1_0
             => ( c0_1(X10)
                | c1_1(X10)
                | c3_1(X10) ) )
          | hskp8
          | hskp9 )
        & ( ! [X11] : 
              ( ndr1_0
             => ( c0_1(X11)
                | c1_1(X11)
                | ~ c2_1(X11) ) )
          | ! [X12] : 
              ( ndr1_0
             => ( ~ c0_1(X12)
                | ~ c1_1(X12)
                | ~ c3_1(X12) ) )
          | hskp10 )
        & ( ! [X13] : 
              ( ndr1_0
             => ( c0_1(X13)
                | c1_1(X13)
                | ~ c3_1(X13) ) )
          | ! [X14] : 
              ( ndr1_0
             => ( c0_1(X14)
                | c2_1(X14)
                | ~ c3_1(X14) ) )
          | ! [X15] : 
              ( ndr1_0
             => ( ~ c0_1(X15)
                | ~ c1_1(X15)
                | ~ c3_1(X15) ) ) )
        & ( ! [X16] : 
              ( ndr1_0
             => ( c0_1(X16)
                | c1_1(X16)
                | ~ c3_1(X16) ) )
          | ! [X17] : 
              ( ndr1_0
             => ( c1_1(X17)
                | c2_1(X17)
                | ~ c0_1(X17) ) )
          | ! [X18] : 
              ( ndr1_0
             => ( c2_1(X18)
                | ~ c0_1(X18)
                | ~ c1_1(X18) ) ) )
        & ( ! [X19] : 
              ( ndr1_0
             => ( c0_1(X19)
                | c1_1(X19)
                | ~ c3_1(X19) ) )
          | ! [X20] : 
              ( ndr1_0
             => ( c2_1(X20)
                | c3_1(X20)
                | ~ c1_1(X20) ) )
          | hskp11 )
        & ( ! [X21] : 
              ( ndr1_0
             => ( c0_1(X21)
                | c1_1(X21)
                | ~ c3_1(X21) ) )
          | ! [X22] : 
              ( ndr1_0
             => ( c3_1(X22)
                | ~ c0_1(X22)
                | ~ c2_1(X22) ) )
          | hskp12 )
        & ( ! [X23] : 
              ( ndr1_0
             => ( c0_1(X23)
                | c1_1(X23)
                | ~ c3_1(X23) ) )
          | ! [X24] : 
              ( ndr1_0
             => ( ~ c0_1(X24)
                | ~ c2_1(X24)
                | ~ c3_1(X24) ) )
          | ! [X25] : 
              ( ndr1_0
             => ( ~ c1_1(X25)
                | ~ c2_1(X25)
                | ~ c3_1(X25) ) ) )
        & ( ! [X26] : 
              ( ndr1_0
             => ( c0_1(X26)
                | c2_1(X26)
                | c3_1(X26) ) )
          | ! [X27] : 
              ( ndr1_0
             => ( ~ c0_1(X27)
                | ~ c1_1(X27)
                | ~ c3_1(X27) ) )
          | hskp13 )
        & ( ! [X28] : 
              ( ndr1_0
             => ( c0_1(X28)
                | c2_1(X28)
                | ~ c1_1(X28) ) )
          | ! [X29] : 
              ( ndr1_0
             => ( c1_1(X29)
                | c2_1(X29)
                | ~ c3_1(X29) ) )
          | hskp6 )
        & ( ! [X30] : 
              ( ndr1_0
             => ( c0_1(X30)
                | c2_1(X30)
                | ~ c3_1(X30) ) )
          | ! [X31] : 
              ( ndr1_0
             => ( c1_1(X31)
                | ~ c0_1(X31)
                | ~ c2_1(X31) ) )
          | hskp14 )
        & ( ! [X32] : 
              ( ndr1_0
             => ( c0_1(X32)
                | c2_1(X32)
                | ~ c3_1(X32) ) )
          | hskp15
          | hskp28 )
        & ( ! [X33] : 
              ( ndr1_0
             => ( c0_1(X33)
                | c3_1(X33)
                | ~ c1_1(X33) ) )
          | ! [X34] : 
              ( ndr1_0
             => ( c1_1(X34)
                | c2_1(X34)
                | ~ c3_1(X34) ) )
          | ! [X35] : 
              ( ndr1_0
             => ( c1_1(X35)
                | ~ c0_1(X35)
                | ~ c3_1(X35) ) ) )
        & ( ! [X36] : 
              ( ndr1_0
             => ( c0_1(X36)
                | c3_1(X36)
                | ~ c1_1(X36) ) )
          | ! [X37] : 
              ( ndr1_0
             => ( c2_1(X37)
                | c3_1(X37)
                | ~ c0_1(X37) ) )
          | ! [X38] : 
              ( ndr1_0
             => ( c3_1(X38)
                | ~ c1_1(X38)
                | ~ c2_1(X38) ) ) )
        & ( ! [X39] : 
              ( ndr1_0
             => ( c0_1(X39)
                | c3_1(X39)
                | ~ c1_1(X39) ) )
          | ! [X40] : 
              ( ndr1_0
             => ( ~ c0_1(X40)
                | ~ c1_1(X40)
                | ~ c3_1(X40) ) )
          | hskp8 )
        & ( ! [X41] : 
              ( ndr1_0
             => ( c0_1(X41)
                | c3_1(X41)
                | ~ c1_1(X41) ) )
          | hskp15
          | hskp10 )
        & ( ! [X42] : 
              ( ndr1_0
             => ( c0_1(X42)
                | c3_1(X42)
                | ~ c2_1(X42) ) )
          | hskp15
          | hskp0 )
        & ( ! [X43] : 
              ( ndr1_0
             => ( c0_1(X43)
                | ~ c1_1(X43)
                | ~ c2_1(X43) ) )
          | hskp2
          | hskp7 )
        & ( ! [X44] : 
              ( ndr1_0
             => ( c0_1(X44)
                | ~ c2_1(X44)
                | ~ c3_1(X44) ) )
          | ! [X45] : 
              ( ndr1_0
             => ( c1_1(X45)
                | c2_1(X45)
                | c3_1(X45) ) )
          | hskp16 )
        & ( ! [X46] : 
              ( ndr1_0
             => ( c0_1(X46)
                | ~ c2_1(X46)
                | ~ c3_1(X46) ) )
          | ! [X47] : 
              ( ndr1_0
             => ( c3_1(X47)
                | ~ c0_1(X47)
                | ~ c2_1(X47) ) )
          | hskp10 )
        & ( ! [X48] : 
              ( ndr1_0
             => ( c0_1(X48)
                | ~ c2_1(X48)
                | ~ c3_1(X48) ) )
          | hskp29
          | hskp11 )
        & ( ! [X49] : 
              ( ndr1_0
             => ( c1_1(X49)
                | c2_1(X49)
                | c3_1(X49) ) )
          | ! [X50] : 
              ( ndr1_0
             => ( c2_1(X50)
                | c3_1(X50)
                | ~ c0_1(X50) ) )
          | ! [X51] : 
              ( ndr1_0
             => ( ~ c1_1(X51)
                | ~ c2_1(X51)
                | ~ c3_1(X51) ) ) )
        & ( ! [X52] : 
              ( ndr1_0
             => ( c1_1(X52)
                | c2_1(X52)
                | ~ c0_1(X52) ) )
          | ! [X53] : 
              ( ndr1_0
             => ( c1_1(X53)
                | c2_1(X53)
                | ~ c3_1(X53) ) )
          | hskp16 )
        & ( ! [X54] : 
              ( ndr1_0
             => ( c1_1(X54)
                | c2_1(X54)
                | ~ c0_1(X54) ) )
          | ! [X55] : 
              ( ndr1_0
             => ( c1_1(X55)
                | c3_1(X55)
                | ~ c2_1(X55) ) )
          | hskp30 )
        & ( ! [X56] : 
              ( ndr1_0
             => ( c1_1(X56)
                | c2_1(X56)
                | ~ c0_1(X56) ) )
          | ! [X57] : 
              ( ndr1_0
             => ( c2_1(X57)
                | ~ c0_1(X57)
                | ~ c1_1(X57) ) )
          | hskp17 )
        & ( ! [X58] : 
              ( ndr1_0
             => ( c1_1(X58)
                | c2_1(X58)
                | ~ c0_1(X58) ) )
          | ! [X59] : 
              ( ndr1_0
             => ( ~ c0_1(X59)
                | ~ c1_1(X59)
                | ~ c2_1(X59) ) )
          | hskp7 )
        & ( ! [X60] : 
              ( ndr1_0
             => ( c1_1(X60)
                | c3_1(X60)
                | ~ c0_1(X60) ) )
          | ! [X61] : 
              ( ndr1_0
             => ( c2_1(X61)
                | ~ c1_1(X61)
                | ~ c3_1(X61) ) )
          | ! [X62] : 
              ( ndr1_0
             => ( ~ c0_1(X62)
                | ~ c2_1(X62)
                | ~ c3_1(X62) ) ) )
        & ( ! [X63] : 
              ( ndr1_0
             => ( c1_1(X63)
                | c3_1(X63)
                | ~ c0_1(X63) ) )
          | ! [X64] : 
              ( ndr1_0
             => ( c3_1(X64)
                | ~ c1_1(X64)
                | ~ c2_1(X64) ) )
          | hskp18 )
        & ( ! [X65] : 
              ( ndr1_0
             => ( c1_1(X65)
                | c3_1(X65)
                | ~ c2_1(X65) ) )
          | hskp19
          | hskp17 )
        & ( ! [X66] : 
              ( ndr1_0
             => ( c1_1(X66)
                | c3_1(X66)
                | ~ c2_1(X66) ) )
          | hskp28
          | hskp17 )
        & ( ! [X67] : 
              ( ndr1_0
             => ( c1_1(X67)
                | ~ c0_1(X67)
                | ~ c2_1(X67) ) )
          | ! [X68] : 
              ( ndr1_0
             => ( c1_1(X68)
                | ~ c0_1(X68)
                | ~ c3_1(X68) ) )
          | hskp20 )
        & ( ! [X69] : 
              ( ndr1_0
             => ( c1_1(X69)
                | ~ c0_1(X69)
                | ~ c2_1(X69) ) )
          | ! [X70] : 
              ( ndr1_0
             => ( c2_1(X70)
                | ~ c0_1(X70)
                | ~ c1_1(X70) ) )
          | ! [X71] : 
              ( ndr1_0
             => ( c2_1(X71)
                | ~ c0_1(X71)
                | ~ c3_1(X71) ) ) )
        & ( ! [X72] : 
              ( ndr1_0
             => ( c1_1(X72)
                | ~ c0_1(X72)
                | ~ c2_1(X72) ) )
          | ! [X73] : 
              ( ndr1_0
             => ( c3_1(X73)
                | ~ c0_1(X73)
                | ~ c2_1(X73) ) )
          | hskp17 )
        & ( ! [X74] : 
              ( ndr1_0
             => ( c1_1(X74)
                | ~ c0_1(X74)
                | ~ c2_1(X74) ) )
          | ! [X75] : 
              ( ndr1_0
             => ( ~ c0_1(X75)
                | ~ c1_1(X75)
                | ~ c2_1(X75) ) )
          | hskp31 )
        & ( ! [X76] : 
              ( ndr1_0
             => ( c1_1(X76)
                | ~ c0_1(X76)
                | ~ c2_1(X76) ) )
          | hskp29
          | hskp21 )
        & ( ! [X77] : 
              ( ndr1_0
             => ( c1_1(X77)
                | ~ c0_1(X77)
                | ~ c3_1(X77) ) )
          | ! [X78] : 
              ( ndr1_0
             => ( c1_1(X78)
                | ~ c2_1(X78)
                | ~ c3_1(X78) ) )
          | hskp17 )
        & ( ! [X79] : 
              ( ndr1_0
             => ( c1_1(X79)
                | ~ c0_1(X79)
                | ~ c3_1(X79) ) )
          | ! [X80] : 
              ( ndr1_0
             => ( c3_1(X80)
                | ~ c0_1(X80)
                | ~ c1_1(X80) ) )
          | hskp22 )
        & ( ! [X81] : 
              ( ndr1_0
             => ( c1_1(X81)
                | ~ c0_1(X81)
                | ~ c3_1(X81) ) )
          | hskp31
          | hskp28 )
        & ( ! [X82] : 
              ( ndr1_0
             => ( c1_1(X82)
                | ~ c0_1(X82)
                | ~ c3_1(X82) ) )
          | hskp15
          | hskp28 )
        & ( ! [X83] : 
              ( ndr1_0
             => ( c1_1(X83)
                | ~ c0_1(X83)
                | ~ c3_1(X83) ) )
          | hskp28
          | hskp11 )
        & ( ! [X84] : 
              ( ndr1_0
             => ( c1_1(X84)
                | ~ c0_1(X84)
                | ~ c3_1(X84) ) )
          | hskp4
          | hskp23 )
        & ( ! [X85] : 
              ( ndr1_0
             => ( c1_1(X85)
                | ~ c0_1(X85)
                | ~ c3_1(X85) ) )
          | hskp4
          | hskp10 )
        & ( ! [X86] : 
              ( ndr1_0
             => ( c2_1(X86)
                | c3_1(X86)
                | ~ c0_1(X86) ) )
          | hskp19
          | hskp8 )
        & ( ! [X87] : 
              ( ndr1_0
             => ( c2_1(X87)
                | c3_1(X87)
                | ~ c1_1(X87) ) )
          | hskp19 )
        & ( ! [X88] : 
              ( ndr1_0
             => ( c2_1(X88)
                | ~ c0_1(X88)
                | ~ c1_1(X88) ) )
          | ! [X89] : 
              ( ndr1_0
             => ( c3_1(X89)
                | ~ c1_1(X89)
                | ~ c2_1(X89) ) )
          | hskp12 )
        & ( ! [X90] : 
              ( ndr1_0
             => ( c2_1(X90)
                | ~ c0_1(X90)
                | ~ c1_1(X90) ) )
          | hskp29
          | hskp4 )
        & ( ! [X91] : 
              ( ndr1_0
             => ( c2_1(X91)
                | ~ c0_1(X91)
                | ~ c1_1(X91) ) )
          | hskp1
          | hskp24 )
        & ( ! [X92] : 
              ( ndr1_0
             => ( c2_1(X92)
                | ~ c0_1(X92)
                | ~ c3_1(X92) ) )
          | hskp6
          | hskp16 )
        & ( ! [X93] : 
              ( ndr1_0
             => ( c2_1(X93)
                | ~ c1_1(X93)
                | ~ c3_1(X93) ) )
          | ! [X94] : 
              ( ndr1_0
             => ( ~ c0_1(X94)
                | ~ c2_1(X94)
                | ~ c3_1(X94) ) )
          | hskp1 )
        & ( ! [X95] : 
              ( ndr1_0
             => ( c3_1(X95)
                | ~ c0_1(X95)
                | ~ c1_1(X95) ) )
          | hskp25
          | hskp0 )
        & ( ! [X96] : 
              ( ndr1_0
             => ( c3_1(X96)
                | ~ c1_1(X96)
                | ~ c2_1(X96) ) )
          | hskp13
          | hskp4 )
        & ( ! [X97] : 
              ( ndr1_0
             => ( ~ c0_1(X97)
                | ~ c2_1(X97)
                | ~ c3_1(X97) ) )
          | hskp19
          | hskp11 )
        & ( ! [X98] : 
              ( ndr1_0
             => ( ~ c1_1(X98)
                | ~ c2_1(X98)
                | ~ c3_1(X98) ) )
          | hskp25
          | hskp0 )
        & ( hskp31
          | hskp30
          | hskp24 )
        & ( hskp5
          | hskp15
          | hskp13 )
        & ( hskp5
          | hskp16
          | hskp25 )
        & ( hskp5
          | hskp4
          | hskp9 )
        & ( hskp26
          | hskp7
          | hskp0 )
        & ( hskp26
          | hskp11
          | hskp4 )
        & ( hskp25
          | hskp8 )
        & ( hskp25
          | hskp27
          | hskp24 ) ) )).

%--------------------------------------------------------------------------
