%--------------------------------------------------------------------------
% File     : SYN467+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=68, K=3, D=1, P=0, Index=023
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-68-3-1-023.dfg [Wei97]

% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
%
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
%
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  680 (   0 equality)
%            Maximal formula depth :  102 ( 102 average)
%            Number of connectives :  918 ( 239 ~  ; 380  |; 191  &)
%                                         (   0 <=>; 108 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   36 (  32 propositional; 0-1 arity)
%            Number of functors    :   31 (  31 constant; 0-0 arity)
%            Number of variables   :  108 (   0 singleton; 108 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%--------------------------------------------------------------------------
fof(co1,conjecture,
    ( ~ ( ( ~ hskp0
          | ( ndr1_0
            & c3_1(a199)
            & ~ c0_1(a199)
            & ~ c1_1(a199) ) )
        & ( ~ hskp1
          | ( ndr1_0
            & c0_1(a200)
            & ~ c1_1(a200)
            & ~ c2_1(a200) ) )
        & ( ~ hskp2
          | ( ndr1_0
            & c2_1(a201)
            & ~ c0_1(a201)
            & ~ c1_1(a201) ) )
        & ( ~ hskp3
          | ( ndr1_0
            & c1_1(a203)
            & ~ c0_1(a203)
            & ~ c3_1(a203) ) )
        & ( ~ hskp4
          | ( ndr1_0
            & c1_1(a204)
            & ~ c0_1(a204)
            & ~ c2_1(a204) ) )
        & ( ~ hskp5
          | ( ndr1_0
            & c2_1(a205)
            & c3_1(a205)
            & ~ c1_1(a205) ) )
        & ( ~ hskp6
          | ( ndr1_0
            & c0_1(a208)
            & c1_1(a208)
            & ~ c2_1(a208) ) )
        & ( ~ hskp7
          | ( ndr1_0
            & c0_1(a209)
            & c1_1(a209)
            & ~ c3_1(a209) ) )
        & ( ~ hskp8
          | ( ndr1_0
            & c0_1(a212)
            & c3_1(a212)
            & ~ c1_1(a212) ) )
        & ( ~ hskp9
          | ( ndr1_0
            & ~ c0_1(a213)
            & ~ c1_1(a213)
            & ~ c2_1(a213) ) )
        & ( ~ hskp10
          | ( ndr1_0
            & c1_1(a214)
            & ~ c2_1(a214)
            & ~ c3_1(a214) ) )
        & ( ~ hskp11
          | ( ndr1_0
            & ~ c0_1(a216)
            & ~ c1_1(a216)
            & ~ c3_1(a216) ) )
        & ( ~ hskp12
          | ( ndr1_0
            & c0_1(a217)
            & ~ c2_1(a217)
            & ~ c3_1(a217) ) )
        & ( ~ hskp13
          | ( ndr1_0
            & c1_1(a218)
            & c3_1(a218)
            & ~ c0_1(a218) ) )
        & ( ~ hskp14
          | ( ndr1_0
            & c2_1(a219)
            & c3_1(a219)
            & ~ c0_1(a219) ) )
        & ( ~ hskp15
          | ( ndr1_0
            & c0_1(a228)
            & c2_1(a228)
            & ~ c1_1(a228) ) )
        & ( ~ hskp16
          | ( ndr1_0
            & c2_1(a231)
            & ~ c1_1(a231)
            & ~ c3_1(a231) ) )
        & ( ~ hskp17
          | ( ndr1_0
            & c3_1(a232)
            & ~ c1_1(a232)
            & ~ c2_1(a232) ) )
        & ( ~ hskp18
          | ( ndr1_0
            & ~ c1_1(a233)
            & ~ c2_1(a233)
            & ~ c3_1(a233) ) )
        & ( ~ hskp19
          | ( ndr1_0
            & c1_1(a238)
            & c3_1(a238)
            & ~ c2_1(a238) ) )
        & ( ~ hskp20
          | ( ndr1_0
            & c2_1(a239)
            & ~ c0_1(a239)
            & ~ c3_1(a239) ) )
        & ( ~ hskp21
          | ( ndr1_0
            & c0_1(a241)
            & ~ c1_1(a241)
            & ~ c3_1(a241) ) )
        & ( ~ hskp22
          | ( ndr1_0
            & c3_1(a244)
            & ~ c0_1(a244)
            & ~ c2_1(a244) ) )
        & ( ~ hskp23
          | ( ndr1_0
            & ~ c0_1(a248)
            & ~ c2_1(a248)
            & ~ c3_1(a248) ) )
        & ( ~ hskp24
          | ( ndr1_0
            & c0_1(a249)
            & c3_1(a249)
            & ~ c2_1(a249) ) )
        & ( ~ hskp25
          | ( ndr1_0
            & c1_1(a256)
            & c2_1(a256)
            & ~ c0_1(a256) ) )
        & ( ~ hskp26
          | ( ndr1_0
            & c1_1(a281)
            & c2_1(a281)
            & ~ c3_1(a281) ) )
        & ( ~ hskp27
          | ( ndr1_0
            & c0_1(a198)
            & c1_1(a198)
            & c2_1(a198) ) )
        & ( ~ hskp28
          | ( ndr1_0
            & c1_1(a202)
            & c2_1(a202)
            & c3_1(a202) ) )
        & ( ~ hskp29
          | ( ndr1_0
            & c0_1(a227)
            & c1_1(a227)
            & c3_1(a227) ) )
        & ( ~ hskp30
          | ( ndr1_0
            & c0_1(a230)
            & c2_1(a230)
            & c3_1(a230) ) )
        & ( ! [U] : 
              ( ndr1_0
             => ( c0_1(U)
                | c1_1(U)
                | c2_1(U) ) )
          | ! [V] : 
              ( ndr1_0
             => ( c0_1(V)
                | c1_1(V)
                | ~ c2_1(V) ) )
          | ! [W] : 
              ( ndr1_0
             => ( c3_1(W)
                | ~ c0_1(W)
                | ~ c1_1(W) ) ) )
        & ( ! [X] : 
              ( ndr1_0
             => ( c0_1(X)
                | c1_1(X)
                | c2_1(X) ) )
          | ! [Y] : 
              ( ndr1_0
             => ( c0_1(Y)
                | c2_1(Y)
                | ~ c1_1(Y) ) )
          | ! [Z] : 
              ( ndr1_0
             => ( ~ c0_1(Z)
                | ~ c1_1(Z)
                | ~ c3_1(Z) ) ) )
        & ( ! [X1] : 
              ( ndr1_0
             => ( c0_1(X1)
                | c1_1(X1)
                | c2_1(X1) ) )
          | hskp27
          | hskp0 )
        & ( ! [X2] : 
              ( ndr1_0
             => ( c0_1(X2)
                | c1_1(X2)
                | c2_1(X2) ) )
          | hskp1
          | hskp2 )
        & ( ! [X3] : 
              ( ndr1_0
             => ( c0_1(X3)
                | c1_1(X3)
                | c3_1(X3) ) )
          | ! [X4] : 
              ( ndr1_0
             => ( c0_1(X4)
                | c2_1(X4)
                | c3_1(X4) ) )
          | hskp28 )
        & ( ! [X5] : 
              ( ndr1_0
             => ( c0_1(X5)
                | c1_1(X5)
                | c3_1(X5) ) )
          | ! [X6] : 
              ( ndr1_0
             => ( c1_1(X6)
                | c2_1(X6)
                | ~ c0_1(X6) ) )
          | hskp3 )
        & ( ! [X7] : 
              ( ndr1_0
             => ( c0_1(X7)
                | c1_1(X7)
                | c3_1(X7) ) )
          | hskp4
          | hskp5 )
        & ( ! [X8] : 
              ( ndr1_0
             => ( c0_1(X8)
                | c1_1(X8)
                | ~ c2_1(X8) ) )
          | ! [X9] : 
              ( ndr1_0
             => ( c0_1(X9)
                | c3_1(X9)
                | ~ c1_1(X9) ) )
          | ! [X10] : 
              ( ndr1_0
             => ( c2_1(X10)
                | ~ c0_1(X10)
                | ~ c3_1(X10) ) ) )
        & ( ! [X11] : 
              ( ndr1_0
             => ( c0_1(X11)
                | c1_1(X11)
                | ~ c2_1(X11) ) )
          | ! [X12] : 
              ( ndr1_0
             => ( c2_1(X12)
                | ~ c0_1(X12)
                | ~ c1_1(X12) ) )
          | hskp3 )
        & ( ! [X13] : 
              ( ndr1_0
             => ( c0_1(X13)
                | c1_1(X13)
                | ~ c2_1(X13) ) )
          | ! [X14] : 
              ( ndr1_0
             => ( c2_1(X14)
                | ~ c1_1(X14)
                | ~ c3_1(X14) ) )
          | hskp0 )
        & ( ! [X15] : 
              ( ndr1_0
             => ( c0_1(X15)
                | c1_1(X15)
                | ~ c2_1(X15) ) )
          | hskp6
          | hskp7 )
        & ( ! [X16] : 
              ( ndr1_0
             => ( c0_1(X16)
                | c1_1(X16)
                | ~ c3_1(X16) ) )
          | ! [X17] : 
              ( ndr1_0
             => ( c0_1(X17)
                | c2_1(X17)
                | ~ c1_1(X17) ) )
          | ! [X18] : 
              ( ndr1_0
             => ( c0_1(X18)
                | ~ c2_1(X18)
                | ~ c3_1(X18) ) ) )
        & ( ! [X19] : 
              ( ndr1_0
             => ( c0_1(X19)
                | c1_1(X19)
                | ~ c3_1(X19) ) )
          | ! [X20] : 
              ( ndr1_0
             => ( c0_1(X20)
                | c3_1(X20)
                | ~ c1_1(X20) ) )
          | hskp4 )
        & ( ! [X21] : 
              ( ndr1_0
             => ( c0_1(X21)
                | c1_1(X21)
                | ~ c3_1(X21) ) )
          | ! [X22] : 
              ( ndr1_0
             => ( c2_1(X22)
                | ~ c0_1(X22)
                | ~ c1_1(X22) ) )
          | ! [X23] : 
              ( ndr1_0
             => ( c2_1(X23)
                | ~ c1_1(X23)
                | ~ c3_1(X23) ) ) )
        & ( ! [X24] : 
              ( ndr1_0
             => ( c0_1(X24)
                | c2_1(X24)
                | c3_1(X24) ) )
          | ! [X25] : 
              ( ndr1_0
             => ( c0_1(X25)
                | c3_1(X25)
                | ~ c2_1(X25) ) )
          | ! [X26] : 
              ( ndr1_0
             => ( c3_1(X26)
                | ~ c0_1(X26)
                | ~ c1_1(X26) ) ) )
        & ( ! [X27] : 
              ( ndr1_0
             => ( c0_1(X27)
                | c2_1(X27)
                | c3_1(X27) ) )
          | ! [X28] : 
              ( ndr1_0
             => ( c3_1(X28)
                | ~ c1_1(X28)
                | ~ c2_1(X28) ) )
          | hskp0 )
        & ( ! [X29] : 
              ( ndr1_0
             => ( c0_1(X29)
                | c2_1(X29)
                | c3_1(X29) ) )
          | hskp8
          | hskp9 )
        & ( ! [X30] : 
              ( ndr1_0
             => ( c0_1(X30)
                | c2_1(X30)
                | ~ c1_1(X30) ) )
          | ! [X31] : 
              ( ndr1_0
             => ( c2_1(X31)
                | c3_1(X31)
                | ~ c0_1(X31) ) )
          | ! [X32] : 
              ( ndr1_0
             => ( ~ c0_1(X32)
                | ~ c1_1(X32)
                | ~ c2_1(X32) ) ) )
        & ( ! [X33] : 
              ( ndr1_0
             => ( c0_1(X33)
                | c2_1(X33)
                | ~ c3_1(X33) ) )
          | ! [X34] : 
              ( ndr1_0
             => ( c0_1(X34)
                | ~ c1_1(X34)
                | ~ c2_1(X34) ) )
          | ! [X35] : 
              ( ndr1_0
             => ( c1_1(X35)
                | c3_1(X35)
                | ~ c2_1(X35) ) ) )
        & ( ! [X36] : 
              ( ndr1_0
             => ( c0_1(X36)
                | c2_1(X36)
                | ~ c3_1(X36) ) )
          | ! [X37] : 
              ( ndr1_0
             => ( c1_1(X37)
                | c2_1(X37)
                | ~ c3_1(X37) ) )
          | ! [X38] : 
              ( ndr1_0
             => ( c1_1(X38)
                | ~ c0_1(X38)
                | ~ c2_1(X38) ) ) )
        & ( ! [X39] : 
              ( ndr1_0
             => ( c0_1(X39)
                | c2_1(X39)
                | ~ c3_1(X39) ) )
          | ! [X40] : 
              ( ndr1_0
             => ( c2_1(X40)
                | c3_1(X40)
                | ~ c1_1(X40) ) )
          | hskp10 )
        & ( ! [X41] : 
              ( ndr1_0
             => ( c0_1(X41)
                | c3_1(X41)
                | ~ c1_1(X41) ) )
          | ! [X42] : 
              ( ndr1_0
             => ( c0_1(X42)
                | ~ c1_1(X42)
                | ~ c2_1(X42) ) )
          | ! [X43] : 
              ( ndr1_0
             => ( ~ c0_1(X43)
                | ~ c2_1(X43)
                | ~ c3_1(X43) ) ) )
        & ( ! [X44] : 
              ( ndr1_0
             => ( c0_1(X44)
                | c3_1(X44)
                | ~ c1_1(X44) ) )
          | ! [X45] : 
              ( ndr1_0
             => ( ~ c0_1(X45)
                | ~ c1_1(X45)
                | ~ c2_1(X45) ) )
          | hskp10 )
        & ( ! [X46] : 
              ( ndr1_0
             => ( c0_1(X46)
                | c3_1(X46)
                | ~ c1_1(X46) ) )
          | ! [X47] : 
              ( ndr1_0
             => ( ~ c0_1(X47)
                | ~ c2_1(X47)
                | ~ c3_1(X47) ) )
          | hskp11 )
        & ( ! [X48] : 
              ( ndr1_0
             => ( c0_1(X48)
                | c3_1(X48)
                | ~ c1_1(X48) ) )
          | ! [X49] : 
              ( ndr1_0
             => ( ~ c1_1(X49)
                | ~ c2_1(X49)
                | ~ c3_1(X49) ) )
          | hskp12 )
        & ( ! [X50] : 
              ( ndr1_0
             => ( c0_1(X50)
                | c3_1(X50)
                | ~ c2_1(X50) ) )
          | ! [X51] : 
              ( ndr1_0
             => ( c2_1(X51)
                | ~ c0_1(X51)
                | ~ c1_1(X51) ) )
          | ! [X52] : 
              ( ndr1_0
             => ( ~ c0_1(X52)
                | ~ c1_1(X52)
                | ~ c2_1(X52) ) ) )
        & ( ! [X53] : 
              ( ndr1_0
             => ( c0_1(X53)
                | ~ c1_1(X53)
                | ~ c2_1(X53) ) )
          | ! [X54] : 
              ( ndr1_0
             => ( c1_1(X54)
                | ~ c2_1(X54)
                | ~ c3_1(X54) ) )
          | hskp13 )
        & ( ! [X55] : 
              ( ndr1_0
             => ( c0_1(X55)
                | ~ c1_1(X55)
                | ~ c2_1(X55) ) )
          | ! [X56] : 
              ( ndr1_0
             => ( c2_1(X56)
                | ~ c0_1(X56)
                | ~ c3_1(X56) ) )
          | hskp14 )
        & ( ! [X57] : 
              ( ndr1_0
             => ( c0_1(X57)
                | ~ c1_1(X57)
                | ~ c2_1(X57) ) )
          | hskp6
          | hskp1 )
        & ( ! [X58] : 
              ( ndr1_0
             => ( c0_1(X58)
                | ~ c1_1(X58)
                | ~ c2_1(X58) ) )
          | hskp8
          | hskp14 )
        & ( ! [X59] : 
              ( ndr1_0
             => ( c0_1(X59)
                | ~ c1_1(X59)
                | ~ c3_1(X59) ) )
          | ! [X60] : 
              ( ndr1_0
             => ( c1_1(X60)
                | c3_1(X60)
                | ~ c0_1(X60) ) )
          | hskp5 )
        & ( ! [X61] : 
              ( ndr1_0
             => ( c0_1(X61)
                | ~ c1_1(X61)
                | ~ c3_1(X61) ) )
          | ! [X62] : 
              ( ndr1_0
             => ( c2_1(X62)
                | ~ c1_1(X62)
                | ~ c3_1(X62) ) )
          | ! [X63] : 
              ( ndr1_0
             => ( ~ c0_1(X63)
                | ~ c1_1(X63)
                | ~ c2_1(X63) ) ) )
        & ( ! [X64] : 
              ( ndr1_0
             => ( c0_1(X64)
                | ~ c1_1(X64)
                | ~ c3_1(X64) ) )
          | hskp6
          | hskp14 )
        & ( ! [X65] : 
              ( ndr1_0
             => ( c0_1(X65)
                | ~ c2_1(X65)
                | ~ c3_1(X65) ) )
          | hskp29
          | hskp15 )
        & ( ! [X66] : 
              ( ndr1_0
             => ( c1_1(X66)
                | c2_1(X66)
                | c3_1(X66) ) )
          | hskp27 )
        & ( ! [X67] : 
              ( ndr1_0
             => ( c1_1(X67)
                | c2_1(X67)
                | c3_1(X67) ) )
          | hskp30
          | hskp16 )
        & ( ! [X68] : 
              ( ndr1_0
             => ( c1_1(X68)
                | c2_1(X68)
                | c3_1(X68) ) )
          | hskp17
          | hskp18 )
        & ( ! [X69] : 
              ( ndr1_0
             => ( c1_1(X69)
                | c2_1(X69)
                | ~ c0_1(X69) ) )
          | hskp27
          | hskp12 )
        & ( ! [X70] : 
              ( ndr1_0
             => ( c1_1(X70)
                | c2_1(X70)
                | ~ c0_1(X70) ) )
          | hskp15
          | hskp1 )
        & ( ! [X71] : 
              ( ndr1_0
             => ( c1_1(X71)
                | c2_1(X71)
                | ~ c0_1(X71) ) )
          | hskp19
          | hskp20 )
        & ( ! [X72] : 
              ( ndr1_0
             => ( c1_1(X72)
                | c2_1(X72)
                | ~ c3_1(X72) ) )
          | ! [X73] : 
              ( ndr1_0
             => ( c1_1(X73)
                | c3_1(X73)
                | ~ c2_1(X73) ) )
          | hskp17 )
        & ( ! [X74] : 
              ( ndr1_0
             => ( c1_1(X74)
                | c2_1(X74)
                | ~ c3_1(X74) ) )
          | ! [X75] : 
              ( ndr1_0
             => ( c1_1(X75)
                | ~ c2_1(X75)
                | ~ c3_1(X75) ) )
          | ! [X76] : 
              ( ndr1_0
             => ( c3_1(X76)
                | ~ c0_1(X76)
                | ~ c1_1(X76) ) ) )
        & ( ! [X77] : 
              ( ndr1_0
             => ( c1_1(X77)
                | c2_1(X77)
                | ~ c3_1(X77) ) )
          | ! [X78] : 
              ( ndr1_0
             => ( c3_1(X78)
                | ~ c1_1(X78)
                | ~ c2_1(X78) ) )
          | hskp21 )
        & ( ! [X79] : 
              ( ndr1_0
             => ( c1_1(X79)
                | c3_1(X79)
                | ~ c0_1(X79) ) )
          | ! [X80] : 
              ( ndr1_0
             => ( c2_1(X80)
                | ~ c1_1(X80)
                | ~ c3_1(X80) ) )
          | ! [X81] : 
              ( ndr1_0
             => ( c3_1(X81)
                | ~ c1_1(X81)
                | ~ c2_1(X81) ) ) )
        & ( ! [X82] : 
              ( ndr1_0
             => ( c1_1(X82)
                | c3_1(X82)
                | ~ c2_1(X82) ) )
          | ! [X83] : 
              ( ndr1_0
             => ( c2_1(X83)
                | ~ c0_1(X83)
                | ~ c3_1(X83) ) )
          | hskp17 )
        & ( ! [X84] : 
              ( ndr1_0
             => ( c1_1(X84)
                | c3_1(X84)
                | ~ c2_1(X84) ) )
          | hskp3
          | hskp22 )
        & ( ! [X85] : 
              ( ndr1_0
             => ( c1_1(X85)
                | ~ c0_1(X85)
                | ~ c2_1(X85) ) )
          | hskp1
          | hskp14 )
        & ( ! [X86] : 
              ( ndr1_0
             => ( c1_1(X86)
                | ~ c0_1(X86)
                | ~ c3_1(X86) ) )
          | hskp30
          | hskp23 )
        & ( ! [X87] : 
              ( ndr1_0
             => ( c1_1(X87)
                | ~ c0_1(X87)
                | ~ c3_1(X87) ) )
          | hskp24
          | hskp22 )
        & ( ! [X88] : 
              ( ndr1_0
             => ( c2_1(X88)
                | c3_1(X88)
                | ~ c0_1(X88) ) )
          | hskp0
          | hskp18 )
        & ( ! [X89] : 
              ( ndr1_0
             => ( c2_1(X89)
                | c3_1(X89)
                | ~ c1_1(X89) ) )
          | ! [X90] : 
              ( ndr1_0
             => ( c2_1(X90)
                | ~ c1_1(X90)
                | ~ c3_1(X90) ) )
          | ! [X91] : 
              ( ndr1_0
             => ( c3_1(X91)
                | ~ c1_1(X91)
                | ~ c2_1(X91) ) ) )
        & ( ! [X92] : 
              ( ndr1_0
             => ( c2_1(X92)
                | ~ c0_1(X92)
                | ~ c1_1(X92) ) )
          | ! [X93] : 
              ( ndr1_0
             => ( ~ c0_1(X93)
                | ~ c2_1(X93)
                | ~ c3_1(X93) ) )
          | hskp3 )
        & ( ! [X94] : 
              ( ndr1_0
             => ( c2_1(X94)
                | ~ c0_1(X94)
                | ~ c3_1(X94) ) )
          | hskp29
          | hskp18 )
        & ( ! [X95] : 
              ( ndr1_0
             => ( c2_1(X95)
                | ~ c0_1(X95)
                | ~ c3_1(X95) ) )
          | hskp25
          | hskp19 )
        & ( ! [X96] : 
              ( ndr1_0
             => ( c2_1(X96)
                | ~ c1_1(X96)
                | ~ c3_1(X96) ) )
          | hskp6
          | hskp15 )
        & ( ! [X97] : 
              ( ndr1_0
             => ( c2_1(X97)
                | ~ c1_1(X97)
                | ~ c3_1(X97) ) )
          | hskp21 )
        & ( ! [X98] : 
              ( ndr1_0
             => ( c3_1(X98)
                | ~ c1_1(X98)
                | ~ c2_1(X98) ) )
          | hskp27
          | hskp19 )
        & ( ! [X99] : 
              ( ndr1_0
             => ( c3_1(X99)
                | ~ c1_1(X99)
                | ~ c2_1(X99) ) )
          | hskp14
          | hskp17 )
        & ( ! [X100] : 
              ( ndr1_0
             => ( ~ c0_1(X100)
                | ~ c1_1(X100)
                | ~ c3_1(X100) ) )
          | hskp7
          | hskp24 )
        & ( ! [X101] : 
              ( ndr1_0
             => ( ~ c0_1(X101)
                | ~ c1_1(X101)
                | ~ c3_1(X101) ) )
          | hskp8
          | hskp11 )
        & ( ! [X102] : 
              ( ndr1_0
             => ( ~ c0_1(X102)
                | ~ c1_1(X102)
                | ~ c3_1(X102) ) )
          | hskp10
          | hskp9 )
        & ( hskp27
          | hskp24
          | hskp4 )
        & ( hskp6
          | hskp10
          | hskp20 )
        & ( hskp6
          | hskp9 )
        & ( hskp15
          | hskp8
          | hskp26 )
        & ( hskp8
          | hskp13
          | hskp18 )
        & ( hskp8
          | hskp14
          | hskp22 )
        & ( hskp24
          | hskp4
          | hskp18 ) ) )).

%--------------------------------------------------------------------------
