%--------------------------------------------------------------------------
% File     : SYN471+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=72, K=3, D=1, P=0, Index=000
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-72-3-1-000.dfg [Wei97]

% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.5.0, 0.67 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
%
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
%
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  718 (   0 equality)
%            Maximal formula depth :  107 ( 107 average)
%            Number of connectives :  986 ( 269 ~  ; 403  |; 199  &)
%                                         (   0 <=>; 115 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   37 (  33 propositional; 0-1 arity)
%            Number of functors    :   32 (  32 constant; 0-0 arity)
%            Number of variables   :  115 (   0 singleton; 115 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%--------------------------------------------------------------------------
fof(co1,conjecture,
    ( ~ ( ( ~ hskp0
          | ( ndr1_0
            & c2_1(a593)
            & ~ c0_1(a593)
            & ~ c3_1(a593) ) )
        & ( ~ hskp1
          | ( ndr1_0
            & c0_1(a594)
            & c1_1(a594)
            & ~ c3_1(a594) ) )
        & ( ~ hskp2
          | ( ndr1_0
            & c2_1(a596)
            & ~ c0_1(a596)
            & ~ c1_1(a596) ) )
        & ( ~ hskp3
          | ( ndr1_0
            & c1_1(a597)
            & c2_1(a597)
            & ~ c3_1(a597) ) )
        & ( ~ hskp4
          | ( ndr1_0
            & ~ c0_1(a598)
            & ~ c1_1(a598)
            & ~ c2_1(a598) ) )
        & ( ~ hskp5
          | ( ndr1_0
            & c2_1(a599)
            & c3_1(a599)
            & ~ c1_1(a599) ) )
        & ( ~ hskp6
          | ( ndr1_0
            & c3_1(a600)
            & ~ c1_1(a600)
            & ~ c2_1(a600) ) )
        & ( ~ hskp7
          | ( ndr1_0
            & c2_1(a602)
            & c3_1(a602)
            & ~ c0_1(a602) ) )
        & ( ~ hskp8
          | ( ndr1_0
            & c0_1(a603)
            & ~ c1_1(a603)
            & ~ c2_1(a603) ) )
        & ( ~ hskp9
          | ( ndr1_0
            & c1_1(a604)
            & c2_1(a604)
            & ~ c0_1(a604) ) )
        & ( ~ hskp10
          | ( ndr1_0
            & c0_1(a605)
            & c2_1(a605)
            & ~ c3_1(a605) ) )
        & ( ~ hskp11
          | ( ndr1_0
            & c1_1(a608)
            & ~ c0_1(a608)
            & ~ c3_1(a608) ) )
        & ( ~ hskp12
          | ( ndr1_0
            & c2_1(a609)
            & ~ c1_1(a609)
            & ~ c3_1(a609) ) )
        & ( ~ hskp13
          | ( ndr1_0
            & c1_1(a614)
            & ~ c2_1(a614)
            & ~ c3_1(a614) ) )
        & ( ~ hskp14
          | ( ndr1_0
            & c0_1(a615)
            & c2_1(a615)
            & ~ c1_1(a615) ) )
        & ( ~ hskp15
          | ( ndr1_0
            & c0_1(a619)
            & ~ c1_1(a619)
            & ~ c3_1(a619) ) )
        & ( ~ hskp16
          | ( ndr1_0
            & c1_1(a620)
            & ~ c0_1(a620)
            & ~ c2_1(a620) ) )
        & ( ~ hskp17
          | ( ndr1_0
            & c0_1(a624)
            & c1_1(a624)
            & ~ c2_1(a624) ) )
        & ( ~ hskp18
          | ( ndr1_0
            & c3_1(a625)
            & ~ c0_1(a625)
            & ~ c1_1(a625) ) )
        & ( ~ hskp19
          | ( ndr1_0
            & c0_1(a627)
            & ~ c2_1(a627)
            & ~ c3_1(a627) ) )
        & ( ~ hskp20
          | ( ndr1_0
            & c0_1(a630)
            & c3_1(a630)
            & ~ c2_1(a630) ) )
        & ( ~ hskp21
          | ( ndr1_0
            & c0_1(a631)
            & c3_1(a631)
            & ~ c1_1(a631) ) )
        & ( ~ hskp22
          | ( ndr1_0
            & ~ c0_1(a644)
            & ~ c2_1(a644)
            & ~ c3_1(a644) ) )
        & ( ~ hskp23
          | ( ndr1_0
            & c3_1(a645)
            & ~ c0_1(a645)
            & ~ c2_1(a645) ) )
        & ( ~ hskp24
          | ( ndr1_0
            & c1_1(a651)
            & c3_1(a651)
            & ~ c2_1(a651) ) )
        & ( ~ hskp25
          | ( ndr1_0
            & c1_1(a656)
            & c3_1(a656)
            & ~ c0_1(a656) ) )
        & ( ~ hskp26
          | ( ndr1_0
            & ~ c0_1(a667)
            & ~ c1_1(a667)
            & ~ c3_1(a667) ) )
        & ( ~ hskp27
          | ( ndr1_0
            & ~ c1_1(a690)
            & ~ c2_1(a690)
            & ~ c3_1(a690) ) )
        & ( ~ hskp28
          | ( ndr1_0
            & c1_1(a595)
            & c2_1(a595)
            & c3_1(a595) ) )
        & ( ~ hskp29
          | ( ndr1_0
            & c0_1(a618)
            & c1_1(a618)
            & c3_1(a618) ) )
        & ( ~ hskp30
          | ( ndr1_0
            & c0_1(a637)
            & c1_1(a637)
            & c2_1(a637) ) )
        & ( ~ hskp31
          | ( ndr1_0
            & c0_1(a672)
            & c2_1(a672)
            & c3_1(a672) ) )
        & ( ! [U] : 
              ( ndr1_0
             => ( c0_1(U)
                | c1_1(U)
                | c2_1(U) ) )
          | ! [V] : 
              ( ndr1_0
             => ( c0_1(V)
                | c1_1(V)
                | c3_1(V) ) )
          | ! [W] : 
              ( ndr1_0
             => ( c0_1(W)
                | c2_1(W)
                | c3_1(W) ) ) )
        & ( ! [X] : 
              ( ndr1_0
             => ( c0_1(X)
                | c1_1(X)
                | c2_1(X) ) )
          | ! [Y] : 
              ( ndr1_0
             => ( c0_1(Y)
                | c1_1(Y)
                | ~ c3_1(Y) ) )
          | ! [Z] : 
              ( ndr1_0
             => ( c3_1(Z)
                | ~ c0_1(Z)
                | ~ c2_1(Z) ) ) )
        & ( ! [X1] : 
              ( ndr1_0
             => ( c0_1(X1)
                | c1_1(X1)
                | c2_1(X1) ) )
          | ! [X2] : 
              ( ndr1_0
             => ( c2_1(X2)
                | c3_1(X2)
                | ~ c0_1(X2) ) )
          | ! [X3] : 
              ( ndr1_0
             => ( c2_1(X3)
                | ~ c0_1(X3)
                | ~ c3_1(X3) ) ) )
        & ( ! [X4] : 
              ( ndr1_0
             => ( c0_1(X4)
                | c1_1(X4)
                | c2_1(X4) ) )
          | ! [X5] : 
              ( ndr1_0
             => ( c3_1(X5)
                | ~ c0_1(X5)
                | ~ c2_1(X5) ) )
          | hskp0 )
        & ( ! [X6] : 
              ( ndr1_0
             => ( c0_1(X6)
                | c1_1(X6)
                | c2_1(X6) ) )
          | ! [X7] : 
              ( ndr1_0
             => ( c3_1(X7)
                | ~ c1_1(X7)
                | ~ c2_1(X7) ) )
          | ! [X8] : 
              ( ndr1_0
             => ( ~ c0_1(X8)
                | ~ c1_1(X8)
                | ~ c2_1(X8) ) ) )
        & ( ! [X9] : 
              ( ndr1_0
             => ( c0_1(X9)
                | c1_1(X9)
                | c3_1(X9) ) )
          | ! [X10] : 
              ( ndr1_0
             => ( c0_1(X10)
                | c1_1(X10)
                | ~ c3_1(X10) ) )
          | ! [X11] : 
              ( ndr1_0
             => ( ~ c0_1(X11)
                | ~ c2_1(X11)
                | ~ c3_1(X11) ) ) )
        & ( ! [X12] : 
              ( ndr1_0
             => ( c0_1(X12)
                | c1_1(X12)
                | ~ c2_1(X12) ) )
          | ! [X13] : 
              ( ndr1_0
             => ( c1_1(X13)
                | ~ c0_1(X13)
                | ~ c3_1(X13) ) )
          | hskp1 )
        & ( ! [X14] : 
              ( ndr1_0
             => ( c0_1(X14)
                | c1_1(X14)
                | ~ c2_1(X14) ) )
          | hskp28
          | hskp2 )
        & ( ! [X15] : 
              ( ndr1_0
             => ( c0_1(X15)
                | c1_1(X15)
                | ~ c2_1(X15) ) )
          | hskp3
          | hskp4 )
        & ( ! [X16] : 
              ( ndr1_0
             => ( c0_1(X16)
                | c1_1(X16)
                | ~ c3_1(X16) ) )
          | ! [X17] : 
              ( ndr1_0
             => ( c0_1(X17)
                | c2_1(X17)
                | c3_1(X17) ) )
          | ! [X18] : 
              ( ndr1_0
             => ( c0_1(X18)
                | ~ c2_1(X18)
                | ~ c3_1(X18) ) ) )
        & ( ! [X19] : 
              ( ndr1_0
             => ( c0_1(X19)
                | c1_1(X19)
                | ~ c3_1(X19) ) )
          | ! [X20] : 
              ( ndr1_0
             => ( c0_1(X20)
                | c3_1(X20)
                | ~ c1_1(X20) ) )
          | ! [X21] : 
              ( ndr1_0
             => ( c3_1(X21)
                | ~ c0_1(X21)
                | ~ c1_1(X21) ) ) )
        & ( ! [X22] : 
              ( ndr1_0
             => ( c0_1(X22)
                | c1_1(X22)
                | ~ c3_1(X22) ) )
          | ! [X23] : 
              ( ndr1_0
             => ( c0_1(X23)
                | ~ c2_1(X23)
                | ~ c3_1(X23) ) )
          | ! [X24] : 
              ( ndr1_0
             => ( c2_1(X24)
                | ~ c0_1(X24)
                | ~ c3_1(X24) ) ) )
        & ( ! [X25] : 
              ( ndr1_0
             => ( c0_1(X25)
                | c1_1(X25)
                | ~ c3_1(X25) ) )
          | hskp5
          | hskp6 )
        & ( ! [X26] : 
              ( ndr1_0
             => ( c0_1(X26)
                | c2_1(X26)
                | c3_1(X26) ) )
          | ! [X27] : 
              ( ndr1_0
             => ( c0_1(X27)
                | c3_1(X27)
                | ~ c1_1(X27) ) )
          | hskp5 )
        & ( ! [X28] : 
              ( ndr1_0
             => ( c0_1(X28)
                | c2_1(X28)
                | c3_1(X28) ) )
          | ! [X29] : 
              ( ndr1_0
             => ( c2_1(X29)
                | c3_1(X29)
                | ~ c0_1(X29) ) )
          | ! [X30] : 
              ( ndr1_0
             => ( ~ c0_1(X30)
                | ~ c1_1(X30)
                | ~ c2_1(X30) ) ) )
        & ( ! [X31] : 
              ( ndr1_0
             => ( c0_1(X31)
                | c2_1(X31)
                | c3_1(X31) ) )
          | ! [X32] : 
              ( ndr1_0
             => ( ~ c0_1(X32)
                | ~ c1_1(X32)
                | ~ c2_1(X32) ) )
          | hskp7 )
        & ( ! [X33] : 
              ( ndr1_0
             => ( c0_1(X33)
                | c2_1(X33)
                | ~ c1_1(X33) ) )
          | ! [X34] : 
              ( ndr1_0
             => ( c1_1(X34)
                | c2_1(X34)
                | ~ c0_1(X34) ) )
          | hskp8 )
        & ( ! [X35] : 
              ( ndr1_0
             => ( c0_1(X35)
                | c2_1(X35)
                | ~ c1_1(X35) ) )
          | ! [X36] : 
              ( ndr1_0
             => ( c1_1(X36)
                | c3_1(X36)
                | ~ c2_1(X36) ) )
          | ! [X37] : 
              ( ndr1_0
             => ( ~ c0_1(X37)
                | ~ c2_1(X37)
                | ~ c3_1(X37) ) ) )
        & ( ! [X38] : 
              ( ndr1_0
             => ( c0_1(X38)
                | c2_1(X38)
                | ~ c1_1(X38) ) )
          | ! [X39] : 
              ( ndr1_0
             => ( ~ c0_1(X39)
                | ~ c2_1(X39)
                | ~ c3_1(X39) ) )
          | hskp9 )
        & ( ! [X40] : 
              ( ndr1_0
             => ( c0_1(X40)
                | c2_1(X40)
                | ~ c1_1(X40) ) )
          | ! [X41] : 
              ( ndr1_0
             => ( ~ c1_1(X41)
                | ~ c2_1(X41)
                | ~ c3_1(X41) ) )
          | hskp10 )
        & ( ! [X42] : 
              ( ndr1_0
             => ( c0_1(X42)
                | c3_1(X42)
                | ~ c1_1(X42) ) )
          | ! [X43] : 
              ( ndr1_0
             => ( c1_1(X43)
                | ~ c0_1(X43)
                | ~ c3_1(X43) ) )
          | hskp1 )
        & ( ! [X44] : 
              ( ndr1_0
             => ( c0_1(X44)
                | c3_1(X44)
                | ~ c1_1(X44) ) )
          | ! [X45] : 
              ( ndr1_0
             => ( c2_1(X45)
                | ~ c1_1(X45)
                | ~ c3_1(X45) ) )
          | hskp28 )
        & ( ! [X46] : 
              ( ndr1_0
             => ( c0_1(X46)
                | c3_1(X46)
                | ~ c2_1(X46) ) )
          | ! [X47] : 
              ( ndr1_0
             => ( c1_1(X47)
                | c3_1(X47)
                | ~ c0_1(X47) ) )
          | hskp11 )
        & ( ! [X48] : 
              ( ndr1_0
             => ( c0_1(X48)
                | c3_1(X48)
                | ~ c2_1(X48) ) )
          | ! [X49] : 
              ( ndr1_0
             => ( c2_1(X49)
                | ~ c1_1(X49)
                | ~ c3_1(X49) ) )
          | hskp12 )
        & ( ! [X50] : 
              ( ndr1_0
             => ( c0_1(X50)
                | c3_1(X50)
                | ~ c2_1(X50) ) )
          | hskp10
          | hskp5 )
        & ( ! [X51] : 
              ( ndr1_0
             => ( c0_1(X51)
                | c3_1(X51)
                | ~ c2_1(X51) ) )
          | hskp28
          | hskp7 )
        & ( ! [X52] : 
              ( ndr1_0
             => ( c0_1(X52)
                | ~ c1_1(X52)
                | ~ c2_1(X52) ) )
          | ! [X53] : 
              ( ndr1_0
             => ( c0_1(X53)
                | ~ c1_1(X53)
                | ~ c3_1(X53) ) )
          | ! [X54] : 
              ( ndr1_0
             => ( ~ c1_1(X54)
                | ~ c2_1(X54)
                | ~ c3_1(X54) ) ) )
        & ( ! [X55] : 
              ( ndr1_0
             => ( c0_1(X55)
                | ~ c1_1(X55)
                | ~ c2_1(X55) ) )
          | ! [X56] : 
              ( ndr1_0
             => ( c2_1(X56)
                | ~ c0_1(X56)
                | ~ c3_1(X56) ) )
          | hskp13 )
        & ( ! [X57] : 
              ( ndr1_0
             => ( c0_1(X57)
                | ~ c1_1(X57)
                | ~ c3_1(X57) ) )
          | ! [X58] : 
              ( ndr1_0
             => ( ~ c0_1(X58)
                | ~ c1_1(X58)
                | ~ c2_1(X58) ) )
          | hskp14 )
        & ( ! [X59] : 
              ( ndr1_0
             => ( c0_1(X59)
                | ~ c1_1(X59)
                | ~ c3_1(X59) ) )
          | hskp14
          | hskp8 )
        & ( ! [X60] : 
              ( ndr1_0
             => ( c0_1(X60)
                | ~ c2_1(X60)
                | ~ c3_1(X60) ) )
          | ! [X61] : 
              ( ndr1_0
             => ( c2_1(X61)
                | c3_1(X61)
                | ~ c1_1(X61) ) )
          | ! [X62] : 
              ( ndr1_0
             => ( ~ c0_1(X62)
                | ~ c1_1(X62)
                | ~ c2_1(X62) ) ) )
        & ( ! [X63] : 
              ( ndr1_0
             => ( c0_1(X63)
                | ~ c2_1(X63)
                | ~ c3_1(X63) ) )
          | ! [X64] : 
              ( ndr1_0
             => ( ~ c0_1(X64)
                | ~ c1_1(X64)
                | ~ c2_1(X64) ) )
          | hskp29 )
        & ( ! [X65] : 
              ( ndr1_0
             => ( c0_1(X65)
                | ~ c2_1(X65)
                | ~ c3_1(X65) ) )
          | hskp15
          | hskp16 )
        & ( ! [X66] : 
              ( ndr1_0
             => ( c1_1(X66)
                | c2_1(X66)
                | c3_1(X66) ) )
          | hskp14
          | hskp4 )
        & ( ! [X67] : 
              ( ndr1_0
             => ( c1_1(X67)
                | c2_1(X67)
                | ~ c0_1(X67) ) )
          | ! [X68] : 
              ( ndr1_0
             => ( c2_1(X68)
                | ~ c0_1(X68)
                | ~ c3_1(X68) ) )
          | hskp12 )
        & ( ! [X69] : 
              ( ndr1_0
             => ( c1_1(X69)
                | c2_1(X69)
                | ~ c3_1(X69) ) )
          | hskp17
          | hskp18 )
        & ( ! [X70] : 
              ( ndr1_0
             => ( c1_1(X70)
                | c3_1(X70)
                | ~ c2_1(X70) ) )
          | ! [X71] : 
              ( ndr1_0
             => ( ~ c0_1(X71)
                | ~ c1_1(X71)
                | ~ c3_1(X71) ) )
          | hskp18 )
        & ( ! [X72] : 
              ( ndr1_0
             => ( c1_1(X72)
                | c3_1(X72)
                | ~ c2_1(X72) ) )
          | hskp19
          | hskp7 )
        & ( ! [X73] : 
              ( ndr1_0
             => ( c1_1(X73)
                | ~ c0_1(X73)
                | ~ c2_1(X73) ) )
          | ! [X74] : 
              ( ndr1_0
             => ( c2_1(X74)
                | ~ c0_1(X74)
                | ~ c1_1(X74) ) )
          | hskp12 )
        & ( ! [X75] : 
              ( ndr1_0
             => ( c1_1(X75)
                | ~ c0_1(X75)
                | ~ c3_1(X75) ) )
          | ! [X76] : 
              ( ndr1_0
             => ( c2_1(X76)
                | c3_1(X76)
                | ~ c0_1(X76) ) )
          | hskp20 )
        & ( ! [X77] : 
              ( ndr1_0
             => ( c1_1(X77)
                | ~ c0_1(X77)
                | ~ c3_1(X77) ) )
          | ! [X78] : 
              ( ndr1_0
             => ( c2_1(X78)
                | c3_1(X78)
                | ~ c1_1(X78) ) )
          | ! [X79] : 
              ( ndr1_0
             => ( c3_1(X79)
                | ~ c1_1(X79)
                | ~ c2_1(X79) ) ) )
        & ( ! [X80] : 
              ( ndr1_0
             => ( c1_1(X80)
                | ~ c0_1(X80)
                | ~ c3_1(X80) ) )
          | ! [X81] : 
              ( ndr1_0
             => ( c3_1(X81)
                | ~ c0_1(X81)
                | ~ c1_1(X81) ) )
          | hskp21 )
        & ( ! [X82] : 
              ( ndr1_0
             => ( c1_1(X82)
                | ~ c0_1(X82)
                | ~ c3_1(X82) ) )
          | hskp14
          | hskp5 )
        & ( ! [X83] : 
              ( ndr1_0
             => ( c1_1(X83)
                | ~ c2_1(X83)
                | ~ c3_1(X83) ) )
          | hskp13
          | hskp12 )
        & ( ! [X84] : 
              ( ndr1_0
             => ( c2_1(X84)
                | c3_1(X84)
                | ~ c0_1(X84) ) )
          | ! [X85] : 
              ( ndr1_0
             => ( c2_1(X85)
                | ~ c0_1(X85)
                | ~ c1_1(X85) ) )
          | hskp29 )
        & ( ! [X86] : 
              ( ndr1_0
             => ( c2_1(X86)
                | c3_1(X86)
                | ~ c0_1(X86) ) )
          | ! [X87] : 
              ( ndr1_0
             => ( ~ c0_1(X87)
                | ~ c2_1(X87)
                | ~ c3_1(X87) ) )
          | hskp30 )
        & ( ! [X88] : 
              ( ndr1_0
             => ( c2_1(X88)
                | c3_1(X88)
                | ~ c0_1(X88) ) )
          | hskp19
          | hskp28 )
        & ( ! [X89] : 
              ( ndr1_0
             => ( c2_1(X89)
                | c3_1(X89)
                | ~ c1_1(X89) ) )
          | ! [X90] : 
              ( ndr1_0
             => ( ~ c0_1(X90)
                | ~ c1_1(X90)
                | ~ c2_1(X90) ) )
          | ! [X91] : 
              ( ndr1_0
             => ( ~ c0_1(X91)
                | ~ c2_1(X91)
                | ~ c3_1(X91) ) ) )
        & ( ! [X92] : 
              ( ndr1_0
             => ( c2_1(X92)
                | ~ c0_1(X92)
                | ~ c1_1(X92) ) )
          | ! [X93] : 
              ( ndr1_0
             => ( ~ c0_1(X93)
                | ~ c1_1(X93)
                | ~ c2_1(X93) ) )
          | hskp18 )
        & ( ! [X94] : 
              ( ndr1_0
             => ( c2_1(X94)
                | ~ c0_1(X94)
                | ~ c1_1(X94) ) )
          | hskp8
          | hskp4 )
        & ( ! [X95] : 
              ( ndr1_0
             => ( c2_1(X95)
                | ~ c0_1(X95)
                | ~ c1_1(X95) ) )
          | hskp4
          | hskp22 )
        & ( ! [X96] : 
              ( ndr1_0
             => ( c2_1(X96)
                | ~ c0_1(X96)
                | ~ c3_1(X96) ) )
          | hskp23
          | hskp22 )
        & ( ! [X97] : 
              ( ndr1_0
             => ( c2_1(X97)
                | ~ c1_1(X97)
                | ~ c3_1(X97) ) )
          | hskp29
          | hskp6 )
        & ( ! [X98] : 
              ( ndr1_0
             => ( c2_1(X98)
                | ~ c1_1(X98)
                | ~ c3_1(X98) ) )
          | hskp10
          | hskp5 )
        & ( ! [X99] : 
              ( ndr1_0
             => ( c3_1(X99)
                | ~ c0_1(X99)
                | ~ c1_1(X99) ) )
          | ! [X100] : 
              ( ndr1_0
             => ( ~ c0_1(X100)
                | ~ c2_1(X100)
                | ~ c3_1(X100) ) )
          | hskp24 )
        & ( ! [X101] : 
              ( ndr1_0
             => ( c3_1(X101)
                | ~ c0_1(X101)
                | ~ c1_1(X101) ) )
          | ! [X102] : 
              ( ndr1_0
             => ( ~ c1_1(X102)
                | ~ c2_1(X102)
                | ~ c3_1(X102) ) )
          | hskp17 )
        & ( ! [X103] : 
              ( ndr1_0
             => ( c3_1(X103)
                | ~ c0_1(X103)
                | ~ c2_1(X103) ) )
          | hskp14 )
        & ( ! [X104] : 
              ( ndr1_0
             => ( c3_1(X104)
                | ~ c0_1(X104)
                | ~ c2_1(X104) ) )
          | hskp28
          | hskp4 )
        & ( ! [X105] : 
              ( ndr1_0
             => ( c3_1(X105)
                | ~ c0_1(X105)
                | ~ c2_1(X105) ) )
          | hskp25 )
        & ( ! [X106] : 
              ( ndr1_0
             => ( c3_1(X106)
                | ~ c1_1(X106)
                | ~ c2_1(X106) ) )
          | hskp0
          | hskp22 )
        & ( ! [X107] : 
              ( ndr1_0
             => ( ~ c0_1(X107)
                | ~ c1_1(X107)
                | ~ c2_1(X107) ) )
          | hskp29
          | hskp16 )
        & ( ! [X108] : 
              ( ndr1_0
             => ( ~ c0_1(X108)
                | ~ c2_1(X108)
                | ~ c3_1(X108) ) )
          | hskp28
          | hskp2 )
        & ( ! [X109] : 
              ( ndr1_0
             => ( ~ c1_1(X109)
                | ~ c2_1(X109)
                | ~ c3_1(X109) ) )
          | hskp5
          | hskp18 )
        & ( hskp30
          | hskp3
          | hskp26 )
        & ( hskp29
          | hskp25
          | hskp23 )
        & ( hskp1
          | hskp31
          | hskp24 )
        & ( hskp1
          | hskp21
          | hskp4 )
        & ( hskp10
          | hskp28
          | hskp2 )
        & ( hskp10
          | hskp9
          | hskp12 )
        & ( hskp10
          | hskp12
          | hskp18 )
        & ( hskp9
          | hskp24 )
        & ( hskp3
          | hskp13
          | hskp27 ) ) )).

%--------------------------------------------------------------------------
