%--------------------------------------------------------------------------
% File     : SYN472+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=72, K=3, D=1, P=0, Index=003
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-72-3-1-003.dfg [Wei97]

% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
%
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
%
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  713 (   0 equality)
%            Maximal formula depth :  106 ( 106 average)
%            Number of connectives :  953 ( 241 ~  ; 403  |; 195  &)
%                                         (   0 <=>; 114 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   36 (  32 propositional; 0-1 arity)
%            Number of functors    :   31 (  31 constant; 0-0 arity)
%            Number of variables   :  114 (   0 singleton; 114 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%--------------------------------------------------------------------------
fof(co1,conjecture,
    ( ~ ( ( ~ hskp0
          | ( ndr1_0
            & c2_1(a692)
            & ~ c0_1(a692)
            & ~ c1_1(a692) ) )
        & ( ~ hskp1
          | ( ndr1_0
            & c2_1(a693)
            & ~ c1_1(a693)
            & ~ c3_1(a693) ) )
        & ( ~ hskp2
          | ( ndr1_0
            & c0_1(a696)
            & c1_1(a696)
            & ~ c2_1(a696) ) )
        & ( ~ hskp3
          | ( ndr1_0
            & c0_1(a697)
            & c2_1(a697)
            & ~ c3_1(a697) ) )
        & ( ~ hskp4
          | ( ndr1_0
            & ~ c0_1(a698)
            & ~ c2_1(a698)
            & ~ c3_1(a698) ) )
        & ( ~ hskp5
          | ( ndr1_0
            & c0_1(a701)
            & c2_1(a701)
            & ~ c1_1(a701) ) )
        & ( ~ hskp6
          | ( ndr1_0
            & c0_1(a702)
            & c3_1(a702)
            & ~ c2_1(a702) ) )
        & ( ~ hskp7
          | ( ndr1_0
            & c1_1(a708)
            & c2_1(a708)
            & ~ c3_1(a708) ) )
        & ( ~ hskp8
          | ( ndr1_0
            & c2_1(a710)
            & c3_1(a710)
            & ~ c0_1(a710) ) )
        & ( ~ hskp9
          | ( ndr1_0
            & ~ c0_1(a712)
            & ~ c1_1(a712)
            & ~ c2_1(a712) ) )
        & ( ~ hskp10
          | ( ndr1_0
            & c1_1(a717)
            & c3_1(a717)
            & ~ c2_1(a717) ) )
        & ( ~ hskp11
          | ( ndr1_0
            & c0_1(a722)
            & c3_1(a722)
            & ~ c1_1(a722) ) )
        & ( ~ hskp12
          | ( ndr1_0
            & ~ c0_1(a725)
            & ~ c1_1(a725)
            & ~ c3_1(a725) ) )
        & ( ~ hskp13
          | ( ndr1_0
            & c1_1(a726)
            & ~ c0_1(a726)
            & ~ c3_1(a726) ) )
        & ( ~ hskp14
          | ( ndr1_0
            & c0_1(a730)
            & c1_1(a730)
            & ~ c3_1(a730) ) )
        & ( ~ hskp15
          | ( ndr1_0
            & c3_1(a734)
            & ~ c1_1(a734)
            & ~ c2_1(a734) ) )
        & ( ~ hskp16
          | ( ndr1_0
            & c2_1(a738)
            & c3_1(a738)
            & ~ c1_1(a738) ) )
        & ( ~ hskp17
          | ( ndr1_0
            & ~ c1_1(a744)
            & ~ c2_1(a744)
            & ~ c3_1(a744) ) )
        & ( ~ hskp18
          | ( ndr1_0
            & c0_1(a751)
            & ~ c1_1(a751)
            & ~ c3_1(a751) ) )
        & ( ~ hskp19
          | ( ndr1_0
            & c0_1(a752)
            & ~ c2_1(a752)
            & ~ c3_1(a752) ) )
        & ( ~ hskp20
          | ( ndr1_0
            & c2_1(a754)
            & ~ c0_1(a754)
            & ~ c3_1(a754) ) )
        & ( ~ hskp21
          | ( ndr1_0
            & c1_1(a760)
            & c3_1(a760)
            & ~ c0_1(a760) ) )
        & ( ~ hskp22
          | ( ndr1_0
            & c1_1(a761)
            & ~ c0_1(a761)
            & ~ c2_1(a761) ) )
        & ( ~ hskp23
          | ( ndr1_0
            & c0_1(a763)
            & ~ c1_1(a763)
            & ~ c2_1(a763) ) )
        & ( ~ hskp24
          | ( ndr1_0
            & c1_1(a764)
            & ~ c2_1(a764)
            & ~ c3_1(a764) ) )
        & ( ~ hskp25
          | ( ndr1_0
            & c1_1(a773)
            & c2_1(a773)
            & ~ c0_1(a773) ) )
        & ( ~ hskp26
          | ( ndr1_0
            & c3_1(a777)
            & ~ c0_1(a777)
            & ~ c1_1(a777) ) )
        & ( ~ hskp27
          | ( ndr1_0
            & c0_1(a691)
            & c1_1(a691)
            & c3_1(a691) ) )
        & ( ~ hskp28
          | ( ndr1_0
            & c0_1(a695)
            & c1_1(a695)
            & c2_1(a695) ) )
        & ( ~ hskp29
          | ( ndr1_0
            & c0_1(a713)
            & c2_1(a713)
            & c3_1(a713) ) )
        & ( ~ hskp30
          | ( ndr1_0
            & c1_1(a733)
            & c2_1(a733)
            & c3_1(a733) ) )
        & ( ! [U] : 
              ( ndr1_0
             => ( c0_1(U)
                | c1_1(U)
                | c3_1(U) ) )
          | ! [V] : 
              ( ndr1_0
             => ( c1_1(V)
                | c3_1(V)
                | ~ c0_1(V) ) )
          | hskp27 )
        & ( ! [W] : 
              ( ndr1_0
             => ( c0_1(W)
                | c1_1(W)
                | c3_1(W) ) )
          | hskp0
          | hskp1 )
        & ( ! [X] : 
              ( ndr1_0
             => ( c0_1(X)
                | c1_1(X)
                | ~ c2_1(X) ) )
          | ! [Y] : 
              ( ndr1_0
             => ( c0_1(Y)
                | c2_1(Y)
                | ~ c1_1(Y) ) )
          | hskp27 )
        & ( ! [Z] : 
              ( ndr1_0
             => ( c0_1(Z)
                | c1_1(Z)
                | ~ c2_1(Z) ) )
          | ! [X1] : 
              ( ndr1_0
             => ( c1_1(X1)
                | c2_1(X1)
                | ~ c0_1(X1) ) )
          | hskp28 )
        & ( ! [X2] : 
              ( ndr1_0
             => ( c0_1(X2)
                | c1_1(X2)
                | ~ c2_1(X2) ) )
          | ! [X3] : 
              ( ndr1_0
             => ( c1_1(X3)
                | c3_1(X3)
                | ~ c0_1(X3) ) )
          | ! [X4] : 
              ( ndr1_0
             => ( c3_1(X4)
                | ~ c1_1(X4)
                | ~ c2_1(X4) ) ) )
        & ( ! [X5] : 
              ( ndr1_0
             => ( c0_1(X5)
                | c1_1(X5)
                | ~ c2_1(X5) ) )
          | ! [X6] : 
              ( ndr1_0
             => ( c1_1(X6)
                | ~ c2_1(X6)
                | ~ c3_1(X6) ) )
          | hskp2 )
        & ( ! [X7] : 
              ( ndr1_0
             => ( c0_1(X7)
                | c1_1(X7)
                | ~ c2_1(X7) ) )
          | hskp3
          | hskp4 )
        & ( ! [X8] : 
              ( ndr1_0
             => ( c0_1(X8)
                | c1_1(X8)
                | ~ c3_1(X8) ) )
          | ! [X9] : 
              ( ndr1_0
             => ( c0_1(X9)
                | c2_1(X9)
                | ~ c1_1(X9) ) )
          | hskp3 )
        & ( ! [X10] : 
              ( ndr1_0
             => ( c0_1(X10)
                | c1_1(X10)
                | ~ c3_1(X10) ) )
          | ! [X11] : 
              ( ndr1_0
             => ( c2_1(X11)
                | c3_1(X11)
                | ~ c1_1(X11) ) )
          | hskp0 )
        & ( ! [X12] : 
              ( ndr1_0
             => ( c0_1(X12)
                | c1_1(X12)
                | ~ c3_1(X12) ) )
          | hskp5
          | hskp6 )
        & ( ! [X13] : 
              ( ndr1_0
             => ( c0_1(X13)
                | c2_1(X13)
                | c3_1(X13) ) )
          | ! [X14] : 
              ( ndr1_0
             => ( c0_1(X14)
                | c2_1(X14)
                | ~ c1_1(X14) ) )
          | ! [X15] : 
              ( ndr1_0
             => ( c1_1(X15)
                | c2_1(X15)
                | c3_1(X15) ) ) )
        & ( ! [X16] : 
              ( ndr1_0
             => ( c0_1(X16)
                | c2_1(X16)
                | c3_1(X16) ) )
          | ! [X17] : 
              ( ndr1_0
             => ( c0_1(X17)
                | c3_1(X17)
                | ~ c1_1(X17) ) )
          | hskp6 )
        & ( ! [X18] : 
              ( ndr1_0
             => ( c0_1(X18)
                | c2_1(X18)
                | c3_1(X18) ) )
          | ! [X19] : 
              ( ndr1_0
             => ( c2_1(X19)
                | ~ c0_1(X19)
                | ~ c3_1(X19) ) )
          | hskp0 )
        & ( ! [X20] : 
              ( ndr1_0
             => ( c0_1(X20)
                | c2_1(X20)
                | c3_1(X20) ) )
          | ! [X21] : 
              ( ndr1_0
             => ( c3_1(X21)
                | ~ c0_1(X21)
                | ~ c1_1(X21) ) )
          | ! [X22] : 
              ( ndr1_0
             => ( ~ c0_1(X22)
                | ~ c2_1(X22)
                | ~ c3_1(X22) ) ) )
        & ( ! [X23] : 
              ( ndr1_0
             => ( c0_1(X23)
                | c2_1(X23)
                | c3_1(X23) ) )
          | hskp27
          | hskp6 )
        & ( ! [X24] : 
              ( ndr1_0
             => ( c0_1(X24)
                | c2_1(X24)
                | c3_1(X24) ) )
          | hskp2
          | hskp7 )
        & ( ! [X25] : 
              ( ndr1_0
             => ( c0_1(X25)
                | c2_1(X25)
                | c3_1(X25) ) )
          | hskp5
          | hskp8 )
        & ( ! [X26] : 
              ( ndr1_0
             => ( c0_1(X26)
                | c2_1(X26)
                | c3_1(X26) ) )
          | hskp3
          | hskp9 )
        & ( ! [X27] : 
              ( ndr1_0
             => ( c0_1(X27)
                | c2_1(X27)
                | ~ c1_1(X27) ) )
          | ! [X28] : 
              ( ndr1_0
             => ( c0_1(X28)
                | ~ c1_1(X28)
                | ~ c2_1(X28) ) )
          | hskp29 )
        & ( ! [X29] : 
              ( ndr1_0
             => ( c0_1(X29)
                | c2_1(X29)
                | ~ c1_1(X29) ) )
          | ! [X30] : 
              ( ndr1_0
             => ( c1_1(X30)
                | c2_1(X30)
                | ~ c3_1(X30) ) )
          | hskp29 )
        & ( ! [X31] : 
              ( ndr1_0
             => ( c0_1(X31)
                | c2_1(X31)
                | ~ c1_1(X31) ) )
          | ! [X32] : 
              ( ndr1_0
             => ( c3_1(X32)
                | ~ c0_1(X32)
                | ~ c1_1(X32) ) )
          | ! [X33] : 
              ( ndr1_0
             => ( c3_1(X33)
                | ~ c1_1(X33)
                | ~ c2_1(X33) ) ) )
        & ( ! [X34] : 
              ( ndr1_0
             => ( c0_1(X34)
                | c2_1(X34)
                | ~ c3_1(X34) ) )
          | ! [X35] : 
              ( ndr1_0
             => ( c1_1(X35)
                | c2_1(X35)
                | ~ c0_1(X35) ) )
          | hskp5 )
        & ( ! [X36] : 
              ( ndr1_0
             => ( c0_1(X36)
                | c2_1(X36)
                | ~ c3_1(X36) ) )
          | ! [X37] : 
              ( ndr1_0
             => ( c1_1(X37)
                | c2_1(X37)
                | ~ c3_1(X37) ) )
          | ! [X38] : 
              ( ndr1_0
             => ( c1_1(X38)
                | c3_1(X38)
                | ~ c2_1(X38) ) ) )
        & ( ! [X39] : 
              ( ndr1_0
             => ( c0_1(X39)
                | c2_1(X39)
                | ~ c3_1(X39) ) )
          | ! [X40] : 
              ( ndr1_0
             => ( ~ c1_1(X40)
                | ~ c2_1(X40)
                | ~ c3_1(X40) ) )
          | hskp28 )
        & ( ! [X41] : 
              ( ndr1_0
             => ( c0_1(X41)
                | c3_1(X41)
                | ~ c1_1(X41) ) )
          | ! [X42] : 
              ( ndr1_0
             => ( c0_1(X42)
                | c3_1(X42)
                | ~ c2_1(X42) ) )
          | ! [X43] : 
              ( ndr1_0
             => ( c2_1(X43)
                | ~ c0_1(X43)
                | ~ c3_1(X43) ) ) )
        & ( ! [X44] : 
              ( ndr1_0
             => ( c0_1(X44)
                | c3_1(X44)
                | ~ c2_1(X44) ) )
          | ! [X45] : 
              ( ndr1_0
             => ( c0_1(X45)
                | ~ c1_1(X45)
                | ~ c3_1(X45) ) )
          | hskp10 )
        & ( ! [X46] : 
              ( ndr1_0
             => ( c0_1(X46)
                | c3_1(X46)
                | ~ c2_1(X46) ) )
          | ! [X47] : 
              ( ndr1_0
             => ( c1_1(X47)
                | c2_1(X47)
                | ~ c0_1(X47) ) )
          | ! [X48] : 
              ( ndr1_0
             => ( c2_1(X48)
                | c3_1(X48)
                | ~ c0_1(X48) ) ) )
        & ( ! [X49] : 
              ( ndr1_0
             => ( c0_1(X49)
                | c3_1(X49)
                | ~ c2_1(X49) ) )
          | ! [X50] : 
              ( ndr1_0
             => ( c2_1(X50)
                | c3_1(X50)
                | ~ c1_1(X50) ) )
          | hskp6 )
        & ( ! [X51] : 
              ( ndr1_0
             => ( c0_1(X51)
                | c3_1(X51)
                | ~ c2_1(X51) ) )
          | ! [X52] : 
              ( ndr1_0
             => ( ~ c1_1(X52)
                | ~ c2_1(X52)
                | ~ c3_1(X52) ) )
          | hskp8 )
        & ( ! [X53] : 
              ( ndr1_0
             => ( c0_1(X53)
                | ~ c1_1(X53)
                | ~ c2_1(X53) ) )
          | ! [X54] : 
              ( ndr1_0
             => ( c2_1(X54)
                | ~ c0_1(X54)
                | ~ c1_1(X54) ) )
          | hskp5 )
        & ( ! [X55] : 
              ( ndr1_0
             => ( c0_1(X55)
                | ~ c1_1(X55)
                | ~ c3_1(X55) ) )
          | ! [X56] : 
              ( ndr1_0
             => ( c1_1(X56)
                | c2_1(X56)
                | ~ c0_1(X56) ) )
          | hskp4 )
        & ( ! [X57] : 
              ( ndr1_0
             => ( c0_1(X57)
                | ~ c2_1(X57)
                | ~ c3_1(X57) ) )
          | ! [X58] : 
              ( ndr1_0
             => ( c1_1(X58)
                | ~ c2_1(X58)
                | ~ c3_1(X58) ) )
          | ! [X59] : 
              ( ndr1_0
             => ( c2_1(X59)
                | c3_1(X59)
                | ~ c1_1(X59) ) ) )
        & ( ! [X60] : 
              ( ndr1_0
             => ( c0_1(X60)
                | ~ c2_1(X60)
                | ~ c3_1(X60) ) )
          | ! [X61] : 
              ( ndr1_0
             => ( c2_1(X61)
                | c3_1(X61)
                | ~ c0_1(X61) ) )
          | hskp11 )
        & ( ! [X62] : 
              ( ndr1_0
             => ( c0_1(X62)
                | ~ c2_1(X62)
                | ~ c3_1(X62) ) )
          | ! [X63] : 
              ( ndr1_0
             => ( ~ c0_1(X63)
                | ~ c1_1(X63)
                | ~ c3_1(X63) ) )
          | hskp8 )
        & ( ! [X64] : 
              ( ndr1_0
             => ( c1_1(X64)
                | c2_1(X64)
                | c3_1(X64) ) )
          | ! [X65] : 
              ( ndr1_0
             => ( c2_1(X65)
                | ~ c0_1(X65)
                | ~ c1_1(X65) ) )
          | hskp3 )
        & ( ! [X66] : 
              ( ndr1_0
             => ( c1_1(X66)
                | c2_1(X66)
                | ~ c0_1(X66) ) )
          | ! [X67] : 
              ( ndr1_0
             => ( c2_1(X67)
                | ~ c0_1(X67)
                | ~ c1_1(X67) ) )
          | hskp12 )
        & ( ! [X68] : 
              ( ndr1_0
             => ( c1_1(X68)
                | c2_1(X68)
                | ~ c3_1(X68) ) )
          | ! [X69] : 
              ( ndr1_0
             => ( c1_1(X69)
                | c3_1(X69)
                | ~ c0_1(X69) ) )
          | hskp13 )
        & ( ! [X70] : 
              ( ndr1_0
             => ( c1_1(X70)
                | c2_1(X70)
                | ~ c3_1(X70) ) )
          | ! [X71] : 
              ( ndr1_0
             => ( c1_1(X71)
                | ~ c2_1(X71)
                | ~ c3_1(X71) ) )
          | ! [X72] : 
              ( ndr1_0
             => ( c3_1(X72)
                | ~ c0_1(X72)
                | ~ c1_1(X72) ) ) )
        & ( ! [X73] : 
              ( ndr1_0
             => ( c1_1(X73)
                | c2_1(X73)
                | ~ c3_1(X73) ) )
          | hskp3
          | hskp1 )
        & ( ! [X74] : 
              ( ndr1_0
             => ( c1_1(X74)
                | c3_1(X74)
                | ~ c0_1(X74) ) )
          | ! [X75] : 
              ( ndr1_0
             => ( c2_1(X75)
                | ~ c0_1(X75)
                | ~ c3_1(X75) ) )
          | hskp0 )
        & ( ! [X76] : 
              ( ndr1_0
             => ( c1_1(X76)
                | c3_1(X76)
                | ~ c0_1(X76) ) )
          | hskp14
          | hskp3 )
        & ( ! [X77] : 
              ( ndr1_0
             => ( c1_1(X77)
                | c3_1(X77)
                | ~ c0_1(X77) ) )
          | hskp14
          | hskp30 )
        & ( ! [X78] : 
              ( ndr1_0
             => ( c1_1(X78)
                | c3_1(X78)
                | ~ c0_1(X78) ) )
          | hskp15
          | hskp12 )
        & ( ! [X79] : 
              ( ndr1_0
             => ( c1_1(X79)
                | c3_1(X79)
                | ~ c2_1(X79) ) )
          | ! [X80] : 
              ( ndr1_0
             => ( c2_1(X80)
                | c3_1(X80)
                | ~ c0_1(X80) ) )
          | hskp28 )
        & ( ! [X81] : 
              ( ndr1_0
             => ( c1_1(X81)
                | c3_1(X81)
                | ~ c2_1(X81) ) )
          | ! [X82] : 
              ( ndr1_0
             => ( ~ c0_1(X82)
                | ~ c2_1(X82)
                | ~ c3_1(X82) ) )
          | hskp14 )
        & ( ! [X83] : 
              ( ndr1_0
             => ( c1_1(X83)
                | ~ c0_1(X83)
                | ~ c2_1(X83) ) )
          | ! [X84] : 
              ( ndr1_0
             => ( c3_1(X84)
                | ~ c1_1(X84)
                | ~ c2_1(X84) ) )
          | hskp16 )
        & ( ! [X85] : 
              ( ndr1_0
             => ( c1_1(X85)
                | ~ c0_1(X85)
                | ~ c2_1(X85) ) )
          | hskp7
          | hskp16 )
        & ( ! [X86] : 
              ( ndr1_0
             => ( c1_1(X86)
                | ~ c2_1(X86)
                | ~ c3_1(X86) ) )
          | hskp7
          | hskp13 )
        & ( ! [X87] : 
              ( ndr1_0
             => ( c2_1(X87)
                | c3_1(X87)
                | ~ c0_1(X87) ) )
          | hskp29
          | hskp17 )
        & ( ! [X88] : 
              ( ndr1_0
             => ( c2_1(X88)
                | c3_1(X88)
                | ~ c1_1(X88) ) )
          | ! [X89] : 
              ( ndr1_0
             => ( c3_1(X89)
                | ~ c1_1(X89)
                | ~ c2_1(X89) ) )
          | hskp28 )
        & ( ! [X90] : 
              ( ndr1_0
             => ( c2_1(X90)
                | c3_1(X90)
                | ~ c1_1(X90) ) )
          | ! [X91] : 
              ( ndr1_0
             => ( ~ c0_1(X91)
                | ~ c2_1(X91)
                | ~ c3_1(X91) ) )
          | hskp30 )
        & ( ! [X92] : 
              ( ndr1_0
             => ( c2_1(X92)
                | ~ c0_1(X92)
                | ~ c1_1(X92) ) )
          | hskp5
          | hskp1 )
        & ( ! [X93] : 
              ( ndr1_0
             => ( c2_1(X93)
                | ~ c0_1(X93)
                | ~ c3_1(X93) ) )
          | ! [X94] : 
              ( ndr1_0
             => ( ~ c1_1(X94)
                | ~ c2_1(X94)
                | ~ c3_1(X94) ) )
          | hskp28 )
        & ( ! [X95] : 
              ( ndr1_0
             => ( c2_1(X95)
                | ~ c1_1(X95)
                | ~ c3_1(X95) ) )
          | ! [X96] : 
              ( ndr1_0
             => ( c3_1(X96)
                | ~ c0_1(X96)
                | ~ c1_1(X96) ) )
          | hskp17 )
        & ( ! [X97] : 
              ( ndr1_0
             => ( c2_1(X97)
                | ~ c1_1(X97)
                | ~ c3_1(X97) ) )
          | hskp18
          | hskp19 )
        & ( ! [X98] : 
              ( ndr1_0
             => ( c2_1(X98)
                | ~ c1_1(X98)
                | ~ c3_1(X98) ) )
          | hskp16
          | hskp20 )
        & ( ! [X99] : 
              ( ndr1_0
             => ( c3_1(X99)
                | ~ c0_1(X99)
                | ~ c1_1(X99) ) )
          | hskp11
          | hskp7 )
        & ( ! [X100] : 
              ( ndr1_0
             => ( c3_1(X100)
                | ~ c0_1(X100)
                | ~ c1_1(X100) ) )
          | hskp16
          | hskp15 )
        & ( ! [X101] : 
              ( ndr1_0
             => ( c3_1(X101)
                | ~ c0_1(X101)
                | ~ c2_1(X101) ) )
          | ! [X102] : 
              ( ndr1_0
             => ( ~ c1_1(X102)
                | ~ c2_1(X102)
                | ~ c3_1(X102) ) )
          | hskp3 )
        & ( ! [X103] : 
              ( ndr1_0
             => ( c3_1(X103)
                | ~ c0_1(X103)
                | ~ c2_1(X103) ) )
          | hskp21
          | hskp22 )
        & ( ! [X104] : 
              ( ndr1_0
             => ( c3_1(X104)
                | ~ c1_1(X104)
                | ~ c2_1(X104) ) )
          | ! [X105] : 
              ( ndr1_0
             => ( ~ c0_1(X105)
                | ~ c2_1(X105)
                | ~ c3_1(X105) ) )
          | hskp20 )
        & ( ! [X106] : 
              ( ndr1_0
             => ( ~ c0_1(X106)
                | ~ c1_1(X106)
                | ~ c2_1(X106) ) )
          | hskp23
          | hskp24 )
        & ( ! [X107] : 
              ( ndr1_0
             => ( ~ c0_1(X107)
                | ~ c1_1(X107)
                | ~ c3_1(X107) ) )
          | hskp27
          | hskp18 )
        & ( ! [X108] : 
              ( ndr1_0
             => ( ~ c0_1(X108)
                | ~ c1_1(X108)
                | ~ c3_1(X108) ) )
          | hskp30
          | hskp20 )
        & ( hskp28
          | hskp30
          | hskp12 )
        & ( hskp28
          | hskp25
          | hskp22 )
        & ( hskp14
          | hskp7
          | hskp26 )
        & ( hskp29
          | hskp7
          | hskp13 )
        & ( hskp11
          | hskp23
          | hskp13 )
        & ( hskp23
          | hskp18
          | hskp21 )
        & ( hskp30
          | hskp20
          | hskp1 )
        & ( hskp13
          | hskp20
          | hskp12 ) ) )).

%--------------------------------------------------------------------------
