%--------------------------------------------------------------------------
% File     : SYN473+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=72, K=3, D=1, P=0, Index=005
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-72-3-1-005.dfg [Wei97]

% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
%
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
%
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  704 (   0 equality)
%            Maximal formula depth :  106 ( 106 average)
%            Number of connectives :  953 ( 250 ~  ; 397  |; 195  &)
%                                         (   0 <=>; 111 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   36 (  32 propositional; 0-1 arity)
%            Number of functors    :   31 (  31 constant; 0-0 arity)
%            Number of variables   :  111 (   0 singleton; 111 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%--------------------------------------------------------------------------
fof(co1,conjecture,
    ( ~ ( ( ~ hskp0
          | ( ndr1_0
            & c0_1(a793)
            & c2_1(a793)
            & ~ c1_1(a793) ) )
        & ( ~ hskp1
          | ( ndr1_0
            & c3_1(a794)
            & ~ c0_1(a794)
            & ~ c2_1(a794) ) )
        & ( ~ hskp2
          | ( ndr1_0
            & ~ c0_1(a795)
            & ~ c1_1(a795)
            & ~ c3_1(a795) ) )
        & ( ~ hskp3
          | ( ndr1_0
            & c0_1(a798)
            & c2_1(a798)
            & ~ c3_1(a798) ) )
        & ( ~ hskp4
          | ( ndr1_0
            & c0_1(a799)
            & c3_1(a799)
            & ~ c1_1(a799) ) )
        & ( ~ hskp5
          | ( ndr1_0
            & c3_1(a800)
            & ~ c0_1(a800)
            & ~ c1_1(a800) ) )
        & ( ~ hskp6
          | ( ndr1_0
            & c2_1(a802)
            & ~ c0_1(a802)
            & ~ c1_1(a802) ) )
        & ( ~ hskp7
          | ( ndr1_0
            & c1_1(a803)
            & c3_1(a803)
            & ~ c2_1(a803) ) )
        & ( ~ hskp8
          | ( ndr1_0
            & c1_1(a805)
            & ~ c2_1(a805)
            & ~ c3_1(a805) ) )
        & ( ~ hskp9
          | ( ndr1_0
            & c0_1(a806)
            & c1_1(a806)
            & ~ c3_1(a806) ) )
        & ( ~ hskp10
          | ( ndr1_0
            & ~ c0_1(a807)
            & ~ c2_1(a807)
            & ~ c3_1(a807) ) )
        & ( ~ hskp11
          | ( ndr1_0
            & c3_1(a808)
            & ~ c1_1(a808)
            & ~ c2_1(a808) ) )
        & ( ~ hskp12
          | ( ndr1_0
            & c1_1(a809)
            & c2_1(a809)
            & ~ c0_1(a809) ) )
        & ( ~ hskp13
          | ( ndr1_0
            & c1_1(a814)
            & ~ c0_1(a814)
            & ~ c3_1(a814) ) )
        & ( ~ hskp14
          | ( ndr1_0
            & c0_1(a816)
            & ~ c1_1(a816)
            & ~ c2_1(a816) ) )
        & ( ~ hskp15
          | ( ndr1_0
            & c2_1(a817)
            & c3_1(a817)
            & ~ c1_1(a817) ) )
        & ( ~ hskp16
          | ( ndr1_0
            & ~ c0_1(a821)
            & ~ c1_1(a821)
            & ~ c2_1(a821) ) )
        & ( ~ hskp17
          | ( ndr1_0
            & c0_1(a825)
            & c1_1(a825)
            & ~ c2_1(a825) ) )
        & ( ~ hskp18
          | ( ndr1_0
            & ~ c1_1(a828)
            & ~ c2_1(a828)
            & ~ c3_1(a828) ) )
        & ( ~ hskp19
          | ( ndr1_0
            & c2_1(a832)
            & ~ c1_1(a832)
            & ~ c3_1(a832) ) )
        & ( ~ hskp20
          | ( ndr1_0
            & c1_1(a833)
            & ~ c0_1(a833)
            & ~ c2_1(a833) ) )
        & ( ~ hskp21
          | ( ndr1_0
            & c0_1(a838)
            & c3_1(a838)
            & ~ c2_1(a838) ) )
        & ( ~ hskp22
          | ( ndr1_0
            & c1_1(a840)
            & c3_1(a840)
            & ~ c0_1(a840) ) )
        & ( ~ hskp23
          | ( ndr1_0
            & c0_1(a856)
            & ~ c2_1(a856)
            & ~ c3_1(a856) ) )
        & ( ~ hskp24
          | ( ndr1_0
            & c0_1(a862)
            & ~ c1_1(a862)
            & ~ c3_1(a862) ) )
        & ( ~ hskp25
          | ( ndr1_0
            & c1_1(a865)
            & c2_1(a865)
            & ~ c3_1(a865) ) )
        & ( ~ hskp26
          | ( ndr1_0
            & c2_1(a869)
            & c3_1(a869)
            & ~ c0_1(a869) ) )
        & ( ~ hskp27
          | ( ndr1_0
            & c0_1(a796)
            & c2_1(a796)
            & c3_1(a796) ) )
        & ( ~ hskp28
          | ( ndr1_0
            & c1_1(a797)
            & c2_1(a797)
            & c3_1(a797) ) )
        & ( ~ hskp29
          | ( ndr1_0
            & c0_1(a829)
            & c1_1(a829)
            & c2_1(a829) ) )
        & ( ~ hskp30
          | ( ndr1_0
            & c0_1(a867)
            & c1_1(a867)
            & c3_1(a867) ) )
        & ( ! [U] : 
              ( ndr1_0
             => ( c0_1(U)
                | c1_1(U)
                | c2_1(U) ) )
          | ! [V] : 
              ( ndr1_0
             => ( c0_1(V)
                | c2_1(V)
                | c3_1(V) ) )
          | ! [W] : 
              ( ndr1_0
             => ( c3_1(W)
                | ~ c1_1(W)
                | ~ c2_1(W) ) ) )
        & ( ! [X] : 
              ( ndr1_0
             => ( c0_1(X)
                | c1_1(X)
                | c2_1(X) ) )
          | ! [Y] : 
              ( ndr1_0
             => ( c3_1(Y)
                | ~ c0_1(Y)
                | ~ c2_1(Y) ) )
          | hskp0 )
        & ( ! [Z] : 
              ( ndr1_0
             => ( c0_1(Z)
                | c1_1(Z)
                | c2_1(Z) ) )
          | hskp1
          | hskp2 )
        & ( ! [X1] : 
              ( ndr1_0
             => ( c0_1(X1)
                | c1_1(X1)
                | c3_1(X1) ) )
          | ! [X2] : 
              ( ndr1_0
             => ( c0_1(X2)
                | ~ c1_1(X2)
                | ~ c2_1(X2) ) )
          | ! [X3] : 
              ( ndr1_0
             => ( c1_1(X3)
                | c3_1(X3)
                | ~ c2_1(X3) ) ) )
        & ( ! [X4] : 
              ( ndr1_0
             => ( c0_1(X4)
                | c1_1(X4)
                | c3_1(X4) ) )
          | hskp27
          | hskp28 )
        & ( ! [X5] : 
              ( ndr1_0
             => ( c0_1(X5)
                | c1_1(X5)
                | c3_1(X5) ) )
          | hskp3
          | hskp4 )
        & ( ! [X6] : 
              ( ndr1_0
             => ( c0_1(X6)
                | c1_1(X6)
                | ~ c3_1(X6) ) )
          | ! [X7] : 
              ( ndr1_0
             => ( c0_1(X7)
                | c3_1(X7)
                | ~ c2_1(X7) ) )
          | hskp5 )
        & ( ! [X8] : 
              ( ndr1_0
             => ( c0_1(X8)
                | c1_1(X8)
                | ~ c3_1(X8) ) )
          | ! [X9] : 
              ( ndr1_0
             => ( c1_1(X9)
                | c3_1(X9)
                | ~ c2_1(X9) ) )
          | hskp4 )
        & ( ! [X10] : 
              ( ndr1_0
             => ( c0_1(X10)
                | c1_1(X10)
                | ~ c3_1(X10) ) )
          | ! [X11] : 
              ( ndr1_0
             => ( c1_1(X11)
                | ~ c0_1(X11)
                | ~ c2_1(X11) ) )
          | ! [X12] : 
              ( ndr1_0
             => ( c2_1(X12)
                | ~ c0_1(X12)
                | ~ c1_1(X12) ) ) )
        & ( ! [X13] : 
              ( ndr1_0
             => ( c0_1(X13)
                | c1_1(X13)
                | ~ c3_1(X13) ) )
          | ! [X14] : 
              ( ndr1_0
             => ( c2_1(X14)
                | ~ c1_1(X14)
                | ~ c3_1(X14) ) )
          | hskp6 )
        & ( ! [X15] : 
              ( ndr1_0
             => ( c0_1(X15)
                | c1_1(X15)
                | ~ c3_1(X15) ) )
          | ! [X16] : 
              ( ndr1_0
             => ( ~ c1_1(X16)
                | ~ c2_1(X16)
                | ~ c3_1(X16) ) )
          | hskp7 )
        & ( ! [X17] : 
              ( ndr1_0
             => ( c0_1(X17)
                | c1_1(X17)
                | ~ c3_1(X17) ) )
          | hskp4
          | hskp8 )
        & ( ! [X18] : 
              ( ndr1_0
             => ( c0_1(X18)
                | c2_1(X18)
                | c3_1(X18) ) )
          | ! [X19] : 
              ( ndr1_0
             => ( c0_1(X19)
                | ~ c1_1(X19)
                | ~ c3_1(X19) ) )
          | ! [X20] : 
              ( ndr1_0
             => ( c3_1(X20)
                | ~ c0_1(X20)
                | ~ c1_1(X20) ) ) )
        & ( ! [X21] : 
              ( ndr1_0
             => ( c0_1(X21)
                | c2_1(X21)
                | c3_1(X21) ) )
          | ! [X22] : 
              ( ndr1_0
             => ( c1_1(X22)
                | c2_1(X22)
                | ~ c3_1(X22) ) )
          | ! [X23] : 
              ( ndr1_0
             => ( c1_1(X23)
                | c3_1(X23)
                | ~ c0_1(X23) ) ) )
        & ( ! [X24] : 
              ( ndr1_0
             => ( c0_1(X24)
                | c2_1(X24)
                | c3_1(X24) ) )
          | hskp9
          | hskp10 )
        & ( ! [X25] : 
              ( ndr1_0
             => ( c0_1(X25)
                | c2_1(X25)
                | ~ c3_1(X25) ) )
          | ! [X26] : 
              ( ndr1_0
             => ( c0_1(X26)
                | c3_1(X26)
                | ~ c1_1(X26) ) )
          | hskp11 )
        & ( ! [X27] : 
              ( ndr1_0
             => ( c0_1(X27)
                | c2_1(X27)
                | ~ c3_1(X27) ) )
          | ! [X28] : 
              ( ndr1_0
             => ( c0_1(X28)
                | c3_1(X28)
                | ~ c2_1(X28) ) )
          | hskp12 )
        & ( ! [X29] : 
              ( ndr1_0
             => ( c0_1(X29)
                | c2_1(X29)
                | ~ c3_1(X29) ) )
          | ! [X30] : 
              ( ndr1_0
             => ( c0_1(X30)
                | ~ c1_1(X30)
                | ~ c2_1(X30) ) )
          | ! [X31] : 
              ( ndr1_0
             => ( c3_1(X31)
                | ~ c0_1(X31)
                | ~ c2_1(X31) ) ) )
        & ( ! [X32] : 
              ( ndr1_0
             => ( c0_1(X32)
                | c2_1(X32)
                | ~ c3_1(X32) ) )
          | ! [X33] : 
              ( ndr1_0
             => ( c0_1(X33)
                | ~ c1_1(X33)
                | ~ c3_1(X33) ) )
          | ! [X34] : 
              ( ndr1_0
             => ( c3_1(X34)
                | ~ c1_1(X34)
                | ~ c2_1(X34) ) ) )
        & ( ! [X35] : 
              ( ndr1_0
             => ( c0_1(X35)
                | c2_1(X35)
                | ~ c3_1(X35) ) )
          | ! [X36] : 
              ( ndr1_0
             => ( c2_1(X36)
                | ~ c0_1(X36)
                | ~ c1_1(X36) ) )
          | hskp9 )
        & ( ! [X37] : 
              ( ndr1_0
             => ( c0_1(X37)
                | c2_1(X37)
                | ~ c3_1(X37) ) )
          | hskp1
          | hskp10 )
        & ( ! [X38] : 
              ( ndr1_0
             => ( c0_1(X38)
                | c3_1(X38)
                | ~ c1_1(X38) ) )
          | ! [X39] : 
              ( ndr1_0
             => ( c1_1(X39)
                | ~ c2_1(X39)
                | ~ c3_1(X39) ) )
          | ! [X40] : 
              ( ndr1_0
             => ( ~ c0_1(X40)
                | ~ c2_1(X40)
                | ~ c3_1(X40) ) ) )
        & ( ! [X41] : 
              ( ndr1_0
             => ( c0_1(X41)
                | c3_1(X41)
                | ~ c1_1(X41) ) )
          | ! [X42] : 
              ( ndr1_0
             => ( c2_1(X42)
                | c3_1(X42)
                | ~ c1_1(X42) ) )
          | hskp3 )
        & ( ! [X43] : 
              ( ndr1_0
             => ( c0_1(X43)
                | c3_1(X43)
                | ~ c1_1(X43) ) )
          | hskp13
          | hskp6 )
        & ( ! [X44] : 
              ( ndr1_0
             => ( c0_1(X44)
                | c3_1(X44)
                | ~ c2_1(X44) ) )
          | ! [X45] : 
              ( ndr1_0
             => ( c0_1(X45)
                | ~ c1_1(X45)
                | ~ c3_1(X45) ) )
          | hskp14 )
        & ( ! [X46] : 
              ( ndr1_0
             => ( c0_1(X46)
                | c3_1(X46)
                | ~ c2_1(X46) ) )
          | ! [X47] : 
              ( ndr1_0
             => ( c2_1(X47)
                | ~ c1_1(X47)
                | ~ c3_1(X47) ) )
          | ! [X48] : 
              ( ndr1_0
             => ( c3_1(X48)
                | ~ c0_1(X48)
                | ~ c1_1(X48) ) ) )
        & ( ! [X49] : 
              ( ndr1_0
             => ( c0_1(X49)
                | c3_1(X49)
                | ~ c2_1(X49) ) )
          | ! [X50] : 
              ( ndr1_0
             => ( ~ c1_1(X50)
                | ~ c2_1(X50)
                | ~ c3_1(X50) ) )
          | hskp15 )
        & ( ! [X51] : 
              ( ndr1_0
             => ( c0_1(X51)
                | c3_1(X51)
                | ~ c2_1(X51) ) )
          | hskp0
          | hskp5 )
        & ( ! [X52] : 
              ( ndr1_0
             => ( c0_1(X52)
                | c3_1(X52)
                | ~ c2_1(X52) ) )
          | hskp13
          | hskp16 )
        & ( ! [X53] : 
              ( ndr1_0
             => ( c0_1(X53)
                | ~ c1_1(X53)
                | ~ c2_1(X53) ) )
          | ! [X54] : 
              ( ndr1_0
             => ( c1_1(X54)
                | ~ c0_1(X54)
                | ~ c3_1(X54) ) )
          | hskp14 )
        & ( ! [X55] : 
              ( ndr1_0
             => ( c0_1(X55)
                | ~ c1_1(X55)
                | ~ c2_1(X55) ) )
          | ! [X56] : 
              ( ndr1_0
             => ( c1_1(X56)
                | ~ c0_1(X56)
                | ~ c3_1(X56) ) )
          | hskp13 )
        & ( ! [X57] : 
              ( ndr1_0
             => ( c0_1(X57)
                | ~ c1_1(X57)
                | ~ c2_1(X57) ) )
          | ! [X58] : 
              ( ndr1_0
             => ( c2_1(X58)
                | c3_1(X58)
                | ~ c1_1(X58) ) )
          | ! [X59] : 
              ( ndr1_0
             => ( c2_1(X59)
                | ~ c0_1(X59)
                | ~ c1_1(X59) ) ) )
        & ( ! [X60] : 
              ( ndr1_0
             => ( c0_1(X60)
                | ~ c1_1(X60)
                | ~ c3_1(X60) ) )
          | ! [X61] : 
              ( ndr1_0
             => ( c1_1(X61)
                | ~ c2_1(X61)
                | ~ c3_1(X61) ) )
          | hskp8 )
        & ( ! [X62] : 
              ( ndr1_0
             => ( c0_1(X62)
                | ~ c1_1(X62)
                | ~ c3_1(X62) ) )
          | hskp17
          | hskp0 )
        & ( ! [X63] : 
              ( ndr1_0
             => ( c0_1(X63)
                | ~ c1_1(X63)
                | ~ c3_1(X63) ) )
          | hskp14
          | hskp18 )
        & ( ! [X64] : 
              ( ndr1_0
             => ( c0_1(X64)
                | ~ c2_1(X64)
                | ~ c3_1(X64) ) )
          | ! [X65] : 
              ( ndr1_0
             => ( ~ c0_1(X65)
                | ~ c1_1(X65)
                | ~ c2_1(X65) ) )
          | ! [X66] : 
              ( ndr1_0
             => ( ~ c0_1(X66)
                | ~ c1_1(X66)
                | ~ c3_1(X66) ) ) )
        & ( ! [X67] : 
              ( ndr1_0
             => ( c0_1(X67)
                | ~ c2_1(X67)
                | ~ c3_1(X67) ) )
          | hskp29
          | hskp9 )
        & ( ! [X68] : 
              ( ndr1_0
             => ( c1_1(X68)
                | c2_1(X68)
                | c3_1(X68) ) )
          | ! [X69] : 
              ( ndr1_0
             => ( c1_1(X69)
                | c2_1(X69)
                | ~ c0_1(X69) ) )
          | hskp29 )
        & ( ! [X70] : 
              ( ndr1_0
             => ( c1_1(X70)
                | c2_1(X70)
                | c3_1(X70) ) )
          | ! [X71] : 
              ( ndr1_0
             => ( c2_1(X71)
                | ~ c1_1(X71)
                | ~ c3_1(X71) ) )
          | hskp19 )
        & ( ! [X72] : 
              ( ndr1_0
             => ( c1_1(X72)
                | c2_1(X72)
                | c3_1(X72) ) )
          | hskp20
          | hskp2 )
        & ( ! [X73] : 
              ( ndr1_0
             => ( c1_1(X73)
                | c2_1(X73)
                | ~ c0_1(X73) ) )
          | ! [X74] : 
              ( ndr1_0
             => ( c2_1(X74)
                | c3_1(X74)
                | ~ c1_1(X74) ) )
          | hskp29 )
        & ( ! [X75] : 
              ( ndr1_0
             => ( c1_1(X75)
                | c2_1(X75)
                | ~ c0_1(X75) ) )
          | hskp20
          | hskp1 )
        & ( ! [X76] : 
              ( ndr1_0
             => ( c1_1(X76)
                | c2_1(X76)
                | ~ c3_1(X76) ) )
          | hskp21
          | hskp18 )
        & ( ! [X77] : 
              ( ndr1_0
             => ( c1_1(X77)
                | c3_1(X77)
                | ~ c0_1(X77) ) )
          | ! [X78] : 
              ( ndr1_0
             => ( ~ c0_1(X78)
                | ~ c1_1(X78)
                | ~ c3_1(X78) ) )
          | hskp22 )
        & ( ! [X79] : 
              ( ndr1_0
             => ( c1_1(X79)
                | c3_1(X79)
                | ~ c2_1(X79) ) )
          | hskp0
          | hskp21 )
        & ( ! [X80] : 
              ( ndr1_0
             => ( c1_1(X80)
                | ~ c2_1(X80)
                | ~ c3_1(X80) ) )
          | ! [X81] : 
              ( ndr1_0
             => ( ~ c0_1(X81)
                | ~ c1_1(X81)
                | ~ c3_1(X81) ) )
          | hskp28 )
        & ( ! [X82] : 
              ( ndr1_0
             => ( c2_1(X82)
                | c3_1(X82)
                | ~ c1_1(X82) ) )
          | ! [X83] : 
              ( ndr1_0
             => ( c2_1(X83)
                | ~ c0_1(X83)
                | ~ c3_1(X83) ) )
          | ! [X84] : 
              ( ndr1_0
             => ( c3_1(X84)
                | ~ c0_1(X84)
                | ~ c2_1(X84) ) ) )
        & ( ! [X85] : 
              ( ndr1_0
             => ( c2_1(X85)
                | c3_1(X85)
                | ~ c1_1(X85) ) )
          | ! [X86] : 
              ( ndr1_0
             => ( ~ c0_1(X86)
                | ~ c1_1(X86)
                | ~ c3_1(X86) ) )
          | hskp12 )
        & ( ! [X87] : 
              ( ndr1_0
             => ( c2_1(X87)
                | c3_1(X87)
                | ~ c1_1(X87) ) )
          | hskp17
          | hskp8 )
        & ( ! [X88] : 
              ( ndr1_0
             => ( c2_1(X88)
                | c3_1(X88)
                | ~ c1_1(X88) ) )
          | hskp28
          | hskp19 )
        & ( ! [X89] : 
              ( ndr1_0
             => ( c2_1(X89)
                | c3_1(X89)
                | ~ c1_1(X89) ) )
          | hskp13
          | hskp1 )
        & ( ! [X90] : 
              ( ndr1_0
             => ( c2_1(X90)
                | ~ c0_1(X90)
                | ~ c1_1(X90) ) )
          | ! [X91] : 
              ( ndr1_0
             => ( c2_1(X91)
                | ~ c0_1(X91)
                | ~ c3_1(X91) ) )
          | hskp28 )
        & ( ! [X92] : 
              ( ndr1_0
             => ( c2_1(X92)
                | ~ c0_1(X92)
                | ~ c1_1(X92) ) )
          | hskp4
          | hskp28 )
        & ( ! [X93] : 
              ( ndr1_0
             => ( c2_1(X93)
                | ~ c0_1(X93)
                | ~ c3_1(X93) ) )
          | hskp9
          | hskp20 )
        & ( ! [X94] : 
              ( ndr1_0
             => ( c3_1(X94)
                | ~ c0_1(X94)
                | ~ c1_1(X94) ) )
          | hskp23
          | hskp13 )
        & ( ! [X95] : 
              ( ndr1_0
             => ( c3_1(X95)
                | ~ c0_1(X95)
                | ~ c2_1(X95) ) )
          | ! [X96] : 
              ( ndr1_0
             => ( ~ c0_1(X96)
                | ~ c1_1(X96)
                | ~ c3_1(X96) ) )
          | hskp5 )
        & ( ! [X97] : 
              ( ndr1_0
             => ( c3_1(X97)
                | ~ c0_1(X97)
                | ~ c2_1(X97) ) )
          | hskp27
          | hskp3 )
        & ( ! [X98] : 
              ( ndr1_0
             => ( ~ c0_1(X98)
                | ~ c1_1(X98)
                | ~ c3_1(X98) ) )
          | hskp14
          | hskp24 )
        & ( ! [X99] : 
              ( ndr1_0
             => ( ~ c0_1(X99)
                | ~ c1_1(X99)
                | ~ c3_1(X99) ) )
          | hskp14
          | hskp22 )
        & ( ! [X100] : 
              ( ndr1_0
             => ( ~ c0_1(X100)
                | ~ c1_1(X100)
                | ~ c3_1(X100) ) )
          | hskp25
          | hskp1 )
        & ( ! [X101] : 
              ( ndr1_0
             => ( ~ c0_1(X101)
                | ~ c2_1(X101)
                | ~ c3_1(X101) ) )
          | hskp30
          | hskp20 )
        & ( ! [X102] : 
              ( ndr1_0
             => ( ~ c0_1(X102)
                | ~ c2_1(X102)
                | ~ c3_1(X102) ) )
          | hskp26
          | hskp11 )
        & ( ! [X103] : 
              ( ndr1_0
             => ( ~ c0_1(X103)
                | ~ c2_1(X103)
                | ~ c3_1(X103) ) )
          | hskp15
          | hskp16 )
        & ( ! [X104] : 
              ( ndr1_0
             => ( ~ c1_1(X104)
                | ~ c2_1(X104)
                | ~ c3_1(X104) ) )
          | hskp27
          | hskp19 )
        & ( ! [X105] : 
              ( ndr1_0
             => ( ~ c1_1(X105)
                | ~ c2_1(X105)
                | ~ c3_1(X105) ) )
          | hskp21
          | hskp11 )
        & ( hskp30
          | hskp28
          | hskp19 )
        & ( hskp9
          | hskp3
          | hskp26 )
        & ( hskp27
          | hskp21
          | hskp28 )
        & ( hskp4
          | hskp24
          | hskp5 )
        & ( hskp4
          | hskp26
          | hskp5 )
        & ( hskp28
          | hskp8
          | hskp10 )
        & ( hskp22
          | hskp1
          | hskp11 ) ) )).

%--------------------------------------------------------------------------
