%--------------------------------------------------------------------------
% File     : SYN475+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=72, K=3, D=1, P=0, Index=058
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-72-3-1-058.dfg [Wei97]

% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
%
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
%
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  712 (   0 equality)
%            Maximal formula depth :  105 ( 105 average)
%            Number of connectives :  956 ( 245 ~  ; 404  |; 191  &)
%                                         (   0 <=>; 116 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   35 (  31 propositional; 0-1 arity)
%            Number of functors    :   30 (  30 constant; 0-0 arity)
%            Number of variables   :  116 (   0 singleton; 116 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%--------------------------------------------------------------------------
fof(co1,conjecture,
    ( ~ ( ( ~ hskp0
          | ( ndr1_0
            & c0_1(a1000)
            & c2_1(a1000)
            & ~ c3_1(a1000) ) )
        & ( ~ hskp1
          | ( ndr1_0
            & c2_1(a1001)
            & c3_1(a1001)
            & ~ c1_1(a1001) ) )
        & ( ~ hskp2
          | ( ndr1_0
            & c0_1(a1002)
            & c2_1(a1002)
            & ~ c1_1(a1002) ) )
        & ( ~ hskp3
          | ( ndr1_0
            & c1_1(a1003)
            & ~ c0_1(a1003)
            & ~ c2_1(a1003) ) )
        & ( ~ hskp4
          | ( ndr1_0
            & c1_1(a1004)
            & c2_1(a1004)
            & ~ c3_1(a1004) ) )
        & ( ~ hskp5
          | ( ndr1_0
            & ~ c1_1(a1005)
            & ~ c2_1(a1005)
            & ~ c3_1(a1005) ) )
        & ( ~ hskp6
          | ( ndr1_0
            & c0_1(a1006)
            & c3_1(a1006)
            & ~ c2_1(a1006) ) )
        & ( ~ hskp7
          | ( ndr1_0
            & c2_1(a1008)
            & ~ c1_1(a1008)
            & ~ c3_1(a1008) ) )
        & ( ~ hskp8
          | ( ndr1_0
            & c0_1(a1010)
            & c3_1(a1010)
            & ~ c1_1(a1010) ) )
        & ( ~ hskp9
          | ( ndr1_0
            & c0_1(a1011)
            & c1_1(a1011)
            & ~ c2_1(a1011) ) )
        & ( ~ hskp10
          | ( ndr1_0
            & c0_1(a1012)
            & ~ c1_1(a1012)
            & ~ c3_1(a1012) ) )
        & ( ~ hskp11
          | ( ndr1_0
            & c3_1(a1015)
            & ~ c0_1(a1015)
            & ~ c1_1(a1015) ) )
        & ( ~ hskp12
          | ( ndr1_0
            & c1_1(a1019)
            & c2_1(a1019)
            & ~ c0_1(a1019) ) )
        & ( ~ hskp13
          | ( ndr1_0
            & c3_1(a1023)
            & ~ c1_1(a1023)
            & ~ c2_1(a1023) ) )
        & ( ~ hskp14
          | ( ndr1_0
            & c0_1(a1025)
            & ~ c2_1(a1025)
            & ~ c3_1(a1025) ) )
        & ( ~ hskp15
          | ( ndr1_0
            & c2_1(a1026)
            & ~ c0_1(a1026)
            & ~ c1_1(a1026) ) )
        & ( ~ hskp16
          | ( ndr1_0
            & c1_1(a1030)
            & ~ c2_1(a1030)
            & ~ c3_1(a1030) ) )
        & ( ~ hskp17
          | ( ndr1_0
            & c2_1(a1032)
            & c3_1(a1032)
            & ~ c0_1(a1032) ) )
        & ( ~ hskp18
          | ( ndr1_0
            & c1_1(a1036)
            & c3_1(a1036)
            & ~ c2_1(a1036) ) )
        & ( ~ hskp19
          | ( ndr1_0
            & ~ c0_1(a1037)
            & ~ c1_1(a1037)
            & ~ c3_1(a1037) ) )
        & ( ~ hskp20
          | ( ndr1_0
            & ~ c0_1(a1038)
            & ~ c1_1(a1038)
            & ~ c2_1(a1038) ) )
        & ( ~ hskp21
          | ( ndr1_0
            & c2_1(a1041)
            & ~ c0_1(a1041)
            & ~ c3_1(a1041) ) )
        & ( ~ hskp22
          | ( ndr1_0
            & c0_1(a1043)
            & ~ c1_1(a1043)
            & ~ c2_1(a1043) ) )
        & ( ~ hskp23
          | ( ndr1_0
            & c0_1(a1044)
            & c1_1(a1044)
            & ~ c3_1(a1044) ) )
        & ( ~ hskp24
          | ( ndr1_0
            & c1_1(a1045)
            & c3_1(a1045)
            & ~ c0_1(a1045) ) )
        & ( ~ hskp25
          | ( ndr1_0
            & c1_1(a1048)
            & ~ c0_1(a1048)
            & ~ c3_1(a1048) ) )
        & ( ~ hskp26
          | ( ndr1_0
            & c3_1(a1052)
            & ~ c0_1(a1052)
            & ~ c2_1(a1052) ) )
        & ( ~ hskp27
          | ( ndr1_0
            & c0_1(a1029)
            & c2_1(a1029)
            & c3_1(a1029) ) )
        & ( ~ hskp28
          | ( ndr1_0
            & c0_1(a1033)
            & c1_1(a1033)
            & c2_1(a1033) ) )
        & ( ~ hskp29
          | ( ndr1_0
            & c0_1(a1040)
            & c1_1(a1040)
            & c3_1(a1040) ) )
        & ( ! [U] : 
              ( ndr1_0
             => ( c0_1(U)
                | c1_1(U)
                | c2_1(U) ) )
          | ! [V] : 
              ( ndr1_0
             => ( c0_1(V)
                | c1_1(V)
                | ~ c2_1(V) ) )
          | ! [W] : 
              ( ndr1_0
             => ( c0_1(W)
                | c2_1(W)
                | ~ c3_1(W) ) ) )
        & ( ! [X] : 
              ( ndr1_0
             => ( c0_1(X)
                | c1_1(X)
                | c2_1(X) ) )
          | hskp0
          | hskp1 )
        & ( ! [Y] : 
              ( ndr1_0
             => ( c0_1(Y)
                | c1_1(Y)
                | c3_1(Y) ) )
          | ! [Z] : 
              ( ndr1_0
             => ( c1_1(Z)
                | c2_1(Z)
                | c3_1(Z) ) )
          | hskp2 )
        & ( ! [X1] : 
              ( ndr1_0
             => ( c0_1(X1)
                | c1_1(X1)
                | ~ c2_1(X1) ) )
          | ! [X2] : 
              ( ndr1_0
             => ( c1_1(X2)
                | ~ c0_1(X2)
                | ~ c2_1(X2) ) )
          | ! [X3] : 
              ( ndr1_0
             => ( c2_1(X3)
                | ~ c0_1(X3)
                | ~ c1_1(X3) ) ) )
        & ( ! [X4] : 
              ( ndr1_0
             => ( c0_1(X4)
                | c1_1(X4)
                | ~ c2_1(X4) ) )
          | ! [X5] : 
              ( ndr1_0
             => ( c2_1(X5)
                | c3_1(X5)
                | ~ c1_1(X5) ) )
          | hskp3 )
        & ( ! [X6] : 
              ( ndr1_0
             => ( c0_1(X6)
                | c1_1(X6)
                | ~ c2_1(X6) ) )
          | ! [X7] : 
              ( ndr1_0
             => ( c2_1(X7)
                | ~ c0_1(X7)
                | ~ c3_1(X7) ) )
          | hskp4 )
        & ( ! [X8] : 
              ( ndr1_0
             => ( c0_1(X8)
                | c1_1(X8)
                | ~ c3_1(X8) ) )
          | ! [X9] : 
              ( ndr1_0
             => ( c0_1(X9)
                | c2_1(X9)
                | ~ c3_1(X9) ) )
          | ! [X10] : 
              ( ndr1_0
             => ( c1_1(X10)
                | c3_1(X10)
                | ~ c2_1(X10) ) ) )
        & ( ! [X11] : 
              ( ndr1_0
             => ( c0_1(X11)
                | c1_1(X11)
                | ~ c3_1(X11) ) )
          | ! [X12] : 
              ( ndr1_0
             => ( ~ c0_1(X12)
                | ~ c1_1(X12)
                | ~ c2_1(X12) ) )
          | hskp5 )
        & ( ! [X13] : 
              ( ndr1_0
             => ( c0_1(X13)
                | c2_1(X13)
                | c3_1(X13) ) )
          | ! [X14] : 
              ( ndr1_0
             => ( c0_1(X14)
                | c3_1(X14)
                | ~ c1_1(X14) ) )
          | ! [X15] : 
              ( ndr1_0
             => ( c1_1(X15)
                | c2_1(X15)
                | c3_1(X15) ) ) )
        & ( ! [X16] : 
              ( ndr1_0
             => ( c0_1(X16)
                | c2_1(X16)
                | c3_1(X16) ) )
          | ! [X17] : 
              ( ndr1_0
             => ( c0_1(X17)
                | ~ c2_1(X17)
                | ~ c3_1(X17) ) )
          | hskp6 )
        & ( ! [X18] : 
              ( ndr1_0
             => ( c0_1(X18)
                | c2_1(X18)
                | c3_1(X18) ) )
          | ! [X19] : 
              ( ndr1_0
             => ( c1_1(X19)
                | c3_1(X19)
                | ~ c2_1(X19) ) )
          | ! [X20] : 
              ( ndr1_0
             => ( c2_1(X20)
                | c3_1(X20)
                | ~ c0_1(X20) ) ) )
        & ( ! [X21] : 
              ( ndr1_0
             => ( c0_1(X21)
                | c2_1(X21)
                | ~ c1_1(X21) ) )
          | ! [X22] : 
              ( ndr1_0
             => ( c0_1(X22)
                | ~ c1_1(X22)
                | ~ c2_1(X22) ) )
          | hskp0 )
        & ( ! [X23] : 
              ( ndr1_0
             => ( c0_1(X23)
                | c2_1(X23)
                | ~ c1_1(X23) ) )
          | ! [X24] : 
              ( ndr1_0
             => ( c1_1(X24)
                | c2_1(X24)
                | ~ c3_1(X24) ) )
          | hskp7 )
        & ( ! [X25] : 
              ( ndr1_0
             => ( c0_1(X25)
                | c2_1(X25)
                | ~ c1_1(X25) ) )
          | ! [X26] : 
              ( ndr1_0
             => ( c1_1(X26)
                | c3_1(X26)
                | ~ c0_1(X26) ) )
          | hskp4 )
        & ( ! [X27] : 
              ( ndr1_0
             => ( c0_1(X27)
                | c2_1(X27)
                | ~ c1_1(X27) ) )
          | ! [X28] : 
              ( ndr1_0
             => ( c1_1(X28)
                | c3_1(X28)
                | ~ c2_1(X28) ) )
          | hskp8 )
        & ( ! [X29] : 
              ( ndr1_0
             => ( c0_1(X29)
                | c2_1(X29)
                | ~ c1_1(X29) ) )
          | hskp9
          | hskp10 )
        & ( ! [X30] : 
              ( ndr1_0
             => ( c0_1(X30)
                | c2_1(X30)
                | ~ c1_1(X30) ) )
          | hskp8
          | hskp7 )
        & ( ! [X31] : 
              ( ndr1_0
             => ( c0_1(X31)
                | c3_1(X31)
                | ~ c1_1(X31) ) )
          | ! [X32] : 
              ( ndr1_0
             => ( c0_1(X32)
                | ~ c1_1(X32)
                | ~ c3_1(X32) ) )
          | hskp11 )
        & ( ! [X33] : 
              ( ndr1_0
             => ( c0_1(X33)
                | c3_1(X33)
                | ~ c1_1(X33) ) )
          | ! [X34] : 
              ( ndr1_0
             => ( c1_1(X34)
                | c2_1(X34)
                | ~ c3_1(X34) ) )
          | ! [X35] : 
              ( ndr1_0
             => ( ~ c1_1(X35)
                | ~ c2_1(X35)
                | ~ c3_1(X35) ) ) )
        & ( ! [X36] : 
              ( ndr1_0
             => ( c0_1(X36)
                | c3_1(X36)
                | ~ c1_1(X36) ) )
          | ! [X37] : 
              ( ndr1_0
             => ( c1_1(X37)
                | c3_1(X37)
                | ~ c2_1(X37) ) )
          | hskp7 )
        & ( ! [X38] : 
              ( ndr1_0
             => ( c0_1(X38)
                | c3_1(X38)
                | ~ c1_1(X38) ) )
          | ! [X39] : 
              ( ndr1_0
             => ( c1_1(X39)
                | ~ c0_1(X39)
                | ~ c3_1(X39) ) )
          | ! [X40] : 
              ( ndr1_0
             => ( c3_1(X40)
                | ~ c0_1(X40)
                | ~ c2_1(X40) ) ) )
        & ( ! [X41] : 
              ( ndr1_0
             => ( c0_1(X41)
                | c3_1(X41)
                | ~ c1_1(X41) ) )
          | ! [X42] : 
              ( ndr1_0
             => ( ~ c0_1(X42)
                | ~ c2_1(X42)
                | ~ c3_1(X42) ) )
          | hskp6 )
        & ( ! [X43] : 
              ( ndr1_0
             => ( c0_1(X43)
                | c3_1(X43)
                | ~ c1_1(X43) ) )
          | hskp6
          | hskp12 )
        & ( ! [X44] : 
              ( ndr1_0
             => ( c0_1(X44)
                | c3_1(X44)
                | ~ c2_1(X44) ) )
          | ! [X45] : 
              ( ndr1_0
             => ( c1_1(X45)
                | ~ c0_1(X45)
                | ~ c2_1(X45) ) )
          | ! [X46] : 
              ( ndr1_0
             => ( c2_1(X46)
                | c3_1(X46)
                | ~ c0_1(X46) ) ) )
        & ( ! [X47] : 
              ( ndr1_0
             => ( c0_1(X47)
                | c3_1(X47)
                | ~ c2_1(X47) ) )
          | ! [X48] : 
              ( ndr1_0
             => ( c1_1(X48)
                | ~ c0_1(X48)
                | ~ c3_1(X48) ) )
          | hskp11 )
        & ( ! [X49] : 
              ( ndr1_0
             => ( c0_1(X49)
                | c3_1(X49)
                | ~ c2_1(X49) ) )
          | hskp2
          | hskp1 )
        & ( ! [X50] : 
              ( ndr1_0
             => ( c0_1(X50)
                | ~ c1_1(X50)
                | ~ c2_1(X50) ) )
          | ! [X51] : 
              ( ndr1_0
             => ( c1_1(X51)
                | c2_1(X51)
                | ~ c3_1(X51) ) )
          | hskp13 )
        & ( ! [X52] : 
              ( ndr1_0
             => ( c0_1(X52)
                | ~ c1_1(X52)
                | ~ c2_1(X52) ) )
          | ! [X53] : 
              ( ndr1_0
             => ( c1_1(X53)
                | ~ c2_1(X53)
                | ~ c3_1(X53) ) )
          | hskp8 )
        & ( ! [X54] : 
              ( ndr1_0
             => ( c0_1(X54)
                | ~ c1_1(X54)
                | ~ c2_1(X54) ) )
          | ! [X55] : 
              ( ndr1_0
             => ( c2_1(X55)
                | ~ c0_1(X55)
                | ~ c3_1(X55) ) )
          | hskp14 )
        & ( ! [X56] : 
              ( ndr1_0
             => ( c0_1(X56)
                | ~ c1_1(X56)
                | ~ c3_1(X56) ) )
          | ! [X57] : 
              ( ndr1_0
             => ( c0_1(X57)
                | ~ c2_1(X57)
                | ~ c3_1(X57) ) )
          | ! [X58] : 
              ( ndr1_0
             => ( ~ c1_1(X58)
                | ~ c2_1(X58)
                | ~ c3_1(X58) ) ) )
        & ( ! [X59] : 
              ( ndr1_0
             => ( c0_1(X59)
                | ~ c1_1(X59)
                | ~ c3_1(X59) ) )
          | ! [X60] : 
              ( ndr1_0
             => ( c1_1(X60)
                | ~ c0_1(X60)
                | ~ c3_1(X60) ) )
          | hskp15 )
        & ( ! [X61] : 
              ( ndr1_0
             => ( c0_1(X61)
                | ~ c2_1(X61)
                | ~ c3_1(X61) ) )
          | ! [X62] : 
              ( ndr1_0
             => ( c2_1(X62)
                | c3_1(X62)
                | ~ c1_1(X62) ) )
          | hskp9 )
        & ( ! [X63] : 
              ( ndr1_0
             => ( c1_1(X63)
                | c2_1(X63)
                | c3_1(X63) ) )
          | ! [X64] : 
              ( ndr1_0
             => ( c1_1(X64)
                | c3_1(X64)
                | ~ c0_1(X64) ) )
          | hskp13 )
        & ( ! [X65] : 
              ( ndr1_0
             => ( c1_1(X65)
                | c2_1(X65)
                | c3_1(X65) ) )
          | ! [X66] : 
              ( ndr1_0
             => ( c1_1(X66)
                | ~ c0_1(X66)
                | ~ c2_1(X66) ) )
          | hskp27 )
        & ( ! [X67] : 
              ( ndr1_0
             => ( c1_1(X67)
                | c2_1(X67)
                | c3_1(X67) ) )
          | ! [X68] : 
              ( ndr1_0
             => ( c2_1(X68)
                | c3_1(X68)
                | ~ c1_1(X68) ) )
          | hskp16 )
        & ( ! [X69] : 
              ( ndr1_0
             => ( c1_1(X69)
                | c2_1(X69)
                | c3_1(X69) ) )
          | ! [X70] : 
              ( ndr1_0
             => ( c2_1(X70)
                | ~ c0_1(X70)
                | ~ c3_1(X70) ) )
          | hskp12 )
        & ( ! [X71] : 
              ( ndr1_0
             => ( c1_1(X71)
                | c2_1(X71)
                | c3_1(X71) ) )
          | ! [X72] : 
              ( ndr1_0
             => ( c3_1(X72)
                | ~ c0_1(X72)
                | ~ c1_1(X72) ) )
          | hskp17 )
        & ( ! [X73] : 
              ( ndr1_0
             => ( c1_1(X73)
                | c2_1(X73)
                | ~ c3_1(X73) ) )
          | hskp28
          | hskp8 )
        & ( ! [X74] : 
              ( ndr1_0
             => ( c1_1(X74)
                | c2_1(X74)
                | ~ c3_1(X74) ) )
          | hskp10
          | hskp18 )
        & ( ! [X75] : 
              ( ndr1_0
             => ( c1_1(X75)
                | c3_1(X75)
                | ~ c0_1(X75) ) )
          | ! [X76] : 
              ( ndr1_0
             => ( c1_1(X76)
                | ~ c0_1(X76)
                | ~ c2_1(X76) ) )
          | hskp19 )
        & ( ! [X77] : 
              ( ndr1_0
             => ( c1_1(X77)
                | c3_1(X77)
                | ~ c0_1(X77) ) )
          | ! [X78] : 
              ( ndr1_0
             => ( c2_1(X78)
                | c3_1(X78)
                | ~ c0_1(X78) ) )
          | hskp20 )
        & ( ! [X79] : 
              ( ndr1_0
             => ( c1_1(X79)
                | c3_1(X79)
                | ~ c0_1(X79) ) )
          | ! [X80] : 
              ( ndr1_0
             => ( c3_1(X80)
                | ~ c1_1(X80)
                | ~ c2_1(X80) ) )
          | hskp10 )
        & ( ! [X81] : 
              ( ndr1_0
             => ( c1_1(X81)
                | c3_1(X81)
                | ~ c0_1(X81) ) )
          | hskp29
          | hskp21 )
        & ( ! [X82] : 
              ( ndr1_0
             => ( c1_1(X82)
                | ~ c0_1(X82)
                | ~ c2_1(X82) ) )
          | ! [X83] : 
              ( ndr1_0
             => ( c1_1(X83)
                | ~ c2_1(X83)
                | ~ c3_1(X83) ) )
          | hskp6 )
        & ( ! [X84] : 
              ( ndr1_0
             => ( c1_1(X84)
                | ~ c0_1(X84)
                | ~ c3_1(X84) ) )
          | ! [X85] : 
              ( ndr1_0
             => ( c2_1(X85)
                | c3_1(X85)
                | ~ c1_1(X85) ) )
          | hskp22 )
        & ( ! [X86] : 
              ( ndr1_0
             => ( c1_1(X86)
                | ~ c0_1(X86)
                | ~ c3_1(X86) ) )
          | ! [X87] : 
              ( ndr1_0
             => ( c2_1(X87)
                | ~ c0_1(X87)
                | ~ c1_1(X87) ) )
          | ! [X88] : 
              ( ndr1_0
             => ( ~ c1_1(X88)
                | ~ c2_1(X88)
                | ~ c3_1(X88) ) ) )
        & ( ! [X89] : 
              ( ndr1_0
             => ( c1_1(X89)
                | ~ c0_1(X89)
                | ~ c3_1(X89) ) )
          | hskp23 )
        & ( ! [X90] : 
              ( ndr1_0
             => ( c1_1(X90)
                | ~ c0_1(X90)
                | ~ c3_1(X90) ) )
          | hskp24
          | hskp15 )
        & ( ! [X91] : 
              ( ndr1_0
             => ( c1_1(X91)
                | ~ c2_1(X91)
                | ~ c3_1(X91) ) )
          | ! [X92] : 
              ( ndr1_0
             => ( c2_1(X92)
                | ~ c0_1(X92)
                | ~ c3_1(X92) ) )
          | ! [X93] : 
              ( ndr1_0
             => ( c3_1(X93)
                | ~ c1_1(X93)
                | ~ c2_1(X93) ) ) )
        & ( ! [X94] : 
              ( ndr1_0
             => ( c2_1(X94)
                | c3_1(X94)
                | ~ c0_1(X94) ) )
          | hskp3
          | hskp25 )
        & ( ! [X95] : 
              ( ndr1_0
             => ( c2_1(X95)
                | c3_1(X95)
                | ~ c1_1(X95) ) )
          | ! [X96] : 
              ( ndr1_0
             => ( c3_1(X96)
                | ~ c0_1(X96)
                | ~ c2_1(X96) ) )
          | hskp15 )
        & ( ! [X97] : 
              ( ndr1_0
             => ( c2_1(X97)
                | ~ c0_1(X97)
                | ~ c1_1(X97) ) )
          | ! [X98] : 
              ( ndr1_0
             => ( ~ c0_1(X98)
                | ~ c2_1(X98)
                | ~ c3_1(X98) ) )
          | hskp6 )
        & ( ! [X99] : 
              ( ndr1_0
             => ( c2_1(X99)
                | ~ c0_1(X99)
                | ~ c1_1(X99) ) )
          | hskp8
          | hskp26 )
        & ( ! [X100] : 
              ( ndr1_0
             => ( c2_1(X100)
                | ~ c0_1(X100)
                | ~ c1_1(X100) ) )
          | hskp6
          | hskp13 )
        & ( ! [X101] : 
              ( ndr1_0
             => ( c2_1(X101)
                | ~ c0_1(X101)
                | ~ c3_1(X101) ) )
          | hskp23
          | hskp3 )
        & ( ! [X102] : 
              ( ndr1_0
             => ( c2_1(X102)
                | ~ c1_1(X102)
                | ~ c3_1(X102) ) )
          | hskp6
          | hskp22 )
        & ( ! [X103] : 
              ( ndr1_0
             => ( c3_1(X103)
                | ~ c0_1(X103)
                | ~ c1_1(X103) ) )
          | hskp4
          | hskp19 )
        & ( ! [X104] : 
              ( ndr1_0
             => ( c3_1(X104)
                | ~ c0_1(X104)
                | ~ c2_1(X104) ) )
          | ! [X105] : 
              ( ndr1_0
             => ( ~ c0_1(X105)
                | ~ c1_1(X105)
                | ~ c2_1(X105) ) )
          | hskp17 )
        & ( ! [X106] : 
              ( ndr1_0
             => ( c3_1(X106)
                | ~ c1_1(X106)
                | ~ c2_1(X106) ) )
          | hskp23
          | hskp4 )
        & ( ! [X107] : 
              ( ndr1_0
             => ( ~ c0_1(X107)
                | ~ c1_1(X107)
                | ~ c2_1(X107) ) )
          | hskp9
          | hskp12 )
        & ( ! [X108] : 
              ( ndr1_0
             => ( ~ c0_1(X108)
                | ~ c1_1(X108)
                | ~ c2_1(X108) ) )
          | hskp7 )
        & ( ! [X109] : 
              ( ndr1_0
             => ( ~ c0_1(X109)
                | ~ c2_1(X109)
                | ~ c3_1(X109) ) )
          | hskp24
          | hskp3 )
        & ( ! [X110] : 
              ( ndr1_0
             => ( ~ c0_1(X110)
                | ~ c2_1(X110)
                | ~ c3_1(X110) ) )
          | hskp26
          | hskp19 )
        & ( hskp29
          | hskp23
          | hskp13 )
        & ( hskp29
          | hskp12
          | hskp5 )
        & ( hskp29
          | hskp3
          | hskp26 )
        & ( hskp23
          | hskp18
          | hskp20 )
        & ( hskp27
          | hskp6
          | hskp14 )
        & ( hskp27
          | hskp7
          | hskp26 )
        & ( hskp22
          | hskp14
          | hskp12 )
        & ( hskp4
          | hskp21
          | hskp7 )
        & ( hskp24
          | hskp25
          | hskp19 ) ) )).

%--------------------------------------------------------------------------
