%--------------------------------------------------------------------------
% File     : SYN476+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=72, K=3, D=1, P=0, Index=068
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-72-3-1-068.dfg [Wei97]

% Status   : Theorem
% Rating   : 0.44 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
%
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
%
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  702 (   0 equality)
%            Maximal formula depth :  107 ( 107 average)
%            Number of connectives :  957 ( 256 ~  ; 393  |; 199  &)
%                                         (   0 <=>; 109 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   37 (  33 propositional; 0-1 arity)
%            Number of functors    :   32 (  32 constant; 0-0 arity)
%            Number of variables   :  109 (   0 singleton; 109 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%--------------------------------------------------------------------------
fof(co1,conjecture,
    ( ~ ( ( ~ hskp0
          | ( ndr1_0
            & ~ c1_1(a1098)
            & ~ c2_1(a1098)
            & ~ c3_1(a1098) ) )
        & ( ~ hskp1
          | ( ndr1_0
            & c1_1(a1099)
            & c2_1(a1099)
            & ~ c0_1(a1099) ) )
        & ( ~ hskp2
          | ( ndr1_0
            & c0_1(a1100)
            & c2_1(a1100)
            & ~ c3_1(a1100) ) )
        & ( ~ hskp3
          | ( ndr1_0
            & c1_1(a1101)
            & c2_1(a1101)
            & ~ c3_1(a1101) ) )
        & ( ~ hskp4
          | ( ndr1_0
            & c0_1(a1102)
            & c1_1(a1102)
            & ~ c3_1(a1102) ) )
        & ( ~ hskp5
          | ( ndr1_0
            & c3_1(a1103)
            & ~ c0_1(a1103)
            & ~ c2_1(a1103) ) )
        & ( ~ hskp6
          | ( ndr1_0
            & c0_1(a1104)
            & c1_1(a1104)
            & ~ c2_1(a1104) ) )
        & ( ~ hskp7
          | ( ndr1_0
            & c0_1(a1105)
            & c3_1(a1105)
            & ~ c1_1(a1105) ) )
        & ( ~ hskp8
          | ( ndr1_0
            & c3_1(a1107)
            & ~ c0_1(a1107)
            & ~ c1_1(a1107) ) )
        & ( ~ hskp9
          | ( ndr1_0
            & c0_1(a1108)
            & ~ c1_1(a1108)
            & ~ c3_1(a1108) ) )
        & ( ~ hskp10
          | ( ndr1_0
            & c3_1(a1110)
            & ~ c1_1(a1110)
            & ~ c2_1(a1110) ) )
        & ( ~ hskp11
          | ( ndr1_0
            & c0_1(a1113)
            & c3_1(a1113)
            & ~ c2_1(a1113) ) )
        & ( ~ hskp12
          | ( ndr1_0
            & c2_1(a1114)
            & ~ c0_1(a1114)
            & ~ c3_1(a1114) ) )
        & ( ~ hskp13
          | ( ndr1_0
            & c2_1(a1115)
            & ~ c1_1(a1115)
            & ~ c3_1(a1115) ) )
        & ( ~ hskp14
          | ( ndr1_0
            & c1_1(a1118)
            & ~ c2_1(a1118)
            & ~ c3_1(a1118) ) )
        & ( ~ hskp15
          | ( ndr1_0
            & c1_1(a1119)
            & ~ c0_1(a1119)
            & ~ c2_1(a1119) ) )
        & ( ~ hskp16
          | ( ndr1_0
            & c1_1(a1121)
            & c3_1(a1121)
            & ~ c0_1(a1121) ) )
        & ( ~ hskp17
          | ( ndr1_0
            & c0_1(a1124)
            & ~ c1_1(a1124)
            & ~ c2_1(a1124) ) )
        & ( ~ hskp18
          | ( ndr1_0
            & c0_1(a1125)
            & c2_1(a1125)
            & ~ c1_1(a1125) ) )
        & ( ~ hskp19
          | ( ndr1_0
            & c1_1(a1127)
            & c3_1(a1127)
            & ~ c2_1(a1127) ) )
        & ( ~ hskp20
          | ( ndr1_0
            & ~ c0_1(a1130)
            & ~ c2_1(a1130)
            & ~ c3_1(a1130) ) )
        & ( ~ hskp21
          | ( ndr1_0
            & c1_1(a1131)
            & ~ c0_1(a1131)
            & ~ c3_1(a1131) ) )
        & ( ~ hskp22
          | ( ndr1_0
            & c2_1(a1145)
            & c3_1(a1145)
            & ~ c1_1(a1145) ) )
        & ( ~ hskp23
          | ( ndr1_0
            & c0_1(a1147)
            & ~ c2_1(a1147)
            & ~ c3_1(a1147) ) )
        & ( ~ hskp24
          | ( ndr1_0
            & c2_1(a1149)
            & c3_1(a1149)
            & ~ c0_1(a1149) ) )
        & ( ~ hskp25
          | ( ndr1_0
            & c2_1(a1172)
            & ~ c0_1(a1172)
            & ~ c1_1(a1172) ) )
        & ( ~ hskp26
          | ( ndr1_0
            & ~ c0_1(a1180)
            & ~ c1_1(a1180)
            & ~ c2_1(a1180) ) )
        & ( ~ hskp27
          | ( ndr1_0
            & ~ c0_1(a1200)
            & ~ c1_1(a1200)
            & ~ c3_1(a1200) ) )
        & ( ~ hskp28
          | ( ndr1_0
            & c0_1(a1111)
            & c1_1(a1111)
            & c2_1(a1111) ) )
        & ( ~ hskp29
          | ( ndr1_0
            & c0_1(a1116)
            & c2_1(a1116)
            & c3_1(a1116) ) )
        & ( ~ hskp30
          | ( ndr1_0
            & c1_1(a1136)
            & c2_1(a1136)
            & c3_1(a1136) ) )
        & ( ~ hskp31
          | ( ndr1_0
            & c0_1(a1148)
            & c1_1(a1148)
            & c3_1(a1148) ) )
        & ( ! [U] : 
              ( ndr1_0
             => ( c0_1(U)
                | c1_1(U)
                | c2_1(U) ) )
          | ! [V] : 
              ( ndr1_0
             => ( c0_1(V)
                | c2_1(V)
                | ~ c3_1(V) ) )
          | hskp0 )
        & ( ! [W] : 
              ( ndr1_0
             => ( c0_1(W)
                | c1_1(W)
                | c3_1(W) ) )
          | ! [X] : 
              ( ndr1_0
             => ( c0_1(X)
                | c3_1(X)
                | ~ c1_1(X) ) )
          | hskp1 )
        & ( ! [Y] : 
              ( ndr1_0
             => ( c0_1(Y)
                | c1_1(Y)
                | c3_1(Y) ) )
          | ! [Z] : 
              ( ndr1_0
             => ( c0_1(Z)
                | ~ c1_1(Z)
                | ~ c3_1(Z) ) )
          | ! [X1] : 
              ( ndr1_0
             => ( c3_1(X1)
                | ~ c0_1(X1)
                | ~ c1_1(X1) ) ) )
        & ( ! [X2] : 
              ( ndr1_0
             => ( c0_1(X2)
                | c1_1(X2)
                | c3_1(X2) ) )
          | ! [X3] : 
              ( ndr1_0
             => ( c1_1(X3)
                | ~ c2_1(X3)
                | ~ c3_1(X3) ) )
          | hskp2 )
        & ( ! [X4] : 
              ( ndr1_0
             => ( c0_1(X4)
                | c1_1(X4)
                | c3_1(X4) ) )
          | ! [X5] : 
              ( ndr1_0
             => ( c3_1(X5)
                | ~ c0_1(X5)
                | ~ c2_1(X5) ) )
          | hskp3 )
        & ( ! [X6] : 
              ( ndr1_0
             => ( c0_1(X6)
                | c1_1(X6)
                | ~ c2_1(X6) ) )
          | ! [X7] : 
              ( ndr1_0
             => ( c1_1(X7)
                | c2_1(X7)
                | ~ c0_1(X7) ) )
          | ! [X8] : 
              ( ndr1_0
             => ( ~ c1_1(X8)
                | ~ c2_1(X8)
                | ~ c3_1(X8) ) ) )
        & ( ! [X9] : 
              ( ndr1_0
             => ( c0_1(X9)
                | c1_1(X9)
                | ~ c2_1(X9) ) )
          | ! [X10] : 
              ( ndr1_0
             => ( c1_1(X10)
                | ~ c0_1(X10)
                | ~ c3_1(X10) ) )
          | ! [X11] : 
              ( ndr1_0
             => ( ~ c0_1(X11)
                | ~ c2_1(X11)
                | ~ c3_1(X11) ) ) )
        & ( ! [X12] : 
              ( ndr1_0
             => ( c0_1(X12)
                | c2_1(X12)
                | c3_1(X12) ) )
          | ! [X13] : 
              ( ndr1_0
             => ( c3_1(X13)
                | ~ c0_1(X13)
                | ~ c1_1(X13) ) )
          | hskp4 )
        & ( ! [X14] : 
              ( ndr1_0
             => ( c0_1(X14)
                | c2_1(X14)
                | c3_1(X14) ) )
          | ! [X15] : 
              ( ndr1_0
             => ( c3_1(X15)
                | ~ c1_1(X15)
                | ~ c2_1(X15) ) )
          | hskp5 )
        & ( ! [X16] : 
              ( ndr1_0
             => ( c0_1(X16)
                | c2_1(X16)
                | c3_1(X16) ) )
          | hskp6
          | hskp7 )
        & ( ! [X17] : 
              ( ndr1_0
             => ( c0_1(X17)
                | c2_1(X17)
                | c3_1(X17) ) )
          | hskp6
          | hskp8 )
        & ( ! [X18] : 
              ( ndr1_0
             => ( c0_1(X18)
                | c2_1(X18)
                | ~ c1_1(X18) ) )
          | ! [X19] : 
              ( ndr1_0
             => ( c0_1(X19)
                | ~ c1_1(X19)
                | ~ c2_1(X19) ) )
          | hskp9 )
        & ( ! [X20] : 
              ( ndr1_0
             => ( c0_1(X20)
                | c2_1(X20)
                | ~ c1_1(X20) ) )
          | ! [X21] : 
              ( ndr1_0
             => ( c0_1(X21)
                | ~ c2_1(X21)
                | ~ c3_1(X21) ) )
          | hskp3 )
        & ( ! [X22] : 
              ( ndr1_0
             => ( c0_1(X22)
                | c2_1(X22)
                | ~ c1_1(X22) ) )
          | ! [X23] : 
              ( ndr1_0
             => ( ~ c1_1(X23)
                | ~ c2_1(X23)
                | ~ c3_1(X23) ) )
          | hskp10 )
        & ( ! [X24] : 
              ( ndr1_0
             => ( c0_1(X24)
                | c2_1(X24)
                | ~ c1_1(X24) ) )
          | hskp28
          | hskp2 )
        & ( ! [X25] : 
              ( ndr1_0
             => ( c0_1(X25)
                | c2_1(X25)
                | ~ c1_1(X25) ) )
          | hskp11
          | hskp12 )
        & ( ! [X26] : 
              ( ndr1_0
             => ( c0_1(X26)
                | c2_1(X26)
                | ~ c3_1(X26) ) )
          | ! [X27] : 
              ( ndr1_0
             => ( c1_1(X27)
                | c2_1(X27)
                | ~ c3_1(X27) ) )
          | hskp13 )
        & ( ! [X28] : 
              ( ndr1_0
             => ( c0_1(X28)
                | c2_1(X28)
                | ~ c3_1(X28) ) )
          | ! [X29] : 
              ( ndr1_0
             => ( c2_1(X29)
                | c3_1(X29)
                | ~ c1_1(X29) ) )
          | hskp29 )
        & ( ! [X30] : 
              ( ndr1_0
             => ( c0_1(X30)
                | c2_1(X30)
                | ~ c3_1(X30) ) )
          | hskp7
          | hskp14 )
        & ( ! [X31] : 
              ( ndr1_0
             => ( c0_1(X31)
                | c3_1(X31)
                | ~ c1_1(X31) ) )
          | ! [X32] : 
              ( ndr1_0
             => ( c1_1(X32)
                | c2_1(X32)
                | c3_1(X32) ) )
          | hskp15 )
        & ( ! [X33] : 
              ( ndr1_0
             => ( c0_1(X33)
                | c3_1(X33)
                | ~ c1_1(X33) ) )
          | ! [X34] : 
              ( ndr1_0
             => ( c2_1(X34)
                | c3_1(X34)
                | ~ c0_1(X34) ) )
          | ! [X35] : 
              ( ndr1_0
             => ( ~ c0_1(X35)
                | ~ c2_1(X35)
                | ~ c3_1(X35) ) ) )
        & ( ! [X36] : 
              ( ndr1_0
             => ( c0_1(X36)
                | c3_1(X36)
                | ~ c2_1(X36) ) )
          | hskp2
          | hskp16 )
        & ( ! [X37] : 
              ( ndr1_0
             => ( c0_1(X37)
                | ~ c1_1(X37)
                | ~ c2_1(X37) ) )
          | ! [X38] : 
              ( ndr1_0
             => ( c1_1(X38)
                | c3_1(X38)
                | ~ c0_1(X38) ) )
          | ! [X39] : 
              ( ndr1_0
             => ( c2_1(X39)
                | ~ c0_1(X39)
                | ~ c1_1(X39) ) ) )
        & ( ! [X40] : 
              ( ndr1_0
             => ( c0_1(X40)
                | ~ c1_1(X40)
                | ~ c2_1(X40) ) )
          | ! [X41] : 
              ( ndr1_0
             => ( c1_1(X41)
                | c3_1(X41)
                | ~ c0_1(X41) ) )
          | ! [X42] : 
              ( ndr1_0
             => ( ~ c0_1(X42)
                | ~ c1_1(X42)
                | ~ c2_1(X42) ) ) )
        & ( ! [X43] : 
              ( ndr1_0
             => ( c0_1(X43)
                | ~ c1_1(X43)
                | ~ c2_1(X43) ) )
          | ! [X44] : 
              ( ndr1_0
             => ( c1_1(X44)
                | c3_1(X44)
                | ~ c0_1(X44) ) )
          | hskp29 )
        & ( ! [X45] : 
              ( ndr1_0
             => ( c0_1(X45)
                | ~ c1_1(X45)
                | ~ c2_1(X45) ) )
          | hskp28
          | hskp17 )
        & ( ! [X46] : 
              ( ndr1_0
             => ( c0_1(X46)
                | ~ c1_1(X46)
                | ~ c2_1(X46) ) )
          | hskp18
          | hskp13 )
        & ( ! [X47] : 
              ( ndr1_0
             => ( c0_1(X47)
                | ~ c1_1(X47)
                | ~ c3_1(X47) ) )
          | ! [X48] : 
              ( ndr1_0
             => ( c1_1(X48)
                | ~ c2_1(X48)
                | ~ c3_1(X48) ) )
          | hskp19 )
        & ( ! [X49] : 
              ( ndr1_0
             => ( c0_1(X49)
                | ~ c1_1(X49)
                | ~ c3_1(X49) ) )
          | ! [X50] : 
              ( ndr1_0
             => ( c2_1(X50)
                | ~ c0_1(X50)
                | ~ c3_1(X50) ) )
          | hskp16 )
        & ( ! [X51] : 
              ( ndr1_0
             => ( c0_1(X51)
                | ~ c1_1(X51)
                | ~ c3_1(X51) ) )
          | ! [X52] : 
              ( ndr1_0
             => ( c3_1(X52)
                | ~ c0_1(X52)
                | ~ c1_1(X52) ) )
          | ! [X53] : 
              ( ndr1_0
             => ( ~ c1_1(X53)
                | ~ c2_1(X53)
                | ~ c3_1(X53) ) ) )
        & ( ! [X54] : 
              ( ndr1_0
             => ( c0_1(X54)
                | ~ c1_1(X54)
                | ~ c3_1(X54) ) )
          | ! [X55] : 
              ( ndr1_0
             => ( c3_1(X55)
                | ~ c0_1(X55)
                | ~ c2_1(X55) ) )
          | hskp15 )
        & ( ! [X56] : 
              ( ndr1_0
             => ( c0_1(X56)
                | ~ c1_1(X56)
                | ~ c3_1(X56) ) )
          | ! [X57] : 
              ( ndr1_0
             => ( c3_1(X57)
                | ~ c0_1(X57)
                | ~ c2_1(X57) ) )
          | hskp20 )
        & ( ! [X58] : 
              ( ndr1_0
             => ( c0_1(X58)
                | ~ c1_1(X58)
                | ~ c3_1(X58) ) )
          | hskp21
          | hskp0 )
        & ( ! [X59] : 
              ( ndr1_0
             => ( c0_1(X59)
                | ~ c2_1(X59)
                | ~ c3_1(X59) ) )
          | ! [X60] : 
              ( ndr1_0
             => ( c1_1(X60)
                | c2_1(X60)
                | ~ c0_1(X60) ) )
          | hskp4 )
        & ( ! [X61] : 
              ( ndr1_0
             => ( c0_1(X61)
                | ~ c2_1(X61)
                | ~ c3_1(X61) ) )
          | ! [X62] : 
              ( ndr1_0
             => ( c2_1(X62)
                | ~ c1_1(X62)
                | ~ c3_1(X62) ) )
          | hskp21 )
        & ( ! [X63] : 
              ( ndr1_0
             => ( c0_1(X63)
                | ~ c2_1(X63)
                | ~ c3_1(X63) ) )
          | ! [X64] : 
              ( ndr1_0
             => ( ~ c0_1(X64)
                | ~ c2_1(X64)
                | ~ c3_1(X64) ) )
          | hskp7 )
        & ( ! [X65] : 
              ( ndr1_0
             => ( c1_1(X65)
                | c2_1(X65)
                | c3_1(X65) ) )
          | ! [X66] : 
              ( ndr1_0
             => ( c1_1(X66)
                | ~ c0_1(X66)
                | ~ c3_1(X66) ) )
          | hskp30 )
        & ( ! [X67] : 
              ( ndr1_0
             => ( c1_1(X67)
                | c2_1(X67)
                | c3_1(X67) ) )
          | hskp7
          | hskp5 )
        & ( ! [X68] : 
              ( ndr1_0
             => ( c1_1(X68)
                | c2_1(X68)
                | c3_1(X68) ) )
          | hskp19
          | hskp8 )
        & ( ! [X69] : 
              ( ndr1_0
             => ( c1_1(X69)
                | c2_1(X69)
                | ~ c0_1(X69) ) )
          | hskp17
          | hskp19 )
        & ( ! [X70] : 
              ( ndr1_0
             => ( c1_1(X70)
                | c2_1(X70)
                | ~ c3_1(X70) ) )
          | ! [X71] : 
              ( ndr1_0
             => ( c1_1(X71)
                | ~ c0_1(X71)
                | ~ c2_1(X71) ) )
          | hskp9 )
        & ( ! [X72] : 
              ( ndr1_0
             => ( c1_1(X72)
                | c2_1(X72)
                | ~ c3_1(X72) ) )
          | ! [X73] : 
              ( ndr1_0
             => ( c2_1(X73)
                | c3_1(X73)
                | ~ c1_1(X73) ) )
          | hskp11 )
        & ( ! [X74] : 
              ( ndr1_0
             => ( c1_1(X74)
                | c2_1(X74)
                | ~ c3_1(X74) ) )
          | ! [X75] : 
              ( ndr1_0
             => ( c2_1(X75)
                | ~ c0_1(X75)
                | ~ c1_1(X75) ) )
          | ! [X76] : 
              ( ndr1_0
             => ( ~ c0_1(X76)
                | ~ c2_1(X76)
                | ~ c3_1(X76) ) ) )
        & ( ! [X77] : 
              ( ndr1_0
             => ( c1_1(X77)
                | c2_1(X77)
                | ~ c3_1(X77) ) )
          | hskp22
          | hskp0 )
        & ( ! [X78] : 
              ( ndr1_0
             => ( c1_1(X78)
                | c3_1(X78)
                | ~ c0_1(X78) ) )
          | ! [X79] : 
              ( ndr1_0
             => ( ~ c0_1(X79)
                | ~ c1_1(X79)
                | ~ c2_1(X79) ) )
          | hskp23 )
        & ( ! [X80] : 
              ( ndr1_0
             => ( c1_1(X80)
                | c3_1(X80)
                | ~ c0_1(X80) ) )
          | hskp31
          | hskp24 )
        & ( ! [X81] : 
              ( ndr1_0
             => ( c1_1(X81)
                | ~ c0_1(X81)
                | ~ c2_1(X81) ) )
          | ! [X82] : 
              ( ndr1_0
             => ( c2_1(X82)
                | ~ c0_1(X82)
                | ~ c3_1(X82) ) )
          | hskp7 )
        & ( ! [X83] : 
              ( ndr1_0
             => ( c1_1(X83)
                | ~ c0_1(X83)
                | ~ c2_1(X83) ) )
          | ! [X84] : 
              ( ndr1_0
             => ( c2_1(X84)
                | ~ c0_1(X84)
                | ~ c3_1(X84) ) )
          | hskp20 )
        & ( ! [X85] : 
              ( ndr1_0
             => ( c1_1(X85)
                | ~ c0_1(X85)
                | ~ c2_1(X85) ) )
          | ! [X86] : 
              ( ndr1_0
             => ( c3_1(X86)
                | ~ c1_1(X86)
                | ~ c2_1(X86) ) )
          | hskp24 )
        & ( ! [X87] : 
              ( ndr1_0
             => ( c1_1(X87)
                | ~ c0_1(X87)
                | ~ c2_1(X87) ) )
          | hskp7
          | hskp23 )
        & ( ! [X88] : 
              ( ndr1_0
             => ( c1_1(X88)
                | ~ c0_1(X88)
                | ~ c3_1(X88) ) )
          | hskp18
          | hskp30 )
        & ( ! [X89] : 
              ( ndr1_0
             => ( c1_1(X89)
                | ~ c2_1(X89)
                | ~ c3_1(X89) ) )
          | ! [X90] : 
              ( ndr1_0
             => ( ~ c0_1(X90)
                | ~ c2_1(X90)
                | ~ c3_1(X90) ) )
          | hskp2 )
        & ( ! [X91] : 
              ( ndr1_0
             => ( c1_1(X91)
                | ~ c2_1(X91)
                | ~ c3_1(X91) ) )
          | hskp19
          | hskp14 )
        & ( ! [X92] : 
              ( ndr1_0
             => ( c1_1(X92)
                | ~ c2_1(X92)
                | ~ c3_1(X92) ) )
          | hskp19
          | hskp8 )
        & ( ! [X93] : 
              ( ndr1_0
             => ( c2_1(X93)
                | ~ c1_1(X93)
                | ~ c3_1(X93) ) )
          | ! [X94] : 
              ( ndr1_0
             => ( ~ c0_1(X94)
                | ~ c1_1(X94)
                | ~ c3_1(X94) ) )
          | hskp28 )
        & ( ! [X95] : 
              ( ndr1_0
             => ( c2_1(X95)
                | ~ c1_1(X95)
                | ~ c3_1(X95) ) )
          | ! [X96] : 
              ( ndr1_0
             => ( ~ c0_1(X96)
                | ~ c2_1(X96)
                | ~ c3_1(X96) ) )
          | hskp2 )
        & ( ! [X97] : 
              ( ndr1_0
             => ( c3_1(X97)
                | ~ c0_1(X97)
                | ~ c1_1(X97) ) )
          | ! [X98] : 
              ( ndr1_0
             => ( c3_1(X98)
                | ~ c1_1(X98)
                | ~ c2_1(X98) ) )
          | hskp5 )
        & ( ! [X99] : 
              ( ndr1_0
             => ( c3_1(X99)
                | ~ c0_1(X99)
                | ~ c1_1(X99) ) )
          | hskp18
          | hskp15 )
        & ( ! [X100] : 
              ( ndr1_0
             => ( c3_1(X100)
                | ~ c0_1(X100)
                | ~ c2_1(X100) ) )
          | hskp9
          | hskp13 )
        & ( ! [X101] : 
              ( ndr1_0
             => ( c3_1(X101)
                | ~ c1_1(X101)
                | ~ c2_1(X101) ) )
          | hskp30
          | hskp21 )
        & ( ! [X102] : 
              ( ndr1_0
             => ( ~ c0_1(X102)
                | ~ c2_1(X102)
                | ~ c3_1(X102) ) )
          | hskp18
          | hskp25 )
        & ( ! [X103] : 
              ( ndr1_0
             => ( ~ c1_1(X103)
                | ~ c2_1(X103)
                | ~ c3_1(X103) ) )
          | hskp9
          | hskp19 )
        & ( hskp6
          | hskp21
          | hskp24 )
        & ( hskp4
          | hskp3
          | hskp26 )
        & ( hskp18
          | hskp16
          | hskp26 )
        & ( hskp18
          | hskp19
          | hskp25 )
        & ( hskp7
          | hskp23
          | hskp13 )
        & ( hskp11
          | hskp17
          | hskp25 )
        & ( hskp23
          | hskp30
          | hskp0 )
        & ( hskp23
          | hskp14 )
        & ( hskp16
          | hskp13
          | hskp27 )
        & ( hskp19
          | hskp12
          | hskp26 ) ) )).

%--------------------------------------------------------------------------
