%--------------------------------------------------------------------------
% File     : SYN477+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=72, K=3, D=1, P=0, Index=072
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-72-3-1-072.dfg [Wei97]

% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
%
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
%
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  683 (   0 equality)
%            Maximal formula depth :  104 ( 104 average)
%            Number of connectives :  917 ( 235 ~  ; 386  |; 187  &)
%                                         (   0 <=>; 109 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   34 (  30 propositional; 0-1 arity)
%            Number of functors    :   29 (  29 constant; 0-0 arity)
%            Number of variables   :  109 (   0 singleton; 109 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%--------------------------------------------------------------------------
fof(co1,conjecture,
    ( ~ ( ( ~ hskp0
          | ( ndr1_0
            & c2_1(a1205)
            & ~ c0_1(a1205)
            & ~ c1_1(a1205) ) )
        & ( ~ hskp1
          | ( ndr1_0
            & c0_1(a1206)
            & c2_1(a1206)
            & ~ c3_1(a1206) ) )
        & ( ~ hskp2
          | ( ndr1_0
            & ~ c0_1(a1207)
            & ~ c1_1(a1207)
            & ~ c2_1(a1207) ) )
        & ( ~ hskp3
          | ( ndr1_0
            & c0_1(a1210)
            & c1_1(a1210)
            & ~ c3_1(a1210) ) )
        & ( ~ hskp4
          | ( ndr1_0
            & c1_1(a1211)
            & ~ c0_1(a1211)
            & ~ c2_1(a1211) ) )
        & ( ~ hskp5
          | ( ndr1_0
            & c2_1(a1212)
            & ~ c0_1(a1212)
            & ~ c3_1(a1212) ) )
        & ( ~ hskp6
          | ( ndr1_0
            & c1_1(a1215)
            & c2_1(a1215)
            & ~ c3_1(a1215) ) )
        & ( ~ hskp7
          | ( ndr1_0
            & ~ c1_1(a1216)
            & ~ c2_1(a1216)
            & ~ c3_1(a1216) ) )
        & ( ~ hskp8
          | ( ndr1_0
            & ~ c0_1(a1217)
            & ~ c1_1(a1217)
            & ~ c3_1(a1217) ) )
        & ( ~ hskp9
          | ( ndr1_0
            & c1_1(a1219)
            & c2_1(a1219)
            & ~ c0_1(a1219) ) )
        & ( ~ hskp10
          | ( ndr1_0
            & c2_1(a1223)
            & ~ c1_1(a1223)
            & ~ c3_1(a1223) ) )
        & ( ~ hskp11
          | ( ndr1_0
            & c1_1(a1224)
            & c3_1(a1224)
            & ~ c2_1(a1224) ) )
        & ( ~ hskp12
          | ( ndr1_0
            & c0_1(a1228)
            & c3_1(a1228)
            & ~ c2_1(a1228) ) )
        & ( ~ hskp13
          | ( ndr1_0
            & c0_1(a1229)
            & c2_1(a1229)
            & ~ c1_1(a1229) ) )
        & ( ~ hskp14
          | ( ndr1_0
            & c3_1(a1232)
            & ~ c0_1(a1232)
            & ~ c2_1(a1232) ) )
        & ( ~ hskp15
          | ( ndr1_0
            & c0_1(a1233)
            & c1_1(a1233)
            & ~ c2_1(a1233) ) )
        & ( ~ hskp16
          | ( ndr1_0
            & c0_1(a1236)
            & ~ c1_1(a1236)
            & ~ c3_1(a1236) ) )
        & ( ~ hskp17
          | ( ndr1_0
            & c0_1(a1237)
            & c3_1(a1237)
            & ~ c1_1(a1237) ) )
        & ( ~ hskp18
          | ( ndr1_0
            & c2_1(a1246)
            & c3_1(a1246)
            & ~ c1_1(a1246) ) )
        & ( ~ hskp19
          | ( ndr1_0
            & c1_1(a1247)
            & ~ c2_1(a1247)
            & ~ c3_1(a1247) ) )
        & ( ~ hskp20
          | ( ndr1_0
            & c2_1(a1250)
            & c3_1(a1250)
            & ~ c0_1(a1250) ) )
        & ( ~ hskp21
          | ( ndr1_0
            & c3_1(a1257)
            & ~ c0_1(a1257)
            & ~ c1_1(a1257) ) )
        & ( ~ hskp22
          | ( ndr1_0
            & c0_1(a1259)
            & ~ c2_1(a1259)
            & ~ c3_1(a1259) ) )
        & ( ~ hskp23
          | ( ndr1_0
            & ~ c0_1(a1261)
            & ~ c2_1(a1261)
            & ~ c3_1(a1261) ) )
        & ( ~ hskp24
          | ( ndr1_0
            & c0_1(a1267)
            & ~ c1_1(a1267)
            & ~ c2_1(a1267) ) )
        & ( ~ hskp25
          | ( ndr1_0
            & c0_1(a1204)
            & c2_1(a1204)
            & c3_1(a1204) ) )
        & ( ~ hskp26
          | ( ndr1_0
            & c0_1(a1208)
            & c1_1(a1208)
            & c2_1(a1208) ) )
        & ( ~ hskp27
          | ( ndr1_0
            & c1_1(a1213)
            & c2_1(a1213)
            & c3_1(a1213) ) )
        & ( ~ hskp28
          | ( ndr1_0
            & c0_1(a1214)
            & c1_1(a1214)
            & c3_1(a1214) ) )
        & ( ! [U] : 
              ( ndr1_0
             => ( c0_1(U)
                | c1_1(U)
                | c2_1(U) ) )
          | ! [V] : 
              ( ndr1_0
             => ( c0_1(V)
                | c2_1(V)
                | ~ c3_1(V) ) )
          | ! [W] : 
              ( ndr1_0
             => ( c0_1(W)
                | c3_1(W)
                | ~ c1_1(W) ) ) )
        & ( ! [X] : 
              ( ndr1_0
             => ( c0_1(X)
                | c1_1(X)
                | c2_1(X) ) )
          | ! [Y] : 
              ( ndr1_0
             => ( c0_1(Y)
                | c3_1(Y)
                | ~ c2_1(Y) ) )
          | ! [Z] : 
              ( ndr1_0
             => ( c1_1(Z)
                | c2_1(Z)
                | ~ c0_1(Z) ) ) )
        & ( ! [X1] : 
              ( ndr1_0
             => ( c0_1(X1)
                | c1_1(X1)
                | c2_1(X1) ) )
          | ! [X2] : 
              ( ndr1_0
             => ( c0_1(X2)
                | ~ c1_1(X2)
                | ~ c2_1(X2) ) )
          | ! [X3] : 
              ( ndr1_0
             => ( c1_1(X3)
                | ~ c0_1(X3)
                | ~ c3_1(X3) ) ) )
        & ( ! [X4] : 
              ( ndr1_0
             => ( c0_1(X4)
                | c1_1(X4)
                | c2_1(X4) ) )
          | hskp25
          | hskp0 )
        & ( ! [X5] : 
              ( ndr1_0
             => ( c0_1(X5)
                | c1_1(X5)
                | c2_1(X5) ) )
          | hskp1
          | hskp2 )
        & ( ! [X6] : 
              ( ndr1_0
             => ( c0_1(X6)
                | c1_1(X6)
                | c3_1(X6) ) )
          | ! [X7] : 
              ( ndr1_0
             => ( c1_1(X7)
                | c2_1(X7)
                | ~ c3_1(X7) ) )
          | hskp26 )
        & ( ! [X8] : 
              ( ndr1_0
             => ( c0_1(X8)
                | c1_1(X8)
                | ~ c2_1(X8) ) )
          | ! [X9] : 
              ( ndr1_0
             => ( c0_1(X9)
                | c2_1(X9)
                | c3_1(X9) ) )
          | ! [X10] : 
              ( ndr1_0
             => ( c2_1(X10)
                | ~ c0_1(X10)
                | ~ c3_1(X10) ) ) )
        & ( ! [X11] : 
              ( ndr1_0
             => ( c0_1(X11)
                | c1_1(X11)
                | ~ c2_1(X11) ) )
          | ! [X12] : 
              ( ndr1_0
             => ( c0_1(X12)
                | c2_1(X12)
                | c3_1(X12) ) )
          | hskp25 )
        & ( ! [X13] : 
              ( ndr1_0
             => ( c0_1(X13)
                | c1_1(X13)
                | ~ c3_1(X13) ) )
          | ! [X14] : 
              ( ndr1_0
             => ( c0_1(X14)
                | ~ c2_1(X14)
                | ~ c3_1(X14) ) )
          | hskp3 )
        & ( ! [X15] : 
              ( ndr1_0
             => ( c0_1(X15)
                | c1_1(X15)
                | ~ c3_1(X15) ) )
          | ! [X16] : 
              ( ndr1_0
             => ( c2_1(X16)
                | c3_1(X16)
                | ~ c0_1(X16) ) )
          | ! [X17] : 
              ( ndr1_0
             => ( ~ c0_1(X17)
                | ~ c2_1(X17)
                | ~ c3_1(X17) ) ) )
        & ( ! [X18] : 
              ( ndr1_0
             => ( c0_1(X18)
                | c1_1(X18)
                | ~ c3_1(X18) ) )
          | ! [X19] : 
              ( ndr1_0
             => ( c2_1(X19)
                | c3_1(X19)
                | ~ c0_1(X19) ) )
          | hskp4 )
        & ( ! [X20] : 
              ( ndr1_0
             => ( c0_1(X20)
                | c1_1(X20)
                | ~ c3_1(X20) ) )
          | ! [X21] : 
              ( ndr1_0
             => ( c3_1(X21)
                | ~ c0_1(X21)
                | ~ c2_1(X21) ) )
          | ! [X22] : 
              ( ndr1_0
             => ( ~ c0_1(X22)
                | ~ c1_1(X22)
                | ~ c3_1(X22) ) ) )
        & ( ! [X23] : 
              ( ndr1_0
             => ( c0_1(X23)
                | c1_1(X23)
                | ~ c3_1(X23) ) )
          | ! [X24] : 
              ( ndr1_0
             => ( ~ c0_1(X24)
                | ~ c1_1(X24)
                | ~ c3_1(X24) ) )
          | hskp5 )
        & ( ! [X25] : 
              ( ndr1_0
             => ( c0_1(X25)
                | c2_1(X25)
                | c3_1(X25) ) )
          | ! [X26] : 
              ( ndr1_0
             => ( c2_1(X26)
                | ~ c0_1(X26)
                | ~ c1_1(X26) ) )
          | hskp27 )
        & ( ! [X27] : 
              ( ndr1_0
             => ( c0_1(X27)
                | c2_1(X27)
                | c3_1(X27) ) )
          | ! [X28] : 
              ( ndr1_0
             => ( c3_1(X28)
                | ~ c1_1(X28)
                | ~ c2_1(X28) ) )
          | ! [X29] : 
              ( ndr1_0
             => ( ~ c0_1(X29)
                | ~ c1_1(X29)
                | ~ c3_1(X29) ) ) )
        & ( ! [X30] : 
              ( ndr1_0
             => ( c0_1(X30)
                | c2_1(X30)
                | c3_1(X30) ) )
          | hskp28 )
        & ( ! [X31] : 
              ( ndr1_0
             => ( c0_1(X31)
                | c2_1(X31)
                | c3_1(X31) ) )
          | hskp6
          | hskp7 )
        & ( ! [X32] : 
              ( ndr1_0
             => ( c0_1(X32)
                | c2_1(X32)
                | ~ c1_1(X32) ) )
          | ! [X33] : 
              ( ndr1_0
             => ( c0_1(X33)
                | c3_1(X33)
                | ~ c1_1(X33) ) )
          | hskp8 )
        & ( ! [X34] : 
              ( ndr1_0
             => ( c0_1(X34)
                | c2_1(X34)
                | ~ c1_1(X34) ) )
          | ! [X35] : 
              ( ndr1_0
             => ( c1_1(X35)
                | c3_1(X35)
                | ~ c0_1(X35) ) )
          | hskp25 )
        & ( ! [X36] : 
              ( ndr1_0
             => ( c0_1(X36)
                | c2_1(X36)
                | ~ c3_1(X36) ) )
          | ! [X37] : 
              ( ndr1_0
             => ( c2_1(X37)
                | ~ c1_1(X37)
                | ~ c3_1(X37) ) )
          | ! [X38] : 
              ( ndr1_0
             => ( ~ c0_1(X38)
                | ~ c1_1(X38)
                | ~ c2_1(X38) ) ) )
        & ( ! [X39] : 
              ( ndr1_0
             => ( c0_1(X39)
                | c3_1(X39)
                | ~ c1_1(X39) ) )
          | ! [X40] : 
              ( ndr1_0
             => ( c1_1(X40)
                | c3_1(X40)
                | ~ c0_1(X40) ) )
          | ! [X41] : 
              ( ndr1_0
             => ( c2_1(X41)
                | c3_1(X41)
                | ~ c0_1(X41) ) ) )
        & ( ! [X42] : 
              ( ndr1_0
             => ( c0_1(X42)
                | c3_1(X42)
                | ~ c1_1(X42) ) )
          | ! [X43] : 
              ( ndr1_0
             => ( ~ c0_1(X43)
                | ~ c2_1(X43)
                | ~ c3_1(X43) ) )
          | hskp9 )
        & ( ! [X44] : 
              ( ndr1_0
             => ( c0_1(X44)
                | c3_1(X44)
                | ~ c1_1(X44) ) )
          | ! [X45] : 
              ( ndr1_0
             => ( ~ c1_1(X45)
                | ~ c2_1(X45)
                | ~ c3_1(X45) ) ) )
        & ( ! [X46] : 
              ( ndr1_0
             => ( c0_1(X46)
                | c3_1(X46)
                | ~ c1_1(X46) ) )
          | hskp27
          | hskp0 )
        & ( ! [X47] : 
              ( ndr1_0
             => ( c0_1(X47)
                | c3_1(X47)
                | ~ c2_1(X47) ) )
          | ! [X48] : 
              ( ndr1_0
             => ( c1_1(X48)
                | c3_1(X48)
                | ~ c0_1(X48) ) )
          | hskp0 )
        & ( ! [X49] : 
              ( ndr1_0
             => ( c0_1(X49)
                | c3_1(X49)
                | ~ c2_1(X49) ) )
          | ! [X50] : 
              ( ndr1_0
             => ( c3_1(X50)
                | ~ c0_1(X50)
                | ~ c2_1(X50) ) )
          | hskp10 )
        & ( ! [X51] : 
              ( ndr1_0
             => ( c0_1(X51)
                | c3_1(X51)
                | ~ c2_1(X51) ) )
          | ! [X52] : 
              ( ndr1_0
             => ( ~ c0_1(X52)
                | ~ c1_1(X52)
                | ~ c3_1(X52) ) )
          | ! [X53] : 
              ( ndr1_0
             => ( ~ c1_1(X53)
                | ~ c2_1(X53)
                | ~ c3_1(X53) ) ) )
        & ( ! [X54] : 
              ( ndr1_0
             => ( c0_1(X54)
                | c3_1(X54)
                | ~ c2_1(X54) ) )
          | hskp11 )
        & ( ! [X55] : 
              ( ndr1_0
             => ( c0_1(X55)
                | ~ c1_1(X55)
                | ~ c2_1(X55) ) )
          | ! [X56] : 
              ( ndr1_0
             => ( c2_1(X56)
                | ~ c0_1(X56)
                | ~ c1_1(X56) ) )
          | hskp1 )
        & ( ! [X57] : 
              ( ndr1_0
             => ( c0_1(X57)
                | ~ c1_1(X57)
                | ~ c3_1(X57) ) )
          | ! [X58] : 
              ( ndr1_0
             => ( c0_1(X58)
                | ~ c2_1(X58)
                | ~ c3_1(X58) ) )
          | hskp3 )
        & ( ! [X59] : 
              ( ndr1_0
             => ( c0_1(X59)
                | ~ c1_1(X59)
                | ~ c3_1(X59) ) )
          | ! [X60] : 
              ( ndr1_0
             => ( c3_1(X60)
                | ~ c1_1(X60)
                | ~ c2_1(X60) ) )
          | hskp11 )
        & ( ! [X61] : 
              ( ndr1_0
             => ( c1_1(X61)
                | c2_1(X61)
                | c3_1(X61) ) )
          | ! [X62] : 
              ( ndr1_0
             => ( c2_1(X62)
                | ~ c0_1(X62)
                | ~ c3_1(X62) ) )
          | hskp12 )
        & ( ! [X63] : 
              ( ndr1_0
             => ( c1_1(X63)
                | c2_1(X63)
                | c3_1(X63) ) )
          | hskp13
          | hskp12 )
        & ( ! [X64] : 
              ( ndr1_0
             => ( c1_1(X64)
                | c2_1(X64)
                | ~ c0_1(X64) ) )
          | ! [X65] : 
              ( ndr1_0
             => ( c2_1(X65)
                | c3_1(X65)
                | ~ c0_1(X65) ) )
          | hskp10 )
        & ( ! [X66] : 
              ( ndr1_0
             => ( c1_1(X66)
                | c2_1(X66)
                | ~ c0_1(X66) ) )
          | ! [X67] : 
              ( ndr1_0
             => ( c2_1(X67)
                | c3_1(X67)
                | ~ c1_1(X67) ) )
          | ! [X68] : 
              ( ndr1_0
             => ( c3_1(X68)
                | ~ c0_1(X68)
                | ~ c1_1(X68) ) ) )
        & ( ! [X69] : 
              ( ndr1_0
             => ( c1_1(X69)
                | c2_1(X69)
                | ~ c0_1(X69) ) )
          | ! [X70] : 
              ( ndr1_0
             => ( c3_1(X70)
                | ~ c0_1(X70)
                | ~ c2_1(X70) ) )
          | hskp14 )
        & ( ! [X71] : 
              ( ndr1_0
             => ( c1_1(X71)
                | c2_1(X71)
                | ~ c3_1(X71) ) )
          | hskp15
          | hskp4 )
        & ( ! [X72] : 
              ( ndr1_0
             => ( c1_1(X72)
                | c2_1(X72)
                | ~ c3_1(X72) ) )
          | hskp1
          | hskp16 )
        & ( ! [X73] : 
              ( ndr1_0
             => ( c1_1(X73)
                | c3_1(X73)
                | ~ c0_1(X73) ) )
          | hskp17
          | hskp5 )
        & ( ! [X74] : 
              ( ndr1_0
             => ( c1_1(X74)
                | c3_1(X74)
                | ~ c2_1(X74) ) )
          | ! [X75] : 
              ( ndr1_0
             => ( c1_1(X75)
                | ~ c0_1(X75)
                | ~ c3_1(X75) ) )
          | hskp9 )
        & ( ! [X76] : 
              ( ndr1_0
             => ( c1_1(X76)
                | c3_1(X76)
                | ~ c2_1(X76) ) )
          | ! [X77] : 
              ( ndr1_0
             => ( c2_1(X77)
                | ~ c1_1(X77)
                | ~ c3_1(X77) ) )
          | hskp14 )
        & ( ! [X78] : 
              ( ndr1_0
             => ( c1_1(X78)
                | c3_1(X78)
                | ~ c2_1(X78) ) )
          | hskp13
          | hskp6 )
        & ( ! [X79] : 
              ( ndr1_0
             => ( c1_1(X79)
                | c3_1(X79)
                | ~ c2_1(X79) ) )
          | hskp13
          | hskp14 )
        & ( ! [X80] : 
              ( ndr1_0
             => ( c1_1(X80)
                | ~ c0_1(X80)
                | ~ c2_1(X80) ) )
          | ! [X81] : 
              ( ndr1_0
             => ( c2_1(X81)
                | ~ c0_1(X81)
                | ~ c3_1(X81) ) )
          | hskp6 )
        & ( ! [X82] : 
              ( ndr1_0
             => ( c1_1(X82)
                | ~ c2_1(X82)
                | ~ c3_1(X82) ) )
          | ! [X83] : 
              ( ndr1_0
             => ( c2_1(X83)
                | c3_1(X83)
                | ~ c1_1(X83) ) )
          | hskp18 )
        & ( ! [X84] : 
              ( ndr1_0
             => ( c1_1(X84)
                | ~ c2_1(X84)
                | ~ c3_1(X84) ) )
          | ! [X85] : 
              ( ndr1_0
             => ( c2_1(X85)
                | ~ c0_1(X85)
                | ~ c1_1(X85) ) )
          | hskp19 )
        & ( ! [X86] : 
              ( ndr1_0
             => ( c2_1(X86)
                | c3_1(X86)
                | ~ c0_1(X86) ) )
          | ! [X87] : 
              ( ndr1_0
             => ( ~ c0_1(X87)
                | ~ c1_1(X87)
                | ~ c2_1(X87) ) ) )
        & ( ! [X88] : 
              ( ndr1_0
             => ( c2_1(X88)
                | c3_1(X88)
                | ~ c1_1(X88) ) )
          | ! [X89] : 
              ( ndr1_0
             => ( c3_1(X89)
                | ~ c1_1(X89)
                | ~ c2_1(X89) ) )
          | hskp0 )
        & ( ! [X90] : 
              ( ndr1_0
             => ( c2_1(X90)
                | c3_1(X90)
                | ~ c1_1(X90) ) )
          | hskp19
          | hskp20 )
        & ( ! [X91] : 
              ( ndr1_0
             => ( c2_1(X91)
                | ~ c0_1(X91)
                | ~ c1_1(X91) ) )
          | ! [X92] : 
              ( ndr1_0
             => ( ~ c0_1(X92)
                | ~ c1_1(X92)
                | ~ c2_1(X92) ) )
          | hskp8 )
        & ( ! [X93] : 
              ( ndr1_0
             => ( c2_1(X93)
                | ~ c0_1(X93)
                | ~ c1_1(X93) ) )
          | ! [X94] : 
              ( ndr1_0
             => ( ~ c0_1(X94)
                | ~ c2_1(X94)
                | ~ c3_1(X94) ) )
          | hskp10 )
        & ( ! [X95] : 
              ( ndr1_0
             => ( c2_1(X95)
                | ~ c0_1(X95)
                | ~ c1_1(X95) ) )
          | hskp11
          | hskp8 )
        & ( ! [X96] : 
              ( ndr1_0
             => ( c2_1(X96)
                | ~ c0_1(X96)
                | ~ c3_1(X96) ) )
          | ! [X97] : 
              ( ndr1_0
             => ( ~ c1_1(X97)
                | ~ c2_1(X97)
                | ~ c3_1(X97) ) )
          | hskp3 )
        & ( ! [X98] : 
              ( ndr1_0
             => ( c3_1(X98)
                | ~ c1_1(X98)
                | ~ c2_1(X98) ) )
          | hskp0
          | hskp21 )
        & ( ! [X99] : 
              ( ndr1_0
             => ( ~ c0_1(X99)
                | ~ c1_1(X99)
                | ~ c2_1(X99) ) )
          | hskp13
          | hskp22 )
        & ( ! [X100] : 
              ( ndr1_0
             => ( ~ c0_1(X100)
                | ~ c1_1(X100)
                | ~ c2_1(X100) ) )
          | hskp0
          | hskp23 )
        & ( ! [X101] : 
              ( ndr1_0
             => ( ~ c0_1(X101)
                | ~ c1_1(X101)
                | ~ c3_1(X101) ) )
          | hskp2
          | hskp7 )
        & ( ! [X102] : 
              ( ndr1_0
             => ( ~ c0_1(X102)
                | ~ c2_1(X102)
                | ~ c3_1(X102) ) )
          | ! [X103] : 
              ( ndr1_0
             => ( ~ c1_1(X103)
                | ~ c2_1(X103)
                | ~ c3_1(X103) ) )
          | hskp1 )
        & ( hskp26
          | hskp28
          | hskp24 )
        & ( hskp26
          | hskp25
          | hskp1 )
        & ( hskp15
          | hskp6
          | hskp5 )
        & ( hskp3
          | hskp24
          | hskp7 )
        & ( hskp25
          | hskp21 )
        & ( hskp17
          | hskp12
          | hskp4 )
        & ( hskp24
          | hskp19
          | hskp14 )
        & ( hskp16
          | hskp20
          | hskp23 )
        & ( hskp22
          | hskp6
          | hskp8 )
        & ( hskp22
          | hskp6
          | hskp7 )
        & ( hskp27
          | hskp19
          | hskp2 )
        & ( hskp4
          | hskp18
          | hskp7 )
        & ( hskp18
          | hskp10
          | hskp2 )
        & ( hskp18
          | hskp14
          | hskp23 ) ) )).

%--------------------------------------------------------------------------
