%--------------------------------------------------------------------------
% File     : SYN478+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=76, K=3, D=1, P=0, Index=006
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-76-3-1-006.dfg [Wei97]

% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
%
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
%
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  688 (   0 equality)
%            Maximal formula depth :  110 ( 110 average)
%            Number of connectives :  916 ( 229 ~  ; 385  |; 199  &)
%                                         (   0 <=>; 103 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   36 (  32 propositional; 0-1 arity)
%            Number of functors    :   31 (  31 constant; 0-0 arity)
%            Number of variables   :  103 (   0 singleton; 103 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%--------------------------------------------------------------------------
fof(co1,conjecture,
    ( ~ ( ( ~ hskp0
          | ( ndr1_0
            & ~ c0_1(a1306)
            & ~ c1_1(a1306)
            & ~ c2_1(a1306) ) )
        & ( ~ hskp1
          | ( ndr1_0
            & c3_1(a1308)
            & ~ c1_1(a1308)
            & ~ c2_1(a1308) ) )
        & ( ~ hskp2
          | ( ndr1_0
            & c1_1(a1309)
            & c3_1(a1309)
            & ~ c2_1(a1309) ) )
        & ( ~ hskp3
          | ( ndr1_0
            & c0_1(a1311)
            & c2_1(a1311)
            & ~ c1_1(a1311) ) )
        & ( ~ hskp4
          | ( ndr1_0
            & c0_1(a1312)
            & ~ c1_1(a1312)
            & ~ c3_1(a1312) ) )
        & ( ~ hskp5
          | ( ndr1_0
            & c1_1(a1314)
            & ~ c0_1(a1314)
            & ~ c3_1(a1314) ) )
        & ( ~ hskp6
          | ( ndr1_0
            & c3_1(a1315)
            & ~ c0_1(a1315)
            & ~ c1_1(a1315) ) )
        & ( ~ hskp7
          | ( ndr1_0
            & ~ c0_1(a1316)
            & ~ c2_1(a1316)
            & ~ c3_1(a1316) ) )
        & ( ~ hskp8
          | ( ndr1_0
            & c2_1(a1319)
            & ~ c0_1(a1319)
            & ~ c3_1(a1319) ) )
        & ( ~ hskp9
          | ( ndr1_0
            & c2_1(a1320)
            & ~ c0_1(a1320)
            & ~ c1_1(a1320) ) )
        & ( ~ hskp10
          | ( ndr1_0
            & c0_1(a1321)
            & c3_1(a1321)
            & ~ c2_1(a1321) ) )
        & ( ~ hskp11
          | ( ndr1_0
            & c0_1(a1324)
            & c3_1(a1324)
            & ~ c1_1(a1324) ) )
        & ( ~ hskp12
          | ( ndr1_0
            & c1_1(a1325)
            & c3_1(a1325)
            & ~ c0_1(a1325) ) )
        & ( ~ hskp13
          | ( ndr1_0
            & ~ c1_1(a1326)
            & ~ c2_1(a1326)
            & ~ c3_1(a1326) ) )
        & ( ~ hskp14
          | ( ndr1_0
            & c0_1(a1330)
            & ~ c1_1(a1330)
            & ~ c2_1(a1330) ) )
        & ( ~ hskp15
          | ( ndr1_0
            & c1_1(a1331)
            & c2_1(a1331)
            & ~ c3_1(a1331) ) )
        & ( ~ hskp16
          | ( ndr1_0
            & c1_1(a1333)
            & ~ c2_1(a1333)
            & ~ c3_1(a1333) ) )
        & ( ~ hskp17
          | ( ndr1_0
            & c2_1(a1334)
            & c3_1(a1334)
            & ~ c0_1(a1334) ) )
        & ( ~ hskp18
          | ( ndr1_0
            & c1_1(a1339)
            & ~ c0_1(a1339)
            & ~ c2_1(a1339) ) )
        & ( ~ hskp19
          | ( ndr1_0
            & c0_1(a1344)
            & c1_1(a1344)
            & ~ c2_1(a1344) ) )
        & ( ~ hskp20
          | ( ndr1_0
            & c1_1(a1348)
            & c2_1(a1348)
            & ~ c0_1(a1348) ) )
        & ( ~ hskp21
          | ( ndr1_0
            & c3_1(a1352)
            & ~ c0_1(a1352)
            & ~ c2_1(a1352) ) )
        & ( ~ hskp22
          | ( ndr1_0
            & c0_1(a1356)
            & c1_1(a1356)
            & ~ c3_1(a1356) ) )
        & ( ~ hskp23
          | ( ndr1_0
            & ~ c0_1(a1359)
            & ~ c1_1(a1359)
            & ~ c3_1(a1359) ) )
        & ( ~ hskp24
          | ( ndr1_0
            & c2_1(a1370)
            & ~ c1_1(a1370)
            & ~ c3_1(a1370) ) )
        & ( ~ hskp25
          | ( ndr1_0
            & c0_1(a1394)
            & c2_1(a1394)
            & ~ c3_1(a1394) ) )
        & ( ~ hskp26
          | ( ndr1_0
            & c0_1(a1411)
            & ~ c2_1(a1411)
            & ~ c3_1(a1411) ) )
        & ( ~ hskp27
          | ( ndr1_0
            & c0_1(a1307)
            & c1_1(a1307)
            & c2_1(a1307) ) )
        & ( ~ hskp28
          | ( ndr1_0
            & c0_1(a1328)
            & c2_1(a1328)
            & c3_1(a1328) ) )
        & ( ~ hskp29
          | ( ndr1_0
            & c1_1(a1338)
            & c2_1(a1338)
            & c3_1(a1338) ) )
        & ( ~ hskp30
          | ( ndr1_0
            & c0_1(a1372)
            & c1_1(a1372)
            & c3_1(a1372) ) )
        & ( ! [U] : 
              ( ndr1_0
             => ( c0_1(U)
                | c1_1(U)
                | c2_1(U) ) )
          | ! [V] : 
              ( ndr1_0
             => ( c1_1(V)
                | c3_1(V)
                | ~ c2_1(V) ) )
          | hskp0 )
        & ( ! [W] : 
              ( ndr1_0
             => ( c0_1(W)
                | c1_1(W)
                | c2_1(W) ) )
          | ! [X] : 
              ( ndr1_0
             => ( c2_1(X)
                | ~ c1_1(X)
                | ~ c3_1(X) ) )
          | ! [Y] : 
              ( ndr1_0
             => ( c3_1(Y)
                | ~ c0_1(Y)
                | ~ c1_1(Y) ) ) )
        & ( ! [Z] : 
              ( ndr1_0
             => ( c0_1(Z)
                | c1_1(Z)
                | c2_1(Z) ) )
          | hskp27
          | hskp1 )
        & ( ! [X1] : 
              ( ndr1_0
             => ( c0_1(X1)
                | c1_1(X1)
                | c2_1(X1) ) )
          | hskp2
          | hskp1 )
        & ( ! [X2] : 
              ( ndr1_0
             => ( c0_1(X2)
                | c1_1(X2)
                | c3_1(X2) ) )
          | ! [X3] : 
              ( ndr1_0
             => ( c0_1(X3)
                | c1_1(X3)
                | ~ c2_1(X3) ) )
          | ! [X4] : 
              ( ndr1_0
             => ( c1_1(X4)
                | c3_1(X4)
                | ~ c2_1(X4) ) ) )
        & ( ! [X5] : 
              ( ndr1_0
             => ( c0_1(X5)
                | c1_1(X5)
                | c3_1(X5) ) )
          | ! [X6] : 
              ( ndr1_0
             => ( c2_1(X6)
                | ~ c0_1(X6)
                | ~ c3_1(X6) ) )
          | hskp3 )
        & ( ! [X7] : 
              ( ndr1_0
             => ( c0_1(X7)
                | c1_1(X7)
                | ~ c2_1(X7) ) )
          | hskp4
          | hskp2 )
        & ( ! [X8] : 
              ( ndr1_0
             => ( c0_1(X8)
                | c1_1(X8)
                | ~ c2_1(X8) ) )
          | hskp5
          | hskp6 )
        & ( ! [X9] : 
              ( ndr1_0
             => ( c0_1(X9)
                | c1_1(X9)
                | ~ c3_1(X9) ) )
          | ! [X10] : 
              ( ndr1_0
             => ( c2_1(X10)
                | ~ c1_1(X10)
                | ~ c3_1(X10) ) )
          | hskp7 )
        & ( ! [X11] : 
              ( ndr1_0
             => ( c0_1(X11)
                | c2_1(X11)
                | c3_1(X11) ) )
          | ! [X12] : 
              ( ndr1_0
             => ( c0_1(X12)
                | c3_1(X12)
                | ~ c2_1(X12) ) )
          | hskp6 )
        & ( ! [X13] : 
              ( ndr1_0
             => ( c0_1(X13)
                | c2_1(X13)
                | c3_1(X13) ) )
          | ! [X14] : 
              ( ndr1_0
             => ( c0_1(X14)
                | ~ c1_1(X14)
                | ~ c2_1(X14) ) )
          | hskp6 )
        & ( ! [X15] : 
              ( ndr1_0
             => ( c0_1(X15)
                | c2_1(X15)
                | c3_1(X15) ) )
          | ! [X16] : 
              ( ndr1_0
             => ( c0_1(X16)
                | ~ c2_1(X16)
                | ~ c3_1(X16) ) )
          | hskp8 )
        & ( ! [X17] : 
              ( ndr1_0
             => ( c0_1(X17)
                | c2_1(X17)
                | c3_1(X17) ) )
          | ! [X18] : 
              ( ndr1_0
             => ( c2_1(X18)
                | c3_1(X18)
                | ~ c0_1(X18) ) )
          | hskp9 )
        & ( ! [X19] : 
              ( ndr1_0
             => ( c0_1(X19)
                | c2_1(X19)
                | c3_1(X19) ) )
          | hskp10
          | hskp6 )
        & ( ! [X20] : 
              ( ndr1_0
             => ( c0_1(X20)
                | c2_1(X20)
                | ~ c1_1(X20) ) )
          | ! [X21] : 
              ( ndr1_0
             => ( c0_1(X21)
                | c2_1(X21)
                | ~ c3_1(X21) ) )
          | ! [X22] : 
              ( ndr1_0
             => ( c2_1(X22)
                | c3_1(X22)
                | ~ c1_1(X22) ) ) )
        & ( ! [X23] : 
              ( ndr1_0
             => ( c0_1(X23)
                | c2_1(X23)
                | ~ c1_1(X23) ) )
          | ! [X24] : 
              ( ndr1_0
             => ( c0_1(X24)
                | c3_1(X24)
                | ~ c1_1(X24) ) )
          | hskp9 )
        & ( ! [X25] : 
              ( ndr1_0
             => ( c0_1(X25)
                | c2_1(X25)
                | ~ c1_1(X25) ) )
          | ! [X26] : 
              ( ndr1_0
             => ( c1_1(X26)
                | c2_1(X26)
                | c3_1(X26) ) )
          | hskp11 )
        & ( ! [X27] : 
              ( ndr1_0
             => ( c0_1(X27)
                | c2_1(X27)
                | ~ c1_1(X27) ) )
          | ! [X28] : 
              ( ndr1_0
             => ( ~ c1_1(X28)
                | ~ c2_1(X28)
                | ~ c3_1(X28) ) )
          | hskp12 )
        & ( ! [X29] : 
              ( ndr1_0
             => ( c0_1(X29)
                | c2_1(X29)
                | ~ c3_1(X29) ) )
          | ! [X30] : 
              ( ndr1_0
             => ( c0_1(X30)
                | ~ c1_1(X30)
                | ~ c3_1(X30) ) )
          | ! [X31] : 
              ( ndr1_0
             => ( c1_1(X31)
                | ~ c0_1(X31)
                | ~ c3_1(X31) ) ) )
        & ( ! [X32] : 
              ( ndr1_0
             => ( c0_1(X32)
                | c2_1(X32)
                | ~ c3_1(X32) ) )
          | ! [X33] : 
              ( ndr1_0
             => ( c1_1(X33)
                | c3_1(X33)
                | ~ c0_1(X33) ) )
          | hskp13 )
        & ( ! [X34] : 
              ( ndr1_0
             => ( c0_1(X34)
                | c3_1(X34)
                | ~ c1_1(X34) ) )
          | ! [X35] : 
              ( ndr1_0
             => ( c1_1(X35)
                | c2_1(X35)
                | c3_1(X35) ) )
          | ! [X36] : 
              ( ndr1_0
             => ( c3_1(X36)
                | ~ c0_1(X36)
                | ~ c1_1(X36) ) ) )
        & ( ! [X37] : 
              ( ndr1_0
             => ( c0_1(X37)
                | c3_1(X37)
                | ~ c1_1(X37) ) )
          | ! [X38] : 
              ( ndr1_0
             => ( ~ c0_1(X38)
                | ~ c1_1(X38)
                | ~ c2_1(X38) ) )
          | hskp12 )
        & ( ! [X39] : 
              ( ndr1_0
             => ( c0_1(X39)
                | c3_1(X39)
                | ~ c1_1(X39) ) )
          | hskp28 )
        & ( ! [X40] : 
              ( ndr1_0
             => ( c0_1(X40)
                | c3_1(X40)
                | ~ c2_1(X40) ) )
          | ! [X41] : 
              ( ndr1_0
             => ( c0_1(X41)
                | ~ c1_1(X41)
                | ~ c3_1(X41) ) )
          | hskp4 )
        & ( ! [X42] : 
              ( ndr1_0
             => ( c0_1(X42)
                | c3_1(X42)
                | ~ c2_1(X42) ) )
          | ! [X43] : 
              ( ndr1_0
             => ( c0_1(X43)
                | ~ c2_1(X43)
                | ~ c3_1(X43) ) )
          | ! [X44] : 
              ( ndr1_0
             => ( c1_1(X44)
                | ~ c0_1(X44)
                | ~ c2_1(X44) ) ) )
        & ( ! [X45] : 
              ( ndr1_0
             => ( c0_1(X45)
                | c3_1(X45)
                | ~ c2_1(X45) ) )
          | ! [X46] : 
              ( ndr1_0
             => ( c0_1(X46)
                | ~ c2_1(X46)
                | ~ c3_1(X46) ) )
          | ! [X47] : 
              ( ndr1_0
             => ( ~ c0_1(X47)
                | ~ c1_1(X47)
                | ~ c3_1(X47) ) ) )
        & ( ! [X48] : 
              ( ndr1_0
             => ( c0_1(X48)
                | c3_1(X48)
                | ~ c2_1(X48) ) )
          | hskp14
          | hskp15 )
        & ( ! [X49] : 
              ( ndr1_0
             => ( c0_1(X49)
                | ~ c1_1(X49)
                | ~ c2_1(X49) ) )
          | ! [X50] : 
              ( ndr1_0
             => ( c2_1(X50)
                | ~ c0_1(X50)
                | ~ c3_1(X50) ) )
          | hskp28 )
        & ( ! [X51] : 
              ( ndr1_0
             => ( c0_1(X51)
                | ~ c1_1(X51)
                | ~ c2_1(X51) ) )
          | hskp16
          | hskp17 )
        & ( ! [X52] : 
              ( ndr1_0
             => ( c0_1(X52)
                | ~ c2_1(X52)
                | ~ c3_1(X52) ) )
          | ! [X53] : 
              ( ndr1_0
             => ( c2_1(X53)
                | ~ c0_1(X53)
                | ~ c1_1(X53) ) )
          | hskp0 )
        & ( ! [X54] : 
              ( ndr1_0
             => ( c1_1(X54)
                | c2_1(X54)
                | ~ c0_1(X54) ) )
          | ! [X55] : 
              ( ndr1_0
             => ( c1_1(X55)
                | c3_1(X55)
                | ~ c0_1(X55) ) )
          | hskp15 )
        & ( ! [X56] : 
              ( ndr1_0
             => ( c1_1(X56)
                | c2_1(X56)
                | ~ c0_1(X56) ) )
          | ! [X57] : 
              ( ndr1_0
             => ( c3_1(X57)
                | ~ c0_1(X57)
                | ~ c2_1(X57) ) )
          | hskp14 )
        & ( ! [X58] : 
              ( ndr1_0
             => ( c1_1(X58)
                | c2_1(X58)
                | ~ c0_1(X58) ) )
          | hskp29
          | hskp18 )
        & ( ! [X59] : 
              ( ndr1_0
             => ( c1_1(X59)
                | c2_1(X59)
                | ~ c0_1(X59) ) )
          | hskp8
          | hskp7 )
        & ( ! [X60] : 
              ( ndr1_0
             => ( c1_1(X60)
                | c2_1(X60)
                | ~ c3_1(X60) ) )
          | ! [X61] : 
              ( ndr1_0
             => ( c1_1(X61)
                | ~ c0_1(X61)
                | ~ c2_1(X61) ) )
          | ! [X62] : 
              ( ndr1_0
             => ( c2_1(X62)
                | c3_1(X62)
                | ~ c0_1(X62) ) ) )
        & ( ! [X63] : 
              ( ndr1_0
             => ( c1_1(X63)
                | c2_1(X63)
                | ~ c3_1(X63) ) )
          | ! [X64] : 
              ( ndr1_0
             => ( c3_1(X64)
                | ~ c0_1(X64)
                | ~ c1_1(X64) ) )
          | ! [X65] : 
              ( ndr1_0
             => ( c3_1(X65)
                | ~ c1_1(X65)
                | ~ c2_1(X65) ) ) )
        & ( ! [X66] : 
              ( ndr1_0
             => ( c1_1(X66)
                | c2_1(X66)
                | ~ c3_1(X66) ) )
          | hskp2
          | hskp1 )
        & ( ! [X67] : 
              ( ndr1_0
             => ( c1_1(X67)
                | c3_1(X67)
                | ~ c0_1(X67) ) )
          | hskp19
          | hskp15 )
        & ( ! [X68] : 
              ( ndr1_0
             => ( c1_1(X68)
                | c3_1(X68)
                | ~ c2_1(X68) ) )
          | hskp10
          | hskp1 )
        & ( ! [X69] : 
              ( ndr1_0
             => ( c1_1(X69)
                | ~ c0_1(X69)
                | ~ c2_1(X69) ) )
          | hskp20
          | hskp2 )
        & ( ! [X70] : 
              ( ndr1_0
             => ( c1_1(X70)
                | ~ c0_1(X70)
                | ~ c2_1(X70) ) )
          | hskp12
          | hskp0 )
        & ( ! [X71] : 
              ( ndr1_0
             => ( c1_1(X71)
                | ~ c0_1(X71)
                | ~ c2_1(X71) ) )
          | hskp21
          | hskp0 )
        & ( ! [X72] : 
              ( ndr1_0
             => ( c1_1(X72)
                | ~ c0_1(X72)
                | ~ c3_1(X72) ) )
          | ! [X73] : 
              ( ndr1_0
             => ( c2_1(X73)
                | c3_1(X73)
                | ~ c1_1(X73) ) )
          | hskp20 )
        & ( ! [X74] : 
              ( ndr1_0
             => ( c1_1(X74)
                | ~ c2_1(X74)
                | ~ c3_1(X74) ) )
          | ! [X75] : 
              ( ndr1_0
             => ( c2_1(X75)
                | ~ c0_1(X75)
                | ~ c3_1(X75) ) )
          | hskp27 )
        & ( ! [X76] : 
              ( ndr1_0
             => ( c1_1(X76)
                | ~ c2_1(X76)
                | ~ c3_1(X76) ) )
          | hskp22
          | hskp2 )
        & ( ! [X77] : 
              ( ndr1_0
             => ( c1_1(X77)
                | ~ c2_1(X77)
                | ~ c3_1(X77) ) )
          | hskp22
          | hskp23 )
        & ( ! [X78] : 
              ( ndr1_0
             => ( c2_1(X78)
                | c3_1(X78)
                | ~ c0_1(X78) ) )
          | ! [X79] : 
              ( ndr1_0
             => ( c3_1(X79)
                | ~ c0_1(X79)
                | ~ c1_1(X79) ) )
          | hskp27 )
        & ( ! [X80] : 
              ( ndr1_0
             => ( c2_1(X80)
                | c3_1(X80)
                | ~ c0_1(X80) ) )
          | hskp4
          | hskp17 )
        & ( ! [X81] : 
              ( ndr1_0
             => ( c2_1(X81)
                | c3_1(X81)
                | ~ c1_1(X81) ) )
          | hskp14
          | hskp16 )
        & ( ! [X82] : 
              ( ndr1_0
             => ( c2_1(X82)
                | c3_1(X82)
                | ~ c1_1(X82) ) )
          | hskp14
          | hskp13 )
        & ( ! [X83] : 
              ( ndr1_0
             => ( c3_1(X83)
                | ~ c0_1(X83)
                | ~ c1_1(X83) ) )
          | hskp14
          | hskp8 )
        & ( ! [X84] : 
              ( ndr1_0
             => ( c3_1(X84)
                | ~ c0_1(X84)
                | ~ c1_1(X84) ) )
          | hskp20
          | hskp24 )
        & ( ! [X85] : 
              ( ndr1_0
             => ( c3_1(X85)
                | ~ c0_1(X85)
                | ~ c2_1(X85) ) )
          | ! [X86] : 
              ( ndr1_0
             => ( ~ c0_1(X86)
                | ~ c1_1(X86)
                | ~ c3_1(X86) ) )
          | hskp11 )
        & ( ! [X87] : 
              ( ndr1_0
             => ( c3_1(X87)
                | ~ c0_1(X87)
                | ~ c2_1(X87) ) )
          | hskp30
          | hskp18 )
        & ( ! [X88] : 
              ( ndr1_0
             => ( c3_1(X88)
                | ~ c0_1(X88)
                | ~ c2_1(X88) ) )
          | hskp14
          | hskp12 )
        & ( ! [X89] : 
              ( ndr1_0
             => ( c3_1(X89)
                | ~ c0_1(X89)
                | ~ c2_1(X89) ) )
          | hskp9
          | hskp6 )
        & ( ! [X90] : 
              ( ndr1_0
             => ( c3_1(X90)
                | ~ c1_1(X90)
                | ~ c2_1(X90) ) )
          | ! [X91] : 
              ( ndr1_0
             => ( ~ c0_1(X91)
                | ~ c1_1(X91)
                | ~ c3_1(X91) ) )
          | hskp5 )
        & ( ! [X92] : 
              ( ndr1_0
             => ( ~ c0_1(X92)
                | ~ c1_1(X92)
                | ~ c2_1(X92) ) )
          | ! [X93] : 
              ( ndr1_0
             => ( ~ c1_1(X93)
                | ~ c2_1(X93)
                | ~ c3_1(X93) ) )
          | hskp17 )
        & ( ! [X94] : 
              ( ndr1_0
             => ( ~ c0_1(X94)
                | ~ c1_1(X94)
                | ~ c2_1(X94) ) )
          | hskp13 )
        & ( ! [X95] : 
              ( ndr1_0
             => ( ~ c0_1(X95)
                | ~ c1_1(X95)
                | ~ c3_1(X95) ) )
          | ! [X96] : 
              ( ndr1_0
             => ( ~ c1_1(X96)
                | ~ c2_1(X96)
                | ~ c3_1(X96) ) )
          | hskp29 )
        & ( ! [X97] : 
              ( ndr1_0
             => ( ~ c1_1(X97)
                | ~ c2_1(X97)
                | ~ c3_1(X97) ) )
          | hskp22
          | hskp11 )
        & ( hskp27
          | hskp14
          | hskp18 )
        & ( hskp30
          | hskp2
          | hskp9 )
        & ( hskp19
          | hskp14
          | hskp9 )
        & ( hskp28
          | hskp25
          | hskp14 )
        & ( hskp28
          | hskp1
          | hskp7 )
        & ( hskp3
          | hskp4
          | hskp7 )
        & ( hskp3
          | hskp21
          | hskp7 )
        & ( hskp25
          | hskp20
          | hskp6 )
        & ( hskp14
          | hskp4
          | hskp1 )
        & ( hskp26
          | hskp29
          | hskp20 )
        & ( hskp26
          | hskp12 )
        & ( hskp20
          | hskp18 )
        & ( hskp2
          | hskp1
          | hskp23 )
        & ( hskp18
          | hskp5
          | hskp16 )
        & ( hskp6
          | hskp0
          | hskp23 ) ) )).

%--------------------------------------------------------------------------
