%--------------------------------------------------------------------------
% File     : SYN481+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=76, K=3, D=1, P=0, Index=019
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-76-3-1-019.dfg [Wei97]

% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
%
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
%
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  699 (   0 equality)
%            Maximal formula depth :  110 ( 110 average)
%            Number of connectives :  945 ( 247 ~  ; 393  |; 199  &)
%                                         (   0 <=>; 106 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   36 (  32 propositional; 0-1 arity)
%            Number of functors    :   31 (  31 constant; 0-0 arity)
%            Number of variables   :  106 (   0 singleton; 106 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%--------------------------------------------------------------------------
fof(co1,conjecture,
    ( ~ ( ( ~ hskp0
          | ( ndr1_0
            & c0_1(a1634)
            & c3_1(a1634)
            & ~ c1_1(a1634) ) )
        & ( ~ hskp1
          | ( ndr1_0
            & ~ c0_1(a1636)
            & ~ c1_1(a1636)
            & ~ c2_1(a1636) ) )
        & ( ~ hskp2
          | ( ndr1_0
            & c1_1(a1637)
            & c3_1(a1637)
            & ~ c0_1(a1637) ) )
        & ( ~ hskp3
          | ( ndr1_0
            & c3_1(a1638)
            & ~ c0_1(a1638)
            & ~ c2_1(a1638) ) )
        & ( ~ hskp4
          | ( ndr1_0
            & c3_1(a1639)
            & ~ c1_1(a1639)
            & ~ c2_1(a1639) ) )
        & ( ~ hskp5
          | ( ndr1_0
            & c0_1(a1640)
            & c3_1(a1640)
            & ~ c2_1(a1640) ) )
        & ( ~ hskp6
          | ( ndr1_0
            & c2_1(a1641)
            & ~ c0_1(a1641)
            & ~ c3_1(a1641) ) )
        & ( ~ hskp7
          | ( ndr1_0
            & c0_1(a1642)
            & ~ c2_1(a1642)
            & ~ c3_1(a1642) ) )
        & ( ~ hskp8
          | ( ndr1_0
            & c1_1(a1643)
            & ~ c2_1(a1643)
            & ~ c3_1(a1643) ) )
        & ( ~ hskp9
          | ( ndr1_0
            & ~ c0_1(a1644)
            & ~ c1_1(a1644)
            & ~ c3_1(a1644) ) )
        & ( ~ hskp10
          | ( ndr1_0
            & c0_1(a1648)
            & c2_1(a1648)
            & ~ c3_1(a1648) ) )
        & ( ~ hskp11
          | ( ndr1_0
            & c1_1(a1650)
            & ~ c0_1(a1650)
            & ~ c3_1(a1650) ) )
        & ( ~ hskp12
          | ( ndr1_0
            & c0_1(a1653)
            & c1_1(a1653)
            & ~ c3_1(a1653) ) )
        & ( ~ hskp13
          | ( ndr1_0
            & c1_1(a1658)
            & c3_1(a1658)
            & ~ c2_1(a1658) ) )
        & ( ~ hskp14
          | ( ndr1_0
            & c0_1(a1661)
            & ~ c1_1(a1661)
            & ~ c3_1(a1661) ) )
        & ( ~ hskp15
          | ( ndr1_0
            & c0_1(a1664)
            & ~ c1_1(a1664)
            & ~ c2_1(a1664) ) )
        & ( ~ hskp16
          | ( ndr1_0
            & c0_1(a1667)
            & c2_1(a1667)
            & ~ c1_1(a1667) ) )
        & ( ~ hskp17
          | ( ndr1_0
            & c2_1(a1675)
            & ~ c0_1(a1675)
            & ~ c1_1(a1675) ) )
        & ( ~ hskp18
          | ( ndr1_0
            & c1_1(a1680)
            & ~ c0_1(a1680)
            & ~ c2_1(a1680) ) )
        & ( ~ hskp19
          | ( ndr1_0
            & c1_1(a1682)
            & c2_1(a1682)
            & ~ c3_1(a1682) ) )
        & ( ~ hskp20
          | ( ndr1_0
            & c0_1(a1689)
            & c1_1(a1689)
            & ~ c2_1(a1689) ) )
        & ( ~ hskp21
          | ( ndr1_0
            & c2_1(a1691)
            & c3_1(a1691)
            & ~ c1_1(a1691) ) )
        & ( ~ hskp22
          | ( ndr1_0
            & ~ c0_1(a1697)
            & ~ c2_1(a1697)
            & ~ c3_1(a1697) ) )
        & ( ~ hskp23
          | ( ndr1_0
            & ~ c1_1(a1699)
            & ~ c2_1(a1699)
            & ~ c3_1(a1699) ) )
        & ( ~ hskp24
          | ( ndr1_0
            & c3_1(a1701)
            & ~ c0_1(a1701)
            & ~ c1_1(a1701) ) )
        & ( ~ hskp25
          | ( ndr1_0
            & c1_1(a1709)
            & c2_1(a1709)
            & ~ c0_1(a1709) ) )
        & ( ~ hskp26
          | ( ndr1_0
            & c2_1(a1737)
            & c3_1(a1737)
            & ~ c0_1(a1737) ) )
        & ( ~ hskp27
          | ( ndr1_0
            & c0_1(a1635)
            & c1_1(a1635)
            & c2_1(a1635) ) )
        & ( ~ hskp28
          | ( ndr1_0
            & c1_1(a1646)
            & c2_1(a1646)
            & c3_1(a1646) ) )
        & ( ~ hskp29
          | ( ndr1_0
            & c0_1(a1647)
            & c1_1(a1647)
            & c3_1(a1647) ) )
        & ( ~ hskp30
          | ( ndr1_0
            & c0_1(a1712)
            & c2_1(a1712)
            & c3_1(a1712) ) )
        & ( ! [U] : 
              ( ndr1_0
             => ( c0_1(U)
                | c1_1(U)
                | c2_1(U) ) )
          | ! [V] : 
              ( ndr1_0
             => ( c0_1(V)
                | c2_1(V)
                | c3_1(V) ) )
          | ! [W] : 
              ( ndr1_0
             => ( c0_1(W)
                | c2_1(W)
                | ~ c1_1(W) ) ) )
        & ( ! [X] : 
              ( ndr1_0
             => ( c0_1(X)
                | c1_1(X)
                | c2_1(X) ) )
          | ! [Y] : 
              ( ndr1_0
             => ( c2_1(Y)
                | c3_1(Y)
                | ~ c0_1(Y) ) )
          | hskp0 )
        & ( ! [Z] : 
              ( ndr1_0
             => ( c0_1(Z)
                | c1_1(Z)
                | c2_1(Z) ) )
          | hskp27
          | hskp1 )
        & ( ! [X1] : 
              ( ndr1_0
             => ( c0_1(X1)
                | c1_1(X1)
                | c2_1(X1) ) )
          | hskp2
          | hskp3 )
        & ( ! [X2] : 
              ( ndr1_0
             => ( c0_1(X2)
                | c1_1(X2)
                | c3_1(X2) ) )
          | ! [X3] : 
              ( ndr1_0
             => ( c1_1(X3)
                | ~ c0_1(X3)
                | ~ c3_1(X3) ) )
          | ! [X4] : 
              ( ndr1_0
             => ( c3_1(X4)
                | ~ c1_1(X4)
                | ~ c2_1(X4) ) ) )
        & ( ! [X5] : 
              ( ndr1_0
             => ( c0_1(X5)
                | c1_1(X5)
                | c3_1(X5) ) )
          | ! [X6] : 
              ( ndr1_0
             => ( c2_1(X6)
                | ~ c0_1(X6)
                | ~ c1_1(X6) ) )
          | hskp4 )
        & ( ! [X7] : 
              ( ndr1_0
             => ( c0_1(X7)
                | c1_1(X7)
                | ~ c2_1(X7) ) )
          | ! [X8] : 
              ( ndr1_0
             => ( c1_1(X8)
                | c2_1(X8)
                | ~ c0_1(X8) ) )
          | ! [X9] : 
              ( ndr1_0
             => ( c1_1(X9)
                | ~ c2_1(X9)
                | ~ c3_1(X9) ) ) )
        & ( ! [X10] : 
              ( ndr1_0
             => ( c0_1(X10)
                | c1_1(X10)
                | ~ c2_1(X10) ) )
          | ! [X11] : 
              ( ndr1_0
             => ( c3_1(X11)
                | ~ c0_1(X11)
                | ~ c1_1(X11) ) )
          | ! [X12] : 
              ( ndr1_0
             => ( ~ c0_1(X12)
                | ~ c2_1(X12)
                | ~ c3_1(X12) ) ) )
        & ( ! [X13] : 
              ( ndr1_0
             => ( c0_1(X13)
                | c1_1(X13)
                | ~ c2_1(X13) ) )
          | hskp5
          | hskp6 )
        & ( ! [X14] : 
              ( ndr1_0
             => ( c0_1(X14)
                | c1_1(X14)
                | ~ c2_1(X14) ) )
          | hskp7
          | hskp8 )
        & ( ! [X15] : 
              ( ndr1_0
             => ( c0_1(X15)
                | c1_1(X15)
                | ~ c3_1(X15) ) )
          | ! [X16] : 
              ( ndr1_0
             => ( c0_1(X16)
                | ~ c1_1(X16)
                | ~ c2_1(X16) ) ) )
        & ( ! [X17] : 
              ( ndr1_0
             => ( c0_1(X17)
                | c1_1(X17)
                | ~ c3_1(X17) ) )
          | ! [X18] : 
              ( ndr1_0
             => ( c3_1(X18)
                | ~ c0_1(X18)
                | ~ c2_1(X18) ) )
          | ! [X19] : 
              ( ndr1_0
             => ( ~ c0_1(X19)
                | ~ c2_1(X19)
                | ~ c3_1(X19) ) ) )
        & ( ! [X20] : 
              ( ndr1_0
             => ( c0_1(X20)
                | c1_1(X20)
                | ~ c3_1(X20) ) )
          | ! [X21] : 
              ( ndr1_0
             => ( c3_1(X21)
                | ~ c1_1(X21)
                | ~ c2_1(X21) ) )
          | ! [X22] : 
              ( ndr1_0
             => ( ~ c0_1(X22)
                | ~ c1_1(X22)
                | ~ c2_1(X22) ) ) )
        & ( ! [X23] : 
              ( ndr1_0
             => ( c0_1(X23)
                | c1_1(X23)
                | ~ c3_1(X23) ) )
          | ! [X24] : 
              ( ndr1_0
             => ( ~ c1_1(X24)
                | ~ c2_1(X24)
                | ~ c3_1(X24) ) )
          | hskp9 )
        & ( ! [X25] : 
              ( ndr1_0
             => ( c0_1(X25)
                | c1_1(X25)
                | ~ c3_1(X25) ) )
          | hskp0
          | hskp28 )
        & ( ! [X26] : 
              ( ndr1_0
             => ( c0_1(X26)
                | c2_1(X26)
                | c3_1(X26) ) )
          | ! [X27] : 
              ( ndr1_0
             => ( c0_1(X27)
                | c2_1(X27)
                | ~ c3_1(X27) ) )
          | ! [X28] : 
              ( ndr1_0
             => ( c0_1(X28)
                | ~ c2_1(X28)
                | ~ c3_1(X28) ) ) )
        & ( ! [X29] : 
              ( ndr1_0
             => ( c0_1(X29)
                | c2_1(X29)
                | c3_1(X29) ) )
          | ! [X30] : 
              ( ndr1_0
             => ( c0_1(X30)
                | ~ c1_1(X30)
                | ~ c2_1(X30) ) )
          | ! [X31] : 
              ( ndr1_0
             => ( c3_1(X31)
                | ~ c0_1(X31)
                | ~ c2_1(X31) ) ) )
        & ( ! [X32] : 
              ( ndr1_0
             => ( c0_1(X32)
                | c2_1(X32)
                | c3_1(X32) ) )
          | ! [X33] : 
              ( ndr1_0
             => ( c1_1(X33)
                | c2_1(X33)
                | ~ c0_1(X33) ) )
          | hskp29 )
        & ( ! [X34] : 
              ( ndr1_0
             => ( c0_1(X34)
                | c2_1(X34)
                | c3_1(X34) ) )
          | hskp10
          | hskp1 )
        & ( ! [X35] : 
              ( ndr1_0
             => ( c0_1(X35)
                | c2_1(X35)
                | ~ c1_1(X35) ) )
          | ! [X36] : 
              ( ndr1_0
             => ( c3_1(X36)
                | ~ c0_1(X36)
                | ~ c1_1(X36) ) )
          | hskp11 )
        & ( ! [X37] : 
              ( ndr1_0
             => ( c0_1(X37)
                | c2_1(X37)
                | ~ c3_1(X37) ) )
          | ! [X38] : 
              ( ndr1_0
             => ( c0_1(X38)
                | ~ c1_1(X38)
                | ~ c3_1(X38) ) )
          | hskp11 )
        & ( ! [X39] : 
              ( ndr1_0
             => ( c0_1(X39)
                | c2_1(X39)
                | ~ c3_1(X39) ) )
          | ! [X40] : 
              ( ndr1_0
             => ( c1_1(X40)
                | ~ c0_1(X40)
                | ~ c2_1(X40) ) )
          | hskp29 )
        & ( ! [X41] : 
              ( ndr1_0
             => ( c0_1(X41)
                | c2_1(X41)
                | ~ c3_1(X41) ) )
          | ! [X42] : 
              ( ndr1_0
             => ( c1_1(X42)
                | ~ c2_1(X42)
                | ~ c3_1(X42) ) )
          | hskp12 )
        & ( ! [X43] : 
              ( ndr1_0
             => ( c0_1(X43)
                | c3_1(X43)
                | ~ c1_1(X43) ) )
          | ! [X44] : 
              ( ndr1_0
             => ( c1_1(X44)
                | c2_1(X44)
                | c3_1(X44) ) )
          | hskp3 )
        & ( ! [X45] : 
              ( ndr1_0
             => ( c0_1(X45)
                | c3_1(X45)
                | ~ c1_1(X45) ) )
          | ! [X46] : 
              ( ndr1_0
             => ( c1_1(X46)
                | c2_1(X46)
                | ~ c0_1(X46) ) )
          | ! [X47] : 
              ( ndr1_0
             => ( c3_1(X47)
                | ~ c0_1(X47)
                | ~ c1_1(X47) ) ) )
        & ( ! [X48] : 
              ( ndr1_0
             => ( c0_1(X48)
                | ~ c1_1(X48)
                | ~ c2_1(X48) ) )
          | ! [X49] : 
              ( ndr1_0
             => ( c2_1(X49)
                | ~ c1_1(X49)
                | ~ c3_1(X49) ) )
          | hskp7 )
        & ( ! [X50] : 
              ( ndr1_0
             => ( c0_1(X50)
                | ~ c1_1(X50)
                | ~ c2_1(X50) ) )
          | hskp29
          | hskp5 )
        & ( ! [X51] : 
              ( ndr1_0
             => ( c0_1(X51)
                | ~ c1_1(X51)
                | ~ c2_1(X51) ) )
          | hskp13
          | hskp11 )
        & ( ! [X52] : 
              ( ndr1_0
             => ( c0_1(X52)
                | ~ c1_1(X52)
                | ~ c3_1(X52) ) )
          | ! [X53] : 
              ( ndr1_0
             => ( c1_1(X53)
                | c2_1(X53)
                | ~ c0_1(X53) ) )
          | hskp11 )
        & ( ! [X54] : 
              ( ndr1_0
             => ( c0_1(X54)
                | ~ c1_1(X54)
                | ~ c3_1(X54) ) )
          | ! [X55] : 
              ( ndr1_0
             => ( c1_1(X55)
                | c3_1(X55)
                | ~ c2_1(X55) ) )
          | hskp14 )
        & ( ! [X56] : 
              ( ndr1_0
             => ( c0_1(X56)
                | ~ c1_1(X56)
                | ~ c3_1(X56) ) )
          | ! [X57] : 
              ( ndr1_0
             => ( c1_1(X57)
                | ~ c0_1(X57)
                | ~ c3_1(X57) ) )
          | ! [X58] : 
              ( ndr1_0
             => ( c3_1(X58)
                | ~ c1_1(X58)
                | ~ c2_1(X58) ) ) )
        & ( ! [X59] : 
              ( ndr1_0
             => ( c0_1(X59)
                | ~ c2_1(X59)
                | ~ c3_1(X59) ) )
          | ! [X60] : 
              ( ndr1_0
             => ( c1_1(X60)
                | c2_1(X60)
                | c3_1(X60) ) )
          | hskp5 )
        & ( ! [X61] : 
              ( ndr1_0
             => ( c0_1(X61)
                | ~ c2_1(X61)
                | ~ c3_1(X61) ) )
          | ! [X62] : 
              ( ndr1_0
             => ( c1_1(X62)
                | ~ c2_1(X62)
                | ~ c3_1(X62) ) )
          | hskp5 )
        & ( ! [X63] : 
              ( ndr1_0
             => ( c0_1(X63)
                | ~ c2_1(X63)
                | ~ c3_1(X63) ) )
          | ! [X64] : 
              ( ndr1_0
             => ( c3_1(X64)
                | ~ c0_1(X64)
                | ~ c1_1(X64) ) )
          | hskp15 )
        & ( ! [X65] : 
              ( ndr1_0
             => ( c0_1(X65)
                | ~ c2_1(X65)
                | ~ c3_1(X65) ) )
          | hskp0
          | hskp28 )
        & ( ! [X66] : 
              ( ndr1_0
             => ( c1_1(X66)
                | c2_1(X66)
                | ~ c0_1(X66) ) )
          | hskp16
          | hskp0 )
        & ( ! [X67] : 
              ( ndr1_0
             => ( c1_1(X67)
                | c2_1(X67)
                | ~ c3_1(X67) ) )
          | ! [X68] : 
              ( ndr1_0
             => ( c1_1(X68)
                | ~ c2_1(X68)
                | ~ c3_1(X68) ) )
          | hskp14 )
        & ( ! [X69] : 
              ( ndr1_0
             => ( c1_1(X69)
                | c2_1(X69)
                | ~ c3_1(X69) ) )
          | ! [X70] : 
              ( ndr1_0
             => ( ~ c0_1(X70)
                | ~ c1_1(X70)
                | ~ c2_1(X70) ) )
          | ! [X71] : 
              ( ndr1_0
             => ( ~ c0_1(X71)
                | ~ c1_1(X71)
                | ~ c3_1(X71) ) ) )
        & ( ! [X72] : 
              ( ndr1_0
             => ( c1_1(X72)
                | c2_1(X72)
                | ~ c3_1(X72) ) )
          | hskp16
          | hskp10 )
        & ( ! [X73] : 
              ( ndr1_0
             => ( c1_1(X73)
                | c3_1(X73)
                | ~ c2_1(X73) ) )
          | hskp2
          | hskp9 )
        & ( ! [X74] : 
              ( ndr1_0
             => ( c1_1(X74)
                | ~ c0_1(X74)
                | ~ c2_1(X74) ) )
          | ! [X75] : 
              ( ndr1_0
             => ( c2_1(X75)
                | ~ c0_1(X75)
                | ~ c3_1(X75) ) )
          | hskp2 )
        & ( ! [X76] : 
              ( ndr1_0
             => ( c1_1(X76)
                | ~ c0_1(X76)
                | ~ c2_1(X76) ) )
          | ! [X77] : 
              ( ndr1_0
             => ( c2_1(X77)
                | ~ c0_1(X77)
                | ~ c3_1(X77) ) )
          | hskp17 )
        & ( ! [X78] : 
              ( ndr1_0
             => ( c1_1(X78)
                | ~ c0_1(X78)
                | ~ c3_1(X78) ) )
          | hskp29
          | hskp12 )
        & ( ! [X79] : 
              ( ndr1_0
             => ( c1_1(X79)
                | ~ c0_1(X79)
                | ~ c3_1(X79) ) )
          | hskp29
          | hskp9 )
        & ( ! [X80] : 
              ( ndr1_0
             => ( c1_1(X80)
                | ~ c2_1(X80)
                | ~ c3_1(X80) ) )
          | ! [X81] : 
              ( ndr1_0
             => ( c3_1(X81)
                | ~ c1_1(X81)
                | ~ c2_1(X81) ) )
          | hskp18 )
        & ( ! [X82] : 
              ( ndr1_0
             => ( c1_1(X82)
                | ~ c2_1(X82)
                | ~ c3_1(X82) ) )
          | hskp28
          | hskp19 )
        & ( ! [X83] : 
              ( ndr1_0
             => ( c2_1(X83)
                | c3_1(X83)
                | ~ c0_1(X83) ) )
          | hskp27
          | hskp6 )
        & ( ! [X84] : 
              ( ndr1_0
             => ( c2_1(X84)
                | c3_1(X84)
                | ~ c0_1(X84) ) )
          | hskp7
          | hskp19 )
        & ( ! [X85] : 
              ( ndr1_0
             => ( c2_1(X85)
                | c3_1(X85)
                | ~ c0_1(X85) ) )
          | hskp13
          | hskp9 )
        & ( ! [X86] : 
              ( ndr1_0
             => ( c2_1(X86)
                | ~ c0_1(X86)
                | ~ c3_1(X86) ) )
          | hskp20
          | hskp28 )
        & ( ! [X87] : 
              ( ndr1_0
             => ( c2_1(X87)
                | ~ c1_1(X87)
                | ~ c3_1(X87) ) )
          | hskp21
          | hskp3 )
        & ( ! [X88] : 
              ( ndr1_0
             => ( c3_1(X88)
                | ~ c0_1(X88)
                | ~ c1_1(X88) ) )
          | ! [X89] : 
              ( ndr1_0
             => ( ~ c0_1(X89)
                | ~ c1_1(X89)
                | ~ c2_1(X89) ) )
          | hskp28 )
        & ( ! [X90] : 
              ( ndr1_0
             => ( c3_1(X90)
                | ~ c0_1(X90)
                | ~ c2_1(X90) ) )
          | hskp8
          | hskp1 )
        & ( ! [X91] : 
              ( ndr1_0
             => ( c3_1(X91)
                | ~ c1_1(X91)
                | ~ c2_1(X91) ) )
          | ! [X92] : 
              ( ndr1_0
             => ( ~ c0_1(X92)
                | ~ c1_1(X92)
                | ~ c2_1(X92) ) )
          | hskp9 )
        & ( ! [X93] : 
              ( ndr1_0
             => ( c3_1(X93)
                | ~ c1_1(X93)
                | ~ c2_1(X93) ) )
          | ! [X94] : 
              ( ndr1_0
             => ( ~ c0_1(X94)
                | ~ c1_1(X94)
                | ~ c3_1(X94) ) )
          | hskp22 )
        & ( ! [X95] : 
              ( ndr1_0
             => ( c3_1(X95)
                | ~ c1_1(X95)
                | ~ c2_1(X95) ) )
          | hskp4
          | hskp23 )
        & ( ! [X96] : 
              ( ndr1_0
             => ( ~ c0_1(X96)
                | ~ c1_1(X96)
                | ~ c2_1(X96) ) )
          | hskp29
          | hskp24 )
        & ( ! [X97] : 
              ( ndr1_0
             => ( ~ c0_1(X97)
                | ~ c1_1(X97)
                | ~ c2_1(X97) ) )
          | hskp20
          | hskp21 )
        & ( ! [X98] : 
              ( ndr1_0
             => ( ~ c0_1(X98)
                | ~ c1_1(X98)
                | ~ c2_1(X98) ) )
          | hskp14
          | hskp22 )
        & ( ! [X99] : 
              ( ndr1_0
             => ( ~ c1_1(X99)
                | ~ c2_1(X99)
                | ~ c3_1(X99) ) )
          | hskp7
          | hskp11 )
        & ( ! [X100] : 
              ( ndr1_0
             => ( ~ c1_1(X100)
                | ~ c2_1(X100)
                | ~ c3_1(X100) ) )
          | hskp28
          | hskp25 )
        & ( hskp27
          | hskp20
          | hskp30 )
        & ( hskp29
          | hskp10
          | hskp6 )
        & ( hskp20
          | hskp14 )
        & ( hskp12
          | hskp5
          | hskp24 )
        & ( hskp12
          | hskp25
          | hskp24 )
        & ( hskp30
          | hskp6
          | hskp4 )
        & ( hskp10
          | hskp18
          | hskp11 )
        & ( hskp0
          | hskp5
          | hskp1 )
        & ( hskp0
          | hskp7
          | hskp8 )
        & ( hskp0
          | hskp26
          | hskp1 )
        & ( hskp15
          | hskp19
          | hskp1 )
        & ( hskp7
          | hskp6
          | hskp9 )
        & ( hskp25
          | hskp17
          | hskp1 )
        & ( hskp19
          | hskp21
          | hskp6 )
        & ( hskp11
          | hskp17
          | hskp1 ) ) )).

%--------------------------------------------------------------------------
