%--------------------------------------------------------------------------
% File     : SYN488+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=76, K=3, D=1, P=0, Index=086
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-76-3-1-086.dfg [Wei97]

% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
%
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
%
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  722 (   0 equality)
%            Maximal formula depth :  111 ( 111 average)
%            Number of connectives :  975 ( 254 ~  ; 406  |; 203  &)
%                                         (   0 <=>; 112 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   37 (  33 propositional; 0-1 arity)
%            Number of functors    :   32 (  32 constant; 0-0 arity)
%            Number of variables   :  112 (   0 singleton; 112 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%--------------------------------------------------------------------------
fof(co1,conjecture,
    ( ~ ( ( ~ hskp0
          | ( ndr1_0
            & c0_1(a2402)
            & c3_1(a2402)
            & ~ c1_1(a2402) ) )
        & ( ~ hskp1
          | ( ndr1_0
            & c1_1(a2403)
            & ~ c2_1(a2403)
            & ~ c3_1(a2403) ) )
        & ( ~ hskp2
          | ( ndr1_0
            & ~ c1_1(a2404)
            & ~ c2_1(a2404)
            & ~ c3_1(a2404) ) )
        & ( ~ hskp3
          | ( ndr1_0
            & c0_1(a2405)
            & c2_1(a2405)
            & ~ c3_1(a2405) ) )
        & ( ~ hskp4
          | ( ndr1_0
            & c0_1(a2407)
            & ~ c1_1(a2407)
            & ~ c2_1(a2407) ) )
        & ( ~ hskp5
          | ( ndr1_0
            & c0_1(a2408)
            & c3_1(a2408)
            & ~ c2_1(a2408) ) )
        & ( ~ hskp6
          | ( ndr1_0
            & c0_1(a2410)
            & c1_1(a2410)
            & ~ c2_1(a2410) ) )
        & ( ~ hskp7
          | ( ndr1_0
            & c2_1(a2411)
            & ~ c1_1(a2411)
            & ~ c3_1(a2411) ) )
        & ( ~ hskp8
          | ( ndr1_0
            & c1_1(a2412)
            & ~ c0_1(a2412)
            & ~ c2_1(a2412) ) )
        & ( ~ hskp9
          | ( ndr1_0
            & c2_1(a2413)
            & ~ c0_1(a2413)
            & ~ c1_1(a2413) ) )
        & ( ~ hskp10
          | ( ndr1_0
            & c0_1(a2414)
            & ~ c1_1(a2414)
            & ~ c3_1(a2414) ) )
        & ( ~ hskp11
          | ( ndr1_0
            & c3_1(a2416)
            & ~ c1_1(a2416)
            & ~ c2_1(a2416) ) )
        & ( ~ hskp12
          | ( ndr1_0
            & c3_1(a2417)
            & ~ c0_1(a2417)
            & ~ c1_1(a2417) ) )
        & ( ~ hskp13
          | ( ndr1_0
            & c1_1(a2418)
            & c2_1(a2418)
            & ~ c0_1(a2418) ) )
        & ( ~ hskp14
          | ( ndr1_0
            & c1_1(a2420)
            & c2_1(a2420)
            & ~ c3_1(a2420) ) )
        & ( ~ hskp15
          | ( ndr1_0
            & c1_1(a2422)
            & c3_1(a2422)
            & ~ c2_1(a2422) ) )
        & ( ~ hskp16
          | ( ndr1_0
            & c0_1(a2425)
            & ~ c2_1(a2425)
            & ~ c3_1(a2425) ) )
        & ( ~ hskp17
          | ( ndr1_0
            & c2_1(a2427)
            & c3_1(a2427)
            & ~ c1_1(a2427) ) )
        & ( ~ hskp18
          | ( ndr1_0
            & ~ c0_1(a2428)
            & ~ c2_1(a2428)
            & ~ c3_1(a2428) ) )
        & ( ~ hskp19
          | ( ndr1_0
            & c1_1(a2432)
            & c3_1(a2432)
            & ~ c0_1(a2432) ) )
        & ( ~ hskp20
          | ( ndr1_0
            & c3_1(a2435)
            & ~ c0_1(a2435)
            & ~ c2_1(a2435) ) )
        & ( ~ hskp21
          | ( ndr1_0
            & c0_1(a2437)
            & c2_1(a2437)
            & ~ c1_1(a2437) ) )
        & ( ~ hskp22
          | ( ndr1_0
            & ~ c0_1(a2453)
            & ~ c1_1(a2453)
            & ~ c2_1(a2453) ) )
        & ( ~ hskp23
          | ( ndr1_0
            & c2_1(a2455)
            & c3_1(a2455)
            & ~ c0_1(a2455) ) )
        & ( ~ hskp24
          | ( ndr1_0
            & c1_1(a2468)
            & ~ c0_1(a2468)
            & ~ c3_1(a2468) ) )
        & ( ~ hskp25
          | ( ndr1_0
            & c2_1(a2478)
            & ~ c0_1(a2478)
            & ~ c3_1(a2478) ) )
        & ( ~ hskp26
          | ( ndr1_0
            & c0_1(a2484)
            & c1_1(a2484)
            & ~ c3_1(a2484) ) )
        & ( ~ hskp27
          | ( ndr1_0
            & ~ c0_1(a2500)
            & ~ c1_1(a2500)
            & ~ c3_1(a2500) ) )
        & ( ~ hskp28
          | ( ndr1_0
            & c1_1(a2406)
            & c2_1(a2406)
            & c3_1(a2406) ) )
        & ( ~ hskp29
          | ( ndr1_0
            & c0_1(a2409)
            & c2_1(a2409)
            & c3_1(a2409) ) )
        & ( ~ hskp30
          | ( ndr1_0
            & c0_1(a2450)
            & c1_1(a2450)
            & c3_1(a2450) ) )
        & ( ~ hskp31
          | ( ndr1_0
            & c0_1(a2498)
            & c1_1(a2498)
            & c2_1(a2498) ) )
        & ( ! [U] : 
              ( ndr1_0
             => ( c0_1(U)
                | c1_1(U)
                | c2_1(U) ) )
          | ! [V] : 
              ( ndr1_0
             => ( c0_1(V)
                | c1_1(V)
                | ~ c2_1(V) ) )
          | ! [W] : 
              ( ndr1_0
             => ( c1_1(W)
                | ~ c0_1(W)
                | ~ c2_1(W) ) ) )
        & ( ! [X] : 
              ( ndr1_0
             => ( c0_1(X)
                | c1_1(X)
                | c2_1(X) ) )
          | ! [Y] : 
              ( ndr1_0
             => ( c0_1(Y)
                | c1_1(Y)
                | ~ c3_1(Y) ) )
          | hskp0 )
        & ( ! [Z] : 
              ( ndr1_0
             => ( c0_1(Z)
                | c1_1(Z)
                | c2_1(Z) ) )
          | ! [X1] : 
              ( ndr1_0
             => ( c1_1(X1)
                | ~ c2_1(X1)
                | ~ c3_1(X1) ) )
          | hskp1 )
        & ( ! [X2] : 
              ( ndr1_0
             => ( c0_1(X2)
                | c1_1(X2)
                | c2_1(X2) ) )
          | ! [X3] : 
              ( ndr1_0
             => ( c2_1(X3)
                | c3_1(X3)
                | ~ c0_1(X3) ) )
          | ! [X4] : 
              ( ndr1_0
             => ( c2_1(X4)
                | ~ c1_1(X4)
                | ~ c3_1(X4) ) ) )
        & ( ! [X5] : 
              ( ndr1_0
             => ( c0_1(X5)
                | c1_1(X5)
                | c2_1(X5) ) )
          | ! [X6] : 
              ( ndr1_0
             => ( c2_1(X6)
                | c3_1(X6)
                | ~ c1_1(X6) ) )
          | ! [X7] : 
              ( ndr1_0
             => ( c2_1(X7)
                | ~ c1_1(X7)
                | ~ c3_1(X7) ) ) )
        & ( ! [X8] : 
              ( ndr1_0
             => ( c0_1(X8)
                | c1_1(X8)
                | c3_1(X8) ) )
          | ! [X9] : 
              ( ndr1_0
             => ( ~ c0_1(X9)
                | ~ c1_1(X9)
                | ~ c2_1(X9) ) )
          | hskp2 )
        & ( ! [X10] : 
              ( ndr1_0
             => ( c0_1(X10)
                | c1_1(X10)
                | c3_1(X10) ) )
          | hskp3
          | hskp28 )
        & ( ! [X11] : 
              ( ndr1_0
             => ( c0_1(X11)
                | c1_1(X11)
                | ~ c2_1(X11) ) )
          | ! [X12] : 
              ( ndr1_0
             => ( c0_1(X12)
                | ~ c1_1(X12)
                | ~ c3_1(X12) ) )
          | hskp4 )
        & ( ! [X13] : 
              ( ndr1_0
             => ( c0_1(X13)
                | c1_1(X13)
                | ~ c2_1(X13) ) )
          | ! [X14] : 
              ( ndr1_0
             => ( c0_1(X14)
                | ~ c2_1(X14)
                | ~ c3_1(X14) ) )
          | hskp5 )
        & ( ! [X15] : 
              ( ndr1_0
             => ( c0_1(X15)
                | c1_1(X15)
                | ~ c2_1(X15) ) )
          | ! [X16] : 
              ( ndr1_0
             => ( c1_1(X16)
                | ~ c0_1(X16)
                | ~ c3_1(X16) ) )
          | hskp29 )
        & ( ! [X17] : 
              ( ndr1_0
             => ( c0_1(X17)
                | c1_1(X17)
                | ~ c2_1(X17) ) )
          | hskp6
          | hskp7 )
        & ( ! [X18] : 
              ( ndr1_0
             => ( c0_1(X18)
                | c1_1(X18)
                | ~ c2_1(X18) ) )
          | hskp8
          | hskp9 )
        & ( ! [X19] : 
              ( ndr1_0
             => ( c0_1(X19)
                | c1_1(X19)
                | ~ c3_1(X19) ) )
          | ! [X20] : 
              ( ndr1_0
             => ( c0_1(X20)
                | c2_1(X20)
                | c3_1(X20) ) )
          | ! [X21] : 
              ( ndr1_0
             => ( ~ c1_1(X21)
                | ~ c2_1(X21)
                | ~ c3_1(X21) ) ) )
        & ( ! [X22] : 
              ( ndr1_0
             => ( c0_1(X22)
                | c1_1(X22)
                | ~ c3_1(X22) ) )
          | ! [X23] : 
              ( ndr1_0
             => ( c1_1(X23)
                | ~ c2_1(X23)
                | ~ c3_1(X23) ) )
          | hskp10 )
        & ( ! [X24] : 
              ( ndr1_0
             => ( c0_1(X24)
                | c1_1(X24)
                | ~ c3_1(X24) ) )
          | hskp6
          | hskp11 )
        & ( ! [X25] : 
              ( ndr1_0
             => ( c0_1(X25)
                | c1_1(X25)
                | ~ c3_1(X25) ) )
          | hskp12 )
        & ( ! [X26] : 
              ( ndr1_0
             => ( c0_1(X26)
                | c2_1(X26)
                | c3_1(X26) ) )
          | ! [X27] : 
              ( ndr1_0
             => ( c0_1(X27)
                | ~ c1_1(X27)
                | ~ c2_1(X27) ) )
          | ! [X28] : 
              ( ndr1_0
             => ( c2_1(X28)
                | ~ c1_1(X28)
                | ~ c3_1(X28) ) ) )
        & ( ! [X29] : 
              ( ndr1_0
             => ( c0_1(X29)
                | c2_1(X29)
                | c3_1(X29) ) )
          | hskp13
          | hskp1 )
        & ( ! [X30] : 
              ( ndr1_0
             => ( c0_1(X30)
                | c2_1(X30)
                | c3_1(X30) ) )
          | hskp14
          | hskp1 )
        & ( ! [X31] : 
              ( ndr1_0
             => ( c0_1(X31)
                | c2_1(X31)
                | ~ c1_1(X31) ) )
          | ! [X32] : 
              ( ndr1_0
             => ( c1_1(X32)
                | c2_1(X32)
                | ~ c0_1(X32) ) )
          | ! [X33] : 
              ( ndr1_0
             => ( c2_1(X33)
                | ~ c0_1(X33)
                | ~ c1_1(X33) ) ) )
        & ( ! [X34] : 
              ( ndr1_0
             => ( c0_1(X34)
                | c2_1(X34)
                | ~ c1_1(X34) ) )
          | ! [X35] : 
              ( ndr1_0
             => ( ~ c0_1(X35)
                | ~ c1_1(X35)
                | ~ c2_1(X35) ) )
          | hskp15 )
        & ( ! [X36] : 
              ( ndr1_0
             => ( c0_1(X36)
                | c2_1(X36)
                | ~ c1_1(X36) ) )
          | hskp29
          | hskp0 )
        & ( ! [X37] : 
              ( ndr1_0
             => ( c0_1(X37)
                | c2_1(X37)
                | ~ c1_1(X37) ) )
          | hskp16
          | hskp13 )
        & ( ! [X38] : 
              ( ndr1_0
             => ( c0_1(X38)
                | c2_1(X38)
                | ~ c1_1(X38) ) )
          | hskp17
          | hskp18 )
        & ( ! [X39] : 
              ( ndr1_0
             => ( c0_1(X39)
                | c2_1(X39)
                | ~ c3_1(X39) ) )
          | ! [X40] : 
              ( ndr1_0
             => ( c3_1(X40)
                | ~ c0_1(X40)
                | ~ c2_1(X40) ) )
          | hskp2 )
        & ( ! [X41] : 
              ( ndr1_0
             => ( c0_1(X41)
                | c2_1(X41)
                | ~ c3_1(X41) ) )
          | ! [X42] : 
              ( ndr1_0
             => ( ~ c0_1(X42)
                | ~ c1_1(X42)
                | ~ c3_1(X42) ) )
          | hskp12 )
        & ( ! [X43] : 
              ( ndr1_0
             => ( c0_1(X43)
                | c3_1(X43)
                | ~ c1_1(X43) ) )
          | ! [X44] : 
              ( ndr1_0
             => ( c1_1(X44)
                | c2_1(X44)
                | ~ c3_1(X44) ) )
          | hskp4 )
        & ( ! [X45] : 
              ( ndr1_0
             => ( c0_1(X45)
                | ~ c1_1(X45)
                | ~ c2_1(X45) ) )
          | ! [X46] : 
              ( ndr1_0
             => ( c1_1(X46)
                | c3_1(X46)
                | ~ c0_1(X46) ) )
          | hskp19 )
        & ( ! [X47] : 
              ( ndr1_0
             => ( c0_1(X47)
                | ~ c1_1(X47)
                | ~ c2_1(X47) ) )
          | hskp12
          | hskp11 )
        & ( ! [X48] : 
              ( ndr1_0
             => ( c0_1(X48)
                | ~ c1_1(X48)
                | ~ c3_1(X48) ) )
          | ! [X49] : 
              ( ndr1_0
             => ( c2_1(X49)
                | ~ c1_1(X49)
                | ~ c3_1(X49) ) )
          | hskp20 )
        & ( ! [X50] : 
              ( ndr1_0
             => ( c0_1(X50)
                | ~ c1_1(X50)
                | ~ c3_1(X50) ) )
          | ! [X51] : 
              ( ndr1_0
             => ( c3_1(X51)
                | ~ c0_1(X51)
                | ~ c2_1(X51) ) )
          | hskp7 )
        & ( ! [X52] : 
              ( ndr1_0
             => ( c0_1(X52)
                | ~ c1_1(X52)
                | ~ c3_1(X52) ) )
          | hskp21
          | hskp17 )
        & ( ! [X53] : 
              ( ndr1_0
             => ( c0_1(X53)
                | ~ c1_1(X53)
                | ~ c3_1(X53) ) )
          | hskp1
          | hskp9 )
        & ( ! [X54] : 
              ( ndr1_0
             => ( c0_1(X54)
                | ~ c1_1(X54)
                | ~ c3_1(X54) ) )
          | hskp7
          | hskp20 )
        & ( ! [X55] : 
              ( ndr1_0
             => ( c0_1(X55)
                | ~ c2_1(X55)
                | ~ c3_1(X55) ) )
          | ! [X56] : 
              ( ndr1_0
             => ( c1_1(X56)
                | ~ c2_1(X56)
                | ~ c3_1(X56) ) )
          | hskp2 )
        & ( ! [X57] : 
              ( ndr1_0
             => ( c0_1(X57)
                | ~ c2_1(X57)
                | ~ c3_1(X57) ) )
          | hskp6
          | hskp21 )
        & ( ! [X58] : 
              ( ndr1_0
             => ( c0_1(X58)
                | ~ c2_1(X58)
                | ~ c3_1(X58) ) )
          | hskp28
          | hskp9 )
        & ( ! [X59] : 
              ( ndr1_0
             => ( c0_1(X59)
                | ~ c2_1(X59)
                | ~ c3_1(X59) ) )
          | hskp15 )
        & ( ! [X60] : 
              ( ndr1_0
             => ( c1_1(X60)
                | c2_1(X60)
                | ~ c0_1(X60) ) )
          | ! [X61] : 
              ( ndr1_0
             => ( c1_1(X61)
                | c3_1(X61)
                | ~ c0_1(X61) ) )
          | hskp10 )
        & ( ! [X62] : 
              ( ndr1_0
             => ( c1_1(X62)
                | c2_1(X62)
                | ~ c0_1(X62) ) )
          | hskp30
          | hskp21 )
        & ( ! [X63] : 
              ( ndr1_0
             => ( c1_1(X63)
                | c2_1(X63)
                | ~ c0_1(X63) ) )
          | hskp5
          | hskp22 )
        & ( ! [X64] : 
              ( ndr1_0
             => ( c1_1(X64)
                | c2_1(X64)
                | ~ c3_1(X64) ) )
          | ! [X65] : 
              ( ndr1_0
             => ( c1_1(X65)
                | ~ c2_1(X65)
                | ~ c3_1(X65) ) )
          | hskp1 )
        & ( ! [X66] : 
              ( ndr1_0
             => ( c1_1(X66)
                | c2_1(X66)
                | ~ c3_1(X66) ) )
          | ! [X67] : 
              ( ndr1_0
             => ( c2_1(X67)
                | c3_1(X67)
                | ~ c1_1(X67) ) )
          | hskp23 )
        & ( ! [X68] : 
              ( ndr1_0
             => ( c1_1(X68)
                | c2_1(X68)
                | ~ c3_1(X68) ) )
          | hskp10
          | hskp16 )
        & ( ! [X69] : 
              ( ndr1_0
             => ( c1_1(X69)
                | c3_1(X69)
                | ~ c0_1(X69) ) )
          | ! [X70] : 
              ( ndr1_0
             => ( c3_1(X70)
                | ~ c0_1(X70)
                | ~ c1_1(X70) ) )
          | ! [X71] : 
              ( ndr1_0
             => ( ~ c1_1(X71)
                | ~ c2_1(X71)
                | ~ c3_1(X71) ) ) )
        & ( ! [X72] : 
              ( ndr1_0
             => ( c1_1(X72)
                | c3_1(X72)
                | ~ c2_1(X72) ) )
          | ! [X73] : 
              ( ndr1_0
             => ( c1_1(X73)
                | ~ c0_1(X73)
                | ~ c2_1(X73) ) )
          | hskp3 )
        & ( ! [X74] : 
              ( ndr1_0
             => ( c1_1(X74)
                | c3_1(X74)
                | ~ c2_1(X74) ) )
          | ! [X75] : 
              ( ndr1_0
             => ( c2_1(X75)
                | ~ c0_1(X75)
                | ~ c1_1(X75) ) )
          | hskp2 )
        & ( ! [X76] : 
              ( ndr1_0
             => ( c1_1(X76)
                | c3_1(X76)
                | ~ c2_1(X76) ) )
          | ! [X77] : 
              ( ndr1_0
             => ( c3_1(X77)
                | ~ c0_1(X77)
                | ~ c1_1(X77) ) )
          | hskp14 )
        & ( ! [X78] : 
              ( ndr1_0
             => ( c1_1(X78)
                | c3_1(X78)
                | ~ c2_1(X78) ) )
          | hskp0
          | hskp9 )
        & ( ! [X79] : 
              ( ndr1_0
             => ( c1_1(X79)
                | c3_1(X79)
                | ~ c2_1(X79) ) )
          | hskp16
          | hskp12 )
        & ( ! [X80] : 
              ( ndr1_0
             => ( c1_1(X80)
                | ~ c0_1(X80)
                | ~ c2_1(X80) ) )
          | ! [X81] : 
              ( ndr1_0
             => ( c2_1(X81)
                | c3_1(X81)
                | ~ c1_1(X81) ) )
          | ! [X82] : 
              ( ndr1_0
             => ( ~ c0_1(X82)
                | ~ c2_1(X82)
                | ~ c3_1(X82) ) ) )
        & ( ! [X83] : 
              ( ndr1_0
             => ( c1_1(X83)
                | ~ c2_1(X83)
                | ~ c3_1(X83) ) )
          | ! [X84] : 
              ( ndr1_0
             => ( c2_1(X84)
                | c3_1(X84)
                | ~ c0_1(X84) ) )
          | ! [X85] : 
              ( ndr1_0
             => ( ~ c0_1(X85)
                | ~ c1_1(X85)
                | ~ c3_1(X85) ) ) )
        & ( ! [X86] : 
              ( ndr1_0
             => ( c1_1(X86)
                | ~ c2_1(X86)
                | ~ c3_1(X86) ) )
          | hskp21
          | hskp11 )
        & ( ! [X87] : 
              ( ndr1_0
             => ( c1_1(X87)
                | ~ c2_1(X87)
                | ~ c3_1(X87) ) )
          | hskp15
          | hskp24 )
        & ( ! [X88] : 
              ( ndr1_0
             => ( c2_1(X88)
                | c3_1(X88)
                | ~ c0_1(X88) ) )
          | hskp5
          | hskp19 )
        & ( ! [X89] : 
              ( ndr1_0
             => ( c2_1(X89)
                | c3_1(X89)
                | ~ c1_1(X89) ) )
          | hskp30
          | hskp2 )
        & ( ! [X90] : 
              ( ndr1_0
             => ( c2_1(X90)
                | c3_1(X90)
                | ~ c1_1(X90) ) )
          | hskp6
          | hskp1 )
        & ( ! [X91] : 
              ( ndr1_0
             => ( c2_1(X91)
                | ~ c0_1(X91)
                | ~ c1_1(X91) ) )
          | hskp5
          | hskp1 )
        & ( ! [X92] : 
              ( ndr1_0
             => ( c2_1(X92)
                | ~ c0_1(X92)
                | ~ c1_1(X92) ) )
          | hskp19
          | hskp25 )
        & ( ! [X93] : 
              ( ndr1_0
             => ( c2_1(X93)
                | ~ c0_1(X93)
                | ~ c1_1(X93) ) )
          | hskp25
          | hskp7 )
        & ( ! [X94] : 
              ( ndr1_0
             => ( c2_1(X94)
                | ~ c1_1(X94)
                | ~ c3_1(X94) ) )
          | ! [X95] : 
              ( ndr1_0
             => ( c3_1(X95)
                | ~ c0_1(X95)
                | ~ c1_1(X95) ) )
          | hskp30 )
        & ( ! [X96] : 
              ( ndr1_0
             => ( c3_1(X96)
                | ~ c0_1(X96)
                | ~ c1_1(X96) ) )
          | ! [X97] : 
              ( ndr1_0
             => ( ~ c1_1(X97)
                | ~ c2_1(X97)
                | ~ c3_1(X97) ) )
          | hskp10 )
        & ( ! [X98] : 
              ( ndr1_0
             => ( c3_1(X98)
                | ~ c0_1(X98)
                | ~ c1_1(X98) ) )
          | hskp6
          | hskp26 )
        & ( ! [X99] : 
              ( ndr1_0
             => ( c3_1(X99)
                | ~ c0_1(X99)
                | ~ c2_1(X99) ) )
          | ! [X100] : 
              ( ndr1_0
             => ( ~ c0_1(X100)
                | ~ c1_1(X100)
                | ~ c2_1(X100) ) )
          | hskp20 )
        & ( ! [X101] : 
              ( ndr1_0
             => ( c3_1(X101)
                | ~ c1_1(X101)
                | ~ c2_1(X101) ) )
          | hskp6
          | hskp23 )
        & ( ! [X102] : 
              ( ndr1_0
             => ( ~ c0_1(X102)
                | ~ c1_1(X102)
                | ~ c2_1(X102) ) )
          | hskp3
          | hskp24 )
        & ( ! [X103] : 
              ( ndr1_0
             => ( ~ c0_1(X103)
                | ~ c1_1(X103)
                | ~ c3_1(X103) ) )
          | hskp14
          | hskp23 )
        & ( ! [X104] : 
              ( ndr1_0
             => ( ~ c0_1(X104)
                | ~ c2_1(X104)
                | ~ c3_1(X104) ) )
          | hskp20
          | hskp18 )
        & ( ! [X105] : 
              ( ndr1_0
             => ( ~ c1_1(X105)
                | ~ c2_1(X105)
                | ~ c3_1(X105) ) )
          | hskp21
          | hskp0 )
        & ( ! [X106] : 
              ( ndr1_0
             => ( ~ c1_1(X106)
                | ~ c2_1(X106)
                | ~ c3_1(X106) ) )
          | hskp15
          | hskp11 )
        & ( hskp31
          | hskp25
          | hskp27 )
        & ( hskp30
          | hskp26
          | hskp19 )
        & ( hskp26
          | hskp8
          | hskp11 )
        & ( hskp3
          | hskp5
          | hskp18 )
        & ( hskp5
          | hskp19
          | hskp25 )
        & ( hskp8
          | hskp9
          | hskp7 ) ) )).

%--------------------------------------------------------------------------
