%--------------------------------------------------------------------------
% File     : SYN489+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=76, K=3, D=1, P=0, Index=091
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-76-3-1-091.dfg [Wei97]

% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
%
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
%
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  749 (   0 equality)
%            Maximal formula depth :  111 ( 111 average)
%            Number of connectives : 1019 ( 271 ~  ; 424  |; 203  &)
%                                         (   0 <=>; 121 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   37 (  33 propositional; 0-1 arity)
%            Number of functors    :   32 (  32 constant; 0-0 arity)
%            Number of variables   :  121 (   0 singleton; 121 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%--------------------------------------------------------------------------
fof(co1,conjecture,
    ( ~ ( ( ~ hskp0
          | ( ndr1_0
            & ~ c0_1(a2516)
            & ~ c1_1(a2516)
            & ~ c2_1(a2516) ) )
        & ( ~ hskp1
          | ( ndr1_0
            & c2_1(a2517)
            & ~ c0_1(a2517)
            & ~ c3_1(a2517) ) )
        & ( ~ hskp2
          | ( ndr1_0
            & c1_1(a2518)
            & ~ c0_1(a2518)
            & ~ c3_1(a2518) ) )
        & ( ~ hskp3
          | ( ndr1_0
            & ~ c0_1(a2519)
            & ~ c2_1(a2519)
            & ~ c3_1(a2519) ) )
        & ( ~ hskp4
          | ( ndr1_0
            & c2_1(a2521)
            & c3_1(a2521)
            & ~ c1_1(a2521) ) )
        & ( ~ hskp5
          | ( ndr1_0
            & c2_1(a2522)
            & c3_1(a2522)
            & ~ c0_1(a2522) ) )
        & ( ~ hskp6
          | ( ndr1_0
            & c0_1(a2523)
            & c1_1(a2523)
            & ~ c3_1(a2523) ) )
        & ( ~ hskp7
          | ( ndr1_0
            & c1_1(a2524)
            & c3_1(a2524)
            & ~ c2_1(a2524) ) )
        & ( ~ hskp8
          | ( ndr1_0
            & c0_1(a2525)
            & c2_1(a2525)
            & ~ c3_1(a2525) ) )
        & ( ~ hskp9
          | ( ndr1_0
            & c1_1(a2526)
            & c3_1(a2526)
            & ~ c0_1(a2526) ) )
        & ( ~ hskp10
          | ( ndr1_0
            & c3_1(a2528)
            & ~ c0_1(a2528)
            & ~ c1_1(a2528) ) )
        & ( ~ hskp11
          | ( ndr1_0
            & c1_1(a2531)
            & c2_1(a2531)
            & ~ c3_1(a2531) ) )
        & ( ~ hskp12
          | ( ndr1_0
            & ~ c1_1(a2533)
            & ~ c2_1(a2533)
            & ~ c3_1(a2533) ) )
        & ( ~ hskp13
          | ( ndr1_0
            & c1_1(a2534)
            & ~ c0_1(a2534)
            & ~ c2_1(a2534) ) )
        & ( ~ hskp14
          | ( ndr1_0
            & ~ c0_1(a2536)
            & ~ c1_1(a2536)
            & ~ c3_1(a2536) ) )
        & ( ~ hskp15
          | ( ndr1_0
            & c3_1(a2539)
            & ~ c0_1(a2539)
            & ~ c2_1(a2539) ) )
        & ( ~ hskp16
          | ( ndr1_0
            & c0_1(a2540)
            & ~ c2_1(a2540)
            & ~ c3_1(a2540) ) )
        & ( ~ hskp17
          | ( ndr1_0
            & c3_1(a2541)
            & ~ c1_1(a2541)
            & ~ c2_1(a2541) ) )
        & ( ~ hskp18
          | ( ndr1_0
            & c1_1(a2545)
            & c2_1(a2545)
            & ~ c0_1(a2545) ) )
        & ( ~ hskp19
          | ( ndr1_0
            & c0_1(a2548)
            & c3_1(a2548)
            & ~ c1_1(a2548) ) )
        & ( ~ hskp20
          | ( ndr1_0
            & c2_1(a2549)
            & ~ c0_1(a2549)
            & ~ c1_1(a2549) ) )
        & ( ~ hskp21
          | ( ndr1_0
            & c0_1(a2551)
            & c1_1(a2551)
            & ~ c2_1(a2551) ) )
        & ( ~ hskp22
          | ( ndr1_0
            & c2_1(a2552)
            & ~ c1_1(a2552)
            & ~ c3_1(a2552) ) )
        & ( ~ hskp23
          | ( ndr1_0
            & c0_1(a2553)
            & ~ c1_1(a2553)
            & ~ c3_1(a2553) ) )
        & ( ~ hskp24
          | ( ndr1_0
            & c0_1(a2555)
            & c2_1(a2555)
            & ~ c1_1(a2555) ) )
        & ( ~ hskp25
          | ( ndr1_0
            & c0_1(a2564)
            & ~ c1_1(a2564)
            & ~ c2_1(a2564) ) )
        & ( ~ hskp26
          | ( ndr1_0
            & c0_1(a2601)
            & c3_1(a2601)
            & ~ c2_1(a2601) ) )
        & ( ~ hskp27
          | ( ndr1_0
            & c1_1(a2614)
            & ~ c2_1(a2614)
            & ~ c3_1(a2614) ) )
        & ( ~ hskp28
          | ( ndr1_0
            & c0_1(a2529)
            & c2_1(a2529)
            & c3_1(a2529) ) )
        & ( ~ hskp29
          | ( ndr1_0
            & c1_1(a2556)
            & c2_1(a2556)
            & c3_1(a2556) ) )
        & ( ~ hskp30
          | ( ndr1_0
            & c0_1(a2558)
            & c1_1(a2558)
            & c2_1(a2558) ) )
        & ( ~ hskp31
          | ( ndr1_0
            & c0_1(a2597)
            & c1_1(a2597)
            & c3_1(a2597) ) )
        & ( ! [U] : 
              ( ndr1_0
             => ( c0_1(U)
                | c1_1(U)
                | c2_1(U) ) )
          | ! [V] : 
              ( ndr1_0
             => ( c1_1(V)
                | ~ c2_1(V)
                | ~ c3_1(V) ) )
          | hskp0 )
        & ( ! [W] : 
              ( ndr1_0
             => ( c0_1(W)
                | c1_1(W)
                | c3_1(W) ) )
          | ! [X] : 
              ( ndr1_0
             => ( c0_1(X)
                | c1_1(X)
                | ~ c2_1(X) ) )
          | hskp1 )
        & ( ! [Y] : 
              ( ndr1_0
             => ( c0_1(Y)
                | c1_1(Y)
                | c3_1(Y) ) )
          | ! [Z] : 
              ( ndr1_0
             => ( c0_1(Z)
                | c3_1(Z)
                | ~ c1_1(Z) ) )
          | ! [X1] : 
              ( ndr1_0
             => ( ~ c0_1(X1)
                | ~ c1_1(X1)
                | ~ c2_1(X1) ) ) )
        & ( ! [X2] : 
              ( ndr1_0
             => ( c0_1(X2)
                | c1_1(X2)
                | c3_1(X2) ) )
          | ! [X3] : 
              ( ndr1_0
             => ( c1_1(X3)
                | ~ c0_1(X3)
                | ~ c2_1(X3) ) )
          | hskp2 )
        & ( ! [X4] : 
              ( ndr1_0
             => ( c0_1(X4)
                | c1_1(X4)
                | ~ c2_1(X4) ) )
          | ! [X5] : 
              ( ndr1_0
             => ( c0_1(X5)
                | ~ c1_1(X5)
                | ~ c2_1(X5) ) )
          | ! [X6] : 
              ( ndr1_0
             => ( c1_1(X6)
                | ~ c0_1(X6)
                | ~ c2_1(X6) ) ) )
        & ( ! [X7] : 
              ( ndr1_0
             => ( c0_1(X7)
                | c1_1(X7)
                | ~ c2_1(X7) ) )
          | ! [X8] : 
              ( ndr1_0
             => ( c0_1(X8)
                | ~ c1_1(X8)
                | ~ c2_1(X8) ) )
          | hskp3 )
        & ( ! [X9] : 
              ( ndr1_0
             => ( c0_1(X9)
                | c1_1(X9)
                | ~ c2_1(X9) ) )
          | ! [X10] : 
              ( ndr1_0
             => ( c0_1(X10)
                | ~ c2_1(X10)
                | ~ c3_1(X10) ) )
          | ! [X11] : 
              ( ndr1_0
             => ( c3_1(X11)
                | ~ c0_1(X11)
                | ~ c2_1(X11) ) ) )
        & ( ! [X12] : 
              ( ndr1_0
             => ( c0_1(X12)
                | c1_1(X12)
                | ~ c2_1(X12) ) )
          | ! [X13] : 
              ( ndr1_0
             => ( c1_1(X13)
                | ~ c0_1(X13)
                | ~ c3_1(X13) ) )
          | ! [X14] : 
              ( ndr1_0
             => ( c3_1(X14)
                | ~ c0_1(X14)
                | ~ c2_1(X14) ) ) )
        & ( ! [X15] : 
              ( ndr1_0
             => ( c0_1(X15)
                | c1_1(X15)
                | ~ c2_1(X15) ) )
          | ! [X16] : 
              ( ndr1_0
             => ( c2_1(X16)
                | ~ c0_1(X16)
                | ~ c1_1(X16) ) )
          | hskp0 )
        & ( ! [X17] : 
              ( ndr1_0
             => ( c0_1(X17)
                | c1_1(X17)
                | ~ c3_1(X17) ) )
          | ! [X18] : 
              ( ndr1_0
             => ( c1_1(X18)
                | c3_1(X18)
                | ~ c0_1(X18) ) )
          | hskp4 )
        & ( ! [X19] : 
              ( ndr1_0
             => ( c0_1(X19)
                | c1_1(X19)
                | ~ c3_1(X19) ) )
          | ! [X20] : 
              ( ndr1_0
             => ( ~ c0_1(X20)
                | ~ c1_1(X20)
                | ~ c2_1(X20) ) )
          | hskp5 )
        & ( ! [X21] : 
              ( ndr1_0
             => ( c0_1(X21)
                | c1_1(X21)
                | ~ c3_1(X21) ) )
          | hskp6
          | hskp7 )
        & ( ! [X22] : 
              ( ndr1_0
             => ( c0_1(X22)
                | c2_1(X22)
                | c3_1(X22) ) )
          | ! [X23] : 
              ( ndr1_0
             => ( c1_1(X23)
                | c2_1(X23)
                | ~ c0_1(X23) ) )
          | hskp8 )
        & ( ! [X24] : 
              ( ndr1_0
             => ( c0_1(X24)
                | c2_1(X24)
                | c3_1(X24) ) )
          | ! [X25] : 
              ( ndr1_0
             => ( c2_1(X25)
                | c3_1(X25)
                | ~ c1_1(X25) ) )
          | hskp9 )
        & ( ! [X26] : 
              ( ndr1_0
             => ( c0_1(X26)
                | c2_1(X26)
                | c3_1(X26) ) )
          | ! [X27] : 
              ( ndr1_0
             => ( c2_1(X27)
                | c3_1(X27)
                | ~ c1_1(X27) ) )
          | hskp1 )
        & ( ! [X28] : 
              ( ndr1_0
             => ( c0_1(X28)
                | c2_1(X28)
                | ~ c1_1(X28) ) )
          | ! [X29] : 
              ( ndr1_0
             => ( c2_1(X29)
                | c3_1(X29)
                | ~ c1_1(X29) ) )
          | hskp10 )
        & ( ! [X30] : 
              ( ndr1_0
             => ( c0_1(X30)
                | c2_1(X30)
                | ~ c1_1(X30) ) )
          | hskp28
          | hskp3 )
        & ( ! [X31] : 
              ( ndr1_0
             => ( c0_1(X31)
                | c2_1(X31)
                | ~ c3_1(X31) ) )
          | ! [X32] : 
              ( ndr1_0
             => ( c1_1(X32)
                | c2_1(X32)
                | ~ c3_1(X32) ) )
          | hskp11 )
        & ( ! [X33] : 
              ( ndr1_0
             => ( c0_1(X33)
                | c2_1(X33)
                | ~ c3_1(X33) ) )
          | ! [X34] : 
              ( ndr1_0
             => ( c1_1(X34)
                | ~ c0_1(X34)
                | ~ c2_1(X34) ) )
          | ! [X35] : 
              ( ndr1_0
             => ( ~ c0_1(X35)
                | ~ c1_1(X35)
                | ~ c3_1(X35) ) ) )
        & ( ! [X36] : 
              ( ndr1_0
             => ( c0_1(X36)
                | c2_1(X36)
                | ~ c3_1(X36) ) )
          | ! [X37] : 
              ( ndr1_0
             => ( c2_1(X37)
                | ~ c0_1(X37)
                | ~ c3_1(X37) ) )
          | hskp0 )
        & ( ! [X38] : 
              ( ndr1_0
             => ( c0_1(X38)
                | c3_1(X38)
                | ~ c1_1(X38) ) )
          | ! [X39] : 
              ( ndr1_0
             => ( c3_1(X39)
                | ~ c0_1(X39)
                | ~ c2_1(X39) ) )
          | hskp12 )
        & ( ! [X40] : 
              ( ndr1_0
             => ( c0_1(X40)
                | c3_1(X40)
                | ~ c1_1(X40) ) )
          | hskp13
          | hskp4 )
        & ( ! [X41] : 
              ( ndr1_0
             => ( c0_1(X41)
                | c3_1(X41)
                | ~ c2_1(X41) ) )
          | ! [X42] : 
              ( ndr1_0
             => ( c1_1(X42)
                | c3_1(X42)
                | ~ c2_1(X42) ) )
          | ! [X43] : 
              ( ndr1_0
             => ( c1_1(X43)
                | ~ c0_1(X43)
                | ~ c3_1(X43) ) ) )
        & ( ! [X44] : 
              ( ndr1_0
             => ( c0_1(X44)
                | c3_1(X44)
                | ~ c2_1(X44) ) )
          | ! [X45] : 
              ( ndr1_0
             => ( c2_1(X45)
                | ~ c0_1(X45)
                | ~ c1_1(X45) ) )
          | hskp14 )
        & ( ! [X46] : 
              ( ndr1_0
             => ( c0_1(X46)
                | ~ c1_1(X46)
                | ~ c2_1(X46) ) )
          | ! [X47] : 
              ( ndr1_0
             => ( c1_1(X47)
                | c2_1(X47)
                | ~ c0_1(X47) ) )
          | hskp13 )
        & ( ! [X48] : 
              ( ndr1_0
             => ( c0_1(X48)
                | ~ c1_1(X48)
                | ~ c2_1(X48) ) )
          | ! [X49] : 
              ( ndr1_0
             => ( c1_1(X49)
                | c2_1(X49)
                | ~ c3_1(X49) ) )
          | ! [X50] : 
              ( ndr1_0
             => ( c1_1(X50)
                | c3_1(X50)
                | ~ c0_1(X50) ) ) )
        & ( ! [X51] : 
              ( ndr1_0
             => ( c0_1(X51)
                | ~ c1_1(X51)
                | ~ c2_1(X51) ) )
          | hskp4
          | hskp15 )
        & ( ! [X52] : 
              ( ndr1_0
             => ( c0_1(X52)
                | ~ c1_1(X52)
                | ~ c3_1(X52) ) )
          | ! [X53] : 
              ( ndr1_0
             => ( c1_1(X53)
                | ~ c0_1(X53)
                | ~ c2_1(X53) ) )
          | hskp16 )
        & ( ! [X54] : 
              ( ndr1_0
             => ( c0_1(X54)
                | ~ c1_1(X54)
                | ~ c3_1(X54) ) )
          | ! [X55] : 
              ( ndr1_0
             => ( c2_1(X55)
                | c3_1(X55)
                | ~ c1_1(X55) ) )
          | hskp17 )
        & ( ! [X56] : 
              ( ndr1_0
             => ( c0_1(X56)
                | ~ c1_1(X56)
                | ~ c3_1(X56) ) )
          | hskp15
          | hskp0 )
        & ( ! [X57] : 
              ( ndr1_0
             => ( c0_1(X57)
                | ~ c2_1(X57)
                | ~ c3_1(X57) ) )
          | ! [X58] : 
              ( ndr1_0
             => ( ~ c0_1(X58)
                | ~ c1_1(X58)
                | ~ c3_1(X58) ) )
          | ! [X59] : 
              ( ndr1_0
             => ( ~ c0_1(X59)
                | ~ c2_1(X59)
                | ~ c3_1(X59) ) ) )
        & ( ! [X60] : 
              ( ndr1_0
             => ( c0_1(X60)
                | ~ c2_1(X60)
                | ~ c3_1(X60) ) )
          | ! [X61] : 
              ( ndr1_0
             => ( ~ c0_1(X61)
                | ~ c1_1(X61)
                | ~ c3_1(X61) ) )
          | hskp14 )
        & ( ! [X62] : 
              ( ndr1_0
             => ( c0_1(X62)
                | ~ c2_1(X62)
                | ~ c3_1(X62) ) )
          | hskp18
          | hskp10 )
        & ( ! [X63] : 
              ( ndr1_0
             => ( c1_1(X63)
                | c2_1(X63)
                | c3_1(X63) ) )
          | ! [X64] : 
              ( ndr1_0
             => ( c2_1(X64)
                | ~ c1_1(X64)
                | ~ c3_1(X64) ) )
          | hskp14 )
        & ( ! [X65] : 
              ( ndr1_0
             => ( c1_1(X65)
                | c2_1(X65)
                | c3_1(X65) ) )
          | hskp19
          | hskp20 )
        & ( ! [X66] : 
              ( ndr1_0
             => ( c1_1(X66)
                | c2_1(X66)
                | ~ c0_1(X66) ) )
          | ! [X67] : 
              ( ndr1_0
             => ( c1_1(X67)
                | ~ c2_1(X67)
                | ~ c3_1(X67) ) )
          | ! [X68] : 
              ( ndr1_0
             => ( c2_1(X68)
                | ~ c0_1(X68)
                | ~ c3_1(X68) ) ) )
        & ( ! [X69] : 
              ( ndr1_0
             => ( c1_1(X69)
                | c2_1(X69)
                | ~ c0_1(X69) ) )
          | ! [X70] : 
              ( ndr1_0
             => ( c2_1(X70)
                | c3_1(X70)
                | ~ c1_1(X70) ) )
          | hskp7 )
        & ( ! [X71] : 
              ( ndr1_0
             => ( c1_1(X71)
                | c2_1(X71)
                | ~ c0_1(X71) ) )
          | hskp21
          | hskp22 )
        & ( ! [X72] : 
              ( ndr1_0
             => ( c1_1(X72)
                | c2_1(X72)
                | ~ c0_1(X72) ) )
          | hskp23
          | hskp1 )
        & ( ! [X73] : 
              ( ndr1_0
             => ( c1_1(X73)
                | c2_1(X73)
                | ~ c3_1(X73) ) )
          | ! [X74] : 
              ( ndr1_0
             => ( c2_1(X74)
                | c3_1(X74)
                | ~ c0_1(X74) ) )
          | hskp24 )
        & ( ! [X75] : 
              ( ndr1_0
             => ( c1_1(X75)
                | c2_1(X75)
                | ~ c3_1(X75) ) )
          | ! [X76] : 
              ( ndr1_0
             => ( c3_1(X76)
                | ~ c0_1(X76)
                | ~ c1_1(X76) ) )
          | ! [X77] : 
              ( ndr1_0
             => ( ~ c1_1(X77)
                | ~ c2_1(X77)
                | ~ c3_1(X77) ) ) )
        & ( ! [X78] : 
              ( ndr1_0
             => ( c1_1(X78)
                | c2_1(X78)
                | ~ c3_1(X78) ) )
          | ! [X79] : 
              ( ndr1_0
             => ( c3_1(X79)
                | ~ c1_1(X79)
                | ~ c2_1(X79) ) )
          | hskp29 )
        & ( ! [X80] : 
              ( ndr1_0
             => ( c1_1(X80)
                | c3_1(X80)
                | ~ c0_1(X80) ) )
          | ! [X81] : 
              ( ndr1_0
             => ( c2_1(X81)
                | c3_1(X81)
                | ~ c0_1(X81) ) )
          | hskp2 )
        & ( ! [X82] : 
              ( ndr1_0
             => ( c1_1(X82)
                | c3_1(X82)
                | ~ c0_1(X82) ) )
          | hskp30
          | hskp22 )
        & ( ! [X83] : 
              ( ndr1_0
             => ( c1_1(X83)
                | c3_1(X83)
                | ~ c0_1(X83) ) )
          | hskp29
          | hskp2 )
        & ( ! [X84] : 
              ( ndr1_0
             => ( c1_1(X84)
                | c3_1(X84)
                | ~ c0_1(X84) ) )
          | hskp20
          | hskp14 )
        & ( ! [X85] : 
              ( ndr1_0
             => ( c1_1(X85)
                | ~ c0_1(X85)
                | ~ c2_1(X85) ) )
          | hskp25
          | hskp3 )
        & ( ! [X86] : 
              ( ndr1_0
             => ( c1_1(X86)
                | ~ c0_1(X86)
                | ~ c2_1(X86) ) )
          | hskp18
          | hskp0 )
        & ( ! [X87] : 
              ( ndr1_0
             => ( c1_1(X87)
                | ~ c0_1(X87)
                | ~ c3_1(X87) ) )
          | ! [X88] : 
              ( ndr1_0
             => ( c3_1(X88)
                | ~ c0_1(X88)
                | ~ c1_1(X88) ) )
          | hskp21 )
        & ( ! [X89] : 
              ( ndr1_0
             => ( c1_1(X89)
                | ~ c0_1(X89)
                | ~ c3_1(X89) ) )
          | ! [X90] : 
              ( ndr1_0
             => ( c3_1(X90)
                | ~ c1_1(X90)
                | ~ c2_1(X90) ) )
          | hskp4 )
        & ( ! [X91] : 
              ( ndr1_0
             => ( c1_1(X91)
                | ~ c0_1(X91)
                | ~ c3_1(X91) ) )
          | ! [X92] : 
              ( ndr1_0
             => ( ~ c0_1(X92)
                | ~ c1_1(X92)
                | ~ c2_1(X92) ) )
          | hskp28 )
        & ( ! [X93] : 
              ( ndr1_0
             => ( c1_1(X93)
                | ~ c0_1(X93)
                | ~ c3_1(X93) ) )
          | hskp5
          | hskp22 )
        & ( ! [X94] : 
              ( ndr1_0
             => ( c1_1(X94)
                | ~ c2_1(X94)
                | ~ c3_1(X94) ) )
          | ! [X95] : 
              ( ndr1_0
             => ( c2_1(X95)
                | c3_1(X95)
                | ~ c0_1(X95) ) )
          | hskp24 )
        & ( ! [X96] : 
              ( ndr1_0
             => ( c1_1(X96)
                | ~ c2_1(X96)
                | ~ c3_1(X96) ) )
          | hskp8
          | hskp7 )
        & ( ! [X97] : 
              ( ndr1_0
             => ( c2_1(X97)
                | c3_1(X97)
                | ~ c0_1(X97) ) )
          | ! [X98] : 
              ( ndr1_0
             => ( c3_1(X98)
                | ~ c0_1(X98)
                | ~ c1_1(X98) ) )
          | hskp21 )
        & ( ! [X99] : 
              ( ndr1_0
             => ( c2_1(X99)
                | c3_1(X99)
                | ~ c0_1(X99) ) )
          | ! [X100] : 
              ( ndr1_0
             => ( ~ c0_1(X100)
                | ~ c1_1(X100)
                | ~ c3_1(X100) ) )
          | hskp10 )
        & ( ! [X101] : 
              ( ndr1_0
             => ( c2_1(X101)
                | c3_1(X101)
                | ~ c0_1(X101) ) )
          | hskp19
          | hskp16 )
        & ( ! [X102] : 
              ( ndr1_0
             => ( c2_1(X102)
                | c3_1(X102)
                | ~ c0_1(X102) ) )
          | hskp9
          | hskp4 )
        & ( ! [X103] : 
              ( ndr1_0
             => ( c2_1(X103)
                | ~ c0_1(X103)
                | ~ c1_1(X103) ) )
          | hskp30
          | hskp9 )
        & ( ! [X104] : 
              ( ndr1_0
             => ( c2_1(X104)
                | ~ c0_1(X104)
                | ~ c1_1(X104) ) )
          | hskp24
          | hskp25 )
        & ( ! [X105] : 
              ( ndr1_0
             => ( c2_1(X105)
                | ~ c1_1(X105)
                | ~ c3_1(X105) ) )
          | ! [X106] : 
              ( ndr1_0
             => ( ~ c0_1(X106)
                | ~ c2_1(X106)
                | ~ c3_1(X106) ) )
          | hskp6 )
        & ( ! [X107] : 
              ( ndr1_0
             => ( c2_1(X107)
                | ~ c1_1(X107)
                | ~ c3_1(X107) ) )
          | ! [X108] : 
              ( ndr1_0
             => ( ~ c1_1(X108)
                | ~ c2_1(X108)
                | ~ c3_1(X108) ) )
          | hskp18 )
        & ( ! [X109] : 
              ( ndr1_0
             => ( c3_1(X109)
                | ~ c0_1(X109)
                | ~ c1_1(X109) ) )
          | hskp29
          | hskp10 )
        & ( ! [X110] : 
              ( ndr1_0
             => ( c3_1(X110)
                | ~ c0_1(X110)
                | ~ c2_1(X110) ) )
          | hskp25
          | hskp20 )
        & ( ! [X111] : 
              ( ndr1_0
             => ( c3_1(X111)
                | ~ c1_1(X111)
                | ~ c2_1(X111) ) )
          | hskp28
          | hskp1 )
        & ( ! [X112] : 
              ( ndr1_0
             => ( ~ c0_1(X112)
                | ~ c1_1(X112)
                | ~ c2_1(X112) ) )
          | ! [X113] : 
              ( ndr1_0
             => ( ~ c0_1(X113)
                | ~ c2_1(X113)
                | ~ c3_1(X113) ) )
          | hskp3 )
        & ( ! [X114] : 
              ( ndr1_0
             => ( ~ c0_1(X114)
                | ~ c2_1(X114)
                | ~ c3_1(X114) ) )
          | hskp6
          | hskp20 )
        & ( ! [X115] : 
              ( ndr1_0
             => ( ~ c1_1(X115)
                | ~ c2_1(X115)
                | ~ c3_1(X115) ) )
          | hskp31
          | hskp23 )
        & ( hskp30
          | hskp21
          | hskp26 )
        & ( hskp21
          | hskp18
          | hskp1 )
        & ( hskp21
          | hskp2
          | hskp20 )
        & ( hskp6
          | hskp19
          | hskp16 )
        & ( hskp24
          | hskp0 )
        & ( hskp23
          | hskp27 )
        & ( hskp7
          | hskp13
          | hskp12 )
        & ( hskp2
          | hskp27
          | hskp3 ) ) )).

%--------------------------------------------------------------------------
