%--------------------------------------------------------------------------
% File     : SYN499+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=80, K=3, D=1, P=0, Index=001
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-80-3-1-001.dfg [Wei97]

% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
%
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
%
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  775 (   0 equality)
%            Maximal formula depth :  114 ( 114 average)
%            Number of connectives : 1040 ( 266 ~  ; 444  |; 203  &)
%                                         (   0 <=>; 127 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   36 (  32 propositional; 0-1 arity)
%            Number of functors    :   31 (  31 constant; 0-0 arity)
%            Number of variables   :  127 (   0 singleton; 127 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%--------------------------------------------------------------------------
fof(co1,conjecture,
    ( ~ ( ( ~ hskp0
          | ( ndr1_0
            & c2_1(a123)
            & ~ c0_1(a123)
            & ~ c1_1(a123) ) )
        & ( ~ hskp1
          | ( ndr1_0
            & c1_1(a124)
            & c2_1(a124)
            & ~ c3_1(a124) ) )
        & ( ~ hskp2
          | ( ndr1_0
            & c1_1(a125)
            & c2_1(a125)
            & ~ c0_1(a125) ) )
        & ( ~ hskp3
          | ( ndr1_0
            & c1_1(a127)
            & ~ c2_1(a127)
            & ~ c3_1(a127) ) )
        & ( ~ hskp4
          | ( ndr1_0
            & c0_1(a128)
            & c1_1(a128)
            & ~ c3_1(a128) ) )
        & ( ~ hskp5
          | ( ndr1_0
            & ~ c0_1(a130)
            & ~ c1_1(a130)
            & ~ c3_1(a130) ) )
        & ( ~ hskp6
          | ( ndr1_0
            & ~ c0_1(a131)
            & ~ c1_1(a131)
            & ~ c2_1(a131) ) )
        & ( ~ hskp7
          | ( ndr1_0
            & c3_1(a132)
            & ~ c0_1(a132)
            & ~ c2_1(a132) ) )
        & ( ~ hskp8
          | ( ndr1_0
            & c2_1(a134)
            & ~ c0_1(a134)
            & ~ c3_1(a134) ) )
        & ( ~ hskp9
          | ( ndr1_0
            & c0_1(a138)
            & c1_1(a138)
            & ~ c2_1(a138) ) )
        & ( ~ hskp10
          | ( ndr1_0
            & c0_1(a140)
            & ~ c2_1(a140)
            & ~ c3_1(a140) ) )
        & ( ~ hskp11
          | ( ndr1_0
            & ~ c1_1(a141)
            & ~ c2_1(a141)
            & ~ c3_1(a141) ) )
        & ( ~ hskp12
          | ( ndr1_0
            & c0_1(a142)
            & c3_1(a142)
            & ~ c1_1(a142) ) )
        & ( ~ hskp13
          | ( ndr1_0
            & c2_1(a143)
            & c3_1(a143)
            & ~ c1_1(a143) ) )
        & ( ~ hskp14
          | ( ndr1_0
            & c0_1(a147)
            & ~ c1_1(a147)
            & ~ c3_1(a147) ) )
        & ( ~ hskp15
          | ( ndr1_0
            & c2_1(a153)
            & c3_1(a153)
            & ~ c0_1(a153) ) )
        & ( ~ hskp16
          | ( ndr1_0
            & c1_1(a154)
            & c3_1(a154)
            & ~ c0_1(a154) ) )
        & ( ~ hskp17
          | ( ndr1_0
            & c1_1(a155)
            & ~ c0_1(a155)
            & ~ c2_1(a155) ) )
        & ( ~ hskp18
          | ( ndr1_0
            & c3_1(a160)
            & ~ c1_1(a160)
            & ~ c2_1(a160) ) )
        & ( ~ hskp19
          | ( ndr1_0
            & c1_1(a164)
            & c3_1(a164)
            & ~ c2_1(a164) ) )
        & ( ~ hskp20
          | ( ndr1_0
            & c1_1(a168)
            & ~ c0_1(a168)
            & ~ c3_1(a168) ) )
        & ( ~ hskp21
          | ( ndr1_0
            & c0_1(a170)
            & c2_1(a170)
            & ~ c1_1(a170) ) )
        & ( ~ hskp22
          | ( ndr1_0
            & c0_1(a176)
            & ~ c1_1(a176)
            & ~ c2_1(a176) ) )
        & ( ~ hskp23
          | ( ndr1_0
            & c2_1(a179)
            & ~ c1_1(a179)
            & ~ c3_1(a179) ) )
        & ( ~ hskp24
          | ( ndr1_0
            & ~ c0_1(a182)
            & ~ c2_1(a182)
            & ~ c3_1(a182) ) )
        & ( ~ hskp25
          | ( ndr1_0
            & c3_1(a189)
            & ~ c0_1(a189)
            & ~ c1_1(a189) ) )
        & ( ~ hskp26
          | ( ndr1_0
            & c0_1(a225)
            & c2_1(a225)
            & ~ c3_1(a225) ) )
        & ( ~ hskp27
          | ( ndr1_0
            & c0_1(a122)
            & c2_1(a122)
            & c3_1(a122) ) )
        & ( ~ hskp28
          | ( ndr1_0
            & c1_1(a133)
            & c2_1(a133)
            & c3_1(a133) ) )
        & ( ~ hskp29
          | ( ndr1_0
            & c0_1(a136)
            & c1_1(a136)
            & c2_1(a136) ) )
        & ( ~ hskp30
          | ( ndr1_0
            & c0_1(a167)
            & c1_1(a167)
            & c3_1(a167) ) )
        & ( ! [U] : 
              ( ndr1_0
             => ( c0_1(U)
                | c1_1(U)
                | c2_1(U) ) )
          | ! [V] : 
              ( ndr1_0
             => ( c0_1(V)
                | c1_1(V)
                | c3_1(V) ) )
          | ! [W] : 
              ( ndr1_0
             => ( c2_1(W)
                | ~ c1_1(W)
                | ~ c3_1(W) ) ) )
        & ( ! [X] : 
              ( ndr1_0
             => ( c0_1(X)
                | c1_1(X)
                | c2_1(X) ) )
          | ! [Y] : 
              ( ndr1_0
             => ( c0_1(Y)
                | c2_1(Y)
                | ~ c1_1(Y) ) )
          | ! [Z] : 
              ( ndr1_0
             => ( c0_1(Z)
                | c2_1(Z)
                | ~ c3_1(Z) ) ) )
        & ( ! [X1] : 
              ( ndr1_0
             => ( c0_1(X1)
                | c1_1(X1)
                | c2_1(X1) ) )
          | ! [X2] : 
              ( ndr1_0
             => ( c0_1(X2)
                | c2_1(X2)
                | ~ c1_1(X2) ) )
          | ! [X3] : 
              ( ndr1_0
             => ( c2_1(X3)
                | c3_1(X3)
                | ~ c0_1(X3) ) ) )
        & ( ! [X4] : 
              ( ndr1_0
             => ( c0_1(X4)
                | c1_1(X4)
                | c2_1(X4) ) )
          | ! [X5] : 
              ( ndr1_0
             => ( c0_1(X5)
                | c3_1(X5)
                | ~ c2_1(X5) ) )
          | hskp27 )
        & ( ! [X6] : 
              ( ndr1_0
             => ( c0_1(X6)
                | c1_1(X6)
                | c2_1(X6) ) )
          | ! [X7] : 
              ( ndr1_0
             => ( c2_1(X7)
                | c3_1(X7)
                | ~ c1_1(X7) ) )
          | hskp0 )
        & ( ! [X8] : 
              ( ndr1_0
             => ( c0_1(X8)
                | c1_1(X8)
                | c2_1(X8) ) )
          | ! [X9] : 
              ( ndr1_0
             => ( c3_1(X9)
                | ~ c0_1(X9)
                | ~ c1_1(X9) ) )
          | hskp1 )
        & ( ! [X10] : 
              ( ndr1_0
             => ( c0_1(X10)
                | c1_1(X10)
                | c2_1(X10) ) )
          | hskp2
          | hskp1 )
        & ( ! [X11] : 
              ( ndr1_0
             => ( c0_1(X11)
                | c1_1(X11)
                | c3_1(X11) ) )
          | ! [X12] : 
              ( ndr1_0
             => ( c2_1(X12)
                | c3_1(X12)
                | ~ c1_1(X12) ) )
          | hskp3 )
        & ( ! [X13] : 
              ( ndr1_0
             => ( c0_1(X13)
                | c1_1(X13)
                | ~ c2_1(X13) ) )
          | ! [X14] : 
              ( ndr1_0
             => ( c0_1(X14)
                | c2_1(X14)
                | ~ c1_1(X14) ) )
          | hskp4 )
        & ( ! [X15] : 
              ( ndr1_0
             => ( c0_1(X15)
                | c1_1(X15)
                | ~ c2_1(X15) ) )
          | ! [X16] : 
              ( ndr1_0
             => ( c1_1(X16)
                | ~ c0_1(X16)
                | ~ c2_1(X16) ) )
          | ! [X17] : 
              ( ndr1_0
             => ( ~ c1_1(X17)
                | ~ c2_1(X17)
                | ~ c3_1(X17) ) ) )
        & ( ! [X18] : 
              ( ndr1_0
             => ( c0_1(X18)
                | c1_1(X18)
                | ~ c2_1(X18) ) )
          | ! [X19] : 
              ( ndr1_0
             => ( c3_1(X19)
                | ~ c0_1(X19)
                | ~ c2_1(X19) ) )
          | hskp27 )
        & ( ! [X20] : 
              ( ndr1_0
             => ( c0_1(X20)
                | c1_1(X20)
                | ~ c2_1(X20) ) )
          | ! [X21] : 
              ( ndr1_0
             => ( ~ c0_1(X21)
                | ~ c1_1(X21)
                | ~ c2_1(X21) ) )
          | hskp5 )
        & ( ! [X22] : 
              ( ndr1_0
             => ( c0_1(X22)
                | c1_1(X22)
                | ~ c3_1(X22) ) )
          | ! [X23] : 
              ( ndr1_0
             => ( c0_1(X23)
                | c2_1(X23)
                | ~ c1_1(X23) ) )
          | ! [X24] : 
              ( ndr1_0
             => ( c3_1(X24)
                | ~ c1_1(X24)
                | ~ c2_1(X24) ) ) )
        & ( ! [X25] : 
              ( ndr1_0
             => ( c0_1(X25)
                | c1_1(X25)
                | ~ c3_1(X25) ) )
          | ! [X26] : 
              ( ndr1_0
             => ( c1_1(X26)
                | c2_1(X26)
                | ~ c3_1(X26) ) )
          | ! [X27] : 
              ( ndr1_0
             => ( c1_1(X27)
                | ~ c2_1(X27)
                | ~ c3_1(X27) ) ) )
        & ( ! [X28] : 
              ( ndr1_0
             => ( c0_1(X28)
                | c1_1(X28)
                | ~ c3_1(X28) ) )
          | ! [X29] : 
              ( ndr1_0
             => ( c1_1(X29)
                | ~ c0_1(X29)
                | ~ c3_1(X29) ) )
          | hskp6 )
        & ( ! [X30] : 
              ( ndr1_0
             => ( c0_1(X30)
                | c1_1(X30)
                | ~ c3_1(X30) ) )
          | ! [X31] : 
              ( ndr1_0
             => ( c2_1(X31)
                | ~ c0_1(X31)
                | ~ c1_1(X31) ) )
          | hskp7 )
        & ( ! [X32] : 
              ( ndr1_0
             => ( c0_1(X32)
                | c1_1(X32)
                | ~ c3_1(X32) ) )
          | hskp28
          | hskp8 )
        & ( ! [X33] : 
              ( ndr1_0
             => ( c0_1(X33)
                | c2_1(X33)
                | c3_1(X33) ) )
          | ! [X34] : 
              ( ndr1_0
             => ( ~ c0_1(X34)
                | ~ c2_1(X34)
                | ~ c3_1(X34) ) )
          | hskp8 )
        & ( ! [X35] : 
              ( ndr1_0
             => ( c0_1(X35)
                | c2_1(X35)
                | c3_1(X35) ) )
          | hskp29
          | hskp7 )
        & ( ! [X36] : 
              ( ndr1_0
             => ( c0_1(X36)
                | c2_1(X36)
                | c3_1(X36) ) )
          | hskp9
          | hskp7 )
        & ( ! [X37] : 
              ( ndr1_0
             => ( c0_1(X37)
                | c2_1(X37)
                | c3_1(X37) ) )
          | hskp10
          | hskp11 )
        & ( ! [X38] : 
              ( ndr1_0
             => ( c0_1(X38)
                | c2_1(X38)
                | ~ c1_1(X38) ) )
          | ! [X39] : 
              ( ndr1_0
             => ( c0_1(X39)
                | c2_1(X39)
                | ~ c3_1(X39) ) )
          | ! [X40] : 
              ( ndr1_0
             => ( c2_1(X40)
                | ~ c0_1(X40)
                | ~ c3_1(X40) ) ) )
        & ( ! [X41] : 
              ( ndr1_0
             => ( c0_1(X41)
                | c2_1(X41)
                | ~ c1_1(X41) ) )
          | ! [X42] : 
              ( ndr1_0
             => ( c0_1(X42)
                | c2_1(X42)
                | ~ c3_1(X42) ) )
          | hskp12 )
        & ( ! [X43] : 
              ( ndr1_0
             => ( c0_1(X43)
                | c2_1(X43)
                | ~ c1_1(X43) ) )
          | ! [X44] : 
              ( ndr1_0
             => ( c1_1(X44)
                | c2_1(X44)
                | ~ c0_1(X44) ) )
          | hskp13 )
        & ( ! [X45] : 
              ( ndr1_0
             => ( c0_1(X45)
                | c2_1(X45)
                | ~ c1_1(X45) ) )
          | ! [X46] : 
              ( ndr1_0
             => ( c3_1(X46)
                | ~ c0_1(X46)
                | ~ c1_1(X46) ) )
          | hskp28 )
        & ( ! [X47] : 
              ( ndr1_0
             => ( c0_1(X47)
                | c2_1(X47)
                | ~ c1_1(X47) ) )
          | hskp28
          | hskp3 )
        & ( ! [X48] : 
              ( ndr1_0
             => ( c0_1(X48)
                | c2_1(X48)
                | ~ c3_1(X48) ) )
          | ! [X49] : 
              ( ndr1_0
             => ( c0_1(X49)
                | c3_1(X49)
                | ~ c2_1(X49) ) )
          | hskp14 )
        & ( ! [X50] : 
              ( ndr1_0
             => ( c0_1(X50)
                | c2_1(X50)
                | ~ c3_1(X50) ) )
          | ! [X51] : 
              ( ndr1_0
             => ( c0_1(X51)
                | ~ c1_1(X51)
                | ~ c2_1(X51) ) )
          | ! [X52] : 
              ( ndr1_0
             => ( c1_1(X52)
                | c2_1(X52)
                | ~ c0_1(X52) ) ) )
        & ( ! [X53] : 
              ( ndr1_0
             => ( c0_1(X53)
                | c2_1(X53)
                | ~ c3_1(X53) ) )
          | ! [X54] : 
              ( ndr1_0
             => ( c2_1(X54)
                | c3_1(X54)
                | ~ c1_1(X54) ) )
          | hskp29 )
        & ( ! [X55] : 
              ( ndr1_0
             => ( c0_1(X55)
                | c2_1(X55)
                | ~ c3_1(X55) ) )
          | ! [X56] : 
              ( ndr1_0
             => ( c3_1(X56)
                | ~ c0_1(X56)
                | ~ c2_1(X56) ) )
          | hskp12 )
        & ( ! [X57] : 
              ( ndr1_0
             => ( c0_1(X57)
                | c2_1(X57)
                | ~ c3_1(X57) ) )
          | hskp14
          | hskp7 )
        & ( ! [X58] : 
              ( ndr1_0
             => ( c0_1(X58)
                | c2_1(X58)
                | ~ c3_1(X58) ) )
          | hskp10
          | hskp15 )
        & ( ! [X59] : 
              ( ndr1_0
             => ( c0_1(X59)
                | c3_1(X59)
                | ~ c1_1(X59) ) )
          | ! [X60] : 
              ( ndr1_0
             => ( c3_1(X60)
                | ~ c1_1(X60)
                | ~ c2_1(X60) ) )
          | ! [X61] : 
              ( ndr1_0
             => ( ~ c0_1(X61)
                | ~ c2_1(X61)
                | ~ c3_1(X61) ) ) )
        & ( ! [X62] : 
              ( ndr1_0
             => ( c0_1(X62)
                | c3_1(X62)
                | ~ c1_1(X62) ) )
          | ! [X63] : 
              ( ndr1_0
             => ( ~ c1_1(X63)
                | ~ c2_1(X63)
                | ~ c3_1(X63) ) )
          | hskp16 )
        & ( ! [X64] : 
              ( ndr1_0
             => ( c0_1(X64)
                | c3_1(X64)
                | ~ c2_1(X64) ) )
          | ! [X65] : 
              ( ndr1_0
             => ( c1_1(X65)
                | c2_1(X65)
                | ~ c3_1(X65) ) )
          | ! [X66] : 
              ( ndr1_0
             => ( ~ c0_1(X66)
                | ~ c1_1(X66)
                | ~ c2_1(X66) ) ) )
        & ( ! [X67] : 
              ( ndr1_0
             => ( c0_1(X67)
                | c3_1(X67)
                | ~ c2_1(X67) ) )
          | ! [X68] : 
              ( ndr1_0
             => ( c2_1(X68)
                | c3_1(X68)
                | ~ c1_1(X68) ) )
          | ! [X69] : 
              ( ndr1_0
             => ( c2_1(X69)
                | ~ c1_1(X69)
                | ~ c3_1(X69) ) ) )
        & ( ! [X70] : 
              ( ndr1_0
             => ( c0_1(X70)
                | ~ c1_1(X70)
                | ~ c2_1(X70) ) )
          | ! [X71] : 
              ( ndr1_0
             => ( c1_1(X71)
                | c3_1(X71)
                | ~ c2_1(X71) ) )
          | ! [X72] : 
              ( ndr1_0
             => ( c3_1(X72)
                | ~ c1_1(X72)
                | ~ c2_1(X72) ) ) )
        & ( ! [X73] : 
              ( ndr1_0
             => ( c0_1(X73)
                | ~ c1_1(X73)
                | ~ c3_1(X73) ) )
          | hskp17
          | hskp0 )
        & ( ! [X74] : 
              ( ndr1_0
             => ( c0_1(X74)
                | ~ c2_1(X74)
                | ~ c3_1(X74) ) )
          | ! [X75] : 
              ( ndr1_0
             => ( c1_1(X75)
                | c2_1(X75)
                | ~ c0_1(X75) ) )
          | ! [X76] : 
              ( ndr1_0
             => ( ~ c0_1(X76)
                | ~ c1_1(X76)
                | ~ c3_1(X76) ) ) )
        & ( ! [X77] : 
              ( ndr1_0
             => ( c0_1(X77)
                | ~ c2_1(X77)
                | ~ c3_1(X77) ) )
          | hskp29
          | hskp7 )
        & ( ! [X78] : 
              ( ndr1_0
             => ( c0_1(X78)
                | ~ c2_1(X78)
                | ~ c3_1(X78) ) )
          | hskp0
          | hskp18 )
        & ( ! [X79] : 
              ( ndr1_0
             => ( c1_1(X79)
                | c2_1(X79)
                | c3_1(X79) ) )
          | ! [X80] : 
              ( ndr1_0
             => ( c3_1(X80)
                | ~ c0_1(X80)
                | ~ c1_1(X80) ) )
          | hskp12 )
        & ( ! [X81] : 
              ( ndr1_0
             => ( c1_1(X81)
                | c2_1(X81)
                | c3_1(X81) ) )
          | hskp2
          | hskp16 )
        & ( ! [X82] : 
              ( ndr1_0
             => ( c1_1(X82)
                | c2_1(X82)
                | ~ c0_1(X82) ) )
          | hskp19
          | hskp17 )
        & ( ! [X83] : 
              ( ndr1_0
             => ( c1_1(X83)
                | c2_1(X83)
                | ~ c3_1(X83) ) )
          | ! [X84] : 
              ( ndr1_0
             => ( c2_1(X84)
                | c3_1(X84)
                | ~ c1_1(X84) ) )
          | ! [X85] : 
              ( ndr1_0
             => ( c2_1(X85)
                | ~ c0_1(X85)
                | ~ c3_1(X85) ) ) )
        & ( ! [X86] : 
              ( ndr1_0
             => ( c1_1(X86)
                | c2_1(X86)
                | ~ c3_1(X86) ) )
          | ! [X87] : 
              ( ndr1_0
             => ( ~ c0_1(X87)
                | ~ c2_1(X87)
                | ~ c3_1(X87) ) )
          | hskp6 )
        & ( ! [X88] : 
              ( ndr1_0
             => ( c1_1(X88)
                | c3_1(X88)
                | ~ c2_1(X88) ) )
          | hskp30
          | hskp20 )
        & ( ! [X89] : 
              ( ndr1_0
             => ( c1_1(X89)
                | ~ c0_1(X89)
                | ~ c3_1(X89) ) )
          | ! [X90] : 
              ( ndr1_0
             => ( c2_1(X90)
                | ~ c0_1(X90)
                | ~ c1_1(X90) ) )
          | hskp7 )
        & ( ! [X91] : 
              ( ndr1_0
             => ( c1_1(X91)
                | ~ c0_1(X91)
                | ~ c3_1(X91) ) )
          | hskp21
          | hskp6 )
        & ( ! [X92] : 
              ( ndr1_0
             => ( c1_1(X92)
                | ~ c0_1(X92)
                | ~ c3_1(X92) ) )
          | hskp3
          | hskp15 )
        & ( ! [X93] : 
              ( ndr1_0
             => ( c1_1(X93)
                | ~ c0_1(X93)
                | ~ c3_1(X93) ) )
          | hskp0
          | hskp7 )
        & ( ! [X94] : 
              ( ndr1_0
             => ( c1_1(X94)
                | ~ c2_1(X94)
                | ~ c3_1(X94) ) )
          | ! [X95] : 
              ( ndr1_0
             => ( c3_1(X95)
                | ~ c1_1(X95)
                | ~ c2_1(X95) ) )
          | ! [X96] : 
              ( ndr1_0
             => ( ~ c0_1(X96)
                | ~ c1_1(X96)
                | ~ c3_1(X96) ) ) )
        & ( ! [X97] : 
              ( ndr1_0
             => ( c1_1(X97)
                | ~ c2_1(X97)
                | ~ c3_1(X97) ) )
          | hskp22
          | hskp7 )
        & ( ! [X98] : 
              ( ndr1_0
             => ( c1_1(X98)
                | ~ c2_1(X98)
                | ~ c3_1(X98) ) )
          | hskp8
          | hskp23 )
        & ( ! [X99] : 
              ( ndr1_0
             => ( c2_1(X99)
                | c3_1(X99)
                | ~ c1_1(X99) ) )
          | ! [X100] : 
              ( ndr1_0
             => ( c3_1(X100)
                | ~ c0_1(X100)
                | ~ c1_1(X100) ) )
          | hskp9 )
        & ( ! [X101] : 
              ( ndr1_0
             => ( c2_1(X101)
                | c3_1(X101)
                | ~ c1_1(X101) ) )
          | ! [X102] : 
              ( ndr1_0
             => ( c3_1(X102)
                | ~ c1_1(X102)
                | ~ c2_1(X102) ) )
          | ! [X103] : 
              ( ndr1_0
             => ( ~ c1_1(X103)
                | ~ c2_1(X103)
                | ~ c3_1(X103) ) ) )
        & ( ! [X104] : 
              ( ndr1_0
             => ( c2_1(X104)
                | c3_1(X104)
                | ~ c1_1(X104) ) )
          | hskp15
          | hskp24 )
        & ( ! [X105] : 
              ( ndr1_0
             => ( c2_1(X105)
                | ~ c0_1(X105)
                | ~ c1_1(X105) ) )
          | hskp9
          | hskp22 )
        & ( ! [X106] : 
              ( ndr1_0
             => ( c2_1(X106)
                | ~ c0_1(X106)
                | ~ c1_1(X106) ) )
          | hskp10
          | hskp18 )
        & ( ! [X107] : 
              ( ndr1_0
             => ( c2_1(X107)
                | ~ c0_1(X107)
                | ~ c3_1(X107) ) )
          | hskp1
          | hskp3 )
        & ( ! [X108] : 
              ( ndr1_0
             => ( c2_1(X108)
                | ~ c0_1(X108)
                | ~ c3_1(X108) ) )
          | hskp25
          | hskp6 )
        & ( ! [X109] : 
              ( ndr1_0
             => ( c2_1(X109)
                | ~ c1_1(X109)
                | ~ c3_1(X109) ) )
          | hskp17
          | hskp13 )
        & ( ! [X110] : 
              ( ndr1_0
             => ( c2_1(X110)
                | ~ c1_1(X110)
                | ~ c3_1(X110) ) )
          | hskp17
          | hskp24 )
        & ( ! [X111] : 
              ( ndr1_0
             => ( c2_1(X111)
                | ~ c1_1(X111)
                | ~ c3_1(X111) ) )
          | hskp15
          | hskp13 )
        & ( ! [X112] : 
              ( ndr1_0
             => ( c3_1(X112)
                | ~ c0_1(X112)
                | ~ c1_1(X112) ) )
          | hskp12
          | hskp11 )
        & ( ! [X113] : 
              ( ndr1_0
             => ( c3_1(X113)
                | ~ c0_1(X113)
                | ~ c1_1(X113) ) )
          | hskp7
          | hskp24 )
        & ( ! [X114] : 
              ( ndr1_0
             => ( c3_1(X114)
                | ~ c1_1(X114)
                | ~ c2_1(X114) ) )
          | hskp27
          | hskp19 )
        & ( ! [X115] : 
              ( ndr1_0
             => ( c3_1(X115)
                | ~ c1_1(X115)
                | ~ c2_1(X115) ) )
          | hskp22 )
        & ( ! [X116] : 
              ( ndr1_0
             => ( c3_1(X116)
                | ~ c1_1(X116)
                | ~ c2_1(X116) ) )
          | hskp14
          | hskp23 )
        & ( ! [X117] : 
              ( ndr1_0
             => ( ~ c0_1(X117)
                | ~ c1_1(X117)
                | ~ c2_1(X117) ) )
          | hskp14
          | hskp25 )
        & ( ! [X118] : 
              ( ndr1_0
             => ( ~ c0_1(X118)
                | ~ c1_1(X118)
                | ~ c3_1(X118) ) )
          | hskp22
          | hskp10 )
        & ( ! [X119] : 
              ( ndr1_0
             => ( ~ c0_1(X119)
                | ~ c1_1(X119)
                | ~ c3_1(X119) ) )
          | hskp2
          | hskp19 )
        & ( ! [X120] : 
              ( ndr1_0
             => ( ~ c1_1(X120)
                | ~ c2_1(X120)
                | ~ c3_1(X120) ) )
          | hskp9
          | hskp8 )
        & ( ! [X121] : 
              ( ndr1_0
             => ( ~ c1_1(X121)
                | ~ c2_1(X121)
                | ~ c3_1(X121) ) )
          | hskp3
          | hskp13 )
        & ( hskp30
          | hskp9
          | hskp6 )
        & ( hskp27
          | hskp3
          | hskp15 )
        & ( hskp21
          | hskp20
          | hskp6 )
        & ( hskp26
          | hskp20
          | hskp15 )
        & ( hskp12
          | hskp19
          | hskp13 )
        & ( hskp2
          | hskp19
          | hskp8 ) ) )).

%--------------------------------------------------------------------------
