%--------------------------------------------------------------------------
% File     : SYN500+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=80, K=3, D=1, P=0, Index=010
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-80-3-1-010.dfg [Wei97]

% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
%
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
%
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  810 (   0 equality)
%            Maximal formula depth :  113 ( 113 average)
%            Number of connectives : 1094 ( 285 ~  ; 469  |; 199  &)
%                                         (   0 <=>; 141 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   35 (  31 propositional; 0-1 arity)
%            Number of functors    :   30 (  30 constant; 0-0 arity)
%            Number of variables   :  141 (   0 singleton; 141 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%--------------------------------------------------------------------------
fof(co1,conjecture,
    ( ~ ( ( ~ hskp0
          | ( ndr1_0
            & c1_1(a1)
            & c3_1(a1)
            & ~ c2_1(a1) ) )
        & ( ~ hskp1
          | ( ndr1_0
            & c0_1(a2)
            & ~ c1_1(a2)
            & ~ c2_1(a2) ) )
        & ( ~ hskp2
          | ( ndr1_0
            & c3_1(a3)
            & ~ c1_1(a3)
            & ~ c2_1(a3) ) )
        & ( ~ hskp3
          | ( ndr1_0
            & c2_1(a5)
            & ~ c0_1(a5)
            & ~ c1_1(a5) ) )
        & ( ~ hskp4
          | ( ndr1_0
            & ~ c0_1(a7)
            & ~ c1_1(a7)
            & ~ c3_1(a7) ) )
        & ( ~ hskp5
          | ( ndr1_0
            & c1_1(a8)
            & ~ c2_1(a8)
            & ~ c3_1(a8) ) )
        & ( ~ hskp6
          | ( ndr1_0
            & c0_1(a10)
            & c3_1(a10)
            & ~ c2_1(a10) ) )
        & ( ~ hskp7
          | ( ndr1_0
            & c1_1(a11)
            & ~ c0_1(a11)
            & ~ c2_1(a11) ) )
        & ( ~ hskp8
          | ( ndr1_0
            & c3_1(a14)
            & ~ c0_1(a14)
            & ~ c2_1(a14) ) )
        & ( ~ hskp9
          | ( ndr1_0
            & ~ c0_1(a15)
            & ~ c1_1(a15)
            & ~ c2_1(a15) ) )
        & ( ~ hskp10
          | ( ndr1_0
            & ~ c1_1(a18)
            & ~ c2_1(a18)
            & ~ c3_1(a18) ) )
        & ( ~ hskp11
          | ( ndr1_0
            & c1_1(a19)
            & c2_1(a19)
            & ~ c0_1(a19) ) )
        & ( ~ hskp12
          | ( ndr1_0
            & ~ c0_1(a20)
            & ~ c2_1(a20)
            & ~ c3_1(a20) ) )
        & ( ~ hskp13
          | ( ndr1_0
            & c3_1(a22)
            & ~ c0_1(a22)
            & ~ c1_1(a22) ) )
        & ( ~ hskp14
          | ( ndr1_0
            & c0_1(a25)
            & c1_1(a25)
            & ~ c2_1(a25) ) )
        & ( ~ hskp15
          | ( ndr1_0
            & c2_1(a28)
            & c3_1(a28)
            & ~ c1_1(a28) ) )
        & ( ~ hskp16
          | ( ndr1_0
            & c0_1(a32)
            & c2_1(a32)
            & ~ c1_1(a32) ) )
        & ( ~ hskp17
          | ( ndr1_0
            & c0_1(a33)
            & ~ c1_1(a33)
            & ~ c3_1(a33) ) )
        & ( ~ hskp18
          | ( ndr1_0
            & c0_1(a39)
            & c3_1(a39)
            & ~ c1_1(a39) ) )
        & ( ~ hskp19
          | ( ndr1_0
            & c2_1(a40)
            & ~ c0_1(a40)
            & ~ c3_1(a40) ) )
        & ( ~ hskp20
          | ( ndr1_0
            & c0_1(a43)
            & c1_1(a43)
            & ~ c3_1(a43) ) )
        & ( ~ hskp21
          | ( ndr1_0
            & c2_1(a47)
            & c3_1(a47)
            & ~ c0_1(a47) ) )
        & ( ~ hskp22
          | ( ndr1_0
            & c1_1(a48)
            & ~ c0_1(a48)
            & ~ c3_1(a48) ) )
        & ( ~ hskp23
          | ( ndr1_0
            & c2_1(a63)
            & ~ c1_1(a63)
            & ~ c3_1(a63) ) )
        & ( ~ hskp24
          | ( ndr1_0
            & c1_1(a64)
            & c3_1(a64)
            & ~ c0_1(a64) ) )
        & ( ~ hskp25
          | ( ndr1_0
            & c0_1(a73)
            & c2_1(a73)
            & ~ c3_1(a73) ) )
        & ( ~ hskp26
          | ( ndr1_0
            & c0_1(a4)
            & c1_1(a4)
            & c3_1(a4) ) )
        & ( ~ hskp27
          | ( ndr1_0
            & c1_1(a13)
            & c2_1(a13)
            & c3_1(a13) ) )
        & ( ~ hskp28
          | ( ndr1_0
            & c0_1(a23)
            & c1_1(a23)
            & c2_1(a23) ) )
        & ( ~ hskp29
          | ( ndr1_0
            & c0_1(a77)
            & c2_1(a77)
            & c3_1(a77) ) )
        & ( ! [U] : 
              ( ndr1_0
             => ( c0_1(U)
                | c1_1(U)
                | c2_1(U) ) )
          | ! [V] : 
              ( ndr1_0
             => ( c0_1(V)
                | ~ c1_1(V)
                | ~ c3_1(V) ) )
          | ! [W] : 
              ( ndr1_0
             => ( c1_1(W)
                | ~ c0_1(W)
                | ~ c3_1(W) ) ) )
        & ( ! [X] : 
              ( ndr1_0
             => ( c0_1(X)
                | c1_1(X)
                | c2_1(X) ) )
          | ! [Y] : 
              ( ndr1_0
             => ( c1_1(Y)
                | c2_1(Y)
                | c3_1(Y) ) )
          | ! [Z] : 
              ( ndr1_0
             => ( c2_1(Z)
                | c3_1(Z)
                | ~ c1_1(Z) ) ) )
        & ( ! [X1] : 
              ( ndr1_0
             => ( c0_1(X1)
                | c1_1(X1)
                | c2_1(X1) ) )
          | ! [X2] : 
              ( ndr1_0
             => ( c1_1(X2)
                | ~ c0_1(X2)
                | ~ c3_1(X2) ) )
          | ! [X3] : 
              ( ndr1_0
             => ( c2_1(X3)
                | ~ c1_1(X3)
                | ~ c3_1(X3) ) ) )
        & ( ! [X4] : 
              ( ndr1_0
             => ( c0_1(X4)
                | c1_1(X4)
                | c2_1(X4) ) )
          | ! [X5] : 
              ( ndr1_0
             => ( c1_1(X5)
                | ~ c2_1(X5)
                | ~ c3_1(X5) ) )
          | ! [X6] : 
              ( ndr1_0
             => ( ~ c1_1(X6)
                | ~ c2_1(X6)
                | ~ c3_1(X6) ) ) )
        & ( ! [X7] : 
              ( ndr1_0
             => ( c0_1(X7)
                | c1_1(X7)
                | c2_1(X7) ) )
          | ! [X8] : 
              ( ndr1_0
             => ( c2_1(X8)
                | c3_1(X8)
                | ~ c1_1(X8) ) )
          | hskp0 )
        & ( ! [X9] : 
              ( ndr1_0
             => ( c0_1(X9)
                | c1_1(X9)
                | c3_1(X9) ) )
          | ! [X10] : 
              ( ndr1_0
             => ( c0_1(X10)
                | c1_1(X10)
                | ~ c2_1(X10) ) )
          | ! [X11] : 
              ( ndr1_0
             => ( c2_1(X11)
                | c3_1(X11)
                | ~ c0_1(X11) ) ) )
        & ( ! [X12] : 
              ( ndr1_0
             => ( c0_1(X12)
                | c1_1(X12)
                | c3_1(X12) ) )
          | ! [X13] : 
              ( ndr1_0
             => ( c0_1(X13)
                | ~ c1_1(X13)
                | ~ c2_1(X13) ) )
          | hskp1 )
        & ( ! [X14] : 
              ( ndr1_0
             => ( c0_1(X14)
                | c1_1(X14)
                | c3_1(X14) ) )
          | ! [X15] : 
              ( ndr1_0
             => ( c2_1(X15)
                | ~ c1_1(X15)
                | ~ c3_1(X15) ) )
          | hskp2 )
        & ( ! [X16] : 
              ( ndr1_0
             => ( c0_1(X16)
                | c1_1(X16)
                | c3_1(X16) ) )
          | hskp26
          | hskp3 )
        & ( ! [X17] : 
              ( ndr1_0
             => ( c0_1(X17)
                | c1_1(X17)
                | ~ c2_1(X17) ) )
          | ! [X18] : 
              ( ndr1_0
             => ( c0_1(X18)
                | ~ c1_1(X18)
                | ~ c3_1(X18) ) )
          | ! [X19] : 
              ( ndr1_0
             => ( c2_1(X19)
                | ~ c0_1(X19)
                | ~ c3_1(X19) ) ) )
        & ( ! [X20] : 
              ( ndr1_0
             => ( c0_1(X20)
                | c1_1(X20)
                | ~ c2_1(X20) ) )
          | hskp0
          | hskp4 )
        & ( ! [X21] : 
              ( ndr1_0
             => ( c0_1(X21)
                | c1_1(X21)
                | ~ c3_1(X21) ) )
          | ! [X22] : 
              ( ndr1_0
             => ( c0_1(X22)
                | c2_1(X22)
                | ~ c1_1(X22) ) )
          | ! [X23] : 
              ( ndr1_0
             => ( c1_1(X23)
                | ~ c2_1(X23)
                | ~ c3_1(X23) ) ) )
        & ( ! [X24] : 
              ( ndr1_0
             => ( c0_1(X24)
                | c1_1(X24)
                | ~ c3_1(X24) ) )
          | ! [X25] : 
              ( ndr1_0
             => ( c0_1(X25)
                | ~ c1_1(X25)
                | ~ c2_1(X25) ) )
          | hskp5 )
        & ( ! [X26] : 
              ( ndr1_0
             => ( c0_1(X26)
                | c1_1(X26)
                | ~ c3_1(X26) ) )
          | ! [X27] : 
              ( ndr1_0
             => ( c0_1(X27)
                | ~ c2_1(X27)
                | ~ c3_1(X27) ) )
          | ! [X28] : 
              ( ndr1_0
             => ( c1_1(X28)
                | c3_1(X28)
                | ~ c2_1(X28) ) ) )
        & ( ! [X29] : 
              ( ndr1_0
             => ( c0_1(X29)
                | c1_1(X29)
                | ~ c3_1(X29) ) )
          | ! [X30] : 
              ( ndr1_0
             => ( c0_1(X30)
                | ~ c2_1(X30)
                | ~ c3_1(X30) ) )
          | ! [X31] : 
              ( ndr1_0
             => ( c2_1(X31)
                | ~ c0_1(X31)
                | ~ c1_1(X31) ) ) )
        & ( ! [X32] : 
              ( ndr1_0
             => ( c0_1(X32)
                | c1_1(X32)
                | ~ c3_1(X32) ) )
          | ! [X33] : 
              ( ndr1_0
             => ( c1_1(X33)
                | c3_1(X33)
                | ~ c2_1(X33) ) )
          | ! [X34] : 
              ( ndr1_0
             => ( c2_1(X34)
                | c3_1(X34)
                | ~ c0_1(X34) ) ) )
        & ( ! [X35] : 
              ( ndr1_0
             => ( c0_1(X35)
                | c1_1(X35)
                | ~ c3_1(X35) ) )
          | ! [X36] : 
              ( ndr1_0
             => ( c1_1(X36)
                | ~ c2_1(X36)
                | ~ c3_1(X36) ) )
          | hskp2 )
        & ( ! [X37] : 
              ( ndr1_0
             => ( c0_1(X37)
                | c1_1(X37)
                | ~ c3_1(X37) ) )
          | hskp6
          | hskp7 )
        & ( ! [X38] : 
              ( ndr1_0
             => ( c0_1(X38)
                | c2_1(X38)
                | c3_1(X38) ) )
          | ! [X39] : 
              ( ndr1_0
             => ( c1_1(X39)
                | c3_1(X39)
                | ~ c2_1(X39) ) )
          | ! [X40] : 
              ( ndr1_0
             => ( c3_1(X40)
                | ~ c1_1(X40)
                | ~ c2_1(X40) ) ) )
        & ( ! [X41] : 
              ( ndr1_0
             => ( c0_1(X41)
                | c2_1(X41)
                | c3_1(X41) ) )
          | hskp1
          | hskp27 )
        & ( ! [X42] : 
              ( ndr1_0
             => ( c0_1(X42)
                | c2_1(X42)
                | c3_1(X42) ) )
          | hskp8
          | hskp9 )
        & ( ! [X43] : 
              ( ndr1_0
             => ( c0_1(X43)
                | c2_1(X43)
                | ~ c1_1(X43) ) )
          | ! [X44] : 
              ( ndr1_0
             => ( c0_1(X44)
                | c3_1(X44)
                | ~ c1_1(X44) ) )
          | hskp4 )
        & ( ! [X45] : 
              ( ndr1_0
             => ( c0_1(X45)
                | c2_1(X45)
                | ~ c1_1(X45) ) )
          | hskp1
          | hskp10 )
        & ( ! [X46] : 
              ( ndr1_0
             => ( c0_1(X46)
                | c2_1(X46)
                | ~ c1_1(X46) ) )
          | hskp11
          | hskp12 )
        & ( ! [X47] : 
              ( ndr1_0
             => ( c0_1(X47)
                | c2_1(X47)
                | ~ c1_1(X47) ) )
          | hskp0
          | hskp13 )
        & ( ! [X48] : 
              ( ndr1_0
             => ( c0_1(X48)
                | c2_1(X48)
                | ~ c3_1(X48) ) )
          | ! [X49] : 
              ( ndr1_0
             => ( c0_1(X49)
                | ~ c2_1(X49)
                | ~ c3_1(X49) ) )
          | hskp28 )
        & ( ! [X50] : 
              ( ndr1_0
             => ( c0_1(X50)
                | c2_1(X50)
                | ~ c3_1(X50) ) )
          | ! [X51] : 
              ( ndr1_0
             => ( c2_1(X51)
                | ~ c0_1(X51)
                | ~ c1_1(X51) ) )
          | hskp3 )
        & ( ! [X52] : 
              ( ndr1_0
             => ( c0_1(X52)
                | c3_1(X52)
                | ~ c1_1(X52) ) )
          | ! [X53] : 
              ( ndr1_0
             => ( c1_1(X53)
                | c3_1(X53)
                | ~ c0_1(X53) ) )
          | ! [X54] : 
              ( ndr1_0
             => ( c2_1(X54)
                | c3_1(X54)
                | ~ c1_1(X54) ) ) )
        & ( ! [X55] : 
              ( ndr1_0
             => ( c0_1(X55)
                | c3_1(X55)
                | ~ c1_1(X55) ) )
          | ! [X56] : 
              ( ndr1_0
             => ( c3_1(X56)
                | ~ c0_1(X56)
                | ~ c2_1(X56) ) )
          | hskp14 )
        & ( ! [X57] : 
              ( ndr1_0
             => ( c0_1(X57)
                | c3_1(X57)
                | ~ c1_1(X57) ) )
          | ! [X58] : 
              ( ndr1_0
             => ( ~ c0_1(X58)
                | ~ c1_1(X58)
                | ~ c3_1(X58) ) )
          | hskp13 )
        & ( ! [X59] : 
              ( ndr1_0
             => ( c0_1(X59)
                | c3_1(X59)
                | ~ c1_1(X59) ) )
          | ! [X60] : 
              ( ndr1_0
             => ( ~ c1_1(X60)
                | ~ c2_1(X60)
                | ~ c3_1(X60) ) )
          | hskp28 )
        & ( ! [X61] : 
              ( ndr1_0
             => ( c0_1(X61)
                | c3_1(X61)
                | ~ c2_1(X61) ) )
          | ! [X62] : 
              ( ndr1_0
             => ( c2_1(X62)
                | c3_1(X62)
                | ~ c0_1(X62) ) )
          | ! [X63] : 
              ( ndr1_0
             => ( ~ c0_1(X63)
                | ~ c1_1(X63)
                | ~ c2_1(X63) ) ) )
        & ( ! [X64] : 
              ( ndr1_0
             => ( c0_1(X64)
                | c3_1(X64)
                | ~ c2_1(X64) ) )
          | hskp15
          | hskp13 )
        & ( ! [X65] : 
              ( ndr1_0
             => ( c0_1(X65)
                | ~ c1_1(X65)
                | ~ c2_1(X65) ) )
          | ! [X66] : 
              ( ndr1_0
             => ( c1_1(X66)
                | c3_1(X66)
                | ~ c0_1(X66) ) )
          | hskp3 )
        & ( ! [X67] : 
              ( ndr1_0
             => ( c0_1(X67)
                | ~ c1_1(X67)
                | ~ c2_1(X67) ) )
          | hskp26
          | hskp16 )
        & ( ! [X68] : 
              ( ndr1_0
             => ( c0_1(X68)
                | ~ c1_1(X68)
                | ~ c2_1(X68) ) )
          | hskp17
          | hskp5 )
        & ( ! [X69] : 
              ( ndr1_0
             => ( c0_1(X69)
                | ~ c1_1(X69)
                | ~ c2_1(X69) ) )
          | hskp13
          | hskp10 )
        & ( ! [X70] : 
              ( ndr1_0
             => ( c0_1(X70)
                | ~ c1_1(X70)
                | ~ c3_1(X70) ) )
          | ! [X71] : 
              ( ndr1_0
             => ( c0_1(X71)
                | ~ c2_1(X71)
                | ~ c3_1(X71) ) )
          | hskp12 )
        & ( ! [X72] : 
              ( ndr1_0
             => ( c0_1(X72)
                | ~ c1_1(X72)
                | ~ c3_1(X72) ) )
          | ! [X73] : 
              ( ndr1_0
             => ( c1_1(X73)
                | ~ c2_1(X73)
                | ~ c3_1(X73) ) )
          | ! [X74] : 
              ( ndr1_0
             => ( c3_1(X74)
                | ~ c1_1(X74)
                | ~ c2_1(X74) ) ) )
        & ( ! [X75] : 
              ( ndr1_0
             => ( c0_1(X75)
                | ~ c1_1(X75)
                | ~ c3_1(X75) ) )
          | ! [X76] : 
              ( ndr1_0
             => ( c2_1(X76)
                | c3_1(X76)
                | ~ c0_1(X76) ) )
          | hskp15 )
        & ( ! [X77] : 
              ( ndr1_0
             => ( c0_1(X77)
                | ~ c1_1(X77)
                | ~ c3_1(X77) ) )
          | ! [X78] : 
              ( ndr1_0
             => ( c3_1(X78)
                | ~ c0_1(X78)
                | ~ c1_1(X78) ) )
          | hskp18 )
        & ( ! [X79] : 
              ( ndr1_0
             => ( c0_1(X79)
                | ~ c2_1(X79)
                | ~ c3_1(X79) ) )
          | ! [X80] : 
              ( ndr1_0
             => ( ~ c0_1(X80)
                | ~ c2_1(X80)
                | ~ c3_1(X80) ) )
          | hskp19 )
        & ( ! [X81] : 
              ( ndr1_0
             => ( c0_1(X81)
                | ~ c2_1(X81)
                | ~ c3_1(X81) ) )
          | hskp3
          | hskp2 )
        & ( ! [X82] : 
              ( ndr1_0
             => ( c1_1(X82)
                | c2_1(X82)
                | c3_1(X82) ) )
          | ! [X83] : 
              ( ndr1_0
             => ( c1_1(X83)
                | ~ c0_1(X83)
                | ~ c2_1(X83) ) )
          | hskp20 )
        & ( ! [X84] : 
              ( ndr1_0
             => ( c1_1(X84)
                | c2_1(X84)
                | c3_1(X84) ) )
          | hskp11
          | hskp12 )
        & ( ! [X85] : 
              ( ndr1_0
             => ( c1_1(X85)
                | c2_1(X85)
                | ~ c0_1(X85) ) )
          | ! [X86] : 
              ( ndr1_0
             => ( c1_1(X86)
                | ~ c0_1(X86)
                | ~ c2_1(X86) ) )
          | ! [X87] : 
              ( ndr1_0
             => ( c2_1(X87)
                | ~ c0_1(X87)
                | ~ c3_1(X87) ) ) )
        & ( ! [X88] : 
              ( ndr1_0
             => ( c1_1(X88)
                | c2_1(X88)
                | ~ c0_1(X88) ) )
          | ! [X89] : 
              ( ndr1_0
             => ( c1_1(X89)
                | ~ c0_1(X89)
                | ~ c2_1(X89) ) )
          | ! [X90] : 
              ( ndr1_0
             => ( ~ c0_1(X90)
                | ~ c2_1(X90)
                | ~ c3_1(X90) ) ) )
        & ( ! [X91] : 
              ( ndr1_0
             => ( c1_1(X91)
                | c2_1(X91)
                | ~ c0_1(X91) ) )
          | ! [X92] : 
              ( ndr1_0
             => ( c1_1(X92)
                | ~ c2_1(X92)
                | ~ c3_1(X92) ) )
          | hskp8 )
        & ( ! [X93] : 
              ( ndr1_0
             => ( c1_1(X93)
                | c2_1(X93)
                | ~ c3_1(X93) ) )
          | ! [X94] : 
              ( ndr1_0
             => ( c1_1(X94)
                | ~ c2_1(X94)
                | ~ c3_1(X94) ) )
          | ! [X95] : 
              ( ndr1_0
             => ( c3_1(X95)
                | ~ c0_1(X95)
                | ~ c1_1(X95) ) ) )
        & ( ! [X96] : 
              ( ndr1_0
             => ( c1_1(X96)
                | c2_1(X96)
                | ~ c3_1(X96) ) )
          | ! [X97] : 
              ( ndr1_0
             => ( ~ c0_1(X97)
                | ~ c1_1(X97)
                | ~ c2_1(X97) ) )
          | hskp21 )
        & ( ! [X98] : 
              ( ndr1_0
             => ( c1_1(X98)
                | c3_1(X98)
                | ~ c0_1(X98) ) )
          | ! [X99] : 
              ( ndr1_0
             => ( c1_1(X99)
                | ~ c2_1(X99)
                | ~ c3_1(X99) ) )
          | hskp22 )
        & ( ! [X100] : 
              ( ndr1_0
             => ( c1_1(X100)
                | c3_1(X100)
                | ~ c0_1(X100) ) )
          | hskp1
          | hskp17 )
        & ( ! [X101] : 
              ( ndr1_0
             => ( c1_1(X101)
                | c3_1(X101)
                | ~ c0_1(X101) ) )
          | hskp11
          | hskp9 )
        & ( ! [X102] : 
              ( ndr1_0
             => ( c1_1(X102)
                | c3_1(X102)
                | ~ c2_1(X102) ) )
          | ! [X103] : 
              ( ndr1_0
             => ( c1_1(X103)
                | ~ c0_1(X103)
                | ~ c3_1(X103) ) )
          | ! [X104] : 
              ( ndr1_0
             => ( c2_1(X104)
                | ~ c0_1(X104)
                | ~ c1_1(X104) ) ) )
        & ( ! [X105] : 
              ( ndr1_0
             => ( c1_1(X105)
                | c3_1(X105)
                | ~ c2_1(X105) ) )
          | ! [X106] : 
              ( ndr1_0
             => ( c2_1(X106)
                | c3_1(X106)
                | ~ c0_1(X106) ) )
          | ! [X107] : 
              ( ndr1_0
             => ( ~ c0_1(X107)
                | ~ c1_1(X107)
                | ~ c2_1(X107) ) ) )
        & ( ! [X108] : 
              ( ndr1_0
             => ( c1_1(X108)
                | c3_1(X108)
                | ~ c2_1(X108) ) )
          | ! [X109] : 
              ( ndr1_0
             => ( c2_1(X109)
                | c3_1(X109)
                | ~ c1_1(X109) ) )
          | hskp1 )
        & ( ! [X110] : 
              ( ndr1_0
             => ( c1_1(X110)
                | c3_1(X110)
                | ~ c2_1(X110) ) )
          | ! [X111] : 
              ( ndr1_0
             => ( c2_1(X111)
                | ~ c0_1(X111)
                | ~ c3_1(X111) ) )
          | ! [X112] : 
              ( ndr1_0
             => ( ~ c0_1(X112)
                | ~ c1_1(X112)
                | ~ c3_1(X112) ) ) )
        & ( ! [X113] : 
              ( ndr1_0
             => ( c1_1(X113)
                | ~ c0_1(X113)
                | ~ c2_1(X113) ) )
          | ! [X114] : 
              ( ndr1_0
             => ( c1_1(X114)
                | ~ c2_1(X114)
                | ~ c3_1(X114) ) )
          | ! [X115] : 
              ( ndr1_0
             => ( c2_1(X115)
                | ~ c0_1(X115)
                | ~ c1_1(X115) ) ) )
        & ( ! [X116] : 
              ( ndr1_0
             => ( c1_1(X116)
                | ~ c0_1(X116)
                | ~ c2_1(X116) ) )
          | ! [X117] : 
              ( ndr1_0
             => ( c1_1(X117)
                | ~ c2_1(X117)
                | ~ c3_1(X117) ) )
          | ! [X118] : 
              ( ndr1_0
             => ( ~ c0_1(X118)
                | ~ c1_1(X118)
                | ~ c2_1(X118) ) ) )
        & ( ! [X119] : 
              ( ndr1_0
             => ( c1_1(X119)
                | ~ c0_1(X119)
                | ~ c2_1(X119) ) )
          | ! [X120] : 
              ( ndr1_0
             => ( c3_1(X120)
                | ~ c0_1(X120)
                | ~ c1_1(X120) ) )
          | hskp12 )
        & ( ! [X121] : 
              ( ndr1_0
             => ( c1_1(X121)
                | ~ c0_1(X121)
                | ~ c2_1(X121) ) )
          | hskp18
          | hskp19 )
        & ( ! [X122] : 
              ( ndr1_0
             => ( c1_1(X122)
                | ~ c0_1(X122)
                | ~ c2_1(X122) ) )
          | hskp11
          | hskp21 )
        & ( ! [X123] : 
              ( ndr1_0
             => ( c1_1(X123)
                | ~ c2_1(X123)
                | ~ c3_1(X123) ) )
          | ! [X124] : 
              ( ndr1_0
             => ( c3_1(X124)
                | ~ c0_1(X124)
                | ~ c2_1(X124) ) )
          | hskp8 )
        & ( ! [X125] : 
              ( ndr1_0
             => ( c2_1(X125)
                | c3_1(X125)
                | ~ c0_1(X125) ) )
          | ! [X126] : 
              ( ndr1_0
             => ( c3_1(X126)
                | ~ c1_1(X126)
                | ~ c2_1(X126) ) )
          | hskp20 )
        & ( ! [X127] : 
              ( ndr1_0
             => ( c2_1(X127)
                | c3_1(X127)
                | ~ c0_1(X127) ) )
          | ! [X128] : 
              ( ndr1_0
             => ( ~ c0_1(X128)
                | ~ c1_1(X128)
                | ~ c3_1(X128) ) )
          | hskp13 )
        & ( ! [X129] : 
              ( ndr1_0
             => ( c2_1(X129)
                | c3_1(X129)
                | ~ c0_1(X129) ) )
          | hskp26
          | hskp23 )
        & ( ! [X130] : 
              ( ndr1_0
             => ( c2_1(X130)
                | c3_1(X130)
                | ~ c0_1(X130) ) )
          | hskp24
          | hskp22 )
        & ( ! [X131] : 
              ( ndr1_0
             => ( c2_1(X131)
                | c3_1(X131)
                | ~ c1_1(X131) ) )
          | hskp19 )
        & ( ! [X132] : 
              ( ndr1_0
             => ( c2_1(X132)
                | ~ c0_1(X132)
                | ~ c1_1(X132) ) )
          | hskp20
          | hskp6 )
        & ( ! [X133] : 
              ( ndr1_0
             => ( c3_1(X133)
                | ~ c0_1(X133)
                | ~ c2_1(X133) ) )
          | hskp28
          | hskp18 )
        & ( ! [X134] : 
              ( ndr1_0
             => ( c3_1(X134)
                | ~ c1_1(X134)
                | ~ c2_1(X134) ) )
          | hskp6
          | hskp2 )
        & ( ! [X135] : 
              ( ndr1_0
             => ( ~ c0_1(X135)
                | ~ c1_1(X135)
                | ~ c3_1(X135) ) )
          | hskp25 )
        & ( hskp14
          | hskp20
          | hskp12 )
        & ( hskp29
          | hskp24
          | hskp19 )
        & ( hskp25
          | hskp22
          | hskp9 )
        & ( hskp1
          | hskp27
          | hskp4 )
        & ( hskp17
          | hskp22
          | hskp19 )
        & ( hskp27
          | hskp9 )
        & ( hskp11
          | hskp0
          | hskp22 )
        & ( hskp11
          | hskp21
          | hskp12 ) ) )).

%--------------------------------------------------------------------------
