%--------------------------------------------------------------------------
% File     : SYN510+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=80, K=3, D=1, P=0, Index=081
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-80-3-1-081.dfg [Wei97]

% Status   : Theorem
% Rating   : 0.33 v3.1.0, 0.67 v2.7.0, 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.00 v2.1.0
%
% Status (intuit.) : Open
% Rating (intuit.) : 1.00 v1.0.0
%
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  720 (   0 equality)
%            Maximal formula depth :  115 ( 115 average)
%            Number of connectives :  976 ( 257 ~  ; 405  |; 207  &)
%                                         (   0 <=>; 107 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   37 (  33 propositional; 0-1 arity)
%            Number of functors    :   32 (  32 constant; 0-0 arity)
%            Number of variables   :  107 (   0 singleton; 107 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%--------------------------------------------------------------------------
fof(co1,conjecture,
    ( ~ ( ( ~ hskp0
          | ( ndr1_0
            & c0_1(a536)
            & c2_1(a536)
            & ~ c3_1(a536) ) )
        & ( ~ hskp1
          | ( ndr1_0
            & c2_1(a537)
            & ~ c1_1(a537)
            & ~ c3_1(a537) ) )
        & ( ~ hskp2
          | ( ndr1_0
            & ~ c1_1(a538)
            & ~ c2_1(a538)
            & ~ c3_1(a538) ) )
        & ( ~ hskp3
          | ( ndr1_0
            & c0_1(a539)
            & ~ c2_1(a539)
            & ~ c3_1(a539) ) )
        & ( ~ hskp4
          | ( ndr1_0
            & c3_1(a540)
            & ~ c1_1(a540)
            & ~ c2_1(a540) ) )
        & ( ~ hskp5
          | ( ndr1_0
            & c0_1(a544)
            & c1_1(a544)
            & ~ c3_1(a544) ) )
        & ( ~ hskp6
          | ( ndr1_0
            & c3_1(a546)
            & ~ c0_1(a546)
            & ~ c1_1(a546) ) )
        & ( ~ hskp7
          | ( ndr1_0
            & c2_1(a547)
            & ~ c0_1(a547)
            & ~ c3_1(a547) ) )
        & ( ~ hskp8
          | ( ndr1_0
            & c1_1(a548)
            & c2_1(a548)
            & ~ c0_1(a548) ) )
        & ( ~ hskp9
          | ( ndr1_0
            & ~ c0_1(a549)
            & ~ c1_1(a549)
            & ~ c2_1(a549) ) )
        & ( ~ hskp10
          | ( ndr1_0
            & c1_1(a551)
            & c3_1(a551)
            & ~ c0_1(a551) ) )
        & ( ~ hskp11
          | ( ndr1_0
            & c1_1(a553)
            & c3_1(a553)
            & ~ c2_1(a553) ) )
        & ( ~ hskp12
          | ( ndr1_0
            & c0_1(a564)
            & c3_1(a564)
            & ~ c1_1(a564) ) )
        & ( ~ hskp13
          | ( ndr1_0
            & c0_1(a565)
            & c3_1(a565)
            & ~ c2_1(a565) ) )
        & ( ~ hskp14
          | ( ndr1_0
            & c2_1(a566)
            & c3_1(a566)
            & ~ c0_1(a566) ) )
        & ( ~ hskp15
          | ( ndr1_0
            & c0_1(a567)
            & c1_1(a567)
            & ~ c2_1(a567) ) )
        & ( ~ hskp16
          | ( ndr1_0
            & c1_1(a570)
            & ~ c2_1(a570)
            & ~ c3_1(a570) ) )
        & ( ~ hskp17
          | ( ndr1_0
            & c0_1(a571)
            & ~ c1_1(a571)
            & ~ c2_1(a571) ) )
        & ( ~ hskp18
          | ( ndr1_0
            & ~ c0_1(a573)
            & ~ c1_1(a573)
            & ~ c3_1(a573) ) )
        & ( ~ hskp19
          | ( ndr1_0
            & c0_1(a576)
            & ~ c1_1(a576)
            & ~ c3_1(a576) ) )
        & ( ~ hskp20
          | ( ndr1_0
            & c1_1(a580)
            & ~ c0_1(a580)
            & ~ c3_1(a580) ) )
        & ( ~ hskp21
          | ( ndr1_0
            & c2_1(a582)
            & c3_1(a582)
            & ~ c1_1(a582) ) )
        & ( ~ hskp22
          | ( ndr1_0
            & c3_1(a584)
            & ~ c0_1(a584)
            & ~ c2_1(a584) ) )
        & ( ~ hskp23
          | ( ndr1_0
            & ~ c0_1(a587)
            & ~ c2_1(a587)
            & ~ c3_1(a587) ) )
        & ( ~ hskp24
          | ( ndr1_0
            & c1_1(a590)
            & ~ c0_1(a590)
            & ~ c2_1(a590) ) )
        & ( ~ hskp25
          | ( ndr1_0
            & c2_1(a594)
            & ~ c0_1(a594)
            & ~ c1_1(a594) ) )
        & ( ~ hskp26
          | ( ndr1_0
            & c1_1(a604)
            & c2_1(a604)
            & ~ c3_1(a604) ) )
        & ( ~ hskp27
          | ( ndr1_0
            & c0_1(a615)
            & c2_1(a615)
            & ~ c1_1(a615) ) )
        & ( ~ hskp28
          | ( ndr1_0
            & c0_1(a541)
            & c1_1(a541)
            & c2_1(a541) ) )
        & ( ~ hskp29
          | ( ndr1_0
            & c0_1(a552)
            & c2_1(a552)
            & c3_1(a552) ) )
        & ( ~ hskp30
          | ( ndr1_0
            & c1_1(a562)
            & c2_1(a562)
            & c3_1(a562) ) )
        & ( ~ hskp31
          | ( ndr1_0
            & c0_1(a563)
            & c1_1(a563)
            & c3_1(a563) ) )
        & ( ! [U] : 
              ( ndr1_0
             => ( c0_1(U)
                | c1_1(U)
                | c2_1(U) ) )
          | ! [V] : 
              ( ndr1_0
             => ( c0_1(V)
                | c1_1(V)
                | ~ c3_1(V) ) )
          | hskp0 )
        & ( ! [W] : 
              ( ndr1_0
             => ( c0_1(W)
                | c1_1(W)
                | c2_1(W) ) )
          | ! [X] : 
              ( ndr1_0
             => ( c1_1(X)
                | ~ c0_1(X)
                | ~ c3_1(X) ) )
          | hskp1 )
        & ( ! [Y] : 
              ( ndr1_0
             => ( c0_1(Y)
                | c1_1(Y)
                | c2_1(Y) ) )
          | ! [Z] : 
              ( ndr1_0
             => ( ~ c0_1(Z)
                | ~ c1_1(Z)
                | ~ c2_1(Z) ) )
          | hskp2 )
        & ( ! [X1] : 
              ( ndr1_0
             => ( c0_1(X1)
                | c1_1(X1)
                | c3_1(X1) ) )
          | ! [X2] : 
              ( ndr1_0
             => ( c1_1(X2)
                | c2_1(X2)
                | ~ c3_1(X2) ) )
          | hskp3 )
        & ( ! [X3] : 
              ( ndr1_0
             => ( c0_1(X3)
                | c1_1(X3)
                | c3_1(X3) ) )
          | ! [X4] : 
              ( ndr1_0
             => ( c1_1(X4)
                | c3_1(X4)
                | ~ c0_1(X4) ) )
          | ! [X5] : 
              ( ndr1_0
             => ( c2_1(X5)
                | ~ c0_1(X5)
                | ~ c1_1(X5) ) ) )
        & ( ! [X6] : 
              ( ndr1_0
             => ( c0_1(X6)
                | c1_1(X6)
                | c3_1(X6) ) )
          | ! [X7] : 
              ( ndr1_0
             => ( c2_1(X7)
                | ~ c0_1(X7)
                | ~ c3_1(X7) ) )
          | hskp4 )
        & ( ! [X8] : 
              ( ndr1_0
             => ( c0_1(X8)
                | c1_1(X8)
                | c3_1(X8) ) )
          | hskp28
          | hskp2 )
        & ( ! [X9] : 
              ( ndr1_0
             => ( c0_1(X9)
                | c1_1(X9)
                | ~ c2_1(X9) ) )
          | ! [X10] : 
              ( ndr1_0
             => ( c0_1(X10)
                | c1_1(X10)
                | ~ c3_1(X10) ) )
          | ! [X11] : 
              ( ndr1_0
             => ( c0_1(X11)
                | ~ c2_1(X11)
                | ~ c3_1(X11) ) ) )
        & ( ! [X12] : 
              ( ndr1_0
             => ( c0_1(X12)
                | c1_1(X12)
                | ~ c3_1(X12) ) )
          | ! [X13] : 
              ( ndr1_0
             => ( ~ c0_1(X13)
                | ~ c1_1(X13)
                | ~ c2_1(X13) ) )
          | hskp1 )
        & ( ! [X14] : 
              ( ndr1_0
             => ( c0_1(X14)
                | c1_1(X14)
                | ~ c3_1(X14) ) )
          | hskp5
          | hskp2 )
        & ( ! [X15] : 
              ( ndr1_0
             => ( c0_1(X15)
                | c2_1(X15)
                | c3_1(X15) ) )
          | ! [X16] : 
              ( ndr1_0
             => ( c1_1(X16)
                | ~ c0_1(X16)
                | ~ c2_1(X16) ) )
          | hskp6 )
        & ( ! [X17] : 
              ( ndr1_0
             => ( c0_1(X17)
                | c2_1(X17)
                | c3_1(X17) ) )
          | ! [X18] : 
              ( ndr1_0
             => ( c2_1(X18)
                | ~ c0_1(X18)
                | ~ c1_1(X18) ) )
          | ! [X19] : 
              ( ndr1_0
             => ( ~ c0_1(X19)
                | ~ c1_1(X19)
                | ~ c3_1(X19) ) ) )
        & ( ! [X20] : 
              ( ndr1_0
             => ( c0_1(X20)
                | c2_1(X20)
                | c3_1(X20) ) )
          | ! [X21] : 
              ( ndr1_0
             => ( c2_1(X21)
                | ~ c0_1(X21)
                | ~ c3_1(X21) ) )
          | hskp7 )
        & ( ! [X22] : 
              ( ndr1_0
             => ( c0_1(X22)
                | c2_1(X22)
                | c3_1(X22) ) )
          | hskp8
          | hskp9 )
        & ( ! [X23] : 
              ( ndr1_0
             => ( c0_1(X23)
                | c2_1(X23)
                | ~ c1_1(X23) ) )
          | ! [X24] : 
              ( ndr1_0
             => ( c0_1(X24)
                | c2_1(X24)
                | ~ c3_1(X24) ) )
          | ! [X25] : 
              ( ndr1_0
             => ( c1_1(X25)
                | c3_1(X25)
                | ~ c0_1(X25) ) ) )
        & ( ! [X26] : 
              ( ndr1_0
             => ( c0_1(X26)
                | c2_1(X26)
                | ~ c1_1(X26) ) )
          | ! [X27] : 
              ( ndr1_0
             => ( c0_1(X27)
                | ~ c2_1(X27)
                | ~ c3_1(X27) ) )
          | ! [X28] : 
              ( ndr1_0
             => ( ~ c1_1(X28)
                | ~ c2_1(X28)
                | ~ c3_1(X28) ) ) )
        & ( ! [X29] : 
              ( ndr1_0
             => ( c0_1(X29)
                | c2_1(X29)
                | ~ c1_1(X29) ) )
          | hskp8
          | hskp10 )
        & ( ! [X30] : 
              ( ndr1_0
             => ( c0_1(X30)
                | c2_1(X30)
                | ~ c3_1(X30) ) )
          | hskp29
          | hskp11 )
        & ( ! [X31] : 
              ( ndr1_0
             => ( c0_1(X31)
                | c3_1(X31)
                | ~ c1_1(X31) ) )
          | ! [X32] : 
              ( ndr1_0
             => ( ~ c0_1(X32)
                | ~ c1_1(X32)
                | ~ c2_1(X32) ) )
          | hskp11 )
        & ( ! [X33] : 
              ( ndr1_0
             => ( c0_1(X33)
                | c3_1(X33)
                | ~ c1_1(X33) ) )
          | ! [X34] : 
              ( ndr1_0
             => ( ~ c0_1(X34)
                | ~ c1_1(X34)
                | ~ c3_1(X34) ) )
          | ! [X35] : 
              ( ndr1_0
             => ( ~ c0_1(X35)
                | ~ c2_1(X35)
                | ~ c3_1(X35) ) ) )
        & ( ! [X36] : 
              ( ndr1_0
             => ( c0_1(X36)
                | c3_1(X36)
                | ~ c1_1(X36) ) )
          | hskp11
          | hskp9 )
        & ( ! [X37] : 
              ( ndr1_0
             => ( c0_1(X37)
                | c3_1(X37)
                | ~ c2_1(X37) ) )
          | ! [X38] : 
              ( ndr1_0
             => ( ~ c0_1(X38)
                | ~ c2_1(X38)
                | ~ c3_1(X38) ) )
          | hskp0 )
        & ( ! [X39] : 
              ( ndr1_0
             => ( c0_1(X39)
                | ~ c1_1(X39)
                | ~ c2_1(X39) ) )
          | hskp10
          | hskp9 )
        & ( ! [X40] : 
              ( ndr1_0
             => ( c0_1(X40)
                | ~ c1_1(X40)
                | ~ c3_1(X40) ) )
          | ! [X41] : 
              ( ndr1_0
             => ( c2_1(X41)
                | ~ c0_1(X41)
                | ~ c1_1(X41) ) )
          | hskp6 )
        & ( ! [X42] : 
              ( ndr1_0
             => ( c0_1(X42)
                | ~ c1_1(X42)
                | ~ c3_1(X42) ) )
          | hskp0
          | hskp30 )
        & ( ! [X43] : 
              ( ndr1_0
             => ( c0_1(X43)
                | ~ c2_1(X43)
                | ~ c3_1(X43) ) )
          | ! [X44] : 
              ( ndr1_0
             => ( c1_1(X44)
                | c3_1(X44)
                | ~ c2_1(X44) ) )
          | ! [X45] : 
              ( ndr1_0
             => ( c2_1(X45)
                | ~ c0_1(X45)
                | ~ c3_1(X45) ) ) )
        & ( ! [X46] : 
              ( ndr1_0
             => ( c0_1(X46)
                | ~ c2_1(X46)
                | ~ c3_1(X46) ) )
          | ! [X47] : 
              ( ndr1_0
             => ( c1_1(X47)
                | ~ c0_1(X47)
                | ~ c2_1(X47) ) )
          | hskp31 )
        & ( ! [X48] : 
              ( ndr1_0
             => ( c0_1(X48)
                | ~ c2_1(X48)
                | ~ c3_1(X48) ) )
          | ! [X49] : 
              ( ndr1_0
             => ( ~ c0_1(X49)
                | ~ c1_1(X49)
                | ~ c2_1(X49) ) )
          | hskp12 )
        & ( ! [X50] : 
              ( ndr1_0
             => ( c0_1(X50)
                | ~ c2_1(X50)
                | ~ c3_1(X50) ) )
          | hskp13
          | hskp14 )
        & ( ! [X51] : 
              ( ndr1_0
             => ( c1_1(X51)
                | c2_1(X51)
                | c3_1(X51) ) )
          | hskp15
          | hskp2 )
        & ( ! [X52] : 
              ( ndr1_0
             => ( c1_1(X52)
                | c2_1(X52)
                | c3_1(X52) ) )
          | hskp3
          | hskp16 )
        & ( ! [X53] : 
              ( ndr1_0
             => ( c1_1(X53)
                | c2_1(X53)
                | ~ c0_1(X53) ) )
          | ! [X54] : 
              ( ndr1_0
             => ( c2_1(X54)
                | ~ c0_1(X54)
                | ~ c1_1(X54) ) )
          | hskp17 )
        & ( ! [X55] : 
              ( ndr1_0
             => ( c1_1(X55)
                | c2_1(X55)
                | ~ c0_1(X55) ) )
          | ! [X56] : 
              ( ndr1_0
             => ( c3_1(X56)
                | ~ c0_1(X56)
                | ~ c1_1(X56) ) )
          | hskp12 )
        & ( ! [X57] : 
              ( ndr1_0
             => ( c1_1(X57)
                | c2_1(X57)
                | ~ c0_1(X57) ) )
          | ! [X58] : 
              ( ndr1_0
             => ( c3_1(X58)
                | ~ c1_1(X58)
                | ~ c2_1(X58) ) )
          | hskp18 )
        & ( ! [X59] : 
              ( ndr1_0
             => ( c1_1(X59)
                | c2_1(X59)
                | ~ c0_1(X59) ) )
          | hskp12
          | hskp11 )
        & ( ! [X60] : 
              ( ndr1_0
             => ( c1_1(X60)
                | c2_1(X60)
                | ~ c3_1(X60) ) )
          | hskp19
          | hskp9 )
        & ( ! [X61] : 
              ( ndr1_0
             => ( c1_1(X61)
                | c3_1(X61)
                | ~ c0_1(X61) ) )
          | ! [X62] : 
              ( ndr1_0
             => ( ~ c0_1(X62)
                | ~ c1_1(X62)
                | ~ c2_1(X62) ) )
          | hskp13 )
        & ( ! [X63] : 
              ( ndr1_0
             => ( c1_1(X63)
                | c3_1(X63)
                | ~ c0_1(X63) ) )
          | hskp13
          | hskp20 )
        & ( ! [X64] : 
              ( ndr1_0
             => ( c1_1(X64)
                | c3_1(X64)
                | ~ c2_1(X64) ) )
          | hskp29
          | hskp21 )
        & ( ! [X65] : 
              ( ndr1_0
             => ( c1_1(X65)
                | ~ c0_1(X65)
                | ~ c2_1(X65) ) )
          | ! [X66] : 
              ( ndr1_0
             => ( c1_1(X66)
                | ~ c2_1(X66)
                | ~ c3_1(X66) ) )
          | hskp19 )
        & ( ! [X67] : 
              ( ndr1_0
             => ( c1_1(X67)
                | ~ c0_1(X67)
                | ~ c2_1(X67) ) )
          | ! [X68] : 
              ( ndr1_0
             => ( c2_1(X68)
                | c3_1(X68)
                | ~ c1_1(X68) ) )
          | hskp22 )
        & ( ! [X69] : 
              ( ndr1_0
             => ( c1_1(X69)
                | ~ c0_1(X69)
                | ~ c2_1(X69) ) )
          | ! [X70] : 
              ( ndr1_0
             => ( c2_1(X70)
                | ~ c0_1(X70)
                | ~ c1_1(X70) ) )
          | hskp7 )
        & ( ! [X71] : 
              ( ndr1_0
             => ( c1_1(X71)
                | ~ c0_1(X71)
                | ~ c2_1(X71) ) )
          | ! [X72] : 
              ( ndr1_0
             => ( c2_1(X72)
                | ~ c1_1(X72)
                | ~ c3_1(X72) ) )
          | hskp3 )
        & ( ! [X73] : 
              ( ndr1_0
             => ( c1_1(X73)
                | ~ c0_1(X73)
                | ~ c2_1(X73) ) )
          | ! [X74] : 
              ( ndr1_0
             => ( ~ c0_1(X74)
                | ~ c1_1(X74)
                | ~ c2_1(X74) ) )
          | hskp23 )
        & ( ! [X75] : 
              ( ndr1_0
             => ( c1_1(X75)
                | ~ c0_1(X75)
                | ~ c3_1(X75) ) )
          | ! [X76] : 
              ( ndr1_0
             => ( c2_1(X76)
                | ~ c0_1(X76)
                | ~ c3_1(X76) ) )
          | ! [X77] : 
              ( ndr1_0
             => ( c3_1(X77)
                | ~ c0_1(X77)
                | ~ c2_1(X77) ) ) )
        & ( ! [X78] : 
              ( ndr1_0
             => ( c2_1(X78)
                | c3_1(X78)
                | ~ c0_1(X78) ) )
          | ! [X79] : 
              ( ndr1_0
             => ( ~ c0_1(X79)
                | ~ c2_1(X79)
                | ~ c3_1(X79) ) ) )
        & ( ! [X80] : 
              ( ndr1_0
             => ( c2_1(X80)
                | c3_1(X80)
                | ~ c0_1(X80) ) )
          | hskp21
          | hskp22 )
        & ( ! [X81] : 
              ( ndr1_0
             => ( c2_1(X81)
                | c3_1(X81)
                | ~ c1_1(X81) ) )
          | ! [X82] : 
              ( ndr1_0
             => ( ~ c0_1(X82)
                | ~ c1_1(X82)
                | ~ c3_1(X82) ) )
          | hskp24 )
        & ( ! [X83] : 
              ( ndr1_0
             => ( c2_1(X83)
                | c3_1(X83)
                | ~ c1_1(X83) ) )
          | ! [X84] : 
              ( ndr1_0
             => ( ~ c0_1(X84)
                | ~ c2_1(X84)
                | ~ c3_1(X84) ) )
          | hskp14 )
        & ( ! [X85] : 
              ( ndr1_0
             => ( c2_1(X85)
                | c3_1(X85)
                | ~ c1_1(X85) ) )
          | hskp3
          | hskp6 )
        & ( ! [X86] : 
              ( ndr1_0
             => ( c2_1(X86)
                | c3_1(X86)
                | ~ c1_1(X86) ) )
          | hskp25
          | hskp4 )
        & ( ! [X87] : 
              ( ndr1_0
             => ( c2_1(X87)
                | ~ c0_1(X87)
                | ~ c3_1(X87) ) )
          | hskp15
          | hskp0 )
        & ( ! [X88] : 
              ( ndr1_0
             => ( c2_1(X88)
                | ~ c1_1(X88)
                | ~ c3_1(X88) ) )
          | hskp3
          | hskp6 )
        & ( ! [X89] : 
              ( ndr1_0
             => ( c3_1(X89)
                | ~ c0_1(X89)
                | ~ c2_1(X89) ) )
          | hskp12
          | hskp21 )
        & ( ! [X90] : 
              ( ndr1_0
             => ( c3_1(X90)
                | ~ c0_1(X90)
                | ~ c2_1(X90) ) )
          | hskp30
          | hskp7 )
        & ( ! [X91] : 
              ( ndr1_0
             => ( c3_1(X91)
                | ~ c0_1(X91)
                | ~ c2_1(X91) ) )
          | hskp26
          | hskp24 )
        & ( ! [X92] : 
              ( ndr1_0
             => ( c3_1(X92)
                | ~ c0_1(X92)
                | ~ c2_1(X92) ) )
          | hskp14
          | hskp21 )
        & ( ! [X93] : 
              ( ndr1_0
             => ( c3_1(X93)
                | ~ c0_1(X93)
                | ~ c2_1(X93) ) )
          | hskp25
          | hskp9 )
        & ( ! [X94] : 
              ( ndr1_0
             => ( c3_1(X94)
                | ~ c1_1(X94)
                | ~ c2_1(X94) ) )
          | hskp5
          | hskp4 )
        & ( ! [X95] : 
              ( ndr1_0
             => ( ~ c0_1(X95)
                | ~ c1_1(X95)
                | ~ c2_1(X95) ) )
          | hskp26
          | hskp14 )
        & ( ! [X96] : 
              ( ndr1_0
             => ( ~ c0_1(X96)
                | ~ c1_1(X96)
                | ~ c3_1(X96) ) )
          | ! [X97] : 
              ( ndr1_0
             => ( ~ c0_1(X97)
                | ~ c2_1(X97)
                | ~ c3_1(X97) ) )
          | hskp14 )
        & ( ! [X98] : 
              ( ndr1_0
             => ( ~ c0_1(X98)
                | ~ c1_1(X98)
                | ~ c3_1(X98) ) )
          | hskp27
          | hskp26 )
        & ( ! [X99] : 
              ( ndr1_0
             => ( ~ c0_1(X99)
                | ~ c2_1(X99)
                | ~ c3_1(X99) ) )
          | hskp26
          | hskp4 )
        & ( ! [X100] : 
              ( ndr1_0
             => ( ~ c0_1(X100)
                | ~ c2_1(X100)
                | ~ c3_1(X100) ) )
          | hskp10
          | hskp14 )
        & ( ! [X101] : 
              ( ndr1_0
             => ( ~ c1_1(X101)
                | ~ c2_1(X101)
                | ~ c3_1(X101) ) )
          | hskp20
          | hskp14 )
        & ( hskp28
          | hskp15
          | hskp23 )
        & ( hskp31
          | hskp12
          | hskp14 )
        & ( hskp31
          | hskp10
          | hskp16 )
        & ( hskp31
          | hskp20
          | hskp22 )
        & ( hskp5
          | hskp27
          | hskp25 )
        & ( hskp5
          | hskp10
          | hskp14 )
        & ( hskp12
          | hskp7
          | hskp4 )
        & ( hskp13
          | hskp24
          | hskp6 )
        & ( hskp13
          | hskp14
          | hskp6 )
        & ( hskp13
          | hskp25
          | hskp22 )
        & ( hskp3
          | hskp24
          | hskp18 )
        & ( hskp26
          | hskp7
          | hskp22 )
        & ( hskp26
          | hskp6
          | hskp2 )
        & ( hskp24
          | hskp9
          | hskp2 )
        & ( hskp21
          | hskp22
          | hskp23 ) ) )).

%--------------------------------------------------------------------------
