%--------------------------------------------------------------------------
% File     : SYN513+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=105, K=3, D=2, P=0, Index=093
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-105-3-2-093.dfg [Wei97]

% Status   : CounterSatisfiable
% Rating   : 0.25 v3.1.0, 0.67 v2.7.0, 0.83 v2.6.0, 0.50 v2.5.0, 0.33 v2.4.0, 0.67 v2.3.0, 0.33 v2.2.1, 0.00 v2.1.0
%
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
%
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  863 (   0 equality)
%            Maximal formula depth :   92 (  92 average)
%            Number of connectives : 1161 ( 299 ~  ; 338  |; 405  &)
%                                         (   0 <=>; 119 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   17 (   6 propositional; 0-2 arity)
%            Number of functors    :  122 ( 122 constant; 0-0 arity)
%            Number of variables   :  119 (   0 singleton; 119 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%--------------------------------------------------------------------------
fof(co1,conjecture,
    ( ~ ( ( ( ndr1_0
            & ~ c5_1(a775)
            & ~ c3_1(a775)
            & c1_1(a775) )
          | ~ c4_0 )
        & ( c5_0
          | ( ndr1_0
            & ndr1_1(a776)
            & ~ c3_2(a776,a777)
            & c2_2(a776,a777)
            & ~ c1_2(a776,a777)
            & ~ c2_1(a776)
            & ! [U] : 
                ( ndr1_1(a776)
               => ( c5_2(a776,U)
                  | ~ c3_2(a776,U) ) ) )
          | ! [V] : 
              ( ndr1_0
             => ( ~ c2_1(V)
                | ( ndr1_1(V)
                  & c3_2(V,a778)
                  & c1_2(V,a778)
                  & c4_2(V,a778) )
                | ! [W] : 
                    ( ndr1_1(V)
                   => ( c1_2(V,W)
                      | c3_2(V,W)
                      | c5_2(V,W) ) ) ) ) )
        & ( ( ndr1_0
            & ~ c3_1(a779)
            & ! [X] : 
                ( ndr1_1(a779)
               => ( ~ c1_2(a779,X)
                  | c2_2(a779,X)
                  | c3_2(a779,X) ) ) )
          | c3_0
          | ( ndr1_0
            & ! [Y] : 
                ( ndr1_1(a780)
               => ( c2_2(a780,Y)
                  | c3_2(a780,Y)
                  | c1_2(a780,Y) ) )
            & c3_1(a780) ) )
        & ( ~ c2_0
          | c4_0 )
        & ( ( ndr1_0
            & ~ c4_1(a781)
            & ! [Z] : 
                ( ndr1_1(a781)
               => ( ~ c2_2(a781,Z)
                  | c4_2(a781,Z)
                  | ~ c1_2(a781,Z) ) ) )
          | ~ c4_0
          | ! [X1] : 
              ( ndr1_0
             => ( ! [X2] : 
                    ( ndr1_1(X1)
                   => ( c1_2(X1,X2)
                      | ~ c2_2(X1,X2)
                      | c4_2(X1,X2) ) )
                | ! [X3] : 
                    ( ndr1_1(X1)
                   => ( ~ c4_2(X1,X3)
                      | ~ c2_2(X1,X3) ) )
                | c1_1(X1) ) ) )
        & ( ~ c1_0
          | ~ c4_0
          | ! [X4] : 
              ( ndr1_0
             => ( ~ c3_1(X4)
                | ( ndr1_1(X4)
                  & ~ c2_2(X4,a782)
                  & ~ c5_2(X4,a782)
                  & ~ c1_2(X4,a782) )
                | ~ c1_1(X4) ) ) )
        & ( c4_0
          | ~ c1_0
          | ! [X5] : 
              ( ndr1_0
             => ( ~ c5_1(X5)
                | c1_1(X5)
                | ( ndr1_1(X5)
                  & ~ c4_2(X5,a783)
                  & ~ c2_2(X5,a783)
                  & ~ c3_2(X5,a783) ) ) ) )
        & ( ! [X6] : 
              ( ndr1_0
             => ( ! [X7] : 
                    ( ndr1_1(X6)
                   => ( ~ c5_2(X6,X7)
                      | c3_2(X6,X7)
                      | ~ c4_2(X6,X7) ) )
                | ~ c5_1(X6)
                | ! [X8] : 
                    ( ndr1_1(X6)
                   => ( ~ c5_2(X6,X8)
                      | ~ c1_2(X6,X8) ) ) ) )
          | ! [X9] : 
              ( ndr1_0
             => ( ( ndr1_1(X9)
                  & c3_2(X9,a784)
                  & c2_2(X9,a784)
                  & ~ c1_2(X9,a784) )
                | ~ c4_1(X9) ) )
          | ! [X10] : 
              ( ndr1_0
             => ( ( ndr1_1(X10)
                  & c5_2(X10,a785)
                  & ~ c2_2(X10,a785)
                  & ~ c1_2(X10,a785) )
                | c2_1(X10) ) ) )
        & ( ( ndr1_0
            & ! [X11] : 
                ( ndr1_1(a786)
               => ( c3_2(a786,X11)
                  | ~ c1_2(a786,X11)
                  | c5_2(a786,X11) ) )
            & ! [X12] : 
                ( ndr1_1(a786)
               => ( c5_2(a786,X12)
                  | c4_2(a786,X12)
                  | ~ c2_2(a786,X12) ) )
            & ~ c4_1(a786) )
          | ! [X13] : 
              ( ndr1_0
             => ( ( ndr1_1(X13)
                  & ~ c4_2(X13,a787)
                  & ~ c3_2(X13,a787)
                  & c5_2(X13,a787) )
                | ( ndr1_1(X13)
                  & ~ c2_2(X13,a788)
                  & c3_2(X13,a788)
                  & c1_2(X13,a788) )
                | c3_1(X13) ) )
          | ( ndr1_0
            & ~ c5_1(a789)
            & ndr1_1(a789)
            & c5_2(a789,a790)
            & c1_2(a789,a790)
            & ~ c4_2(a789,a790)
            & c1_1(a789) ) )
        & ( ! [X14] : 
              ( ndr1_0
             => ( ! [X15] : 
                    ( ndr1_1(X14)
                   => ( c1_2(X14,X15)
                      | c5_2(X14,X15)
                      | c3_2(X14,X15) ) )
                | ~ c2_1(X14)
                | c5_1(X14) ) )
          | ~ c3_0
          | c2_0 )
        & ( ! [X16] : 
              ( ndr1_0
             => ( ! [X17] : 
                    ( ndr1_1(X16)
                   => ( c4_2(X16,X17)
                      | ~ c5_2(X16,X17)
                      | c2_2(X16,X17) ) )
                | ( ndr1_1(X16)
                  & c4_2(X16,a791)
                  & c3_2(X16,a791)
                  & c1_2(X16,a791) )
                | c5_1(X16) ) )
          | ! [X18] : 
              ( ndr1_0
             => ( ~ c2_1(X18)
                | c4_1(X18)
                | c1_1(X18) ) )
          | c2_0 )
        & ( c4_0
          | ~ c2_0
          | c1_0 )
        & ( ( ndr1_0
            & ndr1_1(a792)
            & ~ c5_2(a792,a793)
            & c1_2(a792,a793)
            & c4_1(a792)
            & ndr1_1(a792)
            & ~ c4_2(a792,a794)
            & c3_2(a792,a794)
            & ~ c1_2(a792,a794) )
          | ( ndr1_0
            & ! [X19] : 
                ( ndr1_1(a795)
               => ( ~ c2_2(a795,X19)
                  | c1_2(a795,X19)
                  | ~ c5_2(a795,X19) ) )
            & ! [X20] : 
                ( ndr1_1(a795)
               => ( ~ c1_2(a795,X20)
                  | c5_2(a795,X20)
                  | c3_2(a795,X20) ) )
            & ~ c1_1(a795) )
          | ~ c3_0 )
        & ( ~ c2_0
          | ~ c4_0
          | c3_0 )
        & ( ! [X21] : 
              ( ndr1_0
             => ( ! [X22] : 
                    ( ndr1_1(X21)
                   => ( c4_2(X21,X22)
                      | ~ c5_2(X21,X22)
                      | c3_2(X21,X22) ) )
                | ! [X23] : 
                    ( ndr1_1(X21)
                   => ( c3_2(X21,X23)
                      | c2_2(X21,X23) ) )
                | ~ c3_1(X21) ) )
          | ( ndr1_0
            & ndr1_1(a796)
            & ~ c5_2(a796,a797)
            & c2_2(a796,a797)
            & c1_2(a796,a797)
            & ndr1_1(a796)
            & ~ c2_2(a796,a798)
            & ~ c3_2(a796,a798)
            & ~ c2_1(a796) ) )
        & ( c5_0
          | ! [X24] : 
              ( ndr1_0
             => ( ( ndr1_1(X24)
                  & c3_2(X24,a799)
                  & c4_2(X24,a799)
                  & ~ c1_2(X24,a799) )
                | c4_1(X24) ) )
          | c4_0 )
        & ( c1_0
          | ( ndr1_0
            & c2_1(a800)
            & ! [X25] : 
                ( ndr1_1(a800)
               => ( ~ c4_2(a800,X25)
                  | ~ c1_2(a800,X25)
                  | ~ c5_2(a800,X25) ) )
            & ! [X26] : 
                ( ndr1_1(a800)
               => ( c5_2(a800,X26)
                  | c2_2(a800,X26) ) ) ) )
        & ( ( ndr1_0
            & ndr1_1(a801)
            & c5_2(a801,a802)
            & c1_2(a801,a802)
            & c4_2(a801,a802)
            & ! [X27] : 
                ( ndr1_1(a801)
               => ( c5_2(a801,X27)
                  | ~ c1_2(a801,X27)
                  | ~ c3_2(a801,X27) ) )
            & c2_1(a801) )
          | ! [X28] : 
              ( ndr1_0
             => ( ~ c4_1(X28)
                | c2_1(X28) ) )
          | ! [X29] : 
              ( ndr1_0
             => ( ( ndr1_1(X29)
                  & c2_2(X29,a803)
                  & ~ c5_2(X29,a803)
                  & c4_2(X29,a803) )
                | ~ c3_1(X29)
                | ! [X30] : 
                    ( ndr1_1(X29)
                   => ( ~ c2_2(X29,X30)
                      | ~ c4_2(X29,X30)
                      | ~ c3_2(X29,X30) ) ) ) ) )
        & ( ~ c3_0
          | ( ndr1_0
            & ! [X31] : 
                ( ndr1_1(a804)
               => ( c1_2(a804,X31)
                  | c3_2(a804,X31)
                  | c4_2(a804,X31) ) )
            & c5_1(a804) )
          | ! [X32] : 
              ( ndr1_0
             => ( ( ndr1_1(X32)
                  & c2_2(X32,a805)
                  & c4_2(X32,a805)
                  & ~ c5_2(X32,a805) )
                | ~ c4_1(X32) ) ) )
        & ( ! [X33] : 
              ( ndr1_0
             => ( ( ndr1_1(X33)
                  & c5_2(X33,a806)
                  & c2_2(X33,a806)
                  & c4_2(X33,a806) )
                | ( ndr1_1(X33)
                  & ~ c3_2(X33,a807)
                  & ~ c2_2(X33,a807) )
                | ( ndr1_1(X33)
                  & c5_2(X33,a808)
                  & ~ c2_2(X33,a808)
                  & c4_2(X33,a808) ) ) )
          | ! [X34] : 
              ( ndr1_0
             => ( ~ c2_1(X34)
                | ~ c3_1(X34)
                | ( ndr1_1(X34)
                  & c5_2(X34,a809)
                  & c3_2(X34,a809)
                  & c1_2(X34,a809) ) ) )
          | c4_0 )
        & ( ! [X35] : 
              ( ndr1_0
             => ( ~ c5_1(X35)
                | c3_1(X35)
                | ~ c4_1(X35) ) )
          | ~ c5_0 )
        & ( c4_0
          | ( ndr1_0
            & c2_1(a810)
            & c4_1(a810) )
          | c5_0 )
        & ( ! [X36] : 
              ( ndr1_0
             => ( ~ c3_1(X36)
                | c1_1(X36)
                | ( ndr1_1(X36)
                  & ~ c2_2(X36,a811)
                  & c3_2(X36,a811) ) ) )
          | ( ndr1_0
            & ~ c3_1(a812)
            & ndr1_1(a812)
            & c3_2(a812,a813)
            & c1_2(a812,a813)
            & c2_2(a812,a813) ) )
        & ( ! [X37] : 
              ( ndr1_0
             => ( ~ c5_1(X37)
                | ~ c4_1(X37) ) )
          | c3_0 )
        & ( ~ c1_0
          | ( ndr1_0
            & c3_1(a814)
            & c2_1(a814) )
          | ~ c2_0 )
        & ( ( ndr1_0
            & ndr1_1(a815)
            & c1_2(a815,a816)
            & c3_2(a815,a816)
            & ~ c5_2(a815,a816)
            & c3_1(a815)
            & ~ c5_1(a815) )
          | c2_0
          | c5_0 )
        & ( ( ndr1_0
            & c4_1(a817)
            & c2_1(a817) )
          | ( ndr1_0
            & c3_1(a818)
            & ndr1_1(a818)
            & ~ c3_2(a818,a819)
            & ~ c2_2(a818,a819)
            & ~ c5_2(a818,a819)
            & ! [X38] : 
                ( ndr1_1(a818)
               => ( ~ c1_2(a818,X38)
                  | c4_2(a818,X38)
                  | c5_2(a818,X38) ) ) )
          | ( ndr1_0
            & ndr1_1(a820)
            & ~ c3_2(a820,a821)
            & c1_2(a820,a821)
            & ~ c5_2(a820,a821)
            & ndr1_1(a820)
            & ~ c5_2(a820,a822)
            & ~ c2_2(a820,a822) ) )
        & ( ( ndr1_0
            & ! [X39] : 
                ( ndr1_1(a823)
               => ( ~ c3_2(a823,X39)
                  | ~ c2_2(a823,X39)
                  | c1_2(a823,X39) ) )
            & c5_1(a823) )
          | c5_0
          | ~ c2_0 )
        & ( c3_0
          | ! [X40] : 
              ( ndr1_0
             => ( ~ c5_1(X40)
                | c4_1(X40) ) )
          | ( ndr1_0
            & ~ c2_1(a824)
            & ! [X41] : 
                ( ndr1_1(a824)
               => ( ~ c4_2(a824,X41)
                  | ~ c1_2(a824,X41) ) )
            & ~ c4_1(a824) ) )
        & ( ! [X42] : 
              ( ndr1_0
             => ( ( ndr1_1(X42)
                  & c3_2(X42,a825)
                  & ~ c2_2(X42,a825)
                  & c1_2(X42,a825) )
                | c1_1(X42)
                | ~ c2_1(X42) ) )
          | ~ c5_0
          | ! [X43] : 
              ( ndr1_0
             => ( c1_1(X43)
                | ( ndr1_1(X43)
                  & ~ c1_2(X43,a826)
                  & ~ c2_2(X43,a826)
                  & c5_2(X43,a826) )
                | ! [X44] : 
                    ( ndr1_1(X43)
                   => ( c5_2(X43,X44)
                      | ~ c2_2(X43,X44)
                      | c4_2(X43,X44) ) ) ) ) )
        & ( ~ c1_0
          | c3_0 )
        & ( ( ndr1_0
            & ~ c5_1(a827)
            & ! [X45] : 
                ( ndr1_1(a827)
               => ( c1_2(a827,X45)
                  | ~ c2_2(a827,X45)
                  | c5_2(a827,X45) ) ) )
          | ! [X46] : 
              ( ndr1_0
             => ( c4_1(X46)
                | ! [X47] : 
                    ( ndr1_1(X46)
                   => ( ~ c3_2(X46,X47)
                      | c5_2(X46,X47)
                      | c4_2(X46,X47) ) )
                | ! [X48] : 
                    ( ndr1_1(X46)
                   => ( c4_2(X46,X48)
                      | ~ c2_2(X46,X48)
                      | c1_2(X46,X48) ) ) ) )
          | c2_0 )
        & ( ! [X49] : 
              ( ndr1_0
             => ( ! [X50] : 
                    ( ndr1_1(X49)
                   => ( ~ c4_2(X49,X50)
                      | ~ c1_2(X49,X50)
                      | c2_2(X49,X50) ) )
                | c2_1(X49)
                | ~ c4_1(X49) ) )
          | c3_0
          | ~ c2_0 )
        & ( ~ c4_0
          | ~ c5_0 )
        & ( ! [X51] : 
              ( ndr1_0
             => ( c2_1(X51)
                | ~ c1_1(X51)
                | ~ c5_1(X51) ) )
          | c3_0
          | ( ndr1_0
            & ! [X52] : 
                ( ndr1_1(a828)
               => ( c2_2(a828,X52)
                  | c4_2(a828,X52) ) )
            & ndr1_1(a828)
            & ~ c1_2(a828,a829)
            & ~ c4_2(a828,a829)
            & ! [X53] : 
                ( ndr1_1(a828)
               => ( c4_2(a828,X53)
                  | c3_2(a828,X53)
                  | ~ c5_2(a828,X53) ) ) ) )
        & ( c2_0
          | ( ndr1_0
            & c2_1(a830)
            & ! [X54] : 
                ( ndr1_1(a830)
               => ( c2_2(a830,X54)
                  | ~ c1_2(a830,X54)
                  | ~ c3_2(a830,X54) ) )
            & ! [X55] : 
                ( ndr1_1(a830)
               => ( c5_2(a830,X55)
                  | c1_2(a830,X55) ) ) ) )
        & ( c4_0
          | ~ c1_0
          | ! [X56] : 
              ( ndr1_0
             => ( ! [X57] : 
                    ( ndr1_1(X56)
                   => ( c3_2(X56,X57)
                      | c1_2(X56,X57) ) )
                | ~ c1_1(X56)
                | ! [X58] : 
                    ( ndr1_1(X56)
                   => ( c4_2(X56,X58)
                      | c5_2(X56,X58)
                      | c3_2(X56,X58) ) ) ) ) )
        & ( ( ndr1_0
            & c3_1(a831)
            & ~ c4_1(a831) )
          | ! [X59] : 
              ( ndr1_0
             => ( ( ndr1_1(X59)
                  & ~ c2_2(X59,a832)
                  & ~ c1_2(X59,a832)
                  & c3_2(X59,a832) )
                | ! [X60] : 
                    ( ndr1_1(X59)
                   => ( ~ c4_2(X59,X60)
                      | c5_2(X59,X60) ) )
                | ! [X61] : 
                    ( ndr1_1(X59)
                   => ( ~ c5_2(X59,X61)
                      | ~ c2_2(X59,X61)
                      | c3_2(X59,X61) ) ) ) )
          | c2_0 )
        & ( ! [X62] : 
              ( ndr1_0
             => ( ( ndr1_1(X62)
                  & c1_2(X62,a833)
                  & ~ c5_2(X62,a833)
                  & c3_2(X62,a833) )
                | ( ndr1_1(X62)
                  & ~ c2_2(X62,a834)
                  & ~ c5_2(X62,a834) )
                | ! [X63] : 
                    ( ndr1_1(X62)
                   => ( c1_2(X62,X63)
                      | ~ c3_2(X62,X63)
                      | ~ c2_2(X62,X63) ) ) ) )
          | c3_0 )
        & ( c5_0
          | ~ c4_0
          | ! [X64] : 
              ( ndr1_0
             => ( ~ c3_1(X64)
                | ( ndr1_1(X64)
                  & ~ c5_2(X64,a835)
                  & c1_2(X64,a835)
                  & ~ c4_2(X64,a835) ) ) ) )
        & ( c5_0
          | ( ndr1_0
            & ndr1_1(a836)
            & c4_2(a836,a837)
            & ~ c1_2(a836,a837)
            & ~ c2_2(a836,a837)
            & c5_1(a836)
            & c1_1(a836) )
          | ( ndr1_0
            & ! [X65] : 
                ( ndr1_1(a838)
               => ( c2_2(a838,X65)
                  | ~ c4_2(a838,X65)
                  | c3_2(a838,X65) ) )
            & ~ c4_1(a838) ) )
        & ( ~ c5_0
          | ( ndr1_0
            & ndr1_1(a839)
            & c4_2(a839,a840)
            & ~ c5_2(a839,a840)
            & c2_2(a839,a840)
            & ndr1_1(a839)
            & ~ c2_2(a839,a841)
            & ~ c4_2(a839,a841)
            & ! [X66] : 
                ( ndr1_1(a839)
               => ( c4_2(a839,X66)
                  | ~ c5_2(a839,X66) ) ) ) )
        & ( ~ c2_0
          | c3_0
          | ! [X67] : 
              ( ndr1_0
             => ( ~ c2_1(X67)
                | c3_1(X67)
                | ( ndr1_1(X67)
                  & c4_2(X67,a842)
                  & c5_2(X67,a842)
                  & ~ c2_2(X67,a842) ) ) ) )
        & ( c3_0
          | ! [X68] : 
              ( ndr1_0
             => ( c3_1(X68)
                | c1_1(X68) ) ) )
        & ( ~ c5_0
          | ~ c1_0 )
        & ( ~ c3_0
          | ( ndr1_0
            & c5_1(a843)
            & ~ c1_1(a843) )
          | c4_0 )
        & ( ~ c4_0
          | c5_0
          | ~ c2_0 )
        & ( ~ c1_0
          | ~ c5_0
          | c4_0 )
        & ( ~ c2_0
          | ( ndr1_0
            & ~ c3_1(a844) )
          | ( ndr1_0
            & ~ c2_1(a845)
            & ~ c1_1(a845)
            & ~ c3_1(a845) ) )
        & ( c3_0
          | ! [X69] : 
              ( ndr1_0
             => ( ~ c3_1(X69)
                | ~ c1_1(X69)
                | ! [X70] : 
                    ( ndr1_1(X69)
                   => ( c3_2(X69,X70)
                      | c5_2(X69,X70)
                      | c4_2(X69,X70) ) ) ) )
          | ! [X71] : 
              ( ndr1_0
             => ( ( ndr1_1(X71)
                  & c4_2(X71,a846)
                  & c5_2(X71,a846)
                  & c3_2(X71,a846) )
                | c3_1(X71)
                | ~ c1_1(X71) ) ) )
        & ( ! [X72] : 
              ( ndr1_0
             => ( ( ndr1_1(X72)
                  & c3_2(X72,a847)
                  & ~ c4_2(X72,a847) )
                | ( ndr1_1(X72)
                  & ~ c5_2(X72,a848)
                  & c3_2(X72,a848)
                  & ~ c4_2(X72,a848) )
                | ~ c2_1(X72) ) )
          | ! [X73] : 
              ( ndr1_0
             => ( ! [X74] : 
                    ( ndr1_1(X73)
                   => ( ~ c4_2(X73,X74)
                      | ~ c5_2(X73,X74) ) )
                | ~ c1_1(X73) ) )
          | ~ c2_0 )
        & ( ( ndr1_0
            & ~ c5_1(a849)
            & ndr1_1(a849)
            & ~ c3_2(a849,a850)
            & ~ c4_2(a849,a850)
            & c1_2(a849,a850)
            & ndr1_1(a849)
            & c1_2(a849,a851)
            & ~ c5_2(a849,a851) )
          | ( ndr1_0
            & ! [X75] : 
                ( ndr1_1(a852)
               => ( c1_2(a852,X75)
                  | ~ c4_2(a852,X75)
                  | ~ c5_2(a852,X75) ) )
            & c1_1(a852) )
          | ~ c5_0 )
        & ( ( ndr1_0
            & ! [X76] : 
                ( ndr1_1(a853)
               => ( ~ c1_2(a853,X76)
                  | c2_2(a853,X76) ) )
            & ndr1_1(a853)
            & c3_2(a853,a854)
            & c2_2(a853,a854)
            & ! [X77] : 
                ( ndr1_1(a853)
               => ( ~ c1_2(a853,X77)
                  | c3_2(a853,X77)
                  | c5_2(a853,X77) ) ) )
          | ~ c5_0 )
        & ( ! [X78] : 
              ( ndr1_0
             => ( ~ c2_1(X78)
                | c5_1(X78)
                | ~ c3_1(X78) ) )
          | c3_0
          | ( ndr1_0
            & ndr1_1(a855)
            & c1_2(a855,a856)
            & c5_2(a855,a856)
            & c2_2(a855,a856)
            & ~ c1_1(a855)
            & ! [X79] : 
                ( ndr1_1(a855)
               => ( c2_2(a855,X79)
                  | ~ c5_2(a855,X79)
                  | ~ c1_2(a855,X79) ) ) ) )
        & ( c1_0
          | ~ c4_0
          | ! [X80] : 
              ( ndr1_0
             => ( ~ c5_1(X80)
                | ( ndr1_1(X80)
                  & ~ c4_2(X80,a857)
                  & c2_2(X80,a857)
                  & ~ c5_2(X80,a857) )
                | c2_1(X80) ) ) )
        & ( ( ndr1_0
            & c5_1(a858)
            & ndr1_1(a858)
            & ~ c1_2(a858,a859)
            & c3_2(a858,a859)
            & c2_2(a858,a859) )
          | c1_0 )
        & ( ( ndr1_0
            & c2_1(a860)
            & ! [X81] : 
                ( ndr1_1(a860)
               => ( ~ c4_2(a860,X81)
                  | ~ c2_2(a860,X81)
                  | ~ c1_2(a860,X81) ) ) )
          | ( ndr1_0
            & ~ c2_1(a861)
            & ~ c1_1(a861)
            & ndr1_1(a861)
            & c3_2(a861,a862)
            & c1_2(a861,a862) )
          | ~ c4_0 )
        & ( ! [X82] : 
              ( ndr1_0
             => ( ~ c5_1(X82)
                | c3_1(X82) ) )
          | ( ndr1_0
            & ! [X83] : 
                ( ndr1_1(a863)
               => ( c3_2(a863,X83)
                  | c4_2(a863,X83) ) )
            & c5_1(a863)
            & ~ c1_1(a863) )
          | ! [X84] : 
              ( ndr1_0
             => ( c3_1(X84)
                | ~ c4_1(X84)
                | c2_1(X84) ) ) )
        & ( ~ c1_0
          | ( ndr1_0
            & ~ c4_1(a864)
            & ndr1_1(a864)
            & c1_2(a864,a865)
            & c2_2(a864,a865)
            & c4_2(a864,a865) ) )
        & ( ~ c5_0
          | ! [X85] : 
              ( ndr1_0
             => ( ~ c5_1(X85)
                | ( ndr1_1(X85)
                  & c3_2(X85,a866)
                  & ~ c2_2(X85,a866) )
                | ! [X86] : 
                    ( ndr1_1(X85)
                   => ( ~ c3_2(X85,X86)
                      | c2_2(X85,X86)
                      | c1_2(X85,X86) ) ) ) ) )
        & ( c4_0
          | c5_0 )
        & ( ~ c5_0
          | ~ c3_0
          | ( ndr1_0
            & ndr1_1(a867)
            & ~ c3_2(a867,a868)
            & c5_2(a867,a868)
            & ! [X87] : 
                ( ndr1_1(a867)
               => ( c5_2(a867,X87)
                  | c3_2(a867,X87)
                  | ~ c4_2(a867,X87) ) )
            & ndr1_1(a867)
            & c2_2(a867,a869)
            & ~ c4_2(a867,a869)
            & c3_2(a867,a869) ) )
        & ( ! [X88] : 
              ( ndr1_0
             => ( ~ c1_1(X88)
                | ( ndr1_1(X88)
                  & c1_2(X88,a870)
                  & ~ c4_2(X88,a870)
                  & ~ c3_2(X88,a870) )
                | ~ c2_1(X88) ) )
          | ~ c1_0 )
        & ( ! [X89] : 
              ( ndr1_0
             => ( ( ndr1_1(X89)
                  & c3_2(X89,a871)
                  & c5_2(X89,a871) )
                | ( ndr1_1(X89)
                  & ~ c5_2(X89,a872)
                  & ~ c4_2(X89,a872)
                  & c3_2(X89,a872) ) ) )
          | c4_0
          | ~ c5_0 )
        & ( ~ c1_0
          | ( ndr1_0
            & c3_1(a873)
            & ndr1_1(a873)
            & ~ c3_2(a873,a874)
            & c5_2(a873,a874)
            & ~ c1_2(a873,a874) ) )
        & ( c3_0
          | ( ndr1_0
            & ~ c4_1(a875)
            & c2_1(a875)
            & ! [X90] : 
                ( ndr1_1(a875)
               => ( ~ c1_2(a875,X90)
                  | ~ c4_2(a875,X90) ) ) ) )
        & ( c2_0
          | ~ c4_0 )
        & ( ~ c2_0
          | ! [X91] : 
              ( ndr1_0
             => ( ( ndr1_1(X91)
                  & ~ c2_2(X91,a876)
                  & c5_2(X91,a876)
                  & c3_2(X91,a876) )
                | ( ndr1_1(X91)
                  & c2_2(X91,a877)
                  & c4_2(X91,a877)
                  & c1_2(X91,a877) )
                | c3_1(X91) ) )
          | ! [X92] : 
              ( ndr1_0
             => ( ~ c5_1(X92)
                | ~ c4_1(X92)
                | ( ndr1_1(X92)
                  & ~ c3_2(X92,a878)
                  & c5_2(X92,a878)
                  & c2_2(X92,a878) ) ) ) )
        & ( c3_0
          | ~ c5_0
          | ~ c1_0 )
        & ( ~ c2_0
          | ~ c1_0 )
        & ( c3_0
          | ( ndr1_0
            & ndr1_1(a879)
            & ~ c3_2(a879,a880)
            & ~ c4_2(a879,a880)
            & c2_1(a879)
            & ! [X93] : 
                ( ndr1_1(a879)
               => ( c2_2(a879,X93)
                  | ~ c1_2(a879,X93)
                  | ~ c4_2(a879,X93) ) ) )
          | ~ c4_0 )
        & ( c1_0
          | ! [X94] : 
              ( ndr1_0
             => ( ~ c4_1(X94)
                | c2_1(X94)
                | ~ c3_1(X94) ) ) )
        & ( c1_0
          | c5_0
          | ! [X95] : 
              ( ndr1_0
             => ( ( ndr1_1(X95)
                  & c2_2(X95,a881)
                  & ~ c5_2(X95,a881) )
                | ( ndr1_1(X95)
                  & ~ c3_2(X95,a882)
                  & ~ c2_2(X95,a882)
                  & c5_2(X95,a882) )
                | c1_1(X95) ) ) )
        & ( ! [X96] : 
              ( ndr1_0
             => ( ! [X97] : 
                    ( ndr1_1(X96)
                   => ( ~ c3_2(X96,X97)
                      | c5_2(X96,X97)
                      | c2_2(X96,X97) ) )
                | c5_1(X96)
                | ! [X98] : 
                    ( ndr1_1(X96)
                   => ( c5_2(X96,X98)
                      | c3_2(X96,X98)
                      | c1_2(X96,X98) ) ) ) )
          | c4_0
          | c3_0 )
        & ( ! [X99] : 
              ( ndr1_0
             => ( c5_1(X99)
                | ( ndr1_1(X99)
                  & ~ c2_2(X99,a883)
                  & c1_2(X99,a883)
                  & c3_2(X99,a883) )
                | ( ndr1_1(X99)
                  & c4_2(X99,a884)
                  & ~ c2_2(X99,a884)
                  & ~ c3_2(X99,a884) ) ) )
          | ! [X100] : 
              ( ndr1_0
             => ( ~ c4_1(X100)
                | ! [X101] : 
                    ( ndr1_1(X100)
                   => ( ~ c5_2(X100,X101)
                      | c1_2(X100,X101)
                      | c4_2(X100,X101) ) )
                | c3_1(X100) ) )
          | c1_0 )
        & ( ~ c1_0
          | c3_0
          | ( ndr1_0
            & ! [X102] : 
                ( ndr1_1(a885)
               => ( ~ c1_2(a885,X102)
                  | ~ c3_2(a885,X102) ) )
            & ~ c5_1(a885) ) )
        & ( ! [X103] : 
              ( ndr1_0
             => ( ! [X104] : 
                    ( ndr1_1(X103)
                   => ( ~ c2_2(X103,X104)
                      | c5_2(X103,X104) ) )
                | ( ndr1_1(X103)
                  & c4_2(X103,a886)
                  & c5_2(X103,a886) ) ) )
          | ~ c5_0 )
        & ( ( ndr1_0
            & ndr1_1(a887)
            & ~ c4_2(a887,a888)
            & c1_2(a887,a888)
            & c3_2(a887,a888)
            & c5_1(a887) )
          | ! [X105] : 
              ( ndr1_0
             => ( ~ c1_1(X105)
                | ( ndr1_1(X105)
                  & c2_2(X105,a889)
                  & ~ c4_2(X105,a889)
                  & c3_2(X105,a889) )
                | ( ndr1_1(X105)
                  & c4_2(X105,a890)
                  & c2_2(X105,a890)
                  & c3_2(X105,a890) ) ) )
          | ( ndr1_0
            & ! [X106] : 
                ( ndr1_1(a891)
               => ( ~ c1_2(a891,X106)
                  | ~ c5_2(a891,X106)
                  | ~ c4_2(a891,X106) ) )
            & ~ c3_1(a891)
            & ! [X107] : 
                ( ndr1_1(a891)
               => ( ~ c5_2(a891,X107)
                  | c3_2(a891,X107) ) ) ) )
        & ( c5_0
          | ! [X108] : 
              ( ndr1_0
             => ( ~ c3_1(X108)
                | c1_1(X108) ) ) )
        & ( ( ndr1_0
            & ! [X109] : 
                ( ndr1_1(a892)
               => ( c1_2(a892,X109)
                  | c3_2(a892,X109)
                  | ~ c2_2(a892,X109) ) )
            & c5_1(a892)
            & ~ c4_1(a892) )
          | ( ndr1_0
            & ! [X110] : 
                ( ndr1_1(a893)
               => ( c1_2(a893,X110)
                  | c4_2(a893,X110) ) )
            & ~ c5_1(a893)
            & ! [X111] : 
                ( ndr1_1(a893)
               => ( c4_2(a893,X111)
                  | ~ c5_2(a893,X111) ) ) )
          | ( ndr1_0
            & ~ c2_1(a894)
            & c4_1(a894)
            & ndr1_1(a894)
            & ~ c5_2(a894,a895)
            & c3_2(a894,a895)
            & ~ c1_2(a894,a895) ) )
        & ( c5_0
          | ! [X112] : 
              ( ndr1_0
             => ( ( ndr1_1(X112)
                  & ~ c5_2(X112,a896)
                  & c3_2(X112,a896)
                  & ~ c2_2(X112,a896) )
                | ! [X113] : 
                    ( ndr1_1(X112)
                   => ( c3_2(X112,X113)
                      | ~ c4_2(X112,X113)
                      | c1_2(X112,X113) ) )
                | c5_1(X112) ) ) ) ) )).

%--------------------------------------------------------------------------
