%--------------------------------------------------------------------------
% File     : SYN514+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=110, K=3, D=2, P=0, Index=042
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-110-3-2-042.dfg [Wei97]

% Status   : CounterSatisfiable
% Rating   : 0.50 v3.1.0, 0.83 v2.7.0, 1.00 v2.6.0, 0.75 v2.5.0, 0.67 v2.4.0, 0.33 v2.3.0, 0.00 v2.1.0
%
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
%
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :  739 (   0 equality)
%            Maximal formula depth :   77 (  77 average)
%            Number of connectives :  992 ( 254 ~  ; 319  |; 297  &)
%                                         (   0 <=>; 122 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   17 (   6 propositional; 0-2 arity)
%            Number of functors    :   90 (  90 constant; 0-0 arity)
%            Number of variables   :  122 (   0 singleton; 122 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%--------------------------------------------------------------------------
fof(co1,conjecture,
    ( ~ ( ~ c4_0
        & ( c1_0
          | c3_0
          | ! [U] : 
              ( ndr1_0
             => ( ~ c2_1(U)
                | ! [V] : 
                    ( ndr1_1(U)
                   => ( c5_2(U,V)
                      | ~ c3_2(U,V)
                      | ~ c4_2(U,V) ) )
                | ! [W] : 
                    ( ndr1_1(U)
                   => ( ~ c1_2(U,W)
                      | ~ c3_2(U,W)
                      | ~ c5_2(U,W) ) ) ) ) )
        & ( c1_0
          | c5_0
          | ~ c2_0 )
        & ( c1_0
          | ~ c2_0
          | ~ c5_0 )
        & ( c1_0
          | ~ c2_0
          | ! [X] : 
              ( ndr1_0
             => ( ( ndr1_1(X)
                  & c3_2(X,a175)
                  & c5_2(X,a175)
                  & ~ c4_2(X,a175) )
                | ( ndr1_1(X)
                  & c3_2(X,a176)
                  & ~ c2_2(X,a176)
                  & ~ c5_2(X,a176) ) ) ) )
        & ( c1_0
          | ~ c3_0
          | ( ndr1_0
            & c3_1(a177)
            & ! [Y] : 
                ( ndr1_1(a177)
               => ( c2_2(a177,Y)
                  | ~ c5_2(a177,Y) ) )
            & ! [Z] : 
                ( ndr1_1(a177)
               => ( c4_2(a177,Z)
                  | c5_2(a177,Z)
                  | ~ c1_2(a177,Z) ) ) ) )
        & ( c1_0
          | ~ c5_0
          | ! [X1] : 
              ( ndr1_0
             => ( ~ c1_1(X1)
                | ! [X2] : 
                    ( ndr1_1(X1)
                   => ( c3_2(X1,X2)
                      | ~ c5_2(X1,X2) ) )
                | ! [X3] : 
                    ( ndr1_1(X1)
                   => ( ~ c2_2(X1,X3)
                      | ~ c3_2(X1,X3) ) ) ) ) )
        & ( c1_0
          | ! [X4] : 
              ( ndr1_0
             => ( ~ c5_1(X4)
                | ( ndr1_1(X4)
                  & c3_2(X4,a178)
                  & c4_2(X4,a178)
                  & c5_2(X4,a178) ) ) ) )
        & ( c1_0
          | ( ndr1_0
            & ~ c3_1(a179)
            & ndr1_1(a179)
            & c5_2(a179,a180)
            & ~ c1_2(a179,a180)
            & ~ c3_2(a179,a180) ) )
        & ( c2_0
          | c3_0
          | ! [X5] : 
              ( ndr1_0
             => ( c5_1(X5)
                | ~ c1_1(X5)
                | ! [X6] : 
                    ( ndr1_1(X5)
                   => ( c3_2(X5,X6)
                      | c5_2(X5,X6)
                      | ~ c4_2(X5,X6) ) ) ) ) )
        & ( c2_0
          | c5_0
          | ! [X7] : 
              ( ndr1_0
             => ( c5_1(X7)
                | ! [X8] : 
                    ( ndr1_1(X7)
                   => ( c1_2(X7,X8)
                      | ~ c4_2(X7,X8) ) )
                | ( ndr1_1(X7)
                  & c1_2(X7,a181)
                  & c5_2(X7,a181)
                  & ~ c3_2(X7,a181) ) ) ) )
        & ( c2_0
          | ~ c3_0
          | ( ndr1_0
            & ~ c2_1(a182)
            & ! [X9] : 
                ( ndr1_1(a182)
               => ( c1_2(a182,X9)
                  | c5_2(a182,X9)
                  | ~ c4_2(a182,X9) ) ) ) )
        & ( c2_0
          | ~ c5_0 )
        & ( c2_0
          | ~ c5_0
          | ! [X10] : 
              ( ndr1_0
             => ( ~ c4_1(X10)
                | ! [X11] : 
                    ( ndr1_1(X10)
                   => ( c3_2(X10,X11)
                      | ~ c4_2(X10,X11) ) )
                | ( ndr1_1(X10)
                  & c2_2(X10,a183)
                  & c4_2(X10,a183)
                  & ~ c3_2(X10,a183) ) ) ) )
        & ( c2_0
          | ! [X12] : 
              ( ndr1_0
             => ( c2_1(X12)
                | ~ c3_1(X12)
                | ~ c4_1(X12) ) ) )
        & ( c2_0
          | ! [X13] : 
              ( ndr1_0
             => ( ~ c5_1(X13)
                | ! [X14] : 
                    ( ndr1_1(X13)
                   => ( c3_2(X13,X14)
                      | c4_2(X13,X14)
                      | c5_2(X13,X14) ) )
                | ( ndr1_1(X13)
                  & c1_2(X13,a184)
                  & c3_2(X13,a184)
                  & ~ c4_2(X13,a184) ) ) ) )
        & ( c2_0
          | ( ndr1_0
            & c2_1(a185)
            & ! [X15] : 
                ( ndr1_1(a185)
               => ( c4_2(a185,X15)
                  | ~ c2_2(a185,X15) ) ) )
          | ( ndr1_0
            & ~ c1_1(a186)
            & ! [X16] : 
                ( ndr1_1(a186)
               => ( ~ c1_2(a186,X16)
                  | ~ c2_2(a186,X16)
                  | ~ c3_2(a186,X16) ) )
            & ndr1_1(a186)
            & c1_2(a186,a187)
            & ~ c2_2(a186,a187)
            & ~ c3_2(a186,a187) ) )
        & ( c2_0
          | ( ndr1_0
            & c5_1(a188)
            & ! [X17] : 
                ( ndr1_1(a188)
               => ( c2_2(a188,X17)
                  | ~ c3_2(a188,X17)
                  | ~ c4_2(a188,X17) ) )
            & ! [X18] : 
                ( ndr1_1(a188)
               => ( c2_2(a188,X18)
                  | ~ c4_2(a188,X18) ) ) ) )
        & ( c3_0
          | ( ndr1_0
            & ~ c3_1(a189)
            & ! [X19] : 
                ( ndr1_1(a189)
               => ( c1_2(a189,X19)
                  | ~ c4_2(a189,X19)
                  | ~ c5_2(a189,X19) ) ) ) )
        & ( c3_0
          | c5_0
          | ! [X20] : 
              ( ndr1_0
             => ( ~ c5_1(X20)
                | ! [X21] : 
                    ( ndr1_1(X20)
                   => ( c3_2(X20,X21)
                      | c4_2(X20,X21)
                      | ~ c1_2(X20,X21) ) )
                | ( ndr1_1(X20)
                  & c1_2(X20,a190)
                  & c2_2(X20,a190)
                  & ~ c5_2(X20,a190) ) ) ) )
        & ( c3_0
          | c5_0
          | ( ndr1_0
            & c2_1(a191)
            & ~ c1_1(a191) ) )
        & ( c3_0
          | c5_0
          | ( ndr1_0
            & c2_1(a192)
            & ~ c4_1(a192)
            & ! [X22] : 
                ( ndr1_1(a192)
               => ( c2_2(a192,X22)
                  | c3_2(a192,X22)
                  | ~ c5_2(a192,X22) ) ) ) )
        & ( c3_0
          | c5_0
          | ( ndr1_0
            & c5_1(a193)
            & ! [X23] : 
                ( ndr1_1(a193)
               => ( c1_2(a193,X23)
                  | c3_2(a193,X23)
                  | c4_2(a193,X23) ) )
            & ! [X24] : 
                ( ndr1_1(a193)
               => ( c3_2(a193,X24)
                  | ~ c4_2(a193,X24)
                  | ~ c5_2(a193,X24) ) ) ) )
        & ( c3_0
          | ~ c5_0
          | ( ndr1_0
            & c1_1(a194)
            & ~ c3_1(a194)
            & ! [X25] : 
                ( ndr1_1(a194)
               => ( c5_2(a194,X25)
                  | ~ c1_2(a194,X25)
                  | ~ c4_2(a194,X25) ) ) ) )
        & ( c3_0
          | ! [X26] : 
              ( ndr1_0
             => ( c1_1(X26)
                | c2_1(X26)
                | ( ndr1_1(X26)
                  & c1_2(X26,a195)
                  & c3_2(X26,a195)
                  & c5_2(X26,a195) ) ) )
          | ! [X27] : 
              ( ndr1_0
             => ( ! [X28] : 
                    ( ndr1_1(X27)
                   => ( ~ c1_2(X27,X28)
                      | ~ c2_2(X27,X28) ) )
                | ! [X29] : 
                    ( ndr1_1(X27)
                   => ( ~ c3_2(X27,X29)
                      | ~ c4_2(X27,X29)
                      | ~ c5_2(X27,X29) ) )
                | ( ndr1_1(X27)
                  & c4_2(X27,a196)
                  & ~ c3_2(X27,a196)
                  & ~ c5_2(X27,a196) ) ) ) )
        & ( c3_0
          | ! [X30] : 
              ( ndr1_0
             => ( c2_1(X30)
                | c4_1(X30)
                | ! [X31] : 
                    ( ndr1_1(X30)
                   => ( c4_2(X30,X31)
                      | ~ c1_2(X30,X31)
                      | ~ c2_2(X30,X31) ) ) ) )
          | ! [X32] : 
              ( ndr1_0
             => ( c5_1(X32)
                | ~ c2_1(X32)
                | ( ndr1_1(X32)
                  & ~ c1_2(X32,a197)
                  & ~ c2_2(X32,a197)
                  & ~ c5_2(X32,a197) ) ) ) )
        & ( c3_0
          | ! [X33] : 
              ( ndr1_0
             => ( ~ c4_1(X33)
                | ~ c5_1(X33)
                | ( ndr1_1(X33)
                  & c5_2(X33,a198)
                  & ~ c1_2(X33,a198) ) ) )
          | ( ndr1_0
            & ~ c1_1(a199)
            & ~ c4_1(a199)
            & ! [X34] : 
                ( ndr1_1(a199)
               => ( c3_2(a199,X34)
                  | ~ c1_2(a199,X34)
                  | ~ c4_2(a199,X34) ) ) ) )
        & ( c3_0
          | ( ndr1_0
            & c2_1(a200) )
          | ( ndr1_0
            & c2_1(a201)
            & ~ c1_1(a201) ) )
        & ( c5_0
          | ~ c2_0 )
        & ( c5_0
          | ( ndr1_0
            & c3_1(a202)
            & ! [X35] : 
                ( ndr1_1(a202)
               => ( c2_2(a202,X35)
                  | c5_2(a202,X35)
                  | ~ c1_2(a202,X35) ) ) ) )
        & ( ~ c5_0
          | ! [X36] : 
              ( ndr1_0
             => ( c2_1(X36)
                | ( ndr1_1(X36)
                  & c4_2(X36,a203)
                  & ~ c1_2(X36,a203) )
                | ( ndr1_1(X36)
                  & c4_2(X36,a204)
                  & ~ c2_2(X36,a204) ) ) ) )
        & ( ! [X37] : 
              ( ndr1_0
             => ( c2_1(X37)
                | c5_1(X37)
                | ! [X38] : 
                    ( ndr1_1(X37)
                   => ( c3_2(X37,X38)
                      | ~ c2_2(X37,X38)
                      | ~ c4_2(X37,X38) ) ) ) )
          | ! [X39] : 
              ( ndr1_0
             => ( c4_1(X39)
                | ! [X40] : 
                    ( ndr1_1(X39)
                   => ( c2_2(X39,X40)
                      | ~ c1_2(X39,X40)
                      | ~ c3_2(X39,X40) ) )
                | ( ndr1_1(X39)
                  & c3_2(X39,a205)
                  & c4_2(X39,a205)
                  & c5_2(X39,a205) ) ) ) )
        & ( ! [X41] : 
              ( ndr1_0
             => ( c4_1(X41)
                | ! [X42] : 
                    ( ndr1_1(X41)
                   => ( c2_2(X41,X42)
                      | ~ c1_2(X41,X42) ) )
                | ( ndr1_1(X41)
                  & c3_2(X41,a206)
                  & c5_2(X41,a206) ) ) )
          | ( ndr1_0
            & c4_1(a207)
            & ~ c2_1(a207)
            & ndr1_1(a207)
            & c4_2(a207,a208)
            & c5_2(a207,a208)
            & ~ c3_2(a207,a208) ) )
        & ( c5_0
          | ~ c1_0
          | ( ndr1_0
            & c3_1(a209)
            & ~ c4_1(a209)
            & ndr1_1(a209)
            & c2_2(a209,a210)
            & ~ c3_2(a209,a210) ) )
        & ( c5_0
          | ~ c2_0 )
        & ( c5_0
          | ~ c3_0
          | ( ndr1_0
            & c3_1(a211)
            & ! [X43] : 
                ( ndr1_1(a211)
               => ( c2_2(a211,X43)
                  | c5_2(a211,X43)
                  | ~ c1_2(a211,X43) ) )
            & ndr1_1(a211)
            & c2_2(a211,a212)
            & c5_2(a211,a212)
            & ~ c1_2(a211,a212) ) )
        & ( c5_0
          | ! [X44] : 
              ( ndr1_0
             => ( c2_1(X44)
                | ( ndr1_1(X44)
                  & c4_2(X44,a213)
                  & ~ c2_2(X44,a213) ) ) )
          | ( ndr1_0
            & ~ c3_1(a214)
            & ! [X45] : 
                ( ndr1_1(a214)
               => ( c3_2(a214,X45)
                  | ~ c2_2(a214,X45)
                  | ~ c4_2(a214,X45) ) )
            & ndr1_1(a214)
            & ~ c1_2(a214,a215)
            & ~ c3_2(a214,a215)
            & ~ c5_2(a214,a215) ) )
        & ( c5_0
          | ! [X46] : 
              ( ndr1_0
             => ( c3_1(X46)
                | ( ndr1_1(X46)
                  & c2_2(X46,a216)
                  & ~ c3_2(X46,a216) )
                | ( ndr1_1(X46)
                  & c3_2(X46,a217)
                  & ~ c2_2(X46,a217) ) ) ) )
        & ( c5_0
          | ! [X47] : 
              ( ndr1_0
             => ( ~ c1_1(X47)
                | ! [X48] : 
                    ( ndr1_1(X47)
                   => ( c1_2(X47,X48)
                      | c4_2(X47,X48)
                      | c5_2(X47,X48) ) )
                | ( ndr1_1(X47)
                  & c1_2(X47,a218)
                  & c2_2(X47,a218)
                  & ~ c5_2(X47,a218) ) ) )
          | ( ndr1_0
            & ~ c3_1(a219)
            & ndr1_1(a219)
            & c2_2(a219,a220)
            & ~ c3_2(a219,a220) ) )
        & ( c5_0
          | ! [X49] : 
              ( ndr1_0
             => ( ! [X50] : 
                    ( ndr1_1(X49)
                   => ( c1_2(X49,X50)
                      | c5_2(X49,X50)
                      | ~ c4_2(X49,X50) ) )
                | ! [X51] : 
                    ( ndr1_1(X49)
                   => ( c2_2(X49,X51)
                      | ~ c1_2(X49,X51)
                      | ~ c5_2(X49,X51) ) )
                | ( ndr1_1(X49)
                  & c2_2(X49,a221)
                  & c4_2(X49,a221)
                  & c5_2(X49,a221) ) ) ) )
        & ( c5_0
          | ! [X52] : 
              ( ndr1_0
             => ( ! [X53] : 
                    ( ndr1_1(X52)
                   => ( c1_2(X52,X53)
                      | ~ c5_2(X52,X53) ) )
                | ( ndr1_1(X52)
                  & c1_2(X52,a222)
                  & ~ c2_2(X52,a222) )
                | ( ndr1_1(X52)
                  & c2_2(X52,a223)
                  & c3_2(X52,a223)
                  & ~ c5_2(X52,a223) ) ) ) )
        & ( c5_0
          | ! [X54] : 
              ( ndr1_0
             => ( ! [X55] : 
                    ( ndr1_1(X54)
                   => ( c2_2(X54,X55)
                      | ~ c3_2(X54,X55)
                      | ~ c5_2(X54,X55) ) )
                | ! [X56] : 
                    ( ndr1_1(X54)
                   => ( c3_2(X54,X56)
                      | c5_2(X54,X56)
                      | ~ c4_2(X54,X56) ) )
                | ( ndr1_1(X54)
                  & c1_2(X54,a224)
                  & c4_2(X54,a224)
                  & ~ c5_2(X54,a224) ) ) ) )
        & ( c5_0
          | ( ndr1_0
            & c3_1(a225)
            & c4_1(a225)
            & ! [X57] : 
                ( ndr1_1(a225)
               => ( c1_2(a225,X57)
                  | ~ c2_2(a225,X57) ) ) )
          | ( ndr1_0
            & ! [X58] : 
                ( ndr1_1(a226)
               => ( c1_2(a226,X58)
                  | ~ c2_2(a226,X58)
                  | ~ c4_2(a226,X58) ) )
            & ! [X59] : 
                ( ndr1_1(a226)
               => ( ~ c2_2(a226,X59)
                  | ~ c3_2(a226,X59)
                  | ~ c4_2(a226,X59) ) ) ) )
        & ( ~ c1_0
          | ~ c2_0 )
        & ( ~ c1_0
          | ~ c2_0
          | ~ c3_0 )
        & ( ~ c1_0
          | ~ c3_0
          | ~ c5_0 )
        & ( ~ c1_0
          | ~ c3_0
          | ( ndr1_0
            & c3_1(a227)
            & ! [X60] : 
                ( ndr1_1(a227)
               => ( c2_2(a227,X60)
                  | ~ c3_2(a227,X60)
                  | ~ c4_2(a227,X60) ) )
            & ndr1_1(a227)
            & c4_2(a227,a228)
            & ~ c2_2(a227,a228)
            & ~ c5_2(a227,a228) ) )
        & ( ~ c1_0
          | ~ c5_0
          | ( ndr1_0
            & ~ c3_1(a229)
            & ~ c4_1(a229)
            & ndr1_1(a229)
            & c3_2(a229,a230)
            & c4_2(a229,a230) ) )
        & ( ~ c1_0
          | ! [X61] : 
              ( ndr1_0
             => ( c4_1(X61)
                | ~ c1_1(X61)
                | ! [X62] : 
                    ( ndr1_1(X61)
                   => ( c1_2(X61,X62)
                      | ~ c4_2(X61,X62) ) ) ) )
          | ( ndr1_0
            & ~ c2_1(a231)
            & ndr1_1(a231)
            & c1_2(a231,a232)
            & c2_2(a231,a232)
            & c5_2(a231,a232) ) )
        & ( ~ c1_0
          | ! [X63] : 
              ( ndr1_0
             => ( c4_1(X63)
                | ! [X64] : 
                    ( ndr1_1(X63)
                   => ( c3_2(X63,X64)
                      | ~ c4_2(X63,X64)
                      | ~ c5_2(X63,X64) ) )
                | ( ndr1_1(X63)
                  & c3_2(X63,a233)
                  & ~ c5_2(X63,a233) ) ) )
          | ! [X65] : 
              ( ndr1_0
             => ( c5_1(X65)
                | ~ c4_1(X65)
                | ! [X66] : 
                    ( ndr1_1(X65)
                   => ( c2_2(X65,X66)
                      | ~ c3_2(X65,X66) ) ) ) ) )
        & ( ~ c1_0
          | ! [X67] : 
              ( ndr1_0
             => ( ~ c5_1(X67)
                | ! [X68] : 
                    ( ndr1_1(X67)
                   => ( c1_2(X67,X68)
                      | ~ c3_2(X67,X68) ) )
                | ( ndr1_1(X67)
                  & c5_2(X67,a234)
                  & ~ c4_2(X67,a234) ) ) )
          | ( ndr1_0
            & ~ c1_1(a235)
            & ! [X69] : 
                ( ndr1_1(a235)
               => ( c3_2(a235,X69)
                  | c4_2(a235,X69)
                  | ~ c5_2(a235,X69) ) )
            & ndr1_1(a235)
            & ~ c2_2(a235,a236)
            & ~ c4_2(a235,a236)
            & ~ c5_2(a235,a236) ) )
        & ( ~ c2_0
          | ( ndr1_0
            & c3_1(a237)
            & ~ c4_1(a237)
            & ! [X70] : 
                ( ndr1_1(a237)
               => ( c5_2(a237,X70)
                  | ~ c3_2(a237,X70) ) ) ) )
        & ( ~ c3_0
          | ~ c5_0 )
        & ( ~ c3_0
          | ! [X71] : 
              ( ndr1_0
             => ( c1_1(X71)
                | ! [X72] : 
                    ( ndr1_1(X71)
                   => ( ~ c1_2(X71,X72)
                      | ~ c3_2(X71,X72) ) ) ) ) )
        & ( ~ c3_0
          | ! [X73] : 
              ( ndr1_0
             => ( c3_1(X73)
                | c5_1(X73)
                | ( ndr1_1(X73)
                  & c4_2(X73,a238)
                  & ~ c1_2(X73,a238) ) ) )
          | ! [X74] : 
              ( ndr1_0
             => ( c5_1(X74)
                | ! [X75] : 
                    ( ndr1_1(X74)
                   => ( c4_2(X74,X75)
                      | ~ c1_2(X74,X75)
                      | ~ c3_2(X74,X75) ) )
                | ! [X76] : 
                    ( ndr1_1(X74)
                   => ( ~ c1_2(X74,X76)
                      | ~ c3_2(X74,X76)
                      | ~ c4_2(X74,X76) ) ) ) ) )
        & ( ~ c3_0
          | ! [X77] : 
              ( ndr1_0
             => ( c4_1(X77)
                | c5_1(X77)
                | ~ c1_1(X77) ) )
          | ! [X78] : 
              ( ndr1_0
             => ( c5_1(X78)
                | ! [X79] : 
                    ( ndr1_1(X78)
                   => ( c2_2(X78,X79)
                      | c5_2(X78,X79)
                      | ~ c1_2(X78,X79) ) ) ) ) )
        & ( ~ c3_0
          | ! [X80] : 
              ( ndr1_0
             => ( c4_1(X80)
                | ~ c5_1(X80) ) )
          | ! [X81] : 
              ( ndr1_0
             => ( ~ c3_1(X81)
                | ~ c5_1(X81)
                | ( ndr1_1(X81)
                  & c1_2(X81,a239)
                  & c3_2(X81,a239)
                  & c4_2(X81,a239) ) ) ) )
        & ( ~ c3_0
          | ! [X82] : 
              ( ndr1_0
             => ( c5_1(X82)
                | ! [X83] : 
                    ( ndr1_1(X82)
                   => ( c4_2(X82,X83)
                      | ~ c1_2(X82,X83)
                      | ~ c2_2(X82,X83) ) )
                | ! [X84] : 
                    ( ndr1_1(X82)
                   => ( ~ c1_2(X82,X84)
                      | ~ c5_2(X82,X84) ) ) ) )
          | ( ndr1_0
            & c2_1(a240)
            & ~ c3_1(a240) ) )
        & ( ! [X85] : 
              ( ndr1_0
             => ( c1_1(X85)
                | ~ c2_1(X85)
                | ! [X86] : 
                    ( ndr1_1(X85)
                   => ( c1_2(X85,X86)
                      | c3_2(X85,X86)
                      | ~ c4_2(X85,X86) ) ) ) )
          | ! [X87] : 
              ( ndr1_0
             => ( c1_1(X87)
                | ~ c2_1(X87)
                | ! [X88] : 
                    ( ndr1_1(X87)
                   => ( c1_2(X87,X88)
                      | c4_2(X87,X88) ) ) ) )
          | ( ndr1_0
            & c4_1(a241)
            & ! [X89] : 
                ( ndr1_1(a241)
               => ~ c4_2(a241,X89) )
            & ndr1_1(a241)
            & c3_2(a241,a242)
            & ~ c2_2(a241,a242)
            & ~ c4_2(a241,a242) ) )
        & ( ! [X90] : 
              ( ndr1_0
             => ( c2_1(X90)
                | c3_1(X90)
                | ! [X91] : 
                    ( ndr1_1(X90)
                   => ( c3_2(X90,X91)
                      | ~ c2_2(X90,X91)
                      | ~ c4_2(X90,X91) ) ) ) )
          | ! [X92] : 
              ( ndr1_0
             => ( ~ c4_1(X92)
                | ! [X93] : 
                    ( ndr1_1(X92)
                   => ( ~ c1_2(X92,X93)
                      | ~ c2_2(X92,X93)
                      | ~ c5_2(X92,X93) ) ) ) )
          | ( ndr1_0
            & ~ c2_1(a243)
            & ! [X94] : 
                ( ndr1_1(a243)
               => ( c1_2(a243,X94)
                  | c4_2(a243,X94)
                  | ~ c3_2(a243,X94) ) )
            & ndr1_1(a243)
            & c2_2(a243,a244)
            & ~ c3_2(a243,a244) ) )
        & ( ! [X95] : 
              ( ndr1_0
             => ( c2_1(X95)
                | ! [X96] : 
                    ( ndr1_1(X95)
                   => ( c1_2(X95,X96)
                      | c5_2(X95,X96)
                      | ~ c4_2(X95,X96) ) )
                | ! [X97] : 
                    ( ndr1_1(X95)
                   => ( c2_2(X95,X97)
                      | ~ c5_2(X95,X97) ) ) ) )
          | ! [X98] : 
              ( ndr1_0
             => ( c3_1(X98)
                | ! [X99] : 
                    ( ndr1_1(X98)
                   => ( c1_2(X98,X99)
                      | c2_2(X98,X99) ) ) ) )
          | ! [X100] : 
              ( ndr1_0
             => ( c4_1(X100)
                | ~ c5_1(X100)
                | ! [X101] : 
                    ( ndr1_1(X100)
                   => ( c2_2(X100,X101)
                      | c4_2(X100,X101)
                      | ~ c5_2(X100,X101) ) ) ) ) )
        & ( ! [X102] : 
              ( ndr1_0
             => ( c3_1(X102)
                | ( ndr1_1(X102)
                  & c1_2(X102,a245)
                  & c4_2(X102,a245)
                  & c5_2(X102,a245) )
                | ( ndr1_1(X102)
                  & ~ c1_2(X102,a246)
                  & ~ c4_2(X102,a246)
                  & ~ c5_2(X102,a246) ) ) )
          | ! [X103] : 
              ( ndr1_0
             => ( c4_1(X103)
                | ~ c3_1(X103)
                | ( ndr1_1(X103)
                  & c3_2(X103,a247)
                  & ~ c4_2(X103,a247) ) ) )
          | ( ndr1_0
            & c4_1(a248)
            & ~ c5_1(a248) ) )
        & ( ! [X104] : 
              ( ndr1_0
             => ( c4_1(X104)
                | ~ c1_1(X104) ) )
          | ! [X105] : 
              ( ndr1_0
             => ( ~ c3_1(X105)
                | ~ c5_1(X105)
                | ! [X106] : 
                    ( ndr1_1(X105)
                   => ( c2_2(X105,X106)
                      | c3_2(X105,X106)
                      | ~ c5_2(X105,X106) ) ) ) )
          | ( ndr1_0
            & ! [X107] : 
                ( ndr1_1(a249)
               => ( c1_2(a249,X107)
                  | c2_2(a249,X107)
                  | c4_2(a249,X107) ) )
            & ! [X108] : 
                ( ndr1_1(a249)
               => ( c1_2(a249,X108)
                  | ~ c5_2(a249,X108) ) )
            & ! [X109] : 
                ( ndr1_1(a249)
               => ( c4_2(a249,X109)
                  | ~ c1_2(a249,X109)
                  | ~ c2_2(a249,X109) ) ) ) )
        & ( ! [X110] : 
              ( ndr1_0
             => ( c4_1(X110)
                | ~ c5_1(X110)
                | ( ndr1_1(X110)
                  & c1_2(X110,a250)
                  & ~ c4_2(X110,a250) ) ) )
          | ! [X111] : 
              ( ndr1_0
             => ( ~ c1_1(X111)
                | ~ c2_1(X111)
                | ! [X112] : 
                    ( ndr1_1(X111)
                   => ( c5_2(X111,X112)
                      | ~ c2_2(X111,X112) ) ) ) ) )
        & ( ! [X113] : 
              ( ndr1_0
             => ( c5_1(X113)
                | ( ndr1_1(X113)
                  & c1_2(X113,a251)
                  & ~ c5_2(X113,a251) )
                | ( ndr1_1(X113)
                  & c2_2(X113,a252)
                  & c5_2(X113,a252)
                  & ~ c1_2(X113,a252) ) ) )
          | ( ndr1_0
            & c1_1(a253)
            & ~ c4_1(a253)
            & ndr1_1(a253)
            & c2_2(a253,a254)
            & c3_2(a253,a254)
            & c5_2(a253,a254) )
          | ( ndr1_0
            & ~ c3_1(a255) ) )
        & ( ! [X114] : 
              ( ndr1_0
             => ( ~ c2_1(X114)
                | ( ndr1_1(X114)
                  & c1_2(X114,a256)
                  & c3_2(X114,a256) ) ) )
          | ( ndr1_0
            & c4_1(a257)
            & ~ c1_1(a257)
            & ndr1_1(a257)
            & c5_2(a257,a258)
            & ~ c4_2(a257,a258) )
          | ( ndr1_0
            & ~ c1_1(a259)
            & ! [X115] : 
                ( ndr1_1(a259)
               => ( ~ c1_2(a259,X115)
                  | ~ c5_2(a259,X115) ) ) ) )
        & ( ( ndr1_0
            & c1_1(a260)
            & ~ c4_1(a260)
            & ndr1_1(a260)
            & c1_2(a260,a261)
            & c2_2(a260,a261)
            & c4_2(a260,a261) )
          | ( ndr1_0
            & c5_1(a262)
            & ! [X116] : 
                ( ndr1_1(a262)
               => ( c4_2(a262,X116)
                  | ~ c3_2(a262,X116)
                  | ~ c5_2(a262,X116) ) ) )
          | ( ndr1_0
            & ~ c1_1(a263)
            & ndr1_1(a263)
            & c1_2(a263,a264)
            & c3_2(a263,a264)
            & ~ c4_2(a263,a264) ) ) ) )).

%--------------------------------------------------------------------------
