%--------------------------------------------------------------------------
% File     : SYN518+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=150, K=3, D=2, P=0, Index=008
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-150-3-2-008.dfg [Wei97]

% Status   : CounterSatisfiable
% Rating   : 0.50 v3.1.0, 0.83 v2.6.0, 0.50 v2.5.0, 0.33 v2.3.0, 0.00 v2.1.0
%
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
%
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       : 1196 (   0 equality)
%            Maximal formula depth :  123 ( 123 average)
%            Number of connectives : 1619 ( 424 ~  ; 487  |; 539  &)
%                                         (   0 <=>; 169 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   17 (   6 propositional; 0-2 arity)
%            Number of functors    :  159 ( 159 constant; 0-0 arity)
%            Number of variables   :  169 (   0 singleton; 169 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%--------------------------------------------------------------------------
fof(co1,conjecture,
    ( ~ ( ( ! [U] : 
              ( ndr1_0
             => ( ( ndr1_1(U)
                  & ~ c2_2(U,a999)
                  & c3_2(U,a999)
                  & c1_2(U,a999) )
                | ~ c1_1(U)
                | ! [V] : 
                    ( ndr1_1(U)
                   => ( c3_2(U,V)
                      | c2_2(U,V)
                      | c5_2(U,V) ) ) ) )
          | c3_0
          | ! [W] : 
              ( ndr1_0
             => ( ! [X] : 
                    ( ndr1_1(W)
                   => ( c1_2(W,X)
                      | ~ c4_2(W,X) ) )
                | ! [Y] : 
                    ( ndr1_1(W)
                   => ( c1_2(W,Y)
                      | c2_2(W,Y)
                      | c5_2(W,Y) ) )
                | c3_1(W) ) ) )
        & ( c2_0
          | ~ c4_0
          | c3_0 )
        & ( c5_0
          | ( ndr1_0
            & ~ c2_1(a1000)
            & ! [Z] : 
                ( ndr1_1(a1000)
               => ( c5_2(a1000,Z)
                  | ~ c1_2(a1000,Z)
                  | c2_2(a1000,Z) ) )
            & ndr1_1(a1000)
            & c3_2(a1000,a1001)
            & ~ c4_2(a1000,a1001)
            & ~ c5_2(a1000,a1001) ) )
        & ( ~ c3_0
          | ! [X1] : 
              ( ndr1_0
             => ( c3_1(X1)
                | c5_1(X1)
                | ! [X2] : 
                    ( ndr1_1(X1)
                   => ( ~ c2_2(X1,X2)
                      | c5_2(X1,X2)
                      | c3_2(X1,X2) ) ) ) )
          | ! [X3] : 
              ( ndr1_0
             => ( ! [X4] : 
                    ( ndr1_1(X3)
                   => ( ~ c3_2(X3,X4)
                      | ~ c5_2(X3,X4)
                      | c4_2(X3,X4) ) )
                | ( ndr1_1(X3)
                  & c4_2(X3,a1002)
                  & c2_2(X3,a1002)
                  & ~ c1_2(X3,a1002) ) ) ) )
        & ( c2_0
          | ~ c3_0
          | c5_0 )
        & ( ! [X5] : 
              ( ndr1_0
             => ( ~ c2_1(X5)
                | ( ndr1_1(X5)
                  & c3_2(X5,a1003)
                  & ~ c1_2(X5,a1003)
                  & c5_2(X5,a1003) )
                | ( ndr1_1(X5)
                  & c4_2(X5,a1004)
                  & c3_2(X5,a1004)
                  & ~ c5_2(X5,a1004) ) ) )
          | ( ndr1_0
            & ! [X6] : 
                ( ndr1_1(a1005)
               => ( c5_2(a1005,X6)
                  | ~ c4_2(a1005,X6) ) )
            & ~ c3_1(a1005)
            & c4_1(a1005) )
          | ! [X7] : 
              ( ndr1_0
             => ( c5_1(X7)
                | ~ c1_1(X7)
                | ( ndr1_1(X7)
                  & ~ c3_2(X7,a1006)
                  & ~ c4_2(X7,a1006) ) ) ) )
        & ( ~ c1_0
          | ~ c5_0
          | ( ndr1_0
            & ! [X8] : 
                ( ndr1_1(a1007)
               => ( c1_2(a1007,X8)
                  | ~ c4_2(a1007,X8) ) )
            & ~ c5_1(a1007)
            & ndr1_1(a1007)
            & c1_2(a1007,a1008)
            & c2_2(a1007,a1008) ) )
        & ( c2_0
          | ( ndr1_0
            & ! [X9] : 
                ( ndr1_1(a1009)
               => ( ~ c5_2(a1009,X9)
                  | c2_2(a1009,X9) ) )
            & c2_1(a1009) )
          | ( ndr1_0
            & ndr1_1(a1010)
            & ~ c5_2(a1010,a1011)
            & c2_2(a1010,a1011)
            & ~ c3_2(a1010,a1011)
            & ndr1_1(a1010)
            & ~ c5_2(a1010,a1012)
            & c2_2(a1010,a1012)
            & ~ c1_2(a1010,a1012)
            & ! [X10] : 
                ( ndr1_1(a1010)
               => ( c3_2(a1010,X10)
                  | ~ c2_2(a1010,X10)
                  | ~ c1_2(a1010,X10) ) ) ) )
        & ( ~ c2_0
          | c1_0
          | ( ndr1_0
            & c3_1(a1013)
            & ! [X11] : 
                ( ndr1_1(a1013)
               => ( c1_2(a1013,X11)
                  | ~ c5_2(a1013,X11)
                  | c4_2(a1013,X11) ) )
            & ~ c2_1(a1013) ) )
        & ( ~ c5_0
          | ( ndr1_0
            & ndr1_1(a1014)
            & ~ c3_2(a1014,a1015)
            & ~ c2_2(a1014,a1015)
            & c1_2(a1014,a1015)
            & ~ c2_1(a1014) ) )
        & ( ! [X12] : 
              ( ndr1_0
             => ( ~ c3_1(X12)
                | ! [X13] : 
                    ( ndr1_1(X12)
                   => ( ~ c2_2(X12,X13)
                      | ~ c3_2(X12,X13) ) ) ) )
          | c2_0
          | c1_0 )
        & ( ~ c1_0
          | ~ c2_0
          | ~ c3_0 )
        & ( c5_0
          | ~ c2_0
          | c4_0 )
        & ( ~ c3_0
          | ~ c4_0
          | ( ndr1_0
            & c1_1(a1016)
            & ~ c4_1(a1016)
            & ndr1_1(a1016)
            & c2_2(a1016,a1017)
            & c5_2(a1016,a1017)
            & ~ c1_2(a1016,a1017) ) )
        & ( ~ c2_0
          | ( ndr1_0
            & ~ c5_1(a1018)
            & ndr1_1(a1018)
            & c5_2(a1018,a1019)
            & ~ c3_2(a1018,a1019)
            & ~ c4_2(a1018,a1019)
            & ! [X14] : 
                ( ndr1_1(a1018)
               => ( c1_2(a1018,X14)
                  | c5_2(a1018,X14)
                  | ~ c4_2(a1018,X14) ) ) )
          | ~ c5_0 )
        & ( ! [X15] : 
              ( ndr1_0
             => ( ( ndr1_1(X15)
                  & c4_2(X15,a1020)
                  & ~ c5_2(X15,a1020)
                  & c1_2(X15,a1020) )
                | c4_1(X15) ) )
          | ~ c5_0 )
        & ( ~ c4_0
          | ( ndr1_0
            & ! [X16] : 
                ( ndr1_1(a1021)
               => ( c3_2(a1021,X16)
                  | c2_2(a1021,X16) ) )
            & ! [X17] : 
                ( ndr1_1(a1021)
               => ( ~ c5_2(a1021,X17)
                  | c4_2(a1021,X17)
                  | ~ c1_2(a1021,X17) ) )
            & ~ c3_1(a1021) )
          | ~ c1_0 )
        & ( ~ c2_0
          | ! [X18] : 
              ( ndr1_0
             => ( ( ndr1_1(X18)
                  & c3_2(X18,a1022)
                  & ~ c5_2(X18,a1022) )
                | ~ c3_1(X18)
                | ! [X19] : 
                    ( ndr1_1(X18)
                   => ( c5_2(X18,X19)
                      | c4_2(X18,X19) ) ) ) )
          | ! [X20] : 
              ( ndr1_0
             => ( ~ c2_1(X20)
                | ~ c4_1(X20)
                | ! [X21] : 
                    ( ndr1_1(X20)
                   => ( ~ c4_2(X20,X21)
                      | c2_2(X20,X21) ) ) ) ) )
        & ( c4_0
          | ( ndr1_0
            & ndr1_1(a1023)
            & ~ c2_2(a1023,a1024)
            & c1_2(a1023,a1024)
            & c3_2(a1023,a1024)
            & c1_1(a1023)
            & ~ c2_1(a1023) )
          | ( ndr1_0
            & ! [X22] : 
                ( ndr1_1(a1025)
               => ( ~ c4_2(a1025,X22)
                  | c5_2(a1025,X22)
                  | ~ c1_2(a1025,X22) ) )
            & ! [X23] : 
                ( ndr1_1(a1025)
               => ( ~ c3_2(a1025,X23)
                  | c5_2(a1025,X23)
                  | ~ c1_2(a1025,X23) ) ) ) )
        & ( ( ndr1_0
            & ! [X24] : 
                ( ndr1_1(a1026)
               => ( ~ c5_2(a1026,X24)
                  | c2_2(a1026,X24)
                  | ~ c4_2(a1026,X24) ) )
            & ~ c3_1(a1026) )
          | ~ c3_0
          | ( ndr1_0
            & c4_1(a1027)
            & c5_1(a1027)
            & ! [X25] : 
                ( ndr1_1(a1027)
               => ( c1_2(a1027,X25)
                  | ~ c4_2(a1027,X25) ) ) ) )
        & ( ~ c5_0
          | c4_0 )
        & ( ( ndr1_0
            & ! [X26] : 
                ( ndr1_1(a1028)
               => ( c5_2(a1028,X26)
                  | ~ c3_2(a1028,X26)
                  | ~ c2_2(a1028,X26) ) )
            & c3_1(a1028) )
          | c1_0
          | ! [X27] : 
              ( ndr1_0
             => ( ! [X28] : 
                    ( ndr1_1(X27)
                   => ( c2_2(X27,X28)
                      | ~ c3_2(X27,X28)
                      | c1_2(X27,X28) ) )
                | ( ndr1_1(X27)
                  & ~ c4_2(X27,a1029)
                  & c2_2(X27,a1029)
                  & c3_2(X27,a1029) )
                | ( ndr1_1(X27)
                  & ~ c5_2(X27,a1030)
                  & ~ c4_2(X27,a1030) ) ) ) )
        & ( ( ndr1_0
            & c2_1(a1031)
            & ndr1_1(a1031)
            & ~ c2_2(a1031,a1032)
            & c5_2(a1031,a1032)
            & c4_1(a1031) )
          | ( ndr1_0
            & ! [X29] : 
                ( ndr1_1(a1033)
               => ( c5_2(a1033,X29)
                  | ~ c3_2(a1033,X29)
                  | c4_2(a1033,X29) ) )
            & ~ c5_1(a1033)
            & c3_1(a1033) )
          | ~ c1_0 )
        & ( ! [X30] : 
              ( ndr1_0
             => ( c5_1(X30)
                | c3_1(X30)
                | c2_1(X30) ) )
          | ~ c5_0
          | ~ c1_0 )
        & ( ! [X31] : 
              ( ndr1_0
             => ( ( ndr1_1(X31)
                  & ~ c5_2(X31,a1034)
                  & c1_2(X31,a1034)
                  & ~ c4_2(X31,a1034) )
                | ! [X32] : 
                    ( ndr1_1(X31)
                   => ( ~ c4_2(X31,X32)
                      | ~ c3_2(X31,X32)
                      | c2_2(X31,X32) ) ) ) )
          | c2_0 )
        & ( ! [X33] : 
              ( ndr1_0
             => ( ( ndr1_1(X33)
                  & ~ c2_2(X33,a1035)
                  & c4_2(X33,a1035)
                  & c5_2(X33,a1035) )
                | c3_1(X33)
                | ~ c2_1(X33) ) )
          | ~ c2_0 )
        & ( ( ndr1_0
            & ! [X34] : 
                ( ndr1_1(a1036)
               => ( c1_2(a1036,X34)
                  | ~ c3_2(a1036,X34)
                  | c4_2(a1036,X34) ) )
            & ~ c4_1(a1036) )
          | c1_0
          | ! [X35] : 
              ( ndr1_0
             => ( c4_1(X35)
                | c2_1(X35) ) ) )
        & ( c5_0
          | ! [X36] : 
              ( ndr1_0
             => ( c5_1(X36)
                | ! [X37] : 
                    ( ndr1_1(X36)
                   => ( ~ c3_2(X36,X37)
                      | ~ c2_2(X36,X37)
                      | c1_2(X36,X37) ) ) ) )
          | c4_0 )
        & ( ! [X38] : 
              ( ndr1_0
             => ( ~ c2_1(X38)
                | ( ndr1_1(X38)
                  & ~ c1_2(X38,a1037)
                  & c3_2(X38,a1037)
                  & c5_2(X38,a1037) )
                | c4_1(X38) ) )
          | ~ c1_0
          | ! [X39] : 
              ( ndr1_0
             => ( ~ c1_1(X39)
                | ( ndr1_1(X39)
                  & ~ c4_2(X39,a1038)
                  & ~ c2_2(X39,a1038)
                  & ~ c3_2(X39,a1038) )
                | ! [X40] : 
                    ( ndr1_1(X39)
                   => ( ~ c3_2(X39,X40)
                      | c2_2(X39,X40)
                      | ~ c5_2(X39,X40) ) ) ) ) )
        & ( c4_0
          | ( ndr1_0
            & ndr1_1(a1039)
            & ~ c5_2(a1039,a1040)
            & c2_2(a1039,a1040)
            & ~ c3_2(a1039,a1040)
            & ! [X41] : 
                ( ndr1_1(a1039)
               => ( c3_2(a1039,X41)
                  | c2_2(a1039,X41)
                  | c4_2(a1039,X41) ) )
            & ndr1_1(a1039)
            & c4_2(a1039,a1041)
            & c2_2(a1039,a1041)
            & c3_2(a1039,a1041) )
          | ! [X42] : 
              ( ndr1_0
             => ( ! [X43] : 
                    ( ndr1_1(X42)
                   => ( ~ c1_2(X42,X43)
                      | ~ c2_2(X42,X43) ) )
                | c5_1(X42)
                | ~ c1_1(X42) ) ) )
        & ( c4_0
          | ( ndr1_0
            & ndr1_1(a1042)
            & ~ c3_2(a1042,a1043)
            & c5_2(a1042,a1043)
            & ~ c2_2(a1042,a1043)
            & ndr1_1(a1042)
            & ~ c2_2(a1042,a1044)
            & ~ c5_2(a1042,a1044)
            & ndr1_1(a1042)
            & c1_2(a1042,a1045)
            & ~ c3_2(a1042,a1045) )
          | ( ndr1_0
            & c2_1(a1046)
            & ~ c5_1(a1046)
            & ~ c4_1(a1046) ) )
        & ( ! [X44] : 
              ( ndr1_0
             => ( ~ c3_1(X44)
                | ! [X45] : 
                    ( ndr1_1(X44)
                   => ( c2_2(X44,X45)
                      | c1_2(X44,X45)
                      | ~ c4_2(X44,X45) ) )
                | ~ c1_1(X44) ) )
          | ~ c4_0
          | ( ndr1_0
            & ndr1_1(a1047)
            & c5_2(a1047,a1048)
            & ~ c3_2(a1047,a1048)
            & c4_2(a1047,a1048)
            & ! [X46] : 
                ( ndr1_1(a1047)
               => ( c2_2(a1047,X46)
                  | c5_2(a1047,X46)
                  | ~ c4_2(a1047,X46) ) )
            & ! [X47] : 
                ( ndr1_1(a1047)
               => ( c2_2(a1047,X47)
                  | ~ c4_2(a1047,X47)
                  | c3_2(a1047,X47) ) ) ) )
        & ( ~ c1_0
          | ( ndr1_0
            & c5_1(a1049)
            & ! [X48] : 
                ( ndr1_1(a1049)
               => ( ~ c2_2(a1049,X48)
                  | c1_2(a1049,X48)
                  | ~ c3_2(a1049,X48) ) )
            & ~ c3_1(a1049) ) )
        & ( ~ c1_0
          | ( ndr1_0
            & ! [X49] : 
                ( ndr1_1(a1050)
               => ( c4_2(a1050,X49)
                  | ~ c2_2(a1050,X49)
                  | c3_2(a1050,X49) ) )
            & ~ c2_1(a1050) )
          | c3_0 )
        & ( ~ c2_0
          | c4_0 )
        & ( ! [X50] : 
              ( ndr1_0
             => ( c1_1(X50)
                | ~ c3_1(X50) ) )
          | c5_0
          | ( ndr1_0
            & ~ c2_1(a1051)
            & ! [X51] : 
                ( ndr1_1(a1051)
               => ( ~ c2_2(a1051,X51)
                  | c4_2(a1051,X51)
                  | ~ c5_2(a1051,X51) ) )
            & ndr1_1(a1051)
            & ~ c4_2(a1051,a1052)
            & c5_2(a1051,a1052)
            & c1_2(a1051,a1052) ) )
        & ( c4_0
          | ( ndr1_0
            & c1_1(a1053)
            & c4_1(a1053)
            & ! [X52] : 
                ( ndr1_1(a1053)
               => ( c4_2(a1053,X52)
                  | c2_2(a1053,X52)
                  | ~ c1_2(a1053,X52) ) ) )
          | ( ndr1_0
            & ndr1_1(a1054)
            & ~ c4_2(a1054,a1055)
            & ~ c2_2(a1054,a1055)
            & ndr1_1(a1054)
            & c3_2(a1054,a1056)
            & c5_2(a1054,a1056)
            & c4_2(a1054,a1056)
            & c2_1(a1054) ) )
        & ( ~ c5_0
          | ~ c1_0 )
        & ( ~ c2_0
          | c1_0
          | ! [X53] : 
              ( ndr1_0
             => ( ~ c5_1(X53)
                | c2_1(X53)
                | ! [X54] : 
                    ( ndr1_1(X53)
                   => ( c5_2(X53,X54)
                      | c4_2(X53,X54) ) ) ) ) )
        & ( ( ndr1_0
            & ~ c2_1(a1057)
            & ~ c5_1(a1057)
            & ndr1_1(a1057)
            & ~ c4_2(a1057,a1058)
            & c3_2(a1057,a1058) )
          | ( ndr1_0
            & ndr1_1(a1059)
            & c5_2(a1059,a1060)
            & c2_2(a1059,a1060)
            & ~ c1_2(a1059,a1060)
            & ! [X55] : 
                ( ndr1_1(a1059)
               => ( c3_2(a1059,X55)
                  | ~ c5_2(a1059,X55)
                  | c1_2(a1059,X55) ) )
            & ndr1_1(a1059)
            & c3_2(a1059,a1061)
            & c1_2(a1059,a1061) )
          | ( ndr1_0
            & ! [X56] : 
                ( ndr1_1(a1062)
               => ( ~ c1_2(a1062,X56)
                  | c5_2(a1062,X56)
                  | c2_2(a1062,X56) ) )
            & ~ c5_1(a1062)
            & c4_1(a1062) ) )
        & ( c5_0
          | c2_0
          | ( ndr1_0
            & ! [X57] : 
                ( ndr1_1(a1063)
               => ( ~ c5_2(a1063,X57)
                  | ~ c3_2(a1063,X57) ) )
            & ~ c1_1(a1063) ) )
        & ( ~ c1_0
          | ~ c4_0 )
        & ( c2_0
          | ! [X58] : 
              ( ndr1_0
             => ( ~ c4_1(X58)
                | ! [X59] : 
                    ( ndr1_1(X58)
                   => ( c2_2(X58,X59)
                      | ~ c5_2(X58,X59)
                      | ~ c4_2(X58,X59) ) )
                | ~ c5_1(X58) ) )
          | ! [X60] : 
              ( ndr1_0
             => ( c2_1(X60)
                | c1_1(X60) ) ) )
        & ( ~ c2_0
          | ! [X61] : 
              ( ndr1_0
             => ( c3_1(X61)
                | ! [X62] : 
                    ( ndr1_1(X61)
                   => ( ~ c5_2(X61,X62)
                      | ~ c2_2(X61,X62)
                      | ~ c4_2(X61,X62) ) )
                | ! [X63] : 
                    ( ndr1_1(X61)
                   => ( c4_2(X61,X63)
                      | c5_2(X61,X63) ) ) ) )
          | ( ndr1_0
            & ndr1_1(a1064)
            & ~ c2_2(a1064,a1065)
            & c4_2(a1064,a1065)
            & ~ c1_2(a1064,a1065)
            & c2_1(a1064)
            & ndr1_1(a1064)
            & ~ c5_2(a1064,a1066)
            & ~ c1_2(a1064,a1066) ) )
        & ( ( ndr1_0
            & ndr1_1(a1067)
            & ~ c1_2(a1067,a1068)
            & c2_2(a1067,a1068)
            & c3_2(a1067,a1068)
            & ~ c3_1(a1067)
            & ~ c4_1(a1067) )
          | c5_0
          | c2_0 )
        & ( ( ndr1_0
            & ~ c4_1(a1069)
            & c1_1(a1069)
            & ~ c2_1(a1069) )
          | ~ c2_0
          | ! [X64] : 
              ( ndr1_0
             => ( ~ c4_1(X64)
                | c2_1(X64) ) ) )
        & ( ( ndr1_0
            & ~ c4_1(a1070)
            & ! [X65] : 
                ( ndr1_1(a1070)
               => ( ~ c3_2(a1070,X65)
                  | c4_2(a1070,X65)
                  | ~ c2_2(a1070,X65) ) )
            & ! [X66] : 
                ( ndr1_1(a1070)
               => ( ~ c4_2(a1070,X66)
                  | c3_2(a1070,X66)
                  | ~ c2_2(a1070,X66) ) ) )
          | ! [X67] : 
              ( ndr1_0
             => ( ! [X68] : 
                    ( ndr1_1(X67)
                   => ( c4_2(X67,X68)
                      | ~ c5_2(X67,X68) ) )
                | ~ c5_1(X67)
                | c4_1(X67) ) ) )
        & ( c3_0
          | ~ c1_0
          | ~ c4_0 )
        & ( ( ndr1_0
            & ~ c1_1(a1071)
            & ~ c2_1(a1071)
            & ! [X69] : 
                ( ndr1_1(a1071)
               => ( c5_2(a1071,X69)
                  | c4_2(a1071,X69)
                  | c1_2(a1071,X69) ) ) )
          | c1_0 )
        & ( ~ c4_0
          | ! [X70] : 
              ( ndr1_0
             => ( c5_1(X70)
                | c3_1(X70)
                | ~ c4_1(X70) ) )
          | c1_0 )
        & ( ( ndr1_0
            & ndr1_1(a1072)
            & c2_2(a1072,a1073)
            & ~ c3_2(a1072,a1073)
            & c4_2(a1072,a1073)
            & c1_1(a1072)
            & ndr1_1(a1072)
            & ~ c3_2(a1072,a1074)
            & ~ c4_2(a1072,a1074) )
          | c2_0
          | ( ndr1_0
            & ! [X71] : 
                ( ndr1_1(a1075)
               => ( c5_2(a1075,X71)
                  | c1_2(a1075,X71)
                  | c4_2(a1075,X71) ) )
            & ndr1_1(a1075)
            & ~ c2_2(a1075,a1076)
            & ~ c4_2(a1075,a1076)
            & ~ c1_2(a1075,a1076) ) )
        & ( c4_0
          | ( ndr1_0
            & ndr1_1(a1077)
            & ~ c2_2(a1077,a1078)
            & c5_2(a1077,a1078)
            & ~ c4_2(a1077,a1078)
            & c5_1(a1077)
            & c4_1(a1077) )
          | ( ndr1_0
            & ~ c1_1(a1079)
            & ~ c2_1(a1079) ) )
        & ( ! [X72] : 
              ( ndr1_0
             => ( c3_1(X72)
                | c1_1(X72)
                | ~ c2_1(X72) ) )
          | ~ c5_0
          | ~ c2_0 )
        & ( ~ c3_0
          | c1_0 )
        & ( ( ndr1_0
            & c1_1(a1080)
            & ndr1_1(a1080)
            & ~ c5_2(a1080,a1081)
            & ~ c4_2(a1080,a1081)
            & c4_1(a1080) )
          | c3_0
          | ! [X73] : 
              ( ndr1_0
             => ( ~ c2_1(X73)
                | ! [X74] : 
                    ( ndr1_1(X73)
                   => ( ~ c1_2(X73,X74)
                      | ~ c4_2(X73,X74)
                      | ~ c5_2(X73,X74) ) )
                | c1_1(X73) ) ) )
        & ( ~ c1_0
          | ~ c5_0
          | c2_0 )
        & ( c1_0
          | ~ c2_0
          | ( ndr1_0
            & ! [X75] : 
                ( ndr1_1(a1082)
               => ( ~ c5_2(a1082,X75)
                  | c4_2(a1082,X75)
                  | c2_2(a1082,X75) ) )
            & ~ c1_1(a1082)
            & ! [X76] : 
                ( ndr1_1(a1082)
               => ( c3_2(a1082,X76)
                  | ~ c2_2(a1082,X76)
                  | c5_2(a1082,X76) ) ) ) )
        & ( ( ndr1_0
            & ! [X77] : 
                ( ndr1_1(a1083)
               => ( c1_2(a1083,X77)
                  | c5_2(a1083,X77) ) )
            & ~ c1_1(a1083)
            & c2_1(a1083) )
          | ( ndr1_0
            & ndr1_1(a1084)
            & c1_2(a1084,a1085)
            & c2_2(a1084,a1085)
            & c3_2(a1084,a1085)
            & ndr1_1(a1084)
            & c3_2(a1084,a1086)
            & ~ c2_2(a1084,a1086)
            & ~ c4_2(a1084,a1086) )
          | c4_0 )
        & ( ! [X78] : 
              ( ndr1_0
             => ( ( ndr1_1(X78)
                  & c1_2(X78,a1087)
                  & c5_2(X78,a1087)
                  & c3_2(X78,a1087) )
                | ( ndr1_1(X78)
                  & ~ c5_2(X78,a1088) )
                | ~ c2_1(X78) ) )
          | ~ c4_0
          | ( ndr1_0
            & ! [X79] : 
                ( ndr1_1(a1089)
               => ( c2_2(a1089,X79)
                  | c3_2(a1089,X79)
                  | c1_2(a1089,X79) ) )
            & ~ c1_1(a1089)
            & ! [X80] : 
                ( ndr1_1(a1089)
               => ( ~ c2_2(a1089,X80)
                  | ~ c3_2(a1089,X80)
                  | c1_2(a1089,X80) ) ) ) )
        & ( ! [X81] : 
              ( ndr1_0
             => ( ( ndr1_1(X81)
                  & c2_2(X81,a1090)
                  & ~ c1_2(X81,a1090)
                  & c5_2(X81,a1090) )
                | ( ndr1_1(X81)
                  & ~ c2_2(X81,a1091)
                  & c5_2(X81,a1091)
                  & c4_2(X81,a1091) )
                | ! [X82] : 
                    ( ndr1_1(X81)
                   => ( ~ c5_2(X81,X82)
                      | ~ c4_2(X81,X82) ) ) ) )
          | ! [X83] : 
              ( ndr1_0
             => ( ( ndr1_1(X83)
                  & ~ c1_2(X83,a1092)
                  & c2_2(X83,a1092)
                  & c4_2(X83,a1092) )
                | ! [X84] : 
                    ( ndr1_1(X83)
                   => ( ~ c5_2(X83,X84)
                      | c2_2(X83,X84)
                      | ~ c1_2(X83,X84) ) )
                | ( ndr1_1(X83)
                  & c1_2(X83,a1093)
                  & ~ c4_2(X83,a1093)
                  & c2_2(X83,a1093) ) ) )
          | ( ndr1_0
            & ! [X85] : 
                ( ndr1_1(a1094)
               => ( c2_2(a1094,X85)
                  | ~ c4_2(a1094,X85)
                  | ~ c5_2(a1094,X85) ) )
            & ~ c2_1(a1094)
            & ndr1_1(a1094)
            & ~ c4_2(a1094,a1095)
            & c2_2(a1094,a1095) ) )
        & ( ! [X86] : 
              ( ndr1_0
             => ( c1_1(X86)
                | ( ndr1_1(X86)
                  & c4_2(X86,a1096)
                  & ~ c2_2(X86,a1096) )
                | ! [X87] : 
                    ( ndr1_1(X86)
                   => ( ~ c2_2(X86,X87)
                      | ~ c3_2(X86,X87)
                      | ~ c1_2(X86,X87) ) ) ) )
          | ~ c2_0
          | c5_0 )
        & ( ~ c1_0
          | ( ndr1_0
            & ~ c2_1(a1097)
            & ~ c5_1(a1097)
            & ndr1_1(a1097)
            & c1_2(a1097,a1098)
            & c5_2(a1097,a1098)
            & c3_2(a1097,a1098) ) )
        & ( ! [X88] : 
              ( ndr1_0
             => ( ~ c3_1(X88)
                | c2_1(X88) ) )
          | ~ c2_0
          | ~ c5_0 )
        & ( ( ndr1_0
            & c5_1(a1099)
            & ~ c2_1(a1099)
            & ~ c3_1(a1099) )
          | ~ c3_0
          | ~ c2_0 )
        & ( ~ c3_0
          | ~ c1_0
          | ~ c4_0 )
        & ( ! [X89] : 
              ( ndr1_0
             => ( c2_1(X89)
                | ! [X90] : 
                    ( ndr1_1(X89)
                   => ( c3_2(X89,X90)
                      | ~ c5_2(X89,X90) ) )
                | ( ndr1_1(X89)
                  & ~ c3_2(X89,a1100)
                  & c1_2(X89,a1100) ) ) )
          | c4_0
          | ~ c3_0 )
        & ( c2_0
          | ! [X91] : 
              ( ndr1_0
             => ( ! [X92] : 
                    ( ndr1_1(X91)
                   => ( ~ c3_2(X91,X92)
                      | c4_2(X91,X92)
                      | ~ c2_2(X91,X92) ) )
                | ( ndr1_1(X91)
                  & ~ c5_2(X91,a1101)
                  & ~ c1_2(X91,a1101)
                  & ~ c3_2(X91,a1101) )
                | c3_1(X91) ) )
          | c3_0 )
        & ( ( ndr1_0
            & ! [X93] : 
                ( ndr1_1(a1102)
               => ( c2_2(a1102,X93)
                  | c3_2(a1102,X93)
                  | c5_2(a1102,X93) ) )
            & ! [X94] : 
                ( ndr1_1(a1102)
               => ( c3_2(a1102,X94)
                  | c1_2(a1102,X94)
                  | c2_2(a1102,X94) ) ) )
          | c1_0
          | ~ c4_0 )
        & ( ~ c2_0
          | ! [X95] : 
              ( ndr1_0
             => ( c2_1(X95)
                | ! [X96] : 
                    ( ndr1_1(X95)
                   => ( c2_2(X95,X96)
                      | c1_2(X95,X96)
                      | c3_2(X95,X96) ) )
                | ! [X97] : 
                    ( ndr1_1(X95)
                   => ( ~ c1_2(X95,X97)
                      | ~ c3_2(X95,X97)
                      | ~ c5_2(X95,X97) ) ) ) )
          | ! [X98] : 
              ( ndr1_0
             => ( c5_1(X98)
                | ~ c4_1(X98)
                | ! [X99] : 
                    ( ndr1_1(X98)
                   => ( c4_2(X98,X99)
                      | c5_2(X98,X99) ) ) ) ) )
        & ( c3_0
          | ! [X100] : 
              ( ndr1_0
             => ( ~ c1_1(X100)
                | ! [X101] : 
                    ( ndr1_1(X100)
                   => ( c1_2(X100,X101)
                      | ~ c2_2(X100,X101)
                      | ~ c5_2(X100,X101) ) )
                | ! [X102] : 
                    ( ndr1_1(X100)
                   => ( c5_2(X100,X102)
                      | ~ c3_2(X100,X102)
                      | c1_2(X100,X102) ) ) ) )
          | ~ c2_0 )
        & ( c1_0
          | c3_0 )
        & ( ( ndr1_0
            & ! [X103] : 
                ( ndr1_1(a1103)
               => ( c5_2(a1103,X103)
                  | c1_2(a1103,X103)
                  | c3_2(a1103,X103) ) )
            & ! [X104] : 
                ( ndr1_1(a1103)
               => ( ~ c3_2(a1103,X104)
                  | ~ c1_2(a1103,X104)
                  | c5_2(a1103,X104) ) )
            & c5_1(a1103) )
          | ~ c1_0 )
        & ( ! [X105] : 
              ( ndr1_0
             => ( ~ c3_1(X105)
                | c1_1(X105)
                | ! [X106] : 
                    ( ndr1_1(X105)
                   => ( c3_2(X105,X106)
                      | ~ c5_2(X105,X106)
                      | c1_2(X105,X106) ) ) ) )
          | c2_0
          | c4_0 )
        & ( c5_0
          | ( ndr1_0
            & ~ c2_1(a1104)
            & ndr1_1(a1104)
            & c3_2(a1104,a1105)
            & ~ c5_2(a1104,a1105) )
          | ~ c1_0 )
        & ( c5_0
          | ~ c4_0 )
        & ( ! [X107] : 
              ( ndr1_0
             => ( ! [X108] : 
                    ( ndr1_1(X107)
                   => ( ~ c1_2(X107,X108)
                      | ~ c2_2(X107,X108)
                      | c5_2(X107,X108) ) )
                | c3_1(X107)
                | ( ndr1_1(X107)
                  & c5_2(X107,a1106)
                  & ~ c3_2(X107,a1106)
                  & c4_2(X107,a1106) ) ) )
          | c2_0
          | ! [X109] : 
              ( ndr1_0
             => ( ( ndr1_1(X109)
                  & ~ c4_2(X109,a1107)
                  & c1_2(X109,a1107)
                  & ~ c5_2(X109,a1107) )
                | ! [X110] : 
                    ( ndr1_1(X109)
                   => ( ~ c5_2(X109,X110)
                      | ~ c1_2(X109,X110)
                      | c2_2(X109,X110) ) )
                | ( ndr1_1(X109)
                  & ~ c5_2(X109,a1108)
                  & c4_2(X109,a1108) ) ) ) )
        & ( ~ c5_0
          | c1_0
          | ! [X111] : 
              ( ndr1_0
             => ( ( ndr1_1(X111)
                  & c5_2(X111,a1109)
                  & ~ c3_2(X111,a1109) )
                | c1_1(X111) ) ) )
        & ( c2_0
          | ( ndr1_0
            & ndr1_1(a1110)
            & ~ c4_2(a1110,a1111)
            & c1_2(a1110,a1111)
            & c5_2(a1110,a1111)
            & c4_1(a1110)
            & c2_1(a1110) )
          | ( ndr1_0
            & ! [X112] : 
                ( ndr1_1(a1112)
               => ( ~ c5_2(a1112,X112)
                  | c1_2(a1112,X112)
                  | ~ c2_2(a1112,X112) ) )
            & ! [X113] : 
                ( ndr1_1(a1112)
               => ( ~ c4_2(a1112,X113)
                  | ~ c3_2(a1112,X113)
                  | ~ c2_2(a1112,X113) ) )
            & c2_1(a1112) ) )
        & ( c4_0
          | ( ndr1_0
            & c1_1(a1113)
            & c2_1(a1113)
            & ! [X114] : 
                ( ndr1_1(a1113)
               => ( c2_2(a1113,X114)
                  | ~ c4_2(a1113,X114) ) ) ) )
        & ( c1_0
          | ( ndr1_0
            & ! [X115] : 
                ( ndr1_1(a1114)
               => ( c3_2(a1114,X115)
                  | ~ c2_2(a1114,X115)
                  | ~ c4_2(a1114,X115) ) )
            & ndr1_1(a1114)
            & ~ c5_2(a1114,a1115)
            & ~ c4_2(a1114,a1115)
            & c3_2(a1114,a1115)
            & ! [X116] : 
                ( ndr1_1(a1114)
               => ( c3_2(a1114,X116)
                  | ~ c5_2(a1114,X116) ) ) )
          | ~ c5_0 )
        & ( ( ndr1_0
            & ~ c4_1(a1116)
            & ndr1_1(a1116)
            & ~ c5_2(a1116,a1117)
            & ~ c3_2(a1116,a1117)
            & c4_2(a1116,a1117)
            & ! [X117] : 
                ( ndr1_1(a1116)
               => ( c4_2(a1116,X117)
                  | c2_2(a1116,X117)
                  | c3_2(a1116,X117) ) ) )
          | ~ c2_0
          | ( ndr1_0
            & ! [X118] : 
                ( ndr1_1(a1118)
               => ( ~ c1_2(a1118,X118)
                  | c4_2(a1118,X118)
                  | ~ c3_2(a1118,X118) ) )
            & ndr1_1(a1118)
            & c4_2(a1118,a1119)
            & c5_2(a1118,a1119)
            & c2_2(a1118,a1119) ) )
        & ( ~ c1_0
          | ! [X119] : 
              ( ndr1_0
             => ( ( ndr1_1(X119)
                  & c5_2(X119,a1120)
                  & c4_2(X119,a1120)
                  & ~ c3_2(X119,a1120) )
                | c3_1(X119)
                | ~ c4_1(X119) ) ) )
        & ( ( ndr1_0
            & c3_1(a1121)
            & ~ c1_1(a1121)
            & ~ c4_1(a1121) )
          | c4_0 )
        & ( ~ c4_0
          | c5_0 )
        & ( ~ c3_0
          | c5_0 )
        & ( ( ndr1_0
            & ndr1_1(a1122)
            & c2_2(a1122,a1123)
            & ~ c1_2(a1122,a1123)
            & ndr1_1(a1122)
            & c5_2(a1122,a1124)
            & c2_2(a1122,a1124)
            & ~ c3_2(a1122,a1124)
            & ! [X120] : 
                ( ndr1_1(a1122)
               => ( ~ c4_2(a1122,X120)
                  | c1_2(a1122,X120)
                  | c2_2(a1122,X120) ) ) )
          | ! [X121] : 
              ( ndr1_0
             => ( ~ c4_1(X121)
                | ! [X122] : 
                    ( ndr1_1(X121)
                   => ( ~ c2_2(X121,X122)
                      | ~ c1_2(X121,X122) ) )
                | ! [X123] : 
                    ( ndr1_1(X121)
                   => ( c1_2(X121,X123)
                      | ~ c2_2(X121,X123) ) ) ) )
          | ~ c1_0 )
        & ( ~ c3_0
          | c2_0
          | c5_0 )
        & ( c5_0
          | ~ c2_0 )
        & ( ~ c2_0
          | ! [X124] : 
              ( ndr1_0
             => ( c4_1(X124)
                | ( ndr1_1(X124)
                  & c4_2(X124,a1125)
                  & c1_2(X124,a1125) )
                | ~ c3_1(X124) ) )
          | ( ndr1_0
            & ! [X125] : 
                ( ndr1_1(a1126)
               => ( c3_2(a1126,X125)
                  | c1_2(a1126,X125)
                  | c2_2(a1126,X125) ) )
            & ! [X126] : 
                ( ndr1_1(a1126)
               => ( c1_2(a1126,X126)
                  | ~ c4_2(a1126,X126) ) ) ) )
        & ( ! [X127] : 
              ( ndr1_0
             => ( ( ndr1_1(X127)
                  & ~ c4_2(X127,a1127)
                  & c1_2(X127,a1127)
                  & ~ c5_2(X127,a1127) )
                | ( ndr1_1(X127)
                  & ~ c4_2(X127,a1128)
                  & ~ c5_2(X127,a1128)
                  & c2_2(X127,a1128) )
                | c3_1(X127) ) )
          | c5_0
          | ( ndr1_0
            & ~ c2_1(a1129)
            & c4_1(a1129)
            & ! [X128] : 
                ( ndr1_1(a1129)
               => ( c3_2(a1129,X128)
                  | c4_2(a1129,X128)
                  | ~ c5_2(a1129,X128) ) ) ) )
        & ( ! [X129] : 
              ( ndr1_0
             => ( ! [X130] : 
                    ( ndr1_1(X129)
                   => ( ~ c1_2(X129,X130)
                      | c2_2(X129,X130) ) )
                | ! [X131] : 
                    ( ndr1_1(X129)
                   => ( c1_2(X129,X131)
                      | c2_2(X129,X131)
                      | ~ c4_2(X129,X131) ) )
                | ( ndr1_1(X129)
                  & ~ c4_2(X129,a1130)
                  & c3_2(X129,a1130)
                  & ~ c1_2(X129,a1130) ) ) )
          | c3_0
          | ! [X132] : 
              ( ndr1_0
             => ( ~ c4_1(X132)
                | ~ c1_1(X132)
                | c5_1(X132) ) ) )
        & ( ~ c2_0
          | c5_0
          | c1_0 )
        & ( ( ndr1_0
            & c1_1(a1131)
            & ndr1_1(a1131)
            & c3_2(a1131,a1132)
            & c2_2(a1131,a1132)
            & c1_2(a1131,a1132)
            & ~ c4_1(a1131) )
          | ~ c2_0
          | c5_0 )
        & ( c1_0
          | ! [X133] : 
              ( ndr1_0
             => ( ~ c5_1(X133)
                | c3_1(X133)
                | c4_1(X133) ) ) )
        & ( ~ c3_0
          | ~ c1_0
          | ! [X134] : 
              ( ndr1_0
             => ( c1_1(X134)
                | ! [X135] : 
                    ( ndr1_1(X134)
                   => ( c2_2(X134,X135)
                      | ~ c3_2(X134,X135)
                      | c4_2(X134,X135) ) ) ) ) )
        & ( c1_0
          | ! [X136] : 
              ( ndr1_0
             => ( c1_1(X136)
                | ! [X137] : 
                    ( ndr1_1(X136)
                   => ( c1_2(X136,X137)
                      | c2_2(X136,X137)
                      | ~ c3_2(X136,X137) ) )
                | ( ndr1_1(X136)
                  & c4_2(X136,a1133)
                  & ~ c1_2(X136,a1133) ) ) )
          | c3_0 )
        & ( c5_0
          | ! [X138] : 
              ( ndr1_0
             => ! [X139] : 
                  ( ndr1_1(X138)
                 => ( c1_2(X138,X139)
                    | ~ c5_2(X138,X139)
                    | ~ c3_2(X138,X139) ) ) )
          | ! [X140] : 
              ( ndr1_0
             => ( ( ndr1_1(X140)
                  & ~ c5_2(X140,a1134)
                  & c4_2(X140,a1134) )
                | c1_1(X140)
                | ! [X141] : 
                    ( ndr1_1(X140)
                   => ( c5_2(X140,X141)
                      | c1_2(X140,X141) ) ) ) ) )
        & ( ! [X142] : 
              ( ndr1_0
             => ( c2_1(X142)
                | ~ c5_1(X142)
                | ~ c1_1(X142) ) )
          | ! [X143] : 
              ( ndr1_0
             => ( c5_1(X143)
                | c4_1(X143) ) )
          | ~ c2_0 )
        & ( ( ndr1_0
            & ndr1_1(a1135)
            & c4_2(a1135,a1136)
            & c1_2(a1135,a1136)
            & c2_2(a1135,a1136)
            & ! [X144] : 
                ( ndr1_1(a1135)
               => ( ~ c5_2(a1135,X144)
                  | ~ c1_2(a1135,X144)
                  | ~ c3_2(a1135,X144) ) )
            & c4_1(a1135) )
          | ~ c4_0 )
        & ( ! [X145] : 
              ( ndr1_0
             => ( ! [X146] : 
                    ( ndr1_1(X145)
                   => ( c4_2(X145,X146)
                      | c1_2(X145,X146)
                      | ~ c5_2(X145,X146) ) )
                | ! [X147] : 
                    ( ndr1_1(X145)
                   => ( ~ c5_2(X145,X147)
                      | c4_2(X145,X147) ) )
                | ( ndr1_1(X145)
                  & c1_2(X145,a1137)
                  & ~ c2_2(X145,a1137) ) ) )
          | ! [X148] : 
              ( ndr1_0
             => ( ~ c3_1(X148)
                | ( ndr1_1(X148)
                  & ~ c3_2(X148,a1138)
                  & c2_2(X148,a1138) )
                | ! [X149] : 
                    ( ndr1_1(X148)
                   => ( ~ c3_2(X148,X149)
                      | c5_2(X148,X149)
                      | c4_2(X148,X149) ) ) ) )
          | c2_0 )
        & ( ~ c5_0
          | ~ c3_0
          | ! [X150] : 
              ( ndr1_0
             => ( c2_1(X150)
                | ! [X151] : 
                    ( ndr1_1(X150)
                   => ( c4_2(X150,X151)
                      | ~ c5_2(X150,X151)
                      | c2_2(X150,X151) ) )
                | ( ndr1_1(X150)
                  & ~ c2_2(X150,a1139)
                  & ~ c3_2(X150,a1139)
                  & ~ c1_2(X150,a1139) ) ) ) )
        & ( ~ c3_0
          | ~ c5_0 )
        & ( ~ c2_0
          | ! [X152] : 
              ( ndr1_0
             => ( c1_1(X152)
                | ( ndr1_1(X152)
                  & c2_2(X152,a1140)
                  & ~ c5_2(X152,a1140) ) ) ) )
        & ( ( ndr1_0
            & ndr1_1(a1141)
            & c1_2(a1141,a1142)
            & ~ c2_2(a1141,a1142)
            & ndr1_1(a1141)
            & c4_2(a1141,a1143)
            & ~ c3_2(a1141,a1143)
            & c1_2(a1141,a1143)
            & ~ c5_1(a1141) )
          | c4_0 )
        & ( ~ c4_0
          | ~ c1_0
          | ! [X153] : 
              ( ndr1_0
             => ( c3_1(X153)
                | ~ c5_1(X153) ) ) )
        & ( c4_0
          | ~ c2_0 )
        & ( ( ndr1_0
            & c4_1(a1144)
            & ! [X154] : 
                ( ndr1_1(a1144)
               => ( c3_2(a1144,X154)
                  | c5_2(a1144,X154) ) )
            & ! [X155] : 
                ( ndr1_1(a1144)
               => ( ~ c2_2(a1144,X155)
                  | c4_2(a1144,X155)
                  | ~ c1_2(a1144,X155) ) ) )
          | ( ndr1_0
            & ndr1_1(a1145)
            & ~ c2_2(a1145,a1146)
            & c1_2(a1145,a1146)
            & ~ c3_2(a1145,a1146)
            & ~ c2_1(a1145)
            & ~ c4_1(a1145) )
          | ~ c5_0 )
        & ( c2_0
          | ~ c1_0
          | ~ c5_0 )
        & ( ( ndr1_0
            & ! [X156] : 
                ( ndr1_1(a1147)
               => ( ~ c5_2(a1147,X156)
                  | ~ c2_2(a1147,X156)
                  | c3_2(a1147,X156) ) )
            & ndr1_1(a1147)
            & c5_2(a1147,a1148)
            & c4_2(a1147,a1148)
            & c2_2(a1147,a1148)
            & ! [X157] : 
                ( ndr1_1(a1147)
               => ( c1_2(a1147,X157)
                  | ~ c2_2(a1147,X157)
                  | c3_2(a1147,X157) ) ) )
          | ( ndr1_0
            & ~ c3_1(a1149)
            & ndr1_1(a1149)
            & c4_2(a1149,a1150)
            & c3_2(a1149,a1150)
            & c5_1(a1149) )
          | ~ c1_0 )
        & ( ( ndr1_0
            & ! [X158] : 
                ( ndr1_1(a1151)
               => ( c5_2(a1151,X158)
                  | ~ c1_2(a1151,X158)
                  | ~ c2_2(a1151,X158) ) )
            & c5_1(a1151)
            & ndr1_1(a1151)
            & ~ c1_2(a1151,a1152) )
          | ( ndr1_0
            & c2_1(a1153)
            & ndr1_1(a1153)
            & c4_2(a1153,a1154)
            & ~ c2_2(a1153,a1154)
            & c5_2(a1153,a1154)
            & ~ c4_1(a1153) )
          | ~ c1_0 )
        & ( ( ndr1_0
            & ~ c3_1(a1155)
            & c5_1(a1155) )
          | ! [X159] : 
              ( ndr1_0
             => ( ~ c1_1(X159)
                | ( ndr1_1(X159)
                  & ~ c1_2(X159,a1156)
                  & c3_2(X159,a1156)
                  & ~ c2_2(X159,a1156) )
                | ! [X160] : 
                    ( ndr1_1(X159)
                   => ( ~ c2_2(X159,X160)
                      | ~ c5_2(X159,X160) ) ) ) )
          | c1_0 )
        & ( ! [X161] : 
              ( ndr1_0
             => ( ! [X162] : 
                    ( ndr1_1(X161)
                   => ( c4_2(X161,X162)
                      | ~ c2_2(X161,X162) ) )
                | ~ c1_1(X161)
                | ~ c3_1(X161) ) )
          | c3_0
          | ( ndr1_0
            & c5_1(a1157)
            & ! [X163] : 
                ( ndr1_1(a1157)
               => ( c2_2(a1157,X163)
                  | ~ c4_2(a1157,X163)
                  | c1_2(a1157,X163) ) ) ) ) ) )).

%--------------------------------------------------------------------------
