%--------------------------------------------------------------------------
% File     : SYN519+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=175, K=3, D=2, P=0, Index=057
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-175-3-2-057.dfg [Wei97]

% Status   : CounterSatisfiable
% Rating   : 0.75 v3.1.0, 0.83 v2.7.0, 1.00 v2.1.0
%
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
%
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       : 1191 (   0 equality)
%            Maximal formula depth :  113 ( 113 average)
%            Number of connectives : 1584 ( 394 ~  ; 454  |; 552  &)
%                                         (   0 <=>; 184 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :  192 ( 180 propositional; 0-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :  184 (   0 singleton; 184 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%--------------------------------------------------------------------------
fof(co1,conjecture,
    ( ~ ( c1_0
        & ( c2_0
          | c3_0
          | ~ c4_0 )
        & ( c2_0
          | c3_0
          | ! [U] : 
              ( ndr1_0
             => c2_1(U) ) )
        & ( c2_0
          | c3_0
          | ( ndr1_0
            & ! [V] : 
                ( ndr1_1(a1)
               => ( c1_2(a1,V)
                  | c2_2(a1,V)
                  | c3_2(a1,V) ) )
            & ! [W] : 
                ( ndr1_1(a1)
               => ( c3_2(a1,W)
                  | ~ c5_2(a1,W) ) ) ) )
        & ( c2_0
          | c5_0
          | ~ c4_0 )
        & ( c2_0
          | ~ c4_0 )
        & ( c2_0
          | ( ndr1_0
            & c5_1(a2)
            & ndr1_1(a2)
            & c5_2(a2,a3)
            & ~ c4_2(a2,a3) ) )
        & ( c2_0
          | ~ c3_0
          | ! [X] : 
              ( ndr1_0
             => ( c1_1(X)
                | c2_1(X)
                | ( ndr1_1(X)
                  & c2_2(X,a4)
                  & ~ c4_2(X,a4) ) ) ) )
        & ( c2_0
          | ~ c3_0
          | ! [Y] : 
              ( ndr1_0
             => ( c2_1(Y)
                | ~ c1_1(Y)
                | ( ndr1_1(Y)
                  & c4_2(Y,a5)
                  & c5_2(Y,a5)
                  & ~ c3_2(Y,a5) ) ) ) )
        & ( c2_0
          | ! [Z] : 
              ( ndr1_0
             => ( c1_1(Z)
                | ~ c5_1(Z)
                | ( ndr1_1(Z)
                  & c2_2(Z,a6)
                  & c4_2(Z,a6)
                  & ~ c1_2(Z,a6) ) ) )
          | ( ndr1_0
            & ~ c1_1(a7)
            & ! [X1] : 
                ( ndr1_1(a7)
               => ( c2_2(a7,X1)
                  | c5_2(a7,X1) ) )
            & ndr1_1(a7)
            & c4_2(a7,a8)
            & c5_2(a7,a8)
            & ~ c1_2(a7,a8) ) )
        & ( c2_0
          | ! [X2] : 
              ( ndr1_0
             => ( ~ c1_1(X2)
                | ! [X3] : 
                    ( ndr1_1(X2)
                   => ( c1_2(X2,X3)
                      | c3_2(X2,X3)
                      | ~ c5_2(X2,X3) ) )
                | ( ndr1_1(X2)
                  & c1_2(X2,a9)
                  & ~ c2_2(X2,a9)
                  & ~ c3_2(X2,a9) ) ) )
          | ( ndr1_0
            & ~ c1_1(a10)
            & ! [X4] : 
                ( ndr1_1(a10)
               => ( c5_2(a10,X4)
                  | ~ c1_2(a10,X4)
                  | ~ c4_2(a10,X4) ) )
            & ndr1_1(a10)
            & ~ c3_2(a10,a11)
            & ~ c5_2(a10,a11) ) )
        & ( c2_0
          | ! [X5] : 
              ( ndr1_0
             => ( ~ c2_1(X5)
                | ~ c3_1(X5)
                | ~ c5_1(X5) ) )
          | ! [X6] : 
              ( ndr1_0
             => ( ~ c2_1(X6)
                | ( ndr1_1(X6)
                  & c1_2(X6,a12)
                  & c2_2(X6,a12)
                  & ~ c3_2(X6,a12) )
                | ( ndr1_1(X6)
                  & ~ c2_2(X6,a13)
                  & ~ c4_2(X6,a13)
                  & ~ c5_2(X6,a13) ) ) ) )
        & ( c2_0
          | ! [X7] : 
              ( ndr1_0
             => ( ~ c2_1(X7)
                | ( ndr1_1(X7)
                  & ~ c2_2(X7,a14)
                  & ~ c4_2(X7,a14) )
                | ( ndr1_1(X7)
                  & ~ c4_2(X7,a15)
                  & ~ c5_2(X7,a15) ) ) )
          | ( ndr1_0
            & c5_1(a16)
            & ! [X8] : 
                ( ndr1_1(a16)
               => ( c4_2(a16,X8)
                  | c5_2(a16,X8) ) )
            & ndr1_1(a16)
            & c5_2(a16,a17)
            & ~ c1_2(a16,a17) ) )
        & ( c2_0
          | ! [X9] : 
              ( ndr1_0
             => ( ~ c3_1(X9)
                | ~ c4_1(X9)
                | ( ndr1_1(X9)
                  & c2_2(X9,a18)
                  & c5_2(X9,a18) ) ) )
          | ( ndr1_0
            & c3_1(a19)
            & ! [X10] : 
                ( ndr1_1(a19)
               => ( c2_2(a19,X10)
                  | c4_2(a19,X10)
                  | ~ c5_2(a19,X10) ) )
            & ! [X11] : 
                ( ndr1_1(a19)
               => ( c3_2(a19,X11)
                  | ~ c4_2(a19,X11)
                  | ~ c5_2(a19,X11) ) ) ) )
        & ( c2_0
          | ! [X12] : 
              ( ndr1_0
             => ( ~ c4_1(X12)
                | ! [X13] : 
                    ( ndr1_1(X12)
                   => ( c2_2(X12,X13)
                      | c4_2(X12,X13)
                      | ~ c5_2(X12,X13) ) )
                | ! [X14] : 
                    ( ndr1_1(X12)
                   => ( c4_2(X12,X14)
                      | ~ c1_2(X12,X14)
                      | ~ c3_2(X12,X14) ) ) ) )
          | ( ndr1_0
            & c1_1(a20)
            & ~ c2_1(a20)
            & ndr1_1(a20)
            & ~ c2_2(a20,a21)
            & ~ c3_2(a20,a21)
            & ~ c4_2(a20,a21) ) )
        & ( c2_0
          | ! [X15] : 
              ( ndr1_0
             => ( ~ c4_1(X15)
                | ! [X16] : 
                    ( ndr1_1(X15)
                   => ( c3_2(X15,X16)
                      | c4_2(X15,X16)
                      | c5_2(X15,X16) ) )
                | ( ndr1_1(X15)
                  & c3_2(X15,a22)
                  & ~ c2_2(X15,a22) ) ) ) )
        & ( c2_0
          | ( ndr1_0
            & ~ c4_1(a23)
            & ! [X17] : 
                ( ndr1_1(a23)
               => ( c1_2(a23,X17)
                  | c3_2(a23,X17)
                  | c5_2(a23,X17) ) )
            & ndr1_1(a23)
            & c2_2(a23,a24)
            & c3_2(a23,a24)
            & ~ c1_2(a23,a24) ) )
        & ( c3_0
          | c5_0
          | ! [X18] : 
              ( ndr1_0
             => ( ~ c4_1(X18)
                | ( ndr1_1(X18)
                  & c3_2(X18,a25)
                  & ~ c2_2(X18,a25)
                  & ~ c4_2(X18,a25) ) ) ) )
        & ( c3_0
          | c5_0
          | ( ndr1_0
            & ~ c1_1(a26)
            & ! [X19] : 
                ( ndr1_1(a26)
               => ( c2_2(a26,X19)
                  | c5_2(a26,X19)
                  | ~ c3_2(a26,X19) ) ) ) )
        & ( c3_0
          | ( ndr1_0
            & c1_1(a27)
            & ~ c2_1(a27) ) )
        & ( c3_0
          | ~ c2_0
          | ! [X20] : 
              ( ndr1_0
             => ( c3_1(X20)
                | ! [X21] : 
                    ( ndr1_1(X20)
                   => ( c3_2(X20,X21)
                      | c4_2(X20,X21)
                      | ~ c5_2(X20,X21) ) )
                | ( ndr1_1(X20)
                  & c1_2(X20,a28)
                  & ~ c3_2(X20,a28)
                  & ~ c4_2(X20,a28) ) ) ) )
        & ( c3_0
          | ~ c2_0
          | ( ndr1_0
            & ~ c1_1(a29)
            & ndr1_1(a29)
            & c3_2(a29,a30)
            & ~ c5_2(a29,a30) ) )
        & ( c3_0
          | ~ c4_0
          | ! [X22] : 
              ( ndr1_0
             => ( ( ndr1_1(X22)
                  & c2_2(X22,a31)
                  & ~ c4_2(X22,a31)
                  & ~ c5_2(X22,a31) )
                | ( ndr1_1(X22)
                  & c4_2(X22,a32)
                  & c5_2(X22,a32) ) ) ) )
        & ( c3_0
          | ~ c5_0
          | ! [X23] : 
              ( ndr1_0
             => ( c1_1(X23)
                | c2_1(X23)
                | ! [X24] : 
                    ( ndr1_1(X23)
                   => ( c2_2(X23,X24)
                      | c5_2(X23,X24) ) ) ) ) )
        & ( c3_0
          | ~ c5_0
          | ( ndr1_0
            & c2_1(a33)
            & c5_1(a33)
            & ! [X25] : 
                ( ndr1_1(a33)
               => ( c3_2(a33,X25)
                  | c4_2(a33,X25)
                  | ~ c1_2(a33,X25) ) ) ) )
        & ( c3_0
          | ~ c5_0
          | ( ndr1_0
            & ~ c2_1(a34)
            & ! [X26] : 
                ( ndr1_1(a34)
               => ( c2_2(a34,X26)
                  | c5_2(a34,X26)
                  | ~ c1_2(a34,X26) ) )
            & ndr1_1(a34)
            & c2_2(a34,a35)
            & c5_2(a34,a35)
            & ~ c1_2(a34,a35) ) )
        & ( c3_0
          | ! [X27] : 
              ( ndr1_0
             => ( c1_1(X27)
                | c2_1(X27)
                | ~ c5_1(X27) ) ) )
        & ( c3_0
          | ! [X28] : 
              ( ndr1_0
             => ( c2_1(X28)
                | c4_1(X28)
                | ! [X29] : 
                    ( ndr1_1(X28)
                   => ( c2_2(X28,X29)
                      | c3_2(X28,X29)
                      | ~ c1_2(X28,X29) ) ) ) )
          | ! [X30] : 
              ( ndr1_0
             => ( ! [X31] : 
                    ( ndr1_1(X30)
                   => ( c1_2(X30,X31)
                      | c3_2(X30,X31) ) )
                | ( ndr1_1(X30)
                  & c3_2(X30,a36)
                  & ~ c1_2(X30,a36)
                  & ~ c2_2(X30,a36) ) ) ) )
        & ( c3_0
          | ! [X32] : 
              ( ndr1_0
             => ( c3_1(X32)
                | ~ c5_1(X32)
                | ! [X33] : 
                    ( ndr1_1(X32)
                   => ( ~ c2_2(X32,X33)
                      | ~ c5_2(X32,X33) ) ) ) )
          | ! [X34] : 
              ( ndr1_0
             => ( ! [X35] : 
                    ( ndr1_1(X34)
                   => ( c2_2(X34,X35)
                      | ~ c1_2(X34,X35)
                      | ~ c4_2(X34,X35) ) )
                | ! [X36] : 
                    ( ndr1_1(X34)
                   => ( ~ c2_2(X34,X36)
                      | ~ c3_2(X34,X36)
                      | ~ c5_2(X34,X36) ) )
                | ! [X37] : 
                    ( ndr1_1(X34)
                   => ( ~ c3_2(X34,X37)
                      | ~ c4_2(X34,X37)
                      | ~ c5_2(X34,X37) ) ) ) ) )
        & ( c3_0
          | ! [X38] : 
              ( ndr1_0
             => ( c4_1(X38)
                | ~ c2_1(X38)
                | ! [X39] : 
                    ( ndr1_1(X38)
                   => ( ~ c2_2(X38,X39)
                      | ~ c4_2(X38,X39)
                      | ~ c5_2(X38,X39) ) ) ) ) )
        & ( c3_0
          | ! [X40] : 
              ( ndr1_0
             => ( ~ c4_1(X40)
                | ~ c5_1(X40)
                | ( ndr1_1(X40)
                  & ~ c2_2(X40,a37)
                  & ~ c3_2(X40,a37)
                  & ~ c4_2(X40,a37) ) ) )
          | ( ndr1_0
            & ~ c1_1(a38)
            & ! [X41] : 
                ( ndr1_1(a38)
               => ( c4_2(a38,X41)
                  | c5_2(a38,X41)
                  | ~ c3_2(a38,X41) ) )
            & ndr1_1(a38)
            & c3_2(a38,a39)
            & ~ c5_2(a38,a39) ) )
        & ( c3_0
          | ! [X42] : 
              ( ndr1_0
             => ( ~ c4_1(X42)
                | ! [X43] : 
                    ( ndr1_1(X42)
                   => ( ~ c1_2(X42,X43)
                      | ~ c4_2(X42,X43) ) )
                | ( ndr1_1(X42)
                  & c1_2(X42,a40)
                  & c4_2(X42,a40)
                  & ~ c3_2(X42,a40) ) ) )
          | ( ndr1_0
            & c2_1(a41)
            & c5_1(a41)
            & ! [X44] : 
                ( ndr1_1(a41)
               => ( ~ c3_2(a41,X44)
                  | ~ c5_2(a41,X44) ) ) ) )
        & ( c3_0
          | ! [X45] : 
              ( ndr1_0
             => ( ! [X46] : 
                    ( ndr1_1(X45)
                   => ( c2_2(X45,X46)
                      | c4_2(X45,X46)
                      | ~ c1_2(X45,X46) ) )
                | ( ndr1_1(X45)
                  & c3_2(X45,a42)
                  & c4_2(X45,a42)
                  & ~ c2_2(X45,a42) ) ) )
          | ( ndr1_0
            & c4_1(a43)
            & c5_1(a43)
            & ! [X47] : 
                ( ndr1_1(a43)
               => ( c1_2(a43,X47)
                  | ~ c3_2(a43,X47)
                  | ~ c4_2(a43,X47) ) ) ) )
        & ( c3_0
          | ! [X48] : 
              ( ndr1_0
             => ( ( ndr1_1(X48)
                  & c3_2(X48,a44)
                  & ~ c2_2(X48,a44)
                  & ~ c4_2(X48,a44) )
                | ( ndr1_1(X48)
                  & c5_2(X48,a45)
                  & ~ c4_2(X48,a45) ) ) ) )
        & ( c3_0
          | ( ndr1_0
            & c1_1(a46)
            & c2_1(a46)
            & ! [X49] : 
                ( ndr1_1(a46)
               => ( c4_2(a46,X49)
                  | ~ c2_2(a46,X49) ) ) ) )
        & ( c3_0
          | ( ndr1_0
            & ~ c1_1(a47)
            & ! [X50] : 
                ( ndr1_1(a47)
               => ( c1_2(a47,X50)
                  | c4_2(a47,X50)
                  | c5_2(a47,X50) ) )
            & ! [X51] : 
                ( ndr1_1(a47)
               => ( c1_2(a47,X51)
                  | ~ c5_2(a47,X51) ) ) ) )
        & ( c3_0
          | ( ndr1_0
            & ! [X52] : 
                ( ndr1_1(a48)
               => ( c1_2(a48,X52)
                  | ~ c3_2(a48,X52) ) )
            & ! [X53] : 
                ( ndr1_1(a48)
               => ( c3_2(a48,X53)
                  | ~ c2_2(a48,X53) ) ) )
          | ( ndr1_0
            & ! [X54] : 
                ( ndr1_1(a49)
               => ( c1_2(a49,X54)
                  | c2_2(a49,X54)
                  | c4_2(a49,X54) ) ) ) )
        & ( c4_0
          | c5_0 )
        & ( c4_0
          | c5_0
          | ! [X55] : 
              ( ndr1_0
             => ( c2_1(X55)
                | ~ c1_1(X55)
                | ( ndr1_1(X55)
                  & c2_2(X55,a50)
                  & c3_2(X55,a50) ) ) ) )
        & ( c4_0
          | c5_0
          | ! [X56] : 
              ( ndr1_0
             => ( ~ c3_1(X56)
                | ! [X57] : 
                    ( ndr1_1(X56)
                   => ( c1_2(X56,X57)
                      | ~ c2_2(X56,X57)
                      | ~ c5_2(X56,X57) ) )
                | ! [X58] : 
                    ( ndr1_1(X56)
                   => ( c3_2(X56,X58)
                      | c4_2(X56,X58)
                      | ~ c5_2(X56,X58) ) ) ) ) )
        & c4_0
        & ( c5_0
          | ( ndr1_0
            & ~ c4_1(a51)
            & ! [X59] : 
                ( ndr1_1(a51)
               => ( c2_2(a51,X59)
                  | c4_2(a51,X59)
                  | ~ c3_2(a51,X59) ) )
            & ndr1_1(a51)
            & c2_2(a51,a52)
            & c3_2(a51,a52)
            & ~ c4_2(a51,a52) ) )
        & ( c5_0
          | ~ c3_0 )
        & ( c5_0
          | ! [X60] : 
              ( ndr1_0
             => ( c1_1(X60)
                | ! [X61] : 
                    ( ndr1_1(X60)
                   => ( c1_2(X60,X61)
                      | c3_2(X60,X61) ) )
                | ! [X62] : 
                    ( ndr1_1(X60)
                   => ( c3_2(X60,X62)
                      | c4_2(X60,X62) ) ) ) )
          | ! [X63] : 
              ( ndr1_0
             => ( ~ c2_1(X63)
                | ~ c5_1(X63)
                | ( ndr1_1(X63)
                  & c2_2(X63,a53)
                  & ~ c4_2(X63,a53) ) ) ) )
        & ( c5_0
          | ! [X64] : 
              ( ndr1_0
             => ( c3_1(X64)
                | c4_1(X64)
                | ~ c5_1(X64) ) )
          | ( ndr1_0
            & c3_1(a54)
            & c4_1(a54) ) )
        & ( ~ c2_0
          | ! [X65] : 
              ( ndr1_0
             => ( ! [X66] : 
                    ( ndr1_1(X65)
                   => ( c5_2(X65,X66)
                      | ~ c1_2(X65,X66)
                      | ~ c4_2(X65,X66) ) )
                | ! [X67] : 
                    ( ndr1_1(X65)
                   => ( ~ c3_2(X65,X67)
                      | ~ c4_2(X65,X67)
                      | ~ c5_2(X65,X67) ) )
                | ( ndr1_1(X65)
                  & ~ c1_2(X65,a55)
                  & ~ c4_2(X65,a55) ) ) ) )
        & ~ c3_0
        & ! [X68] : 
            ( ndr1_0
           => ( c5_1(X68)
              | ~ c4_1(X68)
              | ( ndr1_1(X68)
                & c1_2(X68,a56)
                & c5_2(X68,a56)
                & ~ c3_2(X68,a56) ) ) )
        & ( ~ c5_0
          | ! [X69] : 
              ( ndr1_0
             => ( ~ c3_1(X69)
                | ! [X70] : 
                    ( ndr1_1(X69)
                   => ( ~ c2_2(X69,X70)
                      | ~ c3_2(X69,X70)
                      | ~ c4_2(X69,X70) ) )
                | ( ndr1_1(X69)
                  & c2_2(X69,a57)
                  & c4_2(X69,a57)
                  & c5_2(X69,a57) ) ) ) )
        & ( ! [X71] : 
              ( ndr1_0
             => ( c1_1(X71)
                | c3_1(X71) ) )
          | ! [X72] : 
              ( ndr1_0
             => ( ~ c2_1(X72)
                | ! [X73] : 
                    ( ndr1_1(X72)
                   => ( c1_2(X72,X73)
                      | c4_2(X72,X73)
                      | ~ c5_2(X72,X73) ) )
                | ! [X74] : 
                    ( ndr1_1(X72)
                   => ( ~ c1_2(X72,X74)
                      | ~ c2_2(X72,X74)
                      | ~ c3_2(X72,X74) ) ) ) ) )
        & ( ! [X75] : 
              ( ndr1_0
             => ( c4_1(X75)
                | ~ c5_1(X75)
                | ! [X76] : 
                    ( ndr1_1(X75)
                   => ~ c2_2(X75,X76) ) ) )
          | ( ndr1_0
            & c4_1(a58)
            & ~ c2_1(a58)
            & ! [X77] : 
                ( ndr1_1(a58)
               => ( c1_2(a58,X77)
                  | c2_2(a58,X77)
                  | c5_2(a58,X77) ) ) ) )
        & ! [X78] : 
            ( ndr1_0
           => ( c4_1(X78)
              | ( ndr1_1(X78)
                & c2_2(X78,a59)
                & c3_2(X78,a59) )
              | ( ndr1_1(X78)
                & ~ c2_2(X78,a60)
                & ~ c4_2(X78,a60)
                & ~ c5_2(X78,a60) ) ) )
        & ( ! [X79] : 
              ( ndr1_0
             => ( ~ c1_1(X79)
                | ! [X80] : 
                    ( ndr1_1(X79)
                   => ( c3_2(X79,X80)
                      | ~ c1_2(X79,X80) ) )
                | ! [X81] : 
                    ( ndr1_1(X79)
                   => ( c4_2(X79,X81)
                      | ~ c5_2(X79,X81) ) ) ) )
          | ( ndr1_0
            & ndr1_1(a61)
            & c1_2(a61,a62)
            & c4_2(a61,a62)
            & ~ c2_2(a61,a62)
            & ndr1_1(a61)
            & c1_2(a61,a63)
            & ~ c4_2(a61,a63)
            & ~ c5_2(a61,a63)
            & ndr1_1(a61)
            & ~ c3_2(a61,a64)
            & ~ c4_2(a61,a64) ) )
        & ( ! [X82] : 
              ( ndr1_0
             => ( ~ c4_1(X82)
                | ( ndr1_1(X82)
                  & c1_2(X82,a65)
                  & c2_2(X82,a65) ) ) )
          | ( ndr1_0
            & c5_1(a66)
            & ndr1_1(a66)
            & c3_2(a66,a67)
            & c5_2(a66,a67)
            & ~ c2_2(a66,a67) ) )
        & ( ! [X83] : 
              ( ndr1_0
             => ( ! [X84] : 
                    ( ndr1_1(X83)
                   => ( c2_2(X83,X84)
                      | c4_2(X83,X84)
                      | ~ c5_2(X83,X84) ) )
                | ( ndr1_1(X83)
                  & c1_2(X83,a68)
                  & c3_2(X83,a68)
                  & ~ c2_2(X83,a68) )
                | ( ndr1_1(X83)
                  & c3_2(X83,a69)
                  & ~ c1_2(X83,a69)
                  & ~ c2_2(X83,a69) ) ) )
          | ( ndr1_0
            & c2_1(a70)
            & ~ c4_1(a70)
            & ~ c5_1(a70) ) )
        & ( ( ndr1_0
            & c3_1(a71)
            & ~ c2_1(a71)
            & ~ c5_1(a71) )
          | ( ndr1_0
            & ~ c3_1(a72)
            & ndr1_1(a72)
            & c2_2(a72,a73)
            & c3_2(a72,a73)
            & ~ c4_2(a72,a73) ) )
        & ( ~ c2_0
          | ! [X85] : 
              ( ndr1_0
             => ( c2_1(X85)
                | c3_1(X85)
                | ~ c1_1(X85) ) )
          | ( ndr1_0
            & c2_1(a74)
            & ndr1_1(a74)
            & c1_2(a74,a75)
            & ~ c4_2(a74,a75)
            & ~ c5_2(a74,a75)
            & ndr1_1(a74)
            & c2_2(a74,a76)
            & c3_2(a74,a76)
            & ~ c1_2(a74,a76) ) )
        & ( ~ c2_0
          | ! [X86] : 
              ( ndr1_0
             => ( c4_1(X86)
                | ~ c3_1(X86)
                | ! [X87] : 
                    ( ndr1_1(X86)
                   => ( c2_2(X86,X87)
                      | c4_2(X86,X87)
                      | c5_2(X86,X87) ) ) ) )
          | ! [X88] : 
              ( ndr1_0
             => ( c5_1(X88)
                | ~ c2_1(X88)
                | ~ c3_1(X88) ) ) )
        & ( ~ c2_0
          | ! [X89] : 
              ( ndr1_0
             => ( ~ c2_1(X89)
                | ! [X90] : 
                    ( ndr1_1(X89)
                   => ( ~ c2_2(X89,X90)
                      | ~ c3_2(X89,X90) ) )
                | ( ndr1_1(X89)
                  & c2_2(X89,a77)
                  & c3_2(X89,a77) ) ) )
          | ! [X91] : 
              ( ndr1_0
             => ( ~ c4_1(X91)
                | ( ndr1_1(X91)
                  & c4_2(X91,a78)
                  & c5_2(X91,a78)
                  & ~ c3_2(X91,a78) ) ) ) )
        & ( ~ c2_0
          | ! [X92] : 
              ( ndr1_0
             => ( ~ c5_1(X92)
                | ! [X93] : 
                    ( ndr1_1(X92)
                   => ( c1_2(X92,X93)
                      | ~ c5_2(X92,X93) ) )
                | ( ndr1_1(X92)
                  & ~ c2_2(X92,a79)
                  & ~ c4_2(X92,a79) ) ) )
          | ( ndr1_0
            & ~ c3_1(a80)
            & ~ c5_1(a80) ) )
        & ( ~ c2_0
          | ! [X94] : 
              ( ndr1_0
             => ( ! [X95] : 
                    ( ndr1_1(X94)
                   => ( c5_2(X94,X95)
                      | ~ c4_2(X94,X95) ) )
                | ( ndr1_1(X94)
                  & c2_2(X94,a81)
                  & ~ c1_2(X94,a81)
                  & ~ c5_2(X94,a81) )
                | ( ndr1_1(X94)
                  & c4_2(X94,a82)
                  & ~ c1_2(X94,a82)
                  & ~ c3_2(X94,a82) ) ) )
          | ( ndr1_0
            & c2_1(a83)
            & ~ c4_1(a83)
            & ndr1_1(a83)
            & c1_2(a83,a84)
            & c2_2(a83,a84)
            & c3_2(a83,a84) ) )
        & ( ~ c2_0
          | ( ndr1_0
            & c3_1(a85)
            & ! [X96] : 
                ( ndr1_1(a85)
               => ( c3_2(a85,X96)
                  | ~ c1_2(a85,X96)
                  | ~ c4_2(a85,X96) ) )
            & ! [X97] : 
                ( ndr1_1(a85)
               => ( c3_2(a85,X97)
                  | ~ c1_2(a85,X97)
                  | ~ c5_2(a85,X97) ) ) ) )
        & ( ~ c2_0
          | ( ndr1_0
            & c4_1(a86)
            & c5_1(a86)
            & ~ c1_1(a86) )
          | ( ndr1_0
            & ~ c4_1(a87)
            & ndr1_1(a87)
            & c2_2(a87,a88)
            & c3_2(a87,a88)
            & c5_2(a87,a88)
            & ndr1_1(a87)
            & c2_2(a87,a89)
            & c3_2(a87,a89)
            & ~ c4_2(a87,a89) ) )
        & ( ~ c2_0
          | ( ndr1_0
            & ~ c3_1(a90)
            & ~ c4_1(a90) ) )
        & ( ~ c5_0
          | ( ndr1_0
            & c5_1(a91)
            & ~ c4_1(a91)
            & ndr1_1(a91)
            & ~ c1_2(a91,a92)
            & ~ c2_2(a91,a92)
            & ~ c4_2(a91,a92) ) )
        & ! [X98] : 
            ( ndr1_0
           => ( c2_1(X98)
              | c3_1(X98)
              | ! [X99] : 
                  ( ndr1_1(X98)
                 => ( c2_2(X98,X99)
                    | c3_2(X98,X99)
                    | ~ c5_2(X98,X99) ) ) ) )
        & ( ! [X100] : 
              ( ndr1_0
             => ( c2_1(X100)
                | ~ c4_1(X100)
                | ! [X101] : 
                    ( ndr1_1(X100)
                   => ( c3_2(X100,X101)
                      | ~ c1_2(X100,X101)
                      | ~ c4_2(X100,X101) ) ) ) )
          | ( ndr1_0
            & ~ c3_1(a93)
            & ! [X102] : 
                ( ndr1_1(a93)
               => ( c1_2(a93,X102)
                  | c5_2(a93,X102)
                  | ~ c3_2(a93,X102) ) ) ) )
        & ( ! [X103] : 
              ( ndr1_0
             => ( c2_1(X103)
                | ! [X104] : 
                    ( ndr1_1(X103)
                   => ( c1_2(X103,X104)
                      | ~ c3_2(X103,X104)
                      | ~ c5_2(X103,X104) ) ) ) )
          | ( ndr1_0
            & c5_1(a94)
            & ! [X105] : 
                ( ndr1_1(a94)
               => ( c3_2(a94,X105)
                  | ~ c2_2(a94,X105)
                  | ~ c5_2(a94,X105) ) )
            & ndr1_1(a94)
            & c2_2(a94,a95)
            & ~ c4_2(a94,a95) ) )
        & ( ! [X106] : 
              ( ndr1_0
             => ( ~ c1_1(X106)
                | ~ c2_1(X106) ) )
          | ( ndr1_0
            & ~ c3_1(a96)
            & ! [X107] : 
                ( ndr1_1(a96)
               => ( c3_2(a96,X107)
                  | c5_2(a96,X107)
                  | ~ c1_2(a96,X107) ) )
            & ndr1_1(a96)
            & c3_2(a96,a97)
            & ~ c5_2(a96,a97) ) )
        & ( ! [X108] : 
              ( ndr1_0
             => ( ~ c1_1(X108)
                | ~ c3_1(X108)
                | ( ndr1_1(X108)
                  & c1_2(X108,a98)
                  & c4_2(X108,a98)
                  & c5_2(X108,a98) ) ) )
          | ( ndr1_0
            & ~ c1_1(a99)
            & ! [X109] : 
                ( ndr1_1(a99)
               => ( c4_2(a99,X109)
                  | ~ c2_2(a99,X109) ) )
            & ! [X110] : 
                ( ndr1_1(a99)
               => ( ~ c1_2(a99,X110)
                  | ~ c2_2(a99,X110)
                  | ~ c3_2(a99,X110) ) ) ) )
        & ! [X111] : 
            ( ndr1_0
           => ( ~ c3_1(X111)
              | ( ndr1_1(X111)
                & c1_2(X111,a100)
                & c4_2(X111,a100)
                & ~ c3_2(X111,a100) )
              | ( ndr1_1(X111)
                & c2_2(X111,a101)
                & ~ c3_2(X111,a101)
                & ~ c5_2(X111,a101) ) ) )
        & ( ( ndr1_0
            & c3_1(a102)
            & c5_1(a102) )
          | ( ndr1_0
            & c4_1(a103)
            & ~ c2_1(a103)
            & ndr1_1(a103)
            & c4_2(a103,a104)
            & ~ c3_2(a103,a104) ) )
        & ( ~ c5_0
          | ! [X112] : 
              ( ndr1_0
             => ( c1_1(X112)
                | c3_1(X112)
                | ( ndr1_1(X112)
                  & ~ c2_2(X112,a105)
                  & ~ c3_2(X112,a105) ) ) )
          | ! [X113] : 
              ( ndr1_0
             => ( ~ c1_1(X113)
                | ( ndr1_1(X113)
                  & c4_2(X113,a106)
                  & ~ c1_2(X113,a106) ) ) ) )
        & ( ~ c5_0
          | ! [X114] : 
              ( ndr1_0
             => ( c2_1(X114)
                | ~ c4_1(X114)
                | ! [X115] : 
                    ( ndr1_1(X114)
                   => ( c1_2(X114,X115)
                      | c4_2(X114,X115)
                      | ~ c2_2(X114,X115) ) ) ) ) )
        & ( ~ c5_0
          | ! [X116] : 
              ( ndr1_0
             => ( c3_1(X116)
                | ! [X117] : 
                    ( ndr1_1(X116)
                   => ( c1_2(X116,X117)
                      | c3_2(X116,X117)
                      | ~ c5_2(X116,X117) ) )
                | ! [X118] : 
                    ( ndr1_1(X116)
                   => ( c1_2(X116,X118)
                      | c5_2(X116,X118)
                      | ~ c3_2(X116,X118) ) ) ) ) )
        & ( ~ c5_0
          | ( ndr1_0
            & ! [X119] : 
                ( ndr1_1(a107)
               => ( c1_2(a107,X119)
                  | c2_2(a107,X119) ) )
            & ! [X120] : 
                ( ndr1_1(a107)
               => ( ~ c1_2(a107,X120)
                  | ~ c3_2(a107,X120)
                  | ~ c4_2(a107,X120) ) )
            & ndr1_1(a107)
            & c4_2(a107,a108)
            & ~ c1_2(a107,a108) ) )
        & ( ! [X121] : 
              ( ndr1_0
             => ( c0_1(X121)
                & ~ c0_1(X121) ) )
          | ( ndr1_0
            & c4_1(a109)
            & ~ c1_1(a109) )
          | ( ndr1_0
            & ~ c5_1(a110)
            & ndr1_1(a110)
            & c3_2(a110,a111)
            & ~ c2_2(a110,a111)
            & ~ c5_2(a110,a111) ) )
        & ( ! [X122] : 
              ( ndr1_0
             => ( c1_1(X122)
                | ~ c2_1(X122)
                | ( ndr1_1(X122)
                  & c3_2(X122,a112)
                  & ~ c4_2(X122,a112) ) ) )
          | ! [X123] : 
              ( ndr1_0
             => ( c5_1(X123)
                | ( ndr1_1(X123)
                  & c3_2(X123,a113)
                  & ~ c4_2(X123,a113)
                  & ~ c5_2(X123,a113) ) ) )
          | ( ndr1_0
            & c1_1(a114)
            & ~ c4_1(a114)
            & ~ c5_1(a114) ) )
        & ( ! [X124] : 
              ( ndr1_0
             => ( c1_1(X124)
                | ~ c5_1(X124)
                | ! [X125] : 
                    ( ndr1_1(X124)
                   => ( c2_2(X124,X125)
                      | c4_2(X124,X125)
                      | ~ c1_2(X124,X125) ) ) ) )
          | ! [X126] : 
              ( ndr1_0
             => ( c5_1(X126)
                | ( ndr1_1(X126)
                  & c1_2(X126,a115)
                  & c2_2(X126,a115)
                  & ~ c4_2(X126,a115) )
                | ( ndr1_1(X126)
                  & c4_2(X126,a116)
                  & ~ c1_2(X126,a116)
                  & ~ c5_2(X126,a116) ) ) ) )
        & ( ! [X127] : 
              ( ndr1_0
             => ( c1_1(X127)
                | ! [X128] : 
                    ( ndr1_1(X127)
                   => ( c4_2(X127,X128)
                      | ~ c1_2(X127,X128) ) )
                | ( ndr1_1(X127)
                  & c1_2(X127,a117)
                  & ~ c5_2(X127,a117) ) ) )
          | ! [X129] : 
              ( ndr1_0
             => ( c2_1(X129)
                | c4_1(X129)
                | ~ c3_1(X129) ) )
          | ( ndr1_0
            & c5_1(a118)
            & ~ c3_1(a118) ) )
        & ( ! [X130] : 
              ( ndr1_0
             => ( c2_1(X130)
                | c3_1(X130)
                | ( ndr1_1(X130)
                  & ~ c3_2(X130,a119)
                  & ~ c4_2(X130,a119) ) ) )
          | ( ndr1_0
            & ~ c3_1(a120)
            & ~ c4_1(a120)
            & ! [X131] : 
                ( ndr1_1(a120)
               => ( c1_2(a120,X131)
                  | c3_2(a120,X131)
                  | c5_2(a120,X131) ) ) )
          | ( ndr1_0
            & ~ c5_1(a121)
            & ! [X132] : 
                ( ndr1_1(a121)
               => ( c3_2(a121,X132)
                  | ~ c1_2(a121,X132) ) ) ) )
        & ( ! [X133] : 
              ( ndr1_0
             => ( c2_1(X133)
                | ! [X134] : 
                    ( ndr1_1(X133)
                   => ( c4_2(X133,X134)
                      | c5_2(X133,X134)
                      | ~ c3_2(X133,X134) ) ) ) )
          | ! [X135] : 
              ( ndr1_0
             => ( c5_1(X135)
                | ! [X136] : 
                    ( ndr1_1(X135)
                   => ( c1_2(X135,X136)
                      | ~ c2_2(X135,X136) ) ) ) )
          | ( ndr1_0
            & c3_1(a122)
            & ~ c1_1(a122)
            & ~ c2_1(a122) ) )
        & ( ! [X137] : 
              ( ndr1_0
             => ( c3_1(X137)
                | ~ c2_1(X137)
                | ! [X138] : 
                    ( ndr1_1(X137)
                   => ( c1_2(X137,X138)
                      | c4_2(X137,X138)
                      | ~ c2_2(X137,X138) ) ) ) )
          | ( ndr1_0
            & c5_1(a123)
            & ~ c4_1(a123)
            & ! [X139] : 
                ( ndr1_1(a123)
               => ( c2_2(a123,X139)
                  | c4_2(a123,X139)
                  | ~ c1_2(a123,X139) ) ) ) )
        & ( ! [X140] : 
              ( ndr1_0
             => ( c4_1(X140)
                | ~ c2_1(X140)
                | ( ndr1_1(X140)
                  & c1_2(X140,a124)
                  & c3_2(X140,a124)
                  & c5_2(X140,a124) ) ) )
          | ( ndr1_0
            & ndr1_1(a125)
            & c3_2(a125,a126)
            & ~ c4_2(a125,a126) ) )
        & ( ! [X141] : 
              ( ndr1_0
             => ( c5_1(X141)
                | ~ c1_1(X141) ) )
          | ( ndr1_0
            & c4_1(a127)
            & c5_1(a127)
            & ~ c3_1(a127) )
          | ( ndr1_0
            & c5_1(a128)
            & ! [X142] : 
                ( ndr1_1(a128)
               => ( c3_2(a128,X142)
                  | c4_2(a128,X142) ) )
            & ! [X143] : 
                ( ndr1_1(a128)
               => ( c5_2(a128,X143)
                  | ~ c3_2(a128,X143)
                  | ~ c4_2(a128,X143) ) ) ) )
        & ( ! [X144] : 
              ( ndr1_0
             => ( c5_1(X144)
                | ~ c4_1(X144)
                | ( ndr1_1(X144)
                  & ~ c3_2(X144,a129)
                  & ~ c4_2(X144,a129)
                  & ~ c5_2(X144,a129) ) ) )
          | ( ndr1_0
            & ~ c1_1(a130)
            & ~ c5_1(a130)
            & ! [X145] : 
                ( ndr1_1(a130)
               => ( c1_2(a130,X145)
                  | c4_2(a130,X145)
                  | c5_2(a130,X145) ) ) ) )
        & ( ! [X146] : 
              ( ndr1_0
             => ( ~ c1_1(X146)
                | ~ c4_1(X146) ) )
          | ( ndr1_0
            & c1_1(a131)
            & ! [X147] : 
                ( ndr1_1(a131)
               => ( c1_2(a131,X147)
                  | c4_2(a131,X147)
                  | ~ c3_2(a131,X147) ) ) )
          | ( ndr1_0
            & ~ c1_1(a132)
            & ~ c3_1(a132) ) )
        & ( ! [X148] : 
              ( ndr1_0
             => ( ~ c1_1(X148)
                | ! [X149] : 
                    ( ndr1_1(X148)
                   => ( c1_2(X148,X149)
                      | c5_2(X148,X149)
                      | ~ c2_2(X148,X149) ) )
                | ( ndr1_1(X148)
                  & c4_2(X148,a133)
                  & c5_2(X148,a133)
                  & ~ c1_2(X148,a133) ) ) )
          | ! [X150] : 
              ( ndr1_0
             => ( ! [X151] : 
                    ( ndr1_1(X150)
                   => ( c3_2(X150,X151)
                      | ~ c4_2(X150,X151) ) )
                | ( ndr1_1(X150)
                  & c2_2(X150,a134)
                  & ~ c3_2(X150,a134) ) ) )
          | ( ndr1_0
            & c5_1(a135)
            & ~ c3_1(a135) ) )
        & ( ! [X152] : 
              ( ndr1_0
             => ( ~ c1_1(X152)
                | ( ndr1_1(X152)
                  & c1_2(X152,a136)
                  & c5_2(X152,a136)
                  & ~ c2_2(X152,a136) )
                | ( ndr1_1(X152)
                  & c4_2(X152,a137)
                  & ~ c1_2(X152,a137)
                  & ~ c5_2(X152,a137) ) ) )
          | ! [X153] : 
              ( ndr1_0
             => ( ~ c3_1(X153)
                | ( ndr1_1(X153)
                  & c5_2(X153,a138)
                  & ~ c1_2(X153,a138)
                  & ~ c2_2(X153,a138) ) ) )
          | ( ndr1_0
            & c2_1(a139)
            & ~ c1_1(a139) ) )
        & ( ! [X154] : 
              ( ndr1_0
             => ( ~ c2_1(X154)
                | ! [X155] : 
                    ( ndr1_1(X154)
                   => ( c4_2(X154,X155)
                      | ~ c1_2(X154,X155)
                      | ~ c3_2(X154,X155) ) ) ) )
          | ! [X156] : 
              ( ndr1_0
             => ( ! [X157] : 
                    ( ndr1_1(X156)
                   => ( c1_2(X156,X157)
                      | c2_2(X156,X157)
                      | c3_2(X156,X157) ) )
                | ! [X158] : 
                    ( ndr1_1(X156)
                   => ( c3_2(X156,X158)
                      | c4_2(X156,X158) ) ) ) )
          | ( ndr1_0
            & ~ c1_1(a140)
            & ~ c5_1(a140)
            & ! [X159] : 
                ( ndr1_1(a140)
               => ( c2_2(a140,X159)
                  | ~ c4_2(a140,X159) ) ) ) )
        & ( ! [X160] : 
              ( ndr1_0
             => ( ~ c3_1(X160)
                | ! [X161] : 
                    ( ndr1_1(X160)
                   => ( c4_2(X160,X161)
                      | ~ c1_2(X160,X161)
                      | ~ c3_2(X160,X161) ) )
                | ! [X162] : 
                    ( ndr1_1(X160)
                   => ( c4_2(X160,X162)
                      | ~ c2_2(X160,X162)
                      | ~ c5_2(X160,X162) ) ) ) )
          | ! [X163] : 
              ( ndr1_0
             => ( ! [X164] : 
                    ( ndr1_1(X163)
                   => ( ~ c1_2(X163,X164)
                      | ~ c3_2(X163,X164) ) )
                | ! [X165] : 
                    ( ndr1_1(X163)
                   => ( ~ c2_2(X163,X165)
                      | ~ c4_2(X163,X165)
                      | ~ c5_2(X163,X165) ) )
                | ( ndr1_1(X163)
                  & c1_2(X163,a141)
                  & c4_2(X163,a141) ) ) )
          | ( ndr1_0
            & ! [X166] : 
                ( ndr1_1(a142)
               => ( c2_2(a142,X166)
                  | c3_2(a142,X166)
                  | c5_2(a142,X166) ) )
            & ! [X167] : 
                ( ndr1_1(a142)
               => ( c4_2(a142,X167)
                  | ~ c2_2(a142,X167)
                  | ~ c3_2(a142,X167) ) ) ) )
        & ( ! [X168] : 
              ( ndr1_0
             => ( ! [X169] : 
                    ( ndr1_1(X168)
                   => ( c3_2(X168,X169)
                      | c5_2(X168,X169)
                      | ~ c1_2(X168,X169) ) )
                | ( ndr1_1(X168)
                  & c1_2(X168,a143)
                  & c2_2(X168,a143)
                  & c4_2(X168,a143) ) ) )
          | ( ndr1_0
            & c4_1(a144)
            & ! [X170] : 
                ( ndr1_1(a144)
               => ( c2_2(a144,X170)
                  | c3_2(a144,X170)
                  | c4_2(a144,X170) ) )
            & ! [X171] : 
                ( ndr1_1(a144)
               => ( c2_2(a144,X171)
                  | c4_2(a144,X171)
                  | ~ c1_2(a144,X171) ) ) )
          | ( ndr1_0
            & ~ c1_1(a145)
            & ! [X172] : 
                ( ndr1_1(a145)
               => ( c3_2(a145,X172)
                  | ~ c1_2(a145,X172) ) ) ) )
        & ( ( ndr1_0
            & c1_1(a146)
            & c3_1(a146)
            & ! [X173] : 
                ( ndr1_1(a146)
               => ( c2_2(a146,X173)
                  | ~ c3_2(a146,X173)
                  | ~ c4_2(a146,X173) ) ) )
          | ( ndr1_0
            & ~ c3_1(a147)
            & ~ c4_1(a147)
            & ndr1_1(a147)
            & c2_2(a147,a148)
            & c4_2(a147,a148)
            & ~ c3_2(a147,a148) )
          | ( ndr1_0
            & ndr1_1(a149)
            & c2_2(a149,a150)
            & c3_2(a149,a150)
            & ~ c4_2(a149,a150)
            & ndr1_1(a149)
            & c3_2(a149,a151)
            & ~ c2_2(a149,a151)
            & ~ c5_2(a149,a151)
            & ndr1_1(a149)
            & ~ c1_2(a149,a152)
            & ~ c2_2(a149,a152)
            & ~ c4_2(a149,a152) ) )
        & ( ( ndr1_0
            & c1_1(a153)
            & c5_1(a153) )
          | ( ndr1_0
            & c1_1(a154)
            & ~ c4_1(a154)
            & ndr1_1(a154)
            & c4_2(a154,a155)
            & ~ c3_2(a154,a155)
            & ~ c5_2(a154,a155) )
          | ( ndr1_0
            & c2_1(a156)
            & ~ c4_1(a156)
            & ndr1_1(a156)
            & c2_2(a156,a157)
            & ~ c5_2(a156,a157) ) )
        & ( ( ndr1_0
            & c1_1(a158)
            & ~ c2_1(a158)
            & ! [X174] : 
                ( ndr1_1(a158)
               => ( c1_2(a158,X174)
                  | c2_2(a158,X174)
                  | ~ c3_2(a158,X174) ) ) )
          | ( ndr1_0
            & c3_1(a159)
            & c4_1(a159)
            & c5_1(a159) ) )
        & ( ( ndr1_0
            & c2_1(a160)
            & c3_1(a160) )
          | ( ndr1_0
            & c2_1(a161)
            & ~ c4_1(a161)
            & ndr1_1(a161)
            & c1_2(a161,a162)
            & c2_2(a161,a162)
            & c5_2(a161,a162) )
          | ( ndr1_0
            & ! [X175] : 
                ( ndr1_1(a163)
               => ( c4_2(a163,X175)
                  | c5_2(a163,X175)
                  | ~ c1_2(a163,X175) ) ) ) )
        & ( ( ndr1_0
            & c3_1(a164)
            & ndr1_1(a164)
            & c1_2(a164,a165)
            & c4_2(a164,a165)
            & ndr1_1(a164)
            & c3_2(a164,a166)
            & c5_2(a164,a166) )
          | ( ndr1_0
            & ~ c1_1(a167)
            & ~ c4_1(a167)
            & ! [X176] : 
                ( ndr1_1(a167)
               => ( c2_2(a167,X176)
                  | c5_2(a167,X176)
                  | ~ c1_2(a167,X176) ) ) )
          | ( ndr1_0
            & ndr1_1(a168)
            & c1_2(a168,a169)
            & ~ c3_2(a168,a169)
            & ~ c4_2(a168,a169)
            & ndr1_1(a168)
            & c3_2(a168,a170)
            & c5_2(a168,a170)
            & ~ c1_2(a168,a170)
            & ndr1_1(a168)
            & ~ c2_2(a168,a171)
            & ~ c3_2(a168,a171) ) )
        & ( ( ndr1_0
            & c5_1(a172)
            & ! [X177] : 
                ( ndr1_1(a172)
               => ( c2_2(a172,X177)
                  | c5_2(a172,X177) ) )
            & ! [X178] : 
                ( ndr1_1(a172)
               => ( c2_2(a172,X178)
                  | c5_2(a172,X178)
                  | ~ c4_2(a172,X178) ) ) )
          | ( ndr1_0
            & ~ c2_1(a173)
            & ~ c5_1(a173)
            & ndr1_1(a173)
            & ~ c3_2(a173,a174)
            & ~ c5_2(a173,a174) ) ) ) )).

%--------------------------------------------------------------------------
