%--------------------------------------------------------------------------
% File     : SYN520+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=175, K=3, D=2, P=0, Index=060
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-175-3-2-060.dfg [Wei97]

% Status   : CounterSatisfiable
% Rating   : 0.50 v3.1.0, 0.67 v2.7.0, 0.83 v2.6.0, 0.75 v2.5.0, 0.67 v2.2.1, 0.00 v2.1.0
%
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
%
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       : 1363 (   0 equality)
%            Maximal formula depth :  150 ( 150 average)
%            Number of connectives : 1850 ( 488 ~  ; 504  |; 677  &)
%                                         (   0 <=>; 181 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   17 (   6 propositional; 0-2 arity)
%            Number of functors    :  204 ( 204 constant; 0-0 arity)
%            Number of variables   :  181 (   0 singleton; 181 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%--------------------------------------------------------------------------
fof(co1,conjecture,
    ( ~ ( ( ! [U] : 
              ( ndr1_0
             => ( ( ndr1_1(U)
                  & ~ c5_2(U,a1323)
                  & ~ c1_2(U,a1323) )
                | ! [V] : 
                    ( ndr1_1(U)
                   => ( ~ c1_2(U,V)
                      | ~ c2_2(U,V) ) )
                | ! [W] : 
                    ( ndr1_1(U)
                   => ( c4_2(U,W)
                      | ~ c3_2(U,W) ) ) ) )
          | ~ c5_0
          | ! [X] : 
              ( ndr1_0
             => c2_1(X) ) )
        & ( ! [Y] : 
              ( ndr1_0
             => ( ( ndr1_1(Y)
                  & c3_2(Y,a1324)
                  & c4_2(Y,a1324)
                  & c5_2(Y,a1324) )
                | ~ c4_1(Y)
                | c3_1(Y) ) )
          | ( ndr1_0
            & ~ c1_1(a1325)
            & c2_1(a1325)
            & ~ c4_1(a1325) ) )
        & ( ~ c4_0
          | ! [Z] : 
              ( ndr1_0
             => ( c5_1(Z)
                | ~ c4_1(Z)
                | ( ndr1_1(Z)
                  & c5_2(Z,a1326)
                  & c2_2(Z,a1326)
                  & ~ c4_2(Z,a1326) ) ) ) )
        & ( ( ndr1_0
            & ! [X1] : 
                ( ndr1_1(a1327)
               => ( c3_2(a1327,X1)
                  | c1_2(a1327,X1)
                  | c2_2(a1327,X1) ) )
            & c3_1(a1327)
            & ndr1_1(a1327)
            & ~ c5_2(a1327,a1328)
            & c3_2(a1327,a1328)
            & c4_2(a1327,a1328) )
          | ! [X2] : 
              ( ndr1_0
             => ( ( ndr1_1(X2)
                  & ~ c1_2(X2,a1329)
                  & ~ c4_2(X2,a1329)
                  & c2_2(X2,a1329) )
                | ( ndr1_1(X2)
                  & c1_2(X2,a1330)
                  & ~ c2_2(X2,a1330)
                  & c3_2(X2,a1330) )
                | ( ndr1_1(X2)
                  & c3_2(X2,a1331)
                  & c2_2(X2,a1331) ) ) )
          | ~ c5_0 )
        & ( ~ c2_0
          | ~ c4_0
          | ~ c3_0 )
        & ( c1_0
          | ~ c4_0
          | ( ndr1_0
            & c2_1(a1332)
            & ~ c1_1(a1332)
            & ~ c4_1(a1332) ) )
        & ( c5_0
          | ~ c3_0
          | ( ndr1_0
            & c1_1(a1333)
            & ! [X3] : 
                ( ndr1_1(a1333)
               => ( c4_2(a1333,X3)
                  | ~ c1_2(a1333,X3)
                  | ~ c3_2(a1333,X3) ) )
            & ndr1_1(a1333)
            & ~ c1_2(a1333,a1334)
            & c5_2(a1333,a1334)
            & c4_2(a1333,a1334) ) )
        & ( ~ c2_0
          | c3_0
          | ! [X4] : 
              ( ndr1_0
             => ( c4_1(X4)
                | ! [X5] : 
                    ( ndr1_1(X4)
                   => ( ~ c2_2(X4,X5)
                      | ~ c5_2(X4,X5)
                      | c4_2(X4,X5) ) )
                | c5_1(X4) ) ) )
        & ( ( ndr1_0
            & ! [X6] : 
                ( ndr1_1(a1335)
               => ( c3_2(a1335,X6)
                  | ~ c5_2(a1335,X6) ) )
            & ndr1_1(a1335)
            & c5_2(a1335,a1336)
            & ~ c2_2(a1335,a1336)
            & ~ c4_2(a1335,a1336)
            & ~ c3_1(a1335) )
          | ~ c3_0
          | ( ndr1_0
            & ~ c5_1(a1337)
            & ~ c4_1(a1337) ) )
        & ( ~ c1_0
          | ( ndr1_0
            & ~ c4_1(a1338)
            & ! [X7] : 
                ( ndr1_1(a1338)
               => ( ~ c2_2(a1338,X7)
                  | ~ c3_2(a1338,X7)
                  | ~ c5_2(a1338,X7) ) )
            & ~ c2_1(a1338) ) )
        & ( ( ndr1_0
            & c5_1(a1339)
            & ~ c1_1(a1339)
            & ! [X8] : 
                ( ndr1_1(a1339)
               => ( ~ c1_2(a1339,X8)
                  | ~ c5_2(a1339,X8)
                  | c4_2(a1339,X8) ) ) )
          | ~ c1_0 )
        & ( ! [X9] : 
              ( ndr1_0
             => ( c2_1(X9)
                | ( ndr1_1(X9)
                  & ~ c4_2(X9,a1340)
                  & ~ c2_2(X9,a1340) )
                | ( ndr1_1(X9)
                  & c5_2(X9,a1341)
                  & ~ c4_2(X9,a1341) ) ) )
          | ~ c3_0
          | c4_0 )
        & ( ~ c4_0
          | ! [X10] : 
              ( ndr1_0
             => ( ~ c2_1(X10)
                | ~ c5_1(X10) ) )
          | ! [X11] : 
              ( ndr1_0
             => ( ~ c5_1(X11)
                | ~ c2_1(X11) ) ) )
        & ( ( ndr1_0
            & ndr1_1(a1342)
            & c1_2(a1342,a1343)
            & c3_2(a1342,a1343)
            & ~ c4_2(a1342,a1343)
            & ~ c4_1(a1342)
            & ndr1_1(a1342)
            & c2_2(a1342,a1344)
            & ~ c1_2(a1342,a1344)
            & ~ c5_2(a1342,a1344) )
          | ( ndr1_0
            & ~ c5_1(a1345)
            & ~ c1_1(a1345)
            & c3_1(a1345) )
          | c3_0 )
        & ( c1_0
          | ~ c2_0
          | c5_0 )
        & ( c2_0
          | ( ndr1_0
            & c3_1(a1346)
            & ~ c4_1(a1346)
            & c2_1(a1346) )
          | ! [X12] : 
              ( ndr1_0
             => ( ~ c5_1(X12)
                | c4_1(X12)
                | ! [X13] : 
                    ( ndr1_1(X12)
                   => ( c4_2(X12,X13)
                      | ~ c3_2(X12,X13) ) ) ) ) )
        & ( ! [X14] : 
              ( ndr1_0
             => ( ! [X15] : 
                    ( ndr1_1(X14)
                   => ( ~ c4_2(X14,X15)
                      | c2_2(X14,X15)
                      | ~ c5_2(X14,X15) ) )
                | ( ndr1_1(X14)
                  & ~ c5_2(X14,a1347)
                  & c4_2(X14,a1347)
                  & c1_2(X14,a1347) )
                | c1_1(X14) ) )
          | ! [X16] : 
              ( ndr1_0
             => ( ~ c5_1(X16)
                | c3_1(X16)
                | ~ c4_1(X16) ) )
          | c5_0 )
        & ( ( ndr1_0
            & ~ c4_1(a1348)
            & ! [X17] : 
                ( ndr1_1(a1348)
               => ( c1_2(a1348,X17)
                  | ~ c4_2(a1348,X17)
                  | ~ c5_2(a1348,X17) ) )
            & ndr1_1(a1348)
            & ~ c4_2(a1348,a1349)
            & ~ c3_2(a1348,a1349)
            & ~ c1_2(a1348,a1349) )
          | ! [X18] : 
              ( ndr1_0
             => ( c2_1(X18)
                | ~ c3_1(X18) ) )
          | ~ c4_0 )
        & ( c3_0
          | c2_0 )
        & ( c2_0
          | ( ndr1_0
            & c5_1(a1350)
            & ~ c2_1(a1350) ) )
        & ( ( ndr1_0
            & ~ c1_1(a1351)
            & ~ c5_1(a1351) )
          | ! [X19] : 
              ( ndr1_0
             => ( ~ c3_1(X19)
                | c5_1(X19)
                | ~ c4_1(X19) ) )
          | c3_0 )
        & ( ~ c2_0
          | ( ndr1_0
            & ~ c4_1(a1352)
            & ! [X20] : 
                ( ndr1_1(a1352)
               => ( ~ c5_2(a1352,X20)
                  | c4_2(a1352,X20)
                  | c1_2(a1352,X20) ) )
            & ndr1_1(a1352)
            & ~ c4_2(a1352,a1353)
            & c5_2(a1352,a1353)
            & ~ c3_2(a1352,a1353) )
          | ! [X21] : 
              ( ndr1_0
             => ( ~ c2_1(X21)
                | ( ndr1_1(X21)
                  & ~ c3_2(X21,a1354)
                  & c1_2(X21,a1354)
                  & ~ c5_2(X21,a1354) )
                | ~ c5_1(X21) ) ) )
        & ( ~ c4_0
          | ! [X22] : 
              ( ndr1_0
             => ( ~ c1_1(X22)
                | ~ c5_1(X22)
                | ~ c4_1(X22) ) )
          | ! [X23] : 
              ( ndr1_0
             => ( ! [X24] : 
                    ( ndr1_1(X23)
                   => c2_2(X23,X24) )
                | ( ndr1_1(X23)
                  & c2_2(X23,a1355)
                  & c5_2(X23,a1355)
                  & ~ c1_2(X23,a1355) )
                | ~ c5_1(X23) ) ) )
        & ( ~ c3_0
          | ~ c2_0
          | c4_0 )
        & ( ~ c5_0
          | ! [X25] : 
              ( ndr1_0
             => ( ~ c4_1(X25)
                | ! [X26] : 
                    ( ndr1_1(X25)
                   => ( c3_2(X25,X26)
                      | c4_2(X25,X26) ) )
                | ( ndr1_1(X25)
                  & c5_2(X25,a1356)
                  & c4_2(X25,a1356)
                  & c2_2(X25,a1356) ) ) )
          | c2_0 )
        & ( ~ c5_0
          | c3_0 )
        & ( ! [X27] : 
              ( ndr1_0
             => ( ( ndr1_1(X27)
                  & ~ c4_2(X27,a1357)
                  & c5_2(X27,a1357)
                  & c1_2(X27,a1357) )
                | ( ndr1_1(X27)
                  & c3_2(X27,a1358)
                  & c2_2(X27,a1358)
                  & c1_2(X27,a1358) )
                | c1_1(X27) ) )
          | c4_0
          | ! [X28] : 
              ( ndr1_0
             => ( ! [X29] : 
                    ( ndr1_1(X28)
                   => ( ~ c3_2(X28,X29)
                      | ~ c4_2(X28,X29) ) )
                | ~ c4_1(X28) ) ) )
        & ( ~ c4_0
          | c5_0
          | c1_0 )
        & ( ( ndr1_0
            & c2_1(a1359)
            & ! [X30] : 
                ( ndr1_1(a1359)
               => ( ~ c3_2(a1359,X30)
                  | c1_2(a1359,X30)
                  | c5_2(a1359,X30) ) )
            & ndr1_1(a1359)
            & ~ c2_2(a1359,a1360)
            & ~ c1_2(a1359,a1360)
            & ~ c3_2(a1359,a1360) )
          | ( ndr1_0
            & ~ c1_1(a1361)
            & ~ c5_1(a1361) ) )
        & ( ~ c3_0
          | c5_0
          | ~ c4_0 )
        & ( ~ c2_0
          | ! [X31] : 
              ( ndr1_0
             => ( ! [X32] : 
                    ( ndr1_1(X31)
                   => ( ~ c5_2(X31,X32)
                      | c2_2(X31,X32)
                      | ~ c4_2(X31,X32) ) )
                | ( ndr1_1(X31)
                  & c3_2(X31,a1362)
                  & c2_2(X31,a1362)
                  & c5_2(X31,a1362) )
                | c1_1(X31) ) ) )
        & ( c1_0
          | ( ndr1_0
            & ! [X33] : 
                ( ndr1_1(a1363)
               => ( ~ c3_2(a1363,X33)
                  | c2_2(a1363,X33) ) )
            & ndr1_1(a1363)
            & ~ c2_2(a1363,a1364)
            & c5_2(a1363,a1364)
            & c1_2(a1363,a1364)
            & ~ c2_1(a1363) )
          | ~ c3_0 )
        & ( ~ c4_0
          | ( ndr1_0
            & ! [X34] : 
                ( ndr1_1(a1365)
               => ( ~ c5_2(a1365,X34)
                  | c2_2(a1365,X34)
                  | c1_2(a1365,X34) ) )
            & ! [X35] : 
                ( ndr1_1(a1365)
               => ( c1_2(a1365,X35)
                  | ~ c4_2(a1365,X35)
                  | c3_2(a1365,X35) ) )
            & c3_1(a1365) )
          | ( ndr1_0
            & ~ c3_1(a1366)
            & ~ c1_1(a1366) ) )
        & ( ( ndr1_0
            & c4_1(a1367)
            & ! [X36] : 
                ( ndr1_1(a1367)
               => ( c3_2(a1367,X36)
                  | ~ c1_2(a1367,X36)
                  | ~ c4_2(a1367,X36) ) )
            & ! [X37] : 
                ( ndr1_1(a1367)
               => ( ~ c3_2(a1367,X37)
                  | c5_2(a1367,X37) ) ) )
          | ~ c5_0
          | ~ c4_0 )
        & ( ~ c3_0
          | ~ c2_0
          | c1_0 )
        & ( c3_0
          | ( ndr1_0
            & c2_1(a1368)
            & ~ c1_1(a1368)
            & ndr1_1(a1368)
            & ~ c4_2(a1368,a1369)
            & ~ c3_2(a1368,a1369)
            & c1_2(a1368,a1369) ) )
        & ( ! [X38] : 
              ( ndr1_0
             => ( c4_1(X38)
                | ! [X39] : 
                    ( ndr1_1(X38)
                   => ( ~ c4_2(X38,X39)
                      | c2_2(X38,X39)
                      | ~ c5_2(X38,X39) ) ) ) )
          | c2_0
          | c1_0 )
        & ( ( ndr1_0
            & ! [X40] : 
                ( ndr1_1(a1370)
               => ( ~ c2_2(a1370,X40)
                  | ~ c3_2(a1370,X40)
                  | ~ c5_2(a1370,X40) ) )
            & ~ c2_1(a1370)
            & c4_1(a1370) )
          | ! [X41] : 
              ( ndr1_0
             => ( ( ndr1_1(X41)
                  & ~ c1_2(X41,a1371)
                  & ~ c2_2(X41,a1371)
                  & c3_2(X41,a1371) )
                | c3_1(X41)
                | ( ndr1_1(X41)
                  & c1_2(X41,a1372)
                  & ~ c2_2(X41,a1372)
                  & c5_2(X41,a1372) ) ) )
          | ~ c5_0 )
        & ( ! [X42] : 
              ( ndr1_0
             => ( ! [X43] : 
                    ( ndr1_1(X42)
                   => ( c5_2(X42,X43)
                      | c4_2(X42,X43) ) )
                | ! [X44] : 
                    ( ndr1_1(X42)
                   => ( c1_2(X42,X44)
                      | c5_2(X42,X44)
                      | ~ c3_2(X42,X44) ) )
                | c4_1(X42) ) )
          | ! [X45] : 
              ( ndr1_0
             => ( c5_1(X45)
                | ! [X46] : 
                    ( ndr1_1(X45)
                   => ( c2_2(X45,X46)
                      | ~ c1_2(X45,X46)
                      | c5_2(X45,X46) ) ) ) )
          | c3_0 )
        & ( c5_0
          | c1_0
          | ! [X47] : 
              ( ndr1_0
             => ( ( ndr1_1(X47)
                  & ~ c1_2(X47,a1373)
                  & c3_2(X47,a1373)
                  & c2_2(X47,a1373) )
                | ( ndr1_1(X47)
                  & ~ c1_2(X47,a1374)
                  & c4_2(X47,a1374)
                  & ~ c5_2(X47,a1374) )
                | c1_1(X47) ) ) )
        & ( ! [X48] : 
              ( ndr1_0
             => ( ( ndr1_1(X48)
                  & c3_2(X48,a1375)
                  & ~ c2_2(X48,a1375)
                  & c1_2(X48,a1375) )
                | ( ndr1_1(X48)
                  & c5_2(X48,a1376)
                  & ~ c2_2(X48,a1376) )
                | ( ndr1_1(X48)
                  & ~ c3_2(X48,a1377)
                  & c5_2(X48,a1377)
                  & ~ c2_2(X48,a1377) ) ) )
          | c2_0
          | ( ndr1_0
            & ! [X49] : 
                ( ndr1_1(a1378)
               => ( c1_2(a1378,X49)
                  | c5_2(a1378,X49) ) )
            & ~ c3_1(a1378) ) )
        & ( ! [X50] : 
              ( ndr1_0
             => ( ~ c2_1(X50)
                | c5_1(X50)
                | c3_1(X50) ) )
          | ! [X51] : 
              ( ndr1_0
             => ( ( ndr1_1(X51)
                  & ~ c1_2(X51,a1379)
                  & ~ c5_2(X51,a1379)
                  & c2_2(X51,a1379) )
                | ! [X52] : 
                    ( ndr1_1(X51)
                   => ( c4_2(X51,X52)
                      | c5_2(X51,X52)
                      | c3_2(X51,X52) ) )
                | c2_1(X51) ) )
          | c4_0 )
        & ( ~ c5_0
          | ( ndr1_0
            & ~ c3_1(a1380)
            & ! [X53] : 
                ( ndr1_1(a1380)
               => ( c1_2(a1380,X53)
                  | ~ c3_2(a1380,X53)
                  | ~ c5_2(a1380,X53) ) ) ) )
        & ( ! [X54] : 
              ( ndr1_0
             => ( ( ndr1_1(X54)
                  & c4_2(X54,a1381)
                  & c1_2(X54,a1381)
                  & c3_2(X54,a1381) )
                | ( ndr1_1(X54)
                  & c2_2(X54,a1382)
                  & ~ c3_2(X54,a1382)
                  & ~ c4_2(X54,a1382) )
                | c2_1(X54) ) )
          | ~ c3_0
          | ~ c5_0 )
        & ( c2_0
          | ! [X55] : 
              ( ndr1_0
             => ( ( ndr1_1(X55)
                  & c5_2(X55,a1383)
                  & c1_2(X55,a1383) )
                | ~ c5_1(X55) ) )
          | c3_0 )
        & ( ~ c2_0
          | ~ c3_0 )
        & ( ! [X56] : 
              ( ndr1_0
             => ( ( ndr1_1(X56)
                  & c5_2(X56,a1384)
                  & c3_2(X56,a1384) )
                | c1_1(X56) ) )
          | ~ c2_0 )
        & ( ! [X57] : 
              ( ndr1_0
             => ( ~ c5_1(X57)
                | ~ c2_1(X57)
                | ! [X58] : 
                    ( ndr1_1(X57)
                   => ( c2_2(X57,X58)
                      | c3_2(X57,X58)
                      | c5_2(X57,X58) ) ) ) )
          | ( ndr1_0
            & c4_1(a1385)
            & ~ c2_1(a1385)
            & ndr1_1(a1385)
            & ~ c2_2(a1385,a1386)
            & c5_2(a1385,a1386) ) )
        & ( c3_0
          | ~ c4_0
          | ! [X59] : 
              ( ndr1_0
             => ( ( ndr1_1(X59)
                  & ~ c5_2(X59,a1387)
                  & c1_2(X59,a1387)
                  & c2_2(X59,a1387) )
                | ! [X60] : 
                    ( ndr1_1(X59)
                   => ( ~ c5_2(X59,X60)
                      | c3_2(X59,X60) ) )
                | ! [X61] : 
                    ( ndr1_1(X59)
                   => ( c4_2(X59,X61)
                      | c1_2(X59,X61) ) ) ) ) )
        & ( ( ndr1_0
            & ! [X62] : 
                ( ndr1_1(a1388)
               => ( ~ c2_2(a1388,X62)
                  | ~ c4_2(a1388,X62) ) )
            & ~ c1_1(a1388) )
          | ~ c4_0
          | ( ndr1_0
            & ~ c5_1(a1389)
            & ~ c2_1(a1389)
            & ~ c4_1(a1389) ) )
        & ( c5_0
          | ( ndr1_0
            & c2_1(a1390)
            & ndr1_1(a1390)
            & ~ c4_2(a1390,a1391)
            & c5_2(a1390,a1391)
            & ~ c3_1(a1390) )
          | ~ c1_0 )
        & ( ( ndr1_0
            & ~ c3_1(a1392)
            & ndr1_1(a1392)
            & ~ c4_2(a1392,a1393)
            & ~ c1_2(a1392,a1393)
            & c3_2(a1392,a1393)
            & ndr1_1(a1392)
            & c5_2(a1392,a1394)
            & ~ c2_2(a1392,a1394)
            & c4_2(a1392,a1394) )
          | ! [X63] : 
              ( ndr1_0
             => ( ! [X64] : 
                    ( ndr1_1(X63)
                   => ( ~ c5_2(X63,X64)
                      | ~ c2_2(X63,X64)
                      | c3_2(X63,X64) ) )
                | ~ c5_1(X63)
                | ~ c1_1(X63) ) )
          | c5_0 )
        & ( ! [X65] : 
              ( ndr1_0
             => ~ c1_1(X65) )
          | ! [X66] : 
              ( ndr1_0
             => ( ! [X67] : 
                    ( ndr1_1(X66)
                   => ( ~ c2_2(X66,X67)
                      | c3_2(X66,X67)
                      | c1_2(X66,X67) ) )
                | ! [X68] : 
                    ( ndr1_1(X66)
                   => ( c1_2(X66,X68)
                      | c4_2(X66,X68) ) )
                | ~ c2_1(X66) ) )
          | ! [X69] : 
              ( ndr1_0
             => ( ( ndr1_1(X69)
                  & c3_2(X69,a1395)
                  & c2_2(X69,a1395) )
                | ! [X70] : 
                    ( ndr1_1(X69)
                   => ( c3_2(X69,X70)
                      | c5_2(X69,X70) ) )
                | ~ c3_1(X69) ) ) )
        & ( ! [X71] : 
              ( ndr1_0
             => ( ( ndr1_1(X71)
                  & c1_2(X71,a1396)
                  & ~ c2_2(X71,a1396)
                  & ~ c5_2(X71,a1396) )
                | ~ c1_1(X71)
                | ! [X72] : 
                    ( ndr1_1(X71)
                   => ( ~ c4_2(X71,X72)
                      | ~ c3_2(X71,X72) ) ) ) )
          | ! [X73] : 
              ( ndr1_0
             => ( c1_1(X73)
                | c2_1(X73)
                | c5_1(X73) ) )
          | ! [X74] : 
              ( ndr1_0
             => ( ~ c5_1(X74)
                | ! [X75] : 
                    ( ndr1_1(X74)
                   => ( ~ c4_2(X74,X75)
                      | ~ c2_2(X74,X75)
                      | ~ c1_2(X74,X75) ) )
                | ! [X76] : 
                    ( ndr1_1(X74)
                   => ( ~ c5_2(X74,X76)
                      | ~ c3_2(X74,X76) ) ) ) ) )
        & ( c5_0
          | ~ c2_0
          | ~ c3_0 )
        & ( ! [X77] : 
              ( ndr1_0
             => ( ! [X78] : 
                    ( ndr1_1(X77)
                   => ( c5_2(X77,X78)
                      | ~ c2_2(X77,X78)
                      | c4_2(X77,X78) ) )
                | ~ c2_1(X77)
                | ( ndr1_1(X77)
                  & c2_2(X77,a1397)
                  & ~ c3_2(X77,a1397)
                  & ~ c1_2(X77,a1397) ) ) )
          | ~ c4_0
          | ! [X79] : 
              ( ndr1_0
             => ( c1_1(X79)
                | ( ndr1_1(X79)
                  & ~ c1_2(X79,a1398)
                  & ~ c4_2(X79,a1398)
                  & ~ c5_2(X79,a1398) ) ) ) )
        & ( ! [X80] : 
              ( ndr1_0
             => ( ~ c2_1(X80)
                | ~ c3_1(X80)
                | ( ndr1_1(X80)
                  & c1_2(X80,a1399)
                  & ~ c5_2(X80,a1399) ) ) )
          | ( ndr1_0
            & c4_1(a1400)
            & c2_1(a1400)
            & ndr1_1(a1400)
            & ~ c1_2(a1400,a1401)
            & c2_2(a1400,a1401)
            & ~ c3_2(a1400,a1401) )
          | ~ c4_0 )
        & ( ~ c5_0
          | ( ndr1_0
            & c3_1(a1402)
            & ndr1_1(a1402)
            & ~ c4_2(a1402,a1403)
            & ~ c3_2(a1402,a1403)
            & ~ c2_2(a1402,a1403)
            & ndr1_1(a1402)
            & c3_2(a1402,a1404)
            & ~ c1_2(a1402,a1404)
            & ~ c2_2(a1402,a1404) )
          | ! [X81] : 
              ( ndr1_0
             => ( ~ c3_1(X81)
                | ( ndr1_1(X81)
                  & ~ c4_2(X81,a1405)
                  & ~ c5_2(X81,a1405) )
                | c1_1(X81) ) ) )
        & ( ~ c4_0
          | ( ndr1_0
            & ~ c5_1(a1406)
            & ndr1_1(a1406)
            & c5_2(a1406,a1407)
            & ~ c1_2(a1406,a1407)
            & ~ c2_2(a1406,a1407)
            & ndr1_1(a1406)
            & ~ c2_2(a1406,a1408)
            & ~ c1_2(a1406,a1408)
            & c5_2(a1406,a1408) )
          | c2_0 )
        & ( c1_0
          | ( ndr1_0
            & ~ c3_1(a1409)
            & ! [X82] : 
                ( ndr1_1(a1409)
               => ( ~ c4_2(a1409,X82)
                  | c1_2(a1409,X82)
                  | c2_2(a1409,X82) ) )
            & ! [X83] : 
                ( ndr1_1(a1409)
               => ( ~ c5_2(a1409,X83)
                  | ~ c1_2(a1409,X83)
                  | ~ c4_2(a1409,X83) ) ) ) )
        & ( c4_0
          | ! [X84] : 
              ( ndr1_0
             => ( ~ c4_1(X84)
                | c2_1(X84)
                | ( ndr1_1(X84)
                  & c5_2(X84,a1410)
                  & ~ c1_2(X84,a1410) ) ) ) )
        & ( c3_0
          | ! [X85] : 
              ( ndr1_0
             => ( ( ndr1_1(X85)
                  & ~ c1_2(X85,a1411)
                  & c2_2(X85,a1411)
                  & ~ c4_2(X85,a1411) )
                | ! [X86] : 
                    ( ndr1_1(X85)
                   => ( c1_2(X85,X86)
                      | c3_2(X85,X86) ) ) ) )
          | ( ndr1_0
            & c4_1(a1412)
            & ! [X87] : 
                ( ndr1_1(a1412)
               => ( c1_2(a1412,X87)
                  | c5_2(a1412,X87)
                  | ~ c3_2(a1412,X87) ) )
            & ~ c5_1(a1412) ) )
        & ( ! [X88] : 
              ( ndr1_0
             => ( ( ndr1_1(X88)
                  & ~ c2_2(X88,a1413)
                  & c5_2(X88,a1413)
                  & c4_2(X88,a1413) )
                | c3_1(X88)
                | ! [X89] : 
                    ( ndr1_1(X88)
                   => ( ~ c1_2(X88,X89)
                      | c5_2(X88,X89)
                      | ~ c4_2(X88,X89) ) ) ) )
          | ! [X90] : 
              ( ndr1_0
             => ( ( ndr1_1(X90)
                  & c2_2(X90,a1414)
                  & c4_2(X90,a1414)
                  & c5_2(X90,a1414) )
                | c3_1(X90)
                | c2_1(X90) ) )
          | c2_0 )
        & ( ~ c4_0
          | ! [X91] : 
              ( ndr1_0
             => ( ( ndr1_1(X91)
                  & c3_2(X91,a1415)
                  & ~ c4_2(X91,a1415) )
                | ~ c3_1(X91)
                | ~ c2_1(X91) ) )
          | ~ c5_0 )
        & ( ( ndr1_0
            & ~ c2_1(a1416)
            & c3_1(a1416)
            & c4_1(a1416) )
          | c1_0
          | ~ c2_0 )
        & ( c3_0
          | ~ c2_0 )
        & ( ! [X92] : 
              ( ndr1_0
             => ( c4_1(X92)
                | ~ c2_1(X92)
                | ( ndr1_1(X92)
                  & ~ c2_2(X92,a1417)
                  & c1_2(X92,a1417)
                  & c3_2(X92,a1417) ) ) )
          | ( ndr1_0
            & c2_1(a1418)
            & ! [X93] : 
                ( ndr1_1(a1418)
               => ( ~ c5_2(a1418,X93)
                  | c1_2(a1418,X93)
                  | c4_2(a1418,X93) ) )
            & ndr1_1(a1418)
            & ~ c5_2(a1418,a1419)
            & c4_2(a1418,a1419) )
          | ~ c5_0 )
        & ( c4_0
          | ~ c1_0
          | c5_0 )
        & ( c4_0
          | ~ c5_0
          | ( ndr1_0
            & ndr1_1(a1420)
            & c3_2(a1420,a1421)
            & ~ c5_2(a1420,a1421)
            & c1_2(a1420,a1421)
            & ndr1_1(a1420)
            & ~ c5_2(a1420,a1422)
            & c4_2(a1420,a1422)
            & c3_2(a1420,a1422)
            & ! [X94] : 
                ( ndr1_1(a1420)
               => ( c1_2(a1420,X94)
                  | ~ c4_2(a1420,X94)
                  | ~ c2_2(a1420,X94) ) ) ) )
        & ( c5_0
          | ~ c4_0
          | ( ndr1_0
            & ! [X95] : 
                ( ndr1_1(a1423)
               => ( ~ c2_2(a1423,X95)
                  | ~ c3_2(a1423,X95) ) )
            & c1_1(a1423) ) )
        & ( ( ndr1_0
            & ~ c1_1(a1424)
            & ! [X96] : 
                ( ndr1_1(a1424)
               => ( ~ c4_2(a1424,X96)
                  | c1_2(a1424,X96)
                  | c3_2(a1424,X96) ) )
            & c4_1(a1424) )
          | c2_0 )
        & ( ~ c4_0
          | ! [X97] : 
              ( ndr1_0
             => ( c2_1(X97)
                | ~ c3_1(X97) ) ) )
        & ( c1_0
          | ~ c4_0
          | ( ndr1_0
            & ndr1_1(a1425)
            & ~ c3_2(a1425,a1426)
            & ~ c2_2(a1425,a1426)
            & ~ c1_2(a1425,a1426)
            & ndr1_1(a1425)
            & c4_2(a1425,a1427)
            & ~ c5_2(a1425,a1427)
            & ~ c1_2(a1425,a1427)
            & ! [X98] : 
                ( ndr1_1(a1425)
               => ( ~ c3_2(a1425,X98)
                  | c5_2(a1425,X98)
                  | c2_2(a1425,X98) ) ) ) )
        & ( ( ndr1_0
            & c2_1(a1428)
            & ndr1_1(a1428)
            & c4_2(a1428,a1429)
            & ~ c3_2(a1428,a1429)
            & c2_2(a1428,a1429)
            & ! [X99] : 
                ( ndr1_1(a1428)
               => ( c2_2(a1428,X99)
                  | ~ c1_2(a1428,X99) ) ) )
          | ( ndr1_0
            & ndr1_1(a1430)
            & c1_2(a1430,a1431)
            & c2_2(a1430,a1431)
            & c5_2(a1430,a1431)
            & c2_1(a1430)
            & ndr1_1(a1430)
            & ~ c1_2(a1430,a1432)
            & ~ c4_2(a1430,a1432)
            & ~ c2_2(a1430,a1432) )
          | ! [X100] : 
              ( ndr1_0
             => ( ( ndr1_1(X100)
                  & ~ c3_2(X100,a1433)
                  & c5_2(X100,a1433)
                  & c2_2(X100,a1433) )
                | c3_1(X100) ) ) )
        & ( ( ndr1_0
            & ! [X101] : 
                ( ndr1_1(a1434)
               => ( c4_2(a1434,X101)
                  | c1_2(a1434,X101) ) )
            & c2_1(a1434)
            & ! [X102] : 
                ( ndr1_1(a1434)
               => ( c1_2(a1434,X102)
                  | c3_2(a1434,X102)
                  | c5_2(a1434,X102) ) ) )
          | ! [X103] : 
              ( ndr1_0
             => ( ( ndr1_1(X103)
                  & ~ c4_2(X103,a1435)
                  & c2_2(X103,a1435) )
                | c2_1(X103)
                | ! [X104] : 
                    ( ndr1_1(X103)
                   => ( ~ c4_2(X103,X104)
                      | c5_2(X103,X104)
                      | c3_2(X103,X104) ) ) ) ) )
        & ( c3_0
          | c1_0
          | ~ c5_0 )
        & ( c5_0
          | c4_0
          | ( ndr1_0
            & ! [X105] : 
                ( ndr1_1(a1436)
               => ( ~ c2_2(a1436,X105)
                  | c1_2(a1436,X105)
                  | c4_2(a1436,X105) ) )
            & ndr1_1(a1436)
            & ~ c4_2(a1436,a1437)
            & ~ c2_2(a1436,a1437)
            & c1_2(a1436,a1437)
            & ! [X106] : 
                ( ndr1_1(a1436)
               => ( c3_2(a1436,X106)
                  | ~ c2_2(a1436,X106)
                  | c5_2(a1436,X106) ) ) ) )
        & ( ~ c3_0
          | ( ndr1_0
            & ! [X107] : 
                ( ndr1_1(a1438)
               => ( c2_2(a1438,X107)
                  | ~ c3_2(a1438,X107)
                  | ~ c5_2(a1438,X107) ) )
            & c1_1(a1438) )
          | ( ndr1_0
            & ndr1_1(a1439)
            & ~ c4_2(a1439,a1440)
            & ~ c3_2(a1439,a1440)
            & ndr1_1(a1439)
            & c1_2(a1439,a1441)
            & c5_2(a1439,a1441)
            & c3_2(a1439,a1441)
            & c3_1(a1439) ) )
        & ( c1_0
          | c3_0 )
        & ( ( ndr1_0
            & ! [X108] : 
                ( ndr1_1(a1442)
               => ( c3_2(a1442,X108)
                  | c4_2(a1442,X108)
                  | ~ c2_2(a1442,X108) ) )
            & c3_1(a1442)
            & c2_1(a1442) )
          | ~ c3_0 )
        & ( ! [X109] : 
              ( ndr1_0
             => ( ! [X110] : 
                    ( ndr1_1(X109)
                   => ( c2_2(X109,X110)
                      | c5_2(X109,X110)
                      | ~ c4_2(X109,X110) ) )
                | ! [X111] : 
                    ( ndr1_1(X109)
                   => ( ~ c1_2(X109,X111)
                      | c2_2(X109,X111)
                      | ~ c4_2(X109,X111) ) )
                | ~ c1_1(X109) ) )
          | c2_0
          | ( ndr1_0
            & ndr1_1(a1443)
            & c3_2(a1443,a1444)
            & c1_2(a1443,a1444)
            & ~ c4_2(a1443,a1444)
            & ~ c3_1(a1443) ) )
        & ~ c5_0
        & ( ( ndr1_0
            & ~ c5_1(a1445)
            & ~ c1_1(a1445) )
          | ~ c3_0
          | ~ c4_0 )
        & ( ( ndr1_0
            & ~ c5_1(a1446)
            & ~ c3_1(a1446)
            & ! [X112] : 
                ( ndr1_1(a1446)
               => ( c3_2(a1446,X112)
                  | ~ c1_2(a1446,X112)
                  | ~ c5_2(a1446,X112) ) ) )
          | c1_0 )
        & ( ( ndr1_0
            & c2_1(a1447)
            & ndr1_1(a1447)
            & c5_2(a1447,a1448)
            & c3_2(a1447,a1448)
            & ~ c1_2(a1447,a1448)
            & ndr1_1(a1447)
            & ~ c5_2(a1447,a1449)
            & ~ c3_2(a1447,a1449)
            & ~ c4_2(a1447,a1449) )
          | ~ c4_0
          | ( ndr1_0
            & ndr1_1(a1450)
            & ~ c5_2(a1450,a1451) ) )
        & ( ( ndr1_0
            & ~ c5_1(a1452)
            & ndr1_1(a1452)
            & c2_2(a1452,a1453)
            & ~ c1_2(a1452,a1453) )
          | c2_0
          | ~ c3_0 )
        & ( ( ndr1_0
            & ~ c5_1(a1454)
            & c2_1(a1454) )
          | ( ndr1_0
            & c1_1(a1455)
            & ndr1_1(a1455)
            & ~ c3_2(a1455,a1456)
            & c2_2(a1455,a1456)
            & ~ c4_2(a1455,a1456)
            & ndr1_1(a1455)
            & c5_2(a1455,a1457)
            & c3_2(a1455,a1457)
            & ~ c2_2(a1455,a1457) )
          | c4_0 )
        & ndr1_0
        & ! [X113] : 
            ( ndr1_1(a1458)
           => ( c1_2(a1458,X113)
              | ~ c4_2(a1458,X113) ) )
        & ! [X114] : 
            ( ndr1_1(a1458)
           => ( c3_2(a1458,X114)
              | c2_2(a1458,X114) ) )
        & c2_1(a1458)
        & ( ! [X115] : 
              ( ndr1_0
             => ( c1_1(X115)
                | ! [X116] : 
                    ( ndr1_1(X115)
                   => ( ~ c2_2(X115,X116)
                      | c4_2(X115,X116)
                      | ~ c3_2(X115,X116) ) )
                | ( ndr1_1(X115)
                  & c4_2(X115,a1459)
                  & ~ c3_2(X115,a1459)
                  & ~ c1_2(X115,a1459) ) ) )
          | c4_0 )
        & ( ~ c4_0
          | ( ndr1_0
            & c5_1(a1460)
            & ndr1_1(a1460)
            & ~ c2_2(a1460,a1461)
            & c3_2(a1460,a1461)
            & ~ c4_2(a1460,a1461) )
          | ! [X117] : 
              ( ndr1_0
             => ( c4_1(X117)
                | ( ndr1_1(X117)
                  & c4_2(X117,a1462)
                  & ~ c3_2(X117,a1462) )
                | ( ndr1_1(X117)
                  & ~ c2_2(X117,a1463)
                  & c4_2(X117,a1463)
                  & ~ c3_2(X117,a1463) ) ) ) )
        & ndr1_0
        & ndr1_1(a1464)
        & ~ c5_2(a1464,a1465)
        & c3_2(a1464,a1465)
        & c2_2(a1464,a1465)
        & c2_1(a1464)
        & ndr1_1(a1464)
        & c2_2(a1464,a1466)
        & ~ c5_2(a1464,a1466)
        & ( ~ c3_0
          | ~ c1_0
          | ( ndr1_0
            & ndr1_1(a1467)
            & ~ c5_2(a1467,a1468)
            & c3_2(a1467,a1468)
            & c1_2(a1467,a1468)
            & ndr1_1(a1467)
            & ~ c4_2(a1467,a1469)
            & c3_2(a1467,a1469)
            & c1_2(a1467,a1469)
            & c3_1(a1467) ) )
        & ( ! [X118] : 
              ( ndr1_0
             => ( ~ c5_1(X118)
                | c1_1(X118)
                | ! [X119] : 
                    ( ndr1_1(X118)
                   => ( c4_2(X118,X119)
                      | ~ c2_2(X118,X119)
                      | c3_2(X118,X119) ) ) ) )
          | ( ndr1_0
            & ndr1_1(a1470)
            & c4_2(a1470,a1471)
            & ~ c5_2(a1470,a1471)
            & c2_2(a1470,a1471)
            & ndr1_1(a1470)
            & c5_2(a1470,a1472)
            & c1_2(a1470,a1472)
            & c3_2(a1470,a1472) )
          | ~ c3_0 )
        & ( ~ c2_0
          | ! [X120] : 
              ( ndr1_0
             => ( ( ndr1_1(X120)
                  & c3_2(X120,a1473)
                  & ~ c5_2(X120,a1473)
                  & c2_2(X120,a1473) )
                | ~ c4_1(X120)
                | ! [X121] : 
                    ( ndr1_1(X120)
                   => ( ~ c1_2(X120,X121)
                      | ~ c2_2(X120,X121) ) ) ) )
          | ! [X122] : 
              ( ndr1_0
             => ( ! [X123] : 
                    ( ndr1_1(X122)
                   => ( ~ c3_2(X122,X123)
                      | c5_2(X122,X123) ) )
                | ( ndr1_1(X122)
                  & c2_2(X122,a1474)
                  & c5_2(X122,a1474)
                  & c4_2(X122,a1474) )
                | c5_1(X122) ) ) )
        & ( c4_0
          | c1_0
          | ~ c2_0 )
        & ( ( ndr1_0
            & ! [X124] : 
                ( ndr1_1(a1475)
               => ( c5_2(a1475,X124)
                  | c2_2(a1475,X124) ) )
            & c4_1(a1475)
            & ~ c5_1(a1475) )
          | c4_0 )
        & c3_0
        & ( ! [X125] : 
              ( ndr1_0
             => ( ~ c3_1(X125)
                | ! [X126] : 
                    ( ndr1_1(X125)
                   => ( c5_2(X125,X126)
                      | c3_2(X125,X126) ) )
                | ( ndr1_1(X125)
                  & ~ c4_2(X125,a1476)
                  & ~ c2_2(X125,a1476)
                  & ~ c1_2(X125,a1476) ) ) )
          | ~ c4_0 )
        & ( ! [X127] : 
              ( ndr1_0
             => ( ( ndr1_1(X127)
                  & c2_2(X127,a1477)
                  & ~ c3_2(X127,a1477)
                  & ~ c4_2(X127,a1477) )
                | ~ c1_1(X127)
                | c5_1(X127) ) )
          | ( ndr1_0
            & ! [X128] : 
                ( ndr1_1(a1478)
               => ( c4_2(a1478,X128)
                  | c2_2(a1478,X128)
                  | ~ c1_2(a1478,X128) ) )
            & ! [X129] : 
                ( ndr1_1(a1478)
               => ( ~ c1_2(a1478,X129)
                  | c3_2(a1478,X129)
                  | c5_2(a1478,X129) ) )
            & ndr1_1(a1478)
            & c5_2(a1478,a1479)
            & ~ c4_2(a1478,a1479)
            & c1_2(a1478,a1479) )
          | ~ c2_0 )
        & ( c1_0
          | ! [X130] : 
              ( ndr1_0
             => ( ( ndr1_1(X130)
                  & ~ c3_2(X130,a1480)
                  & c4_2(X130,a1480)
                  & ~ c5_2(X130,a1480) )
                | ( ndr1_1(X130)
                  & c1_2(X130,a1481)
                  & ~ c2_2(X130,a1481) ) ) )
          | ( ndr1_0
            & ~ c5_1(a1482)
            & ! [X131] : 
                ( ndr1_1(a1482)
               => ( c3_2(a1482,X131)
                  | ~ c1_2(a1482,X131)
                  | ~ c5_2(a1482,X131) ) ) ) )
        & ( ( ndr1_0
            & ! [X132] : 
                ( ndr1_1(a1483)
               => ( c3_2(a1483,X132)
                  | ~ c2_2(a1483,X132)
                  | c4_2(a1483,X132) ) )
            & ~ c3_1(a1483)
            & c1_1(a1483) )
          | ( ndr1_0
            & ndr1_1(a1484)
            & c1_2(a1484,a1485)
            & ~ c3_2(a1484,a1485)
            & c4_2(a1484,a1485)
            & ~ c1_1(a1484)
            & ndr1_1(a1484)
            & c5_2(a1484,a1486)
            & c2_2(a1484,a1486)
            & ~ c1_2(a1484,a1486) )
          | ( ndr1_0
            & c3_1(a1487)
            & c1_1(a1487)
            & ndr1_1(a1487)
            & c2_2(a1487,a1488)
            & c4_2(a1487,a1488)
            & c5_2(a1487,a1488) ) )
        & ( ~ c1_0
          | ~ c2_0 )
        & ! [X133] : 
            ( ndr1_0
           => ( ( ndr1_1(X133)
                & ~ c1_2(X133,a1489)
                & c3_2(X133,a1489) )
              | ! [X134] : 
                  ( ndr1_1(X133)
                 => ( ~ c5_2(X133,X134)
                    | c4_2(X133,X134) ) )
              | c4_1(X133) ) )
        & ( ( ndr1_0
            & ! [X135] : 
                ( ndr1_1(a1490)
               => ( ~ c2_2(a1490,X135)
                  | ~ c5_2(a1490,X135) ) )
            & ! [X136] : 
                ( ndr1_1(a1490)
               => ( c1_2(a1490,X136)
                  | ~ c5_2(a1490,X136)
                  | c2_2(a1490,X136) ) ) )
          | ! [X137] : 
              ( ndr1_0
             => ( ( ndr1_1(X137)
                  & ~ c5_2(X137,a1491)
                  & ~ c1_2(X137,a1491) )
                | ~ c2_1(X137) ) )
          | ! [X138] : 
              ( ndr1_0
             => ( ~ c3_1(X138)
                | ! [X139] : 
                    ( ndr1_1(X138)
                   => ( c4_2(X138,X139)
                      | c5_2(X138,X139)
                      | c3_2(X138,X139) ) ) ) ) )
        & ( ! [X140] : 
              ( ndr1_0
             => ( ( ndr1_1(X140)
                  & c5_2(X140,a1492)
                  & c3_2(X140,a1492)
                  & ~ c4_2(X140,a1492) )
                | ! [X141] : 
                    ( ndr1_1(X140)
                   => ( c5_2(X140,X141)
                      | c1_2(X140,X141)
                      | c2_2(X140,X141) ) )
                | c1_1(X140) ) )
          | c1_0
          | ( ndr1_0
            & ! [X142] : 
                ( ndr1_1(a1493)
               => ( c2_2(a1493,X142)
                  | c1_2(a1493,X142) ) )
            & ~ c2_1(a1493) ) )
        & ndr1_0
        & ! [X143] : 
            ( ndr1_1(a1494)
           => ( c1_2(a1494,X143)
              | ~ c2_2(a1494,X143)
              | c3_2(a1494,X143) ) )
        & ! [X144] : 
            ( ndr1_1(a1494)
           => ( ~ c5_2(a1494,X144)
              | c3_2(a1494,X144)
              | c1_2(a1494,X144) ) )
        & c5_1(a1494)
        & ( ( ndr1_0
            & ! [X145] : 
                ( ndr1_1(a1495)
               => ( c1_2(a1495,X145)
                  | ~ c5_2(a1495,X145) ) )
            & ndr1_1(a1495)
            & c1_2(a1495,a1496)
            & ~ c5_2(a1495,a1496)
            & c2_2(a1495,a1496)
            & c2_1(a1495) )
          | ! [X146] : 
              ( ndr1_0
             => ( c4_1(X146)
                | ( ndr1_1(X146)
                  & c4_2(X146,a1497)
                  & c5_2(X146,a1497)
                  & c2_2(X146,a1497) ) ) )
          | ! [X147] : 
              ( ndr1_0
             => ( ~ c3_1(X147)
                | ! [X148] : 
                    ( ndr1_1(X147)
                   => ( ~ c2_2(X147,X148)
                      | ~ c5_2(X147,X148)
                      | c3_2(X147,X148) ) )
                | c5_1(X147) ) ) )
        & ( c2_0
          | ( ndr1_0
            & ! [X149] : 
                ( ndr1_1(a1498)
               => ( ~ c4_2(a1498,X149)
                  | c5_2(a1498,X149) ) )
            & ~ c5_1(a1498)
            & ! [X150] : 
                ( ndr1_1(a1498)
               => ( c5_2(a1498,X150)
                  | c4_2(a1498,X150)
                  | c1_2(a1498,X150) ) ) )
          | c4_0 )
        & ( ( ndr1_0
            & ~ c3_1(a1499)
            & ~ c5_1(a1499)
            & ! [X151] : 
                ( ndr1_1(a1499)
               => ( ~ c1_2(a1499,X151)
                  | c5_2(a1499,X151) ) ) )
          | ( ndr1_0
            & ndr1_1(a1500)
            & ~ c4_2(a1500,a1501)
            & ~ c3_2(a1500,a1501)
            & c2_2(a1500,a1501)
            & ndr1_1(a1500)
            & ~ c4_2(a1500,a1502)
            & c3_2(a1500,a1502)
            & c2_2(a1500,a1502) )
          | ( ndr1_0
            & ~ c5_1(a1503)
            & ! [X152] : 
                ( ndr1_1(a1503)
               => ( c5_2(a1503,X152)
                  | ~ c2_2(a1503,X152)
                  | ~ c1_2(a1503,X152) ) )
            & ~ c3_1(a1503) ) )
        & ( ! [X153] : 
              ( ndr1_0
             => ( ! [X154] : 
                    ( ndr1_1(X153)
                   => ( c1_2(X153,X154)
                      | ~ c4_2(X153,X154)
                      | c3_2(X153,X154) ) )
                | c2_1(X153)
                | ~ c3_1(X153) ) )
          | c1_0
          | ( ndr1_0
            & ~ c1_1(a1504)
            & ~ c4_1(a1504)
            & ! [X155] : 
                ( ndr1_1(a1504)
               => ( ~ c3_2(a1504,X155)
                  | c5_2(a1504,X155)
                  | ~ c4_2(a1504,X155) ) ) ) )
        & ( c2_0
          | ! [X156] : 
              ( ndr1_0
             => ( ( ndr1_1(X156)
                  & c2_2(X156,a1505)
                  & ~ c4_2(X156,a1505)
                  & c3_2(X156,a1505) )
                | ! [X157] : 
                    ( ndr1_1(X156)
                   => ( ~ c5_2(X156,X157)
                      | ~ c1_2(X156,X157)
                      | ~ c2_2(X156,X157) ) ) ) ) )
        & ( c1_0
          | ~ c2_0
          | ~ c4_0 )
        & ( ~ c1_0
          | ( ndr1_0
            & ! [X158] : 
                ( ndr1_1(a1506)
               => ( ~ c1_2(a1506,X158)
                  | c3_2(a1506,X158)
                  | ~ c4_2(a1506,X158) ) )
            & ~ c1_1(a1506)
            & ndr1_1(a1506)
            & c4_2(a1506,a1507)
            & ~ c2_2(a1506,a1507) ) )
        & ( c4_0
          | ~ c2_0 )
        & ( ( ndr1_0
            & ~ c3_1(a1508) )
          | ! [X159] : 
              ( ndr1_0
             => ( c1_1(X159)
                | c5_1(X159) ) )
          | ~ c1_0 )
        & ( ( ndr1_0
            & ! [X160] : 
                ( ndr1_1(a1509)
               => ( c2_2(a1509,X160)
                  | ~ c3_2(a1509,X160) ) )
            & c1_1(a1509)
            & ! [X161] : 
                ( ndr1_1(a1509)
               => ( c1_2(a1509,X161)
                  | c3_2(a1509,X161)
                  | c2_2(a1509,X161) ) ) )
          | ~ c1_0 )
        & ( ( ndr1_0
            & c5_1(a1510)
            & ndr1_1(a1510)
            & ~ c2_2(a1510,a1511)
            & ~ c1_2(a1510,a1511)
            & ~ c5_2(a1510,a1511) )
          | ! [X162] : 
              ( ndr1_0
             => ( ~ c3_1(X162)
                | c5_1(X162)
                | ~ c1_1(X162) ) ) )
        & ( ~ c1_0
          | ! [X163] : 
              ( ndr1_0
             => ( ( ndr1_1(X163)
                  & ~ c2_2(X163,a1512)
                  & ~ c1_2(X163,a1512)
                  & ~ c5_2(X163,a1512) )
                | ( ndr1_1(X163)
                  & c4_2(X163,a1513)
                  & ~ c1_2(X163,a1513)
                  & c2_2(X163,a1513) )
                | ( ndr1_1(X163)
                  & c3_2(X163,a1514)
                  & c2_2(X163,a1514) ) ) )
          | c4_0 )
        & ( ( ndr1_0
            & c3_1(a1515)
            & c1_1(a1515) )
          | ( ndr1_0
            & c5_1(a1516)
            & ~ c2_1(a1516) )
          | c2_0 )
        & ( c1_0
          | ~ c4_0
          | ! [X164] : 
              ( ndr1_0
             => ( ! [X165] : 
                    ( ndr1_1(X164)
                   => ( c1_2(X164,X165)
                      | ~ c4_2(X164,X165) ) )
                | ( ndr1_1(X164)
                  & ~ c3_2(X164,a1517)
                  & ~ c4_2(X164,a1517)
                  & c1_2(X164,a1517) )
                | ( ndr1_1(X164)
                  & ~ c4_2(X164,a1518)
                  & c1_2(X164,a1518)
                  & c5_2(X164,a1518) ) ) ) )
        & ( c2_0
          | ~ c1_0 )
        & ( ! [X166] : 
              ( ndr1_0
             => ( ! [X167] : 
                    ( ndr1_1(X166)
                   => ( ~ c1_2(X166,X167)
                      | c3_2(X166,X167) ) )
                | ( ndr1_1(X166)
                  & ~ c5_2(X166,a1519)
                  & c3_2(X166,a1519)
                  & ~ c4_2(X166,a1519) ) ) )
          | ( ndr1_0
            & ndr1_1(a1520)
            & ~ c5_2(a1520,a1521)
            & ~ c3_2(a1520,a1521)
            & ndr1_1(a1520)
            & c4_2(a1520,a1522)
            & ~ c3_2(a1520,a1522)
            & c2_1(a1520) )
          | ~ c2_0 )
        & ( ! [X168] : 
              ( ndr1_0
             => ( ~ c1_1(X168)
                | ! [X169] : 
                    ( ndr1_1(X168)
                   => ( c4_2(X168,X169)
                      | c1_2(X168,X169)
                      | c2_2(X168,X169) ) )
                | ( ndr1_1(X168)
                  & ~ c2_2(X168,a1523)
                  & ~ c5_2(X168,a1523)
                  & ~ c4_2(X168,a1523) ) ) )
          | c1_0
          | ( ndr1_0
            & ! [X170] : 
                ( ndr1_1(a1524)
               => ( ~ c4_2(a1524,X170)
                  | c1_2(a1524,X170) ) )
            & ndr1_1(a1524)
            & c5_2(a1524,a1525) ) )
        & ( c2_0
          | ! [X171] : 
              ( ndr1_0
             => ( ( ndr1_1(X171)
                  & c1_2(X171,a1526)
                  & c4_2(X171,a1526)
                  & ~ c2_2(X171,a1526) )
                | c4_1(X171)
                | ~ c1_1(X171) ) )
          | ! [X172] : 
              ( ndr1_0
             => ( ~ c1_1(X172)
                | c2_1(X172)
                | ~ c4_1(X172) ) ) )
        & ( ! [X173] : 
              ( ndr1_0
             => ( ~ c1_1(X173)
                | ~ c3_1(X173)
                | ~ c2_1(X173) ) )
          | ! [X174] : 
              ( ndr1_0
             => ( ~ c5_1(X174)
                | ! [X175] : 
                    ( ndr1_1(X174)
                   => ( ~ c1_2(X174,X175)
                      | ~ c5_2(X174,X175)
                      | ~ c3_2(X174,X175) ) )
                | ~ c2_1(X174) ) ) ) ) )).

%--------------------------------------------------------------------------
