%--------------------------------------------------------------------------
% File     : SYN544+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=8, R=1, L=120, K=3, D=2, P=0, Index=027
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-8-1-120-3-2-027.dfg [Wei97]

% Status   : CounterSatisfiable
% Rating   : 0.25 v3.1.0, 0.67 v2.7.0, 0.83 v2.6.0, 0.50 v2.5.0, 0.33 v2.3.0, 0.00 v2.1.0
%
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
%
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       : 1105 (   0 equality)
%            Maximal formula depth :  108 ( 108 average)
%            Number of connectives : 1494 ( 390 ~  ; 443  |; 501  &)
%                                         (   0 <=>; 160 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   26 (   9 propositional; 0-2 arity)
%            Number of functors    :  146 ( 146 constant; 0-0 arity)
%            Number of variables   :  160 (   0 singleton; 160 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%--------------------------------------------------------------------------
fof(co1,conjecture,
    ( ~ ( ( ! [U] : 
              ( ndr1_0
             => ( ~ c7_1(U)
                | ~ c5_1(U)
                | c2_1(U) ) )
          | ! [V] : 
              ( ndr1_0
             => ( ( ndr1_1(V)
                  & ~ c4_2(V,a1)
                  & ~ c1_2(V,a1) )
                | ( ndr1_1(V)
                  & ~ c1_2(V,a2)
                  & c7_2(V,a2)
                  & c4_2(V,a2) )
                | ( ndr1_1(V)
                  & ~ c7_2(V,a3)
                  & c6_2(V,a3) ) ) )
          | ~ c5_0 )
        & ( ! [W] : 
              ( ndr1_0
             => ( ~ c1_1(W)
                | ( ndr1_1(W)
                  & ~ c4_2(W,a4)
                  & ~ c3_2(W,a4)
                  & ~ c7_2(W,a4) )
                | ( ndr1_1(W)
                  & ~ c4_2(W,a5)
                  & c3_2(W,a5)
                  & ~ c5_2(W,a5) ) ) )
          | ! [X] : 
              ( ndr1_0
             => ( ! [Y] : 
                    ( ndr1_1(X)
                   => ( ~ c2_2(X,Y)
                      | ~ c4_2(X,Y)
                      | ~ c5_2(X,Y) ) )
                | ~ c1_1(X)
                | c2_1(X) ) )
          | ~ c8_0 )
        & ( c5_0
          | ! [Z] : 
              ( ndr1_0
             => ( ( ndr1_1(Z)
                  & c2_2(Z,a6)
                  & ~ c7_2(Z,a6)
                  & c8_2(Z,a6) )
                | ~ c2_1(Z)
                | ~ c3_1(Z) ) )
          | ! [X1] : 
              ( ndr1_0
             => ( ( ndr1_1(X1)
                  & c1_2(X1,a7)
                  & c6_2(X1,a7)
                  & c3_2(X1,a7) )
                | ~ c8_1(X1)
                | ! [X2] : 
                    ( ndr1_1(X1)
                   => ( ~ c2_2(X1,X2)
                      | c4_2(X1,X2)
                      | c3_2(X1,X2) ) ) ) ) )
        & ( ~ c2_0
          | ! [X3] : 
              ( ndr1_0
             => ( ~ c5_1(X3)
                | ( ndr1_1(X3)
                  & ~ c4_2(X3,a8)
                  & c2_2(X3,a8) ) ) )
          | ( ndr1_0
            & c4_1(a9)
            & ! [X4] : 
                ( ndr1_1(a9)
               => ( ~ c1_2(a9,X4)
                  | ~ c5_2(a9,X4)
                  | ~ c4_2(a9,X4) ) )
            & c3_1(a9) ) )
        & ( ! [X5] : 
              ( ndr1_0
             => ( ! [X6] : 
                    ( ndr1_1(X5)
                   => ( ~ c8_2(X5,X6)
                      | c7_2(X5,X6) ) )
                | c7_1(X5)
                | ! [X7] : 
                    ( ndr1_1(X5)
                   => ( ~ c8_2(X5,X7)
                      | ~ c2_2(X5,X7)
                      | ~ c4_2(X5,X7) ) ) ) )
          | c1_0
          | c2_0 )
        & ( ! [X8] : 
              ( ndr1_0
             => ( ~ c4_1(X8)
                | ! [X9] : 
                    ( ndr1_1(X8)
                   => ( c6_2(X8,X9)
                      | ~ c2_2(X8,X9) ) )
                | ~ c5_1(X8) ) )
          | ~ c8_0
          | ~ c4_0 )
        & ( ! [X10] : 
              ( ndr1_0
             => ( ( ndr1_1(X10)
                  & ~ c5_2(X10,a10)
                  & c7_2(X10,a10)
                  & ~ c6_2(X10,a10) )
                | ! [X11] : 
                    ( ndr1_1(X10)
                   => ( c3_2(X10,X11)
                      | c2_2(X10,X11)
                      | ~ c1_2(X10,X11) ) )
                | ~ c1_1(X10) ) )
          | ( ndr1_0
            & ~ c8_1(a11)
            & ndr1_1(a11)
            & ~ c3_2(a11,a12)
            & c5_2(a11,a12)
            & ~ c6_2(a11,a12) )
          | c7_0 )
        & ( ! [X12] : 
              ( ndr1_0
             => ( ! [X13] : 
                    ( ndr1_1(X12)
                   => ( c5_2(X12,X13)
                      | c1_2(X12,X13) ) )
                | ~ c1_1(X12)
                | ( ndr1_1(X12)
                  & ~ c2_2(X12,a13)
                  & ~ c8_2(X12,a13)
                  & c6_2(X12,a13) ) ) )
          | ( ndr1_0
            & ~ c2_1(a14)
            & ndr1_1(a14)
            & c6_2(a14,a15)
            & c3_2(a14,a15)
            & ~ c7_2(a14,a15)
            & ~ c7_1(a14) )
          | ~ c3_0 )
        & ( c2_0
          | ~ c8_0
          | ( ndr1_0
            & ~ c2_1(a16)
            & ~ c8_1(a16)
            & c1_1(a16) ) )
        & ( c7_0
          | c2_0
          | ! [X14] : 
              ( ndr1_0
             => ( ( ndr1_1(X14)
                  & ~ c6_2(X14,a17)
                  & c5_2(X14,a17)
                  & c3_2(X14,a17) )
                | c8_1(X14)
                | ~ c5_1(X14) ) ) )
        & ( ~ c5_0
          | ! [X15] : 
              ( ndr1_0
             => ( c1_1(X15)
                | ! [X16] : 
                    ( ndr1_1(X15)
                   => ( c7_2(X15,X16)
                      | ~ c2_2(X15,X16) ) )
                | ! [X17] : 
                    ( ndr1_1(X15)
                   => ( c5_2(X15,X17)
                      | ~ c2_2(X15,X17)
                      | c8_2(X15,X17) ) ) ) )
          | c2_0 )
        & ( ~ c6_0
          | ! [X18] : 
              ( ndr1_0
             => ( ! [X19] : 
                    ( ndr1_1(X18)
                   => ( ~ c1_2(X18,X19)
                      | ~ c7_2(X18,X19)
                      | c2_2(X18,X19) ) )
                | c2_1(X18)
                | c3_1(X18) ) )
          | ( ndr1_0
            & c6_1(a18)
            & c1_1(a18) ) )
        & ( ~ c1_0
          | ( ndr1_0
            & ! [X20] : 
                ( ndr1_1(a19)
               => ( c6_2(a19,X20)
                  | c8_2(a19,X20)
                  | c3_2(a19,X20) ) )
            & ndr1_1(a19)
            & c4_2(a19,a20)
            & ~ c7_2(a19,a20)
            & ~ c3_2(a19,a20)
            & ndr1_1(a19)
            & ~ c5_2(a19,a21)
            & c3_2(a19,a21)
            & c7_2(a19,a21) )
          | ~ c2_0 )
        & ( ! [X21] : 
              ( ndr1_0
             => ( ( ndr1_1(X21)
                  & ~ c7_2(X21,a22)
                  & ~ c6_2(X21,a22) )
                | ( ndr1_1(X21)
                  & ~ c6_2(X21,a23)
                  & ~ c3_2(X21,a23)
                  & ~ c2_2(X21,a23) )
                | ! [X22] : 
                    ( ndr1_1(X21)
                   => ( ~ c8_2(X21,X22)
                      | c1_2(X21,X22)
                      | ~ c5_2(X21,X22) ) ) ) )
          | c5_0
          | c8_0 )
        & ( ( ndr1_0
            & ndr1_1(a24)
            & ~ c6_2(a24,a25)
            & c3_2(a24,a25)
            & c1_2(a24,a25)
            & ~ c2_1(a24)
            & ndr1_1(a24)
            & ~ c7_2(a24,a26)
            & c2_2(a24,a26)
            & ~ c6_2(a24,a26) )
          | ( ndr1_0
            & c8_1(a27)
            & ! [X23] : 
                ( ndr1_1(a27)
               => ( c5_2(a27,X23)
                  | c8_2(a27,X23)
                  | ~ c7_2(a27,X23) ) )
            & ndr1_1(a27)
            & ~ c6_2(a27,a28)
            & c2_2(a27,a28)
            & ~ c4_2(a27,a28) )
          | ( ndr1_0
            & ndr1_1(a29)
            & c7_2(a29,a30)
            & c2_2(a29,a30)
            & c1_2(a29,a30)
            & ndr1_1(a29)
            & c5_2(a29,a31)
            & c6_2(a29,a31)
            & ! [X24] : 
                ( ndr1_1(a29)
               => ( c1_2(a29,X24)
                  | ~ c6_2(a29,X24)
                  | c5_2(a29,X24) ) ) ) )
        & ( ( ndr1_0
            & ! [X25] : 
                ( ndr1_1(a32)
               => ( c4_2(a32,X25)
                  | c1_2(a32,X25) ) )
            & ! [X26] : 
                ( ndr1_1(a32)
               => ( c6_2(a32,X26)
                  | c1_2(a32,X26)
                  | ~ c3_2(a32,X26) ) )
            & c2_1(a32) )
          | ! [X27] : 
              ( ndr1_0
             => ( c1_1(X27)
                | ( ndr1_1(X27)
                  & c4_2(X27,a33)
                  & c1_2(X27,a33)
                  & c3_2(X27,a33) )
                | ~ c4_1(X27) ) )
          | ~ c1_0 )
        & ( ( ndr1_0
            & ! [X28] : 
                ( ndr1_1(a34)
               => ~ c7_2(a34,X28) )
            & ! [X29] : 
                ( ndr1_1(a34)
               => ( ~ c1_2(a34,X29)
                  | c2_2(a34,X29)
                  | c7_2(a34,X29) ) )
            & ! [X30] : 
                ( ndr1_1(a34)
               => ( c1_2(a34,X30)
                  | ~ c8_2(a34,X30)
                  | c4_2(a34,X30) ) ) )
          | c2_0
          | c3_0 )
        & ( ( ndr1_0
            & ! [X31] : 
                ( ndr1_1(a35)
               => ( c8_2(a35,X31)
                  | ~ c1_2(a35,X31)
                  | ~ c2_2(a35,X31) ) )
            & ndr1_1(a35)
            & ~ c2_2(a35,a36)
            & ~ c3_2(a35,a36)
            & ~ c4_2(a35,a36)
            & ~ c4_1(a35) )
          | ( ndr1_0
            & ~ c6_1(a37)
            & ndr1_1(a37)
            & c5_2(a37,a38)
            & c4_2(a37,a38)
            & c3_2(a37,a38)
            & ~ c1_1(a37) )
          | ( ndr1_0
            & ndr1_1(a39)
            & c5_2(a39,a40)
            & c3_2(a39,a40)
            & ~ c4_2(a39,a40)
            & ! [X32] : 
                ( ndr1_1(a39)
               => ( ~ c8_2(a39,X32)
                  | c7_2(a39,X32) ) )
            & ndr1_1(a39)
            & ~ c5_2(a39,a41)
            & c6_2(a39,a41)
            & ~ c2_2(a39,a41) ) )
        & ( c2_0
          | c7_0
          | ~ c4_0 )
        & ( ~ c8_0
          | ! [X33] : 
              ( ndr1_0
             => ( ! [X34] : 
                    ( ndr1_1(X33)
                   => ( ~ c2_2(X33,X34)
                      | c3_2(X33,X34)
                      | ~ c6_2(X33,X34) ) )
                | ~ c8_1(X33)
                | c7_1(X33) ) )
          | ( ndr1_0
            & ndr1_1(a42)
            & ~ c7_2(a42,a43)
            & c8_2(a42,a43)
            & ~ c3_2(a42,a43)
            & ~ c7_1(a42)
            & ! [X35] : 
                ( ndr1_1(a42)
               => ( c1_2(a42,X35)
                  | ~ c7_2(a42,X35)
                  | c4_2(a42,X35) ) ) ) )
        & ( ( ndr1_0
            & ~ c2_1(a44)
            & ndr1_1(a44)
            & c5_2(a44,a45)
            & ~ c8_2(a44,a45)
            & ! [X36] : 
                ( ndr1_1(a44)
               => ( ~ c4_2(a44,X36)
                  | ~ c5_2(a44,X36) ) ) )
          | ! [X37] : 
              ( ndr1_0
             => ( ! [X38] : 
                    ( ndr1_1(X37)
                   => ( c4_2(X37,X38)
                      | ~ c6_2(X37,X38)
                      | c5_2(X37,X38) ) )
                | ( ndr1_1(X37)
                  & ~ c8_2(X37,a46)
                  & ~ c3_2(X37,a46) )
                | ~ c7_1(X37) ) )
          | ! [X39] : 
              ( ndr1_0
             => ( c3_1(X39)
                | ! [X40] : 
                    ( ndr1_1(X39)
                   => ( c3_2(X39,X40)
                      | c6_2(X39,X40)
                      | c4_2(X39,X40) ) )
                | ! [X41] : 
                    ( ndr1_1(X39)
                   => ( c5_2(X39,X41)
                      | c1_2(X39,X41)
                      | c8_2(X39,X41) ) ) ) ) )
        & ( c8_0
          | ( ndr1_0
            & ndr1_1(a47)
            & ~ c2_2(a47,a48)
            & c8_2(a47,a48)
            & ~ c1_2(a47,a48)
            & ~ c6_1(a47)
            & ndr1_1(a47)
            & ~ c2_2(a47,a49)
            & ~ c1_2(a47,a49)
            & c7_2(a47,a49) ) )
        & ( ( ndr1_0
            & ~ c4_1(a50)
            & c1_1(a50) )
          | c7_0
          | c4_0 )
        & ( ~ c8_0
          | ! [X42] : 
              ( ndr1_0
             => ( ~ c5_1(X42)
                | c6_1(X42)
                | c2_1(X42) ) )
          | ~ c4_0 )
        & ( c2_0
          | c3_0
          | ( ndr1_0
            & c5_1(a51)
            & ~ c7_1(a51)
            & ! [X43] : 
                ( ndr1_1(a51)
               => ( c3_2(a51,X43)
                  | ~ c5_2(a51,X43)
                  | c4_2(a51,X43) ) ) ) )
        & ( ! [X44] : 
              ( ndr1_0
             => ( ~ c3_1(X44)
                | c2_1(X44)
                | ~ c7_1(X44) ) )
          | ! [X45] : 
              ( ndr1_0
             => ( c1_1(X45)
                | ! [X46] : 
                    ( ndr1_1(X45)
                   => ( c4_2(X45,X46)
                      | ~ c6_2(X45,X46)
                      | ~ c3_2(X45,X46) ) )
                | ~ c6_1(X45) ) ) )
        & ( ~ c7_0
          | ~ c6_0
          | ~ c3_0 )
        & ( ( ndr1_0
            & c5_1(a52)
            & ! [X47] : 
                ( ndr1_1(a52)
               => ( ~ c5_2(a52,X47)
                  | ~ c8_2(a52,X47)
                  | ~ c7_2(a52,X47) ) )
            & c8_1(a52) )
          | ( ndr1_0
            & ndr1_1(a53)
            & c4_2(a53,a54)
            & ~ c8_2(a53,a54)
            & ~ c7_2(a53,a54)
            & c1_1(a53)
            & ndr1_1(a53)
            & c2_2(a53,a55)
            & c6_2(a53,a55) )
          | ~ c5_0 )
        & ( c8_0
          | ! [X48] : 
              ( ndr1_0
             => ( c5_1(X48)
                | ! [X49] : 
                    ( ndr1_1(X48)
                   => ( ~ c4_2(X48,X49)
                      | ~ c1_2(X48,X49)
                      | ~ c6_2(X48,X49) ) )
                | ( ndr1_1(X48)
                  & c3_2(X48,a56)
                  & ~ c2_2(X48,a56)
                  & c7_2(X48,a56) ) ) )
          | ! [X50] : 
              ( ndr1_0
             => ( ( ndr1_1(X50)
                  & ~ c7_2(X50,a57)
                  & c2_2(X50,a57)
                  & c5_2(X50,a57) )
                | ~ c3_1(X50)
                | ( ndr1_1(X50)
                  & ~ c3_2(X50,a58)
                  & ~ c5_2(X50,a58)
                  & c6_2(X50,a58) ) ) ) )
        & ( c3_0
          | c2_0
          | ( ndr1_0
            & ! [X51] : 
                ( ndr1_1(a59)
               => ( c7_2(a59,X51)
                  | c5_2(a59,X51) ) )
            & ~ c4_1(a59)
            & c3_1(a59) ) )
        & ( ~ c4_0
          | ~ c2_0
          | c3_0 )
        & ( ! [X52] : 
              ( ndr1_0
             => ( c1_1(X52)
                | ~ c4_1(X52) ) )
          | ( ndr1_0
            & ndr1_1(a60)
            & ~ c2_2(a60,a61)
            & c8_2(a60,a61)
            & c5_2(a60,a61)
            & ! [X53] : 
                ( ndr1_1(a60)
               => ( ~ c7_2(a60,X53)
                  | c5_2(a60,X53)
                  | ~ c2_2(a60,X53) ) )
            & ndr1_1(a60)
            & ~ c4_2(a60,a62)
            & c2_2(a60,a62)
            & c3_2(a60,a62) )
          | ! [X54] : 
              ( ndr1_0
             => ( ~ c2_1(X54)
                | ~ c3_1(X54)
                | ! [X55] : 
                    ( ndr1_1(X54)
                   => ( ~ c3_2(X54,X55)
                      | c5_2(X54,X55)
                      | c6_2(X54,X55) ) ) ) ) )
        & ( ! [X56] : 
              ( ndr1_0
             => ( ~ c7_1(X56)
                | c6_1(X56)
                | ( ndr1_1(X56)
                  & ~ c2_2(X56,a63)
                  & c4_2(X56,a63)
                  & ~ c5_2(X56,a63) ) ) )
          | ( ndr1_0
            & ! [X57] : 
                ( ndr1_1(a64)
               => ( c4_2(a64,X57)
                  | ~ c2_2(a64,X57)
                  | c8_2(a64,X57) ) )
            & ~ c1_1(a64)
            & ! [X58] : 
                ( ndr1_1(a64)
               => ( c1_2(a64,X58)
                  | c4_2(a64,X58)
                  | c6_2(a64,X58) ) ) )
          | c2_0 )
        & ( ! [X59] : 
              ( ndr1_0
             => ( c7_1(X59)
                | ! [X60] : 
                    ( ndr1_1(X59)
                   => ( ~ c7_2(X59,X60)
                      | c5_2(X59,X60)
                      | c8_2(X59,X60) ) )
                | ~ c8_1(X59) ) )
          | c5_0
          | ~ c3_0 )
        & ( ( ndr1_0
            & c5_1(a65)
            & ! [X61] : 
                ( ndr1_1(a65)
               => ( c1_2(a65,X61)
                  | c4_2(a65,X61)
                  | c5_2(a65,X61) ) )
            & c6_1(a65) )
          | ( ndr1_0
            & ! [X62] : 
                ( ndr1_1(a66)
               => ( c3_2(a66,X62)
                  | ~ c8_2(a66,X62)
                  | c5_2(a66,X62) ) )
            & ! [X63] : 
                ( ndr1_1(a66)
               => ( c2_2(a66,X63)
                  | ~ c8_2(a66,X63)
                  | c3_2(a66,X63) ) )
            & ~ c3_1(a66) )
          | ~ c1_0 )
        & ( ! [X64] : 
              ( ndr1_0
             => ( ~ c2_1(X64)
                | c3_1(X64)
                | c5_1(X64) ) )
          | ~ c2_0 )
        & ( ~ c7_0
          | ! [X65] : 
              ( ndr1_0
             => ( ( ndr1_1(X65)
                  & ~ c4_2(X65,a67)
                  & ~ c7_2(X65,a67) )
                | c6_1(X65)
                | c2_1(X65) ) )
          | ( ndr1_0
            & c2_1(a68)
            & ! [X66] : 
                ( ndr1_1(a68)
               => ( c7_2(a68,X66)
                  | c6_2(a68,X66) ) )
            & c5_1(a68) ) )
        & ( ~ c7_0
          | ~ c8_0
          | ! [X67] : 
              ( ndr1_0
             => ( ~ c3_1(X67)
                | ( ndr1_1(X67)
                  & ~ c1_2(X67,a69)
                  & ~ c6_2(X67,a69)
                  & c5_2(X67,a69) )
                | ( ndr1_1(X67)
                  & ~ c6_2(X67,a70)
                  & c7_2(X67,a70)
                  & c4_2(X67,a70) ) ) ) )
        & ( ! [X68] : 
              ( ndr1_0
             => ( ( ndr1_1(X68)
                  & ~ c1_2(X68,a71)
                  & ~ c3_2(X68,a71)
                  & c5_2(X68,a71) )
                | ( ndr1_1(X68)
                  & ~ c1_2(X68,a72)
                  & c8_2(X68,a72)
                  & c7_2(X68,a72) )
                | c4_1(X68) ) )
          | ~ c8_0
          | c5_0 )
        & ( ~ c3_0
          | ( ndr1_0
            & ! [X69] : 
                ( ndr1_1(a73)
               => ( ~ c1_2(a73,X69)
                  | ~ c2_2(a73,X69)
                  | ~ c4_2(a73,X69) ) )
            & ndr1_1(a73)
            & c5_2(a73,a74)
            & c4_2(a73,a74)
            & c1_1(a73) )
          | ~ c7_0 )
        & ( c8_0
          | ( ndr1_0
            & ! [X70] : 
                ( ndr1_1(a75)
               => ( c6_2(a75,X70)
                  | ~ c2_2(a75,X70)
                  | ~ c4_2(a75,X70) ) )
            & ! [X71] : 
                ( ndr1_1(a75)
               => ( ~ c4_2(a75,X71)
                  | ~ c6_2(a75,X71)
                  | c3_2(a75,X71) ) )
            & ! [X72] : 
                ( ndr1_1(a75)
               => ( c8_2(a75,X72)
                  | ~ c1_2(a75,X72) ) ) )
          | c7_0 )
        & ( c2_0
          | c5_0
          | ! [X73] : 
              ( ndr1_0
             => ( c3_1(X73)
                | ~ c2_1(X73)
                | c7_1(X73) ) ) )
        & ( c7_0
          | ! [X74] : 
              ( ndr1_0
             => ( c1_1(X74)
                | ( ndr1_1(X74)
                  & ~ c6_2(X74,a76)
                  & c7_2(X74,a76)
                  & c4_2(X74,a76) )
                | ! [X75] : 
                    ( ndr1_1(X74)
                   => ( c8_2(X74,X75)
                      | c7_2(X74,X75)
                      | ~ c3_2(X74,X75) ) ) ) )
          | ~ c2_0 )
        & ( c8_0
          | ! [X76] : 
              ( ndr1_0
             => ( ~ c3_1(X76)
                | c7_1(X76)
                | ! [X77] : 
                    ( ndr1_1(X76)
                   => ( ~ c3_2(X76,X77)
                      | c7_2(X76,X77)
                      | c1_2(X76,X77) ) ) ) ) )
        & ( ( ndr1_0
            & c7_1(a77)
            & ! [X78] : 
                ( ndr1_1(a77)
               => ( c1_2(a77,X78)
                  | c7_2(a77,X78)
                  | c8_2(a77,X78) ) ) )
          | ~ c1_0
          | ~ c2_0 )
        & ( ! [X79] : 
              ( ndr1_0
             => ( c7_1(X79)
                | ~ c8_1(X79) ) )
          | c3_0 )
        & ( ~ c3_0
          | ( ndr1_0
            & ! [X80] : 
                ( ndr1_1(a78)
               => ( c3_2(a78,X80)
                  | ~ c7_2(a78,X80)
                  | c5_2(a78,X80) ) )
            & ndr1_1(a78)
            & ~ c5_2(a78,a79)
            & c6_2(a78,a79)
            & ~ c1_1(a78) ) )
        & ( c7_0
          | c6_0
          | ( ndr1_0
            & ~ c4_1(a80)
            & ~ c2_1(a80) ) )
        & ( ( ndr1_0
            & ndr1_1(a81)
            & c4_2(a81,a82)
            & c8_2(a81,a82)
            & c3_2(a81,a82)
            & ~ c6_1(a81)
            & c7_1(a81) )
          | ~ c1_0 )
        & ( c1_0
          | ( ndr1_0
            & ~ c3_1(a83)
            & ndr1_1(a83)
            & c5_2(a83,a84)
            & ~ c2_2(a83,a84)
            & c3_2(a83,a84)
            & ~ c7_1(a83) )
          | ( ndr1_0
            & ~ c4_1(a85)
            & ndr1_1(a85)
            & ~ c8_2(a85,a86)
            & ~ c1_2(a85,a86)
            & c7_2(a85,a86)
            & c7_1(a85) ) )
        & ( ! [X81] : 
              ( ndr1_0
             => ( ~ c7_1(X81)
                | ! [X82] : 
                    ( ndr1_1(X81)
                   => ( ~ c4_2(X81,X82)
                      | c8_2(X81,X82)
                      | c7_2(X81,X82) ) )
                | ~ c5_1(X81) ) )
          | ! [X83] : 
              ( ndr1_0
             => ( ( ndr1_1(X83)
                  & c8_2(X83,a87)
                  & c5_2(X83,a87)
                  & c1_2(X83,a87) )
                | ~ c7_1(X83)
                | ( ndr1_1(X83)
                  & ~ c7_2(X83,a88)
                  & c1_2(X83,a88) ) ) )
          | ! [X84] : 
              ( ndr1_0
             => ( ~ c2_1(X84)
                | c3_1(X84)
                | ! [X85] : 
                    ( ndr1_1(X84)
                   => ( c4_2(X84,X85)
                      | c1_2(X84,X85)
                      | ~ c6_2(X84,X85) ) ) ) ) )
        & c6_0
        & c4_0
        & ( ! [X86] : 
              ( ndr1_0
             => ( c5_1(X86)
                | ( ndr1_1(X86)
                  & c2_2(X86,a89)
                  & ~ c7_2(X86,a89)
                  & c1_2(X86,a89) ) ) )
          | ( ndr1_0
            & ! [X87] : 
                ( ndr1_1(a90)
               => ( ~ c1_2(a90,X87)
                  | ~ c2_2(a90,X87)
                  | ~ c6_2(a90,X87) ) )
            & ndr1_1(a90)
            & c1_2(a90,a91)
            & c3_2(a90,a91)
            & ndr1_1(a90)
            & ~ c3_2(a90,a92)
            & ~ c4_2(a90,a92)
            & c7_2(a90,a92) )
          | ( ndr1_0
            & ! [X88] : 
                ( ndr1_1(a93)
               => ( c5_2(a93,X88)
                  | ~ c6_2(a93,X88)
                  | c8_2(a93,X88) ) )
            & ! [X89] : 
                ( ndr1_1(a93)
               => ( ~ c4_2(a93,X89)
                  | c6_2(a93,X89) ) )
            & ! [X90] : 
                ( ndr1_1(a93)
               => ( ~ c6_2(a93,X90)
                  | ~ c7_2(a93,X90) ) ) ) )
        & ( c5_0
          | ! [X91] : 
              ( ndr1_0
             => ( ~ c5_1(X91)
                | c4_1(X91)
                | c1_1(X91) ) )
          | ! [X92] : 
              ( ndr1_0
             => ( ~ c2_1(X92)
                | ( ndr1_1(X92)
                  & ~ c5_2(X92,a94)
                  & c6_2(X92,a94)
                  & c2_2(X92,a94) )
                | ( ndr1_1(X92)
                  & c5_2(X92,a95)
                  & c1_2(X92,a95)
                  & c6_2(X92,a95) ) ) ) )
        & ( ! [X93] : 
              ( ndr1_0
             => ( ! [X94] : 
                    ( ndr1_1(X93)
                   => ( c4_2(X93,X94)
                      | ~ c1_2(X93,X94)
                      | c2_2(X93,X94) ) )
                | c6_1(X93)
                | c1_1(X93) ) )
          | c3_0
          | ( ndr1_0
            & c2_1(a96)
            & c3_1(a96)
            & ndr1_1(a96)
            & c7_2(a96,a97)
            & ~ c6_2(a96,a97)
            & ~ c1_2(a96,a97) ) )
        & ( ( ndr1_0
            & ~ c7_1(a98)
            & ~ c5_1(a98)
            & ! [X95] : 
                ( ndr1_1(a98)
               => ( c5_2(a98,X95)
                  | c4_2(a98,X95)
                  | c8_2(a98,X95) ) ) )
          | ~ c3_0
          | ~ c8_0 )
        & ( ! [X96] : 
              ( ndr1_0
             => ( ! [X97] : 
                    ( ndr1_1(X96)
                   => ( ~ c2_2(X96,X97)
                      | ~ c1_2(X96,X97)
                      | c6_2(X96,X97) ) )
                | ( ndr1_1(X96)
                  & ~ c6_2(X96,a99)
                  & ~ c5_2(X96,a99)
                  & c4_2(X96,a99) ) ) )
          | ! [X98] : 
              ( ndr1_0
             => ( c7_1(X98)
                | ~ c2_1(X98)
                | ! [X99] : 
                    ( ndr1_1(X98)
                   => ( ~ c1_2(X98,X99)
                      | c3_2(X98,X99)
                      | ~ c5_2(X98,X99) ) ) ) )
          | ~ c8_0 )
        & ( ~ c1_0
          | ! [X100] : 
              ( ndr1_0
             => ( ! [X101] : 
                    ( ndr1_1(X100)
                   => ( c6_2(X100,X101)
                      | ~ c3_2(X100,X101)
                      | c2_2(X100,X101) ) )
                | ! [X102] : 
                    ( ndr1_1(X100)
                   => ( c7_2(X100,X102)
                      | ~ c5_2(X100,X102)
                      | ~ c8_2(X100,X102) ) )
                | c7_1(X100) ) )
          | ! [X103] : 
              ( ndr1_0
             => ( c3_1(X103)
                | ~ c1_1(X103)
                | c4_1(X103) ) ) )
        & ( ! [X104] : 
              ( ndr1_0
             => ( ( ndr1_1(X104)
                  & c4_2(X104,a100)
                  & c5_2(X104,a100)
                  & c2_2(X104,a100) )
                | c8_1(X104)
                | ! [X105] : 
                    ( ndr1_1(X104)
                   => ( c7_2(X104,X105)
                      | ~ c2_2(X104,X105)
                      | c4_2(X104,X105) ) ) ) )
          | ~ c5_0
          | ! [X106] : 
              ( ndr1_0
             => ( ! [X107] : 
                    ( ndr1_1(X106)
                   => ( c2_2(X106,X107)
                      | c4_2(X106,X107) ) )
                | ( ndr1_1(X106)
                  & c7_2(X106,a101)
                  & ~ c2_2(X106,a101)
                  & c4_2(X106,a101) )
                | ( ndr1_1(X106)
                  & c7_2(X106,a102)
                  & ~ c1_2(X106,a102)
                  & ~ c4_2(X106,a102) ) ) ) )
        & ( ~ c1_0
          | ~ c2_0 )
        & ( ( ndr1_0
            & ! [X108] : 
                ( ndr1_1(a103)
               => ( c5_2(a103,X108)
                  | c4_2(a103,X108)
                  | c1_2(a103,X108) ) )
            & c3_1(a103)
            & ! [X109] : 
                ( ndr1_1(a103)
               => ( ~ c4_2(a103,X109)
                  | c8_2(a103,X109)
                  | ~ c5_2(a103,X109) ) ) )
          | c5_0
          | ~ c8_0 )
        & ( ~ c7_0
          | c8_0
          | ! [X110] : 
              ( ndr1_0
             => ( ~ c8_1(X110)
                | c6_1(X110)
                | c4_1(X110) ) ) )
        & ( ! [X111] : 
              ( ndr1_0
             => ( ! [X112] : 
                    ( ndr1_1(X111)
                   => ( c6_2(X111,X112)
                      | c5_2(X111,X112)
                      | ~ c2_2(X111,X112) ) )
                | ~ c2_1(X111)
                | ~ c6_1(X111) ) )
          | c5_0
          | ( ndr1_0
            & ~ c5_1(a104)
            & ! [X113] : 
                ( ndr1_1(a104)
               => ( ~ c1_2(a104,X113)
                  | c8_2(a104,X113) ) ) ) )
        & ( ~ c2_0
          | ( ndr1_0
            & ndr1_1(a105)
            & c1_2(a105,a106)
            & c7_2(a105,a106)
            & ~ c6_2(a105,a106)
            & ndr1_1(a105)
            & ~ c3_2(a105,a107)
            & c4_2(a105,a107)
            & ~ c8_2(a105,a107)
            & c3_1(a105) ) )
        & ( ! [X114] : 
              ( ndr1_0
             => ( c7_1(X114)
                | ! [X115] : 
                    ( ndr1_1(X114)
                   => ( ~ c5_2(X114,X115)
                      | ~ c8_2(X114,X115) ) )
                | ( ndr1_1(X114)
                  & c6_2(X114,a108)
                  & ~ c5_2(X114,a108)
                  & ~ c7_2(X114,a108) ) ) )
          | c2_0 )
        & ( ! [X116] : 
              ( ndr1_0
             => ( c7_1(X116)
                | ( ndr1_1(X116)
                  & c7_2(X116,a109)
                  & c1_2(X116,a109)
                  & ~ c4_2(X116,a109) )
                | c6_1(X116) ) )
          | ~ c2_0
          | ( ndr1_0
            & ndr1_1(a110)
            & c4_2(a110,a111)
            & ~ c5_2(a110,a111)
            & c1_1(a110)
            & ndr1_1(a110)
            & ~ c7_2(a110,a112)
            & c5_2(a110,a112)
            & ~ c4_2(a110,a112) ) )
        & ( ( ndr1_0
            & ~ c8_1(a113)
            & ~ c4_1(a113)
            & ! [X117] : 
                ( ndr1_1(a113)
               => ( ~ c4_2(a113,X117)
                  | c8_2(a113,X117)
                  | c7_2(a113,X117) ) ) )
          | ! [X118] : 
              ( ndr1_0
             => ( ( ndr1_1(X118)
                  & c5_2(X118,a114)
                  & c1_2(X118,a114)
                  & c8_2(X118,a114) )
                | c3_1(X118)
                | ~ c7_1(X118) ) )
          | ~ c1_0 )
        & ( ~ c2_0
          | ! [X119] : 
              ( ndr1_0
             => ( ! [X120] : 
                    ( ndr1_1(X119)
                   => ( c7_2(X119,X120)
                      | c2_2(X119,X120)
                      | ~ c1_2(X119,X120) ) )
                | c6_1(X119)
                | ~ c4_1(X119) ) )
          | ! [X121] : 
              ( ndr1_0
             => ( c1_1(X121)
                | ! [X122] : 
                    ( ndr1_1(X121)
                   => ( c5_2(X121,X122)
                      | ~ c6_2(X121,X122)
                      | ~ c7_2(X121,X122) ) ) ) ) )
        & ( ~ c7_0
          | ! [X123] : 
              ( ndr1_0
             => ( ( ndr1_1(X123)
                  & ~ c3_2(X123,a115)
                  & ~ c7_2(X123,a115)
                  & ~ c8_2(X123,a115) )
                | ~ c8_1(X123) ) )
          | c2_0 )
        & ( ! [X124] : 
              ( ndr1_0
             => ( c4_1(X124)
                | c8_1(X124)
                | ( ndr1_1(X124)
                  & c2_2(X124,a116)
                  & c1_2(X124,a116)
                  & ~ c5_2(X124,a116) ) ) )
          | ! [X125] : 
              ( ndr1_0
             => ( c7_1(X125)
                | c4_1(X125)
                | ! [X126] : 
                    ( ndr1_1(X125)
                   => ( ~ c4_2(X125,X126)
                      | c6_2(X125,X126)
                      | c1_2(X125,X126) ) ) ) ) )
        & ( ~ c1_0
          | ! [X127] : 
              ( ndr1_0
             => ( ~ c8_1(X127)
                | ~ c7_1(X127) ) )
          | c7_0 )
        & ( ( ndr1_0
            & ~ c2_1(a117)
            & c8_1(a117) )
          | c3_0 )
        & ( ( ndr1_0
            & ! [X128] : 
                ( ndr1_1(a118)
               => ( c8_2(a118,X128)
                  | c1_2(a118,X128)
                  | ~ c6_2(a118,X128) ) )
            & ndr1_1(a118)
            & ~ c8_2(a118,a119)
            & c2_2(a118,a119)
            & c7_2(a118,a119)
            & ! [X129] : 
                ( ndr1_1(a118)
               => ( c2_2(a118,X129)
                  | c5_2(a118,X129)
                  | ~ c4_2(a118,X129) ) ) )
          | ~ c2_0
          | ~ c7_0 )
        & ( ( ndr1_0
            & ! [X130] : 
                ( ndr1_1(a120)
               => ( ~ c8_2(a120,X130)
                  | c1_2(a120,X130)
                  | ~ c6_2(a120,X130) ) )
            & ~ c5_1(a120)
            & ! [X131] : 
                ( ndr1_1(a120)
               => ( ~ c5_2(a120,X131)
                  | ~ c1_2(a120,X131)
                  | ~ c7_2(a120,X131) ) ) )
          | ( ndr1_0
            & ! [X132] : 
                ( ndr1_1(a121)
               => ( c8_2(a121,X132)
                  | ~ c7_2(a121,X132)
                  | c5_2(a121,X132) ) )
            & c5_1(a121)
            & c3_1(a121) ) )
        & ( ( ndr1_0
            & ndr1_1(a122)
            & c5_2(a122,a123)
            & ~ c1_2(a122,a123)
            & ~ c3_2(a122,a123)
            & c8_1(a122)
            & ~ c1_1(a122) )
          | c2_0 )
        & ( ( ndr1_0
            & c4_1(a124)
            & ndr1_1(a124)
            & ~ c5_2(a124,a125)
            & ~ c8_2(a124,a125)
            & c6_2(a124,a125)
            & ndr1_1(a124)
            & c8_2(a124,a126)
            & c6_2(a124,a126) )
          | ~ c3_0
          | ! [X133] : 
              ( ndr1_0
             => ( c7_1(X133)
                | ~ c6_1(X133)
                | ! [X134] : 
                    ( ndr1_1(X133)
                   => ( c6_2(X133,X134)
                      | c8_2(X133,X134)
                      | ~ c2_2(X133,X134) ) ) ) ) )
        & ( ! [X135] : 
              ( ndr1_0
             => ( ! [X136] : 
                    ( ndr1_1(X135)
                   => ( c4_2(X135,X136)
                      | ~ c8_2(X135,X136)
                      | c3_2(X135,X136) ) )
                | ~ c4_1(X135)
                | ! [X137] : 
                    ( ndr1_1(X135)
                   => ( ~ c7_2(X135,X137)
                      | c8_2(X135,X137)
                      | c6_2(X135,X137) ) ) ) )
          | ( ndr1_0
            & c8_1(a127)
            & c3_1(a127)
            & ~ c5_1(a127) )
          | ~ c7_0 )
        & ( ~ c1_0
          | ! [X138] : 
              ( ndr1_0
             => ( ( ndr1_1(X138)
                  & ~ c7_2(X138,a128)
                  & ~ c8_2(X138,a128)
                  & ~ c4_2(X138,a128) )
                | ~ c1_1(X138) ) )
          | ( ndr1_0
            & ndr1_1(a129)
            & ~ c6_2(a129,a130)
            & ~ c8_2(a129,a130)
            & c3_2(a129,a130)
            & ndr1_1(a129)
            & c1_2(a129,a131)
            & ~ c7_2(a129,a131)
            & c8_2(a129,a131)
            & ~ c6_1(a129) ) )
        & ( ! [X139] : 
              ( ndr1_0
             => ( c8_1(X139)
                | c2_1(X139)
                | ~ c7_1(X139) ) )
          | ! [X140] : 
              ( ndr1_0
             => ( ~ c1_1(X140)
                | ~ c8_1(X140)
                | ! [X141] : 
                    ( ndr1_1(X140)
                   => ( c7_2(X140,X141)
                      | ~ c2_2(X140,X141)
                      | c3_2(X140,X141) ) ) ) )
          | ! [X142] : 
              ( ndr1_0
             => ( ~ c4_1(X142)
                | ~ c6_1(X142)
                | ~ c5_1(X142) ) ) )
        & ( ! [X143] : 
              ( ndr1_0
             => ( ( ndr1_1(X143)
                  & ~ c3_2(X143,a132)
                  & ~ c8_2(X143,a132)
                  & ~ c6_2(X143,a132) )
                | ~ c1_1(X143)
                | ! [X144] : 
                    ( ndr1_1(X143)
                   => ( ~ c4_2(X143,X144)
                      | c7_2(X143,X144)
                      | ~ c8_2(X143,X144) ) ) ) )
          | ~ c8_0 )
        & ( ! [X145] : 
              ( ndr1_0
             => ( ~ c6_1(X145)
                | ~ c2_1(X145)
                | ( ndr1_1(X145)
                  & ~ c1_2(X145,a133)
                  & ~ c5_2(X145,a133)
                  & c3_2(X145,a133) ) ) )
          | ~ c2_0 )
        & ( ( ndr1_0
            & ~ c1_1(a134)
            & ndr1_1(a134)
            & ~ c4_2(a134,a135)
            & c8_2(a134,a135)
            & c3_2(a134,a135)
            & ! [X146] : 
                ( ndr1_1(a134)
               => ( c1_2(a134,X146)
                  | c8_2(a134,X146) ) ) )
          | ! [X147] : 
              ( ndr1_0
             => ( c8_1(X147)
                | ~ c2_1(X147) ) ) )
        & ndr1_0
        & c5_1(a136)
        & ! [X148] : 
            ( ndr1_1(a136)
           => ( c8_2(a136,X148)
              | c3_2(a136,X148)
              | c7_2(a136,X148) ) )
        & ndr1_1(a136)
        & c1_2(a136,a137)
        & c3_2(a136,a137)
        & c5_2(a136,a137)
        & ( ~ c3_0
          | ( ndr1_0
            & ! [X149] : 
                ( ndr1_1(a138)
               => ( c3_2(a138,X149)
                  | ~ c4_2(a138,X149)
                  | ~ c6_2(a138,X149) ) )
            & ndr1_1(a138)
            & c6_2(a138,a139)
            & ~ c5_2(a138,a139)
            & ~ c1_2(a138,a139)
            & ndr1_1(a138)
            & c5_2(a138,a140)
            & ~ c4_2(a138,a140) )
          | c7_0 )
        & ( ( ndr1_0
            & ~ c4_1(a141)
            & c8_1(a141)
            & ndr1_1(a141)
            & ~ c3_2(a141,a142)
            & c8_2(a141,a142) )
          | ( ndr1_0
            & c5_1(a143)
            & ndr1_1(a143)
            & ~ c1_2(a143,a144)
            & ~ c5_2(a143,a144)
            & c2_2(a143,a144) )
          | ~ c2_0 )
        & ( c7_0
          | ! [X150] : 
              ( ndr1_0
             => ( ndr1_1(X150)
                & ~ c4_2(X150,a145)
                & c6_2(X150,a145)
                & c5_2(X150,a145) ) ) )
        & ( ~ c2_0
          | ~ c1_0
          | ! [X151] : 
              ( ndr1_0
             => ( ( ndr1_1(X151)
                  & ~ c2_2(X151,a146) )
                | c2_1(X151)
                | ! [X152] : 
                    ( ndr1_1(X151)
                   => ( c5_2(X151,X152)
                      | ~ c1_2(X151,X152)
                      | c8_2(X151,X152) ) ) ) ) )
        & ~ c2_0
        & ( c7_0
          | ! [X153] : 
              ( ndr1_0
             => ( ~ c3_1(X153)
                | c1_1(X153)
                | ! [X154] : 
                    ( ndr1_1(X153)
                   => ( c2_2(X153,X154)
                      | ~ c8_2(X153,X154)
                      | c6_2(X153,X154) ) ) ) ) )
        & ~ c3_0 ) )).

%--------------------------------------------------------------------------
