%--------------------------------------------------------------------------
% File     : SYN545+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=8, R=1, L=120, K=3, D=2, P=0, Index=072
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-8-1-120-3-2-072.dfg [Wei97]

% Status   : CounterSatisfiable
% Rating   : 0.25 v3.1.0, 0.67 v2.7.0, 0.83 v2.6.0, 0.50 v2.5.0, 0.33 v2.4.0, 0.67 v2.2.1, 0.00 v2.1.0
%
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
%
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       : 1181 (   0 equality)
%            Maximal formula depth :  107 ( 107 average)
%            Number of connectives : 1614 ( 434 ~  ; 485  |; 522  &)
%                                         (   0 <=>; 173 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :  177 ( 160 propositional; 0-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :  173 (   0 singleton; 173 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%--------------------------------------------------------------------------
fof(co1,conjecture,
    ( ~ ( ( ~ c3_0
          | ! [U] : 
              ( ndr1_0
             => ( ! [V] : 
                    ( ndr1_1(U)
                   => ( c3_2(U,V)
                      | c4_2(U,V) ) )
                | ( ndr1_1(U)
                  & ~ c7_2(U,a147)
                  & ~ c3_2(U,a147)
                  & c5_2(U,a147) )
                | ! [W] : 
                    ( ndr1_1(U)
                   => ( ~ c5_2(U,W)
                      | c4_2(U,W)
                      | ~ c7_2(U,W) ) ) ) ) )
        & ( ~ c8_0
          | ~ c1_0
          | ~ c2_0 )
        & ( ( ndr1_0
            & ndr1_1(a148)
            & ~ c1_2(a148,a149)
            & c7_2(a148,a149)
            & c2_2(a148,a149)
            & ! [X] : 
                ( ndr1_1(a148)
               => ( c5_2(a148,X)
                  | ~ c8_2(a148,X)
                  | ~ c4_2(a148,X) ) )
            & ndr1_1(a148)
            & ~ c1_2(a148,a150)
            & ~ c8_2(a148,a150) )
          | ~ c8_0
          | c7_0 )
        & ( ! [Y] : 
              ( ndr1_0
             => ( ~ c6_1(Y)
                | ! [Z] : 
                    ( ndr1_1(Y)
                   => ( ~ c5_2(Y,Z)
                      | c3_2(Y,Z)
                      | c4_2(Y,Z) ) )
                | ~ c8_1(Y) ) )
          | c3_0
          | c8_0 )
        & ( ~ c4_0
          | ! [X1] : 
              ( ndr1_0
             => ( c8_1(X1)
                | c6_1(X1)
                | c2_1(X1) ) )
          | ! [X2] : 
              ( ndr1_0
             => ( ~ c3_1(X2)
                | ( ndr1_1(X2)
                  & ~ c8_2(X2,a151)
                  & ~ c1_2(X2,a151)
                  & ~ c5_2(X2,a151) )
                | c5_1(X2) ) ) )
        & ( ~ c7_0
          | ! [X3] : 
              ( ndr1_0
             => ( ! [X4] : 
                    ( ndr1_1(X3)
                   => ( ~ c3_2(X3,X4)
                      | c7_2(X3,X4)
                      | ~ c5_2(X3,X4) ) )
                | ( ndr1_1(X3)
                  & ~ c4_2(X3,a152)
                  & ~ c3_2(X3,a152)
                  & c7_2(X3,a152) )
                | ~ c5_1(X3) ) ) )
        & ( ~ c4_0
          | ( ndr1_0
            & ~ c4_1(a153)
            & ~ c1_1(a153)
            & ! [X5] : 
                ( ndr1_1(a153)
               => ( c8_2(a153,X5)
                  | ~ c3_2(a153,X5)
                  | c5_2(a153,X5) ) ) )
          | ~ c1_0 )
        & ( ( ndr1_0
            & c4_1(a154)
            & c6_1(a154)
            & c2_1(a154) )
          | ( ndr1_0
            & ! [X6] : 
                ( ndr1_1(a155)
               => ( ~ c4_2(a155,X6)
                  | ~ c2_2(a155,X6)
                  | c3_2(a155,X6) ) )
            & ~ c7_1(a155)
            & ndr1_1(a155)
            & c2_2(a155,a156)
            & c7_2(a155,a156)
            & ~ c5_2(a155,a156) )
          | ( ndr1_0
            & ~ c4_1(a157)
            & c5_1(a157) ) )
        & ( ( ndr1_0
            & ! [X7] : 
                ( ndr1_1(a158)
               => ( c4_2(a158,X7)
                  | ~ c1_2(a158,X7)
                  | c8_2(a158,X7) ) )
            & ~ c4_1(a158)
            & c1_1(a158) )
          | c1_0
          | c5_0 )
        & ( ! [X8] : 
              ( ndr1_0
             => ( ~ c3_1(X8)
                | ! [X9] : 
                    ( ndr1_1(X8)
                   => ( ~ c4_2(X8,X9)
                      | c8_2(X8,X9)
                      | c2_2(X8,X9) ) )
                | c2_1(X8) ) )
          | ( ndr1_0
            & ! [X10] : 
                ( ndr1_1(a159)
               => ( c2_2(a159,X10)
                  | ~ c4_2(a159,X10)
                  | ~ c8_2(a159,X10) ) )
            & ~ c4_1(a159)
            & c2_1(a159) )
          | ~ c2_0 )
        & ( ( ndr1_0
            & ! [X11] : 
                ( ndr1_1(a160)
               => ~ c6_2(a160,X11) )
            & ~ c6_1(a160)
            & ndr1_1(a160)
            & c8_2(a160,a161)
            & ~ c5_2(a160,a161)
            & c2_2(a160,a161) )
          | ! [X12] : 
              ( ndr1_0
             => ( c8_1(X12)
                | ~ c1_1(X12) ) )
          | ! [X13] : 
              ( ndr1_0
             => ( c4_1(X13)
                | ! [X14] : 
                    ( ndr1_1(X13)
                   => ( ~ c7_2(X13,X14)
                      | c2_2(X13,X14) ) )
                | c5_1(X13) ) ) )
        & ( ( ndr1_0
            & ~ c8_1(a162)
            & ! [X15] : 
                ( ndr1_1(a162)
               => ( c8_2(a162,X15)
                  | c3_2(a162,X15)
                  | ~ c7_2(a162,X15) ) )
            & ndr1_1(a162)
            & ~ c5_2(a162,a163)
            & ~ c6_2(a162,a163)
            & c8_2(a162,a163) )
          | c5_0 )
        & ( ~ c7_0
          | ( ndr1_0
            & ndr1_1(a164)
            & ~ c2_2(a164,a165)
            & ~ c5_2(a164,a165)
            & c3_2(a164,a165)
            & ! [X16] : 
                ( ndr1_1(a164)
               => ( ~ c8_2(a164,X16)
                  | ~ c2_2(a164,X16) ) )
            & c6_1(a164) )
          | ( ndr1_0
            & c1_1(a166)
            & ndr1_1(a166)
            & c7_2(a166,a167)
            & ~ c8_2(a166,a167)
            & ~ c3_2(a166,a167)
            & c7_1(a166) ) )
        & ( c3_0
          | ( ndr1_0
            & ~ c2_1(a168)
            & ! [X17] : 
                ( ndr1_1(a168)
               => ( c2_2(a168,X17)
                  | ~ c5_2(a168,X17)
                  | ~ c8_2(a168,X17) ) )
            & ~ c6_1(a168) )
          | ~ c4_0 )
        & ( ~ c4_0
          | ~ c2_0
          | ! [X18] : 
              ( ndr1_0
             => ( ! [X19] : 
                    ( ndr1_1(X18)
                   => ( ~ c4_2(X18,X19)
                      | ~ c1_2(X18,X19) ) )
                | ~ c8_1(X18)
                | ! [X20] : 
                    ( ndr1_1(X18)
                   => ( ~ c6_2(X18,X20)
                      | ~ c3_2(X18,X20)
                      | ~ c1_2(X18,X20) ) ) ) ) )
        & ( ! [X21] : 
              ( ndr1_0
             => ( ! [X22] : 
                    ( ndr1_1(X21)
                   => ( c2_2(X21,X22)
                      | c1_2(X21,X22)
                      | ~ c7_2(X21,X22) ) )
                | c4_1(X21) ) )
          | ! [X23] : 
              ( ndr1_0
             => ( ! [X24] : 
                    ( ndr1_1(X23)
                   => ( ~ c5_2(X23,X24)
                      | c3_2(X23,X24)
                      | c2_2(X23,X24) ) )
                | c1_1(X23)
                | ~ c7_1(X23) ) ) )
        & ( ~ c4_0
          | ~ c7_0
          | ( ndr1_0
            & c2_1(a169)
            & c8_1(a169)
            & ~ c6_1(a169) ) )
        & ( c8_0
          | c7_0
          | ~ c3_0 )
        & ( c7_0
          | ( ndr1_0
            & ~ c5_1(a170)
            & ~ c7_1(a170)
            & ! [X25] : 
                ( ndr1_1(a170)
               => ( c3_2(a170,X25)
                  | ~ c2_2(a170,X25)
                  | ~ c4_2(a170,X25) ) ) )
          | c6_0 )
        & ( ~ c1_0
          | ! [X26] : 
              ( ndr1_0
             => ( c3_1(X26)
                | ~ c4_1(X26)
                | c5_1(X26) ) )
          | ( ndr1_0
            & ndr1_1(a171)
            & ~ c1_2(a171,a172)
            & c5_2(a171,a172)
            & c2_2(a171,a172)
            & c4_1(a171)
            & ~ c2_1(a171) ) )
        & ( ( ndr1_0
            & ! [X27] : 
                ( ndr1_1(a173)
               => ( ~ c8_2(a173,X27)
                  | ~ c1_2(a173,X27) ) )
            & ! [X28] : 
                ( ndr1_1(a173)
               => ( ~ c7_2(a173,X28)
                  | c8_2(a173,X28)
                  | c5_2(a173,X28) ) )
            & ~ c6_1(a173) )
          | ( ndr1_0
            & ~ c3_1(a174)
            & c5_1(a174)
            & ! [X29] : 
                ( ndr1_1(a174)
               => ( ~ c8_2(a174,X29)
                  | ~ c5_2(a174,X29)
                  | c6_2(a174,X29) ) ) )
          | ! [X30] : 
              ( ndr1_0
             => ( ( ndr1_1(X30)
                  & c5_2(X30,a175)
                  & ~ c2_2(X30,a175)
                  & c3_2(X30,a175) )
                | ! [X31] : 
                    ( ndr1_1(X30)
                   => ( c4_2(X30,X31)
                      | c3_2(X30,X31)
                      | c6_2(X30,X31) ) )
                | c3_1(X30) ) ) )
        & ( ( ndr1_0
            & ! [X32] : 
                ( ndr1_1(a176)
               => ( ~ c2_2(a176,X32)
                  | c7_2(a176,X32)
                  | ~ c3_2(a176,X32) ) )
            & ndr1_1(a176)
            & ~ c2_2(a176,a177)
            & ~ c6_2(a176,a177)
            & ~ c3_2(a176,a177)
            & ndr1_1(a176)
            & c8_2(a176,a178)
            & ~ c4_2(a176,a178)
            & ~ c7_2(a176,a178) )
          | c7_0
          | ( ndr1_0
            & ! [X33] : 
                ( ndr1_1(a179)
               => ( c2_2(a179,X33)
                  | ~ c3_2(a179,X33) ) )
            & ~ c2_1(a179)
            & ndr1_1(a179)
            & c2_2(a179,a180)
            & c3_2(a179,a180)
            & c6_2(a179,a180) ) )
        & ( ! [X34] : 
              ( ndr1_0
             => ( ! [X35] : 
                    ( ndr1_1(X34)
                   => ( ~ c8_2(X34,X35)
                      | ~ c1_2(X34,X35)
                      | ~ c3_2(X34,X35) ) )
                | ~ c3_1(X34)
                | ! [X36] : 
                    ( ndr1_1(X34)
                   => ( ~ c5_2(X34,X36)
                      | ~ c6_2(X34,X36) ) ) ) )
          | c5_0
          | ( ndr1_0
            & ! [X37] : 
                ( ndr1_1(a181)
               => ( ~ c2_2(a181,X37)
                  | ~ c6_2(a181,X37)
                  | ~ c4_2(a181,X37) ) )
            & c2_1(a181)
            & ! [X38] : 
                ( ndr1_1(a181)
               => ( ~ c2_2(a181,X38)
                  | c4_2(a181,X38)
                  | ~ c3_2(a181,X38) ) ) ) )
        & ( ! [X39] : 
              ( ndr1_0
             => ( c8_1(X39)
                | ! [X40] : 
                    ( ndr1_1(X39)
                   => ( c7_2(X39,X40)
                      | ~ c1_2(X39,X40)
                      | c5_2(X39,X40) ) )
                | c1_1(X39) ) )
          | c6_0
          | ~ c1_0 )
        & ( c3_0
          | c6_0
          | c8_0 )
        & ( c1_0
          | ( ndr1_0
            & ! [X41] : 
                ( ndr1_1(a182)
               => ( ~ c2_2(a182,X41)
                  | c1_2(a182,X41)
                  | ~ c4_2(a182,X41) ) )
            & ! [X42] : 
                ( ndr1_1(a182)
               => ( ~ c7_2(a182,X42)
                  | ~ c6_2(a182,X42)
                  | ~ c1_2(a182,X42) ) )
            & ~ c1_1(a182) ) )
        & ( c7_0
          | ~ c1_0
          | ( ndr1_0
            & c1_1(a183)
            & ndr1_1(a183)
            & c7_2(a183,a184)
            & c5_2(a183,a184)
            & c3_2(a183,a184)
            & c4_1(a183) ) )
        & ( c4_0
          | c2_0
          | ! [X43] : 
              ( ndr1_0
             => ( ! [X44] : 
                    ( ndr1_1(X43)
                   => ( c5_2(X43,X44)
                      | ~ c6_2(X43,X44)
                      | ~ c8_2(X43,X44) ) )
                | c6_1(X43)
                | ! [X45] : 
                    ( ndr1_1(X43)
                   => ( ~ c5_2(X43,X45)
                      | ~ c7_2(X43,X45) ) ) ) ) )
        & ( c1_0
          | ~ c3_0
          | ! [X46] : 
              ( ndr1_0
             => ( c3_1(X46)
                | ( ndr1_1(X46)
                  & c7_2(X46,a185)
                  & c4_2(X46,a185)
                  & c5_2(X46,a185) )
                | ~ c5_1(X46) ) ) )
        & ( c1_0
          | ! [X47] : 
              ( ndr1_0
             => ( ~ c1_1(X47)
                | ! [X48] : 
                    ( ndr1_1(X47)
                   => ( c7_2(X47,X48)
                      | ~ c8_2(X47,X48)
                      | c6_2(X47,X48) ) )
                | ! [X49] : 
                    ( ndr1_1(X47)
                   => ( c4_2(X47,X49)
                      | c5_2(X47,X49)
                      | ~ c1_2(X47,X49) ) ) ) )
          | c5_0 )
        & ( c2_0
          | ~ c3_0
          | ( ndr1_0
            & ! [X50] : 
                ( ndr1_1(a186)
               => ( ~ c8_2(a186,X50)
                  | c5_2(a186,X50)
                  | ~ c1_2(a186,X50) ) )
            & ~ c7_1(a186)
            & c1_1(a186) ) )
        & ( ( ndr1_0
            & c4_1(a187)
            & ndr1_1(a187)
            & ~ c4_2(a187,a188)
            & ~ c6_2(a187,a188)
            & ~ c3_1(a187) )
          | ( ndr1_0
            & ~ c6_1(a189)
            & ! [X51] : 
                ( ndr1_1(a189)
               => ( ~ c2_2(a189,X51)
                  | c7_2(a189,X51)
                  | ~ c8_2(a189,X51) ) )
            & ! [X52] : 
                ( ndr1_1(a189)
               => ( ~ c8_2(a189,X52)
                  | ~ c1_2(a189,X52)
                  | c6_2(a189,X52) ) ) )
          | ! [X53] : 
              ( ndr1_0
             => ( ! [X54] : 
                    ( ndr1_1(X53)
                   => ( c2_2(X53,X54)
                      | c4_2(X53,X54)
                      | c1_2(X53,X54) ) )
                | ! [X55] : 
                    ( ndr1_1(X53)
                   => ( ~ c3_2(X53,X55)
                      | c6_2(X53,X55)
                      | ~ c8_2(X53,X55) ) )
                | ~ c7_1(X53) ) ) )
        & ( ! [X56] : 
              ( ndr1_0
             => ( c3_1(X56)
                | ( ndr1_1(X56)
                  & ~ c3_2(X56,a190)
                  & c1_2(X56,a190)
                  & ~ c6_2(X56,a190) )
                | c2_1(X56) ) )
          | ! [X57] : 
              ( ndr1_0
             => ( c8_1(X57)
                | ! [X58] : 
                    ( ndr1_1(X57)
                   => ( c6_2(X57,X58)
                      | c7_2(X57,X58) ) )
                | ! [X59] : 
                    ( ndr1_1(X57)
                   => ( c3_2(X57,X59)
                      | ~ c2_2(X57,X59)
                      | ~ c6_2(X57,X59) ) ) ) )
          | ( ndr1_0
            & ~ c5_1(a191)
            & c1_1(a191)
            & ndr1_1(a191)
            & c7_2(a191,a192)
            & ~ c8_2(a191,a192) ) )
        & ( c1_0
          | ! [X60] : 
              ( ndr1_0
             => ( ! [X61] : 
                    ( ndr1_1(X60)
                   => ( ~ c6_2(X60,X61)
                      | ~ c7_2(X60,X61)
                      | c2_2(X60,X61) ) )
                | ~ c3_1(X60)
                | c5_1(X60) ) )
          | ( ndr1_0
            & ~ c1_1(a193)
            & ~ c7_1(a193)
            & ndr1_1(a193)
            & ~ c4_2(a193,a194)
            & ~ c6_2(a193,a194)
            & c7_2(a193,a194) ) )
        & ( ! [X62] : 
              ( ndr1_0
             => ( ! [X63] : 
                    ( ndr1_1(X62)
                   => ( ~ c1_2(X62,X63)
                      | ~ c6_2(X62,X63)
                      | ~ c3_2(X62,X63) ) )
                | ~ c4_1(X62)
                | ~ c2_1(X62) ) )
          | ( ndr1_0
            & ! [X64] : 
                ( ndr1_1(a195)
               => ( c4_2(a195,X64)
                  | ~ c6_2(a195,X64)
                  | c5_2(a195,X64) ) ) )
          | ( ndr1_0
            & c2_1(a196)
            & ~ c4_1(a196)
            & ! [X65] : 
                ( ndr1_1(a196)
               => ( ~ c1_2(a196,X65)
                  | ~ c4_2(a196,X65) ) ) ) )
        & ( c5_0
          | ( ndr1_0
            & ~ c8_1(a197)
            & ~ c6_1(a197)
            & ndr1_1(a197)
            & c4_2(a197,a198)
            & ~ c6_2(a197,a198)
            & ~ c1_2(a197,a198) ) )
        & ( ~ c5_0
          | c7_0
          | c8_0 )
        & ( ( ndr1_0
            & c1_1(a199) )
          | ( ndr1_0
            & ~ c1_1(a200)
            & c6_1(a200) )
          | ! [X66] : 
              ( ndr1_0
             => ( ! [X67] : 
                    ( ndr1_1(X66)
                   => ( c2_2(X66,X67)
                      | c7_2(X66,X67) ) )
                | ( ndr1_1(X66)
                  & c1_2(X66,a201)
                  & c8_2(X66,a201)
                  & c7_2(X66,a201) )
                | ~ c2_1(X66) ) ) )
        & ( ! [X68] : 
              ( ndr1_0
             => ( ! [X69] : 
                    ( ndr1_1(X68)
                   => ( c2_2(X68,X69)
                      | c4_2(X68,X69)
                      | ~ c5_2(X68,X69) ) )
                | ~ c2_1(X68) ) )
          | ( ndr1_0
            & c7_1(a202)
            & ! [X70] : 
                ( ndr1_1(a202)
               => ( ~ c6_2(a202,X70)
                  | c3_2(a202,X70)
                  | c8_2(a202,X70) ) )
            & ! [X71] : 
                ( ndr1_1(a202)
               => ( c6_2(a202,X71)
                  | c7_2(a202,X71)
                  | ~ c3_2(a202,X71) ) ) )
          | ( ndr1_0
            & c4_1(a203)
            & c8_1(a203)
            & ! [X72] : 
                ( ndr1_1(a203)
               => ( ~ c1_2(a203,X72)
                  | ~ c5_2(a203,X72)
                  | ~ c8_2(a203,X72) ) ) ) )
        & ( c1_0
          | ( ndr1_0
            & ! [X73] : 
                ( ndr1_1(a204)
               => ( c8_2(a204,X73)
                  | c2_2(a204,X73) ) )
            & c8_1(a204)
            & ndr1_1(a204)
            & c7_2(a204,a205)
            & c3_2(a204,a205) ) )
        & ( c3_0
          | ! [X74] : 
              ( ndr1_0
             => ( ! [X75] : 
                    ( ndr1_1(X74)
                   => ( ~ c5_2(X74,X75)
                      | ~ c4_2(X74,X75) ) )
                | ( ndr1_1(X74)
                  & c3_2(X74,a206)
                  & c6_2(X74,a206)
                  & c4_2(X74,a206) )
                | ( ndr1_1(X74)
                  & ~ c3_2(X74,a207)
                  & c8_2(X74,a207)
                  & ~ c5_2(X74,a207) ) ) )
          | c4_0 )
        & ( ( ndr1_0
            & c8_1(a208)
            & ndr1_1(a208)
            & ~ c6_2(a208,a209)
            & ~ c2_2(a208,a209)
            & ~ c3_2(a208,a209)
            & ~ c1_1(a208) )
          | ! [X76] : 
              ( ndr1_0
             => ( ! [X77] : 
                    ( ndr1_1(X76)
                   => ( c7_2(X76,X77)
                      | c4_2(X76,X77)
                      | ~ c6_2(X76,X77) ) )
                | ! [X78] : 
                    ( ndr1_1(X76)
                   => ( ~ c1_2(X76,X78)
                      | c4_2(X76,X78)
                      | ~ c7_2(X76,X78) ) )
                | c7_1(X76) ) )
          | ~ c8_0 )
        & ( ~ c6_0
          | ! [X79] : 
              ( ndr1_0
             => ( ~ c4_1(X79)
                | ( ndr1_1(X79)
                  & ~ c5_2(X79,a210)
                  & c4_2(X79,a210)
                  & c8_2(X79,a210) ) ) ) )
        & ( ~ c5_0
          | ~ c7_0
          | c3_0 )
        & ( c5_0
          | ~ c4_0
          | ~ c1_0 )
        & ( ( ndr1_0
            & c4_1(a211)
            & ~ c3_1(a211)
            & ndr1_1(a211)
            & ~ c1_2(a211,a212)
            & ~ c8_2(a211,a212) )
          | ! [X80] : 
              ( ndr1_0
             => ( c5_1(X80)
                | ~ c4_1(X80)
                | ( ndr1_1(X80)
                  & c2_2(X80,a213)
                  & ~ c3_2(X80,a213)
                  & c7_2(X80,a213) ) ) )
          | c7_0 )
        & ( ~ c2_0
          | ! [X81] : 
              ( ndr1_0
             => ( ~ c1_1(X81)
                | ( ndr1_1(X81)
                  & ~ c2_2(X81,a214)
                  & c7_2(X81,a214)
                  & c4_2(X81,a214) )
                | c2_1(X81) ) )
          | c4_0 )
        & ( ! [X82] : 
              ( ndr1_0
             => ( c2_1(X82)
                | ~ c5_1(X82)
                | ! [X83] : 
                    ( ndr1_1(X82)
                   => ( ~ c2_2(X82,X83)
                      | c3_2(X82,X83)
                      | c8_2(X82,X83) ) ) ) )
          | c8_0 )
        & ( ( ndr1_0
            & c7_1(a215)
            & ndr1_1(a215)
            & ~ c1_2(a215,a216)
            & ~ c4_2(a215,a216)
            & c3_2(a215,a216)
            & ~ c2_1(a215) )
          | c7_0
          | c8_0 )
        & ( ( ndr1_0
            & c8_1(a217)
            & c7_1(a217)
            & ~ c1_1(a217) )
          | ~ c4_0 )
        & ( ~ c5_0
          | ! [X84] : 
              ( ndr1_0
             => ( c5_1(X84)
                | ! [X85] : 
                    ( ndr1_1(X84)
                   => ( c7_2(X84,X85)
                      | ~ c5_2(X84,X85)
                      | ~ c6_2(X84,X85) ) )
                | ~ c7_1(X84) ) )
          | c4_0 )
        & ( ( ndr1_0
            & ~ c5_1(a218)
            & ndr1_1(a218)
            & ~ c5_2(a218,a219)
            & c4_2(a218,a219)
            & ~ c1_1(a218) )
          | ! [X86] : 
              ( ndr1_0
             => ( ! [X87] : 
                    ( ndr1_1(X86)
                   => ( ~ c1_2(X86,X87)
                      | ~ c7_2(X86,X87)
                      | c8_2(X86,X87) ) )
                | ( ndr1_1(X86)
                  & ~ c3_2(X86,a220)
                  & ~ c5_2(X86,a220)
                  & c1_2(X86,a220) )
                | ! [X88] : 
                    ( ndr1_1(X86)
                   => ( c6_2(X86,X88)
                      | ~ c8_2(X86,X88)
                      | ~ c4_2(X86,X88) ) ) ) )
          | c4_0 )
        & ( ( ndr1_0
            & ! [X89] : 
                ( ndr1_1(a221)
               => ( ~ c7_2(a221,X89)
                  | c2_2(a221,X89)
                  | c4_2(a221,X89) ) )
            & ~ c1_1(a221)
            & ~ c2_1(a221) )
          | ~ c2_0
          | ( ndr1_0
            & ! [X90] : 
                ( ndr1_1(a222)
               => ( c5_2(a222,X90)
                  | c2_2(a222,X90) ) )
            & ~ c1_1(a222)
            & ~ c6_1(a222) ) )
        & ( c1_0
          | c2_0
          | c5_0 )
        & ( c1_0
          | ( ndr1_0
            & ~ c4_1(a223)
            & ! [X91] : 
                ( ndr1_1(a223)
               => ( c6_2(a223,X91)
                  | ~ c4_2(a223,X91) ) )
            & ! [X92] : 
                ( ndr1_1(a223)
               => ( c7_2(a223,X92)
                  | c2_2(a223,X92) ) ) )
          | ! [X93] : 
              ( ndr1_0
             => ( ( ndr1_1(X93)
                  & c3_2(X93,a224)
                  & ~ c5_2(X93,a224) )
                | c1_1(X93)
                | ( ndr1_1(X93)
                  & c8_2(X93,a225)
                  & c2_2(X93,a225)
                  & ~ c4_2(X93,a225) ) ) ) )
        & ( ~ c1_0
          | ( ndr1_0
            & ! [X94] : 
                ( ndr1_1(a226)
               => ( ~ c6_2(a226,X94)
                  | c7_2(a226,X94)
                  | ~ c5_2(a226,X94) ) )
            & ! [X95] : 
                ( ndr1_1(a226)
               => ( c5_2(a226,X95)
                  | ~ c8_2(a226,X95)
                  | c6_2(a226,X95) ) )
            & ~ c5_1(a226) )
          | ( ndr1_0
            & ! [X96] : 
                ( ndr1_1(a227)
               => ( c5_2(a227,X96)
                  | c2_2(a227,X96)
                  | ~ c4_2(a227,X96) ) )
            & ! [X97] : 
                ( ndr1_1(a227)
               => ( c2_2(a227,X97)
                  | ~ c7_2(a227,X97)
                  | ~ c4_2(a227,X97) ) )
            & ndr1_1(a227)
            & c7_2(a227,a228)
            & c6_2(a227,a228) ) )
        & ( ( ndr1_0
            & c1_1(a229)
            & ! [X98] : 
                ( ndr1_1(a229)
               => ( c2_2(a229,X98)
                  | c1_2(a229,X98)
                  | c8_2(a229,X98) ) )
            & ! [X99] : 
                ( ndr1_1(a229)
               => ( ~ c4_2(a229,X99)
                  | c3_2(a229,X99)
                  | c1_2(a229,X99) ) ) )
          | ~ c2_0 )
        & ( c8_0
          | ! [X100] : 
              ( ndr1_0
             => ( ! [X101] : 
                    ( ndr1_1(X100)
                   => ( c7_2(X100,X101)
                      | ~ c4_2(X100,X101)
                      | ~ c6_2(X100,X101) ) )
                | ( ndr1_1(X100)
                  & ~ c8_2(X100,a230)
                  & c7_2(X100,a230)
                  & ~ c6_2(X100,a230) )
                | c7_1(X100) ) )
          | ~ c1_0 )
        & ( ( ndr1_0
            & ~ c8_1(a231)
            & ndr1_1(a231)
            & c4_2(a231,a232)
            & c6_2(a231,a232)
            & c5_2(a231,a232)
            & c4_1(a231) )
          | ! [X102] : 
              ( ndr1_0
             => ( ! [X103] : 
                    ( ndr1_1(X102)
                   => ( ~ c6_2(X102,X103)
                      | c3_2(X102,X103) ) )
                | ~ c3_1(X102)
                | ~ c5_1(X102) ) )
          | ! [X104] : 
              ( ndr1_0
             => ( ~ c1_1(X104)
                | c2_1(X104)
                | ! [X105] : 
                    ( ndr1_1(X104)
                   => ( ~ c7_2(X104,X105)
                      | c1_2(X104,X105)
                      | ~ c4_2(X104,X105) ) ) ) ) )
        & ( ( ndr1_0
            & ndr1_1(a233)
            & c6_2(a233,a234)
            & c3_2(a233,a234)
            & c1_2(a233,a234)
            & ! [X106] : 
                ( ndr1_1(a233)
               => ( ~ c4_2(a233,X106)
                  | ~ c3_2(a233,X106) ) )
            & ! [X107] : 
                ( ndr1_1(a233)
               => ( c6_2(a233,X107)
                  | ~ c8_2(a233,X107) ) ) )
          | ( ndr1_0
            & ~ c1_1(a235)
            & ~ c3_1(a235)
            & ! [X108] : 
                ( ndr1_1(a235)
               => ( ~ c4_2(a235,X108)
                  | c8_2(a235,X108) ) ) ) )
        & ( ~ c7_0
          | ! [X109] : 
              ( ndr1_0
             => ( ~ c6_1(X109)
                | ( ndr1_1(X109)
                  & c5_2(X109,a236)
                  & ~ c6_2(X109,a236)
                  & ~ c4_2(X109,a236) )
                | ~ c8_1(X109) ) )
          | c1_0 )
        & ( ( ndr1_0
            & c1_1(a237)
            & ndr1_1(a237)
            & c2_2(a237,a238)
            & ~ c7_2(a237,a238)
            & ~ c1_2(a237,a238)
            & ~ c7_1(a237) )
          | ! [X110] : 
              ( ndr1_0
             => ( ( ndr1_1(X110)
                  & ~ c5_2(X110,a239)
                  & c7_2(X110,a239)
                  & c8_2(X110,a239) )
                | ! [X111] : 
                    ( ndr1_1(X110)
                   => ( ~ c5_2(X110,X111)
                      | c8_2(X110,X111)
                      | c7_2(X110,X111) ) )
                | ( ndr1_1(X110)
                  & ~ c1_2(X110,a240)
                  & c7_2(X110,a240) ) ) )
          | c6_0 )
        & ( ( ndr1_0
            & ndr1_1(a241)
            & ~ c1_2(a241,a242)
            & ~ c7_2(a241,a242)
            & ~ c4_2(a241,a242)
            & ! [X112] : 
                ( ndr1_1(a241)
               => ( c6_2(a241,X112)
                  | ~ c4_2(a241,X112)
                  | c5_2(a241,X112) ) )
            & ndr1_1(a241)
            & ~ c6_2(a241,a243)
            & c4_2(a241,a243)
            & c5_2(a241,a243) )
          | ( ndr1_0
            & ndr1_1(a244)
            & c4_2(a244,a245)
            & ~ c2_2(a244,a245)
            & ndr1_1(a244)
            & ~ c3_2(a244,a246)
            & c8_2(a244,a246)
            & ~ c7_2(a244,a246) )
          | ~ c6_0 )
        & ( ! [X113] : 
              ( ndr1_0
             => ( c2_1(X113)
                | c3_1(X113)
                | ! [X114] : 
                    ( ndr1_1(X113)
                   => ( ~ c3_2(X113,X114)
                      | ~ c6_2(X113,X114)
                      | ~ c8_2(X113,X114) ) ) ) )
          | ~ c4_0
          | ! [X115] : 
              ( ndr1_0
             => ( c4_1(X115)
                | c3_1(X115)
                | ! [X116] : 
                    ( ndr1_1(X115)
                   => ( c5_2(X115,X116)
                      | c3_2(X115,X116)
                      | ~ c8_2(X115,X116) ) ) ) ) )
        & ( c4_0
          | ~ c5_0
          | c3_0 )
        & ( c8_0
          | ! [X117] : 
              ( ndr1_0
             => ( ( ndr1_1(X117)
                  & ~ c5_2(X117,a247)
                  & ~ c1_2(X117,a247) )
                | c1_1(X117)
                | ~ c7_1(X117) ) )
          | ! [X118] : 
              ( ndr1_0
             => ( c2_1(X118)
                | ~ c7_1(X118)
                | ~ c5_1(X118) ) ) )
        & ( ~ c2_0
          | ! [X119] : 
              ( ndr1_0
             => ( ( ndr1_1(X119)
                  & c3_2(X119,a248)
                  & ~ c6_2(X119,a248)
                  & c7_2(X119,a248) )
                | ~ c8_1(X119)
                | c2_1(X119) ) )
          | ( ndr1_0
            & ~ c1_1(a249)
            & ~ c7_1(a249)
            & ! [X120] : 
                ( ndr1_1(a249)
               => ( ~ c4_2(a249,X120)
                  | ~ c2_2(a249,X120)
                  | c5_2(a249,X120) ) ) ) )
        & ( ! [X121] : 
              ( ndr1_0
             => ( c3_1(X121)
                | ( ndr1_1(X121)
                  & c7_2(X121,a250)
                  & c8_2(X121,a250)
                  & c5_2(X121,a250) )
                | ( ndr1_1(X121)
                  & ~ c8_2(X121,a251)
                  & ~ c2_2(X121,a251)
                  & ~ c3_2(X121,a251) ) ) )
          | c8_0
          | ~ c6_0 )
        & ( ( ndr1_0
            & c1_1(a252)
            & ~ c7_1(a252)
            & ! [X122] : 
                ( ndr1_1(a252)
               => ( c5_2(a252,X122)
                  | ~ c2_2(a252,X122)
                  | ~ c4_2(a252,X122) ) ) )
          | ~ c4_0
          | ! [X123] : 
              ( ndr1_0
             => ~ c8_1(X123) ) )
        & ( ! [X124] : 
              ( ndr1_0
             => ( c1_1(X124)
                | ~ c3_1(X124) ) )
          | ( ndr1_0
            & ~ c8_1(a253)
            & ~ c7_1(a253)
            & ! [X125] : 
                ( ndr1_1(a253)
               => ( c2_2(a253,X125)
                  | c3_2(a253,X125)
                  | c5_2(a253,X125) ) ) )
          | ! [X126] : 
              ( ndr1_0
             => ( ( ndr1_1(X126)
                  & ~ c5_2(X126,a254)
                  & ~ c6_2(X126,a254)
                  & c1_2(X126,a254) )
                | c5_1(X126)
                | ( ndr1_1(X126)
                  & ~ c3_2(X126,a255)
                  & ~ c8_2(X126,a255)
                  & c7_2(X126,a255) ) ) ) )
        & ( c4_0
          | ~ c6_0
          | ! [X127] : 
              ( ndr1_0
             => ( c8_1(X127)
                | ~ c6_1(X127)
                | ! [X128] : 
                    ( ndr1_1(X127)
                   => ( ~ c1_2(X127,X128)
                      | c4_2(X127,X128)
                      | c6_2(X127,X128) ) ) ) ) )
        & ( ~ c1_0
          | c4_0
          | ~ c6_0 )
        & ( ( ndr1_0
            & c1_1(a256)
            & ! [X129] : 
                ( ndr1_1(a256)
               => ( ~ c3_2(a256,X129)
                  | ~ c5_2(a256,X129)
                  | ~ c4_2(a256,X129) ) )
            & ndr1_1(a256)
            & ~ c1_2(a256,a257)
            & ~ c7_2(a256,a257) )
          | ! [X130] : 
              ( ndr1_0
             => ( ~ c5_1(X130)
                | c1_1(X130)
                | c3_1(X130) ) )
          | c6_0 )
        & ( c7_0
          | ! [X131] : 
              ( ndr1_0
             => ( ~ c7_1(X131)
                | ( ndr1_1(X131)
                  & ~ c7_2(X131,a258)
                  & c3_2(X131,a258)
                  & c4_2(X131,a258) )
                | c1_1(X131) ) )
          | ( ndr1_0
            & ! [X132] : 
                ( ndr1_1(a259)
               => ( c1_2(a259,X132)
                  | c8_2(a259,X132)
                  | c3_2(a259,X132) ) )
            & c6_1(a259)
            & ~ c7_1(a259) ) )
        & ( c6_0
          | c5_0
          | ! [X133] : 
              ( ndr1_0
             => ( ! [X134] : 
                    ( ndr1_1(X133)
                   => ( ~ c7_2(X133,X134)
                      | c8_2(X133,X134)
                      | c1_2(X133,X134) ) )
                | ( ndr1_1(X133)
                  & ~ c7_2(X133,a260)
                  & ~ c2_2(X133,a260)
                  & ~ c1_2(X133,a260) )
                | ( ndr1_1(X133)
                  & ~ c6_2(X133,a261)
                  & c2_2(X133,a261)
                  & c1_2(X133,a261) ) ) ) )
        & ( c1_0
          | c4_0 )
        & ( ! [X135] : 
              ( ndr1_0
             => ( c2_1(X135)
                | ( ndr1_1(X135)
                  & c4_2(X135,a262)
                  & ~ c2_2(X135,a262)
                  & c1_2(X135,a262) )
                | ! [X136] : 
                    ( ndr1_1(X135)
                   => ( c5_2(X135,X136)
                      | c1_2(X135,X136)
                      | ~ c3_2(X135,X136) ) ) ) )
          | ~ c6_0
          | c1_0 )
        & ( ! [X137] : 
              ( ndr1_0
             => ( c3_1(X137)
                | ! [X138] : 
                    ( ndr1_1(X137)
                   => ( ~ c3_2(X137,X138)
                      | ~ c2_2(X137,X138)
                      | ~ c4_2(X137,X138) ) ) ) )
          | c1_0
          | ~ c7_0 )
        & ( ~ c7_0
          | ! [X139] : 
              ( ndr1_0
             => ( ! [X140] : 
                    ( ndr1_1(X139)
                   => ( ~ c8_2(X139,X140)
                      | c3_2(X139,X140)
                      | ~ c5_2(X139,X140) ) )
                | ~ c7_1(X139)
                | c2_1(X139) ) )
          | c5_0 )
        & ( ~ c5_0
          | ! [X141] : 
              ( ndr1_0
             => ( ( ndr1_1(X141)
                  & ~ c5_2(X141,a263)
                  & ~ c7_2(X141,a263)
                  & c4_2(X141,a263) )
                | ~ c6_1(X141)
                | ( ndr1_1(X141)
                  & c5_2(X141,a264)
                  & c1_2(X141,a264)
                  & c7_2(X141,a264) ) ) )
          | ~ c3_0 )
        & ( ! [X142] : 
              ( ndr1_0
             => ( c4_1(X142)
                | ~ c5_1(X142) ) )
          | c2_0
          | ! [X143] : 
              ( ndr1_0
             => ( ~ c2_1(X143)
                | ~ c7_1(X143) ) ) )
        & ( c7_0
          | ( ndr1_0
            & ~ c6_1(a265)
            & ! [X144] : 
                ( ndr1_1(a265)
               => ( ~ c4_2(a265,X144)
                  | c7_2(a265,X144) ) )
            & ndr1_1(a265)
            & c4_2(a265,a266)
            & c2_2(a265,a266)
            & ~ c8_2(a265,a266) )
          | ( ndr1_0
            & ! [X145] : 
                ( ndr1_1(a267)
               => ( c6_2(a267,X145)
                  | c3_2(a267,X145) ) ) ) )
        & ( c4_0
          | ( ndr1_0
            & ndr1_1(a268)
            & ~ c6_2(a268,a269)
            & c2_2(a268,a269)
            & c5_2(a268,a269)
            & ndr1_1(a268)
            & c6_2(a268,a270)
            & c8_2(a268,a270)
            & c1_2(a268,a270)
            & ~ c7_1(a268) )
          | c5_0 )
        & ( ( ndr1_0
            & ndr1_1(a271)
            & ~ c7_2(a271,a272)
            & c2_2(a271,a272)
            & c1_2(a271,a272)
            & c5_1(a271)
            & ndr1_1(a271)
            & ~ c3_2(a271,a273)
            & ~ c4_2(a271,a273)
            & c1_2(a271,a273) )
          | ( ndr1_0
            & ! [X146] : 
                ( ndr1_1(a274)
               => ( ~ c7_2(a274,X146)
                  | ~ c4_2(a274,X146)
                  | c5_2(a274,X146) ) )
            & ! [X147] : 
                ( ndr1_1(a274)
               => ( ~ c1_2(a274,X147)
                  | ~ c5_2(a274,X147)
                  | ~ c6_2(a274,X147) ) )
            & ~ c7_1(a274) )
          | ! [X148] : 
              ( ndr1_0
             => ( ~ c1_1(X148)
                | ! [X149] : 
                    ( ndr1_1(X148)
                   => ( c5_2(X148,X149)
                      | ~ c6_2(X148,X149) ) ) ) ) )
        & ( ( ndr1_0
            & ! [X150] : 
                ( ndr1_1(a275)
               => ( ~ c7_2(a275,X150)
                  | c5_2(a275,X150)
                  | ~ c2_2(a275,X150) ) )
            & ndr1_1(a275)
            & c2_2(a275,a276)
            & c7_2(a275,a276)
            & ~ c3_2(a275,a276)
            & ~ c1_1(a275) )
          | c4_0
          | ( ndr1_0
            & ! [X151] : 
                ( ndr1_1(a277)
               => ( ~ c8_2(a277,X151)
                  | c6_2(a277,X151)
                  | c4_2(a277,X151) ) )
            & ! [X152] : 
                ( ndr1_1(a277)
               => ( ~ c1_2(a277,X152)
                  | ~ c2_2(a277,X152)
                  | c7_2(a277,X152) ) )
            & ! [X153] : 
                ( ndr1_1(a277)
               => ( ~ c6_2(a277,X153)
                  | ~ c7_2(a277,X153) ) ) ) )
        & ( ! [X154] : 
              ( ndr1_0
             => ( c1_1(X154)
                | ( ndr1_1(X154)
                  & ~ c3_2(X154,a278)
                  & c5_2(X154,a278) )
                | ~ c4_1(X154) ) )
          | c8_0
          | c7_0 )
        & ( ( ndr1_0
            & ndr1_1(a279)
            & ~ c4_2(a279,a280)
            & ~ c1_2(a279,a280)
            & c8_2(a279,a280)
            & ! [X155] : 
                ( ndr1_1(a279)
               => ( c6_2(a279,X155)
                  | ~ c5_2(a279,X155)
                  | c3_2(a279,X155) ) )
            & c2_1(a279) )
          | ~ c1_0
          | ( ndr1_0
            & ndr1_1(a281)
            & c7_2(a281,a282)
            & c8_2(a281,a282)
            & c2_2(a281,a282)
            & ndr1_1(a281)
            & c8_2(a281,a283)
            & ~ c1_2(a281,a283) ) )
        & ( ! [X156] : 
              ( ndr1_0
             => ( ( ndr1_1(X156)
                  & c3_2(X156,a284)
                  & c1_2(X156,a284)
                  & c5_2(X156,a284) )
                | ( ndr1_1(X156)
                  & ~ c8_2(X156,a285)
                  & c3_2(X156,a285)
                  & ~ c7_2(X156,a285) )
                | ( ndr1_1(X156)
                  & ~ c7_2(X156,a286)
                  & ~ c1_2(X156,a286) ) ) )
          | c6_0
          | ! [X157] : 
              ( ndr1_0
             => ( c1_1(X157)
                | ~ c8_1(X157)
                | c6_1(X157) ) ) )
        & ( ~ c3_0
          | c4_0
          | ! [X158] : 
              ( ndr1_0
             => ( ~ c8_1(X158)
                | ! [X159] : 
                    ( ndr1_1(X158)
                   => ( c8_2(X158,X159)
                      | ~ c7_2(X158,X159)
                      | ~ c6_2(X158,X159) ) )
                | c4_1(X158) ) ) )
        & ( c2_0
          | c8_0
          | ~ c4_0 )
        & ( c3_0
          | c5_0
          | ( ndr1_0
            & c3_1(a287)
            & ~ c5_1(a287)
            & c8_1(a287) ) )
        & ( ! [X160] : 
              ( ndr1_0
             => ( c6_1(X160)
                | ! [X161] : 
                    ( ndr1_1(X160)
                   => ( ~ c3_2(X160,X161)
                      | c7_2(X160,X161)
                      | c5_2(X160,X161) ) )
                | ~ c2_1(X160) ) )
          | ( ndr1_0
            & ~ c8_1(a288)
            & ndr1_1(a288)
            & ~ c8_2(a288,a289)
            & ~ c4_2(a288,a289)
            & ~ c5_2(a288,a289)
            & ! [X162] : 
                ( ndr1_1(a288)
               => ( ~ c8_2(a288,X162)
                  | ~ c5_2(a288,X162)
                  | ~ c4_2(a288,X162) ) ) )
          | ! [X163] : 
              ( ndr1_0
             => ( ( ndr1_1(X163)
                  & ~ c8_2(X163,a290)
                  & ~ c3_2(X163,a290)
                  & ~ c1_2(X163,a290) )
                | ! [X164] : 
                    ( ndr1_1(X163)
                   => ( c7_2(X163,X164)
                      | c5_2(X163,X164)
                      | c3_2(X163,X164) ) )
                | ( ndr1_1(X163)
                  & c7_2(X163,a291)
                  & c2_2(X163,a291)
                  & ~ c4_2(X163,a291) ) ) ) )
        & ( ~ c2_0
          | ! [X165] : 
              ( ndr1_0
             => ( ( ndr1_1(X165)
                  & ~ c5_2(X165,a292)
                  & c7_2(X165,a292)
                  & c8_2(X165,a292) )
                | ( ndr1_1(X165)
                  & c4_2(X165,a293)
                  & ~ c3_2(X165,a293)
                  & ~ c1_2(X165,a293) )
                | c4_1(X165) ) )
          | ~ c4_0 )
        & ( c1_0
          | ( ndr1_0
            & c2_1(a294)
            & ~ c3_1(a294)
            & ndr1_1(a294)
            & ~ c2_2(a294,a295)
            & ~ c8_2(a294,a295)
            & c7_2(a294,a295) ) )
        & ( c6_0
          | ( ndr1_0
            & ! [X166] : 
                ( ndr1_1(a296)
               => ( c2_2(a296,X166)
                  | ~ c6_2(a296,X166)
                  | ~ c7_2(a296,X166) ) )
            & ndr1_1(a296)
            & ~ c7_2(a296,a297)
            & ~ c2_2(a296,a297)
            & c5_2(a296,a297)
            & ~ c7_1(a296) )
          | ! [X167] : 
              ( ndr1_0
             => ( c3_1(X167)
                | c4_1(X167)
                | c5_1(X167) ) ) ) ) )).

%--------------------------------------------------------------------------
