%--------------------------------------------------------------------------
% File     : SYN547+1 : ILTP v1.1.2
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=8, R=1, L=120, K=3, D=2, P=0, Index=078
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-8-1-120-3-2-078.dfg [Wei97]

% Status   : CounterSatisfiable
% Rating   : 0.50 v3.1.0, 0.67 v2.7.0, 0.83 v2.6.0, 0.50 v2.5.0, 0.33 v2.4.0, 0.67 v2.2.1, 0.00 v2.1.0
%
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.1.0
%
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       : 1137 (   0 equality)
%            Maximal formula depth :  108 ( 108 average)
%            Number of connectives : 1537 ( 401 ~  ; 463  |; 513  &)
%                                         (   0 <=>; 160 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   26 (   9 propositional; 0-2 arity)
%            Number of functors    :  148 ( 148 constant; 0-0 arity)
%            Number of variables   :  160 (   0 singleton; 160 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%--------------------------------------------------------------------------
fof(co1,conjecture,
    ( ~ ( ( ! [U] : 
              ( ndr1_0
             => ( ~ c4_1(U)
                | ( ndr1_1(U)
                  & ~ c4_2(U,a456)
                  & c6_2(U,a456)
                  & c8_2(U,a456) )
                | ( ndr1_1(U)
                  & ~ c6_2(U,a457)
                  & c7_2(U,a457)
                  & c5_2(U,a457) ) ) )
          | c2_0
          | ~ c7_0 )
        & ( c2_0
          | ~ c1_0 )
        & ( ~ c8_0
          | ( ndr1_0
            & ~ c6_1(a458)
            & c4_1(a458)
            & ~ c2_1(a458) )
          | ! [V] : 
              ( ndr1_0
             => ( ~ c6_1(V)
                | c2_1(V)
                | ! [W] : 
                    ( ndr1_1(V)
                   => ( c3_2(V,W)
                      | ~ c7_2(V,W) ) ) ) ) )
        & ( ! [X] : 
              ( ndr1_0
             => ( ~ c3_1(X)
                | ~ c8_1(X)
                | ( ndr1_1(X)
                  & ~ c6_2(X,a459)
                  & ~ c3_2(X,a459)
                  & c7_2(X,a459) ) ) )
          | ~ c6_0
          | ! [Y] : 
              ( ndr1_0
             => ( ndr1_1(Y)
                & c8_2(Y,a460)
                & c5_2(Y,a460)
                & c1_2(Y,a460) ) ) )
        & ( ! [Z] : 
              ( ndr1_0
             => ( ! [X1] : 
                    ( ndr1_1(Z)
                   => ( ~ c7_2(Z,X1)
                      | ~ c8_2(Z,X1) ) )
                | ( ndr1_1(Z)
                  & ~ c7_2(Z,a461)
                  & ~ c2_2(Z,a461)
                  & ~ c4_2(Z,a461) )
                | ~ c8_1(Z) ) )
          | c2_0
          | c6_0 )
        & ( ! [X2] : 
              ( ndr1_0
             => ( ! [X3] : 
                    ( ndr1_1(X2)
                   => ( ~ c2_2(X2,X3)
                      | c6_2(X2,X3)
                      | ~ c4_2(X2,X3) ) )
                | ( ndr1_1(X2)
                  & ~ c1_2(X2,a462)
                  & ~ c7_2(X2,a462)
                  & ~ c6_2(X2,a462) )
                | ~ c8_1(X2) ) )
          | ~ c5_0
          | ( ndr1_0
            & c7_1(a463)
            & ~ c1_1(a463)
            & ~ c5_1(a463) ) )
        & ( c6_0
          | ( ndr1_0
            & c2_1(a464)
            & c8_1(a464)
            & ~ c7_1(a464) )
          | ~ c1_0 )
        & ( ! [X4] : 
              ( ndr1_0
             => ( ! [X5] : 
                    ( ndr1_1(X4)
                   => ( ~ c6_2(X4,X5)
                      | c5_2(X4,X5)
                      | ~ c7_2(X4,X5) ) )
                | ( ndr1_1(X4)
                  & ~ c1_2(X4,a465)
                  & ~ c5_2(X4,a465)
                  & ~ c7_2(X4,a465) )
                | c8_1(X4) ) )
          | ! [X6] : 
              ( ndr1_0
             => ( c8_1(X6)
                | ! [X7] : 
                    ( ndr1_1(X6)
                   => ( ~ c6_2(X6,X7)
                      | c1_2(X6,X7)
                      | ~ c2_2(X6,X7) ) )
                | ~ c1_1(X6) ) )
          | ! [X8] : 
              ( ndr1_0
             => ( c1_1(X8)
                | c2_1(X8)
                | ! [X9] : 
                    ( ndr1_1(X8)
                   => ( c1_2(X8,X9)
                      | c7_2(X8,X9)
                      | c3_2(X8,X9) ) ) ) ) )
        & ( ( ndr1_0
            & c1_1(a466)
            & ~ c8_1(a466) )
          | ~ c2_0 )
        & ( c8_0
          | ~ c5_0 )
        & ( ! [X10] : 
              ( ndr1_0
             => ( ! [X11] : 
                    ( ndr1_1(X10)
                   => ( c8_2(X10,X11)
                      | ~ c4_2(X10,X11)
                      | ~ c7_2(X10,X11) ) )
                | c8_1(X10)
                | ~ c2_1(X10) ) )
          | ! [X12] : 
              ( ndr1_0
             => ( ( ndr1_1(X12)
                  & c8_2(X12,a467)
                  & c2_2(X12,a467)
                  & c3_2(X12,a467) )
                | ~ c6_1(X12)
                | ~ c8_1(X12) ) ) )
        & ( ~ c4_0
          | ( ndr1_0
            & c6_1(a468)
            & ~ c4_1(a468)
            & ~ c3_1(a468) ) )
        & ( ! [X13] : 
              ( ndr1_0
             => ( ( ndr1_1(X13)
                  & c2_2(X13,a469)
                  & ~ c8_2(X13,a469)
                  & ~ c6_2(X13,a469) )
                | ! [X14] : 
                    ( ndr1_1(X13)
                   => ( c3_2(X13,X14)
                      | ~ c6_2(X13,X14)
                      | ~ c2_2(X13,X14) ) )
                | c8_1(X13) ) )
          | c6_0
          | c2_0 )
        & ( ( ndr1_0
            & ! [X15] : 
                ( ndr1_1(a470)
               => ( ~ c1_2(a470,X15)
                  | c7_2(a470,X15)
                  | ~ c4_2(a470,X15) ) )
            & c7_1(a470)
            & ! [X16] : 
                ( ndr1_1(a470)
               => ( ~ c8_2(a470,X16)
                  | c7_2(a470,X16) ) ) )
          | c8_0
          | ( ndr1_0
            & c3_1(a471)
            & ndr1_1(a471)
            & c7_2(a471,a472)
            & ~ c5_2(a471,a472)
            & ! [X17] : 
                ( ndr1_1(a471)
               => ( c3_2(a471,X17)
                  | c1_2(a471,X17)
                  | c6_2(a471,X17) ) ) ) )
        & c3_0
        & ( ~ c7_0
          | ! [X18] : 
              ( ndr1_0
             => ( ( ndr1_1(X18)
                  & c8_2(X18,a473)
                  & c4_2(X18,a473)
                  & ~ c3_2(X18,a473) )
                | ~ c3_1(X18) ) )
          | ! [X19] : 
              ( ndr1_0
             => ! [X20] : 
                  ( ndr1_1(X19)
                 => ( ~ c8_2(X19,X20)
                    | ~ c4_2(X19,X20)
                    | ~ c1_2(X19,X20) ) ) ) )
        & ( ! [X21] : 
              ( ndr1_0
             => ( ( ndr1_1(X21)
                  & c6_2(X21,a474)
                  & c7_2(X21,a474)
                  & c1_2(X21,a474) )
                | ~ c5_1(X21) ) )
          | ! [X22] : 
              ( ndr1_0
             => ( c6_1(X22)
                | ~ c7_1(X22)
                | ! [X23] : 
                    ( ndr1_1(X22)
                   => ( c1_2(X22,X23)
                      | c4_2(X22,X23)
                      | ~ c6_2(X22,X23) ) ) ) )
          | ! [X24] : 
              ( ndr1_0
             => ( ! [X25] : 
                    ( ndr1_1(X24)
                   => ( c4_2(X24,X25)
                      | ~ c6_2(X24,X25)
                      | ~ c3_2(X24,X25) ) )
                | c8_1(X24)
                | ~ c3_1(X24) ) ) )
        & ( ( ndr1_0
            & ! [X26] : 
                ( ndr1_1(a475)
               => ( ~ c8_2(a475,X26)
                  | c4_2(a475,X26)
                  | c5_2(a475,X26) ) )
            & ndr1_1(a475)
            & c5_2(a475,a476)
            & ~ c3_2(a475,a476)
            & c7_2(a475,a476)
            & ndr1_1(a475)
            & c4_2(a475,a477)
            & c6_2(a475,a477)
            & c7_2(a475,a477) )
          | c7_0
          | ~ c2_0 )
        & ( ! [X27] : 
              ( ndr1_0
             => ( ( ndr1_1(X27)
                  & ~ c4_2(X27,a478)
                  & c7_2(X27,a478)
                  & ~ c5_2(X27,a478) )
                | ~ c3_1(X27)
                | ! [X28] : 
                    ( ndr1_1(X27)
                   => ( ~ c6_2(X27,X28)
                      | ~ c1_2(X27,X28) ) ) ) )
          | c2_0
          | ~ c1_0 )
        & ( ~ c6_0
          | ! [X29] : 
              ( ndr1_0
             => ( ! [X30] : 
                    ( ndr1_1(X29)
                   => ( c3_2(X29,X30)
                      | c1_2(X29,X30)
                      | ~ c8_2(X29,X30) ) )
                | ~ c8_1(X29)
                | ( ndr1_1(X29)
                  & c6_2(X29,a479)
                  & ~ c7_2(X29,a479) ) ) )
          | ! [X31] : 
              ( ndr1_0
             => ( ( ndr1_1(X31)
                  & c3_2(X31,a480)
                  & c4_2(X31,a480)
                  & ~ c6_2(X31,a480) )
                | c3_1(X31)
                | ~ c2_1(X31) ) ) )
        & ( c5_0
          | ! [X32] : 
              ( ndr1_0
             => ( ! [X33] : 
                    ( ndr1_1(X32)
                   => ( c4_2(X32,X33)
                      | ~ c6_2(X32,X33)
                      | ~ c3_2(X32,X33) ) )
                | c8_1(X32)
                | ( ndr1_1(X32)
                  & c2_2(X32,a481)
                  & c8_2(X32,a481) ) ) )
          | ( ndr1_0
            & ndr1_1(a482)
            & c3_2(a482,a483)
            & c2_2(a482,a483)
            & c8_2(a482,a483)
            & ! [X34] : 
                ( ndr1_1(a482)
               => ( c2_2(a482,X34)
                  | ~ c6_2(a482,X34)
                  | ~ c8_2(a482,X34) ) )
            & ndr1_1(a482)
            & c5_2(a482,a484)
            & ~ c6_2(a482,a484)
            & ~ c4_2(a482,a484) ) )
        & ( ! [X35] : 
              ( ndr1_0
             => ( ~ c8_1(X35)
                | ( ndr1_1(X35)
                  & ~ c2_2(X35,a485)
                  & ~ c3_2(X35,a485)
                  & ~ c1_2(X35,a485) )
                | ( ndr1_1(X35)
                  & c6_2(X35,a486)
                  & c1_2(X35,a486)
                  & c5_2(X35,a486) ) ) )
          | ~ c5_0
          | c7_0 )
        & ( ! [X36] : 
              ( ndr1_0
             => ( ~ c2_1(X36)
                | c5_1(X36)
                | ( ndr1_1(X36)
                  & c1_2(X36,a487)
                  & c4_2(X36,a487) ) ) )
          | ( ndr1_0
            & ~ c3_1(a488)
            & c4_1(a488)
            & ! [X37] : 
                ( ndr1_1(a488)
               => ( ~ c6_2(a488,X37)
                  | c2_2(a488,X37)
                  | c5_2(a488,X37) ) ) )
          | c1_0 )
        & ( ! [X38] : 
              ( ndr1_0
             => ( c4_1(X38)
                | ( ndr1_1(X38)
                  & c4_2(X38,a489)
                  & ~ c8_2(X38,a489)
                  & ~ c3_2(X38,a489) )
                | ! [X39] : 
                    ( ndr1_1(X38)
                   => ( c1_2(X38,X39)
                      | c5_2(X38,X39)
                      | ~ c8_2(X38,X39) ) ) ) )
          | c8_0
          | ~ c7_0 )
        & ( c5_0
          | ! [X40] : 
              ( ndr1_0
             => ( ~ c8_1(X40)
                | ~ c7_1(X40)
                | ( ndr1_1(X40)
                  & c4_2(X40,a490)
                  & ~ c6_2(X40,a490)
                  & c7_2(X40,a490) ) ) )
          | c6_0 )
        & ( ( ndr1_0
            & ~ c4_1(a491)
            & ! [X41] : 
                ( ndr1_1(a491)
               => ( c6_2(a491,X41)
                  | c4_2(a491,X41)
                  | c3_2(a491,X41) ) )
            & ~ c5_1(a491) )
          | ! [X42] : 
              ( ndr1_0
             => ( ! [X43] : 
                    ( ndr1_1(X42)
                   => ( c3_2(X42,X43)
                      | ~ c5_2(X42,X43)
                      | ~ c8_2(X42,X43) ) )
                | ( ndr1_1(X42)
                  & c4_2(X42,a492)
                  & ~ c6_2(X42,a492)
                  & ~ c7_2(X42,a492) )
                | ( ndr1_1(X42)
                  & ~ c6_2(X42,a493)
                  & c1_2(X42,a493)
                  & ~ c2_2(X42,a493) ) ) )
          | ( ndr1_0
            & c1_1(a494)
            & ndr1_1(a494)
            & ~ c3_2(a494,a495)
            & c8_2(a494,a495)
            & c4_1(a494) ) )
        & ( c7_0
          | c2_0
          | c8_0 )
        & ( ~ c4_0
          | ~ c6_0
          | ( ndr1_0
            & ! [X44] : 
                ( ndr1_1(a496)
               => ( c3_2(a496,X44)
                  | ~ c8_2(a496,X44)
                  | ~ c2_2(a496,X44) ) )
            & ndr1_1(a496)
            & ~ c4_2(a496,a497)
            & c3_2(a496,a497)
            & c6_2(a496,a497)
            & ~ c2_1(a496) ) )
        & ( c2_0
          | ! [X45] : 
              ( ndr1_0
             => ( ~ c5_1(X45)
                | ! [X46] : 
                    ( ndr1_1(X45)
                   => ( ~ c7_2(X45,X46)
                      | c2_2(X45,X46)
                      | ~ c1_2(X45,X46) ) )
                | ! [X47] : 
                    ( ndr1_1(X45)
                   => ( c1_2(X45,X47)
                      | ~ c5_2(X45,X47)
                      | c2_2(X45,X47) ) ) ) )
          | ! [X48] : 
              ( ndr1_0
             => ( c1_1(X48)
                | c2_1(X48)
                | ~ c4_1(X48) ) ) )
        & ( c1_0
          | c2_0
          | ( ndr1_0
            & ndr1_1(a498)
            & c3_2(a498,a499)
            & c7_2(a498,a499)
            & ~ c8_2(a498,a499)
            & c7_1(a498)
            & ndr1_1(a498)
            & c8_2(a498,a500)
            & c4_2(a498,a500)
            & ~ c7_2(a498,a500) ) )
        & ( ( ndr1_0
            & c5_1(a501)
            & ~ c6_1(a501)
            & ~ c8_1(a501) )
          | c7_0
          | ! [X49] : 
              ( ndr1_0
             => ( ! [X50] : 
                    ( ndr1_1(X49)
                   => ( c7_2(X49,X50)
                      | c6_2(X49,X50)
                      | c1_2(X49,X50) ) )
                | c1_1(X49)
                | ~ c2_1(X49) ) ) )
        & ( ! [X51] : 
              ( ndr1_0
             => ( ( ndr1_1(X51)
                  & ~ c1_2(X51,a502)
                  & ~ c7_2(X51,a502)
                  & ~ c8_2(X51,a502) )
                | ( ndr1_1(X51)
                  & ~ c3_2(X51,a503)
                  & ~ c4_2(X51,a503)
                  & c1_2(X51,a503) )
                | ( ndr1_1(X51)
                  & ~ c5_2(X51,a504)
                  & c8_2(X51,a504)
                  & ~ c3_2(X51,a504) ) ) )
          | ( ndr1_0
            & ~ c2_1(a505)
            & ndr1_1(a505)
            & ~ c8_2(a505,a506)
            & c6_2(a505,a506)
            & ~ c1_2(a505,a506) )
          | ~ c4_0 )
        & ( ! [X52] : 
              ( ndr1_0
             => ( ~ c6_1(X52)
                | ( ndr1_1(X52)
                  & ~ c2_2(X52,a507)
                  & c5_2(X52,a507) ) ) )
          | ! [X53] : 
              ( ndr1_0
             => ( ~ c8_1(X53)
                | ~ c1_1(X53)
                | ~ c5_1(X53) ) )
          | c6_0 )
        & ( ~ c6_0
          | ! [X54] : 
              ( ndr1_0
             => ( ~ c4_1(X54)
                | ! [X55] : 
                    ( ndr1_1(X54)
                   => ( ~ c4_2(X54,X55)
                      | ~ c3_2(X54,X55)
                      | ~ c7_2(X54,X55) ) ) ) )
          | ( ndr1_0
            & ~ c2_1(a508)
            & c1_1(a508) ) )
        & ( ~ c4_0
          | c7_0
          | ( ndr1_0
            & ndr1_1(a509)
            & c4_2(a509,a510)
            & ~ c8_2(a509,a510)
            & ~ c1_2(a509,a510)
            & ndr1_1(a509)
            & ~ c5_2(a509,a511)
            & ~ c6_2(a509,a511)
            & c3_2(a509,a511) ) )
        & ( ~ c5_0
          | ~ c1_0
          | ~ c8_0 )
        & ( ( ndr1_0
            & c6_1(a512)
            & ndr1_1(a512)
            & ~ c1_2(a512,a513)
            & ~ c2_2(a512,a513)
            & c3_2(a512,a513) )
          | ( ndr1_0
            & ! [X56] : 
                ( ndr1_1(a514)
               => ( c6_2(a514,X56)
                  | ~ c4_2(a514,X56)
                  | ~ c8_2(a514,X56) ) )
            & c5_1(a514)
            & ~ c1_1(a514) )
          | ! [X57] : 
              ( ndr1_0
             => ( ( ndr1_1(X57)
                  & ~ c2_2(X57,a515)
                  & c7_2(X57,a515)
                  & ~ c3_2(X57,a515) )
                | ( ndr1_1(X57)
                  & ~ c6_2(X57,a516)
                  & ~ c2_2(X57,a516) )
                | ! [X58] : 
                    ( ndr1_1(X57)
                   => ( c5_2(X57,X58)
                      | ~ c4_2(X57,X58) ) ) ) ) )
        & ( ( ndr1_0
            & c6_1(a517)
            & c4_1(a517)
            & c2_1(a517) )
          | c8_0
          | ( ndr1_0
            & ndr1_1(a518)
            & c7_2(a518,a519)
            & c5_2(a518,a519)
            & ~ c4_2(a518,a519)
            & c5_1(a518) ) )
        & ( ! [X59] : 
              ( ndr1_0
             => ( ~ c1_1(X59)
                | c7_1(X59)
                | ~ c3_1(X59) ) )
          | ~ c5_0 )
        & ( c5_0
          | ( ndr1_0
            & ~ c5_1(a520)
            & ~ c2_1(a520)
            & ndr1_1(a520)
            & ~ c4_2(a520,a521)
            & c2_2(a520,a521)
            & ~ c1_2(a520,a521) )
          | c1_0 )
        & ( ( ndr1_0
            & ndr1_1(a522)
            & ~ c8_2(a522,a523)
            & c4_2(a522,a523)
            & c1_2(a522,a523)
            & ndr1_1(a522)
            & ~ c1_2(a522,a524)
            & c6_2(a522,a524)
            & ~ c8_2(a522,a524)
            & c6_1(a522) )
          | ~ c5_0
          | c6_0 )
        & ( ! [X60] : 
              ( ndr1_0
             => ( c8_1(X60)
                | ~ c4_1(X60)
                | ! [X61] : 
                    ( ndr1_1(X60)
                   => ( c3_2(X60,X61)
                      | ~ c6_2(X60,X61)
                      | ~ c4_2(X60,X61) ) ) ) )
          | ~ c2_0
          | ! [X62] : 
              ( ndr1_0
             => ( ~ c3_1(X62)
                | ( ndr1_1(X62)
                  & c7_2(X62,a525)
                  & ~ c6_2(X62,a525)
                  & ~ c2_2(X62,a525) )
                | c6_1(X62) ) ) )
        & ( ! [X63] : 
              ( ndr1_0
             => ( ( ndr1_1(X63)
                  & c7_2(X63,a526)
                  & ~ c3_2(X63,a526)
                  & c8_2(X63,a526) )
                | ( ndr1_1(X63)
                  & ~ c2_2(X63,a527)
                  & ~ c1_2(X63,a527)
                  & c4_2(X63,a527) )
                | ! [X64] : 
                    ( ndr1_1(X63)
                   => ( ~ c1_2(X63,X64)
                      | c3_2(X63,X64)
                      | c2_2(X63,X64) ) ) ) )
          | ~ c4_0
          | ! [X65] : 
              ( ndr1_0
             => ( ! [X66] : 
                    ( ndr1_1(X65)
                   => ( c3_2(X65,X66)
                      | ~ c7_2(X65,X66)
                      | c8_2(X65,X66) ) )
                | ( ndr1_1(X65)
                  & c6_2(X65,a528)
                  & c2_2(X65,a528)
                  & ~ c5_2(X65,a528) )
                | c2_1(X65) ) ) )
        & ( c2_0
          | ! [X67] : 
              ( ndr1_0
             => ( ~ c8_1(X67)
                | ( ndr1_1(X67)
                  & ~ c8_2(X67,a529)
                  & ~ c1_2(X67,a529)
                  & ~ c5_2(X67,a529) )
                | ! [X68] : 
                    ( ndr1_1(X67)
                   => ( c7_2(X67,X68)
                      | c5_2(X67,X68) ) ) ) )
          | ~ c5_0 )
        & ( ~ c2_0
          | ( ndr1_0
            & ! [X69] : 
                ( ndr1_1(a530)
               => ( ~ c6_2(a530,X69)
                  | c7_2(a530,X69)
                  | ~ c4_2(a530,X69) ) )
            & ! [X70] : 
                ( ndr1_1(a530)
               => ( ~ c6_2(a530,X70)
                  | ~ c8_2(a530,X70)
                  | ~ c3_2(a530,X70) ) )
            & ! [X71] : 
                ( ndr1_1(a530)
               => ( c8_2(a530,X71)
                  | c4_2(a530,X71)
                  | c7_2(a530,X71) ) ) )
          | ! [X72] : 
              ( ndr1_0
             => ( c8_1(X72)
                | ~ c6_1(X72)
                | c1_1(X72) ) ) )
        & ( ( ndr1_0
            & c4_1(a531)
            & ~ c5_1(a531)
            & ~ c6_1(a531) )
          | ! [X73] : 
              ( ndr1_0
             => ( ! [X74] : 
                    ( ndr1_1(X73)
                   => ( c3_2(X73,X74)
                      | ~ c8_2(X73,X74)
                      | ~ c1_2(X73,X74) ) )
                | c5_1(X73)
                | ! [X75] : 
                    ( ndr1_1(X73)
                   => ( c3_2(X73,X75)
                      | c6_2(X73,X75)
                      | ~ c7_2(X73,X75) ) ) ) ) )
        & ( ! [X76] : 
              ( ndr1_0
             => ( c2_1(X76)
                | ! [X77] : 
                    ( ndr1_1(X76)
                   => ( ~ c6_2(X76,X77)
                      | c7_2(X76,X77)
                      | ~ c2_2(X76,X77) ) )
                | c4_1(X76) ) )
          | ( ndr1_0
            & ! [X78] : 
                ( ndr1_1(a532)
               => ( c7_2(a532,X78)
                  | ~ c4_2(a532,X78)
                  | ~ c8_2(a532,X78) ) )
            & c3_1(a532)
            & c1_1(a532) )
          | ( ndr1_0
            & ~ c3_1(a533) ) )
        & ( ( ndr1_0
            & c8_1(a534)
            & ndr1_1(a534)
            & ~ c6_2(a534,a535)
            & c4_2(a534,a535)
            & c8_2(a534,a535)
            & ~ c2_1(a534) )
          | ! [X79] : 
              ( ndr1_0
             => ( ! [X80] : 
                    ( ndr1_1(X79)
                   => ( ~ c1_2(X79,X80)
                      | ~ c3_2(X79,X80)
                      | ~ c6_2(X79,X80) ) )
                | ! [X81] : 
                    ( ndr1_1(X79)
                   => ( c1_2(X79,X81)
                      | c7_2(X79,X81)
                      | ~ c2_2(X79,X81) ) )
                | c6_1(X79) ) )
          | ~ c8_0 )
        & ( c1_0
          | ~ c2_0
          | c8_0 )
        & ( ( ndr1_0
            & ! [X82] : 
                ( ndr1_1(a536)
               => ( c3_2(a536,X82)
                  | c5_2(a536,X82)
                  | ~ c7_2(a536,X82) ) )
            & ~ c7_1(a536)
            & c5_1(a536) )
          | ( ndr1_0
            & ! [X83] : 
                ( ndr1_1(a537)
               => ( ~ c3_2(a537,X83)
                  | ~ c7_2(a537,X83)
                  | ~ c2_2(a537,X83) ) )
            & ~ c5_1(a537)
            & c4_1(a537) )
          | ( ndr1_0
            & ! [X84] : 
                ( ndr1_1(a538)
               => ( ~ c7_2(a538,X84)
                  | c2_2(a538,X84)
                  | c3_2(a538,X84) ) )
            & ! [X85] : 
                ( ndr1_1(a538)
               => ( c8_2(a538,X85)
                  | c7_2(a538,X85)
                  | ~ c1_2(a538,X85) ) )
            & c1_1(a538) ) )
        & ( ~ c7_0
          | ! [X86] : 
              ( ndr1_0
             => ( c1_1(X86)
                | c6_1(X86)
                | c5_1(X86) ) )
          | ( ndr1_0
            & ndr1_1(a539)
            & c8_2(a539,a540)
            & ~ c5_2(a539,a540)
            & c3_2(a539,a540)
            & c6_1(a539)
            & ndr1_1(a539)
            & ~ c2_2(a539,a541)
            & ~ c5_2(a539,a541)
            & c8_2(a539,a541) ) )
        & ( ~ c5_0
          | ~ c7_0
          | ! [X87] : 
              ( ndr1_0
             => ( c5_1(X87)
                | ~ c2_1(X87)
                | c7_1(X87) ) ) )
        & ( ! [X88] : 
              ( ndr1_0
             => ( ~ c8_1(X88)
                | ~ c2_1(X88) ) )
          | ( ndr1_0
            & ! [X89] : 
                ( ndr1_1(a542)
               => ( c7_2(a542,X89)
                  | ~ c4_2(a542,X89) ) )
            & c2_1(a542)
            & ndr1_1(a542)
            & c8_2(a542,a543)
            & ~ c4_2(a542,a543) )
          | ( ndr1_0
            & ! [X90] : 
                ( ndr1_1(a544)
               => ( c1_2(a544,X90)
                  | c4_2(a544,X90) ) )
            & ndr1_1(a544)
            & ~ c7_2(a544,a545)
            & ~ c4_2(a544,a545)
            & ~ c3_2(a544,a545) ) )
        & ( ( ndr1_0
            & ~ c4_1(a546)
            & ! [X91] : 
                ( ndr1_1(a546)
               => ( c8_2(a546,X91)
                  | ~ c1_2(a546,X91)
                  | ~ c4_2(a546,X91) ) )
            & ndr1_1(a546)
            & ~ c2_2(a546,a547)
            & c7_2(a546,a547)
            & ~ c8_2(a546,a547) )
          | ! [X92] : 
              ( ndr1_0
             => ( ! [X93] : 
                    ( ndr1_1(X92)
                   => ( ~ c6_2(X92,X93)
                      | ~ c8_2(X92,X93)
                      | c3_2(X92,X93) ) )
                | ( ndr1_1(X92)
                  & c2_2(X92,a548)
                  & ~ c4_2(X92,a548)
                  & ~ c7_2(X92,a548) )
                | ~ c1_1(X92) ) ) )
        & ( ( ndr1_0
            & ndr1_1(a549)
            & c4_2(a549,a550)
            & ~ c1_2(a549,a550)
            & c6_2(a549,a550)
            & ndr1_1(a549)
            & c2_2(a549,a551)
            & c8_2(a549,a551)
            & c5_2(a549,a551)
            & ~ c2_1(a549) )
          | ~ c4_0
          | ~ c8_0 )
        & ( c7_0
          | ( ndr1_0
            & ! [X94] : 
                ( ndr1_1(a552)
               => ( c6_2(a552,X94)
                  | c8_2(a552,X94)
                  | c2_2(a552,X94) ) )
            & ~ c8_1(a552)
            & c6_1(a552) )
          | ! [X95] : 
              ( ndr1_0
             => ( ~ c4_1(X95)
                | ~ c5_1(X95)
                | ( ndr1_1(X95)
                  & ~ c2_2(X95,a553)
                  & c7_2(X95,a553)
                  & ~ c3_2(X95,a553) ) ) ) )
        & ( ~ c8_0
          | ~ c5_0 )
        & ( ~ c5_0
          | ! [X96] : 
              ( ndr1_0
             => ( ~ c5_1(X96)
                | ( ndr1_1(X96)
                  & ~ c6_2(X96,a554)
                  & ~ c3_2(X96,a554) )
                | ( ndr1_1(X96)
                  & c5_2(X96,a555)
                  & c1_2(X96,a555)
                  & ~ c4_2(X96,a555) ) ) ) )
        & ( c8_0
          | ! [X97] : 
              ( ndr1_0
             => ( ! [X98] : 
                    ( ndr1_1(X97)
                   => ( c2_2(X97,X98)
                      | c7_2(X97,X98) ) )
                | c6_1(X97) ) )
          | ~ c2_0 )
        & ( c5_0
          | ~ c2_0
          | c8_0 )
        & ( ! [X99] : 
              ( ndr1_0
             => ( c7_1(X99)
                | ~ c6_1(X99)
                | ( ndr1_1(X99)
                  & ~ c4_2(X99,a556)
                  & c8_2(X99,a556)
                  & c7_2(X99,a556) ) ) )
          | ~ c7_0
          | c8_0 )
        & ( ! [X100] : 
              ( ndr1_0
             => ( ( ndr1_1(X100)
                  & ~ c6_2(X100,a557)
                  & ~ c2_2(X100,a557)
                  & c1_2(X100,a557) )
                | ! [X101] : 
                    ( ndr1_1(X100)
                   => ( c8_2(X100,X101)
                      | c2_2(X100,X101) ) )
                | c7_1(X100) ) )
          | ! [X102] : 
              ( ndr1_0
             => ( ~ c6_1(X102)
                | ~ c3_1(X102)
                | c5_1(X102) ) )
          | c5_0 )
        & ( ( ndr1_0
            & c1_1(a558)
            & c6_1(a558) )
          | ~ c7_0 )
        & ( c8_0
          | ~ c1_0
          | c7_0 )
        & ( ( ndr1_0
            & c7_1(a559)
            & ndr1_1(a559)
            & c4_2(a559,a560)
            & c7_2(a559,a560)
            & ~ c6_1(a559) )
          | ~ c8_0
          | ! [X103] : 
              ( ndr1_0
             => ( ~ c8_1(X103)
                | ! [X104] : 
                    ( ndr1_1(X103)
                   => ( c7_2(X103,X104)
                      | c2_2(X103,X104)
                      | c8_2(X103,X104) ) )
                | ! [X105] : 
                    ( ndr1_1(X103)
                   => ( c3_2(X103,X105)
                      | ~ c6_2(X103,X105)
                      | ~ c2_2(X103,X105) ) ) ) ) )
        & ( c5_0
          | ~ c1_0 )
        & ( ~ c4_0
          | ( ndr1_0
            & ! [X106] : 
                ( ndr1_1(a561)
               => ( c8_2(a561,X106)
                  | c4_2(a561,X106) ) )
            & ~ c5_1(a561)
            & ~ c2_1(a561) ) )
        & ( ( ndr1_0
            & ndr1_1(a562)
            & ~ c1_2(a562,a563)
            & c8_2(a562,a563)
            & c2_2(a562,a563)
            & ~ c7_1(a562) )
          | ~ c2_0
          | c6_0 )
        & ( ( ndr1_0
            & c7_1(a564)
            & ! [X107] : 
                ( ndr1_1(a564)
               => ( c3_2(a564,X107)
                  | c8_2(a564,X107)
                  | ~ c1_2(a564,X107) ) )
            & c5_1(a564) )
          | ( ndr1_0
            & c6_1(a565)
            & c3_1(a565)
            & c2_1(a565) )
          | ( ndr1_0
            & ndr1_1(a566)
            & ~ c8_2(a566,a567)
            & c6_2(a566,a567)
            & ~ c1_2(a566,a567)
            & c1_1(a566)
            & ! [X108] : 
                ( ndr1_1(a566)
               => ( ~ c2_2(a566,X108)
                  | c5_2(a566,X108)
                  | ~ c1_2(a566,X108) ) ) ) )
        & ( ~ c7_0
          | ( ndr1_0
            & ! [X109] : 
                ( ndr1_1(a568)
               => ( c6_2(a568,X109)
                  | c4_2(a568,X109) ) )
            & ~ c4_1(a568) )
          | ( ndr1_0
            & c4_1(a569)
            & ! [X110] : 
                ( ndr1_1(a569)
               => ( c6_2(a569,X110)
                  | c3_2(a569,X110)
                  | ~ c4_2(a569,X110) ) )
            & c3_1(a569) ) )
        & ( ( ndr1_0
            & c4_1(a570)
            & c5_1(a570)
            & ndr1_1(a570)
            & c2_2(a570,a571)
            & c1_2(a570,a571)
            & c3_2(a570,a571) )
          | c5_0 )
        & ( c1_0
          | c5_0
          | ! [X111] : 
              ( ndr1_0
             => ( ! [X112] : 
                    ( ndr1_1(X111)
                   => ( c2_2(X111,X112)
                      | c5_2(X111,X112) ) )
                | ( ndr1_1(X111)
                  & ~ c6_2(X111,a572)
                  & ~ c5_2(X111,a572)
                  & c2_2(X111,a572) )
                | ~ c4_1(X111) ) ) )
        & ( ( ndr1_0
            & c1_1(a573)
            & c3_1(a573)
            & ! [X113] : 
                ( ndr1_1(a573)
               => ( ~ c6_2(a573,X113)
                  | ~ c2_2(a573,X113)
                  | c5_2(a573,X113) ) ) )
          | ! [X114] : 
              ( ndr1_0
             => ( c8_1(X114)
                | ! [X115] : 
                    ( ndr1_1(X114)
                   => ( c5_2(X114,X115)
                      | c4_2(X114,X115)
                      | ~ c7_2(X114,X115) ) )
                | ! [X116] : 
                    ( ndr1_1(X114)
                   => ( c2_2(X114,X116)
                      | ~ c3_2(X114,X116)
                      | c1_2(X114,X116) ) ) ) )
          | c1_0 )
        & ( ( ndr1_0
            & ndr1_1(a574)
            & ~ c6_2(a574,a575)
            & ~ c1_2(a574,a575)
            & c4_2(a574,a575)
            & ! [X117] : 
                ( ndr1_1(a574)
               => ( ~ c4_2(a574,X117)
                  | ~ c2_2(a574,X117)
                  | ~ c3_2(a574,X117) ) )
            & ~ c3_1(a574) )
          | ~ c2_0
          | ! [X118] : 
              ( ndr1_0
             => ( ~ c6_1(X118)
                | c5_1(X118)
                | ! [X119] : 
                    ( ndr1_1(X118)
                   => ( c8_2(X118,X119)
                      | c7_2(X118,X119)
                      | c6_2(X118,X119) ) ) ) ) )
        & ( ! [X120] : 
              ( ndr1_0
             => ( ! [X121] : 
                    ( ndr1_1(X120)
                   => ( c3_2(X120,X121)
                      | ~ c2_2(X120,X121)
                      | c8_2(X120,X121) ) )
                | ! [X122] : 
                    ( ndr1_1(X120)
                   => ( ~ c1_2(X120,X122)
                      | c5_2(X120,X122)
                      | c3_2(X120,X122) ) )
                | ! [X123] : 
                    ( ndr1_1(X120)
                   => ( c6_2(X120,X123)
                      | c2_2(X120,X123) ) ) ) )
          | ! [X124] : 
              ( ndr1_0
             => ( c7_1(X124)
                | ~ c1_1(X124)
                | ( ndr1_1(X124)
                  & c4_2(X124,a576)
                  & ~ c8_2(X124,a576) ) ) )
          | ( ndr1_0
            & ~ c7_1(a577)
            & ndr1_1(a577)
            & c8_2(a577,a578)
            & c1_2(a577,a578)
            & c6_2(a577,a578)
            & ndr1_1(a577)
            & ~ c6_2(a577,a579)
            & ~ c8_2(a577,a579) ) )
        & ( ! [X125] : 
              ( ndr1_0
             => ( ( ndr1_1(X125)
                  & c7_2(X125,a580)
                  & ~ c5_2(X125,a580)
                  & ~ c2_2(X125,a580) )
                | c4_1(X125)
                | c8_1(X125) ) )
          | c8_0
          | ! [X126] : 
              ( ndr1_0
             => ( c5_1(X126)
                | c6_1(X126)
                | ! [X127] : 
                    ( ndr1_1(X126)
                   => ( c4_2(X126,X127)
                      | c7_2(X126,X127)
                      | c8_2(X126,X127) ) ) ) ) )
        & ( ~ c2_0
          | ( ndr1_0
            & ! [X128] : 
                ( ndr1_1(a581)
               => ( c7_2(a581,X128)
                  | c8_2(a581,X128)
                  | c2_2(a581,X128) ) )
            & ~ c6_1(a581)
            & c8_1(a581) ) )
        & ( ! [X129] : 
              ( ndr1_0
             => ( c3_1(X129)
                | c1_1(X129)
                | ( ndr1_1(X129)
                  & ~ c5_2(X129,a582)
                  & c3_2(X129,a582)
                  & c2_2(X129,a582) ) ) )
          | ~ c4_0
          | ~ c8_0 )
        & ( ~ c7_0
          | ~ c4_0 )
        & ( ! [X130] : 
              ( ndr1_0
             => ( c4_1(X130)
                | ! [X131] : 
                    ( ndr1_1(X130)
                   => ( c7_2(X130,X131)
                      | ~ c2_2(X130,X131)
                      | ~ c6_2(X130,X131) ) )
                | c7_1(X130) ) )
          | ! [X132] : 
              ( ndr1_0
             => ( ( ndr1_1(X132)
                  & c7_2(X132,a583)
                  & ~ c4_2(X132,a583)
                  & c2_2(X132,a583) )
                | c5_1(X132)
                | c7_1(X132) ) ) )
        & ( ( ndr1_0
            & ~ c6_1(a584)
            & ~ c2_1(a584)
            & c3_1(a584) )
          | c8_0 )
        & ( ! [X133] : 
              ( ndr1_0
             => ( ~ c5_1(X133)
                | ~ c6_1(X133) ) )
          | ( ndr1_0
            & ! [X134] : 
                ( ndr1_1(a585)
               => ( ~ c4_2(a585,X134)
                  | c3_2(a585,X134) ) )
            & ~ c8_1(a585)
            & ndr1_1(a585)
            & c2_2(a585,a586)
            & ~ c3_2(a585,a586)
            & c1_2(a585,a586) )
          | ~ c5_0 )
        & ( ( ndr1_0
            & c3_1(a587)
            & ! [X135] : 
                ( ndr1_1(a587)
               => ( ~ c5_2(a587,X135)
                  | ~ c8_2(a587,X135)
                  | c1_2(a587,X135) ) ) )
          | ! [X136] : 
              ( ndr1_0
             => ( ! [X137] : 
                    ( ndr1_1(X136)
                   => ( ~ c2_2(X136,X137)
                      | c5_2(X136,X137) ) )
                | ( ndr1_1(X136)
                  & ~ c1_2(X136,a588)
                  & c5_2(X136,a588) )
                | ( ndr1_1(X136)
                  & c8_2(X136,a589)
                  & ~ c7_2(X136,a589)
                  & ~ c5_2(X136,a589) ) ) )
          | ! [X138] : 
              ( ndr1_0
             => ( ! [X139] : 
                    ( ndr1_1(X138)
                   => ( ~ c4_2(X138,X139)
                      | c8_2(X138,X139)
                      | ~ c2_2(X138,X139) ) )
                | c6_1(X138)
                | ! [X140] : 
                    ( ndr1_1(X138)
                   => ( c2_2(X138,X140)
                      | c6_2(X138,X140)
                      | ~ c8_2(X138,X140) ) ) ) ) )
        & ( ~ c5_0
          | ~ c4_0
          | ~ c6_0 )
        & ( c5_0
          | c6_0
          | ( ndr1_0
            & ~ c3_1(a590)
            & c7_1(a590)
            & ndr1_1(a590)
            & ~ c3_2(a590,a591)
            & ~ c2_2(a590,a591) ) )
        & ( ( ndr1_0
            & ! [X141] : 
                ( ndr1_1(a592)
               => ( c5_2(a592,X141)
                  | c6_2(a592,X141)
                  | ~ c1_2(a592,X141) ) )
            & ~ c6_1(a592)
            & ! [X142] : 
                ( ndr1_1(a592)
               => ( c3_2(a592,X142)
                  | ~ c5_2(a592,X142) ) ) )
          | ! [X143] : 
              ( ndr1_0
             => ( ! [X144] : 
                    ( ndr1_1(X143)
                   => ( ~ c7_2(X143,X144)
                      | c6_2(X143,X144)
                      | c2_2(X143,X144) ) )
                | ~ c6_1(X143)
                | ( ndr1_1(X143)
                  & c8_2(X143,a593)
                  & ~ c7_2(X143,a593)
                  & ~ c4_2(X143,a593) ) ) )
          | c7_0 )
        & ( ( ndr1_0
            & ~ c1_1(a594)
            & ~ c6_1(a594)
            & ndr1_1(a594)
            & c1_2(a594,a595)
            & ~ c6_2(a594,a595)
            & ~ c4_2(a594,a595) )
          | ~ c1_0 )
        & ( ~ c7_0
          | c2_0
          | ! [X145] : 
              ( ndr1_0
             => ( ! [X146] : 
                    ( ndr1_1(X145)
                   => ( c1_2(X145,X146)
                      | c7_2(X145,X146)
                      | c4_2(X145,X146) ) )
                | c3_1(X145)
                | c6_1(X145) ) ) )
        & ( ( ndr1_0
            & ~ c6_1(a596)
            & c7_1(a596)
            & ! [X147] : 
                ( ndr1_1(a596)
               => ( ~ c4_2(a596,X147)
                  | ~ c1_2(a596,X147) ) ) )
          | ( ndr1_0
            & ndr1_1(a597)
            & c4_2(a597,a598)
            & c3_2(a597,a598)
            & c7_2(a597,a598)
            & ~ c1_1(a597)
            & ndr1_1(a597)
            & c3_2(a597,a599)
            & c5_2(a597,a599)
            & ~ c1_2(a597,a599) )
          | c6_0 )
        & ( c1_0
          | c6_0 )
        & ( ( ndr1_0
            & c3_1(a600)
            & ! [X148] : 
                ( ndr1_1(a600)
               => ( ~ c1_2(a600,X148)
                  | c7_2(a600,X148) ) ) )
          | ( ndr1_0
            & c7_1(a601)
            & ~ c1_1(a601)
            & c5_1(a601) ) )
        & ( ~ c1_0
          | c5_0
          | ~ c8_0 )
        & ( ! [X149] : 
              ( ndr1_0
             => ( ! [X150] : 
                    ( ndr1_1(X149)
                   => ( ~ c8_2(X149,X150)
                      | c1_2(X149,X150)
                      | c3_2(X149,X150) ) )
                | c8_1(X149)
                | c4_1(X149) ) )
          | c1_0
          | ! [X151] : 
              ( ndr1_0
             => ( c3_1(X151)
                | ~ c1_1(X151)
                | c8_1(X151) ) ) )
        & ( ! [X152] : 
              ( ndr1_0
             => ( ~ c3_1(X152)
                | c1_1(X152)
                | c6_1(X152) ) )
          | ~ c1_0
          | c5_0 )
        & ( c2_0
          | ~ c7_0
          | ~ c8_0 )
        & ( c1_0
          | ! [X153] : 
              ( ndr1_0
             => ( c2_1(X153)
                | ( ndr1_1(X153)
                  & c3_2(X153,a602)
                  & c4_2(X153,a602)
                  & ~ c7_2(X153,a602) )
                | c7_1(X153) ) )
          | ~ c7_0 )
        & ( ( ndr1_0
            & c5_1(a603)
            & ! [X154] : 
                ( ndr1_1(a603)
               => ( ~ c3_2(a603,X154)
                  | c7_2(a603,X154)
                  | ~ c5_2(a603,X154) ) )
            & ~ c4_1(a603) )
          | ~ c5_0
          | ~ c8_0 )
        & ( c8_0
          | ~ c7_0
          | c5_0 ) ) )).

%--------------------------------------------------------------------------
