/****************************************************************************
 * Copyright (C) 2016 by University of Warsaw                               *
 *                                                                          *
 * This file is part of IntuitionTC.                                        *
 *                                                                          *
 ****************************************************************************/
#include <stdlib.h>
#include <stdio.h>
#include <stdbool.h>
#include <string.h>
#include <assert.h>

#include "checker.h"
#include "alloc.h"
#include "gen_spec_checker.h"








Any anyOfTerm(Term *t) {
  Any res;
  res.which = eAnyTerm;
  res.mTerm=t;
  return res;
}

Any anyOfType(Type *t) {
  Any res;
  res.which = eAnyType;
  res.mType=t;
  return res;
}

Any anyOfKind(Kind *t) {
  Any res;
  res.which = eAnyKind;
  res.mKind=t;
  return res;
}

Any anyOfName(Name t) {
  Any res;
  res.which = eAnyName;
  res.mName=t;
  return res;
}


Any anyOfBind(Bind b) {
  Any res;
  res.which = eAnyBind;
  res.mBind=b;
  return res;
}

Term *mMvar(Name n) {
	Term* term = calloc(1, sizeof *term);
	//@ assert term!=\null;
	//@ assert \forall size_t n,t; is_allocable{Pre}(n,t) <==> is_allocable( (size_t)(n-sizeof(Term)),(size_t)(t-1));
  	//@ assert \at(__num_allocated,Pre)+1==__num_allocated;  
	(*term).which = emVar;
	//@ assert \forall size_t n,t; is_allocable{Pre}(n,t) <==> is_allocable((size_t)(n-sizeof(Term)),(size_t)(t-1));
  	//@ assert \at(__num_allocated,Pre)+1==__num_allocated;
	(*term).mVar.name = n;
  	//@ assert \forall size_t n, t; is_allocable{Pre}(n,t) <==> is_allocable((size_t)(n-sizeof(Term)),(size_t)(t-1));
  	//@ assert \at(__num_allocated,Pre)+1==__num_allocated;
	return term; 
	// makeTerm((Term){.which = emVar, .mVar = {.name = n}});
}


Type *tTvar(Name n) {
	Type* type = calloc(1, sizeof *type);
	//@ assert type!=\null;
	//@ assert \forall size_t n,t; is_allocable{Pre}(n,t) <==> is_allocable((size_t)(n-sizeof(Type)),(size_t)(t-1));
  	//@ assert \at(__num_allocated,Pre)+1==__num_allocated;  
	(*type).which = etVar;
        //@ assert \forall size_t n,t; is_allocable{Pre}(n,t) <==> is_allocable((size_t)(n-sizeof(Type)),(size_t)(t-1));
  	//@ assert \at(__num_allocated,Pre)+1==__num_allocated;
	(*type).tVar.name = n;
        //@ assert \forall size_t n,t; is_allocable{Pre}(n,t) <==> is_allocable((size_t)(n-sizeof(Type)),(size_t)(t-1));
  	//@ assert \at(__num_allocated,Pre)+1==__num_allocated;
	return type; 
	// return makeType((Type){.which = etVar, .tVar = {.name = n}});
}

Bind mBind(Name n, Type *t, Any *a) {
  return (Bind){.name = n, .type = t, .any = a};
}
