
/****************************************************************************
 * This file was automatically generated from copy.c.pl. Please do not edit */
/****************************************************************************
 * Copyright (C) 2016 by University of Warsaw                               *
 *                                                                          *
 * This file is part of IntuitionTC.                                        *
 *                                                                          *
 ****************************************************************************/

#include <stdlib.h>
#include "checker.h"
#include "alloc.h"
#include "free.h"

static McasIn copyMcasInDeep(const McasIn in) {
	/* only copy parts */
	return (McasIn) {.name = copyNameDeep(in.name),
			 .type = copyTypeDeep(in.type),
			 .term = copyTermDeep(in.term)};
}
Kind* copyKindDeep(const Kind* in) {
		Kind* res = makeKind(*in); /* shallow */
		switch(in->which) {
			case eKpi:
				res->kPi.kind = copyKindDeep(in->kPi.kind);
				res->kPi.name = copyNameDeep(in->kPi.name);
				res->kPi.type = copyTypeDeep(in->kPi.type);
				break;
			case eKstar:
				break;
			default: 
				die("Error coopying Kind!");
		};
                return res;
}

Term* copyTermDeep(const Term* in) {
		Term* res = makeTerm(*in); /* shallow */
		switch(in->which) {
			case emAbs:
				res->mAbs.name1 = copyNameDeep(in->mAbs.name1);
				res->mAbs.name3 = copyNameDeep(in->mAbs.name3);
				res->mAbs.term5 = copyTermDeep(in->mAbs.term5);
				res->mAbs.term6 = copyTermDeep(in->mAbs.term6);
				res->mAbs.type2 = copyTypeDeep(in->mAbs.type2);
				res->mAbs.type4 = copyTypeDeep(in->mAbs.type4);
				break;
			case emApp:
				res->mApp.term1 = copyTermDeep(in->mApp.term1);
				res->mApp.term2 = copyTermDeep(in->mApp.term2);
				break;
			case emCas:
				res->mCas.casIn1 = copyMcasInDeep(in->mCas.casIn1);
				res->mCas.casIn2 = copyMcasInDeep(in->mCas.casIn2);
				res->mCas.term = copyTermDeep(in->mCas.term);
				break;
			case emEps:
				res->mEps.term = copyTermDeep(in->mEps.term);
				res->mEps.type = copyTypeDeep(in->mEps.type);
				break;
			case emIn1:
				res->mIn1.term = copyTermDeep(in->mIn1.term);
				res->mIn1.type = copyTypeDeep(in->mIn1.type);
				break;
			case emIn2:
				res->mIn2.term = copyTermDeep(in->mIn2.term);
				res->mIn2.type = copyTypeDeep(in->mIn2.type);
				break;
			case emLam:
				res->mLam.name = copyNameDeep(in->mLam.name);
				res->mLam.term = copyTermDeep(in->mLam.term);
				res->mLam.type = copyTypeDeep(in->mLam.type);
				break;
			case emPi1:
				res->mPi1.term = copyTermDeep(in->mPi1.term);
				break;
			case emPi2:
				res->mPi2.term = copyTermDeep(in->mPi2.term);
				break;
			case emTup:
				res->mTup.term1 = copyTermDeep(in->mTup.term1);
				res->mTup.term2 = copyTermDeep(in->mTup.term2);
				res->mTup.type = copyTypeDeep(in->mTup.type);
				break;
			case emVar:
				res->mVar.name = copyNameDeep(in->mVar.name);
				break;
			case emWit:
				res->mWit.term1 = copyTermDeep(in->mWit.term1);
				res->mWit.term2 = copyTermDeep(in->mWit.term2);
				res->mWit.type = copyTypeDeep(in->mWit.type);
				break;
			default: 
				die("Error coopying Term!");
		};
                return res;
}

Type* copyTypeDeep(const Type* in) {
		Type* res = makeType(*in); /* shallow */
		switch(in->which) {
			case etAll:
				res->tAll.name = copyNameDeep(in->tAll.name);
				res->tAll.type1 = copyTypeDeep(in->tAll.type1);
				res->tAll.type2 = copyTypeDeep(in->tAll.type2);
				break;
			case etAnd:
				res->tAnd.type1 = copyTypeDeep(in->tAnd.type1);
				res->tAnd.type2 = copyTypeDeep(in->tAnd.type2);
				break;
			case etApp:
				res->tApp.term = copyTermDeep(in->tApp.term);
				res->tApp.type = copyTypeDeep(in->tApp.type);
				break;
			case etBot:
				break;
			case etExi:
				res->tExi.name = copyNameDeep(in->tExi.name);
				res->tExi.type1 = copyTypeDeep(in->tExi.type1);
				res->tExi.type2 = copyTypeDeep(in->tExi.type2);
				break;
			case etOr:
				res->tOr.type1 = copyTypeDeep(in->tOr.type1);
				res->tOr.type2 = copyTypeDeep(in->tOr.type2);
				break;
			case etVar:
				res->tVar.name = copyNameDeep(in->tVar.name);
				break;
			default: 
				die("Error coopying Type!");
		};
                return res;
}

Any *copyAnyDeep(const Any *in) {
	Any *res = makeAny(*in);
	switch (in->which) {
		case eAnyType:
			return makeAny(anyOfType(copyTypeDeep(in->mType)));
		case eAnyTerm:
			return makeAny(anyOfTerm(copyTermDeep(in->mTerm)));
		case eAnyKind:
			return makeAny(anyOfKind(copyKindDeep(in->mKind)));
		case eAnyName:
			return makeAny(anyOfName(copyNameDeep(in->mName)));
		case eAnyBind:
			return makeAny(anyOfBind((Bind) {.name	= copyNameDeep(in->mBind.name),
							.type	= copyTypeDeep(in->mBind.type),
							.any	= copyAnyDeep (in->mBind.any)
							}));
		default:
			die("Error coopying Any!");
	};
}

Name copyNameDeep(const Name in) {
	return copyName(in);
}