#!/usr/bin/perl
#/***************************************************************************
# * Copyright (C) 2016 by University of Warsaw                              *
# *                                                                         *
# * This file is part of IntuitionTC.                                       *
# *                                                                         *
# ***************************************************************************/

use strict;
print '
/****************************************************************************
 * This file was automatically generated from copy.c.pl. Please do not edit */
/****************************************************************************
 * Copyright (C) 2016 by University of Warsaw                               *
 *                                                                          *
 * This file is part of IntuitionTC.                                        *
 *                                                                          *
 ****************************************************************************/

#include <stdlib.h>
#include "checker.h"
#include "alloc.h"
#include "free.h"

';

my %all = (
	Kind => {
		"Kstar" => {},
		"Kpi" => { 'name' => 'Name', 'type' => 'Type', 'kind' => 'Kind' }
	},
	Type => { "Tvar" => {"name" => 'Name'},
		Tall =>{ 'name'    => 'Name', 'type1'    => 'Type', 'type2'    => 'Type' },
		Texi =>{ 'name'    => 'Name', 'type1'    => 'Type', 'type2'    => 'Type' },
		Tapp =>{ 'type'    => 'Type', 'term'    => 'Term' },
		Tand =>{ 'type1' => 'Type', 'type2' => 'Type' },
		Tor =>{  'type1' => 'Type', 'type2' => 'Type' },
		Tbot => {}
	},
	Term => {
		Mvar =>{ 'name' => 'Name' },
		Mapp =>{ term1	=> 'Term', term2	=> 'Term', },
		Mlam =>{ 'name' => 'Name', 'type' => 'Type', 'term' => 'Term', },
		Mwit =>{ 'type' => 'Type', 'term1' => 'Term', 'term2' => 'Term', },
		Mabs =>{ 'name1' => 'Name', 'type2' => 'Type', 'name3' => 'Name', 'type4' => 'Type', 'term5' => 'Term', 'term6' => 'Term', },
		Mtup =>{ 'type' => 'Type', 'term1' => 'Term', 'term2' => 'Term', },
		Mpi1 =>{ 'term' => 'Term'},
		Mpi2 =>{ 'term' => 'Term'},
		Min1 =>{ 'type' => 'Type', 'term' => 'Term'},
		Min2 =>{ 'type' => 'Type', 'term' => 'Term'},
		Meps =>{ 'type' => 'Type', 'term' => 'Term'},
		Mcas =>{ 'term' => 'Term', 'casIn1' => 'McasIn', 'casIn2' => 'McasIn' }
	}
);

my %e = (
	"Kstar" => "eKstar",
	"Kpi" => "eKpi",
	'Tvar' => 'etVar',
	'Tall' => 'etAll',
	'Tapp' => 'etApp',
	'Texi' => 'etExi',
	'Tand' => 'etAnd',
	'Tor' => 'etOr',
	'Tbot' => 'etBot',
	'Mvar' => 'emVar',
	'Mapp' => 'emApp',
	'Mlam' => 'emLam',
	'Mwit' => 'emWit',
	'Mabs' => 'emAbs',
	'Mtup' => 'emTup',
	'Mpi1' => 'emPi1',
	'Mpi2' => 'emPi2',
	'Min1' => 'emIn1',
	'Min2' => 'emIn2',
	'Mcas' => 'emCas',
	'Meps' => 'emEps',
	);
my %p = (
	"Kstar" => "kStar",
	"Kpi" => "kPi",
	'Tvar'   => 'tVar',
	'Tall'   => 'tAll',
	'Tapp'   => 'tApp',
	'Texi'   => 'tExi',
	'Tand'   => 'tAnd',
	'Tor'    => 'tOr',
	'Tbot'   => 'tBot',
	'Mvar'	 => 'mVar',
	'Mapp'	 => 'mApp',
	'Mlam'	 => 'mLam',
	'Mwit'	 => 'mWit',
	'Mabs'	 => 'mAbs',
	'Mtup'	 => 'mTup',
	'Mpi1'	 => 'mPi1',
	'Mpi2'	 => 'mPi2',
	'Min1'	 => 'mIn1',
	'Min2'	 => 'mIn2',
	'Mcas'	 => 'mCas',
	'Meps'	 => 'mEps',
);

print "static McasIn copyMcasInDeep(const McasIn in) {
	/* only copy parts */
	return (McasIn) {.name = copyNameDeep(in.name),
			 .type = copyTypeDeep(in.type),
			 .term = copyTermDeep(in.term)};
}
";

#print "static void freeMcasInDeep(const McasIn in) {
#	/* only free parts */
#	freeName(in.name);
#	freeTypeDeep(in.type);
#	freeTermDeep(in.term);
#}
#";

foreach my $k (sort(keys %all)) {
	print "$k* copy${k}Deep(const $k* in) {
		$k* res = make$k(*in); /* shallow */
		switch(in->which) {
";
	foreach my $o (sort(keys $all{$k})) {
print "			case $e{$o}:
";
		foreach my $f(sort(keys $all{$k}{$o})) {
print "				res->$p{$o}.$f = copy$all{$k}{$o}{$f}Deep(in->$p{$o}.$f);
";
		}
print "				break;
"
	}

print "			default: 
				die(\"Error copying $k!\");
		};
                return res;
}

";
}

#foreach my $k (sort(keys %all)) {
#	print "void free${k}Deep($k* in) {
#		switch(in->which) {
#";
#	foreach my $o (sort(keys $all{$k})) {
#print "			case $e{$o}:
#";
#		foreach my $f(sort(keys $all{$k}{$o})) {
#print "				free$all{$k}{$o}{$f}Deep(in->$p{$o}.$f);
#";
#		}
#print "				break;
#"
#	}
#
#print "			default: 
#					die(\"Error freeing $k!\");
#		};
#		free${k}(in);
#}
#
#";
#}

print "Any *copyAnyDeep(const Any *in) {
	Any *res = makeAny(*in);
	switch (in->which) {
";
	foreach my $x ("Type", "Term", "Kind", "Name") {
		print
"		case eAny$x:
			return makeAny(anyOf$x(copy${x}Deep(in->m$x)));
";
	}
	print
"		case eAnyBind:
			return makeAny(anyOfBind((Bind) {.name	= copyNameDeep(in->mBind.name),
							.type	= copyTypeDeep(in->mBind.type),
							.any	= copyAnyDeep (in->mBind.any)
							}));
		default:
			die(\"Error copying Any!\");
	};
}
";

#void freeAnyDeep(Any *in) {
#	switch (in->which) {
#";
#	foreach my $x ("Type", "Term", "Kind", "Name") {
#		print
#"		case eAny$x:
#			free${x}Deep(in->m$x);
#			break;
#";
#	}
#	print
#"		case eAnyBind:
#			freeBindParts(in->mBind);
#			break;
#		default:
#			die(\"Error coopying Any!\");
#	};
#}
#
#void freeNameDeep(Name in) {
#	freeName(in);
#}

	print
"
Name copyNameDeep(const Name in) {
	return copyName(in);
}"
;
