/****************************************************************************
 * Copyright (C) 2016 by University of Warsaw                               *
 *                                                                          *
 * This file is part of IntuitionTC.                                        *
 *                                                                          *
 ****************************************************************************/
#include <string.h>
#include "errorMessages.h"

char* messages[ENV_MSG_MAX+1] = {
  "Undeclared type variable", // ENV_MSG_UNDECLARED_TVAR
  "Variable is an object variable", // ENV_MSG_OBJECT_VAR
  "Undeclared mvar", // ENV_MSG_UNDECLARED_MVAR
  "Variable is a type variable", // ENV_MSG_TVAR
  "Type name variable already defined", // ENV_MSG_TNAME_DEFINED
  "Object name variable already defined", // ENV_MSG_ONAME_DEFINED
  "Actual kind is not equal to expected", // ENV_MSG_WRONG_ACTUAL_KIND
  "checkType Tapp: expected product kind", // ENV_MSG_EXPECTED_PRODUCT_KIND
  "Actual type is not equal to expected", // ENV_MSG_WRONG_ACTUAL_TYPE
  "in inferTerm when checking", // ENV_MSG_IN_INFERTERM
  "is not a function type", // ENV_MSG_NOT_FUNCTION_TYPE
  "Witness for a non-existential type", // ENV_MSG_WITNESS_FOR_NONEXISTENTIAL
  "In ...", // ENV_MSG_IN
  "(in inferTerm when checking)", // ENV_MSG_IN_INFERTERM_CHECK
  "Tuple not of and type", // ENV_MSG_TUPLE_NOT_AND
  "is not a pair type", // ENV_MSG_IS_NOT_PAIR
  "in into ... which is not disjunction", // ENV_MSG_IN_CASE
  "Unhandled term!", // ENV_MSG_UNHANDLED_TERM
  "Print buffer overflow", //ENV_MSG_PRINT_BUFFER_OVERFLOW
  "Unhandled type!", // ENV_MSG_UNHANDLED_TYPE
  "No kind for type", // ENV_MSG_NO_KIND_FOR_TYPE
  "Impossible to copy environment", // ENV_MSG_IMPOSSIBLE_COPY_ENV
  "Cannot insert variable to environment", // ENV_MSG_CANNOT_INSERT_VARIABLE
};

#define BUFFER_LEN 4096
char errorBuffer[BUFFER_LEN];
int errorNum = 0;

void reportError(char *a) {
  errorNum++;
  int len = strlen(errorBuffer);
  if (len < BUFFER_LEN-1) {
    errorBuffer[len] = '#';
    errorBuffer[len+1] = 0;
    strncat(errorBuffer, a, BUFFER_LEN - strlen(errorBuffer) - 2);
  }
}


