(* This file is generated by Why3's Coq driver *)
(* Beware! Only edit allowed sections below    *)
Require Import BuiltIn.
Require BuiltIn.
Require bool.Bool.
Require int.Int.
Require int.Abs.
Require int.ComputerDivision.
Require real.Real.
Require real.RealInfix.
Require real.FromInt.
Require map.Map.

Parameter ite: forall {a:Type} {a_WT:WhyType a}, bool -> a -> a -> a.

Parameter eqb: forall {a:Type} {a_WT:WhyType a}, a -> a -> bool.

Parameter neqb: forall {a:Type} {a_WT:WhyType a}, a -> a -> bool.

Parameter zlt: Z -> Z -> bool.

Parameter zleq: Z -> Z -> bool.

Parameter rlt: R -> R -> bool.

Parameter rleq: R -> R -> bool.

Parameter truncate: R -> Z.

(* Why3 assumption *)
Inductive addr :=
  | Mk_addr : Z -> Z -> addr.
Axiom addr_WhyType : WhyType addr.
Existing Instance addr_WhyType.

(* Why3 assumption *)
Definition offset (v:addr): Z := match v with
  | (Mk_addr x x1) => x1
  end.

(* Why3 assumption *)
Definition base (v:addr): Z := match v with
  | (Mk_addr x x1) => x
  end.

Parameter addr_le: addr -> addr -> Prop.

Parameter addr_lt: addr -> addr -> Prop.

Parameter addr_le_bool: addr -> addr -> bool.

Parameter addr_lt_bool: addr -> addr -> bool.

(* Why3 assumption *)
Definition shift (p:addr) (k:Z): addr := (Mk_addr (base p)
  ((offset p) + k)%Z).

(* Why3 assumption *)
Definition valid_rw (m:(map.Map.map Z Z)) (p:addr) (n:Z): Prop :=
  (0%Z < n)%Z -> ((0%Z < (base p))%Z /\ ((0%Z <= (offset p))%Z /\
  (((offset p) + n)%Z <= (map.Map.get m (base p)))%Z)).

Parameter region: Z -> Z.

Parameter linked: (map.Map.map Z Z) -> Prop.

Parameter sconst: (map.Map.map addr Z) -> Prop.

Parameter cast: addr -> Z.

Parameter hardware: Z -> Z.

Parameter p_valid_Type_ptr: addr -> Prop.

Parameter l_strlen: addr -> Z.

Parameter l_memcmp: (map.Map.map addr Z) -> addr -> addr -> Z -> Z.

(* Why3 assumption *)
Definition p_valid_string (malloc_0:(map.Map.map Z Z)) (s_0:addr): Prop :=
  let x_0 := (l_strlen s_0) in ((0%Z <= x_0)%Z /\ (valid_rw malloc_0
  (shift s_0 0%Z) (1%Z + x_0)%Z)).

(* Why3 assumption *)
Inductive s_Mvar :=
  | mk_s_Mvar : addr -> s_Mvar.
Axiom s_Mvar_WhyType : WhyType s_Mvar.
Existing Instance s_Mvar_WhyType.

(* Why3 assumption *)
Definition f_Mvar_name (v:s_Mvar): addr :=
  match v with
  | (mk_s_Mvar x) => x
  end.

(* Why3 assumption *)
Inductive s_Mapp :=
  | mk_s_Mapp : addr -> addr -> s_Mapp.
Axiom s_Mapp_WhyType : WhyType s_Mapp.
Existing Instance s_Mapp_WhyType.

(* Why3 assumption *)
Definition f_Mapp_term2 (v:s_Mapp): addr :=
  match v with
  | (mk_s_Mapp x x1) => x1
  end.

(* Why3 assumption *)
Definition f_Mapp_term1 (v:s_Mapp): addr :=
  match v with
  | (mk_s_Mapp x x1) => x
  end.

(* Why3 assumption *)
Inductive s_Mlam :=
  | mk_s_Mlam : addr -> addr -> addr -> s_Mlam.
Axiom s_Mlam_WhyType : WhyType s_Mlam.
Existing Instance s_Mlam_WhyType.

(* Why3 assumption *)
Definition f_Mlam_term (v:s_Mlam): addr :=
  match v with
  | (mk_s_Mlam x x1 x2) => x2
  end.

(* Why3 assumption *)
Definition f_Mlam_type (v:s_Mlam): addr :=
  match v with
  | (mk_s_Mlam x x1 x2) => x1
  end.

(* Why3 assumption *)
Definition f_Mlam_name (v:s_Mlam): addr :=
  match v with
  | (mk_s_Mlam x x1 x2) => x
  end.

(* Why3 assumption *)
Inductive s_Mwit :=
  | mk_s_Mwit : addr -> addr -> addr -> s_Mwit.
Axiom s_Mwit_WhyType : WhyType s_Mwit.
Existing Instance s_Mwit_WhyType.

(* Why3 assumption *)
Definition f_Mwit_term2 (v:s_Mwit): addr :=
  match v with
  | (mk_s_Mwit x x1 x2) => x2
  end.

(* Why3 assumption *)
Definition f_Mwit_term1 (v:s_Mwit): addr :=
  match v with
  | (mk_s_Mwit x x1 x2) => x1
  end.

(* Why3 assumption *)
Definition f_Mwit_type (v:s_Mwit): addr :=
  match v with
  | (mk_s_Mwit x x1 x2) => x
  end.

(* Why3 assumption *)
Inductive s_Mabs :=
  | mk_s_Mabs : addr -> addr -> addr -> addr -> addr -> addr -> s_Mabs.
Axiom s_Mabs_WhyType : WhyType s_Mabs.
Existing Instance s_Mabs_WhyType.

(* Why3 assumption *)
Definition f_Mabs_term6 (v:s_Mabs): addr :=
  match v with
  | (mk_s_Mabs x x1 x2 x3 x4 x5) => x5
  end.

(* Why3 assumption *)
Definition f_Mabs_term5 (v:s_Mabs): addr :=
  match v with
  | (mk_s_Mabs x x1 x2 x3 x4 x5) => x4
  end.

(* Why3 assumption *)
Definition f_Mabs_type4 (v:s_Mabs): addr :=
  match v with
  | (mk_s_Mabs x x1 x2 x3 x4 x5) => x3
  end.

(* Why3 assumption *)
Definition f_Mabs_name3 (v:s_Mabs): addr :=
  match v with
  | (mk_s_Mabs x x1 x2 x3 x4 x5) => x2
  end.

(* Why3 assumption *)
Definition f_Mabs_type2 (v:s_Mabs): addr :=
  match v with
  | (mk_s_Mabs x x1 x2 x3 x4 x5) => x1
  end.

(* Why3 assumption *)
Definition f_Mabs_name1 (v:s_Mabs): addr :=
  match v with
  | (mk_s_Mabs x x1 x2 x3 x4 x5) => x
  end.

(* Why3 assumption *)
Inductive s_Mtup :=
  | mk_s_Mtup : addr -> addr -> addr -> s_Mtup.
Axiom s_Mtup_WhyType : WhyType s_Mtup.
Existing Instance s_Mtup_WhyType.

(* Why3 assumption *)
Definition f_Mtup_term2 (v:s_Mtup): addr :=
  match v with
  | (mk_s_Mtup x x1 x2) => x2
  end.

(* Why3 assumption *)
Definition f_Mtup_term1 (v:s_Mtup): addr :=
  match v with
  | (mk_s_Mtup x x1 x2) => x1
  end.

(* Why3 assumption *)
Definition f_Mtup_type (v:s_Mtup): addr :=
  match v with
  | (mk_s_Mtup x x1 x2) => x
  end.

(* Why3 assumption *)
Inductive s_Mpi1 :=
  | mk_s_Mpi1 : addr -> s_Mpi1.
Axiom s_Mpi1_WhyType : WhyType s_Mpi1.
Existing Instance s_Mpi1_WhyType.

(* Why3 assumption *)
Definition f_Mpi1_term (v:s_Mpi1): addr :=
  match v with
  | (mk_s_Mpi1 x) => x
  end.

(* Why3 assumption *)
Inductive s_Mpi2 :=
  | mk_s_Mpi2 : addr -> s_Mpi2.
Axiom s_Mpi2_WhyType : WhyType s_Mpi2.
Existing Instance s_Mpi2_WhyType.

(* Why3 assumption *)
Definition f_Mpi2_term (v:s_Mpi2): addr :=
  match v with
  | (mk_s_Mpi2 x) => x
  end.

(* Why3 assumption *)
Inductive s_Min1 :=
  | mk_s_Min1 : addr -> addr -> s_Min1.
Axiom s_Min1_WhyType : WhyType s_Min1.
Existing Instance s_Min1_WhyType.

(* Why3 assumption *)
Definition f_Min1_term (v:s_Min1): addr :=
  match v with
  | (mk_s_Min1 x x1) => x1
  end.

(* Why3 assumption *)
Definition f_Min1_type (v:s_Min1): addr :=
  match v with
  | (mk_s_Min1 x x1) => x
  end.

(* Why3 assumption *)
Inductive s_Min2 :=
  | mk_s_Min2 : addr -> addr -> s_Min2.
Axiom s_Min2_WhyType : WhyType s_Min2.
Existing Instance s_Min2_WhyType.

(* Why3 assumption *)
Definition f_Min2_term (v:s_Min2): addr :=
  match v with
  | (mk_s_Min2 x x1) => x1
  end.

(* Why3 assumption *)
Definition f_Min2_type (v:s_Min2): addr :=
  match v with
  | (mk_s_Min2 x x1) => x
  end.

(* Why3 assumption *)
Inductive s_McasIn :=
  | mk_s_McasIn : addr -> addr -> addr -> s_McasIn.
Axiom s_McasIn_WhyType : WhyType s_McasIn.
Existing Instance s_McasIn_WhyType.

(* Why3 assumption *)
Definition f_McasIn_term (v:s_McasIn): addr :=
  match v with
  | (mk_s_McasIn x x1 x2) => x2
  end.

(* Why3 assumption *)
Definition f_McasIn_type (v:s_McasIn): addr :=
  match v with
  | (mk_s_McasIn x x1 x2) => x1
  end.

(* Why3 assumption *)
Definition f_McasIn_name (v:s_McasIn): addr :=
  match v with
  | (mk_s_McasIn x x1 x2) => x
  end.

(* Why3 assumption *)
Inductive s_Mcas :=
  | mk_s_Mcas : addr -> s_McasIn -> s_McasIn -> s_Mcas.
Axiom s_Mcas_WhyType : WhyType s_Mcas.
Existing Instance s_Mcas_WhyType.

(* Why3 assumption *)
Definition f_Mcas_casIn2 (v:s_Mcas): s_McasIn :=
  match v with
  | (mk_s_Mcas x x1 x2) => x2
  end.

(* Why3 assumption *)
Definition f_Mcas_casIn1 (v:s_Mcas): s_McasIn :=
  match v with
  | (mk_s_Mcas x x1 x2) => x1
  end.

(* Why3 assumption *)
Definition f_Mcas_term (v:s_Mcas): addr :=
  match v with
  | (mk_s_Mcas x x1 x2) => x
  end.

(* Why3 assumption *)
Inductive s_Meps :=
  | mk_s_Meps : addr -> addr -> s_Meps.
Axiom s_Meps_WhyType : WhyType s_Meps.
Existing Instance s_Meps_WhyType.

(* Why3 assumption *)
Definition f_Meps_term (v:s_Meps): addr :=
  match v with
  | (mk_s_Meps x x1) => x1
  end.

(* Why3 assumption *)
Definition f_Meps_type (v:s_Meps): addr :=
  match v with
  | (mk_s_Meps x x1) => x
  end.

(* Why3 assumption *)
Inductive s_Term :=
  | mk_s_Term : Z -> s_Mvar -> s_Mapp -> s_Mlam -> s_Mwit -> s_Mabs ->
      s_Mtup -> s_Mpi1 -> s_Mpi2 -> s_Min1 -> s_Min2 -> s_Mcas -> s_Meps ->
      s_Term.
Axiom s_Term_WhyType : WhyType s_Term.
Existing Instance s_Term_WhyType.

(* Why3 assumption *)
Definition f_Term_mEps (v:s_Term): s_Meps :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x12
  end.

(* Why3 assumption *)
Definition f_Term_mCas (v:s_Term): s_Mcas :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x11
  end.

(* Why3 assumption *)
Definition f_Term_mIn2 (v:s_Term): s_Min2 :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x10
  end.

(* Why3 assumption *)
Definition f_Term_mIn1 (v:s_Term): s_Min1 :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x9
  end.

(* Why3 assumption *)
Definition f_Term_mPi2 (v:s_Term): s_Mpi2 :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x8
  end.

(* Why3 assumption *)
Definition f_Term_mPi1 (v:s_Term): s_Mpi1 :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x7
  end.

(* Why3 assumption *)
Definition f_Term_mTup (v:s_Term): s_Mtup :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x6
  end.

(* Why3 assumption *)
Definition f_Term_mAbs (v:s_Term): s_Mabs :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x5
  end.

(* Why3 assumption *)
Definition f_Term_mWit (v:s_Term): s_Mwit :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x4
  end.

(* Why3 assumption *)
Definition f_Term_mLam (v:s_Term): s_Mlam :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x3
  end.

(* Why3 assumption *)
Definition f_Term_mApp (v:s_Term): s_Mapp :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x2
  end.

(* Why3 assumption *)
Definition f_Term_mVar (v:s_Term): s_Mvar :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x1
  end.

(* Why3 assumption *)
Definition f_Term_which (v:s_Term): Z :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x
  end.

Parameter is_uint8: Z -> Prop.

Parameter is_sint8: Z -> Prop.

Parameter is_uint16: Z -> Prop.

Parameter is_uint32: Z -> Prop.

Parameter is_sint32: Z -> Prop.

Parameter is_uint64: Z -> Prop.

Parameter is_sint64: Z -> Prop.

Parameter to_uint8: Z -> Z.

Parameter to_sint8: Z -> Z.

Parameter to_uint16: Z -> Z.

Parameter to_sint16: Z -> Z.

Parameter to_uint32: Z -> Z.

Parameter to_sint32: Z -> Z.

Parameter to_uint64: Z -> Z.

Parameter to_sint64: Z -> Z.

Parameter lnot: Z -> Z.

Parameter land: Z -> Z -> Z.

Parameter lxor: Z -> Z -> Z.

Parameter lor: Z -> Z -> Z.

Parameter lsl: Z -> Z -> Z.

Parameter lsr: Z -> Z -> Z.

Parameter bit_testb: Z -> Z -> bool.

Parameter bit_test: Z -> Z -> Prop.

(* Why3 assumption *)
Definition load_S_Mabs (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Mabs :=
  (mk_s_Mabs (map.Map.get mptr_0 (shift p_0 0%Z)) (map.Map.get mptr_0
  (shift p_0 1%Z)) (map.Map.get mptr_0 (shift p_0 2%Z)) (map.Map.get mptr_0
  (shift p_0 3%Z)) (map.Map.get mptr_0 (shift p_0 4%Z)) (map.Map.get mptr_0
  (shift p_0 5%Z))).

(* Why3 assumption *)
Definition load_S_Mapp (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Mapp :=
  (mk_s_Mapp (map.Map.get mptr_0 (shift p_0 0%Z)) (map.Map.get mptr_0
  (shift p_0 1%Z))).

(* Why3 assumption *)
Definition load_S_McasIn (p_0:addr) (mptr_0:(map.Map.map addr
  addr)): s_McasIn := (mk_s_McasIn (map.Map.get mptr_0 (shift p_0 0%Z))
  (map.Map.get mptr_0 (shift p_0 1%Z)) (map.Map.get mptr_0 (shift p_0 2%Z))).

(* Why3 assumption *)
Definition load_S_Mcas (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Mcas :=
  (mk_s_Mcas (map.Map.get mptr_0 (shift p_0 0%Z)) (load_S_McasIn (shift p_0
  1%Z) mptr_0) (load_S_McasIn (shift p_0 4%Z) mptr_0)).

(* Why3 assumption *)
Definition load_S_Meps (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Meps :=
  (mk_s_Meps (map.Map.get mptr_0 (shift p_0 0%Z)) (map.Map.get mptr_0
  (shift p_0 1%Z))).

(* Why3 assumption *)
Definition load_S_Min1 (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Min1 :=
  (mk_s_Min1 (map.Map.get mptr_0 (shift p_0 0%Z)) (map.Map.get mptr_0
  (shift p_0 1%Z))).

(* Why3 assumption *)
Definition load_S_Min2 (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Min2 :=
  (mk_s_Min2 (map.Map.get mptr_0 (shift p_0 0%Z)) (map.Map.get mptr_0
  (shift p_0 1%Z))).

(* Why3 assumption *)
Definition load_S_Mlam (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Mlam :=
  (mk_s_Mlam (map.Map.get mptr_0 (shift p_0 0%Z)) (map.Map.get mptr_0
  (shift p_0 1%Z)) (map.Map.get mptr_0 (shift p_0 2%Z))).

(* Why3 assumption *)
Definition load_S_Mpi1 (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Mpi1 :=
  (mk_s_Mpi1 (map.Map.get mptr_0 (shift p_0 0%Z))).

(* Why3 assumption *)
Definition load_S_Mpi2 (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Mpi2 :=
  (mk_s_Mpi2 (map.Map.get mptr_0 (shift p_0 0%Z))).

(* Why3 assumption *)
Definition load_S_Mtup (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Mtup :=
  (mk_s_Mtup (map.Map.get mptr_0 (shift p_0 0%Z)) (map.Map.get mptr_0
  (shift p_0 1%Z)) (map.Map.get mptr_0 (shift p_0 2%Z))).

(* Why3 assumption *)
Definition load_S_Mvar (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Mvar :=
  (mk_s_Mvar (map.Map.get mptr_0 (shift p_0 0%Z))).

(* Why3 assumption *)
Definition load_S_Mwit (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Mwit :=
  (mk_s_Mwit (map.Map.get mptr_0 (shift p_0 0%Z)) (map.Map.get mptr_0
  (shift p_0 1%Z)) (map.Map.get mptr_0 (shift p_0 2%Z))).

(* Why3 assumption *)
Definition load_S_Term (p_0:addr) (mint_0:(map.Map.map addr Z))
  (mptr_0:(map.Map.map addr addr)): s_Term := (mk_s_Term (map.Map.get mint_0
  (shift p_0 0%Z)) (load_S_Mvar (shift p_0 1%Z) mptr_0)
  (load_S_Mapp (shift p_0 2%Z) mptr_0) (load_S_Mlam (shift p_0 4%Z) mptr_0)
  (load_S_Mwit (shift p_0 7%Z) mptr_0) (load_S_Mabs (shift p_0 10%Z) mptr_0)
  (load_S_Mtup (shift p_0 16%Z) mptr_0) (load_S_Mpi1 (shift p_0 19%Z) mptr_0)
  (load_S_Mpi2 (shift p_0 20%Z) mptr_0) (load_S_Min1 (shift p_0 21%Z) mptr_0)
  (load_S_Min2 (shift p_0 23%Z) mptr_0) (load_S_Mcas (shift p_0 25%Z) mptr_0)
  (load_S_Meps (shift p_0 32%Z) mptr_0)).

Parameter p_valid_Kind_ptr: addr -> Prop.

Parameter p_valid_Term_ptr: addr -> Prop.

(* Why3 assumption *)
Definition p_valid_Mvar (malloc_0:(map.Map.map Z Z)) (m_0:s_Mvar): Prop :=
  (p_valid_string malloc_0 (f_Mvar_name m_0)).

(* Why3 assumption *)
Definition p_valid_Mapp (malloc_0:(map.Map.map Z Z)) (m_0:s_Mapp): Prop :=
  let a_0 := (f_Mapp_term1 m_0) in let a_1 := (f_Mapp_term2 m_0) in
  ((p_valid_Term_ptr a_0) /\ ((p_valid_Term_ptr a_1) /\ ((valid_rw malloc_0
  a_0 34%Z) /\ (valid_rw malloc_0 a_1 34%Z)))).

(* Why3 assumption *)
Definition p_valid_Mlam (malloc_0:(map.Map.map Z Z)) (m_0:s_Mlam): Prop :=
  let a_0 := (f_Mlam_type m_0) in let a_1 := (f_Mlam_term m_0) in
  ((p_valid_Type_ptr a_0) /\ ((p_valid_Term_ptr a_1) /\ ((p_valid_string
  malloc_0 (f_Mlam_name m_0)) /\ ((valid_rw malloc_0 a_1 34%Z) /\ (valid_rw
  malloc_0 a_0 15%Z))))).

(* Why3 assumption *)
Definition p_valid_Mwit (malloc_0:(map.Map.map Z Z)) (m_0:s_Mwit): Prop :=
  let a_0 := (f_Mwit_type m_0) in let a_1 := (f_Mwit_term1 m_0) in let a_2 :=
  (f_Mwit_term2 m_0) in ((p_valid_Type_ptr a_0) /\ ((p_valid_Term_ptr a_1) /\
  ((p_valid_Term_ptr a_2) /\ ((valid_rw malloc_0 a_1 34%Z) /\ ((valid_rw
  malloc_0 a_2 34%Z) /\ (valid_rw malloc_0 a_0 15%Z)))))).

(* Why3 assumption *)
Definition p_valid_Mabs (malloc_0:(map.Map.map Z Z)) (m_0:s_Mabs): Prop :=
  let a_0 := (f_Mabs_type2 m_0) in let a_1 := (f_Mabs_type4 m_0) in
  let a_2 := (f_Mabs_term5 m_0) in let a_3 := (f_Mabs_term6 m_0) in
  ((p_valid_Type_ptr a_0) /\ ((p_valid_Type_ptr a_1) /\ ((p_valid_Term_ptr
  a_2) /\ ((p_valid_Term_ptr a_3) /\ ((p_valid_string malloc_0
  (f_Mabs_name1 m_0)) /\ ((p_valid_string malloc_0 (f_Mabs_name3 m_0)) /\
  ((valid_rw malloc_0 a_2 34%Z) /\ ((valid_rw malloc_0 a_3 34%Z) /\
  ((valid_rw malloc_0 a_0 15%Z) /\ (valid_rw malloc_0 a_1 15%Z)))))))))).

(* Why3 assumption *)
Definition p_valid_Mtup (malloc_0:(map.Map.map Z Z)) (m_0:s_Mtup): Prop :=
  let a_0 := (f_Mtup_type m_0) in let a_1 := (f_Mtup_term1 m_0) in let a_2 :=
  (f_Mtup_term2 m_0) in ((p_valid_Type_ptr a_0) /\ ((p_valid_Term_ptr a_1) /\
  ((p_valid_Term_ptr a_2) /\ ((valid_rw malloc_0 a_1 34%Z) /\ ((valid_rw
  malloc_0 a_2 34%Z) /\ (valid_rw malloc_0 a_0 15%Z)))))).

(* Why3 assumption *)
Definition p_valid_Mpi1 (malloc_0:(map.Map.map Z Z)) (m_0:s_Mpi1): Prop :=
  let a_0 := (f_Mpi1_term m_0) in ((p_valid_Term_ptr a_0) /\ (valid_rw
  malloc_0 a_0 34%Z)).

(* Why3 assumption *)
Definition p_valid_Mpi2 (malloc_0:(map.Map.map Z Z)) (m_0:s_Mpi2): Prop :=
  let a_0 := (f_Mpi2_term m_0) in ((p_valid_Term_ptr a_0) /\ (valid_rw
  malloc_0 a_0 34%Z)).

(* Why3 assumption *)
Definition p_valid_Min1 (malloc_0:(map.Map.map Z Z)) (m_0:s_Min1): Prop :=
  let a_0 := (f_Min1_type m_0) in let a_1 := (f_Min1_term m_0) in
  ((p_valid_Type_ptr a_0) /\ ((p_valid_Term_ptr a_1) /\ ((valid_rw malloc_0
  a_1 34%Z) /\ (valid_rw malloc_0 a_0 15%Z)))).

(* Why3 assumption *)
Definition p_valid_Min2 (malloc_0:(map.Map.map Z Z)) (m_0:s_Min2): Prop :=
  let a_0 := (f_Min2_type m_0) in let a_1 := (f_Min2_term m_0) in
  ((p_valid_Type_ptr a_0) /\ ((p_valid_Term_ptr a_1) /\ ((valid_rw malloc_0
  a_1 34%Z) /\ (valid_rw malloc_0 a_0 15%Z)))).

(* Why3 assumption *)
Definition p_valid_McasIn (malloc_0:(map.Map.map Z Z))
  (m_0:s_McasIn): Prop := let a_0 := (f_McasIn_type m_0) in let a_1 :=
  (f_McasIn_term m_0) in ((p_valid_Type_ptr a_0) /\ ((p_valid_Term_ptr
  a_1) /\ ((p_valid_string malloc_0 (f_McasIn_name m_0)) /\ ((valid_rw
  malloc_0 a_1 34%Z) /\ (valid_rw malloc_0 a_0 15%Z))))).

(* Why3 assumption *)
Definition p_valid_Mcas (malloc_0:(map.Map.map Z Z)) (m_0:s_Mcas): Prop :=
  let a_0 := (f_Mcas_term m_0) in ((p_valid_Term_ptr a_0) /\ ((p_valid_McasIn
  malloc_0 (f_Mcas_casIn1 m_0)) /\ ((p_valid_McasIn malloc_0
  (f_Mcas_casIn2 m_0)) /\ (valid_rw malloc_0 a_0 34%Z)))).

(* Why3 assumption *)
Definition p_valid_Meps (malloc_0:(map.Map.map Z Z)) (m_0:s_Meps): Prop :=
  let a_0 := (f_Meps_type m_0) in let a_1 := (f_Meps_term m_0) in
  ((p_valid_Type_ptr a_0) /\ ((p_valid_Term_ptr a_1) /\ ((valid_rw malloc_0
  a_1 34%Z) /\ (valid_rw malloc_0 a_0 15%Z)))).

(* Why3 assumption *)
Definition p_valid_Term (malloc_0:(map.Map.map Z Z)) (t_0:s_Term): Prop :=
  let x_0 := (f_Term_which t_0) in (((0%Z = x_0) -> (p_valid_Mvar malloc_0
  (f_Term_mVar t_0))) /\ (((1%Z = x_0) -> (p_valid_Mapp malloc_0
  (f_Term_mApp t_0))) /\ (((2%Z = x_0) -> (p_valid_Mlam malloc_0
  (f_Term_mLam t_0))) /\ (((3%Z = x_0) -> (p_valid_Mwit malloc_0
  (f_Term_mWit t_0))) /\ (((4%Z = x_0) -> (p_valid_Mabs malloc_0
  (f_Term_mAbs t_0))) /\ (((5%Z = x_0) -> (p_valid_Mtup malloc_0
  (f_Term_mTup t_0))) /\ (((6%Z = x_0) -> (p_valid_Mpi1 malloc_0
  (f_Term_mPi1 t_0))) /\ (((7%Z = x_0) -> (p_valid_Mpi2 malloc_0
  (f_Term_mPi2 t_0))) /\ (((8%Z = x_0) -> (p_valid_Min1 malloc_0
  (f_Term_mIn1 t_0))) /\ (((9%Z = x_0) -> (p_valid_Min2 malloc_0
  (f_Term_mIn2 t_0))) /\ (((10%Z = x_0) -> (p_valid_Mcas malloc_0
  (f_Term_mCas t_0))) /\ (((11%Z = x_0) -> (p_valid_Meps malloc_0
  (f_Term_mEps t_0))) /\ ((0%Z = x_0) \/ ((1%Z = x_0) \/ ((2%Z = x_0) \/
  ((3%Z = x_0) \/ ((4%Z = x_0) \/ ((5%Z = x_0) \/ ((6%Z = x_0) \/
  ((7%Z = x_0) \/ ((8%Z = x_0) \/ ((9%Z = x_0) \/ ((10%Z = x_0) \/
  (11%Z = x_0)))))))))))))))))))))))).

Axiom Q_valid_Term_ptr_def : forall (malloc_0:(map.Map.map Z Z)),
  forall (mint_0:(map.Map.map addr Z)), forall (mptr_0:(map.Map.map addr
  addr)), forall (t_0:addr), (p_valid_Term_ptr t_0) <-> ((valid_rw malloc_0
  t_0 34%Z) /\ (p_valid_Term malloc_0 (load_S_Term t_0 mint_0 mptr_0))).

(* Why3 goal *)
Theorem Q_valid_Term_to_valid_App : forall (mint_0:(map.Map.map addr Z)),
  forall (mptr_0:(map.Map.map addr addr)), forall (t_0:addr),
  (p_valid_Term_ptr t_0) -> ((1%Z = (map.Map.get mint_0 (shift t_0 0%Z))) ->
  (p_valid_Term_ptr (map.Map.get mptr_0 (shift t_0 2%Z)))).
(* Why3 intros mint_0 mptr_0 t_0 h1 h2. *)
intros mint_0 mptr_0 t_0 h1 h2.
assert (forall (malloc_0:Map.map int int), p_valid_Term_ptr t_0 /\ (1%Z = Map.get mint_0 (shift t_0 0)) -> 
p_valid_Term_ptr (Map.get mptr_0 (shift t_0 2))).
intros.
apply <- (Q_valid_Term_ptr_def malloc_0 mint_0 mptr_0).
decompose [and] H.
apply -> (Q_valid_Term_ptr_def malloc_0 mint_0 mptr_0) in H0.
Require Import Why3.
why3 "cvc4" timelimit 5.
apply H.
apply Map.const.
apply (0%Z).
intuition.
Qed.

