(* This file is generated by Why3's Coq driver *)
(* Beware! Only edit allowed sections below    *)
Require Import BuiltIn.
Require BuiltIn.
Require bool.Bool.
Require int.Int.
Require int.Abs.
Require int.ComputerDivision.
Require real.Real.
Require real.RealInfix.
Require real.FromInt.
Require map.Map.

Parameter ite: forall {a:Type} {a_WT:WhyType a}, bool -> a -> a -> a.

Parameter eqb: forall {a:Type} {a_WT:WhyType a}, a -> a -> bool.

Axiom eqb1 : forall {a:Type} {a_WT:WhyType a}, forall (x:a) (y:a), ((eqb x
  y) = true) <-> (x = y).

Parameter neqb: forall {a:Type} {a_WT:WhyType a}, a -> a -> bool.

Axiom neqb1 : forall {a:Type} {a_WT:WhyType a}, forall (x:a) (y:a), ((neqb x
  y) = true) <-> ~ (x = y).

Parameter zlt: Z -> Z -> bool.

Parameter zleq: Z -> Z -> bool.

Axiom zlt1 : forall (x:Z) (y:Z), ((zlt x y) = true) <-> (x < y)%Z.

Axiom zleq1 : forall (x:Z) (y:Z), ((zleq x y) = true) <-> (x <= y)%Z.

Parameter rlt: R -> R -> bool.

Parameter rleq: R -> R -> bool.

Axiom rlt1 : forall (x:R) (y:R), ((rlt x y) = true) <-> (x < y)%R.

Axiom rleq1 : forall (x:R) (y:R), ((rleq x y) = true) <-> (x <= y)%R.

Parameter truncate: R -> Z.

Axiom truncate_of_int : forall (x:Z), ((truncate (Reals.Raxioms.IZR x)) = x).

Axiom c_euclidian : forall (n:Z) (d:Z), (~ (d = 0%Z)) ->
  (n = (((ZArith.BinInt.Z.quot n d) * d)%Z + (ZArith.BinInt.Z.rem n d))%Z).

Axiom cdiv_cases : forall (n:Z) (d:Z), ((n <= 0%Z)%Z -> ((0%Z < d)%Z ->
  ((ZArith.BinInt.Z.quot n d) = (-(ZArith.BinInt.Z.quot (-n)%Z d))%Z))) /\
  (((0%Z <= n)%Z -> ((d < 0%Z)%Z ->
  ((ZArith.BinInt.Z.quot n d) = (-(ZArith.BinInt.Z.quot n (-d)%Z))%Z))) /\
  ((n <= 0%Z)%Z -> ((d < 0%Z)%Z ->
  ((ZArith.BinInt.Z.quot n d) = (ZArith.BinInt.Z.quot (-n)%Z (-d)%Z))))).

Axiom cmod_cases : forall (n:Z) (d:Z), ((n <= 0%Z)%Z -> ((0%Z < d)%Z ->
  ((ZArith.BinInt.Z.rem n d) = (-(ZArith.BinInt.Z.rem (-n)%Z d))%Z))) /\
  (((0%Z <= n)%Z -> ((d < 0%Z)%Z ->
  ((ZArith.BinInt.Z.rem n d) = (ZArith.BinInt.Z.rem n (-d)%Z)))) /\
  ((n <= 0%Z)%Z -> ((d < 0%Z)%Z ->
  ((ZArith.BinInt.Z.rem n d) = (-(ZArith.BinInt.Z.rem (-n)%Z (-d)%Z))%Z)))).

Axiom cmod_remainder : forall (n:Z) (d:Z), ((0%Z <= n)%Z -> ((0%Z < d)%Z ->
  ((0%Z <= (ZArith.BinInt.Z.rem n d))%Z /\
  ((ZArith.BinInt.Z.rem n d) < d)%Z))) /\ (((n <= 0%Z)%Z -> ((0%Z < d)%Z ->
  (((-d)%Z < (ZArith.BinInt.Z.rem n d))%Z /\
  ((ZArith.BinInt.Z.rem n d) <= 0%Z)%Z))) /\ (((0%Z <= n)%Z ->
  ((d < 0%Z)%Z -> ((0%Z <= (ZArith.BinInt.Z.rem n d))%Z /\
  ((ZArith.BinInt.Z.rem n d) < (-d)%Z)%Z))) /\ ((n <= 0%Z)%Z ->
  ((d < 0%Z)%Z -> ((d < (ZArith.BinInt.Z.rem n d))%Z /\
  ((ZArith.BinInt.Z.rem n d) <= 0%Z)%Z))))).

Axiom cdiv_neutral : forall (a:Z), ((ZArith.BinInt.Z.quot a 1%Z) = a).

Axiom cdiv_inv : forall (a:Z), (~ (a = 0%Z)) ->
  ((ZArith.BinInt.Z.quot a a) = 1%Z).

Parameter is_uint8: Z -> Prop.

Axiom is_uint8_def : forall (x:Z), (is_uint8 x) <-> ((0%Z <= x)%Z /\
  (x < 256%Z)%Z).

Parameter is_sint8: Z -> Prop.

Axiom is_sint8_def : forall (x:Z), (is_sint8 x) <-> (((-128%Z)%Z <= x)%Z /\
  (x < 128%Z)%Z).

Parameter is_uint16: Z -> Prop.

Axiom is_uint16_def : forall (x:Z), (is_uint16 x) <-> ((0%Z <= x)%Z /\
  (x < 65536%Z)%Z).

(* Why3 assumption *)
Definition is_sint16 (x:Z): Prop := ((-32768%Z)%Z <= x)%Z /\ (x < 32768%Z)%Z.

Parameter is_uint32: Z -> Prop.

Axiom is_uint32_def : forall (x:Z), (is_uint32 x) <-> ((0%Z <= x)%Z /\
  (x < 4294967296%Z)%Z).

Parameter is_sint32: Z -> Prop.

Axiom is_sint32_def : forall (x:Z), (is_sint32 x) <->
  (((-2147483648%Z)%Z <= x)%Z /\ (x < 2147483648%Z)%Z).

Parameter is_uint64: Z -> Prop.

Axiom is_uint64_def : forall (x:Z), (is_uint64 x) <-> ((0%Z <= x)%Z /\
  (x < 18446744073709551616%Z)%Z).

Parameter is_sint64: Z -> Prop.

Axiom is_sint64_def : forall (x:Z), (is_sint64 x) <->
  (((-9223372036854775808%Z)%Z <= x)%Z /\ (x < 9223372036854775808%Z)%Z).

Parameter to_uint8: Z -> Z.

Parameter to_sint8: Z -> Z.

Parameter to_uint16: Z -> Z.

Parameter to_sint16: Z -> Z.

Parameter to_uint32: Z -> Z.

Parameter to_sint32: Z -> Z.

Parameter to_uint64: Z -> Z.

Parameter to_sint64: Z -> Z.

Axiom is_to_uint8 : forall (x:Z), (is_uint8 (to_uint8 x)).

Axiom is_to_sint8 : forall (x:Z), (is_sint8 (to_sint8 x)).

Axiom is_to_uint16 : forall (x:Z), (is_uint16 (to_uint16 x)).

Axiom is_to_sint16 : forall (x:Z), (is_sint16 (to_sint16 x)).

Axiom is_to_uint32 : forall (x:Z), (is_uint32 (to_uint32 x)).

Axiom is_to_sint32 : forall (x:Z), (is_sint32 (to_sint32 x)).

Axiom is_to_uint64 : forall (x:Z), (is_uint64 (to_uint64 x)).

Axiom is_to_sint64 : forall (x:Z), (is_sint64 (to_sint64 x)).

Axiom id_uint8 : forall (x:Z), ((0%Z <= x)%Z /\ (x < 256%Z)%Z) ->
  ((to_uint8 x) = x).

Axiom id_sint8 : forall (x:Z), (((-128%Z)%Z <= x)%Z /\ (x < 128%Z)%Z) ->
  ((to_sint8 x) = x).

Axiom id_uint16 : forall (x:Z), ((0%Z <= x)%Z /\ (x < 65536%Z)%Z) ->
  ((to_uint16 x) = x).

Axiom id_sint16 : forall (x:Z), (((-32768%Z)%Z <= x)%Z /\ (x < 32768%Z)%Z) ->
  ((to_sint16 x) = x).

Axiom id_uint32 : forall (x:Z), ((0%Z <= x)%Z /\ (x < 4294967296%Z)%Z) ->
  ((to_uint32 x) = x).

Axiom id_sint32 : forall (x:Z), (((-2147483648%Z)%Z <= x)%Z /\
  (x < 2147483648%Z)%Z) -> ((to_sint32 x) = x).

Axiom id_uint64 : forall (x:Z), ((0%Z <= x)%Z /\
  (x < 18446744073709551616%Z)%Z) -> ((to_uint64 x) = x).

Axiom id_sint64 : forall (x:Z), (((-9223372036854775808%Z)%Z <= x)%Z /\
  (x < 9223372036854775808%Z)%Z) -> ((to_sint64 x) = x).

Parameter lnot: Z -> Z.

Parameter land: Z -> Z -> Z.

Parameter lxor: Z -> Z -> Z.

Parameter lor: Z -> Z -> Z.

Parameter lsl: Z -> Z -> Z.

Parameter lsr: Z -> Z -> Z.

Parameter bit_testb: Z -> Z -> bool.

Parameter bit_test: Z -> Z -> Prop.

(* Why3 assumption *)
Inductive addr :=
  | Mk_addr : Z -> Z -> addr.
Axiom addr_WhyType : WhyType addr.
Existing Instance addr_WhyType.

(* Why3 assumption *)
Definition offset (v:addr): Z := match v with
  | (Mk_addr x x1) => x1
  end.

(* Why3 assumption *)
Definition base (v:addr): Z := match v with
  | (Mk_addr x x1) => x
  end.

Parameter addr_le: addr -> addr -> Prop.

Parameter addr_lt: addr -> addr -> Prop.

Parameter addr_le_bool: addr -> addr -> bool.

Parameter addr_lt_bool: addr -> addr -> bool.

Axiom addr_le_def : forall (p:addr) (q:addr), ((base p) = (base q)) ->
  ((addr_le p q) <-> ((offset p) <= (offset q))%Z).

Axiom addr_lt_def : forall (p:addr) (q:addr), ((base p) = (base q)) ->
  ((addr_lt p q) <-> ((offset p) < (offset q))%Z).

Axiom addr_le_bool_def : forall (p:addr) (q:addr), (addr_le p q) <->
  ((addr_le_bool p q) = true).

Axiom addr_lt_bool_def : forall (p:addr) (q:addr), (addr_lt p q) <->
  ((addr_lt_bool p q) = true).

(* Why3 assumption *)
Definition shift (p:addr) (k:Z): addr := (Mk_addr (base p)
  ((offset p) + k)%Z).

Axiom shift_zero : forall (p:addr), ((shift p 0%Z) = p).

(* Why3 assumption *)
Definition included (p:addr) (a:Z) (q:addr) (b:Z): Prop := (0%Z < a)%Z ->
  ((0%Z <= b)%Z /\ (((base p) = (base q)) /\ (((offset q) <= (offset p))%Z /\
  (((offset p) + a)%Z <= ((offset q) + b)%Z)%Z))).

(* Why3 assumption *)
Definition separated (p:addr) (a:Z) (q:addr) (b:Z): Prop := (a <= 0%Z)%Z \/
  ((b <= 0%Z)%Z \/ ((~ ((base p) = (base q))) \/
  ((((offset q) + b)%Z <= (offset p))%Z \/
  (((offset p) + a)%Z <= (offset q))%Z))).

(* Why3 assumption *)
Definition eqmem {a:Type} {a_WT:WhyType a} (m1:(map.Map.map addr a))
  (m2:(map.Map.map addr a)) (p:addr) (a1:Z): Prop := forall (q:addr),
  (included q 1%Z p a1) -> ((map.Map.get m1 q) = (map.Map.get m2 q)).

(* Why3 assumption *)
Definition havoc {a:Type} {a_WT:WhyType a} (m1:(map.Map.map addr a))
  (m2:(map.Map.map addr a)) (p:addr) (a1:Z): Prop := forall (q:addr),
  (separated q 1%Z p a1) -> ((map.Map.get m1 q) = (map.Map.get m2 q)).

(* Why3 assumption *)
Definition valid_rd (m:(map.Map.map Z Z)) (p:addr) (n:Z): Prop :=
  (0%Z < n)%Z -> ((0%Z <= (offset p))%Z /\
  (((offset p) + n)%Z <= (map.Map.get m (base p)))%Z).

(* Why3 assumption *)
Definition valid_rw (m:(map.Map.map Z Z)) (p:addr) (n:Z): Prop :=
  (0%Z < n)%Z -> ((0%Z < (base p))%Z /\ ((0%Z <= (offset p))%Z /\
  (((offset p) + n)%Z <= (map.Map.get m (base p)))%Z)).

Axiom valid_rw_rd : forall (m:(map.Map.map Z Z)), forall (p:addr),
  forall (n:Z), (valid_rw m p n) -> (valid_rd m p n).

Axiom valid_string : forall (m:(map.Map.map Z Z)), forall (p:addr),
  ((base p) < 0%Z)%Z -> (((0%Z <= (offset p))%Z /\
  ((offset p) < (map.Map.get m (base p)))%Z) -> ((valid_rd m p 1%Z) /\
  ~ (valid_rw m p 1%Z))).

Axiom separated_1 : forall (p:addr) (q:addr), forall (a:Z) (b:Z) (i:Z) (j:Z),
  (separated p a q b) -> ((((offset p) <= i)%Z /\
  (i < ((offset p) + a)%Z)%Z) -> ((((offset q) <= j)%Z /\
  (j < ((offset q) + b)%Z)%Z) -> ~ ((Mk_addr (base p) i) = (Mk_addr (base q)
  j)))).

Parameter region: Z -> Z.

Parameter linked: (map.Map.map Z Z) -> Prop.

Parameter sconst: (map.Map.map addr Z) -> Prop.

(* Why3 assumption *)
Definition framed (m:(map.Map.map addr addr)): Prop := forall (p:addr),
  ((region (base (map.Map.get m p))) <= 0%Z)%Z.

Axiom separated_included : forall (p:addr) (q:addr), forall (a:Z) (b:Z),
  (0%Z < a)%Z -> ((0%Z < b)%Z -> ((separated p a q b) -> ~ (included p a q
  b))).

Axiom included_trans : forall (p:addr) (q:addr) (r:addr), forall (a:Z) (b:Z)
  (c:Z), (included p a q b) -> ((included q b r c) -> (included p a r c)).

Axiom separated_trans : forall (p:addr) (q:addr) (r:addr), forall (a:Z) (b:Z)
  (c:Z), (included p a q b) -> ((separated q b r c) -> (separated p a r c)).

Axiom separated_sym : forall (p:addr) (q:addr), forall (a:Z) (b:Z),
  (separated p a q b) <-> (separated q b p a).

Axiom eqmem_included : forall {a:Type} {a_WT:WhyType a},
  forall (m1:(map.Map.map addr a)) (m2:(map.Map.map addr a)), forall (p:addr)
  (q:addr), forall (a1:Z) (b:Z), (included p a1 q b) -> ((eqmem m1 m2 q b) ->
  (eqmem m1 m2 p a1)).

Axiom eqmem_sym : forall {a:Type} {a_WT:WhyType a}, forall (m1:(map.Map.map
  addr a)) (m2:(map.Map.map addr a)), forall (p:addr), forall (a1:Z), (eqmem
  m1 m2 p a1) -> (eqmem m2 m1 p a1).

Axiom havoc_sym : forall {a:Type} {a_WT:WhyType a}, forall (m1:(map.Map.map
  addr a)) (m2:(map.Map.map addr a)), forall (p:addr), forall (a1:Z), (havoc
  m1 m2 p a1) -> (havoc m2 m1 p a1).

Parameter cast: addr -> Z.

Axiom cast_injective : forall (p:addr) (q:addr), ((cast p) = (cast q)) ->
  (p = q).

Parameter hardware: Z -> Z.

Axiom hardnull : ((hardware 0%Z) = 0%Z).

Axiom Q_G___allocated_918_linked : forall (alloc_0:(map.Map.map Z Z)),
  (linked alloc_0) -> (4096%Z = (map.Map.get alloc_0 919%Z)).

Axiom Q_G___allocated_918_region : (0%Z = (region 919%Z)).

(* Why3 assumption *)
Definition p_old_allocated (mptr_0:(map.Map.map addr addr))
  (mptr_1:(map.Map.map addr addr)) (num_allocated_0:Z) (p_0:addr): Prop :=
  let a_0 := (Mk_addr 919%Z 0%Z) in forall (i_0:Z) (j_0:Z), let a_1 :=
  (map.Map.get mptr_1 (shift a_0 i_0)) in let a_2 := (shift a_0 j_0) in
  let a_3 := (map.Map.get mptr_1 a_2) in ((is_uint32 i_0) -> ((is_uint32
  j_0) -> (((i_0 < num_allocated_0)%Z -> ((j_0 < i_0)%Z -> ((0%Z <= i_0)%Z ->
  ((0%Z <= j_0)%Z -> ((p_0 = a_1) -> (a_3 = (map.Map.get mptr_0 a_2))))))) /\
  ((i_0 < j_0)%Z -> ((i_0 < num_allocated_0)%Z ->
  ((j_0 < num_allocated_0)%Z -> ((0%Z <= i_0)%Z -> ((p_0 = a_1) ->
  (a_3 = (map.Map.get mptr_0 (shift a_0 (j_0 - 1%Z)%Z))))))))))).

Parameter l_UINT32_MAX: Z.

Parameter l_HEAP_SIZE: Z.

Parameter l_MAX_ALLOCS: Z.

Axiom Q_uint32_max_def : (4294967295%Z = l_UINT32_MAX).

Axiom Q_heap_size_range : (0%Z <= l_HEAP_SIZE)%Z /\
  (l_HEAP_SIZE <= 2147483647%Z)%Z.

Axiom Q_max_allocs_size : (1024%Z = l_MAX_ALLOCS).

Axiom Q_max_allocs_range : (0%Z <= l_MAX_ALLOCS)%Z /\
  (l_MAX_ALLOCS <= 2147483647%Z)%Z.

Axiom Q_TL_UINT32_MAX : (is_uint32 l_UINT32_MAX).

Axiom Q_TL_HEAP_SIZE : (is_uint32 l_HEAP_SIZE).

Axiom Q_TL_MAX_ALLOCS : (is_uint32 l_MAX_ALLOCS).

(* Why3 assumption *)
Definition p_is_allocated_size (malloc_0:(map.Map.map Z Z))
  (mptr_0:(map.Map.map addr addr)) (num_allocated_0:Z) (p_0:addr)
  (i_0:Z): Prop := (num_allocated_0 <= l_MAX_ALLOCS)%Z -> exists j_0:Z,
  let a_1 := (map.Map.get mptr_0 (shift (Mk_addr 919%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_0)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((p_0 = a_1) /\ (valid_rw malloc_0 (shift a_1 0%Z) i_0))))).

(* Why3 assumption *)
Definition p_is_allocated (malloc_0:(map.Map.map Z Z)) (mptr_0:(map.Map.map
  addr addr)) (num_allocated_0:Z) (p_0:addr): Prop :=
  (num_allocated_0 <= l_MAX_ALLOCS)%Z -> exists i_0:Z, (is_uint32 i_0) /\
  (p_is_allocated_size malloc_0 mptr_0 num_allocated_0 p_0 i_0).

(* Why3 assumption *)
Definition p_correct_allocation (num_allocated_0:Z)
  (size_allocated_0:Z): Prop := (num_allocated_0 <= l_MAX_ALLOCS)%Z /\
  (size_allocated_0 <= l_HEAP_SIZE)%Z.

(* Why3 assumption *)
Definition p_allocation_footprint (num_allocated_0:Z) (size_allocated_0:Z)
  (num_allocated_1:Z) (size_allocated_1:Z) (s_0:Z) (no_0:Z): Prop :=
  (num_allocated_0 = (no_0 + num_allocated_1)%Z) /\
  (size_allocated_0 = (s_0 + size_allocated_1)%Z).

(* Why3 assumption *)
Definition p_is_allocable (num_allocated_0:Z) (size_allocated_0:Z) (size_0:Z)
  (no_0:Z): Prop := (0%Z < no_0)%Z /\ ((0%Z < size_0)%Z /\
  (((no_0 + num_allocated_0)%Z <= l_MAX_ALLOCS)%Z /\
  ((size_0 + size_allocated_0)%Z <= l_HEAP_SIZE)%Z)).

Axiom Q_is_allocated_det : True.

Axiom Q_is_allocable_det : True.

Axiom Q_valid_different_separated : True.

Axiom Q_is_allocable_monotone : forall (k_0:Z) (l_0:Z) (m_0:Z) (n_0:Z)
  (num_allocated_0:Z) (size_allocated_0:Z), (0%Z < k_0)%Z ->
  ((0%Z < n_0)%Z -> ((k_0 <= l_0)%Z -> ((n_0 <= m_0)%Z -> ((is_uint32 k_0) ->
  ((is_uint32 l_0) -> ((is_uint32 m_0) -> ((is_uint32 n_0) ->
  ((p_is_allocable num_allocated_0 size_allocated_0 m_0 l_0) ->
  (p_is_allocable num_allocated_0 size_allocated_0 n_0 k_0))))))))).

Axiom Q_non_null_for_allocated : forall (i_0:Z) (num_allocated_0:Z),
  forall (mptr_0:(map.Map.map addr addr)), (i_0 < num_allocated_0)%Z ->
  ((0%Z <= i_0)%Z -> ((is_uint32 i_0) -> ~ ((Mk_addr 0%Z
  0%Z) = (map.Map.get mptr_0 (shift (Mk_addr 919%Z 0%Z) i_0))))).

Axiom Q_allocated_in_heap_size : forall (l_0:Z) (num_allocated_0:Z),
  forall (malloc_0:(map.Map.map Z Z)), forall (mptr_0:(map.Map.map addr
  addr)), forall (p_0:addr), (is_uint32 l_0) -> ((p_is_allocated_size
  malloc_0 mptr_0 num_allocated_0 p_0 l_0) -> (l_0 < l_HEAP_SIZE)%Z).

Axiom Q_sep__allocated_between : let a_0 := (Mk_addr 919%Z 0%Z) in
  forall (i_0:Z) (j_0:Z) (k_0:Z) (l_0:Z) (num_allocated_0:Z),
  forall (malloc_0:(map.Map.map Z Z)), forall (mptr_0:(map.Map.map addr
  addr)), let a_1 := (shift (map.Map.get mptr_0 (shift a_0 i_0)) 0%Z) in
  let x_0 := (1%Z + k_0)%Z in let a_2 := (shift (map.Map.get mptr_0
  (shift a_0 j_0)) 0%Z) in let x_1 := (1%Z + l_0)%Z in ((~ (i_0 = j_0)) ->
  ((i_0 < num_allocated_0)%Z -> ((j_0 < num_allocated_0)%Z ->
  ((0%Z <= i_0)%Z -> ((0%Z <= j_0)%Z -> ((is_uint32 k_0) -> ((is_uint32
  l_0) -> ((is_sint32 i_0) -> ((is_sint32 j_0) -> ((valid_rw malloc_0 a_1
  x_0) -> ((valid_rw malloc_0 a_2 x_1) -> (separated a_1 x_0 a_2
  x_1)))))))))))).

Axiom Q_sep__allocated : let a_0 := (Mk_addr 919%Z 0%Z) in forall (i_0:Z)
  (j_0:Z) (num_allocated_0:Z), forall (malloc_0:(map.Map.map Z Z)),
  forall (mptr_0:(map.Map.map addr addr)), let a_1 :=
  (shift (map.Map.get mptr_0 (shift a_0 i_0)) 0%Z) in let x_0 :=
  (1%Z + j_0)%Z in ((i_0 < num_allocated_0)%Z -> ((0%Z <= i_0)%Z ->
  ((is_uint32 i_0) -> ((is_uint32 j_0) -> ((valid_rw malloc_0 a_1 x_0) ->
  (separated (shift a_0 0%Z) l_MAX_ALLOCS a_1 x_0)))))).

Axiom Q_unique_in__allocated : let a_0 := (Mk_addr 919%Z 0%Z) in
  forall (i_0:Z) (j_0:Z), forall (mptr_0:(map.Map.map addr addr)),
  (j_0 < l_MAX_ALLOCS)%Z -> ((0%Z <= i_0)%Z -> ((i_0 <= j_0)%Z ->
  (((map.Map.get mptr_0 (shift a_0 i_0)) = (map.Map.get mptr_0 (shift a_0
  j_0))) -> (i_0 = j_0)))).

Axiom Q_valid__allocated : forall (num_allocated_0:Z) (s_0:Z),
  forall (malloc_0:(map.Map.map Z Z)), forall (mptr_0:(map.Map.map addr
  addr)), forall (keys_0:addr), (is_uint32 s_0) -> ((valid_rw malloc_0
  (shift keys_0 0%Z) s_0) -> exists i_0:Z, exists s0_0:Z,
  exists keys0_0:addr, (is_uint32 i_0) /\ ((is_uint32 s0_0) /\
  ((keys_0 = (shift keys0_0 i_0)) /\ (((i_0 + s_0)%Z <= s0_0)%Z /\
  (p_is_allocated_size malloc_0 mptr_0 num_allocated_0 keys0_0 s0_0))))).

Axiom Q___allocated_valid : forall (num_allocated_0:Z) (s_0:Z),
  forall (malloc_0:(map.Map.map Z Z)), forall (mptr_0:(map.Map.map addr
  addr)), forall (keys_0:addr), (is_uint32 s_0) -> ((p_is_allocated_size
  malloc_0 mptr_0 num_allocated_0 keys_0 s_0) -> (valid_rw malloc_0
  (shift keys_0 0%Z) s_0)).

Axiom Q___allocated_small : forall (num_allocated_0:Z),
  (num_allocated_0 < l_MAX_ALLOCS)%Z /\ (0%Z <= num_allocated_0)%Z.

Axiom Q_is_allocated_size_no_size : forall (n_0:Z) (num_allocated_0:Z),
  forall (malloc_0:(map.Map.map Z Z)), forall (mptr_0:(map.Map.map addr
  addr)), forall (p_0:addr), (is_uint32 n_0) -> ((p_is_allocated_size
  malloc_0 mptr_0 num_allocated_0 p_0 n_0) -> (p_is_allocated malloc_0 mptr_0
  num_allocated_0 p_0)).

Axiom Q_old_allocated_is_allocated : forall (num_allocated_1:Z)
  (num_allocated_0:Z), forall (malloc_1:(map.Map.map Z Z))
  (malloc_0:(map.Map.map Z Z)), forall (mptr_1:(map.Map.map addr addr))
  (mptr_0:(map.Map.map addr addr)), forall (p_0:addr) (q_0:addr),
  (~ (p_0 = q_0)) -> ((num_allocated_1 <= l_MAX_ALLOCS)%Z ->
  ((num_allocated_0 <= l_MAX_ALLOCS)%Z ->
  ((num_allocated_0 = (1%Z + num_allocated_1)%Z) -> ((p_is_allocated malloc_0
  mptr_0 num_allocated_0 p_0) -> ((p_is_allocated malloc_0 mptr_0
  num_allocated_0 q_0) -> ((p_old_allocated mptr_1 mptr_0 num_allocated_0
  p_0) -> (p_is_allocated malloc_1 mptr_1 num_allocated_1 q_0))))))).

(* Why3 goal *)
Theorem Q_allocated_in_separated : forall (l_0:Z) (num_allocated_0:Z),
  forall (malloc_0:(map.Map.map Z Z)), forall (mptr_0:(map.Map.map addr
  addr)), forall (p_0:addr), let a_0 := (shift p_0 0%Z) in let x_0 :=
  (1%Z + l_0)%Z in ((num_allocated_0 <= l_MAX_ALLOCS)%Z -> ((is_uint32
  l_0) -> ((p_is_allocated malloc_0 mptr_0 num_allocated_0 p_0) -> ((valid_rw
  malloc_0 a_0 x_0) -> (separated (shift (Mk_addr 919%Z 0%Z) 0%Z)
  l_MAX_ALLOCS a_0 x_0))))).
intros l_0 num_allocated_0 malloc_0 mptr_0 p_0 a_0 x_0 h1 h2 h3 h4.
unfold p_is_allocated in h3.
lapply h3.
intros.
clear h3.
destruct H.
decompose [and] H; clear H.
unfold p_is_allocated_size in H1.
lapply H1.
intros; clear H1.
destruct H.
decompose [and] H; clear H.
subst a_0.
rewrite H4.
replace x_0 with (1 + (x_0 - 1))%Z.
apply (Q_sep__allocated x0 (x_0 - 1)%Z num_allocated_0 malloc_0); try trivial.
Require Import Why3.
why3 "cvc4" timelimit 5.
why3 "cvc4" timelimit 5.
auto with zarith.
why3 "cvc4" timelimit 5.
why3 "cvc4" timelimit 5.
Qed.

