(* This file is generated by Why3's Coq driver *)
(* Beware! Only edit allowed sections below    *)
Require Import BuiltIn.
Require BuiltIn.
Require bool.Bool.
Require int.Int.
Require int.Abs.
Require int.ComputerDivision.
Require real.Real.
Require real.RealInfix.
Require real.FromInt.
Require map.Map.

Parameter ite: forall {a:Type} {a_WT:WhyType a}, bool -> a -> a -> a.

Parameter eqb: forall {a:Type} {a_WT:WhyType a}, a -> a -> bool.

Parameter neqb: forall {a:Type} {a_WT:WhyType a}, a -> a -> bool.

Parameter zlt: Z -> Z -> bool.

Parameter zleq: Z -> Z -> bool.

Parameter rlt: R -> R -> bool.

Parameter rleq: R -> R -> bool.

Parameter truncate: R -> Z.

(* Why3 assumption *)
Inductive addr :=
  | Mk_addr : Z -> Z -> addr.
Axiom addr_WhyType : WhyType addr.
Existing Instance addr_WhyType.

(* Why3 assumption *)
Definition offset (v:addr): Z := match v with
  | (Mk_addr x x1) => x1
  end.

(* Why3 assumption *)
Definition base (v:addr): Z := match v with
  | (Mk_addr x x1) => x
  end.

Parameter addr_le: addr -> addr -> Prop.

Parameter addr_lt: addr -> addr -> Prop.

Parameter addr_le_bool: addr -> addr -> bool.

Parameter addr_lt_bool: addr -> addr -> bool.

(* Why3 assumption *)
Definition shift (p:addr) (k:Z): addr := (Mk_addr (base p)
  ((offset p) + k)%Z).

(* Why3 assumption *)
Definition valid_rw (m:(map.Map.map Z Z)) (p:addr) (n:Z): Prop :=
  (0%Z < n)%Z -> ((0%Z < (base p))%Z /\ ((0%Z <= (offset p))%Z /\
  (((offset p) + n)%Z <= (map.Map.get m (base p)))%Z)).

Parameter region: Z -> Z.

Parameter linked: (map.Map.map Z Z) -> Prop.

Parameter sconst: (map.Map.map addr Z) -> Prop.

Parameter cast: addr -> Z.

Parameter hardware: Z -> Z.

Parameter l_strlen: addr -> Z.

Parameter l_memcmp: (map.Map.map addr Z) -> addr -> addr -> Z -> Z.

(* Why3 assumption *)
Definition p_valid_string (malloc_0:(map.Map.map Z Z)) (s_0:addr): Prop :=
  let x_0 := (l_strlen s_0) in ((0%Z <= x_0)%Z /\ (valid_rw malloc_0
  (shift s_0 0%Z) (1%Z + x_0)%Z)).

Parameter l_strcmp: addr -> addr -> Z.

Axiom Q_strcmp_zero : forall (mchar_0:(map.Map.map addr Z)),
  forall (s1_0:addr) (s2_0:addr), let x_0 := (l_strlen s1_0) in
  ((0%Z = (l_strcmp s1_0 s2_0)) <-> ((x_0 = (l_strlen s2_0)) /\
  forall (i_0:Z), (0%Z <= i_0)%Z -> ((i_0 <= x_0)%Z -> ((map.Map.get mchar_0
  (shift s1_0 i_0)) = (map.Map.get mchar_0 (shift s2_0 i_0)))))).

(* Why3 goal *)
Theorem Q_strcmp_equal : forall (malloc_0:(map.Map.map Z Z)),
  forall (s_0:addr), (p_valid_string malloc_0 s_0) -> (0%Z = (l_strcmp s_0
  s_0)).
(* Why3 intros malloc_0 s_0 h1. *)
intros malloc_0 s_0 h1.
unfold p_valid_string in h1.
set (mptr_0 := Map._map_constr addr int (fun x => 0%Z)).
apply <- (Q_strcmp_zero mptr_0).
intuition.
Qed.

