(* This file is generated by Why3's Coq driver *)
(* Beware! Only edit allowed sections below    *)
Require Import BuiltIn.
Require BuiltIn.
Require bool.Bool.
Require int.Int.
Require int.Abs.
Require int.ComputerDivision.
Require real.Real.
Require real.RealInfix.
Require real.FromInt.
Require map.Map.

Parameter ite: forall {a:Type} {a_WT:WhyType a}, bool -> a -> a -> a.

Parameter eqb: forall {a:Type} {a_WT:WhyType a}, a -> a -> bool.

Parameter neqb: forall {a:Type} {a_WT:WhyType a}, a -> a -> bool.

Parameter zlt: Z -> Z -> bool.

Parameter zleq: Z -> Z -> bool.

Parameter rlt: R -> R -> bool.

Parameter rleq: R -> R -> bool.

Parameter truncate: R -> Z.

(* Why3 assumption *)
Inductive addr :=
  | Mk_addr : Z -> Z -> addr.
Axiom addr_WhyType : WhyType addr.
Existing Instance addr_WhyType.

(* Why3 assumption *)
Definition offset (v:addr): Z := match v with
  | (Mk_addr x x1) => x1
  end.

(* Why3 assumption *)
Definition base (v:addr): Z := match v with
  | (Mk_addr x x1) => x
  end.

Parameter addr_le: addr -> addr -> Prop.

Parameter addr_lt: addr -> addr -> Prop.

Parameter addr_le_bool: addr -> addr -> bool.

Parameter addr_lt_bool: addr -> addr -> bool.

(* Why3 assumption *)
Definition shift (p:addr) (k:Z): addr := (Mk_addr (base p)
  ((offset p) + k)%Z).

(* Why3 assumption *)
Definition separated (p:addr) (a:Z) (q:addr) (b:Z): Prop := (a <= 0%Z)%Z \/
  ((b <= 0%Z)%Z \/ ((~ ((base p) = (base q))) \/
  ((((offset q) + b)%Z <= (offset p))%Z \/
  (((offset p) + a)%Z <= (offset q))%Z))).

(* Why3 assumption *)
Definition havoc {a:Type} {a_WT:WhyType a} (m1:(map.Map.map addr a))
  (m2:(map.Map.map addr a)) (p:addr) (a1:Z): Prop := forall (q:addr),
  (separated q 1%Z p a1) -> ((map.Map.get m1 q) = (map.Map.get m2 q)).

(* Why3 assumption *)
Definition valid_rw (m:(map.Map.map Z Z)) (p:addr) (n:Z): Prop :=
  (0%Z < n)%Z -> ((0%Z < (base p))%Z /\ ((0%Z <= (offset p))%Z /\
  (((offset p) + n)%Z <= (map.Map.get m (base p)))%Z)).

Parameter region: Z -> Z.

Parameter linked: (map.Map.map Z Z) -> Prop.

Parameter sconst: (map.Map.map addr Z) -> Prop.

(* Why3 assumption *)
Definition framed (m:(map.Map.map addr addr)): Prop := forall (p:addr),
  ((region (base (map.Map.get m p))) <= 0%Z)%Z.

Parameter cast: addr -> Z.

Parameter hardware: Z -> Z.

Parameter p_valid_Type_ptr: addr -> Prop.

Parameter l_strlen: addr -> Z.

Parameter l_memcmp: (map.Map.map addr Z) -> addr -> addr -> Z -> Z.

(* Why3 assumption *)
Inductive s_Mvar :=
  | mk_s_Mvar : addr -> s_Mvar.
Axiom s_Mvar_WhyType : WhyType s_Mvar.
Existing Instance s_Mvar_WhyType.

(* Why3 assumption *)
Definition f_Mvar_name (v:s_Mvar): addr :=
  match v with
  | (mk_s_Mvar x) => x
  end.

(* Why3 assumption *)
Definition eqS_Mvar (s_0:s_Mvar) (s_1:s_Mvar): Prop :=
  ((f_Mvar_name s_0) = (f_Mvar_name s_1)).

(* Why3 assumption *)
Inductive s_Mapp :=
  | mk_s_Mapp : addr -> addr -> s_Mapp.
Axiom s_Mapp_WhyType : WhyType s_Mapp.
Existing Instance s_Mapp_WhyType.

(* Why3 assumption *)
Definition f_Mapp_term2 (v:s_Mapp): addr :=
  match v with
  | (mk_s_Mapp x x1) => x1
  end.

(* Why3 assumption *)
Definition f_Mapp_term1 (v:s_Mapp): addr :=
  match v with
  | (mk_s_Mapp x x1) => x
  end.

(* Why3 assumption *)
Definition eqS_Mapp (s_0:s_Mapp) (s_1:s_Mapp): Prop :=
  ((f_Mapp_term1 s_0) = (f_Mapp_term1 s_1)) /\
  ((f_Mapp_term2 s_0) = (f_Mapp_term2 s_1)).

(* Why3 assumption *)
Inductive s_Mlam :=
  | mk_s_Mlam : addr -> addr -> addr -> s_Mlam.
Axiom s_Mlam_WhyType : WhyType s_Mlam.
Existing Instance s_Mlam_WhyType.

(* Why3 assumption *)
Definition f_Mlam_term (v:s_Mlam): addr :=
  match v with
  | (mk_s_Mlam x x1 x2) => x2
  end.

(* Why3 assumption *)
Definition f_Mlam_type (v:s_Mlam): addr :=
  match v with
  | (mk_s_Mlam x x1 x2) => x1
  end.

(* Why3 assumption *)
Definition f_Mlam_name (v:s_Mlam): addr :=
  match v with
  | (mk_s_Mlam x x1 x2) => x
  end.

(* Why3 assumption *)
Definition eqS_Mlam (s_0:s_Mlam) (s_1:s_Mlam): Prop :=
  ((f_Mlam_name s_0) = (f_Mlam_name s_1)) /\
  (((f_Mlam_term s_0) = (f_Mlam_term s_1)) /\
  ((f_Mlam_type s_0) = (f_Mlam_type s_1))).

(* Why3 assumption *)
Inductive s_Mwit :=
  | mk_s_Mwit : addr -> addr -> addr -> s_Mwit.
Axiom s_Mwit_WhyType : WhyType s_Mwit.
Existing Instance s_Mwit_WhyType.

(* Why3 assumption *)
Definition f_Mwit_term2 (v:s_Mwit): addr :=
  match v with
  | (mk_s_Mwit x x1 x2) => x2
  end.

(* Why3 assumption *)
Definition f_Mwit_term1 (v:s_Mwit): addr :=
  match v with
  | (mk_s_Mwit x x1 x2) => x1
  end.

(* Why3 assumption *)
Definition f_Mwit_type (v:s_Mwit): addr :=
  match v with
  | (mk_s_Mwit x x1 x2) => x
  end.

(* Why3 assumption *)
Definition eqS_Mwit (s_0:s_Mwit) (s_1:s_Mwit): Prop :=
  ((f_Mwit_term1 s_0) = (f_Mwit_term1 s_1)) /\
  (((f_Mwit_term2 s_0) = (f_Mwit_term2 s_1)) /\
  ((f_Mwit_type s_0) = (f_Mwit_type s_1))).

(* Why3 assumption *)
Inductive s_Mabs :=
  | mk_s_Mabs : addr -> addr -> addr -> addr -> addr -> addr -> s_Mabs.
Axiom s_Mabs_WhyType : WhyType s_Mabs.
Existing Instance s_Mabs_WhyType.

(* Why3 assumption *)
Definition f_Mabs_term6 (v:s_Mabs): addr :=
  match v with
  | (mk_s_Mabs x x1 x2 x3 x4 x5) => x5
  end.

(* Why3 assumption *)
Definition f_Mabs_term5 (v:s_Mabs): addr :=
  match v with
  | (mk_s_Mabs x x1 x2 x3 x4 x5) => x4
  end.

(* Why3 assumption *)
Definition f_Mabs_type4 (v:s_Mabs): addr :=
  match v with
  | (mk_s_Mabs x x1 x2 x3 x4 x5) => x3
  end.

(* Why3 assumption *)
Definition f_Mabs_name3 (v:s_Mabs): addr :=
  match v with
  | (mk_s_Mabs x x1 x2 x3 x4 x5) => x2
  end.

(* Why3 assumption *)
Definition f_Mabs_type2 (v:s_Mabs): addr :=
  match v with
  | (mk_s_Mabs x x1 x2 x3 x4 x5) => x1
  end.

(* Why3 assumption *)
Definition f_Mabs_name1 (v:s_Mabs): addr :=
  match v with
  | (mk_s_Mabs x x1 x2 x3 x4 x5) => x
  end.

(* Why3 assumption *)
Definition eqS_Mabs (s_0:s_Mabs) (s_1:s_Mabs): Prop :=
  ((f_Mabs_name1 s_0) = (f_Mabs_name1 s_1)) /\
  (((f_Mabs_name3 s_0) = (f_Mabs_name3 s_1)) /\
  (((f_Mabs_term5 s_0) = (f_Mabs_term5 s_1)) /\
  (((f_Mabs_term6 s_0) = (f_Mabs_term6 s_1)) /\
  (((f_Mabs_type2 s_0) = (f_Mabs_type2 s_1)) /\
  ((f_Mabs_type4 s_0) = (f_Mabs_type4 s_1)))))).

(* Why3 assumption *)
Inductive s_Mtup :=
  | mk_s_Mtup : addr -> addr -> addr -> s_Mtup.
Axiom s_Mtup_WhyType : WhyType s_Mtup.
Existing Instance s_Mtup_WhyType.

(* Why3 assumption *)
Definition f_Mtup_term2 (v:s_Mtup): addr :=
  match v with
  | (mk_s_Mtup x x1 x2) => x2
  end.

(* Why3 assumption *)
Definition f_Mtup_term1 (v:s_Mtup): addr :=
  match v with
  | (mk_s_Mtup x x1 x2) => x1
  end.

(* Why3 assumption *)
Definition f_Mtup_type (v:s_Mtup): addr :=
  match v with
  | (mk_s_Mtup x x1 x2) => x
  end.

(* Why3 assumption *)
Definition eqS_Mtup (s_0:s_Mtup) (s_1:s_Mtup): Prop :=
  ((f_Mtup_term1 s_0) = (f_Mtup_term1 s_1)) /\
  (((f_Mtup_term2 s_0) = (f_Mtup_term2 s_1)) /\
  ((f_Mtup_type s_0) = (f_Mtup_type s_1))).

(* Why3 assumption *)
Inductive s_Mpi1 :=
  | mk_s_Mpi1 : addr -> s_Mpi1.
Axiom s_Mpi1_WhyType : WhyType s_Mpi1.
Existing Instance s_Mpi1_WhyType.

(* Why3 assumption *)
Definition f_Mpi1_term (v:s_Mpi1): addr :=
  match v with
  | (mk_s_Mpi1 x) => x
  end.

(* Why3 assumption *)
Definition eqS_Mpi1 (s_0:s_Mpi1) (s_1:s_Mpi1): Prop :=
  ((f_Mpi1_term s_0) = (f_Mpi1_term s_1)).

(* Why3 assumption *)
Inductive s_Mpi2 :=
  | mk_s_Mpi2 : addr -> s_Mpi2.
Axiom s_Mpi2_WhyType : WhyType s_Mpi2.
Existing Instance s_Mpi2_WhyType.

(* Why3 assumption *)
Definition f_Mpi2_term (v:s_Mpi2): addr :=
  match v with
  | (mk_s_Mpi2 x) => x
  end.

(* Why3 assumption *)
Definition eqS_Mpi2 (s_0:s_Mpi2) (s_1:s_Mpi2): Prop :=
  ((f_Mpi2_term s_0) = (f_Mpi2_term s_1)).

(* Why3 assumption *)
Inductive s_Min1 :=
  | mk_s_Min1 : addr -> addr -> s_Min1.
Axiom s_Min1_WhyType : WhyType s_Min1.
Existing Instance s_Min1_WhyType.

(* Why3 assumption *)
Definition f_Min1_term (v:s_Min1): addr :=
  match v with
  | (mk_s_Min1 x x1) => x1
  end.

(* Why3 assumption *)
Definition f_Min1_type (v:s_Min1): addr :=
  match v with
  | (mk_s_Min1 x x1) => x
  end.

(* Why3 assumption *)
Definition eqS_Min1 (s_0:s_Min1) (s_1:s_Min1): Prop :=
  ((f_Min1_term s_0) = (f_Min1_term s_1)) /\
  ((f_Min1_type s_0) = (f_Min1_type s_1)).

(* Why3 assumption *)
Inductive s_Min2 :=
  | mk_s_Min2 : addr -> addr -> s_Min2.
Axiom s_Min2_WhyType : WhyType s_Min2.
Existing Instance s_Min2_WhyType.

(* Why3 assumption *)
Definition f_Min2_term (v:s_Min2): addr :=
  match v with
  | (mk_s_Min2 x x1) => x1
  end.

(* Why3 assumption *)
Definition f_Min2_type (v:s_Min2): addr :=
  match v with
  | (mk_s_Min2 x x1) => x
  end.

(* Why3 assumption *)
Inductive s_McasIn :=
  | mk_s_McasIn : addr -> addr -> addr -> s_McasIn.
Axiom s_McasIn_WhyType : WhyType s_McasIn.
Existing Instance s_McasIn_WhyType.

(* Why3 assumption *)
Definition f_McasIn_term (v:s_McasIn): addr :=
  match v with
  | (mk_s_McasIn x x1 x2) => x2
  end.

(* Why3 assumption *)
Definition f_McasIn_type (v:s_McasIn): addr :=
  match v with
  | (mk_s_McasIn x x1 x2) => x1
  end.

(* Why3 assumption *)
Definition f_McasIn_name (v:s_McasIn): addr :=
  match v with
  | (mk_s_McasIn x x1 x2) => x
  end.

(* Why3 assumption *)
Inductive s_Mcas :=
  | mk_s_Mcas : addr -> s_McasIn -> s_McasIn -> s_Mcas.
Axiom s_Mcas_WhyType : WhyType s_Mcas.
Existing Instance s_Mcas_WhyType.

(* Why3 assumption *)
Definition f_Mcas_casIn2 (v:s_Mcas): s_McasIn :=
  match v with
  | (mk_s_Mcas x x1 x2) => x2
  end.

(* Why3 assumption *)
Definition f_Mcas_casIn1 (v:s_Mcas): s_McasIn :=
  match v with
  | (mk_s_Mcas x x1 x2) => x1
  end.

(* Why3 assumption *)
Definition f_Mcas_term (v:s_Mcas): addr :=
  match v with
  | (mk_s_Mcas x x1 x2) => x
  end.

(* Why3 assumption *)
Inductive s_Meps :=
  | mk_s_Meps : addr -> addr -> s_Meps.
Axiom s_Meps_WhyType : WhyType s_Meps.
Existing Instance s_Meps_WhyType.

(* Why3 assumption *)
Definition f_Meps_term (v:s_Meps): addr :=
  match v with
  | (mk_s_Meps x x1) => x1
  end.

(* Why3 assumption *)
Definition f_Meps_type (v:s_Meps): addr :=
  match v with
  | (mk_s_Meps x x1) => x
  end.

(* Why3 assumption *)
Inductive s_Term :=
  | mk_s_Term : Z -> s_Mvar -> s_Mapp -> s_Mlam -> s_Mwit -> s_Mabs ->
      s_Mtup -> s_Mpi1 -> s_Mpi2 -> s_Min1 -> s_Min2 -> s_Mcas -> s_Meps ->
      s_Term.
Axiom s_Term_WhyType : WhyType s_Term.
Existing Instance s_Term_WhyType.

(* Why3 assumption *)
Definition f_Term_mEps (v:s_Term): s_Meps :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x12
  end.

(* Why3 assumption *)
Definition f_Term_mCas (v:s_Term): s_Mcas :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x11
  end.

(* Why3 assumption *)
Definition f_Term_mIn2 (v:s_Term): s_Min2 :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x10
  end.

(* Why3 assumption *)
Definition f_Term_mIn1 (v:s_Term): s_Min1 :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x9
  end.

(* Why3 assumption *)
Definition f_Term_mPi2 (v:s_Term): s_Mpi2 :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x8
  end.

(* Why3 assumption *)
Definition f_Term_mPi1 (v:s_Term): s_Mpi1 :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x7
  end.

(* Why3 assumption *)
Definition f_Term_mTup (v:s_Term): s_Mtup :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x6
  end.

(* Why3 assumption *)
Definition f_Term_mAbs (v:s_Term): s_Mabs :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x5
  end.

(* Why3 assumption *)
Definition f_Term_mWit (v:s_Term): s_Mwit :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x4
  end.

(* Why3 assumption *)
Definition f_Term_mLam (v:s_Term): s_Mlam :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x3
  end.

(* Why3 assumption *)
Definition f_Term_mApp (v:s_Term): s_Mapp :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x2
  end.

(* Why3 assumption *)
Definition f_Term_mVar (v:s_Term): s_Mvar :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x1
  end.

(* Why3 assumption *)
Definition f_Term_which (v:s_Term): Z :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x
  end.

Parameter is_uint8: Z -> Prop.

Parameter is_sint8: Z -> Prop.

Parameter is_uint16: Z -> Prop.

Parameter is_uint32: Z -> Prop.

Parameter is_sint32: Z -> Prop.

Parameter is_uint64: Z -> Prop.

Parameter is_sint64: Z -> Prop.

Parameter to_uint8: Z -> Z.

Parameter to_sint8: Z -> Z.

Parameter to_uint16: Z -> Z.

Parameter to_sint16: Z -> Z.

Parameter to_uint32: Z -> Z.

Parameter to_sint32: Z -> Z.

Parameter to_uint64: Z -> Z.

Parameter to_sint64: Z -> Z.

Parameter lnot: Z -> Z.

Parameter land: Z -> Z -> Z.

Parameter lxor: Z -> Z -> Z.

Parameter lor: Z -> Z -> Z.

Parameter lsl: Z -> Z -> Z.

Parameter lsr: Z -> Z -> Z.

Parameter bit_testb: Z -> Z -> bool.

Parameter bit_test: Z -> Z -> Prop.

(* Why3 assumption *)
Definition isS_Term (s_0:s_Term): Prop := (is_uint32 (f_Term_which s_0)).

(* Why3 assumption *)
Definition load_S_Mabs (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Mabs :=
  (mk_s_Mabs (map.Map.get mptr_0 (shift p_0 0%Z)) (map.Map.get mptr_0
  (shift p_0 1%Z)) (map.Map.get mptr_0 (shift p_0 2%Z)) (map.Map.get mptr_0
  (shift p_0 3%Z)) (map.Map.get mptr_0 (shift p_0 4%Z)) (map.Map.get mptr_0
  (shift p_0 5%Z))).

(* Why3 assumption *)
Definition load_S_Mapp (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Mapp :=
  (mk_s_Mapp (map.Map.get mptr_0 (shift p_0 0%Z)) (map.Map.get mptr_0
  (shift p_0 1%Z))).

(* Why3 assumption *)
Definition load_S_Min1 (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Min1 :=
  (mk_s_Min1 (map.Map.get mptr_0 (shift p_0 0%Z)) (map.Map.get mptr_0
  (shift p_0 1%Z))).

(* Why3 assumption *)
Definition load_S_Mlam (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Mlam :=
  (mk_s_Mlam (map.Map.get mptr_0 (shift p_0 0%Z)) (map.Map.get mptr_0
  (shift p_0 1%Z)) (map.Map.get mptr_0 (shift p_0 2%Z))).

(* Why3 assumption *)
Definition load_S_Mpi1 (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Mpi1 :=
  (mk_s_Mpi1 (map.Map.get mptr_0 (shift p_0 0%Z))).

(* Why3 assumption *)
Definition load_S_Mpi2 (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Mpi2 :=
  (mk_s_Mpi2 (map.Map.get mptr_0 (shift p_0 0%Z))).

(* Why3 assumption *)
Definition load_S_Mtup (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Mtup :=
  (mk_s_Mtup (map.Map.get mptr_0 (shift p_0 0%Z)) (map.Map.get mptr_0
  (shift p_0 1%Z)) (map.Map.get mptr_0 (shift p_0 2%Z))).

(* Why3 assumption *)
Definition load_S_Mvar (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Mvar :=
  (mk_s_Mvar (map.Map.get mptr_0 (shift p_0 0%Z))).

(* Why3 assumption *)
Definition load_S_Mwit (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Mwit :=
  (mk_s_Mwit (map.Map.get mptr_0 (shift p_0 0%Z)) (map.Map.get mptr_0
  (shift p_0 1%Z)) (map.Map.get mptr_0 (shift p_0 2%Z))).

Parameter p_valid_Kind_ptr: addr -> Prop.

Parameter p_valid_Term_ptr: addr -> Prop.

Parameter l_strcmp: addr -> addr -> Z.

Parameter l_UINT32_MAX: Z.

Parameter l_HEAP_SIZE: Z.

Parameter l_MAX_ALLOCS: Z.

(* Why3 assumption *)
Definition p_is_allocated_size (malloc_0:(map.Map.map Z Z))
  (mptr_0:(map.Map.map addr addr)) (num_allocated_0:Z) (p_0:addr)
  (i_0:Z): Prop := (num_allocated_0 <= l_MAX_ALLOCS)%Z -> exists j_0:Z,
  let a_1 := (map.Map.get mptr_0 (shift (Mk_addr 919%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_0)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((p_0 = a_1) /\ (valid_rw malloc_0 (shift a_1 0%Z) i_0))))).

(* Why3 assumption *)
Definition p_allocation_footprint (num_allocated_0:Z) (size_allocated_0:Z)
  (num_allocated_1:Z) (size_allocated_1:Z) (s_0:Z) (no_0:Z): Prop :=
  (num_allocated_0 = (no_0 + num_allocated_1)%Z) /\
  (size_allocated_0 = (s_0 + size_allocated_1)%Z).

(* Why3 assumption *)
Definition p_is_allocable (num_allocated_0:Z) (size_allocated_0:Z) (size_0:Z)
  (no_0:Z): Prop := (0%Z < no_0)%Z /\ ((0%Z < size_0)%Z /\
  (((no_0 + num_allocated_0)%Z <= l_MAX_ALLOCS)%Z /\
  ((size_0 + size_allocated_0)%Z <= l_HEAP_SIZE)%Z)).

(* Why3 goal *)
Theorem WP : forall (num_allocated_1:Z) (num_allocated_0:Z)
  (size_allocated_1:Z) (size_allocated_0:Z), forall (malloc_0:(map.Map.map Z
  Z)), forall (mptr_9:(map.Map.map addr addr)) (mptr_8:(map.Map.map addr
  addr)) (mptr_7:(map.Map.map addr addr)) (mptr_6:(map.Map.map addr addr))
  (mptr_5:(map.Map.map addr addr)) (mptr_4:(map.Map.map addr addr))
  (mptr_3:(map.Map.map addr addr)) (mptr_2:(map.Map.map addr addr))
  (mptr_1:(map.Map.map addr addr)) (mptr_0:(map.Map.map addr addr)),
  forall (res_0:addr) (v_0:addr), forall (arg_0:s_Term), let a_1 :=
  (f_Term_mAbs arg_0) in let a_2 := (shift res_0 10%Z) in let a_3 :=
  (f_Term_mApp arg_0) in let a_4 := (shift res_0 2%Z) in let a_5 :=
  (f_Term_mIn1 arg_0) in let a_6 := (shift res_0 21%Z) in let a_7 :=
  (load_S_Min1 a_6 mptr_9) in let a_8 := (f_Term_mLam arg_0) in let a_9 :=
  (shift res_0 4%Z) in let a_10 := (f_Term_mPi1 arg_0) in let a_11 :=
  (shift res_0 19%Z) in let a_12 := (f_Term_mPi2 arg_0) in let a_13 :=
  (shift res_0 20%Z) in let a_14 := (f_Term_mTup arg_0) in let a_15 :=
  (shift res_0 16%Z) in let a_16 := (load_S_Mtup a_15 mptr_6) in let a_17 :=
  (f_Term_mVar arg_0) in let a_18 := (shift res_0 1%Z) in let a_19 :=
  (f_Term_mWit arg_0) in let a_20 := (shift res_0 7%Z) in let a_21 :=
  (shift res_0 0%Z) in let m_0 := (map.Map.set mptr_0 (shift (Mk_addr 919%Z
  0%Z) num_allocated_0) v_0) in ((~ (res_0 = (Mk_addr 0%Z 0%Z))) ->
  ((isS_Term arg_0) -> ((framed mptr_0) -> ((linked malloc_0) -> ((is_uint32
  num_allocated_0) -> ((p_is_allocated_size malloc_0 mptr_8 num_allocated_1
  res_0 136%Z) -> ((p_is_allocated_size malloc_0 mptr_7 num_allocated_1 res_0
  136%Z) -> ((p_is_allocated_size malloc_0 mptr_6 num_allocated_1 res_0
  136%Z) -> ((p_is_allocated_size malloc_0 mptr_5 num_allocated_1 res_0
  136%Z) -> ((p_is_allocated_size malloc_0 mptr_4 num_allocated_1 res_0
  136%Z) -> ((p_is_allocated_size malloc_0 mptr_3 num_allocated_1 res_0
  136%Z) -> ((p_is_allocated_size malloc_0 mptr_2 num_allocated_1 res_0
  136%Z) -> ((a_1 = (load_S_Mabs a_2 mptr_5)) -> ((a_3 = (load_S_Mapp a_4
  mptr_2)) -> ((a_5 = a_7) -> ((a_8 = (load_S_Mlam a_9 mptr_3)) ->
  ((a_10 = (load_S_Mpi1 a_11 mptr_7)) -> ((a_12 = (load_S_Mpi2 a_13
  mptr_8)) -> ((a_14 = a_16) -> ((a_17 = (load_S_Mvar a_18 mptr_1)) ->
  ((a_19 = (load_S_Mwit a_20 mptr_4)) -> ((valid_rw malloc_0 a_21 1%Z) ->
  ((valid_rw malloc_0 a_18 1%Z) -> ((valid_rw malloc_0 a_4 2%Z) -> ((valid_rw
  malloc_0 a_9 3%Z) -> ((valid_rw malloc_0 a_20 3%Z) -> ((valid_rw malloc_0
  a_2 6%Z) -> ((valid_rw malloc_0 a_15 3%Z) -> ((valid_rw malloc_0 a_11
  1%Z) -> ((valid_rw malloc_0 a_13 1%Z) -> ((valid_rw malloc_0 a_6 2%Z) ->
  (((p_is_allocable num_allocated_0 size_allocated_1 136%Z 1%Z) ->
  ~ (res_0 = (Mk_addr 0%Z 0%Z))) -> ((havoc mptr_8 mptr_9 a_6 2%Z) -> ((havoc
  mptr_7 mptr_8 a_13 1%Z) -> ((havoc mptr_6 mptr_7 a_11 1%Z) -> ((havoc
  mptr_5 mptr_6 a_15 3%Z) -> ((havoc mptr_4 mptr_5 a_2 6%Z) -> ((havoc mptr_3
  mptr_4 a_20 3%Z) -> ((havoc mptr_2 mptr_3 a_9 3%Z) -> ((havoc mptr_1 mptr_2
  a_4 2%Z) -> (((~ (p_is_allocable num_allocated_0 size_allocated_1 136%Z
  1%Z)) -> (res_0 = (Mk_addr 0%Z 0%Z))) -> ((eqS_Mabs (load_S_Mabs a_2
  mptr_6) a_1) -> ((eqS_Mapp (load_S_Mapp a_4 mptr_9) a_3) -> ((eqS_Mapp
  (load_S_Mapp a_4 mptr_6) a_3) -> ((eqS_Mlam (load_S_Mlam a_9 mptr_9)
  a_8) -> ((eqS_Mlam (load_S_Mlam a_9 mptr_6) a_8) -> ((eqS_Mtup a_16
  a_14) -> ((eqS_Mvar (load_S_Mvar a_18 mptr_9) a_17) -> ((eqS_Mvar
  (load_S_Mvar a_18 mptr_6) a_17) -> ((eqS_Mwit (load_S_Mwit a_20 mptr_9)
  a_19) -> ((eqS_Mwit (load_S_Mwit a_20 mptr_6) a_19) -> (((p_is_allocable
  num_allocated_0 size_allocated_1 136%Z 1%Z) -> (valid_rw malloc_0 a_21
  136%Z)) -> (((~ (p_is_allocable num_allocated_0 size_allocated_1 136%Z
  1%Z)) -> (p_allocation_footprint num_allocated_1 size_allocated_0
  num_allocated_0 size_allocated_1 0%Z 0%Z)) -> (((p_is_allocable
  num_allocated_0 size_allocated_1 136%Z 1%Z) -> (p_allocation_footprint
  num_allocated_1 size_allocated_0 num_allocated_0 size_allocated_1 136%Z
  1%Z)) -> ((havoc m_0 mptr_1 a_18 1%Z) -> (((p_is_allocable num_allocated_0
  size_allocated_1 136%Z 1%Z) -> (p_is_allocated_size malloc_0 m_0
  num_allocated_1 res_0 136%Z)) -> ((eqS_Mabs (load_S_Mabs a_2 mptr_9)
  a_1) /\ ((eqS_Min1 a_7 a_5) /\ ((eqS_Mpi1 (load_S_Mpi1 a_11 mptr_9)
  a_10) /\ ((eqS_Mpi2 (load_S_Mpi2 a_13 mptr_9) a_12) /\ (eqS_Mtup
  (load_S_Mtup a_15 mptr_9)
  a_14))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))).
(* Why3 intros num_allocated_1 num_allocated_0 size_allocated_1
        size_allocated_0 malloc_0 mptr_9 mptr_8 mptr_7 mptr_6 mptr_5 mptr_4
        mptr_3 mptr_2 mptr_1 mptr_0 res_0 v_0 arg_0 a_1 a_2 a_3 a_4 a_5 a_6
        a_7 a_8 a_9 a_10 a_11 a_12 a_13 a_14 a_15 a_16 a_17 a_18 a_19 a_20
        a_21 m_0 h1 h2 h3 h4 h5 h6 h7 h8 h9 h10 h11 h12 h13 h14 h15 h16 h17
        h18 h19 h20 h21 h22 h23 h24 h25 h26 h27 h28 h29 h30 h31 h32 h33 h34
        h35 h36 h37 h38 h39 h40 h41 h42 h43 h44 h45 h46 h47 h48 h49 h50 h51
        h52 h53 h54 h55 h56. *)
intros num_allocated_1 num_allocated_0 size_allocated_1 size_allocated_0
malloc_0 mptr_9 mptr_8 mptr_7 mptr_6 mptr_5 mptr_4 mptr_3 mptr_2 mptr_1
mptr_0 res_0 v_0 arg_0 a_1 a_2 a_3 a_4 a_5 a_6 a_7 a_8 a_9 a_10 a_11 a_12
a_13 a_14 a_15 a_16 a_17 a_18 a_19 a_20 a_21 m_0 h1 h2 h3 h4 h5 h6 h7 h8 h9
h10 h11 h12 h13 h14 h15 h16 h17 h18 h19 h20 h21 h22 h23 h24 h25 h26 h27 h28
h29 h30 h31 h32 h33 h34 h35 h36 h37 h38 h39 h40 h41 h42 h43 h44 h45 h46 h47
h48 h49 h50 h51 h52 h53 h54 h55 h56.
clear h6 h7 h8 h9 h10 h11 h12.
(* clear h22 h23 h24 h25 h26 h27 h28 h29 h30 h31. *)
Require Import Why3.
split.
  unfold load_S_Mabs in *.
  assert (mk_s_Mabs (Map.get mptr_9 (shift a_2 0)) (Map.get mptr_9 (shift a_2 1))
       (Map.get mptr_9 (shift a_2 2)) (Map.get mptr_9 (shift a_2 3))
       (Map.get mptr_9 (shift a_2 4)) (Map.get mptr_9 (shift a_2 5)) =
          mk_s_Mabs (Map.get mptr_8 (shift a_2 0)) (Map.get mptr_8 (shift a_2 1))
       (Map.get mptr_8 (shift a_2 2)) (Map.get mptr_8 (shift a_2 3))
       (Map.get mptr_8 (shift a_2 4)) (Map.get mptr_8 (shift a_2 5))).
  clear -h33.
  why3 "cvc4" timelimit 5.
  why3 "cvc4" timelimit 5.
split. 
  subst a_7.
  unfold load_S_Min1 in *.
  why3 "cvc4" timelimit 5.
split.
  unfold load_S_Mpi1 in *.
  assert (mk_s_Mpi1 (Map.get mptr_9 (shift a_11 0)) =
          mk_s_Mpi1 (Map.get mptr_8 (shift a_11 0))).
  clear -h33.
  why3 "cvc4" timelimit 5.
  assert (mk_s_Mpi1 (Map.get mptr_8 (shift a_11 0)) =
          mk_s_Mpi1 (Map.get mptr_7 (shift a_11 0))).
  clear -h34.
  why3 "cvc4" timelimit 5.
  why3 "cvc4" timelimit 5.
split. 
  unfold load_S_Mpi2 in *.
  assert (mk_s_Mpi2 (Map.get mptr_9 (shift a_13 0)) =
          mk_s_Mpi2 (Map.get mptr_8 (shift a_13 0))).
  clear -h33.
  why3 "cvc4" timelimit 5.
  why3 "cvc4" timelimit 5.
(* split *)
  unfold load_S_Mtup in *.
  assert (mk_s_Mtup (Map.get mptr_9 (shift a_15 0)) (Map.get mptr_9 (shift a_15 1))
              (Map.get mptr_9 (shift a_15 2)) =
         mk_s_Mtup (Map.get mptr_8 (shift a_15 0)) (Map.get mptr_8 (shift a_15 1))
              (Map.get mptr_8 (shift a_15 2))).
  clear -h33.
  why3 "cvc4" timelimit 5.
  assert (mk_s_Mtup (Map.get mptr_8 (shift a_15 0)) (Map.get mptr_8 (shift a_15 1))
              (Map.get mptr_8 (shift a_15 2)) =
         mk_s_Mtup (Map.get mptr_7 (shift a_15 0)) (Map.get mptr_7 (shift a_15 1))
              (Map.get mptr_7 (shift a_15 2))).
  clear -h34.
  why3 "cvc4" timelimit 5.
  rewrite H.
  rewrite H0. clear H H0.
  subst a_16.
  assert (mk_s_Mtup (Map.get mptr_7 (shift a_15 0)) (Map.get mptr_7 (shift a_15 1))
              (Map.get mptr_7 (shift a_15 2)) =
         mk_s_Mtup (Map.get mptr_6 (shift a_15 0)) (Map.get mptr_6 (shift a_15 1))
              (Map.get mptr_6 (shift a_15 2))).
  clear -h35.
  why3 "cvc4" timelimit 5.
  why3 "cvc4" timelimit 5.
Qed.

