(* This file is generated by Why3's Coq driver *)
(* Beware! Only edit allowed sections below    *)
Require Import BuiltIn.
Require BuiltIn.
Require bool.Bool.
Require int.Int.
Require int.Abs.
Require int.ComputerDivision.
Require real.Real.
Require real.RealInfix.
Require real.FromInt.
Require map.Map.

Parameter ite: forall {a:Type} {a_WT:WhyType a}, bool -> a -> a -> a.

Parameter eqb: forall {a:Type} {a_WT:WhyType a}, a -> a -> bool.

Parameter neqb: forall {a:Type} {a_WT:WhyType a}, a -> a -> bool.

Parameter zlt: Z -> Z -> bool.

Parameter zleq: Z -> Z -> bool.

Parameter rlt: R -> R -> bool.

Parameter rleq: R -> R -> bool.

Parameter truncate: R -> Z.

Parameter is_uint8: Z -> Prop.

Parameter is_sint8: Z -> Prop.

Parameter is_uint16: Z -> Prop.

Parameter is_uint32: Z -> Prop.

Parameter is_sint32: Z -> Prop.

Parameter is_uint64: Z -> Prop.

Parameter is_sint64: Z -> Prop.

Parameter to_uint8: Z -> Z.

Parameter to_sint8: Z -> Z.

Parameter to_uint16: Z -> Z.

Parameter to_sint16: Z -> Z.

Parameter to_uint32: Z -> Z.

Parameter to_sint32: Z -> Z.

Parameter to_uint64: Z -> Z.

Parameter to_sint64: Z -> Z.

Parameter lnot: Z -> Z.

Parameter land: Z -> Z -> Z.

Parameter lxor: Z -> Z -> Z.

Parameter lor: Z -> Z -> Z.

Parameter lsl: Z -> Z -> Z.

Parameter lsr: Z -> Z -> Z.

Parameter bit_testb: Z -> Z -> bool.

Parameter bit_test: Z -> Z -> Prop.

(* Why3 assumption *)
Inductive addr :=
  | Mk_addr : Z -> Z -> addr.
Axiom addr_WhyType : WhyType addr.
Existing Instance addr_WhyType.

(* Why3 assumption *)
Definition offset (v:addr): Z := match v with
  | (Mk_addr x x1) => x1
  end.

(* Why3 assumption *)
Definition base (v:addr): Z := match v with
  | (Mk_addr x x1) => x
  end.

Parameter addr_le: addr -> addr -> Prop.

Parameter addr_lt: addr -> addr -> Prop.

Parameter addr_le_bool: addr -> addr -> bool.

Parameter addr_lt_bool: addr -> addr -> bool.

(* Why3 assumption *)
Definition shift (p:addr) (k:Z): addr := (Mk_addr (base p)
  ((offset p) + k)%Z).

(* Why3 assumption *)
Definition separated (p:addr) (a:Z) (q:addr) (b:Z): Prop := (a <= 0%Z)%Z \/
  ((b <= 0%Z)%Z \/ ((~ ((base p) = (base q))) \/
  ((((offset q) + b)%Z <= (offset p))%Z \/
  (((offset p) + a)%Z <= (offset q))%Z))).

(* Why3 assumption *)
Definition valid_rw (m:(map.Map.map Z Z)) (p:addr) (n:Z): Prop :=
  (0%Z < n)%Z -> ((0%Z < (base p))%Z /\ ((0%Z <= (offset p))%Z /\
  (((offset p) + n)%Z <= (map.Map.get m (base p)))%Z)).

Parameter region: Z -> Z.

Parameter linked: (map.Map.map Z Z) -> Prop.

Parameter sconst: (map.Map.map addr Z) -> Prop.

Parameter cast: addr -> Z.

Parameter hardware: Z -> Z.

Parameter l_SINT32_MAX: Z.

Parameter l_UINT32_MAX: Z.

Parameter l_HEAP_SIZE: Z.

Parameter l_MAX_ALLOCS: Z.

(* Why3 assumption *)
Definition p_is_allocated_size (malloc_0:(map.Map.map Z Z))
  (mptr_0:(map.Map.map addr addr)) (num_allocated_0:Z) (p_0:addr)
  (i_0:Z): Prop := (num_allocated_0 <= l_MAX_ALLOCS)%Z -> exists j_0:Z,
  let a_1 := (map.Map.get mptr_0 (shift (Mk_addr 909%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_0)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((p_0 = a_1) /\ (valid_rw malloc_0 (shift a_1 0%Z) i_0))))).

(* Why3 assumption *)
Definition p_is_allocated (malloc_0:(map.Map.map Z Z)) (mptr_0:(map.Map.map
  addr addr)) (num_allocated_0:Z) (p_0:addr): Prop :=
  (num_allocated_0 <= l_MAX_ALLOCS)%Z -> exists i_0:Z, (is_uint32 i_0) /\
  (p_is_allocated_size malloc_0 mptr_0 num_allocated_0 p_0 i_0).

Axiom Q_sep__allocated : let a_0 := (Mk_addr 909%Z 0%Z) in forall (i_0:Z)
  (j_0:Z) (num_allocated_0:Z), forall (malloc_0:(map.Map.map Z Z)),
  forall (mptr_0:(map.Map.map addr addr)), let a_1 :=
  (shift (map.Map.get mptr_0 (shift a_0 i_0)) 0%Z) in let x_0 :=
  (1%Z + j_0)%Z in ((i_0 < num_allocated_0)%Z -> ((0%Z <= i_0)%Z ->
  ((is_uint32 i_0) -> ((is_uint32 j_0) -> ((valid_rw malloc_0 a_1 x_0) ->
  (separated (shift a_0 0%Z) l_MAX_ALLOCS a_1 x_0)))))).

(* Why3 goal *)
Theorem Q_allocated_in_separated : forall (l_0:Z) (num_allocated_0:Z),
  forall (malloc_0:(map.Map.map Z Z)), forall (mptr_0:(map.Map.map addr
  addr)), forall (p_0:addr), let a_0 := (shift p_0 0%Z) in let x_0 :=
  (1%Z + l_0)%Z in ((num_allocated_0 <= l_MAX_ALLOCS)%Z -> ((is_uint32
  l_0) -> ((p_is_allocated malloc_0 mptr_0 num_allocated_0 p_0) -> ((valid_rw
  malloc_0 a_0 x_0) -> (separated (shift (Mk_addr 909%Z 0%Z) 0%Z)
  l_MAX_ALLOCS a_0 x_0))))).
(* Why3 intros l_0 num_allocated_0 malloc_0 mptr_0 p_0 a_0 x_0 h1 h2 h3 h4. *)
intros l_0 num_allocated_0 malloc_0 mptr_0 p_0 a_0 x_0 h1 h2 h3 h4.
unfold p_is_allocated in h3.
lapply h3.
intros.
clear h3.
destruct H.
decompose [and] H; clear H.
unfold p_is_allocated_size in H1.
lapply H1.
intros; clear H1.
destruct H.
decompose [and] H; clear H.
subst a_0.
rewrite H4.
replace x_0 with (1 + (x_0 - 1))%Z.
apply (Q_sep__allocated x0 (x_0 - 1)%Z num_allocated_0 malloc_0); try trivial.
Require Import Why3.
why3 "cvc4" timelimit 5.
why3 "cvc4" timelimit 5.
auto with zarith.
why3 "cvc4" timelimit 5.
why3 "cvc4" timelimit 5.
Qed.

