(* This file is generated by Why3's Coq driver *)
(* Beware! Only edit allowed sections below    *)
Require Import BuiltIn.
Require BuiltIn.
Require bool.Bool.
Require int.Int.
Require int.Abs.
Require int.ComputerDivision.
Require real.Real.
Require real.RealInfix.
Require real.FromInt.
Require map.Map.

Parameter ite: forall {a:Type} {a_WT:WhyType a}, bool -> a -> a -> a.

Parameter eqb: forall {a:Type} {a_WT:WhyType a}, a -> a -> bool.

Parameter neqb: forall {a:Type} {a_WT:WhyType a}, a -> a -> bool.

Parameter zlt: Z -> Z -> bool.

Parameter zleq: Z -> Z -> bool.

Parameter rlt: R -> R -> bool.

Parameter rleq: R -> R -> bool.

Parameter truncate: R -> Z.

(* Why3 assumption *)
Inductive addr :=
  | Mk_addr : Z -> Z -> addr.
Axiom addr_WhyType : WhyType addr.
Existing Instance addr_WhyType.

(* Why3 assumption *)
Definition offset (v:addr): Z := match v with
  | (Mk_addr x x1) => x1
  end.

(* Why3 assumption *)
Definition base (v:addr): Z := match v with
  | (Mk_addr x x1) => x
  end.

Parameter addr_le: addr -> addr -> Prop.

Parameter addr_lt: addr -> addr -> Prop.

Parameter addr_le_bool: addr -> addr -> bool.

Parameter addr_lt_bool: addr -> addr -> bool.

(* Why3 assumption *)
Definition shift (p:addr) (k:Z): addr := (Mk_addr (base p)
  ((offset p) + k)%Z).

(* Why3 assumption *)
Definition separated (p:addr) (a:Z) (q:addr) (b:Z): Prop := (a <= 0%Z)%Z \/
  ((b <= 0%Z)%Z \/ ((~ ((base p) = (base q))) \/
  ((((offset q) + b)%Z <= (offset p))%Z \/
  (((offset p) + a)%Z <= (offset q))%Z))).

(* Why3 assumption *)
Definition havoc {a:Type} {a_WT:WhyType a} (m1:(map.Map.map addr a))
  (m2:(map.Map.map addr a)) (p:addr) (a1:Z): Prop := forall (q:addr),
  (separated q 1%Z p a1) -> ((map.Map.get m1 q) = (map.Map.get m2 q)).

(* Why3 assumption *)
Definition valid_rd (m:(map.Map.map Z Z)) (p:addr) (n:Z): Prop :=
  (0%Z < n)%Z -> ((0%Z <= (offset p))%Z /\
  (((offset p) + n)%Z <= (map.Map.get m (base p)))%Z).

(* Why3 assumption *)
Definition valid_rw (m:(map.Map.map Z Z)) (p:addr) (n:Z): Prop :=
  (0%Z < n)%Z -> ((0%Z < (base p))%Z /\ ((0%Z <= (offset p))%Z /\
  (((offset p) + n)%Z <= (map.Map.get m (base p)))%Z)).

Parameter region: Z -> Z.

Parameter linked: (map.Map.map Z Z) -> Prop.

Parameter sconst: (map.Map.map addr Z) -> Prop.

(* Why3 assumption *)
Definition framed (m:(map.Map.map addr addr)): Prop := forall (p:addr),
  ((region (base (map.Map.get m p))) <= 0%Z)%Z.

Parameter cast: addr -> Z.

Parameter hardware: Z -> Z.

Parameter p_valid_Type_ptr: addr -> Prop.

Parameter l_strlen: addr -> Z.

Parameter l_memcmp: (map.Map.map addr Z) -> addr -> addr -> Z -> Z.

(* Why3 assumption *)
Definition p_valid_string (malloc_0:(map.Map.map Z Z)) (s_0:addr): Prop :=
  let x_0 := (l_strlen s_0) in ((0%Z <= x_0)%Z /\ (valid_rw malloc_0
  (shift s_0 0%Z) (1%Z + x_0)%Z)).

(* Why3 assumption *)
Inductive s___anonstruct_namemap_1 :=
  | mk_s___anonstruct_namemap_1 : Z -> Z -> addr -> addr ->
      s___anonstruct_namemap_1.
Axiom s___anonstruct_namemap_1_WhyType : WhyType s___anonstruct_namemap_1.
Existing Instance s___anonstruct_namemap_1_WhyType.

(* Why3 assumption *)
Definition f___anonstruct_namemap_1_vals
  (v:s___anonstruct_namemap_1): addr :=
  match v with
  | (mk_s___anonstruct_namemap_1 x x1 x2 x3) => x3
  end.

(* Why3 assumption *)
Definition f___anonstruct_namemap_1_keys
  (v:s___anonstruct_namemap_1): addr :=
  match v with
  | (mk_s___anonstruct_namemap_1 x x1 x2 x3) => x2
  end.

(* Why3 assumption *)
Definition f___anonstruct_namemap_1_bufsize
  (v:s___anonstruct_namemap_1): Z :=
  match v with
  | (mk_s___anonstruct_namemap_1 x x1 x2 x3) => x1
  end.

(* Why3 assumption *)
Definition f___anonstruct_namemap_1_size (v:s___anonstruct_namemap_1): Z :=
  match v with
  | (mk_s___anonstruct_namemap_1 x x1 x2 x3) => x
  end.

Parameter is_uint8: Z -> Prop.

Parameter is_sint8: Z -> Prop.

Parameter is_uint16: Z -> Prop.

Parameter is_uint32: Z -> Prop.

Parameter is_sint32: Z -> Prop.

Parameter is_uint64: Z -> Prop.

Parameter is_sint64: Z -> Prop.

Parameter to_uint8: Z -> Z.

Parameter to_sint8: Z -> Z.

Parameter to_uint16: Z -> Z.

Parameter to_sint16: Z -> Z.

Parameter to_uint32: Z -> Z.

Parameter to_sint32: Z -> Z.

Parameter to_uint64: Z -> Z.

Parameter to_sint64: Z -> Z.

Parameter lnot: Z -> Z.

Parameter land: Z -> Z -> Z.

Parameter lxor: Z -> Z -> Z.

Parameter lor: Z -> Z -> Z.

Parameter lsl: Z -> Z -> Z.

Parameter lsr: Z -> Z -> Z.

Parameter bit_testb: Z -> Z -> bool.

Parameter bit_test: Z -> Z -> Prop.

(* Why3 assumption *)
Definition load_S___anonstruct_namemap_1 (p_0:addr) (mint_0:(map.Map.map addr
  Z)) (mptr_0:(map.Map.map addr addr)): s___anonstruct_namemap_1 :=
  (mk_s___anonstruct_namemap_1 (map.Map.get mint_0 (shift p_0 0%Z))
  (map.Map.get mint_0 (shift p_0 1%Z)) (map.Map.get mptr_0 (shift p_0 2%Z))
  (map.Map.get mptr_0 (shift p_0 3%Z))).

Parameter p_valid_Kind_ptr: addr -> Prop.

Parameter p_valid_Term_ptr: addr -> Prop.

Parameter l_strcmp: addr -> addr -> Z.

(* Why3 assumption *)
Definition p_old_allocated (mptr_0:(map.Map.map addr addr))
  (mptr_1:(map.Map.map addr addr)) (num_allocated_0:Z) (p_0:addr): Prop :=
  let a_0 := (Mk_addr 909%Z 0%Z) in forall (i_0:Z) (j_0:Z), let a_1 :=
  (map.Map.get mptr_1 (shift a_0 i_0)) in let a_2 := (shift a_0 j_0) in
  let a_3 := (map.Map.get mptr_1 a_2) in ((is_uint32 i_0) -> ((is_uint32
  j_0) -> (((i_0 < num_allocated_0)%Z -> ((j_0 < i_0)%Z -> ((0%Z <= i_0)%Z ->
  ((0%Z <= j_0)%Z -> ((p_0 = a_1) -> (a_3 = (map.Map.get mptr_0 a_2))))))) /\
  ((i_0 < j_0)%Z -> ((i_0 < num_allocated_0)%Z ->
  ((j_0 < num_allocated_0)%Z -> ((0%Z <= i_0)%Z -> ((p_0 = a_1) ->
  (a_3 = (map.Map.get mptr_0 (shift a_0 (j_0 - 1%Z)%Z))))))))))).

Parameter l_SINT32_MAX: Z.

Parameter l_UINT32_MAX: Z.

Parameter l_HEAP_SIZE: Z.

Parameter l_MAX_ALLOCS: Z.

(* Why3 assumption *)
Definition p_is_allocated_size (malloc_0:(map.Map.map Z Z))
  (mptr_0:(map.Map.map addr addr)) (num_allocated_0:Z) (p_0:addr)
  (i_0:Z): Prop := (num_allocated_0 <= l_MAX_ALLOCS)%Z -> exists j_0:Z,
  let a_1 := (map.Map.get mptr_0 (shift (Mk_addr 909%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_0)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((p_0 = a_1) /\ (valid_rw malloc_0 (shift a_1 0%Z) i_0))))).

(* Why3 assumption *)
Definition p_is_allocated (malloc_0:(map.Map.map Z Z)) (mptr_0:(map.Map.map
  addr addr)) (num_allocated_0:Z) (p_0:addr): Prop :=
  (num_allocated_0 <= l_MAX_ALLOCS)%Z -> exists i_0:Z, (is_uint32 i_0) /\
  (p_is_allocated_size malloc_0 mptr_0 num_allocated_0 p_0 i_0).

(* Why3 assumption *)
Definition p_correct_allocation (num_allocated_0:Z)
  (size_allocated_0:Z): Prop := (num_allocated_0 <= l_MAX_ALLOCS)%Z /\
  (size_allocated_0 <= l_HEAP_SIZE)%Z.

(* Why3 assumption *)
Definition p_allocation_footprint (num_allocated_0:Z) (size_allocated_0:Z)
  (num_allocated_1:Z) (size_allocated_1:Z) (s_0:Z) (no_0:Z): Prop :=
  (num_allocated_0 = (no_0 + num_allocated_1)%Z) /\
  (size_allocated_0 = (s_0 + size_allocated_1)%Z).

(* Why3 assumption *)
Definition p_is_allocable (num_allocated_0:Z) (size_allocated_0:Z) (size_0:Z)
  (no_0:Z): Prop := (0%Z < no_0)%Z /\ ((0%Z < size_0)%Z /\
  (((no_0 + num_allocated_0)%Z <= l_MAX_ALLOCS)%Z /\
  ((size_0 + size_allocated_0)%Z <= l_HEAP_SIZE)%Z)).

(* Why3 assumption *)
Definition p_well_separated (keys_0:addr) (size_0:Z) (n_0:addr): Prop :=
  (separated (shift keys_0 0%Z) size_0 n_0 4%Z).

(* Why3 assumption *)
Definition p_well_separated_arrays (keys_0:addr) (vals_0:addr)
  (size_0:Z): Prop := (separated (shift keys_0 0%Z) size_0 (shift vals_0 0%Z)
  size_0).

(* Why3 assumption *)
Definition p_valid_sizes (size_0:Z) (bufsize_0:Z): Prop := let x_0 :=
  (8%Z * bufsize_0)%Z in ((0%Z < bufsize_0)%Z /\ ((0%Z <= size_0)%Z /\
  ((size_0 <= bufsize_0)%Z /\ ((size_0 <= l_UINT32_MAX)%Z /\
  ((0%Z <= x_0)%Z /\ (x_0 <= l_UINT32_MAX)%Z))))).

(* Why3 assumption *)
Definition p_valid_content (malloc_0:(map.Map.map Z Z)) (mptr_0:(map.Map.map
  addr addr)) (keys_0:addr) (size_0:Z): Prop := forall (i_0:Z),
  (i_0 < size_0)%Z -> ((0%Z <= i_0)%Z -> ((is_sint32 i_0) -> (p_valid_string
  malloc_0 (map.Map.get mptr_0 (shift keys_0 i_0))))).

(* Why3 assumption *)
Definition p_valid_charray (malloc_0:(map.Map.map Z Z)) (mptr_0:(map.Map.map
  addr addr)) (num_allocated_0:Z) (keys_0:addr) (bufsize_0:Z)
  (size_0:Z): Prop := let a_0 := (shift keys_0 0%Z) in let x_0 :=
  (4%Z * bufsize_0)%Z in ((~ (keys_0 = (Mk_addr 0%Z 0%Z))) /\
  ((p_valid_content malloc_0 mptr_0 keys_0 size_0) /\ ((valid_rw malloc_0 a_0
  bufsize_0) /\ ((p_is_allocated_size malloc_0 mptr_0 num_allocated_0 keys_0
  (to_uint32 x_0)) /\ (separated (shift (Mk_addr 909%Z 0%Z) 0%Z) l_MAX_ALLOCS
  a_0 x_0))))).

(* Why3 assumption *)
Definition p_valid_namemap (malloc_0:(map.Map.map Z Z)) (mptr_0:(map.Map.map
  addr addr)) (num_allocated_0:Z) (n_0:s___anonstruct_namemap_1): Prop :=
  let a_0 := (f___anonstruct_namemap_1_keys n_0) in let a_1 :=
  (f___anonstruct_namemap_1_vals n_0) in let x_0 :=
  (f___anonstruct_namemap_1_size n_0) in let x_1 :=
  (f___anonstruct_namemap_1_bufsize n_0) in ((~ (a_0 = a_1)) /\
  ((p_valid_sizes x_0 x_1) /\ ((p_valid_charray malloc_0 mptr_0
  num_allocated_0 a_0 x_1 x_0) /\ (p_valid_charray malloc_0 mptr_0
  num_allocated_0 a_1 x_1 x_0)))).

(* Why3 assumption *)
Definition p_valid_namemap_ptr (malloc_0:(map.Map.map Z Z))
  (mptr_0:(map.Map.map addr addr)) (mint_0:(map.Map.map addr Z))
  (num_allocated_0:Z) (n_0:addr): Prop := let a_0 := (map.Map.get mptr_0
  (shift n_0 2%Z)) in let x_0 := (map.Map.get mint_0 (shift n_0 1%Z)) in
  let a_1 := (map.Map.get mptr_0 (shift n_0 3%Z)) in ((~ (n_0 = (Mk_addr 0%Z
  0%Z))) /\ ((valid_rw malloc_0 n_0 4%Z) /\ ((p_is_allocated_size malloc_0
  mptr_0 num_allocated_0 n_0 16%Z) /\ ((p_well_separated a_0 x_0 n_0) /\
  ((p_well_separated a_1 x_0 n_0) /\ ((p_well_separated_arrays a_0 a_1
  x_0) /\ (p_valid_namemap malloc_0 mptr_0 num_allocated_0
  (load_S___anonstruct_namemap_1 n_0 mint_0 mptr_0)))))))).

Axiom shift_zero : forall (p:addr), ((shift p 0%Z) = p).

(* Why3 goal *)
Theorem WP : let a_0 := (Mk_addr 909%Z 0%Z) in let a_1 := (shift a_0 0%Z) in
  forall (num_allocated_5:Z) (num_allocated_4:Z) (num_allocated_3:Z)
  (num_allocated_0:Z) (num_allocated_2:Z) (num_allocated_1:Z)
  (size_allocated_5:Z) (size_allocated_4:Z) (size_allocated_3:Z)
  (size_allocated_0:Z) (size_allocated_1:Z) (size_allocated_2:Z),
  forall (malloc_0:(map.Map.map Z Z)), forall (mint_4:(map.Map.map addr Z))
  (mint_3:(map.Map.map addr Z)) (mint_2:(map.Map.map addr Z))
  (mint_1:(map.Map.map addr Z)) (mint_0:(map.Map.map addr Z)),
  forall (mptr_4:(map.Map.map addr addr)) (mptr_3:(map.Map.map addr addr))
  (mptr_2:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr))
  (mptr_0:(map.Map.map addr addr)), forall (calloc_1:addr) (calloc_0:addr)
  (elem_0:addr) (n_0:addr) (v_3:addr) (v_2:addr) (v_1:addr) (v_0:addr)
  (val_0:addr), let a_2 := (shift n_0 1%Z) in let x_0 := (map.Map.get mint_0
  a_2) in let a_3 := (shift n_0 0%Z) in let x_1 := (map.Map.get mint_4
  a_3) in let x_2 := (map.Map.get mint_4 a_2) in let x_3 := (2%Z * x_0)%Z in
  let x_4 := (8%Z * x_0)%Z in let x_5 := (map.Map.get mint_0 a_3) in
  let a_4 := (shift n_0 2%Z) in let a_5 := (shift n_0 3%Z) in let a_6 :=
  (map.Map.get mptr_4 a_4) in let a_7 := (map.Map.get mptr_4 a_5) in
  let a_8 := (shift a_6 x_1) in let m_0 := (map.Map.set mptr_4 a_8 elem_0) in
  let a_9 := (map.Map.get m_0 a_4) in let a_10 := (map.Map.get m_0 a_5) in
  let a_11 := (shift a_10 x_1) in let x_6 := (map.Map.get mint_3 a_3) in
  let x_7 := (map.Map.get mint_3 a_2) in let x_8 := (8%Z * x_7)%Z in
  let x_9 := (2%Z * x_7)%Z in let m_1 := (map.Map.set mptr_3 (shift a_0
  num_allocated_4) v_3) in let m_2 := (map.Map.set m_1 a_5 calloc_1) in
  let m_3 := (map.Map.set mptr_1 (shift a_0 num_allocated_2) v_0) in
  let a_12 := (map.Map.get m_3 a_4) in let a_13 := (map.Map.get mptr_3
  a_5) in let a_14 := (map.Map.get mptr_2 a_4) in let m_4 :=
  (map.Map.set mptr_2 (shift a_0 num_allocated_0) v_1) in let m_5 :=
  (map.Map.set m_4 a_4 calloc_0) in let m_6 := (map.Map.set m_5 (shift a_0
  num_allocated_3) v_2) in let a_15 := (map.Map.get m_6 a_5) in let a_16 :=
  (shift calloc_1 0%Z) in let x_10 := (4%Z * x_7)%Z in let a_17 :=
  (shift calloc_0 0%Z) in let x_11 := (1%Z + x_7)%Z in let a_18 :=
  (map.Map.get m_1 a_4) in let x_12 := (to_uint32 x_10) in let a_19 :=
  (shift a_12 0%Z) in let x_13 := (to_uint32 x_8) in let a_20 := (shift a_15
  0%Z) in let x_14 := (1%Z + (to_uint32 (x_7 - 1%Z)%Z))%Z in ((framed
  mptr_0) -> ((linked malloc_0) -> ((p_correct_allocation num_allocated_1
  size_allocated_2) -> ((p_valid_string malloc_0 elem_0) -> ((p_valid_string
  malloc_0 val_0) -> ((valid_rw malloc_0 n_0 4%Z) -> ((0%Z < x_0)%Z ->
  ((x_0 < l_UINT32_MAX)%Z -> ((x_1 <= x_2)%Z -> ((0%Z <= x_3)%Z ->
  ((0%Z <= x_4)%Z -> ((x_3 <= 4294967295%Z)%Z -> ((x_4 <= l_UINT32_MAX)%Z ->
  ((is_uint32 x_1) -> ((is_uint32 x_2) -> ((is_uint32 (map.Map.get mint_2
  a_3)) -> ((is_uint32 (map.Map.get mint_2 a_2)) -> ((is_uint32
  (map.Map.get mint_1 a_3)) -> ((is_uint32 x_5) -> ((is_uint32 x_0) ->
  ((p_is_allocated_size malloc_0 mptr_4 num_allocated_5 n_0 16%Z) ->
  ((p_is_allocated_size malloc_0 mptr_0 num_allocated_1 n_0 16%Z) ->
  ((p_valid_namemap_ptr malloc_0 mptr_0 mint_0 num_allocated_1 n_0) ->
  ((valid_rd malloc_0 a_3 1%Z) -> ((valid_rd malloc_0 a_2 1%Z) -> ((valid_rd
  malloc_0 a_4 1%Z) -> ((valid_rd malloc_0 a_5 1%Z) -> ((is_uint32 x_3) ->
  ((p_well_separated a_6 x_2 n_0) -> ((p_well_separated a_7 x_2 n_0) ->
  ((p_well_separated_arrays a_6 a_7 x_2) -> ((valid_rw malloc_0 a_8 1%Z) ->
  ((p_well_separated a_9 x_2 n_0) -> ((p_well_separated a_10 x_2 n_0) ->
  ((p_well_separated_arrays a_9 a_10 x_2) -> (((x_5 = x_0) -> (p_is_allocable
  num_allocated_1 size_allocated_2 (to_uint32 x_4) 1%Z)) -> ((valid_rw
  malloc_0 a_11 1%Z) -> ((((x_5 = x_0) /\ ((mint_3 = mint_0) /\
  ((mptr_1 = mptr_0) /\ ((num_allocated_2 = num_allocated_1) /\
  ((size_allocated_1 = size_allocated_2) /\ ((~ (calloc_1 = (Mk_addr 0%Z
  0%Z))) /\ ((~ (calloc_0 = (Mk_addr 0%Z 0%Z))) /\ ((x_6 < l_UINT32_MAX)%Z /\
  ((0%Z <= x_6)%Z /\ ((x_6 <= x_7)%Z /\ ((0%Z <= x_8)%Z /\
  ((x_8 <= l_UINT32_MAX)%Z /\ ((mint_4 = (map.Map.set mint_3 a_2 x_9)) /\
  ((valid_rd malloc_0 a_4 1%Z) /\ ((valid_rd malloc_0 a_5 1%Z) /\ ((valid_rw
  malloc_0 a_2 1%Z) /\ ((valid_rw malloc_0 a_4 1%Z) /\ ((valid_rw malloc_0
  a_5 1%Z) /\ ((mptr_4 = m_2) /\ ((~ ((Mk_addr 0%Z 0%Z) = a_12)) /\
  ((p_is_allocated malloc_0 mptr_3 num_allocated_4 a_13) /\ ((p_is_allocated
  malloc_0 mptr_2 num_allocated_0 a_14) /\ ((p_well_separated calloc_1 x_9
  n_0) /\ ((~ ((Mk_addr 0%Z 0%Z) = a_15)) /\ ((separated a_1 l_MAX_ALLOCS
  a_16 x_10) /\ ((separated a_1 l_MAX_ALLOCS a_17 x_10) /\ ((valid_rw
  malloc_0 a_16 x_11) /\ ((valid_rw malloc_0 a_17 x_11) /\ ((havoc m_3 mptr_2
  a_17 x_6) /\ ((p_old_allocated m_1 mptr_3 num_allocated_4 a_13) /\
  ((p_old_allocated m_4 mptr_2 num_allocated_0 a_14) /\ ((p_valid_charray
  malloc_0 mptr_3 num_allocated_4 calloc_1 x_7 x_6) /\ ((p_valid_charray
  malloc_0 mptr_2 num_allocated_0 calloc_0 x_7 x_6) /\ ((p_well_separated
  a_18 x_9 n_0) /\ ((p_well_separated_arrays a_18 calloc_1 x_9) /\
  ((~ (p_is_allocated malloc_0 m_1 num_allocated_5 a_13)) /\
  ((~ (p_is_allocated malloc_0 m_4 num_allocated_3 a_14)) /\ ((havoc m_6
  mptr_3 a_16 x_6) /\ ((p_is_allocated_size malloc_0 m_3 num_allocated_0
  calloc_0 x_12) /\ ((p_is_allocated_size malloc_0 m_3 num_allocated_0 a_12
  x_12) /\ ((p_is_allocated_size malloc_0 m_2 num_allocated_5 n_0 16%Z) /\
  ((p_well_separated_arrays (map.Map.get m_6 a_4) calloc_1 x_7) /\ ((valid_rd
  malloc_0 a_19 x_6) /\ ((p_is_allocated_size malloc_0 m_6 num_allocated_4
  calloc_1 x_12) /\ ((p_valid_charray malloc_0 mptr_2 num_allocated_0 a_12
  x_7 x_6) /\ ((p_valid_charray malloc_0 m_3 num_allocated_0 a_12 x_7 x_6) /\
  (((p_is_allocable num_allocated_3 size_allocated_3 x_13 1%Z) ->
  ~ (calloc_1 = (Mk_addr 0%Z 0%Z))) /\ (((p_is_allocable num_allocated_2
  size_allocated_1 x_13 1%Z) -> ~ (calloc_0 = (Mk_addr 0%Z 0%Z))) /\
  (((p_is_allocable num_allocated_2 size_allocated_1 x_13 1%Z) ->
  (calloc_0 = (map.Map.get m_3 (shift a_0 (num_allocated_0 - 1%Z)%Z)))) /\
  (((p_is_allocable num_allocated_3 size_allocated_3 x_13 1%Z) -> (valid_rw
  malloc_0 a_16 x_8)) /\ (((p_is_allocable num_allocated_2 size_allocated_1
  x_13 1%Z) -> (valid_rw malloc_0 a_17 x_8)) /\ (((p_is_allocable
  num_allocated_3 size_allocated_3 x_13 1%Z) -> (calloc_1 = (map.Map.get m_6
  (shift a_0 (num_allocated_4 - 1%Z)%Z)))) /\ (((p_is_allocable
  num_allocated_3 size_allocated_3 x_13 1%Z) -> (separated a_1 l_MAX_ALLOCS
  a_16 x_8)) /\ (((p_is_allocable num_allocated_2 size_allocated_1 x_13
  1%Z) -> (separated a_1 l_MAX_ALLOCS a_17 x_8)) /\ ((p_is_allocated_size
  malloc_0 m_6 num_allocated_4 a_15 x_12) /\ (((~ (p_is_allocable
  num_allocated_3 size_allocated_3 x_13 1%Z)) -> (calloc_1 = (Mk_addr 0%Z
  0%Z))) /\ (((~ (p_is_allocable num_allocated_2 size_allocated_1 x_13
  1%Z)) -> (calloc_0 = (Mk_addr 0%Z 0%Z))) /\ (((~ (p_is_allocable
  num_allocated_3 size_allocated_3 x_13 1%Z)) -> (p_allocation_footprint
  num_allocated_4 size_allocated_5 num_allocated_3 size_allocated_3 0%Z
  0%Z)) /\ (((~ (p_is_allocable num_allocated_2 size_allocated_1 x_13
  1%Z)) -> (p_allocation_footprint num_allocated_0 size_allocated_0
  num_allocated_2 size_allocated_1 0%Z 0%Z)) /\ (((p_is_allocable
  num_allocated_2 size_allocated_1 x_13 1%Z) -> (p_is_allocated_size malloc_0
  m_3 num_allocated_0 calloc_0 x_13)) /\ (((p_is_allocable num_allocated_2
  size_allocated_1 x_13 1%Z) -> forall (p_0:addr),
  (~ (calloc_0 = (Mk_addr 0%Z 0%Z))) /\ ((p_is_allocated malloc_0 mptr_1
  num_allocated_2 p_0) -> ~ (calloc_0 = p_0))) /\ ((forall (i_0:Z),
  let a_21 := (shift a_0 i_0) in ((i_0 < l_MAX_ALLOCS)%Z ->
  ((0%Z <= i_0)%Z -> ((is_uint32 i_0) -> ((map.Map.get mptr_2
  a_21) = (map.Map.get m_3 a_21)))))) /\ ((valid_rd malloc_0 a_20 x_6) /\
  ((valid_rw malloc_0 a_16 x_14) /\ ((valid_rw malloc_0 a_17 x_14) /\
  ((valid_rw malloc_0 a_19 x_14) /\ ((valid_rw malloc_0 a_20 x_14) /\
  ((p_allocation_footprint num_allocated_4 size_allocated_5 num_allocated_5
  size_allocated_4 (to_uint32 (map.Map.get malloc_0 (base a_13))) 1%Z) /\
  ((p_allocation_footprint num_allocated_0 size_allocated_0 num_allocated_3
  size_allocated_3 (to_uint32 (map.Map.get malloc_0 (base a_14))) 1%Z) /\
  ((p_valid_charray malloc_0 mptr_3 num_allocated_4 a_15 x_7 x_6) /\
  ((p_valid_charray malloc_0 m_6 num_allocated_4 a_15 x_7 x_6) /\
  (((p_is_allocable num_allocated_3 size_allocated_3 x_13 1%Z) ->
  (p_allocation_footprint num_allocated_4 size_allocated_5 num_allocated_3
  size_allocated_3 x_13 1%Z)) /\ (((p_is_allocable num_allocated_2
  size_allocated_1 x_13 1%Z) -> (p_allocation_footprint num_allocated_0
  size_allocated_0 num_allocated_2 size_allocated_1 x_13 1%Z)) /\
  (((p_is_allocable num_allocated_3 size_allocated_3 x_13 1%Z) ->
  (p_is_allocated_size malloc_0 m_6 num_allocated_4 calloc_1 x_13)) /\
  ((forall (s_0:Z), (is_uint32 s_0) -> ((p_is_allocated_size malloc_0 mptr_3
  num_allocated_4 a_13 s_0) ->
  (size_allocated_5 = (s_0 + size_allocated_4)%Z))) /\ ((forall (s_0:Z),
  (is_uint32 s_0) -> ((p_is_allocated_size malloc_0 mptr_2 num_allocated_0
  a_14 s_0) -> (size_allocated_0 = (s_0 + size_allocated_3)%Z))) /\
  ((separated a_16 x_14 a_20 x_7) /\ ((separated a_17 x_14 a_19 x_7) /\
  (((separated a_1 l_MAX_ALLOCS a_19 x_10) -> (separated a_1 l_MAX_ALLOCS
  a_17 x_10)) /\ (((~ (p_is_allocable num_allocated_2 size_allocated_1 x_13
  1%Z)) -> forall (i_0:Z), let a_21 := (shift a_0 i_0) in ((0%Z <= i_0)%Z ->
  ((i_0 <= num_allocated_0)%Z -> ((is_uint32 i_0) -> ((map.Map.get mptr_1
  a_21) = (map.Map.get m_3 a_21)))))) /\ (((p_is_allocable num_allocated_2
  size_allocated_1 x_13 1%Z) -> forall (i_0:Z), let a_21 := (shift a_0
  i_0) in ((i_0 < num_allocated_0)%Z -> ((0%Z <= i_0)%Z -> ((is_uint32
  i_0) -> ((map.Map.get mptr_1 a_21) = (map.Map.get m_3 a_21)))))) /\
  ((forall (i_0:Z), let a_21 := (shift a_0 i_0) in ((i_0 < l_MAX_ALLOCS)%Z ->
  ((0%Z <= i_0)%Z -> ((is_uint32 i_0) -> ((map.Map.get mptr_3
  a_21) = (map.Map.get m_6 a_21)))))) /\ (((separated a_1 l_MAX_ALLOCS a_20
  x_10) -> (separated a_1 l_MAX_ALLOCS a_16 x_10)) /\ (((~ (p_is_allocable
  num_allocated_3 size_allocated_3 x_13 1%Z)) -> forall (i_0:Z), let a_21 :=
  (shift a_0 i_0) in ((0%Z <= i_0)%Z -> ((i_0 <= num_allocated_4)%Z ->
  ((is_uint32 i_0) -> ((map.Map.get m_5 a_21) = (map.Map.get m_6
  a_21)))))) /\ (((p_is_allocable num_allocated_3 size_allocated_3 x_13
  1%Z) -> forall (i_0:Z), let a_21 := (shift a_0 i_0) in
  ((i_0 < num_allocated_4)%Z -> ((0%Z <= i_0)%Z -> ((is_uint32 i_0) ->
  ((map.Map.get m_5 a_21) = (map.Map.get m_6 a_21)))))) /\ ((forall (i_0:Z),
  (0%Z <= i_0)%Z -> ((is_uint32 i_0) -> ((i_0 < x_6)%Z ->
  ((map.Map.get mptr_2 (shift calloc_0 i_0)) = (map.Map.get m_3 (shift a_12
  i_0)))))) /\ ((forall (i_0:Z), (0%Z <= i_0)%Z -> ((is_uint32 i_0) ->
  ((i_0 < x_6)%Z -> ((map.Map.get mptr_3 (shift calloc_1
  i_0)) = (map.Map.get m_6 (shift a_15 i_0)))))) /\ ((forall (i_0:Z),
  forall (p_0:addr), (is_uint32 i_0) -> ((p_is_allocated_size malloc_0 m_3
  num_allocated_0 p_0 i_0) -> (p_is_allocated_size malloc_0 mptr_2
  num_allocated_0 p_0 i_0))) /\ (((p_is_allocable num_allocated_3
  size_allocated_3 x_13 1%Z) -> forall (p_0:addr),
  (~ (calloc_1 = (Mk_addr 0%Z 0%Z))) /\ ((p_is_allocated malloc_0 m_5
  num_allocated_3 p_0) -> ~ (calloc_1 = p_0))) /\ (((p_is_allocable
  num_allocated_2 size_allocated_1 x_13 1%Z) -> forall (s_0:Z),
  forall (a_21:addr), (is_uint32 s_0) -> ((p_is_allocated_size malloc_0
  mptr_1 num_allocated_2 a_21 s_0) -> (separated a_17 x_13 (shift a_21 0%Z)
  s_0))) /\ (((~ (p_is_allocable num_allocated_2 size_allocated_1 x_13
  1%Z)) -> forall (n_1:Z), forall (p_0:addr), (is_uint32 n_1) ->
  ((p_is_allocated_size malloc_0 mptr_1 num_allocated_2 p_0 n_1) ->
  (p_is_allocated_size malloc_0 m_3 num_allocated_0 p_0 n_1))) /\
  (((p_is_allocable num_allocated_2 size_allocated_1 x_13 1%Z) ->
  forall (n_1:Z), forall (p_0:addr), (is_uint32 n_1) -> ((p_is_allocated_size
  malloc_0 mptr_1 num_allocated_2 p_0 n_1) -> (p_is_allocated_size malloc_0
  m_3 num_allocated_0 p_0 n_1))) /\ ((forall (i_0:Z), forall (p_0:addr),
  (is_uint32 i_0) -> ((p_is_allocated_size malloc_0 m_6 num_allocated_4 p_0
  i_0) -> (p_is_allocated_size malloc_0 mptr_3 num_allocated_4 p_0 i_0))) /\
  (((p_is_allocable num_allocated_3 size_allocated_3 x_13 1%Z) ->
  forall (s_0:Z), forall (a_21:addr), (is_uint32 s_0) ->
  ((p_is_allocated_size malloc_0 m_5 num_allocated_3 a_21 s_0) -> (separated
  a_16 x_13 (shift a_21 0%Z) s_0))) /\ (((~ (p_is_allocable num_allocated_3
  size_allocated_3 x_13 1%Z)) -> forall (n_1:Z), forall (p_0:addr),
  (is_uint32 n_1) -> ((p_is_allocated_size malloc_0 m_5 num_allocated_3 p_0
  n_1) -> (p_is_allocated_size malloc_0 m_6 num_allocated_4 p_0 n_1))) /\
  ((p_is_allocable num_allocated_3 size_allocated_3 x_13 1%Z) ->
  forall (n_1:Z), forall (p_0:addr), (is_uint32 n_1) -> ((p_is_allocated_size
  malloc_0 m_5 num_allocated_3 p_0 n_1) -> (p_is_allocated_size malloc_0 m_6
  num_allocated_4 p_0
  n_1)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) \/
  ((~ (x_5 = x_0)) /\ ((mint_4 = mint_0) /\ ((mptr_4 = mptr_0) /\
  (num_allocated_5 = num_allocated_1))))) -> (p_well_separated
  (map.Map.get (map.Map.set m_0 a_11 val_0) a_4) x_2
  n_0))))))))))))))))))))))))))))))))))))))).
(* Why3 intros a_0 a_1 num_allocated_5 num_allocated_4 num_allocated_3
        num_allocated_0 num_allocated_2 num_allocated_1 size_allocated_5
        size_allocated_4 size_allocated_3 size_allocated_0 size_allocated_1
        size_allocated_2 malloc_0 mint_4 mint_3 mint_2 mint_1 mint_0 mptr_4
        mptr_3 mptr_2 mptr_1 mptr_0 calloc_1 calloc_0 elem_0 n_0 v_3 v_2 v_1
        v_0 val_0 a_2 x_0 a_3 x_1 x_2 x_3 x_4 x_5 a_4 a_5 a_6 a_7 a_8 m_0 a_9
        a_10 a_11 x_6 x_7 x_8 x_9 m_1 m_2 m_3 a_12 a_13 a_14 m_4 m_5 m_6 a_15
        a_16 x_10 a_17 x_11 a_18 x_12 a_19 x_13 a_20 x_14 h1 h2 h3 h4 h5 h6
        h7 h8 h9 h10 h11 h12 h13 h14 h15 h16 h17 h18 h19 h20 h21 h22 h23 h24
        h25 h26 h27 h28 h29 h30 h31 h32 h33 h34 h35 h36 h37 h38. *)
intros a_0 a_1 num_allocated_5 num_allocated_4 num_allocated_3
num_allocated_0 num_allocated_2 num_allocated_1 size_allocated_5
size_allocated_4 size_allocated_3 size_allocated_0 size_allocated_1
size_allocated_2 malloc_0 mint_4 mint_3 mint_2 mint_1 mint_0 mptr_4 mptr_3
mptr_2 mptr_1 mptr_0 calloc_1 calloc_0 elem_0 n_0 v_3 v_2 v_1 v_0 val_0 a_2
x_0 a_3 x_1 x_2 x_3 x_4 x_5 a_4 a_5 a_6 a_7 a_8 m_0 a_9 a_10 a_11 x_6 x_7 x_8
x_9 m_1 m_2 m_3 a_12 a_13 a_14 m_4 m_5 m_6 a_15 a_16 x_10 a_17 x_11 a_18 x_12
a_19 x_13 a_20 x_14 h1 h2 h3 h4 h5 h6 h7 h8 h9 h10 h11 h12 h13 h14 h15 h16
h17 h18 h19 h20 h21 h22 h23 h24 h25 h26 h27 h28 h29 h30 h31 h32 h33 h34 h35
h36 h37 h38.
destruct h38.
Require Import Why3.
why3 "cvc4" timelimit 20.
why3 "cvc4" timelimit 20.
Qed.

