(* This file is generated by Why3's Coq driver *)
(* Beware! Only edit allowed sections below    *)
Require Import BuiltIn.
Require BuiltIn.
Require bool.Bool.
Require int.Int.
Require int.Abs.
Require int.ComputerDivision.
Require real.Real.
Require real.RealInfix.
Require real.FromInt.
Require map.Map.

Parameter ite: forall {a:Type} {a_WT:WhyType a}, bool -> a -> a -> a.

Parameter eqb: forall {a:Type} {a_WT:WhyType a}, a -> a -> bool.

Parameter neqb: forall {a:Type} {a_WT:WhyType a}, a -> a -> bool.

Parameter zlt: Z -> Z -> bool.

Parameter zleq: Z -> Z -> bool.

Parameter rlt: R -> R -> bool.

Parameter rleq: R -> R -> bool.

Parameter truncate: R -> Z.

Axiom cdiv_cases : forall (n:Z) (d:Z), ((n <= 0%Z)%Z -> ((0%Z < d)%Z ->
  ((ZArith.BinInt.Z.quot n d) = (-(ZArith.BinInt.Z.quot (-n)%Z d))%Z))) /\
  (((0%Z <= n)%Z -> ((d < 0%Z)%Z ->
  ((ZArith.BinInt.Z.quot n d) = (-(ZArith.BinInt.Z.quot n (-d)%Z))%Z))) /\
  ((n <= 0%Z)%Z -> ((d < 0%Z)%Z ->
  ((ZArith.BinInt.Z.quot n d) = (ZArith.BinInt.Z.quot (-n)%Z (-d)%Z))))).

(* Why3 assumption *)
Inductive addr :=
  | Mk_addr : Z -> Z -> addr.
Axiom addr_WhyType : WhyType addr.
Existing Instance addr_WhyType.

(* Why3 assumption *)
Definition offset (v:addr): Z := match v with
  | (Mk_addr x x1) => x1
  end.

(* Why3 assumption *)
Definition base (v:addr): Z := match v with
  | (Mk_addr x x1) => x
  end.

Parameter addr_le: addr -> addr -> Prop.

Parameter addr_lt: addr -> addr -> Prop.

Parameter addr_le_bool: addr -> addr -> bool.

Parameter addr_lt_bool: addr -> addr -> bool.

(* Why3 assumption *)
Definition shift (p:addr) (k:Z): addr := (Mk_addr (base p)
  ((offset p) + k)%Z).

(* Why3 assumption *)
Definition separated (p:addr) (a:Z) (q:addr) (b:Z): Prop := (a <= 0%Z)%Z \/
  ((b <= 0%Z)%Z \/ ((~ ((base p) = (base q))) \/
  ((((offset q) + b)%Z <= (offset p))%Z \/
  (((offset p) + a)%Z <= (offset q))%Z))).

(* Why3 assumption *)
Definition valid_rw (m:(map.Map.map Z Z)) (p:addr) (n:Z): Prop :=
  (0%Z < n)%Z -> ((0%Z < (base p))%Z /\ ((0%Z <= (offset p))%Z /\
  (((offset p) + n)%Z <= (map.Map.get m (base p)))%Z)).

Parameter region: Z -> Z.

Parameter linked: (map.Map.map Z Z) -> Prop.

Parameter sconst: (map.Map.map addr Z) -> Prop.

Parameter cast: addr -> Z.

Parameter hardware: Z -> Z.

Parameter p_valid_Type_ptr: addr -> Prop.

Parameter l_strlen: addr -> Z.

Parameter l_memcmp: (map.Map.map addr Z) -> addr -> addr -> Z -> Z.

(* Why3 assumption *)
Definition p_valid_string (malloc_0:(map.Map.map Z Z)) (s_0:addr): Prop :=
  let x_0 := (l_strlen s_0) in ((0%Z <= x_0)%Z /\ (valid_rw malloc_0
  (shift s_0 0%Z) (1%Z + x_0)%Z)).

(* Why3 assumption *)
Inductive s___anonstruct_namemap_1 :=
  | mk_s___anonstruct_namemap_1 : Z -> Z -> addr -> addr ->
      s___anonstruct_namemap_1.
Axiom s___anonstruct_namemap_1_WhyType : WhyType s___anonstruct_namemap_1.
Existing Instance s___anonstruct_namemap_1_WhyType.

(* Why3 assumption *)
Definition f___anonstruct_namemap_1_vals
  (v:s___anonstruct_namemap_1): addr :=
  match v with
  | (mk_s___anonstruct_namemap_1 x x1 x2 x3) => x3
  end.

(* Why3 assumption *)
Definition f___anonstruct_namemap_1_keys
  (v:s___anonstruct_namemap_1): addr :=
  match v with
  | (mk_s___anonstruct_namemap_1 x x1 x2 x3) => x2
  end.

(* Why3 assumption *)
Definition f___anonstruct_namemap_1_bufsize
  (v:s___anonstruct_namemap_1): Z :=
  match v with
  | (mk_s___anonstruct_namemap_1 x x1 x2 x3) => x1
  end.

(* Why3 assumption *)
Definition f___anonstruct_namemap_1_size (v:s___anonstruct_namemap_1): Z :=
  match v with
  | (mk_s___anonstruct_namemap_1 x x1 x2 x3) => x
  end.

Parameter is_uint8: Z -> Prop.

Parameter is_sint8: Z -> Prop.

Parameter is_uint16: Z -> Prop.

Parameter is_uint32: Z -> Prop.

Axiom is_uint32_def : forall (x:Z), (is_uint32 x) <-> ((0%Z <= x)%Z /\
  (x < 4294967296%Z)%Z).

Parameter is_sint32: Z -> Prop.

Parameter is_uint64: Z -> Prop.

Parameter is_sint64: Z -> Prop.

Parameter to_uint8: Z -> Z.

Parameter to_sint8: Z -> Z.

Parameter to_uint16: Z -> Z.

Parameter to_sint16: Z -> Z.

Parameter to_uint32: Z -> Z.

Parameter to_sint32: Z -> Z.

Parameter to_uint64: Z -> Z.

Parameter to_sint64: Z -> Z.

Parameter lnot: Z -> Z.

Parameter land: Z -> Z -> Z.

Parameter lxor: Z -> Z -> Z.

Parameter lor: Z -> Z -> Z.

Parameter lsl: Z -> Z -> Z.

Parameter lsr: Z -> Z -> Z.

Parameter bit_testb: Z -> Z -> bool.

Parameter bit_test: Z -> Z -> Prop.

(* Why3 assumption *)
Definition load_S___anonstruct_namemap_1 (p_0:addr) (mint_0:(map.Map.map addr
  Z)) (mptr_0:(map.Map.map addr addr)): s___anonstruct_namemap_1 :=
  (mk_s___anonstruct_namemap_1 (map.Map.get mint_0 (shift p_0 0%Z))
  (map.Map.get mint_0 (shift p_0 1%Z)) (map.Map.get mptr_0 (shift p_0 2%Z))
  (map.Map.get mptr_0 (shift p_0 3%Z))).

Parameter p_valid_Kind_ptr: addr -> Prop.

Parameter p_valid_Term_ptr: addr -> Prop.

Parameter l_strcmp: addr -> addr -> Z.

Parameter l_SINT32_MAX: Z.

Parameter l_UINT32_MAX: Z.

Parameter l_HEAP_SIZE: Z.

Parameter l_MAX_ALLOCS: Z.

(* Why3 assumption *)
Definition p_is_allocated_size (malloc_0:(map.Map.map Z Z))
  (mptr_0:(map.Map.map addr addr)) (num_allocated_0:Z) (p_0:addr)
  (i_0:Z): Prop := (num_allocated_0 <= l_MAX_ALLOCS)%Z -> exists j_0:Z,
  let a_1 := (map.Map.get mptr_0 (shift (Mk_addr 909%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_0)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((p_0 = a_1) /\ (valid_rw malloc_0 (shift a_1 0%Z) i_0))))).

(* Why3 assumption *)
Definition p_well_separated (keys_0:addr) (size_0:Z) (n_0:addr): Prop :=
  (separated (shift keys_0 0%Z) size_0 n_0 4%Z).

(* Why3 assumption *)
Definition p_well_separated_arrays (keys_0:addr) (vals_0:addr)
  (size_0:Z): Prop := (separated (shift keys_0 0%Z) size_0 (shift vals_0 0%Z)
  size_0).

(* Why3 assumption *)
Definition p_valid_sizes (size_0:Z) (bufsize_0:Z): Prop := let x_0 :=
  (8%Z * bufsize_0)%Z in ((0%Z < bufsize_0)%Z /\ ((0%Z <= size_0)%Z /\
  ((size_0 <= bufsize_0)%Z /\ ((size_0 <= l_UINT32_MAX)%Z /\
  ((0%Z <= x_0)%Z /\ (x_0 <= l_UINT32_MAX)%Z))))).

(* Why3 assumption *)
Definition p_valid_content (malloc_0:(map.Map.map Z Z)) (mptr_0:(map.Map.map
  addr addr)) (keys_0:addr) (size_0:Z): Prop := forall (i_0:Z),
  (i_0 < size_0)%Z -> ((0%Z <= i_0)%Z -> ((is_sint32 i_0) -> (p_valid_string
  malloc_0 (map.Map.get mptr_0 (shift keys_0 i_0))))).

(* Why3 assumption *)
Definition p_valid_charray (malloc_0:(map.Map.map Z Z)) (mptr_0:(map.Map.map
  addr addr)) (num_allocated_0:Z) (keys_0:addr) (bufsize_0:Z)
  (size_0:Z): Prop := let a_0 := (shift keys_0 0%Z) in let x_0 :=
  (4%Z * bufsize_0)%Z in ((~ (keys_0 = (Mk_addr 0%Z 0%Z))) /\
  ((p_valid_content malloc_0 mptr_0 keys_0 size_0) /\ ((valid_rw malloc_0 a_0
  bufsize_0) /\ ((p_is_allocated_size malloc_0 mptr_0 num_allocated_0 keys_0
  (to_uint32 x_0)) /\ (separated (shift (Mk_addr 909%Z 0%Z) 0%Z) l_MAX_ALLOCS
  a_0 x_0))))).

(* Why3 assumption *)
Definition p_valid_namemap (malloc_0:(map.Map.map Z Z)) (mptr_0:(map.Map.map
  addr addr)) (num_allocated_0:Z) (n_0:s___anonstruct_namemap_1): Prop :=
  let a_0 := (f___anonstruct_namemap_1_keys n_0) in let a_1 :=
  (f___anonstruct_namemap_1_vals n_0) in let x_0 :=
  (f___anonstruct_namemap_1_size n_0) in let x_1 :=
  (f___anonstruct_namemap_1_bufsize n_0) in ((~ (a_0 = a_1)) /\
  ((p_valid_sizes x_0 x_1) /\ ((p_valid_charray malloc_0 mptr_0
  num_allocated_0 a_0 x_1 x_0) /\ (p_valid_charray malloc_0 mptr_0
  num_allocated_0 a_1 x_1 x_0)))).

(* Why3 goal *)
Theorem WP : let a_0 := (Mk_addr 909%Z 0%Z) in let a_1 := (shift a_0 0%Z) in
  forall (charr_bufsize_0:Z) (num_allocated_11:Z) (num_allocated_10:Z)
  (num_allocated_3:Z) (num_allocated_0:Z) (num_allocated_9:Z)
  (num_allocated_2:Z) (num_allocated_1:Z) (num_allocated_8:Z)
  (num_allocated_7:Z) (num_allocated_6:Z) (num_allocated_5:Z)
  (num_allocated_4:Z) (size_allocated_7:Z) (size_allocated_6:Z)
  (size_allocated_5:Z) (size_allocated_4:Z) (size_allocated_0:Z)
  (size_allocated_2:Z) (size_allocated_1:Z) (size_allocated_3:Z),
  forall (malloc_0:(map.Map.map Z Z)), forall (mint_7:(map.Map.map addr Z))
  (mint_6:(map.Map.map addr Z)) (mint_5:(map.Map.map addr Z))
  (mint_4:(map.Map.map addr Z)) (mint_3:(map.Map.map addr Z))
  (mint_2:(map.Map.map addr Z)) (mint_1:(map.Map.map addr Z))
  (mint_0:(map.Map.map addr Z)), forall (mptr_5:(map.Map.map addr addr))
  (mptr_4:(map.Map.map addr addr)) (mptr_3:(map.Map.map addr addr))
  (mptr_2:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr))
  (mptr_0:(map.Map.map addr addr)), forall (calloc_1:addr) (calloc_0:addr)
  (elem_0:addr) (n_0:addr) (namemap_insert_0:addr) (v_3:addr) (v_2:addr)
  (v_1:addr) (v_0:addr) (val_0:addr), let a_2 := (shift n_0 1%Z) in
  let x_0 := (map.Map.get mint_0 a_2) in let x_1 := (2%Z * x_0)%Z in
  let x_2 := (8%Z * x_0)%Z in let a_3 := (shift n_0 0%Z) in let x_3 :=
  (map.Map.get mint_0 a_3) in let a_4 := (shift namemap_insert_0 0%Z) in
  let x_4 := (map.Map.get mint_5 a_4) in let x_5 := (map.Map.get mint_3
  a_3) in let a_5 := (shift namemap_insert_0 1%Z) in let x_6 :=
  (map.Map.get mint_5 a_5) in let x_7 := (map.Map.get mint_3 a_2) in
  let x_8 := (8%Z * (map.Map.get mint_1 a_2))%Z in let x_9 :=
  (2%Z * x_6)%Z in let a_6 := (shift n_0 2%Z) in let a_7 :=
  (shift namemap_insert_0 3%Z) in let m_0 := (map.Map.set mptr_1 (shift a_0
  num_allocated_6) v_0) in let a_8 := (map.Map.get m_0 a_6) in let a_9 :=
  (map.Map.get mptr_3 a_7) in let a_10 := (map.Map.get mptr_2 a_6) in
  let m_1 := (map.Map.set mptr_2 (shift a_0 num_allocated_1) v_1) in
  let a_11 := (shift namemap_insert_0 2%Z) in let a_12 := (shift a_0
  num_allocated_9) in let m_2 := (map.Map.set (map.Map.set m_1 a_11 calloc_0)
  a_12 v_2) in let a_13 := (map.Map.get m_2 a_7) in let a_14 :=
  (shift calloc_1 0%Z) in let x_10 := (4%Z * x_6)%Z in let a_15 :=
  (shift calloc_0 0%Z) in let x_11 := (4%Z * x_7)%Z in let m_3 :=
  (map.Map.set mptr_3 (shift a_0 num_allocated_10) v_3) in let a_16 :=
  (map.Map.get m_3 a_11) in let x_12 := (to_uint32 x_11) in let m_4 :=
  (map.Map.set m_3 a_7 calloc_1) in let a_17 := (shift a_8 0%Z) in
  let a_18 := (shift a_16 x_4) in let x_13 := (to_uint32 x_10) in let x_14 :=
  (8%Z * x_7)%Z in let x_15 := (to_uint32 x_14) in let x_16 :=
  (to_uint32 x_8) in let m_5 := (map.Map.set m_1 a_6 calloc_0) in let m_6 :=
  (map.Map.set m_5 a_12 v_2) in let a_19 := (shift a_13 0%Z) in let x_17 :=
  (1%Z + (to_uint32 (x_6 - 1%Z)%Z))%Z in let x_18 :=
  (1%Z + (to_uint32 (x_7 - 1%Z)%Z))%Z in let m_7 := (map.Map.set m_4 a_18
  elem_0) in let a_20 := (map.Map.get m_7 a_11) in let a_21 :=
  (map.Map.get m_7 a_7) in let a_22 := (shift a_21 x_4) in let m_8 :=
  (map.Map.set m_7 a_22 val_0) in let a_23 := (map.Map.get m_8 a_11) in
  let a_24 := (map.Map.get m_8 a_7) in let x_19 := (map.Map.get mint_6
  a_4) in let x_20 := (map.Map.get mint_6 a_5) in let a_25 :=
  (map.Map.get mptr_4 a_11) in let a_26 := (map.Map.get mptr_4 a_7) in
  let a_27 := (shift a_25 x_19) in let m_9 := (map.Map.set mptr_4 a_27
  elem_0) in let a_28 := (map.Map.get m_9 a_11) in let a_29 :=
  (map.Map.get m_9 a_7) in let a_30 := (shift a_29 x_19) in let m_10 :=
  (map.Map.set m_9 a_30 val_0) in let a_31 := (map.Map.get m_10 a_11) in
  let a_32 := (map.Map.get m_10 a_7) in ((~ (namemap_insert_0 = (Mk_addr 0%Z
  0%Z))) -> ((forall (p:addr), ((region (base (map.Map.get mptr_0
  p))) <= 0%Z)%Z) -> ((linked malloc_0) -> ((is_uint32 charr_bufsize_0) ->
  ((is_uint32 num_allocated_3) -> ((is_uint32 num_allocated_0) -> ((is_uint32
  num_allocated_2) -> ((is_uint32 num_allocated_8) -> ((is_uint32
  num_allocated_7) -> ((is_uint32 num_allocated_5) -> ((is_uint32
  size_allocated_6) -> ((is_uint32 size_allocated_2) ->
  (((num_allocated_4 <= l_MAX_ALLOCS)%Z /\
  (size_allocated_3 <= l_HEAP_SIZE)%Z) -> ((let x_01 := (l_strlen elem_0) in
  ((0%Z <= x_01)%Z /\ (valid_rw malloc_0 (shift elem_0 0%Z)
  (1%Z + x_01)%Z))) -> ((let x_01 := (l_strlen val_0) in ((0%Z <= x_01)%Z /\
  (valid_rw malloc_0 (shift val_0 0%Z) (1%Z + x_01)%Z))) ->
  (((0%Z < 4%Z)%Z -> ((0%Z < (base n_0))%Z /\ ((0%Z <= (offset n_0))%Z /\
  (((offset n_0) + 4%Z)%Z <= (map.Map.get malloc_0 (base n_0)))%Z))) ->
  ((0%Z < x_0)%Z -> ((x_0 < l_UINT32_MAX)%Z -> (((0%Z < x_1)%Z \/
  (0%Z = x_1)) -> (((0%Z < x_2)%Z \/ (0%Z = x_2)) ->
  (((x_1 < 4294967295%Z)%Z \/ (x_1 = 4294967295%Z)) ->
  (((x_2 < l_UINT32_MAX)%Z \/ (x_2 = l_UINT32_MAX)) -> ((is_uint32
  (map.Map.get mint_6 a_3)) -> ((is_uint32 (map.Map.get mint_6 a_2)) ->
  ((is_uint32 (map.Map.get mint_4 a_3)) -> ((is_uint32 (map.Map.get mint_4
  a_2)) -> ((is_uint32 (map.Map.get mint_2 a_3)) -> ((is_uint32 x_3) ->
  ((is_uint32 x_0) -> (((num_allocated_4 <= l_MAX_ALLOCS)%Z -> exists j_0:Z,
  let a_110 := (map.Map.get mptr_0 (shift (Mk_addr 909%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_4)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((n_0 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z) 16%Z)))))) ->
  ((let a_01 := (map.Map.get mptr_0 (shift n_0 2%Z)) in let x_01 :=
  (map.Map.get mint_0 (shift n_0 1%Z)) in let a_110 := (map.Map.get mptr_0
  (shift n_0 3%Z)) in ((~ (n_0 = (Mk_addr 0%Z 0%Z))) /\ ((valid_rw malloc_0
  n_0 4%Z) /\ ((p_is_allocated_size malloc_0 mptr_0 num_allocated_4 n_0
  16%Z) /\ ((p_well_separated a_01 x_01 n_0) /\ ((p_well_separated a_110 x_01
  n_0) /\ ((p_well_separated_arrays a_01 a_110 x_01) /\ (p_valid_namemap
  malloc_0 mptr_0 num_allocated_4 (load_S___anonstruct_namemap_1 n_0 mint_0
  mptr_0))))))))) -> (((0%Z < 1%Z)%Z -> ((0%Z <= (offset a_3))%Z /\
  (((offset a_3) + 1%Z)%Z <= (map.Map.get malloc_0 (base a_3)))%Z)) ->
  (((0%Z < 1%Z)%Z -> ((0%Z <= (offset a_2))%Z /\
  (((offset a_2) + 1%Z)%Z <= (map.Map.get malloc_0 (base a_2)))%Z)) ->
  ((is_uint32 x_1) -> (((x_3 = x_0) -> ((0%Z < 1%Z)%Z /\
  ((0%Z < (to_uint32 x_2))%Z /\
  (((1%Z + num_allocated_4)%Z <= l_MAX_ALLOCS)%Z /\
  (((to_uint32 x_2) + size_allocated_3)%Z <= l_HEAP_SIZE)%Z)))) ->
  ((((x_3 = x_0) /\ ((mint_5 = mint_3) /\ ((mint_3 = mint_1) /\
  ((mint_1 = mint_0) /\ ((mptr_1 = mptr_0) /\ ((n_0 = namemap_insert_0) /\
  ((num_allocated_10 = num_allocated_0) /\
  ((num_allocated_1 = num_allocated_7) /\
  ((num_allocated_6 = num_allocated_4) /\
  ((size_allocated_7 = size_allocated_6) /\
  ((size_allocated_0 = size_allocated_2) /\
  ((size_allocated_1 = size_allocated_3) /\ ((~ (calloc_1 = (Mk_addr 0%Z
  0%Z))) /\ ((~ (calloc_0 = (Mk_addr 0%Z 0%Z))) /\ ((x_4 < l_UINT32_MAX)%Z /\
  ((x_5 < l_UINT32_MAX)%Z /\ (((0%Z < x_4)%Z \/ (0%Z = x_4)) /\
  (((0%Z < x_5)%Z \/ (0%Z = x_5)) /\ (((x_4 < 4294967294%Z)%Z \/
  (x_4 = 4294967294%Z)) /\ (((x_4 < x_6)%Z \/ (x_4 = x_6)) /\
  (((x_5 < x_7)%Z \/ (x_5 = x_7)) /\ (((0%Z < x_8)%Z \/ (0%Z = x_8)) /\
  (((x_4 < x_9)%Z \/ (x_4 = x_9)) /\ (((x_8 < l_UINT32_MAX)%Z \/
  (x_8 = l_UINT32_MAX)) /\ (((0%Z < 1%Z)%Z -> ((0%Z <= (offset a_6))%Z /\
  (((offset a_6) + 1%Z)%Z <= (map.Map.get malloc_0 (base a_6)))%Z)) /\
  (((0%Z < 1%Z)%Z -> ((0%Z <= (offset a_7))%Z /\
  (((offset a_7) + 1%Z)%Z <= (map.Map.get malloc_0 (base a_7)))%Z)) /\
  (((0%Z < 1%Z)%Z -> ((0%Z < (base a_6))%Z /\ ((0%Z <= (offset a_6))%Z /\
  (((offset a_6) + 1%Z)%Z <= (map.Map.get malloc_0 (base a_6)))%Z))) /\
  (((0%Z < 1%Z)%Z -> ((0%Z < (base a_4))%Z /\ ((0%Z <= (offset a_4))%Z /\
  (((offset a_4) + 1%Z)%Z <= (map.Map.get malloc_0 (base a_4)))%Z))) /\
  (((0%Z < 1%Z)%Z -> ((0%Z < (base a_5))%Z /\ ((0%Z <= (offset a_5))%Z /\
  (((offset a_5) + 1%Z)%Z <= (map.Map.get malloc_0 (base a_5)))%Z))) /\
  (((0%Z < 1%Z)%Z -> ((0%Z < (base a_7))%Z /\ ((0%Z <= (offset a_7))%Z /\
  (((offset a_7) + 1%Z)%Z <= (map.Map.get malloc_0 (base a_7)))%Z))) /\
  ((~ ((Mk_addr 0%Z 0%Z) = a_8)) /\
  ((mint_7 = (map.Map.set (map.Map.set mint_5 a_5 x_9) a_4 (1%Z + x_4)%Z)) /\
  (((num_allocated_10 <= l_MAX_ALLOCS)%Z -> exists i_0:Z, (is_uint32 i_0) /\
  (p_is_allocated_size malloc_0 mptr_3 num_allocated_10 a_9 i_0)) /\
  (((num_allocated_1 <= l_MAX_ALLOCS)%Z -> exists i_0:Z, (is_uint32 i_0) /\
  (p_is_allocated_size malloc_0 mptr_2 num_allocated_1 a_10 i_0)) /\
  ((separated (shift calloc_1 0%Z) x_9 namemap_insert_0 4%Z) /\
  ((~ ((Mk_addr 0%Z 0%Z) = a_13)) /\ (((l_MAX_ALLOCS <= 0%Z)%Z \/
  ((x_10 <= 0%Z)%Z \/ ((~ ((base a_1) = (base a_14))) \/
  ((((offset a_14) + x_10)%Z <= (offset a_1))%Z \/
  (((offset a_1) + l_MAX_ALLOCS)%Z <= (offset a_14))%Z)))) /\
  (((l_MAX_ALLOCS <= 0%Z)%Z \/ ((x_11 <= 0%Z)%Z \/
  ((~ ((base a_1) = (base a_15))) \/
  ((((offset a_15) + x_11)%Z <= (offset a_1))%Z \/
  (((offset a_1) + l_MAX_ALLOCS)%Z <= (offset a_15))%Z)))) /\
  (((0%Z < (1%Z + x_6)%Z)%Z -> ((0%Z < (base a_14))%Z /\
  ((0%Z <= (offset a_14))%Z /\
  (((offset a_14) + (1%Z + x_6)%Z)%Z <= (map.Map.get malloc_0
  (base a_14)))%Z))) /\ (((0%Z < (1%Z + x_7)%Z)%Z ->
  ((0%Z < (base a_15))%Z /\ ((0%Z <= (offset a_15))%Z /\
  (((offset a_15) + (1%Z + x_7)%Z)%Z <= (map.Map.get malloc_0
  (base a_15)))%Z))) /\ ((forall (q:addr), (separated q 1%Z a_15 x_5) ->
  ((map.Map.get m_0 q) = (map.Map.get mptr_2 q))) /\ ((let a_01 :=
  (Mk_addr 909%Z 0%Z) in forall (i_0:Z) (j_0:Z), let a_110 :=
  (map.Map.get mptr_3 (shift a_01 i_0)) in let a_210 := (shift a_01 j_0) in
  let a_33 := (map.Map.get mptr_3 a_210) in ((is_uint32 i_0) -> ((is_uint32
  j_0) -> (((i_0 < num_allocated_10)%Z -> ((j_0 < i_0)%Z ->
  ((0%Z <= i_0)%Z -> ((0%Z <= j_0)%Z -> ((a_9 = a_110) ->
  (a_33 = (map.Map.get m_3 a_210))))))) /\ ((i_0 < j_0)%Z ->
  ((i_0 < num_allocated_10)%Z -> ((j_0 < num_allocated_10)%Z ->
  ((0%Z <= i_0)%Z -> ((a_9 = a_110) -> (a_33 = (map.Map.get m_3 (shift a_01
  (j_0 - 1%Z)%Z)))))))))))) /\ ((let a_01 := (Mk_addr 909%Z 0%Z) in
  forall (i_0:Z) (j_0:Z), let a_110 := (map.Map.get mptr_2 (shift a_01
  i_0)) in let a_210 := (shift a_01 j_0) in let a_33 := (map.Map.get mptr_2
  a_210) in ((is_uint32 i_0) -> ((is_uint32 j_0) ->
  (((i_0 < num_allocated_1)%Z -> ((j_0 < i_0)%Z -> ((0%Z <= i_0)%Z ->
  ((0%Z <= j_0)%Z -> ((a_10 = a_110) -> (a_33 = (map.Map.get m_1
  a_210))))))) /\ ((i_0 < j_0)%Z -> ((i_0 < num_allocated_1)%Z ->
  ((j_0 < num_allocated_1)%Z -> ((0%Z <= i_0)%Z -> ((a_10 = a_110) ->
  (a_33 = (map.Map.get m_1 (shift a_01 (j_0 - 1%Z)%Z)))))))))))) /\
  ((let a_01 := (shift calloc_1 0%Z) in let x_01 := (4%Z * x_6)%Z in
  ((~ (calloc_1 = (Mk_addr 0%Z 0%Z))) /\ ((p_valid_content malloc_0 mptr_3
  calloc_1 x_4) /\ ((valid_rw malloc_0 a_01 x_6) /\ ((p_is_allocated_size
  malloc_0 mptr_3 num_allocated_10 calloc_1 (to_uint32 x_01)) /\ (separated
  (shift (Mk_addr 909%Z 0%Z) 0%Z) l_MAX_ALLOCS a_01 x_01)))))) /\
  ((let a_01 := (shift calloc_0 0%Z) in let x_01 := (4%Z * x_7)%Z in
  ((~ (calloc_0 = (Mk_addr 0%Z 0%Z))) /\ ((p_valid_content malloc_0 mptr_2
  calloc_0 x_5) /\ ((valid_rw malloc_0 a_01 x_7) /\ ((p_is_allocated_size
  malloc_0 mptr_2 num_allocated_1 calloc_0 (to_uint32 x_01)) /\ (separated
  (shift (Mk_addr 909%Z 0%Z) 0%Z) l_MAX_ALLOCS a_01 x_01)))))) /\ ((separated
  (shift a_16 0%Z) x_9 namemap_insert_0 4%Z) /\ ((separated (shift a_16 0%Z)
  x_9 (shift calloc_1 0%Z) x_9) /\
  ((~ ((num_allocated_11 <= l_MAX_ALLOCS)%Z -> exists i_0:Z, (is_uint32
  i_0) /\ (p_is_allocated_size malloc_0 m_3 num_allocated_11 a_9 i_0))) /\
  ((~ ((num_allocated_9 <= l_MAX_ALLOCS)%Z -> exists i_0:Z, (is_uint32
  i_0) /\ (p_is_allocated_size malloc_0 m_1 num_allocated_9 a_10 i_0))) /\
  ((forall (q:addr), (separated q 1%Z a_14 x_4) -> ((map.Map.get m_2
  q) = (map.Map.get mptr_3 q))) /\ (((num_allocated_1 <= l_MAX_ALLOCS)%Z ->
  exists j_0:Z, let a_110 := (map.Map.get m_0 (shift (Mk_addr 909%Z 0%Z)
  j_0)) in ((j_0 < num_allocated_1)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32
  j_0) /\ ((calloc_0 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z)
  x_12)))))) /\ (((num_allocated_1 <= l_MAX_ALLOCS)%Z -> exists j_0:Z,
  let a_110 := (map.Map.get m_0 (shift (Mk_addr 909%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_1)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((a_8 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z) x_12)))))) /\
  (((num_allocated_11 <= l_MAX_ALLOCS)%Z -> exists j_0:Z, let a_110 :=
  (map.Map.get m_4 (shift (Mk_addr 909%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_11)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((namemap_insert_0 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z)
  16%Z)))))) /\ ((separated (shift (map.Map.get m_2 a_11) 0%Z) x_6
  (shift calloc_1 0%Z) x_6) /\ (((0%Z < x_5)%Z ->
  ((0%Z <= (offset a_17))%Z /\
  (((offset a_17) + x_5)%Z <= (map.Map.get malloc_0 (base a_17)))%Z)) /\
  (((0%Z < 1%Z)%Z -> ((0%Z < (base a_18))%Z /\ ((0%Z <= (offset a_18))%Z /\
  (((offset a_18) + 1%Z)%Z <= (map.Map.get malloc_0 (base a_18)))%Z))) /\
  (((num_allocated_10 <= l_MAX_ALLOCS)%Z -> exists j_0:Z, let a_110 :=
  (map.Map.get m_2 (shift (Mk_addr 909%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_10)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((calloc_1 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z) x_13)))))) /\
  ((let a_01 := (shift a_8 0%Z) in let x_01 := (4%Z * x_7)%Z in
  ((~ (a_8 = (Mk_addr 0%Z 0%Z))) /\ ((p_valid_content malloc_0 mptr_2 a_8
  x_5) /\ ((valid_rw malloc_0 a_01 x_7) /\ ((p_is_allocated_size malloc_0
  mptr_2 num_allocated_1 a_8 (to_uint32 x_01)) /\ (separated
  (shift (Mk_addr 909%Z 0%Z) 0%Z) l_MAX_ALLOCS a_01 x_01)))))) /\
  ((let a_01 := (shift a_8 0%Z) in let x_01 := (4%Z * x_7)%Z in
  ((~ (a_8 = (Mk_addr 0%Z 0%Z))) /\ ((p_valid_content malloc_0 m_0 a_8
  x_5) /\ ((valid_rw malloc_0 a_01 x_7) /\ ((p_is_allocated_size malloc_0 m_0
  num_allocated_1 a_8 (to_uint32 x_01)) /\ (separated (shift (Mk_addr 909%Z
  0%Z) 0%Z) l_MAX_ALLOCS a_01 x_01)))))) /\ ((((0%Z < 1%Z)%Z /\
  ((0%Z < x_15)%Z /\ (((1%Z + num_allocated_9)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_15 + size_allocated_4)%Z <= l_HEAP_SIZE)%Z))) ->
  ~ (calloc_1 = (Mk_addr 0%Z 0%Z))) /\ ((((0%Z < 1%Z)%Z /\ ((0%Z < x_16)%Z /\
  (((1%Z + num_allocated_6)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_16 + size_allocated_1)%Z <= l_HEAP_SIZE)%Z))) ->
  ~ (calloc_0 = (Mk_addr 0%Z 0%Z))) /\ ((((0%Z < 1%Z)%Z /\ ((0%Z < x_16)%Z /\
  (((1%Z + num_allocated_6)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_16 + size_allocated_1)%Z <= l_HEAP_SIZE)%Z))) ->
  (calloc_0 = (map.Map.get m_0 (shift a_0 (num_allocated_7 - 1%Z)%Z)))) /\
  ((((0%Z < 1%Z)%Z /\ ((0%Z < x_15)%Z /\
  (((1%Z + num_allocated_9)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_15 + size_allocated_4)%Z <= l_HEAP_SIZE)%Z))) -> ((0%Z < x_14)%Z ->
  ((0%Z < (base a_14))%Z /\ ((0%Z <= (offset a_14))%Z /\
  (((offset a_14) + x_14)%Z <= (map.Map.get malloc_0 (base a_14)))%Z)))) /\
  ((((0%Z < 1%Z)%Z /\ ((0%Z < x_16)%Z /\
  (((1%Z + num_allocated_6)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_16 + size_allocated_1)%Z <= l_HEAP_SIZE)%Z))) -> ((0%Z < x_8)%Z ->
  ((0%Z < (base a_15))%Z /\ ((0%Z <= (offset a_15))%Z /\
  (((offset a_15) + x_8)%Z <= (map.Map.get malloc_0 (base a_15)))%Z)))) /\
  ((((0%Z < 1%Z)%Z /\ ((0%Z < x_15)%Z /\
  (((1%Z + num_allocated_9)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_15 + size_allocated_4)%Z <= l_HEAP_SIZE)%Z))) ->
  (calloc_1 = (map.Map.get m_6 (shift a_0 (num_allocated_0 - 1%Z)%Z)))) /\
  ((((0%Z < 1%Z)%Z /\ ((0%Z < x_15)%Z /\
  (((1%Z + num_allocated_9)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_15 + size_allocated_4)%Z <= l_HEAP_SIZE)%Z))) ->
  ((l_MAX_ALLOCS <= 0%Z)%Z \/ ((x_14 <= 0%Z)%Z \/
  ((~ ((base a_1) = (base a_14))) \/
  ((((offset a_14) + x_14)%Z <= (offset a_1))%Z \/
  (((offset a_1) + l_MAX_ALLOCS)%Z <= (offset a_14))%Z))))) /\
  ((((0%Z < 1%Z)%Z /\ ((0%Z < x_16)%Z /\
  (((1%Z + num_allocated_6)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_16 + size_allocated_1)%Z <= l_HEAP_SIZE)%Z))) ->
  ((l_MAX_ALLOCS <= 0%Z)%Z \/ ((x_8 <= 0%Z)%Z \/
  ((~ ((base a_1) = (base a_15))) \/
  ((((offset a_15) + x_8)%Z <= (offset a_1))%Z \/
  (((offset a_1) + l_MAX_ALLOCS)%Z <= (offset a_15))%Z))))) /\
  (((num_allocated_10 <= l_MAX_ALLOCS)%Z -> exists j_0:Z, let a_110 :=
  (map.Map.get m_2 (shift (Mk_addr 909%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_10)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((a_13 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z) x_13)))))) /\
  (((~ ((0%Z < 1%Z)%Z /\ ((0%Z < x_15)%Z /\
  (((1%Z + num_allocated_9)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_15 + size_allocated_4)%Z <= l_HEAP_SIZE)%Z)))) ->
  (calloc_1 = (Mk_addr 0%Z 0%Z))) /\ (((~ ((0%Z < 1%Z)%Z /\
  ((0%Z < x_16)%Z /\ (((1%Z + num_allocated_6)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_16 + size_allocated_1)%Z <= l_HEAP_SIZE)%Z)))) ->
  (calloc_0 = (Mk_addr 0%Z 0%Z))) /\ (((~ ((0%Z < 1%Z)%Z /\
  ((0%Z < x_15)%Z /\ (((1%Z + num_allocated_9)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_15 + size_allocated_4)%Z <= l_HEAP_SIZE)%Z)))) ->
  ((num_allocated_0 = (0%Z + num_allocated_9)%Z) /\
  (size_allocated_6 = (0%Z + size_allocated_4)%Z))) /\ (((~ ((0%Z < 1%Z)%Z /\
  ((0%Z < x_16)%Z /\ (((1%Z + num_allocated_6)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_16 + size_allocated_1)%Z <= l_HEAP_SIZE)%Z)))) ->
  ((num_allocated_7 = (0%Z + num_allocated_6)%Z) /\
  (size_allocated_2 = (0%Z + size_allocated_1)%Z))) /\ ((((0%Z < 1%Z)%Z /\
  ((0%Z < x_16)%Z /\ (((1%Z + num_allocated_6)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_16 + size_allocated_1)%Z <= l_HEAP_SIZE)%Z))) ->
  ((num_allocated_7 <= l_MAX_ALLOCS)%Z -> exists j_0:Z, let a_110 :=
  (map.Map.get m_0 (shift (Mk_addr 909%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_7)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((calloc_0 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z) x_16))))))) /\
  ((((0%Z < 1%Z)%Z /\ ((0%Z < x_16)%Z /\
  (((1%Z + num_allocated_6)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_16 + size_allocated_1)%Z <= l_HEAP_SIZE)%Z))) -> forall (p_0:addr),
  (~ (calloc_0 = (Mk_addr 0%Z 0%Z))) /\
  (((num_allocated_6 <= l_MAX_ALLOCS)%Z -> exists i_0:Z, (is_uint32 i_0) /\
  (p_is_allocated_size malloc_0 mptr_1 num_allocated_6 p_0 i_0)) ->
  ~ (calloc_0 = p_0))) /\ ((forall (i_0:Z), let a_33 := (shift a_0 i_0) in
  ((i_0 < l_MAX_ALLOCS)%Z -> (((0%Z < i_0)%Z \/ (0%Z = i_0)) -> ((is_uint32
  i_0) -> ((map.Map.get mptr_2 a_33) = (map.Map.get m_0 a_33)))))) /\
  (((0%Z < x_4)%Z -> ((0%Z <= (offset a_19))%Z /\
  (((offset a_19) + x_4)%Z <= (map.Map.get malloc_0 (base a_19)))%Z)) /\
  (((0%Z < x_17)%Z -> ((0%Z < (base a_14))%Z /\ ((0%Z <= (offset a_14))%Z /\
  (((offset a_14) + x_17)%Z <= (map.Map.get malloc_0 (base a_14)))%Z))) /\
  (((0%Z < x_18)%Z -> ((0%Z < (base a_15))%Z /\ ((0%Z <= (offset a_15))%Z /\
  (((offset a_15) + x_18)%Z <= (map.Map.get malloc_0 (base a_15)))%Z))) /\
  (((0%Z < x_18)%Z -> ((0%Z < (base a_17))%Z /\ ((0%Z <= (offset a_17))%Z /\
  (((offset a_17) + x_18)%Z <= (map.Map.get malloc_0 (base a_17)))%Z))) /\
  (((0%Z < x_17)%Z -> ((0%Z < (base a_19))%Z /\ ((0%Z <= (offset a_19))%Z /\
  (((offset a_19) + x_17)%Z <= (map.Map.get malloc_0 (base a_19)))%Z))) /\
  (((num_allocated_10 = (1%Z + num_allocated_11)%Z) /\
  (size_allocated_7 = ((to_uint32 (map.Map.get malloc_0
  (base a_9))) + size_allocated_5)%Z)) /\
  (((num_allocated_1 = (1%Z + num_allocated_9)%Z) /\
  (size_allocated_0 = ((to_uint32 (map.Map.get malloc_0
  (base a_10))) + size_allocated_4)%Z)) /\ ((let a_01 := (shift a_13 0%Z) in
  let x_01 := (4%Z * x_6)%Z in ((~ (a_13 = (Mk_addr 0%Z 0%Z))) /\
  ((p_valid_content malloc_0 mptr_3 a_13 x_4) /\ ((valid_rw malloc_0 a_01
  x_6) /\ ((p_is_allocated_size malloc_0 mptr_3 num_allocated_10 a_13
  (to_uint32 x_01)) /\ (separated (shift (Mk_addr 909%Z 0%Z) 0%Z)
  l_MAX_ALLOCS a_01 x_01)))))) /\ ((let a_01 := (shift a_13 0%Z) in
  let x_01 := (4%Z * x_6)%Z in ((~ (a_13 = (Mk_addr 0%Z 0%Z))) /\
  ((p_valid_content malloc_0 m_2 a_13 x_4) /\ ((valid_rw malloc_0 a_01
  x_6) /\ ((p_is_allocated_size malloc_0 m_2 num_allocated_10 a_13
  (to_uint32 x_01)) /\ (separated (shift (Mk_addr 909%Z 0%Z) 0%Z)
  l_MAX_ALLOCS a_01 x_01)))))) /\ ((separated (shift a_20 0%Z) x_9
  namemap_insert_0 4%Z) /\ ((separated (shift a_21 0%Z) x_9 namemap_insert_0
  4%Z) /\ ((separated (shift a_20 0%Z) x_9 (shift a_21 0%Z) x_9) /\
  ((((0%Z < 1%Z)%Z /\ ((0%Z < x_15)%Z /\
  (((1%Z + num_allocated_9)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_15 + size_allocated_4)%Z <= l_HEAP_SIZE)%Z))) ->
  ((num_allocated_0 = (1%Z + num_allocated_9)%Z) /\
  (size_allocated_6 = (x_15 + size_allocated_4)%Z))) /\ ((((0%Z < 1%Z)%Z /\
  ((0%Z < x_16)%Z /\ (((1%Z + num_allocated_6)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_16 + size_allocated_1)%Z <= l_HEAP_SIZE)%Z))) ->
  ((num_allocated_7 = (1%Z + num_allocated_6)%Z) /\
  (size_allocated_2 = (x_16 + size_allocated_1)%Z))) /\ ((((0%Z < 1%Z)%Z /\
  ((0%Z < x_15)%Z /\ (((1%Z + num_allocated_9)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_15 + size_allocated_4)%Z <= l_HEAP_SIZE)%Z))) ->
  ((num_allocated_0 <= l_MAX_ALLOCS)%Z -> exists j_0:Z, let a_110 :=
  (map.Map.get m_6 (shift (Mk_addr 909%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_0)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((calloc_1 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z) x_15))))))) /\
  ((forall (s_0:Z), (is_uint32 s_0) ->
  (((num_allocated_10 <= l_MAX_ALLOCS)%Z -> exists j_0:Z, let a_110 :=
  (map.Map.get mptr_3 (shift (Mk_addr 909%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_10)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((a_9 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z) s_0)))))) ->
  (size_allocated_7 = (s_0 + size_allocated_5)%Z))) /\ ((forall (s_0:Z),
  (is_uint32 s_0) -> (((num_allocated_1 <= l_MAX_ALLOCS)%Z -> exists j_0:Z,
  let a_110 := (map.Map.get mptr_2 (shift (Mk_addr 909%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_1)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((a_10 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z) s_0)))))) ->
  (size_allocated_0 = (s_0 + size_allocated_4)%Z))) /\ ((mptr_5 = m_8) /\
  (((x_17 <= 0%Z)%Z \/ ((x_6 <= 0%Z)%Z \/ ((~ ((base a_14) = (base a_19))) \/
  ((((offset a_19) + x_6)%Z <= (offset a_14))%Z \/
  (((offset a_14) + x_17)%Z <= (offset a_19))%Z)))) /\ (((x_18 <= 0%Z)%Z \/
  ((x_7 <= 0%Z)%Z \/ ((~ ((base a_15) = (base a_17))) \/
  ((((offset a_17) + x_7)%Z <= (offset a_15))%Z \/
  (((offset a_15) + x_18)%Z <= (offset a_17))%Z)))) /\
  ((((l_MAX_ALLOCS <= 0%Z)%Z \/ ((x_11 <= 0%Z)%Z \/
  ((~ ((base a_1) = (base a_17))) \/
  ((((offset a_17) + x_11)%Z <= (offset a_1))%Z \/
  (((offset a_1) + l_MAX_ALLOCS)%Z <= (offset a_17))%Z)))) ->
  ((l_MAX_ALLOCS <= 0%Z)%Z \/ ((x_11 <= 0%Z)%Z \/
  ((~ ((base a_1) = (base a_15))) \/
  ((((offset a_15) + x_11)%Z <= (offset a_1))%Z \/
  (((offset a_1) + l_MAX_ALLOCS)%Z <= (offset a_15))%Z))))) /\
  (((~ ((0%Z < 1%Z)%Z /\ ((0%Z < x_16)%Z /\
  (((1%Z + num_allocated_6)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_16 + size_allocated_1)%Z <= l_HEAP_SIZE)%Z)))) -> forall (i_0:Z),
  let a_33 := (shift a_0 i_0) in (((0%Z < i_0)%Z \/ (0%Z = i_0)) ->
  (((i_0 < num_allocated_7)%Z \/ (i_0 = num_allocated_7)) -> ((is_uint32
  i_0) -> ((map.Map.get mptr_1 a_33) = (map.Map.get m_0 a_33)))))) /\
  ((((0%Z < 1%Z)%Z /\ ((0%Z < x_16)%Z /\
  (((1%Z + num_allocated_6)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_16 + size_allocated_1)%Z <= l_HEAP_SIZE)%Z))) -> forall (i_0:Z),
  let a_33 := (shift a_0 i_0) in ((i_0 < num_allocated_7)%Z ->
  (((0%Z < i_0)%Z \/ (0%Z = i_0)) -> ((is_uint32 i_0) -> ((map.Map.get mptr_1
  a_33) = (map.Map.get m_0 a_33)))))) /\ ((forall (i_0:Z), let a_33 :=
  (shift a_0 i_0) in ((i_0 < l_MAX_ALLOCS)%Z -> (((0%Z < i_0)%Z \/
  (0%Z = i_0)) -> ((is_uint32 i_0) -> ((map.Map.get mptr_3
  a_33) = (map.Map.get m_2 a_33)))))) /\ (((0%Z < 1%Z)%Z ->
  ((0%Z < (base a_22))%Z /\ ((0%Z <= (offset a_22))%Z /\
  (((offset a_22) + 1%Z)%Z <= (map.Map.get malloc_0 (base a_22)))%Z))) /\
  ((((l_MAX_ALLOCS <= 0%Z)%Z \/ ((x_10 <= 0%Z)%Z \/
  ((~ ((base a_1) = (base a_19))) \/
  ((((offset a_19) + x_10)%Z <= (offset a_1))%Z \/
  (((offset a_1) + l_MAX_ALLOCS)%Z <= (offset a_19))%Z)))) ->
  ((l_MAX_ALLOCS <= 0%Z)%Z \/ ((x_10 <= 0%Z)%Z \/
  ((~ ((base a_1) = (base a_14))) \/
  ((((offset a_14) + x_10)%Z <= (offset a_1))%Z \/
  (((offset a_1) + l_MAX_ALLOCS)%Z <= (offset a_14))%Z))))) /\
  (((~ ((0%Z < 1%Z)%Z /\ ((0%Z < x_15)%Z /\
  (((1%Z + num_allocated_9)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_15 + size_allocated_4)%Z <= l_HEAP_SIZE)%Z)))) -> forall (i_0:Z),
  let a_33 := (shift a_0 i_0) in (((0%Z < i_0)%Z \/ (0%Z = i_0)) ->
  (((i_0 < num_allocated_0)%Z \/ (i_0 = num_allocated_0)) -> ((is_uint32
  i_0) -> ((map.Map.get m_5 a_33) = (map.Map.get m_6 a_33)))))) /\
  ((((0%Z < 1%Z)%Z /\ ((0%Z < x_15)%Z /\
  (((1%Z + num_allocated_9)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_15 + size_allocated_4)%Z <= l_HEAP_SIZE)%Z))) -> forall (i_0:Z),
  let a_33 := (shift a_0 i_0) in ((i_0 < num_allocated_0)%Z ->
  (((0%Z < i_0)%Z \/ (0%Z = i_0)) -> ((is_uint32 i_0) -> ((map.Map.get m_5
  a_33) = (map.Map.get m_6 a_33)))))) /\ ((forall (i_0:Z), ((0%Z < i_0)%Z \/
  (0%Z = i_0)) -> ((is_uint32 i_0) -> ((i_0 < x_5)%Z -> ((map.Map.get mptr_2
  (shift calloc_0 i_0)) = (map.Map.get m_0 (shift a_8 i_0)))))) /\
  ((separated (shift a_23 0%Z) x_9 namemap_insert_0 4%Z) /\ ((separated
  (shift a_24 0%Z) x_9 namemap_insert_0 4%Z) /\ ((separated (shift a_23 0%Z)
  x_9 (shift a_24 0%Z) x_9) /\ ((forall (i_0:Z), ((0%Z < i_0)%Z \/
  (0%Z = i_0)) -> ((is_uint32 i_0) -> ((i_0 < x_4)%Z -> ((map.Map.get mptr_3
  (shift calloc_1 i_0)) = (map.Map.get m_2 (shift a_13 i_0)))))) /\
  ((forall (i_0:Z), forall (p_0:addr), (is_uint32 i_0) ->
  (((num_allocated_1 <= l_MAX_ALLOCS)%Z -> exists j_0:Z, let a_110 :=
  (map.Map.get m_0 (shift (Mk_addr 909%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_1)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((p_0 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z) i_0)))))) ->
  ((num_allocated_1 <= l_MAX_ALLOCS)%Z -> exists j_0:Z, let a_110 :=
  (map.Map.get mptr_2 (shift (Mk_addr 909%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_1)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((p_0 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z) i_0)))))))) /\
  ((((0%Z < 1%Z)%Z /\ ((0%Z < x_15)%Z /\
  (((1%Z + num_allocated_9)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_15 + size_allocated_4)%Z <= l_HEAP_SIZE)%Z))) -> forall (p_0:addr),
  (~ (calloc_1 = (Mk_addr 0%Z 0%Z))) /\
  (((num_allocated_9 <= l_MAX_ALLOCS)%Z -> exists i_0:Z, (is_uint32 i_0) /\
  (p_is_allocated_size malloc_0 m_5 num_allocated_9 p_0 i_0)) ->
  ~ (calloc_1 = p_0))) /\ ((((0%Z < 1%Z)%Z /\ ((0%Z < x_16)%Z /\
  (((1%Z + num_allocated_6)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_16 + size_allocated_1)%Z <= l_HEAP_SIZE)%Z))) -> forall (s_0:Z),
  forall (a_33:addr), (is_uint32 s_0) ->
  (((num_allocated_6 <= l_MAX_ALLOCS)%Z -> exists j_0:Z, let a_110 :=
  (map.Map.get mptr_1 (shift (Mk_addr 909%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_6)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((a_33 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z) s_0)))))) ->
  ((x_16 <= 0%Z)%Z \/ ((s_0 <= 0%Z)%Z \/ ((~ ((base a_15) = (base (shift a_33
  0%Z)))) \/ ((((offset (shift a_33 0%Z)) + s_0)%Z <= (offset a_15))%Z \/
  (((offset a_15) + x_16)%Z <= (offset (shift a_33 0%Z)))%Z)))))) /\
  (((~ ((0%Z < 1%Z)%Z /\ ((0%Z < x_16)%Z /\
  (((1%Z + num_allocated_6)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_16 + size_allocated_1)%Z <= l_HEAP_SIZE)%Z)))) -> forall (n_1:Z),
  forall (p_0:addr), (is_uint32 n_1) ->
  (((num_allocated_6 <= l_MAX_ALLOCS)%Z -> exists j_0:Z, let a_110 :=
  (map.Map.get mptr_1 (shift (Mk_addr 909%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_6)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((p_0 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z) n_1)))))) ->
  ((num_allocated_7 <= l_MAX_ALLOCS)%Z -> exists j_0:Z, let a_110 :=
  (map.Map.get m_0 (shift (Mk_addr 909%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_7)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((p_0 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z) n_1)))))))) /\
  ((((0%Z < 1%Z)%Z /\ ((0%Z < x_16)%Z /\
  (((1%Z + num_allocated_6)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_16 + size_allocated_1)%Z <= l_HEAP_SIZE)%Z))) -> forall (n_1:Z),
  forall (p_0:addr), (is_uint32 n_1) ->
  (((num_allocated_6 <= l_MAX_ALLOCS)%Z -> exists j_0:Z, let a_110 :=
  (map.Map.get mptr_1 (shift (Mk_addr 909%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_6)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((p_0 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z) n_1)))))) ->
  ((num_allocated_7 <= l_MAX_ALLOCS)%Z -> exists j_0:Z, let a_110 :=
  (map.Map.get m_0 (shift (Mk_addr 909%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_7)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((p_0 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z) n_1)))))))) /\
  ((forall (i_0:Z), forall (p_0:addr), (is_uint32 i_0) ->
  (((num_allocated_10 <= l_MAX_ALLOCS)%Z -> exists j_0:Z, let a_110 :=
  (map.Map.get m_2 (shift (Mk_addr 909%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_10)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((p_0 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z) i_0)))))) ->
  ((num_allocated_10 <= l_MAX_ALLOCS)%Z -> exists j_0:Z, let a_110 :=
  (map.Map.get mptr_3 (shift (Mk_addr 909%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_10)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((p_0 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z) i_0)))))))) /\
  ((((0%Z < 1%Z)%Z /\ ((0%Z < x_15)%Z /\
  (((1%Z + num_allocated_9)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_15 + size_allocated_4)%Z <= l_HEAP_SIZE)%Z))) -> forall (s_0:Z),
  forall (a_33:addr), (is_uint32 s_0) ->
  (((num_allocated_9 <= l_MAX_ALLOCS)%Z -> exists j_0:Z, let a_110 :=
  (map.Map.get m_5 (shift (Mk_addr 909%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_9)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((a_33 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z) s_0)))))) ->
  ((x_15 <= 0%Z)%Z \/ ((s_0 <= 0%Z)%Z \/ ((~ ((base a_14) = (base (shift a_33
  0%Z)))) \/ ((((offset (shift a_33 0%Z)) + s_0)%Z <= (offset a_14))%Z \/
  (((offset a_14) + x_15)%Z <= (offset (shift a_33 0%Z)))%Z)))))) /\
  (((~ ((0%Z < 1%Z)%Z /\ ((0%Z < x_15)%Z /\
  (((1%Z + num_allocated_9)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_15 + size_allocated_4)%Z <= l_HEAP_SIZE)%Z)))) -> forall (n_1:Z),
  forall (p_0:addr), (is_uint32 n_1) ->
  (((num_allocated_9 <= l_MAX_ALLOCS)%Z -> exists j_0:Z, let a_110 :=
  (map.Map.get m_5 (shift (Mk_addr 909%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_9)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((p_0 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z) n_1)))))) ->
  ((num_allocated_0 <= l_MAX_ALLOCS)%Z -> exists j_0:Z, let a_110 :=
  (map.Map.get m_6 (shift (Mk_addr 909%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_0)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((p_0 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z) n_1)))))))) /\
  (((0%Z < 1%Z)%Z /\ ((0%Z < x_15)%Z /\
  (((1%Z + num_allocated_9)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_15 + size_allocated_4)%Z <= l_HEAP_SIZE)%Z))) -> forall (n_1:Z),
  forall (p_0:addr), (is_uint32 n_1) ->
  (((num_allocated_9 <= l_MAX_ALLOCS)%Z -> exists j_0:Z, let a_110 :=
  (map.Map.get m_5 (shift (Mk_addr 909%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_9)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((p_0 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z) n_1)))))) ->
  ((num_allocated_0 <= l_MAX_ALLOCS)%Z -> exists j_0:Z, let a_110 :=
  (map.Map.get m_6 (shift (Mk_addr 909%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_0)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((p_0 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z)
  n_1)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) \/
  ((~ (x_3 = x_0)) /\ ((mint_6 = mint_0) /\ ((mptr_4 = mptr_0) /\
  ((n_0 = namemap_insert_0) /\ ((num_allocated_11 = num_allocated_4) /\
  (((x_19 < 4294967294%Z)%Z \/ (x_19 = 4294967294%Z)) /\ (((x_19 < x_20)%Z \/
  (x_19 = x_20)) /\ (((num_allocated_11 <= l_MAX_ALLOCS)%Z -> exists j_0:Z,
  let a_110 := (map.Map.get mptr_4 (shift (Mk_addr 909%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_11)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((namemap_insert_0 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z)
  16%Z)))))) /\ (((0%Z < 1%Z)%Z -> ((0%Z <= (offset a_11))%Z /\
  (((offset a_11) + 1%Z)%Z <= (map.Map.get malloc_0 (base a_11)))%Z)) /\
  (((0%Z < 1%Z)%Z -> ((0%Z <= (offset a_7))%Z /\
  (((offset a_7) + 1%Z)%Z <= (map.Map.get malloc_0 (base a_7)))%Z)) /\
  (((0%Z < 1%Z)%Z -> ((0%Z < (base a_4))%Z /\ ((0%Z <= (offset a_4))%Z /\
  (((offset a_4) + 1%Z)%Z <= (map.Map.get malloc_0 (base a_4)))%Z))) /\
  ((separated (shift a_25 0%Z) x_20 namemap_insert_0 4%Z) /\ ((separated
  (shift a_26 0%Z) x_20 namemap_insert_0 4%Z) /\ ((separated (shift a_25 0%Z)
  x_20 (shift a_26 0%Z) x_20) /\ ((mint_7 = (map.Map.set mint_6 a_4
  (1%Z + x_19)%Z)) /\ (((0%Z < 1%Z)%Z -> ((0%Z < (base a_27))%Z /\
  ((0%Z <= (offset a_27))%Z /\
  (((offset a_27) + 1%Z)%Z <= (map.Map.get malloc_0 (base a_27)))%Z))) /\
  ((separated (shift a_28 0%Z) x_20 namemap_insert_0 4%Z) /\ ((separated
  (shift a_29 0%Z) x_20 namemap_insert_0 4%Z) /\ ((separated (shift a_28 0%Z)
  x_20 (shift a_29 0%Z) x_20) /\ ((mptr_5 = m_10) /\ (((0%Z < 1%Z)%Z ->
  ((0%Z < (base a_30))%Z /\ ((0%Z <= (offset a_30))%Z /\
  (((offset a_30) + 1%Z)%Z <= (map.Map.get malloc_0 (base a_30)))%Z))) /\
  ((separated (shift a_31 0%Z) x_20 namemap_insert_0 4%Z) /\ ((separated
  (shift a_32 0%Z) x_20 namemap_insert_0 4%Z) /\ (separated (shift a_31 0%Z)
  x_20 (shift a_32 0%Z) x_20))))))))))))))))))))))))) -> (p_is_allocated_size
  malloc_0 mptr_5 num_allocated_11 namemap_insert_0
  16%Z))))))))))))))))))))))))))))))))))))).
(* Why3 intros a_0 a_1 charr_bufsize_0 num_allocated_11 num_allocated_10
        num_allocated_3 num_allocated_0 num_allocated_9 num_allocated_2
        num_allocated_1 num_allocated_8 num_allocated_7 num_allocated_6
        num_allocated_5 num_allocated_4 size_allocated_7 size_allocated_6
        size_allocated_5 size_allocated_4 size_allocated_0 size_allocated_2
        size_allocated_1 size_allocated_3 malloc_0 mint_7 mint_6 mint_5
        mint_4 mint_3 mint_2 mint_1 mint_0 mptr_5 mptr_4 mptr_3 mptr_2 mptr_1
        mptr_0 calloc_1 calloc_0 elem_0 n_0 namemap_insert_0 v_3 v_2 v_1 v_0
        val_0 a_2 x_0 x_1 x_2 a_3 x_3 a_4 x_4 x_5 a_5 x_6 x_7 x_8 x_9 a_6 a_7
        m_0 a_8 a_9 a_10 m_1 a_11 a_12 m_2 a_13 a_14 x_10 a_15 x_11 m_3 a_16
        x_12 m_4 a_17 a_18 x_13 x_14 x_15 x_16 m_5 m_6 a_19 x_17 x_18 m_7
        a_20 a_21 a_22 m_8 a_23 a_24 x_19 x_20 a_25 a_26 a_27 m_9 a_28 a_29
        a_30 m_10 a_31 a_32 h1 h2 h3 h4 h5 h6 h7 h8 h9 h10 h11 h12 (h13,h14)
        h15 h16 h17 h18 h19 h20 h21 h22 h23 h24 h25 h26 h27 h28 h29 h30 h31
        h32 h33 h34 h35 h36 h37. *)
intros a_0 a_1 charr_bufsize_0 num_allocated_11 num_allocated_10
num_allocated_3 num_allocated_0 num_allocated_9 num_allocated_2
num_allocated_1 num_allocated_8 num_allocated_7 num_allocated_6
num_allocated_5 num_allocated_4 size_allocated_7 size_allocated_6
size_allocated_5 size_allocated_4 size_allocated_0 size_allocated_2
size_allocated_1 size_allocated_3 malloc_0 mint_7 mint_6 mint_5 mint_4 mint_3
mint_2 mint_1 mint_0 mptr_5 mptr_4 mptr_3 mptr_2 mptr_1 mptr_0 calloc_1
calloc_0 elem_0 n_0 namemap_insert_0 v_3 v_2 v_1 v_0 val_0 a_2 x_0 x_1 x_2
a_3 x_3 a_4 x_4 x_5 a_5 x_6 x_7 x_8 x_9 a_6 a_7 m_0 a_8 a_9 a_10 m_1 a_11
a_12 m_2 a_13 a_14 x_10 a_15 x_11 m_3 a_16 x_12 m_4 a_17 a_18 x_13 x_14 x_15
x_16 m_5 m_6 a_19 x_17 x_18 m_7 a_20 a_21 a_22 m_8 a_23 a_24 x_19 x_20 a_25
a_26 a_27 m_9 a_28 a_29 a_30 m_10 a_31 a_32 h1 h2 h3 h4 h5 h6 h7 h8 h9 h10
h11 h12 (h13,h14) h15 h16 h17 h18 h19 h20 h21 h22 h23 h24 h25 h26 h27 h28 h29
h30 h31 h32 h33 h34 h35 h36 h37.
destruct h37.
Require Import Why3.
assert False.
why3 "cvc4" timelimit 50.
contradiction.
why3 "cvc4" timelimit 50.
Qed.

