(* This file is generated by Why3's Coq driver *)
(* Beware! Only edit allowed sections below    *)
Require Import BuiltIn.
Require BuiltIn.
Require bool.Bool.
Require int.Int.
Require int.Abs.
Require int.ComputerDivision.
Require real.Real.
Require real.RealInfix.
Require real.FromInt.
Require map.Map.

Parameter ite: forall {a:Type} {a_WT:WhyType a}, bool -> a -> a -> a.

Parameter eqb: forall {a:Type} {a_WT:WhyType a}, a -> a -> bool.

Axiom eqb1 : forall {a:Type} {a_WT:WhyType a}, forall (x:a) (y:a), ((eqb x
  y) = true) <-> (x = y).

Parameter neqb: forall {a:Type} {a_WT:WhyType a}, a -> a -> bool.

Axiom neqb1 : forall {a:Type} {a_WT:WhyType a}, forall (x:a) (y:a), ((neqb x
  y) = true) <-> ~ (x = y).

Parameter zlt: Z -> Z -> bool.

Parameter zleq: Z -> Z -> bool.

Axiom zlt1 : forall (x:Z) (y:Z), ((zlt x y) = true) <-> (x < y)%Z.

Axiom zleq1 : forall (x:Z) (y:Z), ((zleq x y) = true) <-> (x <= y)%Z.

Parameter rlt: R -> R -> bool.

Parameter rleq: R -> R -> bool.

Axiom rlt1 : forall (x:R) (y:R), ((rlt x y) = true) <-> (x < y)%R.

Axiom rleq1 : forall (x:R) (y:R), ((rleq x y) = true) <-> (x <= y)%R.

Parameter truncate: R -> Z.

Axiom truncate_of_int : forall (x:Z), ((truncate (Reals.Raxioms.IZR x)) = x).

Axiom c_euclidian : forall (n:Z) (d:Z), (~ (d = 0%Z)) ->
  (n = (((ZArith.BinInt.Z.quot n d) * d)%Z + (ZArith.BinInt.Z.rem n d))%Z).

Axiom cdiv_cases : forall (n:Z) (d:Z), ((n <= 0%Z)%Z -> ((0%Z < d)%Z ->
  ((ZArith.BinInt.Z.quot n d) = (-(ZArith.BinInt.Z.quot (-n)%Z d))%Z))) /\
  (((0%Z <= n)%Z -> ((d < 0%Z)%Z ->
  ((ZArith.BinInt.Z.quot n d) = (-(ZArith.BinInt.Z.quot n (-d)%Z))%Z))) /\
  ((n <= 0%Z)%Z -> ((d < 0%Z)%Z ->
  ((ZArith.BinInt.Z.quot n d) = (ZArith.BinInt.Z.quot (-n)%Z (-d)%Z))))).

Axiom cmod_cases : forall (n:Z) (d:Z), ((n <= 0%Z)%Z -> ((0%Z < d)%Z ->
  ((ZArith.BinInt.Z.rem n d) = (-(ZArith.BinInt.Z.rem (-n)%Z d))%Z))) /\
  (((0%Z <= n)%Z -> ((d < 0%Z)%Z ->
  ((ZArith.BinInt.Z.rem n d) = (ZArith.BinInt.Z.rem n (-d)%Z)))) /\
  ((n <= 0%Z)%Z -> ((d < 0%Z)%Z ->
  ((ZArith.BinInt.Z.rem n d) = (-(ZArith.BinInt.Z.rem (-n)%Z (-d)%Z))%Z)))).

Axiom cmod_remainder : forall (n:Z) (d:Z), ((0%Z <= n)%Z -> ((0%Z < d)%Z ->
  ((0%Z <= (ZArith.BinInt.Z.rem n d))%Z /\
  ((ZArith.BinInt.Z.rem n d) < d)%Z))) /\ (((n <= 0%Z)%Z -> ((0%Z < d)%Z ->
  (((-d)%Z < (ZArith.BinInt.Z.rem n d))%Z /\
  ((ZArith.BinInt.Z.rem n d) <= 0%Z)%Z))) /\ (((0%Z <= n)%Z ->
  ((d < 0%Z)%Z -> ((0%Z <= (ZArith.BinInt.Z.rem n d))%Z /\
  ((ZArith.BinInt.Z.rem n d) < (-d)%Z)%Z))) /\ ((n <= 0%Z)%Z ->
  ((d < 0%Z)%Z -> ((d < (ZArith.BinInt.Z.rem n d))%Z /\
  ((ZArith.BinInt.Z.rem n d) <= 0%Z)%Z))))).

Axiom cdiv_neutral : forall (a:Z), ((ZArith.BinInt.Z.quot a 1%Z) = a).

Axiom cdiv_inv : forall (a:Z), (~ (a = 0%Z)) ->
  ((ZArith.BinInt.Z.quot a a) = 1%Z).

(* Why3 assumption *)
Inductive addr :=
  | Mk_addr : Z -> Z -> addr.
Axiom addr_WhyType : WhyType addr.
Existing Instance addr_WhyType.

(* Why3 assumption *)
Definition offset (v:addr): Z := match v with
  | (Mk_addr x x1) => x1
  end.

(* Why3 assumption *)
Definition base (v:addr): Z := match v with
  | (Mk_addr x x1) => x
  end.

Parameter addr_le: addr -> addr -> Prop.

Parameter addr_lt: addr -> addr -> Prop.

Parameter addr_le_bool: addr -> addr -> bool.

Parameter addr_lt_bool: addr -> addr -> bool.

Axiom addr_le_def : forall (p:addr) (q:addr), ((base p) = (base q)) ->
  ((addr_le p q) <-> ((offset p) <= (offset q))%Z).

Axiom addr_lt_def : forall (p:addr) (q:addr), ((base p) = (base q)) ->
  ((addr_lt p q) <-> ((offset p) < (offset q))%Z).

Axiom addr_le_bool_def : forall (p:addr) (q:addr), (addr_le p q) <->
  ((addr_le_bool p q) = true).

Axiom addr_lt_bool_def : forall (p:addr) (q:addr), (addr_lt p q) <->
  ((addr_lt_bool p q) = true).

(* Why3 assumption *)
Definition shift (p:addr) (k:Z): addr := (Mk_addr (base p)
  ((offset p) + k)%Z).

(* Why3 assumption *)
Definition included (p:addr) (a:Z) (q:addr) (b:Z): Prop := (0%Z < a)%Z ->
  ((0%Z <= b)%Z /\ (((base p) = (base q)) /\ (((offset q) <= (offset p))%Z /\
  (((offset p) + a)%Z <= ((offset q) + b)%Z)%Z))).

(* Why3 assumption *)
Definition separated (p:addr) (a:Z) (q:addr) (b:Z): Prop := (a <= 0%Z)%Z \/
  ((b <= 0%Z)%Z \/ ((~ ((base p) = (base q))) \/
  ((((offset q) + b)%Z <= (offset p))%Z \/
  (((offset p) + a)%Z <= (offset q))%Z))).

(* Why3 assumption *)
Definition eqmem {a:Type} {a_WT:WhyType a} (m1:(map.Map.map addr a))
  (m2:(map.Map.map addr a)) (p:addr) (a1:Z): Prop := forall (q:addr),
  (included q 1%Z p a1) -> ((map.Map.get m1 q) = (map.Map.get m2 q)).

(* Why3 assumption *)
Definition havoc {a:Type} {a_WT:WhyType a} (m1:(map.Map.map addr a))
  (m2:(map.Map.map addr a)) (p:addr) (a1:Z): Prop := forall (q:addr),
  (separated q 1%Z p a1) -> ((map.Map.get m1 q) = (map.Map.get m2 q)).

(* Why3 assumption *)
Definition valid_rd (m:(map.Map.map Z Z)) (p:addr) (n:Z): Prop :=
  (0%Z < n)%Z -> ((0%Z <= (offset p))%Z /\
  (((offset p) + n)%Z <= (map.Map.get m (base p)))%Z).

(* Why3 assumption *)
Definition valid_rw (m:(map.Map.map Z Z)) (p:addr) (n:Z): Prop :=
  (0%Z < n)%Z -> ((0%Z < (base p))%Z /\ ((0%Z <= (offset p))%Z /\
  (((offset p) + n)%Z <= (map.Map.get m (base p)))%Z)).

Axiom valid_rw_rd : forall (m:(map.Map.map Z Z)), forall (p:addr),
  forall (n:Z), (valid_rw m p n) -> (valid_rd m p n).

Axiom valid_string : forall (m:(map.Map.map Z Z)), forall (p:addr),
  ((base p) < 0%Z)%Z -> (((0%Z <= (offset p))%Z /\
  ((offset p) < (map.Map.get m (base p)))%Z) -> ((valid_rd m p 1%Z) /\
  ~ (valid_rw m p 1%Z))).

Axiom separated_1 : forall (p:addr) (q:addr), forall (a:Z) (b:Z) (i:Z) (j:Z),
  (separated p a q b) -> ((((offset p) <= i)%Z /\
  (i < ((offset p) + a)%Z)%Z) -> ((((offset q) <= j)%Z /\
  (j < ((offset q) + b)%Z)%Z) -> ~ ((Mk_addr (base p) i) = (Mk_addr (base q)
  j)))).

Parameter region: Z -> Z.

Parameter linked: (map.Map.map Z Z) -> Prop.

Parameter sconst: (map.Map.map addr Z) -> Prop.

(* Why3 assumption *)
Definition framed (m:(map.Map.map addr addr)): Prop := forall (p:addr),
  ((region (base (map.Map.get m p))) <= 0%Z)%Z.

Axiom separated_included : forall (p:addr) (q:addr), forall (a:Z) (b:Z),
  (0%Z < a)%Z -> ((0%Z < b)%Z -> ((separated p a q b) -> ~ (included p a q
  b))).

Axiom included_trans : forall (p:addr) (q:addr) (r:addr), forall (a:Z) (b:Z)
  (c:Z), (included p a q b) -> ((included q b r c) -> (included p a r c)).

Axiom separated_trans : forall (p:addr) (q:addr) (r:addr), forall (a:Z) (b:Z)
  (c:Z), (included p a q b) -> ((separated q b r c) -> (separated p a r c)).

Axiom separated_sym : forall (p:addr) (q:addr), forall (a:Z) (b:Z),
  (separated p a q b) <-> (separated q b p a).

Axiom eqmem_included : forall {a:Type} {a_WT:WhyType a},
  forall (m1:(map.Map.map addr a)) (m2:(map.Map.map addr a)), forall (p:addr)
  (q:addr), forall (a1:Z) (b:Z), (included p a1 q b) -> ((eqmem m1 m2 q b) ->
  (eqmem m1 m2 p a1)).

Axiom eqmem_sym : forall {a:Type} {a_WT:WhyType a}, forall (m1:(map.Map.map
  addr a)) (m2:(map.Map.map addr a)), forall (p:addr), forall (a1:Z), (eqmem
  m1 m2 p a1) -> (eqmem m2 m1 p a1).

Axiom havoc_sym : forall {a:Type} {a_WT:WhyType a}, forall (m1:(map.Map.map
  addr a)) (m2:(map.Map.map addr a)), forall (p:addr), forall (a1:Z), (havoc
  m1 m2 p a1) -> (havoc m2 m1 p a1).

Parameter cast: addr -> Z.

Axiom cast_injective : forall (p:addr) (q:addr), ((cast p) = (cast q)) ->
  (p = q).

Parameter hardware: Z -> Z.

Axiom hardnull : ((hardware 0%Z) = 0%Z).

(* Why3 assumption *)
Inductive s_Bind :=
  | mk_s_Bind : addr -> addr -> addr -> s_Bind.
Axiom s_Bind_WhyType : WhyType s_Bind.
Existing Instance s_Bind_WhyType.

(* Why3 assumption *)
Definition f_Bind_any (v:s_Bind): addr :=
  match v with
  | (mk_s_Bind x x1 x2) => x2
  end.

(* Why3 assumption *)
Definition f_Bind_type (v:s_Bind): addr :=
  match v with
  | (mk_s_Bind x x1 x2) => x1
  end.

(* Why3 assumption *)
Definition f_Bind_name (v:s_Bind): addr :=
  match v with
  | (mk_s_Bind x x1 x2) => x
  end.

(* Why3 assumption *)
Definition eqS_Bind (s_0:s_Bind) (s_1:s_Bind): Prop :=
  ((f_Bind_any s_0) = (f_Bind_any s_1)) /\
  (((f_Bind_name s_0) = (f_Bind_name s_1)) /\
  ((f_Bind_type s_0) = (f_Bind_type s_1))).

Parameter p_valid_Type_ptr: addr -> Prop.

Parameter l_strlen: addr -> Z.

Parameter l_memcmp: (map.Map.map addr Z) -> addr -> addr -> Z -> Z.

Axiom Q_memcmp_zero : forall (n_0:Z), forall (mchar_0:(map.Map.map addr Z)),
  forall (s1_0:addr) (s2_0:addr), (0%Z = (l_memcmp mchar_0 s1_0 s2_0
  n_0)) <-> forall (i_0:Z), (i_0 < n_0)%Z -> ((0%Z <= i_0)%Z ->
  ((map.Map.get mchar_0 (shift s1_0 i_0)) = (map.Map.get mchar_0 (shift s2_0
  i_0)))).

Axiom Q_memcmp_strlen_shift_right : forall (k_0:Z) (n_0:Z),
  forall (mchar_0:(map.Map.map addr Z)), forall (s1_0:addr) (s2_0:addr),
  let x_0 := (l_strlen s2_0) in let x_1 := (l_strlen s1_0) in
  ((0%Z <= k_0)%Z -> ((x_0 < n_0)%Z -> ((0%Z = (l_memcmp mchar_0 (shift s1_0
  k_0) s2_0 n_0)) -> ((0%Z <= x_1)%Z /\ (x_1 <= (k_0 + x_0)%Z)%Z)))).

Axiom Q_memcmp_strlen_shift_left : forall (k_0:Z) (n_0:Z),
  forall (mchar_0:(map.Map.map addr Z)), forall (s1_0:addr) (s2_0:addr),
  let x_0 := (l_strlen s1_0) in let x_1 := (l_strlen s2_0) in
  ((0%Z <= k_0)%Z -> ((x_0 < n_0)%Z -> ((0%Z = (l_memcmp mchar_0 s1_0
  (shift s2_0 k_0) n_0)) -> ((0%Z <= x_1)%Z /\ (x_1 <= (k_0 + x_0)%Z)%Z)))).

Axiom Q_memcmp_strlen_right : forall (n_0:Z), forall (mchar_0:(map.Map.map
  addr Z)), forall (s1_0:addr) (s2_0:addr), let x_0 := (l_strlen s2_0) in
  ((x_0 < n_0)%Z -> ((0%Z = (l_memcmp mchar_0 s1_0 s2_0 n_0)) ->
  ((l_strlen s1_0) = x_0))).

Axiom Q_memcmp_strlen_left : forall (n_0:Z), forall (mchar_0:(map.Map.map
  addr Z)), forall (s1_0:addr) (s2_0:addr), let x_0 := (l_strlen s1_0) in
  ((x_0 < n_0)%Z -> ((0%Z = (l_memcmp mchar_0 s1_0 s2_0 n_0)) ->
  (x_0 = (l_strlen s2_0)))).

Axiom Q_strlen_create_shift : forall (i_0:Z) (k_0:Z),
  forall (mchar_0:(map.Map.map addr Z)), forall (s_0:addr), let x_0 :=
  (l_strlen (shift s_0 k_0)) in ((0%Z <= k_0)%Z -> ((k_0 <= i_0)%Z ->
  ((0%Z = (map.Map.get mchar_0 (shift s_0 i_0))) -> ((0%Z <= x_0)%Z /\
  ((k_0 + x_0)%Z <= i_0)%Z)))).

Axiom Q_strlen_create : forall (i_0:Z), forall (mchar_0:(map.Map.map addr
  Z)), forall (s_0:addr), let x_0 := (l_strlen s_0) in ((0%Z <= i_0)%Z ->
  ((0%Z = (map.Map.get mchar_0 (shift s_0 i_0))) -> ((0%Z <= x_0)%Z /\
  (x_0 <= i_0)%Z))).

Axiom Q_strlen_shift : forall (i_0:Z), forall (s_0:addr), let x_0 :=
  (l_strlen s_0) in ((0%Z <= i_0)%Z -> ((i_0 <= x_0)%Z ->
  (x_0 = (i_0 + (l_strlen (shift s_0 i_0)))%Z))).

Axiom Q_strlen_sup : forall (i_0:Z), forall (mchar_0:(map.Map.map addr Z)),
  forall (s_0:addr), let x_0 := (l_strlen s_0) in ((0%Z <= i_0)%Z ->
  ((0%Z = (map.Map.get mchar_0 (shift s_0 i_0))) -> ((0%Z <= x_0)%Z /\
  (x_0 <= i_0)%Z))).

Axiom Q_strlen_zero : forall (i_0:Z), forall (mchar_0:(map.Map.map addr Z)),
  forall (s_0:addr), let x_0 := (l_strlen s_0) in ((0%Z <= i_0)%Z ->
  ((i_0 <= x_0)%Z -> ((0%Z = (map.Map.get mchar_0 (shift s_0 i_0))) ->
  (i_0 = x_0)))).

Axiom Q_strlen_not_zero : forall (i_0:Z), forall (mchar_0:(map.Map.map addr
  Z)), forall (s_0:addr), let x_0 := (l_strlen s_0) in ((0%Z <= i_0)%Z ->
  ((i_0 <= x_0)%Z -> ((~ (0%Z = (map.Map.get mchar_0 (shift s_0 i_0)))) ->
  (i_0 < x_0)%Z))).

Axiom Q_strlen_at_null : forall (mchar_0:(map.Map.map addr Z)),
  forall (s_0:addr), let x_0 := (l_strlen s_0) in ((0%Z <= x_0)%Z ->
  (0%Z = (map.Map.get mchar_0 (shift s_0 x_0)))).

Axiom Q_strlen_before_null : forall (i_0:Z), forall (mchar_0:(map.Map.map
  addr Z)), forall (s_0:addr), (0%Z <= i_0)%Z -> ((i_0 < (l_strlen s_0))%Z ->
  ~ (0%Z = (map.Map.get mchar_0 (shift s_0 i_0)))).

Axiom Q_strlen_neg : forall (mchar_0:(map.Map.map addr Z)),
  forall (s_0:addr), (forall (i_0:Z), (0%Z <= i_0)%Z ->
  ~ (0%Z = (map.Map.get mchar_0 (shift s_0 i_0)))) ->
  ((l_strlen s_0) < 0%Z)%Z.

Axiom Q_strlen_pos_or_null : forall (i_0:Z), forall (mchar_0:(map.Map.map
  addr Z)), forall (s_0:addr), (0%Z <= i_0)%Z -> ((0%Z = (map.Map.get mchar_0
  (shift s_0 i_0))) -> ((forall (j_0:Z), (j_0 < i_0)%Z -> ((0%Z <= j_0)%Z ->
  ~ (0%Z = (map.Map.get mchar_0 (shift s_0 j_0))))) ->
  (i_0 = (l_strlen s_0)))).

(* Why3 assumption *)
Definition p_valid_string (malloc_0:(map.Map.map Z Z)) (s_0:addr): Prop :=
  let x_0 := (l_strlen s_0) in ((0%Z <= x_0)%Z /\ (valid_rw malloc_0
  (shift s_0 0%Z) (1%Z + x_0)%Z)).

(* Why3 assumption *)
Inductive s_Mvar :=
  | mk_s_Mvar : addr -> s_Mvar.
Axiom s_Mvar_WhyType : WhyType s_Mvar.
Existing Instance s_Mvar_WhyType.

(* Why3 assumption *)
Definition f_Mvar_name (v:s_Mvar): addr :=
  match v with
  | (mk_s_Mvar x) => x
  end.

(* Why3 assumption *)
Definition eqS_Mvar (s_0:s_Mvar) (s_1:s_Mvar): Prop :=
  ((f_Mvar_name s_0) = (f_Mvar_name s_1)).

(* Why3 assumption *)
Inductive s_Mapp :=
  | mk_s_Mapp : addr -> addr -> s_Mapp.
Axiom s_Mapp_WhyType : WhyType s_Mapp.
Existing Instance s_Mapp_WhyType.

(* Why3 assumption *)
Definition f_Mapp_term2 (v:s_Mapp): addr :=
  match v with
  | (mk_s_Mapp x x1) => x1
  end.

(* Why3 assumption *)
Definition f_Mapp_term1 (v:s_Mapp): addr :=
  match v with
  | (mk_s_Mapp x x1) => x
  end.

(* Why3 assumption *)
Definition eqS_Mapp (s_0:s_Mapp) (s_1:s_Mapp): Prop :=
  ((f_Mapp_term1 s_0) = (f_Mapp_term1 s_1)) /\
  ((f_Mapp_term2 s_0) = (f_Mapp_term2 s_1)).

(* Why3 assumption *)
Inductive s_Mlam :=
  | mk_s_Mlam : addr -> addr -> addr -> s_Mlam.
Axiom s_Mlam_WhyType : WhyType s_Mlam.
Existing Instance s_Mlam_WhyType.

(* Why3 assumption *)
Definition f_Mlam_term (v:s_Mlam): addr :=
  match v with
  | (mk_s_Mlam x x1 x2) => x2
  end.

(* Why3 assumption *)
Definition f_Mlam_type (v:s_Mlam): addr :=
  match v with
  | (mk_s_Mlam x x1 x2) => x1
  end.

(* Why3 assumption *)
Definition f_Mlam_name (v:s_Mlam): addr :=
  match v with
  | (mk_s_Mlam x x1 x2) => x
  end.

(* Why3 assumption *)
Definition eqS_Mlam (s_0:s_Mlam) (s_1:s_Mlam): Prop :=
  ((f_Mlam_name s_0) = (f_Mlam_name s_1)) /\
  (((f_Mlam_term s_0) = (f_Mlam_term s_1)) /\
  ((f_Mlam_type s_0) = (f_Mlam_type s_1))).

(* Why3 assumption *)
Inductive s_Mwit :=
  | mk_s_Mwit : addr -> addr -> addr -> s_Mwit.
Axiom s_Mwit_WhyType : WhyType s_Mwit.
Existing Instance s_Mwit_WhyType.

(* Why3 assumption *)
Definition f_Mwit_term2 (v:s_Mwit): addr :=
  match v with
  | (mk_s_Mwit x x1 x2) => x2
  end.

(* Why3 assumption *)
Definition f_Mwit_term1 (v:s_Mwit): addr :=
  match v with
  | (mk_s_Mwit x x1 x2) => x1
  end.

(* Why3 assumption *)
Definition f_Mwit_type (v:s_Mwit): addr :=
  match v with
  | (mk_s_Mwit x x1 x2) => x
  end.

(* Why3 assumption *)
Definition eqS_Mwit (s_0:s_Mwit) (s_1:s_Mwit): Prop :=
  ((f_Mwit_term1 s_0) = (f_Mwit_term1 s_1)) /\
  (((f_Mwit_term2 s_0) = (f_Mwit_term2 s_1)) /\
  ((f_Mwit_type s_0) = (f_Mwit_type s_1))).

(* Why3 assumption *)
Inductive s_Mabs :=
  | mk_s_Mabs : addr -> addr -> addr -> addr -> addr -> addr -> s_Mabs.
Axiom s_Mabs_WhyType : WhyType s_Mabs.
Existing Instance s_Mabs_WhyType.

(* Why3 assumption *)
Definition f_Mabs_term6 (v:s_Mabs): addr :=
  match v with
  | (mk_s_Mabs x x1 x2 x3 x4 x5) => x5
  end.

(* Why3 assumption *)
Definition f_Mabs_term5 (v:s_Mabs): addr :=
  match v with
  | (mk_s_Mabs x x1 x2 x3 x4 x5) => x4
  end.

(* Why3 assumption *)
Definition f_Mabs_type4 (v:s_Mabs): addr :=
  match v with
  | (mk_s_Mabs x x1 x2 x3 x4 x5) => x3
  end.

(* Why3 assumption *)
Definition f_Mabs_name3 (v:s_Mabs): addr :=
  match v with
  | (mk_s_Mabs x x1 x2 x3 x4 x5) => x2
  end.

(* Why3 assumption *)
Definition f_Mabs_type2 (v:s_Mabs): addr :=
  match v with
  | (mk_s_Mabs x x1 x2 x3 x4 x5) => x1
  end.

(* Why3 assumption *)
Definition f_Mabs_name1 (v:s_Mabs): addr :=
  match v with
  | (mk_s_Mabs x x1 x2 x3 x4 x5) => x
  end.

(* Why3 assumption *)
Definition eqS_Mabs (s_0:s_Mabs) (s_1:s_Mabs): Prop :=
  ((f_Mabs_name1 s_0) = (f_Mabs_name1 s_1)) /\
  (((f_Mabs_name3 s_0) = (f_Mabs_name3 s_1)) /\
  (((f_Mabs_term5 s_0) = (f_Mabs_term5 s_1)) /\
  (((f_Mabs_term6 s_0) = (f_Mabs_term6 s_1)) /\
  (((f_Mabs_type2 s_0) = (f_Mabs_type2 s_1)) /\
  ((f_Mabs_type4 s_0) = (f_Mabs_type4 s_1)))))).

(* Why3 assumption *)
Inductive s_Mtup :=
  | mk_s_Mtup : addr -> addr -> addr -> s_Mtup.
Axiom s_Mtup_WhyType : WhyType s_Mtup.
Existing Instance s_Mtup_WhyType.

(* Why3 assumption *)
Definition f_Mtup_term2 (v:s_Mtup): addr :=
  match v with
  | (mk_s_Mtup x x1 x2) => x2
  end.

(* Why3 assumption *)
Definition f_Mtup_term1 (v:s_Mtup): addr :=
  match v with
  | (mk_s_Mtup x x1 x2) => x1
  end.

(* Why3 assumption *)
Definition f_Mtup_type (v:s_Mtup): addr :=
  match v with
  | (mk_s_Mtup x x1 x2) => x
  end.

(* Why3 assumption *)
Definition eqS_Mtup (s_0:s_Mtup) (s_1:s_Mtup): Prop :=
  ((f_Mtup_term1 s_0) = (f_Mtup_term1 s_1)) /\
  (((f_Mtup_term2 s_0) = (f_Mtup_term2 s_1)) /\
  ((f_Mtup_type s_0) = (f_Mtup_type s_1))).

(* Why3 assumption *)
Inductive s_Mpi1 :=
  | mk_s_Mpi1 : addr -> s_Mpi1.
Axiom s_Mpi1_WhyType : WhyType s_Mpi1.
Existing Instance s_Mpi1_WhyType.

(* Why3 assumption *)
Definition f_Mpi1_term (v:s_Mpi1): addr :=
  match v with
  | (mk_s_Mpi1 x) => x
  end.

(* Why3 assumption *)
Definition eqS_Mpi1 (s_0:s_Mpi1) (s_1:s_Mpi1): Prop :=
  ((f_Mpi1_term s_0) = (f_Mpi1_term s_1)).

(* Why3 assumption *)
Inductive s_Mpi2 :=
  | mk_s_Mpi2 : addr -> s_Mpi2.
Axiom s_Mpi2_WhyType : WhyType s_Mpi2.
Existing Instance s_Mpi2_WhyType.

(* Why3 assumption *)
Definition f_Mpi2_term (v:s_Mpi2): addr :=
  match v with
  | (mk_s_Mpi2 x) => x
  end.

(* Why3 assumption *)
Definition eqS_Mpi2 (s_0:s_Mpi2) (s_1:s_Mpi2): Prop :=
  ((f_Mpi2_term s_0) = (f_Mpi2_term s_1)).

(* Why3 assumption *)
Inductive s_Min1 :=
  | mk_s_Min1 : addr -> addr -> s_Min1.
Axiom s_Min1_WhyType : WhyType s_Min1.
Existing Instance s_Min1_WhyType.

(* Why3 assumption *)
Definition f_Min1_term (v:s_Min1): addr :=
  match v with
  | (mk_s_Min1 x x1) => x1
  end.

(* Why3 assumption *)
Definition f_Min1_type (v:s_Min1): addr :=
  match v with
  | (mk_s_Min1 x x1) => x
  end.

(* Why3 assumption *)
Definition eqS_Min1 (s_0:s_Min1) (s_1:s_Min1): Prop :=
  ((f_Min1_term s_0) = (f_Min1_term s_1)) /\
  ((f_Min1_type s_0) = (f_Min1_type s_1)).

(* Why3 assumption *)
Inductive s_Min2 :=
  | mk_s_Min2 : addr -> addr -> s_Min2.
Axiom s_Min2_WhyType : WhyType s_Min2.
Existing Instance s_Min2_WhyType.

(* Why3 assumption *)
Definition f_Min2_term (v:s_Min2): addr :=
  match v with
  | (mk_s_Min2 x x1) => x1
  end.

(* Why3 assumption *)
Definition f_Min2_type (v:s_Min2): addr :=
  match v with
  | (mk_s_Min2 x x1) => x
  end.

(* Why3 assumption *)
Definition eqS_Min2 (s_0:s_Min2) (s_1:s_Min2): Prop :=
  ((f_Min2_term s_0) = (f_Min2_term s_1)) /\
  ((f_Min2_type s_0) = (f_Min2_type s_1)).

(* Why3 assumption *)
Inductive s_McasIn :=
  | mk_s_McasIn : addr -> addr -> addr -> s_McasIn.
Axiom s_McasIn_WhyType : WhyType s_McasIn.
Existing Instance s_McasIn_WhyType.

(* Why3 assumption *)
Definition f_McasIn_term (v:s_McasIn): addr :=
  match v with
  | (mk_s_McasIn x x1 x2) => x2
  end.

(* Why3 assumption *)
Definition f_McasIn_type (v:s_McasIn): addr :=
  match v with
  | (mk_s_McasIn x x1 x2) => x1
  end.

(* Why3 assumption *)
Definition f_McasIn_name (v:s_McasIn): addr :=
  match v with
  | (mk_s_McasIn x x1 x2) => x
  end.

(* Why3 assumption *)
Definition eqS_McasIn (s_0:s_McasIn) (s_1:s_McasIn): Prop :=
  ((f_McasIn_name s_0) = (f_McasIn_name s_1)) /\
  (((f_McasIn_term s_0) = (f_McasIn_term s_1)) /\
  ((f_McasIn_type s_0) = (f_McasIn_type s_1))).

(* Why3 assumption *)
Inductive s_Mcas :=
  | mk_s_Mcas : addr -> s_McasIn -> s_McasIn -> s_Mcas.
Axiom s_Mcas_WhyType : WhyType s_Mcas.
Existing Instance s_Mcas_WhyType.

(* Why3 assumption *)
Definition f_Mcas_casIn2 (v:s_Mcas): s_McasIn :=
  match v with
  | (mk_s_Mcas x x1 x2) => x2
  end.

(* Why3 assumption *)
Definition f_Mcas_casIn1 (v:s_Mcas): s_McasIn :=
  match v with
  | (mk_s_Mcas x x1 x2) => x1
  end.

(* Why3 assumption *)
Definition f_Mcas_term (v:s_Mcas): addr :=
  match v with
  | (mk_s_Mcas x x1 x2) => x
  end.

(* Why3 assumption *)
Definition eqS_Mcas (s_0:s_Mcas) (s_1:s_Mcas): Prop :=
  ((f_Mcas_term s_0) = (f_Mcas_term s_1)) /\ ((eqS_McasIn (f_Mcas_casIn1 s_0)
  (f_Mcas_casIn1 s_1)) /\ (eqS_McasIn (f_Mcas_casIn2 s_0)
  (f_Mcas_casIn2 s_1))).

(* Why3 assumption *)
Inductive s_Meps :=
  | mk_s_Meps : addr -> addr -> s_Meps.
Axiom s_Meps_WhyType : WhyType s_Meps.
Existing Instance s_Meps_WhyType.

(* Why3 assumption *)
Definition f_Meps_term (v:s_Meps): addr :=
  match v with
  | (mk_s_Meps x x1) => x1
  end.

(* Why3 assumption *)
Definition f_Meps_type (v:s_Meps): addr :=
  match v with
  | (mk_s_Meps x x1) => x
  end.

(* Why3 assumption *)
Definition eqS_Meps (s_0:s_Meps) (s_1:s_Meps): Prop :=
  ((f_Meps_term s_0) = (f_Meps_term s_1)) /\
  ((f_Meps_type s_0) = (f_Meps_type s_1)).

(* Why3 assumption *)
Inductive s_Term :=
  | mk_s_Term : Z -> s_Mvar -> s_Mapp -> s_Mlam -> s_Mwit -> s_Mabs ->
      s_Mtup -> s_Mpi1 -> s_Mpi2 -> s_Min1 -> s_Min2 -> s_Mcas -> s_Meps ->
      s_Term.
Axiom s_Term_WhyType : WhyType s_Term.
Existing Instance s_Term_WhyType.

(* Why3 assumption *)
Definition f_Term_mEps (v:s_Term): s_Meps :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x12
  end.

(* Why3 assumption *)
Definition f_Term_mCas (v:s_Term): s_Mcas :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x11
  end.

(* Why3 assumption *)
Definition f_Term_mIn2 (v:s_Term): s_Min2 :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x10
  end.

(* Why3 assumption *)
Definition f_Term_mIn1 (v:s_Term): s_Min1 :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x9
  end.

(* Why3 assumption *)
Definition f_Term_mPi2 (v:s_Term): s_Mpi2 :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x8
  end.

(* Why3 assumption *)
Definition f_Term_mPi1 (v:s_Term): s_Mpi1 :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x7
  end.

(* Why3 assumption *)
Definition f_Term_mTup (v:s_Term): s_Mtup :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x6
  end.

(* Why3 assumption *)
Definition f_Term_mAbs (v:s_Term): s_Mabs :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x5
  end.

(* Why3 assumption *)
Definition f_Term_mWit (v:s_Term): s_Mwit :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x4
  end.

(* Why3 assumption *)
Definition f_Term_mLam (v:s_Term): s_Mlam :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x3
  end.

(* Why3 assumption *)
Definition f_Term_mApp (v:s_Term): s_Mapp :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x2
  end.

(* Why3 assumption *)
Definition f_Term_mVar (v:s_Term): s_Mvar :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x1
  end.

(* Why3 assumption *)
Definition f_Term_which (v:s_Term): Z :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x
  end.

Parameter is_uint8: Z -> Prop.

Axiom is_uint8_def : forall (x:Z), (is_uint8 x) <-> ((0%Z <= x)%Z /\
  (x < 256%Z)%Z).

Parameter is_sint8: Z -> Prop.

Axiom is_sint8_def : forall (x:Z), (is_sint8 x) <-> (((-128%Z)%Z <= x)%Z /\
  (x < 128%Z)%Z).

Parameter is_uint16: Z -> Prop.

Axiom is_uint16_def : forall (x:Z), (is_uint16 x) <-> ((0%Z <= x)%Z /\
  (x < 65536%Z)%Z).

(* Why3 assumption *)
Definition is_sint16 (x:Z): Prop := ((-32768%Z)%Z <= x)%Z /\ (x < 32768%Z)%Z.

Parameter is_uint32: Z -> Prop.

Axiom is_uint32_def : forall (x:Z), (is_uint32 x) <-> ((0%Z <= x)%Z /\
  (x < 4294967296%Z)%Z).

Parameter is_sint32: Z -> Prop.

Axiom is_sint32_def : forall (x:Z), (is_sint32 x) <->
  (((-2147483648%Z)%Z <= x)%Z /\ (x < 2147483648%Z)%Z).

Parameter is_uint64: Z -> Prop.

Axiom is_uint64_def : forall (x:Z), (is_uint64 x) <-> ((0%Z <= x)%Z /\
  (x < 18446744073709551616%Z)%Z).

Parameter is_sint64: Z -> Prop.

Axiom is_sint64_def : forall (x:Z), (is_sint64 x) <->
  (((-9223372036854775808%Z)%Z <= x)%Z /\ (x < 9223372036854775808%Z)%Z).

Parameter to_uint8: Z -> Z.

Parameter to_sint8: Z -> Z.

Parameter to_uint16: Z -> Z.

Parameter to_sint16: Z -> Z.

Parameter to_uint32: Z -> Z.

Parameter to_sint32: Z -> Z.

Parameter to_uint64: Z -> Z.

Parameter to_sint64: Z -> Z.

Axiom is_to_uint8 : forall (x:Z), (is_uint8 (to_uint8 x)).

Axiom is_to_sint8 : forall (x:Z), (is_sint8 (to_sint8 x)).

Axiom is_to_uint16 : forall (x:Z), (is_uint16 (to_uint16 x)).

Axiom is_to_sint16 : forall (x:Z), (is_sint16 (to_sint16 x)).

Axiom is_to_uint32 : forall (x:Z), (is_uint32 (to_uint32 x)).

Axiom is_to_sint32 : forall (x:Z), (is_sint32 (to_sint32 x)).

Axiom is_to_uint64 : forall (x:Z), (is_uint64 (to_uint64 x)).

Axiom is_to_sint64 : forall (x:Z), (is_sint64 (to_sint64 x)).

Axiom id_uint8 : forall (x:Z), ((0%Z <= x)%Z /\ (x < 256%Z)%Z) ->
  ((to_uint8 x) = x).

Axiom id_sint8 : forall (x:Z), (((-128%Z)%Z <= x)%Z /\ (x < 128%Z)%Z) ->
  ((to_sint8 x) = x).

Axiom id_uint16 : forall (x:Z), ((0%Z <= x)%Z /\ (x < 65536%Z)%Z) ->
  ((to_uint16 x) = x).

Axiom id_sint16 : forall (x:Z), (((-32768%Z)%Z <= x)%Z /\ (x < 32768%Z)%Z) ->
  ((to_sint16 x) = x).

Axiom id_uint32 : forall (x:Z), ((0%Z <= x)%Z /\ (x < 4294967296%Z)%Z) ->
  ((to_uint32 x) = x).

Axiom id_sint32 : forall (x:Z), (((-2147483648%Z)%Z <= x)%Z /\
  (x < 2147483648%Z)%Z) -> ((to_sint32 x) = x).

Axiom id_uint64 : forall (x:Z), ((0%Z <= x)%Z /\
  (x < 18446744073709551616%Z)%Z) -> ((to_uint64 x) = x).

Axiom id_sint64 : forall (x:Z), (((-9223372036854775808%Z)%Z <= x)%Z /\
  (x < 9223372036854775808%Z)%Z) -> ((to_sint64 x) = x).

Parameter lnot: Z -> Z.

Parameter land: Z -> Z -> Z.

Parameter lxor: Z -> Z -> Z.

Parameter lor: Z -> Z -> Z.

Parameter lsl: Z -> Z -> Z.

Parameter lsr: Z -> Z -> Z.

Parameter bit_testb: Z -> Z -> bool.

Parameter bit_test: Z -> Z -> Prop.

(* Why3 assumption *)
Definition isS_Term (s_0:s_Term): Prop := (is_uint32 (f_Term_which s_0)).

(* Why3 assumption *)
Definition load_S_Mabs (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Mabs :=
  (mk_s_Mabs (map.Map.get mptr_0 (shift p_0 0%Z)) (map.Map.get mptr_0
  (shift p_0 1%Z)) (map.Map.get mptr_0 (shift p_0 2%Z)) (map.Map.get mptr_0
  (shift p_0 3%Z)) (map.Map.get mptr_0 (shift p_0 4%Z)) (map.Map.get mptr_0
  (shift p_0 5%Z))).

(* Why3 assumption *)
Definition load_S_Mapp (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Mapp :=
  (mk_s_Mapp (map.Map.get mptr_0 (shift p_0 0%Z)) (map.Map.get mptr_0
  (shift p_0 1%Z))).

(* Why3 assumption *)
Definition load_S_McasIn (p_0:addr) (mptr_0:(map.Map.map addr
  addr)): s_McasIn := (mk_s_McasIn (map.Map.get mptr_0 (shift p_0 0%Z))
  (map.Map.get mptr_0 (shift p_0 1%Z)) (map.Map.get mptr_0 (shift p_0 2%Z))).

(* Why3 assumption *)
Definition load_S_Mcas (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Mcas :=
  (mk_s_Mcas (map.Map.get mptr_0 (shift p_0 0%Z)) (load_S_McasIn (shift p_0
  1%Z) mptr_0) (load_S_McasIn (shift p_0 4%Z) mptr_0)).

(* Why3 assumption *)
Definition load_S_Meps (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Meps :=
  (mk_s_Meps (map.Map.get mptr_0 (shift p_0 0%Z)) (map.Map.get mptr_0
  (shift p_0 1%Z))).

(* Why3 assumption *)
Definition load_S_Min1 (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Min1 :=
  (mk_s_Min1 (map.Map.get mptr_0 (shift p_0 0%Z)) (map.Map.get mptr_0
  (shift p_0 1%Z))).

(* Why3 assumption *)
Definition load_S_Min2 (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Min2 :=
  (mk_s_Min2 (map.Map.get mptr_0 (shift p_0 0%Z)) (map.Map.get mptr_0
  (shift p_0 1%Z))).

(* Why3 assumption *)
Definition load_S_Mlam (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Mlam :=
  (mk_s_Mlam (map.Map.get mptr_0 (shift p_0 0%Z)) (map.Map.get mptr_0
  (shift p_0 1%Z)) (map.Map.get mptr_0 (shift p_0 2%Z))).

(* Why3 assumption *)
Definition load_S_Mpi1 (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Mpi1 :=
  (mk_s_Mpi1 (map.Map.get mptr_0 (shift p_0 0%Z))).

(* Why3 assumption *)
Definition load_S_Mpi2 (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Mpi2 :=
  (mk_s_Mpi2 (map.Map.get mptr_0 (shift p_0 0%Z))).

(* Why3 assumption *)
Definition load_S_Mtup (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Mtup :=
  (mk_s_Mtup (map.Map.get mptr_0 (shift p_0 0%Z)) (map.Map.get mptr_0
  (shift p_0 1%Z)) (map.Map.get mptr_0 (shift p_0 2%Z))).

(* Why3 assumption *)
Definition load_S_Mvar (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Mvar :=
  (mk_s_Mvar (map.Map.get mptr_0 (shift p_0 0%Z))).

(* Why3 assumption *)
Definition load_S_Mwit (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Mwit :=
  (mk_s_Mwit (map.Map.get mptr_0 (shift p_0 0%Z)) (map.Map.get mptr_0
  (shift p_0 1%Z)) (map.Map.get mptr_0 (shift p_0 2%Z))).

(* Why3 assumption *)
Definition load_S_Term (p_0:addr) (mint_0:(map.Map.map addr Z))
  (mptr_0:(map.Map.map addr addr)): s_Term := (mk_s_Term (map.Map.get mint_0
  (shift p_0 0%Z)) (load_S_Mvar (shift p_0 1%Z) mptr_0)
  (load_S_Mapp (shift p_0 2%Z) mptr_0) (load_S_Mlam (shift p_0 4%Z) mptr_0)
  (load_S_Mwit (shift p_0 7%Z) mptr_0) (load_S_Mabs (shift p_0 10%Z) mptr_0)
  (load_S_Mtup (shift p_0 16%Z) mptr_0) (load_S_Mpi1 (shift p_0 19%Z) mptr_0)
  (load_S_Mpi2 (shift p_0 20%Z) mptr_0) (load_S_Min1 (shift p_0 21%Z) mptr_0)
  (load_S_Min2 (shift p_0 23%Z) mptr_0) (load_S_Mcas (shift p_0 25%Z) mptr_0)
  (load_S_Meps (shift p_0 32%Z) mptr_0)).

(* Why3 assumption *)
Inductive s_Tvar :=
  | mk_s_Tvar : addr -> s_Tvar.
Axiom s_Tvar_WhyType : WhyType s_Tvar.
Existing Instance s_Tvar_WhyType.

(* Why3 assumption *)
Definition f_Tvar_name (v:s_Tvar): addr :=
  match v with
  | (mk_s_Tvar x) => x
  end.

(* Why3 assumption *)
Definition eqS_Tvar (s_0:s_Tvar) (s_1:s_Tvar): Prop :=
  ((f_Tvar_name s_0) = (f_Tvar_name s_1)).

(* Why3 assumption *)
Inductive s_Tall :=
  | mk_s_Tall : addr -> addr -> addr -> s_Tall.
Axiom s_Tall_WhyType : WhyType s_Tall.
Existing Instance s_Tall_WhyType.

(* Why3 assumption *)
Definition f_Tall_type2 (v:s_Tall): addr :=
  match v with
  | (mk_s_Tall x x1 x2) => x2
  end.

(* Why3 assumption *)
Definition f_Tall_type1 (v:s_Tall): addr :=
  match v with
  | (mk_s_Tall x x1 x2) => x1
  end.

(* Why3 assumption *)
Definition f_Tall_name (v:s_Tall): addr :=
  match v with
  | (mk_s_Tall x x1 x2) => x
  end.

(* Why3 assumption *)
Definition eqS_Tall (s_0:s_Tall) (s_1:s_Tall): Prop :=
  ((f_Tall_name s_0) = (f_Tall_name s_1)) /\
  (((f_Tall_type1 s_0) = (f_Tall_type1 s_1)) /\
  ((f_Tall_type2 s_0) = (f_Tall_type2 s_1))).

(* Why3 assumption *)
Inductive s_Tapp :=
  | mk_s_Tapp : addr -> addr -> s_Tapp.
Axiom s_Tapp_WhyType : WhyType s_Tapp.
Existing Instance s_Tapp_WhyType.

(* Why3 assumption *)
Definition f_Tapp_term (v:s_Tapp): addr :=
  match v with
  | (mk_s_Tapp x x1) => x1
  end.

(* Why3 assumption *)
Definition f_Tapp_type (v:s_Tapp): addr :=
  match v with
  | (mk_s_Tapp x x1) => x
  end.

(* Why3 assumption *)
Definition eqS_Tapp (s_0:s_Tapp) (s_1:s_Tapp): Prop :=
  ((f_Tapp_term s_0) = (f_Tapp_term s_1)) /\
  ((f_Tapp_type s_0) = (f_Tapp_type s_1)).

(* Why3 assumption *)
Inductive s_Texi :=
  | mk_s_Texi : addr -> addr -> addr -> s_Texi.
Axiom s_Texi_WhyType : WhyType s_Texi.
Existing Instance s_Texi_WhyType.

(* Why3 assumption *)
Definition f_Texi_type2 (v:s_Texi): addr :=
  match v with
  | (mk_s_Texi x x1 x2) => x2
  end.

(* Why3 assumption *)
Definition f_Texi_type1 (v:s_Texi): addr :=
  match v with
  | (mk_s_Texi x x1 x2) => x1
  end.

(* Why3 assumption *)
Definition f_Texi_name (v:s_Texi): addr :=
  match v with
  | (mk_s_Texi x x1 x2) => x
  end.

(* Why3 assumption *)
Definition eqS_Texi (s_0:s_Texi) (s_1:s_Texi): Prop :=
  ((f_Texi_name s_0) = (f_Texi_name s_1)) /\
  (((f_Texi_type1 s_0) = (f_Texi_type1 s_1)) /\
  ((f_Texi_type2 s_0) = (f_Texi_type2 s_1))).

(* Why3 assumption *)
Inductive s_Tand :=
  | mk_s_Tand : addr -> addr -> s_Tand.
Axiom s_Tand_WhyType : WhyType s_Tand.
Existing Instance s_Tand_WhyType.

(* Why3 assumption *)
Definition f_Tand_type2 (v:s_Tand): addr :=
  match v with
  | (mk_s_Tand x x1) => x1
  end.

(* Why3 assumption *)
Definition f_Tand_type1 (v:s_Tand): addr :=
  match v with
  | (mk_s_Tand x x1) => x
  end.

(* Why3 assumption *)
Definition eqS_Tand (s_0:s_Tand) (s_1:s_Tand): Prop :=
  ((f_Tand_type1 s_0) = (f_Tand_type1 s_1)) /\
  ((f_Tand_type2 s_0) = (f_Tand_type2 s_1)).

(* Why3 assumption *)
Inductive s_Tor :=
  | mk_s_Tor : addr -> addr -> s_Tor.
Axiom s_Tor_WhyType : WhyType s_Tor.
Existing Instance s_Tor_WhyType.

(* Why3 assumption *)
Definition f_Tor_type2 (v:s_Tor): addr :=
  match v with
  | (mk_s_Tor x x1) => x1
  end.

(* Why3 assumption *)
Definition f_Tor_type1 (v:s_Tor): addr :=
  match v with
  | (mk_s_Tor x x1) => x
  end.

(* Why3 assumption *)
Definition eqS_Tor (s_0:s_Tor) (s_1:s_Tor): Prop :=
  ((f_Tor_type1 s_0) = (f_Tor_type1 s_1)) /\
  ((f_Tor_type2 s_0) = (f_Tor_type2 s_1)).

(* Why3 assumption *)
Inductive s_Tbot :=
  | mk_s_Tbot : Z -> s_Tbot.
Axiom s_Tbot_WhyType : WhyType s_Tbot.
Existing Instance s_Tbot_WhyType.

(* Why3 assumption *)
Definition f_Tbot_nothing (v:s_Tbot): Z :=
  match v with
  | (mk_s_Tbot x) => x
  end.

(* Why3 assumption *)
Definition eqS_Tbot (s_0:s_Tbot) (s_1:s_Tbot): Prop :=
  ((f_Tbot_nothing s_0) = (f_Tbot_nothing s_1)).

(* Why3 assumption *)
Definition isS_Tbot (s_0:s_Tbot): Prop := (is_sint32 (f_Tbot_nothing s_0)).

(* Why3 assumption *)
Inductive s_Type :=
  | mk_s_Type : Z -> s_Tvar -> s_Tall -> s_Tapp -> s_Texi -> s_Tand ->
      s_Tor -> s_Tbot -> s_Type.
Axiom s_Type_WhyType : WhyType s_Type.
Existing Instance s_Type_WhyType.

(* Why3 assumption *)
Definition f_Type_tBot (v:s_Type): s_Tbot :=
  match v with
  | (mk_s_Type x x1 x2 x3 x4 x5 x6 x7) => x7
  end.

(* Why3 assumption *)
Definition f_Type_tOr (v:s_Type): s_Tor :=
  match v with
  | (mk_s_Type x x1 x2 x3 x4 x5 x6 x7) => x6
  end.

(* Why3 assumption *)
Definition f_Type_tAnd (v:s_Type): s_Tand :=
  match v with
  | (mk_s_Type x x1 x2 x3 x4 x5 x6 x7) => x5
  end.

(* Why3 assumption *)
Definition f_Type_tExi (v:s_Type): s_Texi :=
  match v with
  | (mk_s_Type x x1 x2 x3 x4 x5 x6 x7) => x4
  end.

(* Why3 assumption *)
Definition f_Type_tApp (v:s_Type): s_Tapp :=
  match v with
  | (mk_s_Type x x1 x2 x3 x4 x5 x6 x7) => x3
  end.

(* Why3 assumption *)
Definition f_Type_tAll (v:s_Type): s_Tall :=
  match v with
  | (mk_s_Type x x1 x2 x3 x4 x5 x6 x7) => x2
  end.

(* Why3 assumption *)
Definition f_Type_tVar (v:s_Type): s_Tvar :=
  match v with
  | (mk_s_Type x x1 x2 x3 x4 x5 x6 x7) => x1
  end.

(* Why3 assumption *)
Definition f_Type_which (v:s_Type): Z :=
  match v with
  | (mk_s_Type x x1 x2 x3 x4 x5 x6 x7) => x
  end.

(* Why3 assumption *)
Definition isS_Type (s_0:s_Type): Prop := (isS_Tbot (f_Type_tBot s_0)) /\
  (is_uint32 (f_Type_which s_0)).

(* Why3 assumption *)
Definition load_S_Tall (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Tall :=
  (mk_s_Tall (map.Map.get mptr_0 (shift p_0 0%Z)) (map.Map.get mptr_0
  (shift p_0 1%Z)) (map.Map.get mptr_0 (shift p_0 2%Z))).

(* Why3 assumption *)
Definition load_S_Tand (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Tand :=
  (mk_s_Tand (map.Map.get mptr_0 (shift p_0 0%Z)) (map.Map.get mptr_0
  (shift p_0 1%Z))).

(* Why3 assumption *)
Definition load_S_Tapp (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Tapp :=
  (mk_s_Tapp (map.Map.get mptr_0 (shift p_0 0%Z)) (map.Map.get mptr_0
  (shift p_0 1%Z))).

(* Why3 assumption *)
Definition load_S_Tbot (p_0:addr) (mint_0:(map.Map.map addr Z)): s_Tbot :=
  (mk_s_Tbot (map.Map.get mint_0 (shift p_0 0%Z))).

(* Why3 assumption *)
Definition load_S_Texi (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Texi :=
  (mk_s_Texi (map.Map.get mptr_0 (shift p_0 0%Z)) (map.Map.get mptr_0
  (shift p_0 1%Z)) (map.Map.get mptr_0 (shift p_0 2%Z))).

(* Why3 assumption *)
Definition load_S_Tor (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Tor :=
  (mk_s_Tor (map.Map.get mptr_0 (shift p_0 0%Z)) (map.Map.get mptr_0
  (shift p_0 1%Z))).

(* Why3 assumption *)
Definition load_S_Tvar (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Tvar :=
  (mk_s_Tvar (map.Map.get mptr_0 (shift p_0 0%Z))).

(* Why3 assumption *)
Definition load_S_Type (p_0:addr) (mint_0:(map.Map.map addr Z))
  (mptr_0:(map.Map.map addr addr)): s_Type := (mk_s_Type (map.Map.get mint_0
  (shift p_0 0%Z)) (load_S_Tvar (shift p_0 1%Z) mptr_0)
  (load_S_Tall (shift p_0 2%Z) mptr_0) (load_S_Tapp (shift p_0 5%Z) mptr_0)
  (load_S_Texi (shift p_0 7%Z) mptr_0) (load_S_Tand (shift p_0 10%Z) mptr_0)
  (load_S_Tor (shift p_0 12%Z) mptr_0) (load_S_Tbot (shift p_0 14%Z)
  mint_0)).

(* Why3 assumption *)
Inductive s_Kstar :=
  | mk_s_Kstar : Z -> s_Kstar.
Axiom s_Kstar_WhyType : WhyType s_Kstar.
Existing Instance s_Kstar_WhyType.

(* Why3 assumption *)
Definition f_Kstar_nothing (v:s_Kstar): Z :=
  match v with
  | (mk_s_Kstar x) => x
  end.

(* Why3 assumption *)
Definition eqS_Kstar (s_0:s_Kstar) (s_1:s_Kstar): Prop :=
  ((f_Kstar_nothing s_0) = (f_Kstar_nothing s_1)).

(* Why3 assumption *)
Definition isS_Kstar (s_0:s_Kstar): Prop := (is_sint32
  (f_Kstar_nothing s_0)).

(* Why3 assumption *)
Inductive s_Kpi :=
  | mk_s_Kpi : addr -> addr -> addr -> s_Kpi.
Axiom s_Kpi_WhyType : WhyType s_Kpi.
Existing Instance s_Kpi_WhyType.

(* Why3 assumption *)
Definition f_Kpi_kind (v:s_Kpi): addr :=
  match v with
  | (mk_s_Kpi x x1 x2) => x2
  end.

(* Why3 assumption *)
Definition f_Kpi_type (v:s_Kpi): addr :=
  match v with
  | (mk_s_Kpi x x1 x2) => x1
  end.

(* Why3 assumption *)
Definition f_Kpi_name (v:s_Kpi): addr :=
  match v with
  | (mk_s_Kpi x x1 x2) => x
  end.

(* Why3 assumption *)
Definition eqS_Kpi (s_0:s_Kpi) (s_1:s_Kpi): Prop :=
  ((f_Kpi_kind s_0) = (f_Kpi_kind s_1)) /\
  (((f_Kpi_name s_0) = (f_Kpi_name s_1)) /\
  ((f_Kpi_type s_0) = (f_Kpi_type s_1))).

(* Why3 assumption *)
Inductive s_Kind :=
  | mk_s_Kind : Z -> s_Kstar -> s_Kpi -> s_Kind.
Axiom s_Kind_WhyType : WhyType s_Kind.
Existing Instance s_Kind_WhyType.

(* Why3 assumption *)
Definition f_Kind_kPi (v:s_Kind): s_Kpi :=
  match v with
  | (mk_s_Kind x x1 x2) => x2
  end.

(* Why3 assumption *)
Definition f_Kind_kStar (v:s_Kind): s_Kstar :=
  match v with
  | (mk_s_Kind x x1 x2) => x1
  end.

(* Why3 assumption *)
Definition f_Kind_which (v:s_Kind): Z :=
  match v with
  | (mk_s_Kind x x1 x2) => x
  end.

(* Why3 assumption *)
Definition isS_Kind (s_0:s_Kind): Prop := (isS_Kstar (f_Kind_kStar s_0)) /\
  (is_uint32 (f_Kind_which s_0)).

(* Why3 assumption *)
Definition load_S_Kpi (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Kpi :=
  (mk_s_Kpi (map.Map.get mptr_0 (shift p_0 0%Z)) (map.Map.get mptr_0
  (shift p_0 1%Z)) (map.Map.get mptr_0 (shift p_0 2%Z))).

(* Why3 assumption *)
Definition load_S_Kstar (p_0:addr) (mint_0:(map.Map.map addr Z)): s_Kstar :=
  (mk_s_Kstar (map.Map.get mint_0 (shift p_0 0%Z))).

(* Why3 assumption *)
Definition load_S_Kind (p_0:addr) (mint_0:(map.Map.map addr Z))
  (mptr_0:(map.Map.map addr addr)): s_Kind := (mk_s_Kind (map.Map.get mint_0
  (shift p_0 0%Z)) (load_S_Kstar (shift p_0 1%Z) mint_0)
  (load_S_Kpi (shift p_0 2%Z) mptr_0)).

(* Why3 assumption *)
Inductive s_Any :=
  | mk_s_Any : Z -> addr -> addr -> addr -> addr -> s_Bind -> s_Any.
Axiom s_Any_WhyType : WhyType s_Any.
Existing Instance s_Any_WhyType.

(* Why3 assumption *)
Definition f_Any_mBind (v:s_Any): s_Bind :=
  match v with
  | (mk_s_Any x x1 x2 x3 x4 x5) => x5
  end.

(* Why3 assumption *)
Definition f_Any_mName (v:s_Any): addr :=
  match v with
  | (mk_s_Any x x1 x2 x3 x4 x5) => x4
  end.

(* Why3 assumption *)
Definition f_Any_mKind (v:s_Any): addr :=
  match v with
  | (mk_s_Any x x1 x2 x3 x4 x5) => x3
  end.

(* Why3 assumption *)
Definition f_Any_mTerm (v:s_Any): addr :=
  match v with
  | (mk_s_Any x x1 x2 x3 x4 x5) => x2
  end.

(* Why3 assumption *)
Definition f_Any_mType (v:s_Any): addr :=
  match v with
  | (mk_s_Any x x1 x2 x3 x4 x5) => x1
  end.

(* Why3 assumption *)
Definition f_Any_which (v:s_Any): Z :=
  match v with
  | (mk_s_Any x x1 x2 x3 x4 x5) => x
  end.

(* Why3 assumption *)
Definition isS_Any (s_0:s_Any): Prop := (is_uint32 (f_Any_which s_0)).

(* Why3 assumption *)
Definition load_S_Bind (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Bind :=
  (mk_s_Bind (map.Map.get mptr_0 (shift p_0 0%Z)) (map.Map.get mptr_0
  (shift p_0 1%Z)) (map.Map.get mptr_0 (shift p_0 2%Z))).

(* Why3 assumption *)
Definition load_S_Any (p_0:addr) (mint_0:(map.Map.map addr Z))
  (mptr_0:(map.Map.map addr addr)): s_Any := (mk_s_Any (map.Map.get mint_0
  (shift p_0 0%Z)) (map.Map.get mptr_0 (shift p_0 1%Z)) (map.Map.get mptr_0
  (shift p_0 2%Z)) (map.Map.get mptr_0 (shift p_0 3%Z)) (map.Map.get mptr_0
  (shift p_0 4%Z)) (load_S_Bind (shift p_0 5%Z) mptr_0)).

Axiom Q_Load_S_Term_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (mint_0:(map.Map.map addr Z)), forall (k_0:Z), (included q_0 k_0 p_0
  34%Z) -> ((havoc mptr_0 mptr_1 q_0 k_0) -> ((load_S_Term p_0 mint_0
  mptr_0) = (load_S_Term p_0 mint_0 mptr_1))).

Axiom Q_Load_S_Term_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (mint_0:(map.Map.map addr Z)), forall (k_0:Z), (separated q_0 k_0
  p_0 34%Z) -> ((eqmem mptr_0 mptr_1 q_0 k_0) -> ((load_S_Term p_0 mint_0
  mptr_0) = (load_S_Term p_0 mint_0 mptr_1))).

Axiom Q_Load_S_Term_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), forall (mint_0:(map.Map.map addr
  Z)), (separated q_0 1%Z p_0 34%Z) -> ((load_S_Term p_0 mint_0
  mptr_0) = (load_S_Term p_0 mint_0 (map.Map.set mptr_0 q_0 v_0))).

Axiom Q_Load_S_Term_havoc_Mint : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), forall (mint_0:(map.Map.map addr
  Z)) (mint_1:(map.Map.map addr Z)), forall (k_0:Z), (included q_0 k_0 p_0
  34%Z) -> ((havoc mint_0 mint_1 q_0 k_0) -> ((load_S_Term p_0 mint_0
  mptr_0) = (load_S_Term p_0 mint_1 mptr_0))).

Axiom Q_Load_S_Term_eqmem_Mint : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), forall (mint_0:(map.Map.map addr
  Z)) (mint_1:(map.Map.map addr Z)), forall (k_0:Z), (separated q_0 k_0 p_0
  34%Z) -> ((eqmem mint_0 mint_1 q_0 k_0) -> ((load_S_Term p_0 mint_0
  mptr_0) = (load_S_Term p_0 mint_1 mptr_0))).

Axiom Q_Load_S_Term_update_Mint : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), forall (mint_0:(map.Map.map addr
  Z)), forall (v_0:Z), (separated q_0 1%Z p_0 34%Z) -> ((load_S_Term p_0
  mint_0 mptr_0) = (load_S_Term p_0 (map.Map.set mint_0 q_0 v_0) mptr_0)).

Axiom Q_Load_S_Type_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (mint_0:(map.Map.map addr Z)), forall (k_0:Z), (included q_0 k_0 p_0
  15%Z) -> ((havoc mptr_0 mptr_1 q_0 k_0) -> ((load_S_Type p_0 mint_0
  mptr_0) = (load_S_Type p_0 mint_0 mptr_1))).

Axiom Q_Load_S_Type_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (mint_0:(map.Map.map addr Z)), forall (k_0:Z), (separated q_0 k_0
  p_0 15%Z) -> ((eqmem mptr_0 mptr_1 q_0 k_0) -> ((load_S_Type p_0 mint_0
  mptr_0) = (load_S_Type p_0 mint_0 mptr_1))).

Axiom Q_Load_S_Type_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), forall (mint_0:(map.Map.map addr
  Z)), (separated q_0 1%Z p_0 15%Z) -> ((load_S_Type p_0 mint_0
  mptr_0) = (load_S_Type p_0 mint_0 (map.Map.set mptr_0 q_0 v_0))).

Axiom Q_Load_S_Type_havoc_Mint : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), forall (mint_0:(map.Map.map addr
  Z)) (mint_1:(map.Map.map addr Z)), forall (k_0:Z), (included q_0 k_0 p_0
  15%Z) -> ((havoc mint_0 mint_1 q_0 k_0) -> ((load_S_Type p_0 mint_0
  mptr_0) = (load_S_Type p_0 mint_1 mptr_0))).

Axiom Q_Load_S_Type_eqmem_Mint : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), forall (mint_0:(map.Map.map addr
  Z)) (mint_1:(map.Map.map addr Z)), forall (k_0:Z), (separated q_0 k_0 p_0
  15%Z) -> ((eqmem mint_0 mint_1 q_0 k_0) -> ((load_S_Type p_0 mint_0
  mptr_0) = (load_S_Type p_0 mint_1 mptr_0))).

Axiom Q_Load_S_Type_update_Mint : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), forall (mint_0:(map.Map.map addr
  Z)), forall (v_0:Z), (separated q_0 1%Z p_0 15%Z) -> ((load_S_Type p_0
  mint_0 mptr_0) = (load_S_Type p_0 (map.Map.set mint_0 q_0 v_0) mptr_0)).

Axiom Q_Load_S_Kind_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (mint_0:(map.Map.map addr Z)), forall (k_0:Z), (included q_0 k_0 p_0
  5%Z) -> ((havoc mptr_0 mptr_1 q_0 k_0) -> ((load_S_Kind p_0 mint_0
  mptr_0) = (load_S_Kind p_0 mint_0 mptr_1))).

Axiom Q_Load_S_Kind_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (mint_0:(map.Map.map addr Z)), forall (k_0:Z), (separated q_0 k_0
  p_0 5%Z) -> ((eqmem mptr_0 mptr_1 q_0 k_0) -> ((load_S_Kind p_0 mint_0
  mptr_0) = (load_S_Kind p_0 mint_0 mptr_1))).

Axiom Q_Load_S_Kind_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), forall (mint_0:(map.Map.map addr
  Z)), (separated q_0 1%Z p_0 5%Z) -> ((load_S_Kind p_0 mint_0
  mptr_0) = (load_S_Kind p_0 mint_0 (map.Map.set mptr_0 q_0 v_0))).

Axiom Q_Load_S_Kind_havoc_Mint : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), forall (mint_0:(map.Map.map addr
  Z)) (mint_1:(map.Map.map addr Z)), forall (k_0:Z), (included q_0 k_0 p_0
  5%Z) -> ((havoc mint_0 mint_1 q_0 k_0) -> ((load_S_Kind p_0 mint_0
  mptr_0) = (load_S_Kind p_0 mint_1 mptr_0))).

Axiom Q_Load_S_Kind_eqmem_Mint : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), forall (mint_0:(map.Map.map addr
  Z)) (mint_1:(map.Map.map addr Z)), forall (k_0:Z), (separated q_0 k_0 p_0
  5%Z) -> ((eqmem mint_0 mint_1 q_0 k_0) -> ((load_S_Kind p_0 mint_0
  mptr_0) = (load_S_Kind p_0 mint_1 mptr_0))).

Axiom Q_Load_S_Kind_update_Mint : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), forall (mint_0:(map.Map.map addr
  Z)), forall (v_0:Z), (separated q_0 1%Z p_0 5%Z) -> ((load_S_Kind p_0
  mint_0 mptr_0) = (load_S_Kind p_0 (map.Map.set mint_0 q_0 v_0) mptr_0)).

Axiom Q_Load_S_Kpi_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (included q_0 k_0 p_0 3%Z) -> ((havoc mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Kpi p_0 mptr_0) = (load_S_Kpi p_0 mptr_1))).

Axiom Q_Load_S_Kpi_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (separated q_0 k_0 p_0 3%Z) -> ((eqmem mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Kpi p_0 mptr_0) = (load_S_Kpi p_0 mptr_1))).

Axiom Q_Load_S_Kpi_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), (separated q_0 1%Z p_0 3%Z) ->
  ((load_S_Kpi p_0 mptr_0) = (load_S_Kpi p_0 (map.Map.set mptr_0 q_0 v_0))).

Axiom Q_Load_S_Kstar_havoc_Mint : forall (p_0:addr) (q_0:addr),
  forall (mint_0:(map.Map.map addr Z)) (mint_1:(map.Map.map addr Z)),
  forall (k_0:Z), (included q_0 k_0 p_0 1%Z) -> ((havoc mint_0 mint_1 q_0
  k_0) -> ((load_S_Kstar p_0 mint_0) = (load_S_Kstar p_0 mint_1))).

Axiom Q_Load_S_Kstar_eqmem_Mint : forall (p_0:addr) (q_0:addr),
  forall (mint_0:(map.Map.map addr Z)) (mint_1:(map.Map.map addr Z)),
  forall (k_0:Z), (separated q_0 k_0 p_0 1%Z) -> ((eqmem mint_0 mint_1 q_0
  k_0) -> ((load_S_Kstar p_0 mint_0) = (load_S_Kstar p_0 mint_1))).

Axiom Q_Load_S_Kstar_update_Mint : forall (p_0:addr) (q_0:addr),
  forall (mint_0:(map.Map.map addr Z)), forall (v_0:Z), (~ (p_0 = q_0)) ->
  ((load_S_Kstar p_0 mint_0) = (load_S_Kstar p_0 (map.Map.set mint_0 q_0
  v_0))).

Axiom Q_Load_S_Any_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (mint_0:(map.Map.map addr Z)), forall (k_0:Z), (included q_0 k_0 p_0
  8%Z) -> ((havoc mptr_0 mptr_1 q_0 k_0) -> ((load_S_Any p_0 mint_0
  mptr_0) = (load_S_Any p_0 mint_0 mptr_1))).

Axiom Q_Load_S_Any_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (mint_0:(map.Map.map addr Z)), forall (k_0:Z), (separated q_0 k_0
  p_0 8%Z) -> ((eqmem mptr_0 mptr_1 q_0 k_0) -> ((load_S_Any p_0 mint_0
  mptr_0) = (load_S_Any p_0 mint_0 mptr_1))).

Axiom Q_Load_S_Any_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), forall (mint_0:(map.Map.map addr
  Z)), (separated q_0 1%Z p_0 8%Z) -> ((load_S_Any p_0 mint_0
  mptr_0) = (load_S_Any p_0 mint_0 (map.Map.set mptr_0 q_0 v_0))).

Axiom Q_Load_S_Any_havoc_Mint : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), forall (mint_0:(map.Map.map addr
  Z)) (mint_1:(map.Map.map addr Z)), forall (k_0:Z), (included q_0 k_0 p_0
  8%Z) -> ((havoc mint_0 mint_1 q_0 k_0) -> ((load_S_Any p_0 mint_0
  mptr_0) = (load_S_Any p_0 mint_1 mptr_0))).

Axiom Q_Load_S_Any_eqmem_Mint : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), forall (mint_0:(map.Map.map addr
  Z)) (mint_1:(map.Map.map addr Z)), forall (k_0:Z), (separated q_0 k_0 p_0
  8%Z) -> ((eqmem mint_0 mint_1 q_0 k_0) -> ((load_S_Any p_0 mint_0
  mptr_0) = (load_S_Any p_0 mint_1 mptr_0))).

Axiom Q_Load_S_Any_update_Mint : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), forall (mint_0:(map.Map.map addr
  Z)), forall (v_0:Z), (separated q_0 1%Z p_0 8%Z) -> ((load_S_Any p_0 mint_0
  mptr_0) = (load_S_Any p_0 (map.Map.set mint_0 q_0 v_0) mptr_0)).

Axiom Q_Load_S_Mvar_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (included q_0 k_0 p_0 1%Z) -> ((havoc mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Mvar p_0 mptr_0) = (load_S_Mvar p_0 mptr_1))).

Axiom Q_Load_S_Mvar_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (separated q_0 k_0 p_0 1%Z) -> ((eqmem mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Mvar p_0 mptr_0) = (load_S_Mvar p_0 mptr_1))).

Axiom Q_Load_S_Mvar_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), (~ (p_0 = q_0)) ->
  ((load_S_Mvar p_0 mptr_0) = (load_S_Mvar p_0 (map.Map.set mptr_0 q_0
  v_0))).

Axiom Q_Load_S_Mapp_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (included q_0 k_0 p_0 2%Z) -> ((havoc mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Mapp p_0 mptr_0) = (load_S_Mapp p_0 mptr_1))).

Axiom Q_Load_S_Mapp_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (separated q_0 k_0 p_0 2%Z) -> ((eqmem mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Mapp p_0 mptr_0) = (load_S_Mapp p_0 mptr_1))).

Axiom Q_Load_S_Mapp_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), (separated q_0 1%Z p_0 2%Z) ->
  ((load_S_Mapp p_0 mptr_0) = (load_S_Mapp p_0 (map.Map.set mptr_0 q_0
  v_0))).

Axiom Q_Load_S_Mlam_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (included q_0 k_0 p_0 3%Z) -> ((havoc mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Mlam p_0 mptr_0) = (load_S_Mlam p_0 mptr_1))).

Axiom Q_Load_S_Mlam_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (separated q_0 k_0 p_0 3%Z) -> ((eqmem mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Mlam p_0 mptr_0) = (load_S_Mlam p_0 mptr_1))).

Axiom Q_Load_S_Mlam_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), (separated q_0 1%Z p_0 3%Z) ->
  ((load_S_Mlam p_0 mptr_0) = (load_S_Mlam p_0 (map.Map.set mptr_0 q_0
  v_0))).

Axiom Q_Load_S_Mwit_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (included q_0 k_0 p_0 3%Z) -> ((havoc mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Mwit p_0 mptr_0) = (load_S_Mwit p_0 mptr_1))).

Axiom Q_Load_S_Mwit_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (separated q_0 k_0 p_0 3%Z) -> ((eqmem mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Mwit p_0 mptr_0) = (load_S_Mwit p_0 mptr_1))).

Axiom Q_Load_S_Mwit_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), (separated q_0 1%Z p_0 3%Z) ->
  ((load_S_Mwit p_0 mptr_0) = (load_S_Mwit p_0 (map.Map.set mptr_0 q_0
  v_0))).

Axiom Q_Load_S_Mabs_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (included q_0 k_0 p_0 6%Z) -> ((havoc mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Mabs p_0 mptr_0) = (load_S_Mabs p_0 mptr_1))).

Axiom Q_Load_S_Mabs_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (separated q_0 k_0 p_0 6%Z) -> ((eqmem mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Mabs p_0 mptr_0) = (load_S_Mabs p_0 mptr_1))).

Axiom Q_Load_S_Mabs_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), (separated q_0 1%Z p_0 6%Z) ->
  ((load_S_Mabs p_0 mptr_0) = (load_S_Mabs p_0 (map.Map.set mptr_0 q_0
  v_0))).

Axiom Q_Load_S_Mtup_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (included q_0 k_0 p_0 3%Z) -> ((havoc mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Mtup p_0 mptr_0) = (load_S_Mtup p_0 mptr_1))).

Axiom Q_Load_S_Mtup_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (separated q_0 k_0 p_0 3%Z) -> ((eqmem mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Mtup p_0 mptr_0) = (load_S_Mtup p_0 mptr_1))).

Axiom Q_Load_S_Mtup_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), (separated q_0 1%Z p_0 3%Z) ->
  ((load_S_Mtup p_0 mptr_0) = (load_S_Mtup p_0 (map.Map.set mptr_0 q_0
  v_0))).

Axiom Q_Load_S_Mpi1_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (included q_0 k_0 p_0 1%Z) -> ((havoc mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Mpi1 p_0 mptr_0) = (load_S_Mpi1 p_0 mptr_1))).

Axiom Q_Load_S_Mpi1_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (separated q_0 k_0 p_0 1%Z) -> ((eqmem mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Mpi1 p_0 mptr_0) = (load_S_Mpi1 p_0 mptr_1))).

Axiom Q_Load_S_Mpi1_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), (~ (p_0 = q_0)) ->
  ((load_S_Mpi1 p_0 mptr_0) = (load_S_Mpi1 p_0 (map.Map.set mptr_0 q_0
  v_0))).

Axiom Q_Load_S_Mpi2_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (included q_0 k_0 p_0 1%Z) -> ((havoc mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Mpi2 p_0 mptr_0) = (load_S_Mpi2 p_0 mptr_1))).

Axiom Q_Load_S_Mpi2_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (separated q_0 k_0 p_0 1%Z) -> ((eqmem mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Mpi2 p_0 mptr_0) = (load_S_Mpi2 p_0 mptr_1))).

Axiom Q_Load_S_Mpi2_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), (~ (p_0 = q_0)) ->
  ((load_S_Mpi2 p_0 mptr_0) = (load_S_Mpi2 p_0 (map.Map.set mptr_0 q_0
  v_0))).

Axiom Q_Load_S_Min1_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (included q_0 k_0 p_0 2%Z) -> ((havoc mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Min1 p_0 mptr_0) = (load_S_Min1 p_0 mptr_1))).

Axiom Q_Load_S_Min1_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (separated q_0 k_0 p_0 2%Z) -> ((eqmem mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Min1 p_0 mptr_0) = (load_S_Min1 p_0 mptr_1))).

Axiom Q_Load_S_Min1_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), (separated q_0 1%Z p_0 2%Z) ->
  ((load_S_Min1 p_0 mptr_0) = (load_S_Min1 p_0 (map.Map.set mptr_0 q_0
  v_0))).

Axiom Q_Load_S_Min2_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (included q_0 k_0 p_0 2%Z) -> ((havoc mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Min2 p_0 mptr_0) = (load_S_Min2 p_0 mptr_1))).

Axiom Q_Load_S_Min2_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (separated q_0 k_0 p_0 2%Z) -> ((eqmem mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Min2 p_0 mptr_0) = (load_S_Min2 p_0 mptr_1))).

Axiom Q_Load_S_Min2_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), (separated q_0 1%Z p_0 2%Z) ->
  ((load_S_Min2 p_0 mptr_0) = (load_S_Min2 p_0 (map.Map.set mptr_0 q_0
  v_0))).

Axiom Q_Load_S_Mcas_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (included q_0 k_0 p_0 7%Z) -> ((havoc mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Mcas p_0 mptr_0) = (load_S_Mcas p_0 mptr_1))).

Axiom Q_Load_S_Mcas_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (separated q_0 k_0 p_0 7%Z) -> ((eqmem mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Mcas p_0 mptr_0) = (load_S_Mcas p_0 mptr_1))).

Axiom Q_Load_S_Mcas_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), (separated q_0 1%Z p_0 7%Z) ->
  ((load_S_Mcas p_0 mptr_0) = (load_S_Mcas p_0 (map.Map.set mptr_0 q_0
  v_0))).

Axiom Q_Load_S_McasIn_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (included q_0 k_0 p_0 3%Z) -> ((havoc mptr_0 mptr_1 q_0
  k_0) -> ((load_S_McasIn p_0 mptr_0) = (load_S_McasIn p_0 mptr_1))).

Axiom Q_Load_S_McasIn_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (separated q_0 k_0 p_0 3%Z) -> ((eqmem mptr_0 mptr_1 q_0
  k_0) -> ((load_S_McasIn p_0 mptr_0) = (load_S_McasIn p_0 mptr_1))).

Axiom Q_Load_S_McasIn_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), (separated q_0 1%Z p_0 3%Z) ->
  ((load_S_McasIn p_0 mptr_0) = (load_S_McasIn p_0 (map.Map.set mptr_0 q_0
  v_0))).

Axiom Q_Load_S_Meps_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (included q_0 k_0 p_0 2%Z) -> ((havoc mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Meps p_0 mptr_0) = (load_S_Meps p_0 mptr_1))).

Axiom Q_Load_S_Meps_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (separated q_0 k_0 p_0 2%Z) -> ((eqmem mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Meps p_0 mptr_0) = (load_S_Meps p_0 mptr_1))).

Axiom Q_Load_S_Meps_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), (separated q_0 1%Z p_0 2%Z) ->
  ((load_S_Meps p_0 mptr_0) = (load_S_Meps p_0 (map.Map.set mptr_0 q_0
  v_0))).

Axiom Q_Load_S_Tvar_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (included q_0 k_0 p_0 1%Z) -> ((havoc mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Tvar p_0 mptr_0) = (load_S_Tvar p_0 mptr_1))).

Axiom Q_Load_S_Tvar_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (separated q_0 k_0 p_0 1%Z) -> ((eqmem mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Tvar p_0 mptr_0) = (load_S_Tvar p_0 mptr_1))).

Axiom Q_Load_S_Tvar_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), (~ (p_0 = q_0)) ->
  ((load_S_Tvar p_0 mptr_0) = (load_S_Tvar p_0 (map.Map.set mptr_0 q_0
  v_0))).

Axiom Q_Load_S_Tall_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (included q_0 k_0 p_0 3%Z) -> ((havoc mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Tall p_0 mptr_0) = (load_S_Tall p_0 mptr_1))).

Axiom Q_Load_S_Tall_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (separated q_0 k_0 p_0 3%Z) -> ((eqmem mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Tall p_0 mptr_0) = (load_S_Tall p_0 mptr_1))).

Axiom Q_Load_S_Tall_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), (separated q_0 1%Z p_0 3%Z) ->
  ((load_S_Tall p_0 mptr_0) = (load_S_Tall p_0 (map.Map.set mptr_0 q_0
  v_0))).

Axiom Q_Load_S_Tapp_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (included q_0 k_0 p_0 2%Z) -> ((havoc mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Tapp p_0 mptr_0) = (load_S_Tapp p_0 mptr_1))).

Axiom Q_Load_S_Tapp_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (separated q_0 k_0 p_0 2%Z) -> ((eqmem mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Tapp p_0 mptr_0) = (load_S_Tapp p_0 mptr_1))).

Axiom Q_Load_S_Tapp_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), (separated q_0 1%Z p_0 2%Z) ->
  ((load_S_Tapp p_0 mptr_0) = (load_S_Tapp p_0 (map.Map.set mptr_0 q_0
  v_0))).

Axiom Q_Load_S_Texi_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (included q_0 k_0 p_0 3%Z) -> ((havoc mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Texi p_0 mptr_0) = (load_S_Texi p_0 mptr_1))).

Axiom Q_Load_S_Texi_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (separated q_0 k_0 p_0 3%Z) -> ((eqmem mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Texi p_0 mptr_0) = (load_S_Texi p_0 mptr_1))).

Axiom Q_Load_S_Texi_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), (separated q_0 1%Z p_0 3%Z) ->
  ((load_S_Texi p_0 mptr_0) = (load_S_Texi p_0 (map.Map.set mptr_0 q_0
  v_0))).

Axiom Q_Load_S_Tand_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (included q_0 k_0 p_0 2%Z) -> ((havoc mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Tand p_0 mptr_0) = (load_S_Tand p_0 mptr_1))).

Axiom Q_Load_S_Tand_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (separated q_0 k_0 p_0 2%Z) -> ((eqmem mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Tand p_0 mptr_0) = (load_S_Tand p_0 mptr_1))).

Axiom Q_Load_S_Tand_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), (separated q_0 1%Z p_0 2%Z) ->
  ((load_S_Tand p_0 mptr_0) = (load_S_Tand p_0 (map.Map.set mptr_0 q_0
  v_0))).

Axiom Q_Load_S_Tor_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (included q_0 k_0 p_0 2%Z) -> ((havoc mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Tor p_0 mptr_0) = (load_S_Tor p_0 mptr_1))).

Axiom Q_Load_S_Tor_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (separated q_0 k_0 p_0 2%Z) -> ((eqmem mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Tor p_0 mptr_0) = (load_S_Tor p_0 mptr_1))).

Axiom Q_Load_S_Tor_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), (separated q_0 1%Z p_0 2%Z) ->
  ((load_S_Tor p_0 mptr_0) = (load_S_Tor p_0 (map.Map.set mptr_0 q_0 v_0))).

Axiom Q_Load_S_Tbot_havoc_Mint : forall (p_0:addr) (q_0:addr),
  forall (mint_0:(map.Map.map addr Z)) (mint_1:(map.Map.map addr Z)),
  forall (k_0:Z), (included q_0 k_0 p_0 1%Z) -> ((havoc mint_0 mint_1 q_0
  k_0) -> ((load_S_Tbot p_0 mint_0) = (load_S_Tbot p_0 mint_1))).

Axiom Q_Load_S_Tbot_eqmem_Mint : forall (p_0:addr) (q_0:addr),
  forall (mint_0:(map.Map.map addr Z)) (mint_1:(map.Map.map addr Z)),
  forall (k_0:Z), (separated q_0 k_0 p_0 1%Z) -> ((eqmem mint_0 mint_1 q_0
  k_0) -> ((load_S_Tbot p_0 mint_0) = (load_S_Tbot p_0 mint_1))).

Axiom Q_Load_S_Tbot_update_Mint : forall (p_0:addr) (q_0:addr),
  forall (mint_0:(map.Map.map addr Z)), forall (v_0:Z), (~ (p_0 = q_0)) ->
  ((load_S_Tbot p_0 mint_0) = (load_S_Tbot p_0 (map.Map.set mint_0 q_0
  v_0))).

Axiom Q_Load_S_Bind_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (included q_0 k_0 p_0 3%Z) -> ((havoc mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Bind p_0 mptr_0) = (load_S_Bind p_0 mptr_1))).

Axiom Q_Load_S_Bind_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (separated q_0 k_0 p_0 3%Z) -> ((eqmem mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Bind p_0 mptr_0) = (load_S_Bind p_0 mptr_1))).

Axiom Q_Load_S_Bind_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), (separated q_0 1%Z p_0 3%Z) ->
  ((load_S_Bind p_0 mptr_0) = (load_S_Bind p_0 (map.Map.set mptr_0 q_0
  v_0))).

Parameter p_valid_Kind_ptr: addr -> Prop.

Parameter p_valid_Term_ptr: addr -> Prop.

(* Why3 assumption *)
Definition p_valid_Any (malloc_0:(map.Map.map Z Z)) (t_0:s_Any): Prop :=
  let x_0 := (f_Any_which t_0) in (((0%Z = x_0) -> (p_valid_Type_ptr
  (f_Any_mType t_0))) /\ (((2%Z = x_0) -> (p_valid_Kind_ptr
  (f_Any_mKind t_0))) /\ (((1%Z = x_0) -> (p_valid_Term_ptr
  (f_Any_mTerm t_0))) /\ (((3%Z = x_0) -> (p_valid_string malloc_0
  (f_Any_mName t_0))) /\ ((0%Z = x_0) \/ ((1%Z = x_0) \/ ((2%Z = x_0) \/
  ((3%Z = x_0) \/ (4%Z = x_0))))))))).

(* Why3 assumption *)
Definition p_valid_Any_ptr (malloc_0:(map.Map.map Z Z)) (mptr_0:(map.Map.map
  addr addr)) (mint_0:(map.Map.map addr Z)) (t_0:addr): Prop :=
  (~ (t_0 = (Mk_addr 0%Z 0%Z))) /\ ((valid_rw malloc_0 t_0 8%Z) /\
  (p_valid_Any malloc_0 (load_S_Any t_0 mint_0 mptr_0))).

(* Why3 assumption *)
Definition p_valid_Bind (malloc_0:(map.Map.map Z Z)) (mptr_0:(map.Map.map
  addr addr)) (mint_0:(map.Map.map addr Z)) (b_0:s_Bind): Prop :=
  (p_valid_Type_ptr (f_Bind_type b_0)) /\ ((p_valid_string malloc_0
  (f_Bind_name b_0)) /\ (p_valid_Any_ptr malloc_0 mptr_0 mint_0
  (f_Bind_any b_0))).

(* Why3 assumption *)
Definition p_isShallowCopyOfAny (a1_0:s_Any) (a2_0:s_Any): Prop :=
  ((f_Any_mKind a1_0) = (f_Any_mKind a2_0)) /\
  (((f_Any_mName a1_0) = (f_Any_mName a2_0)) /\
  (((f_Any_mTerm a1_0) = (f_Any_mTerm a2_0)) /\
  (((f_Any_mType a1_0) = (f_Any_mType a2_0)) /\
  (((f_Any_which a1_0) = (f_Any_which a2_0)) /\ (eqS_Bind (f_Any_mBind a1_0)
  (f_Any_mBind a2_0)))))).

(* Why3 assumption *)
Definition p_isShallowCopyOfTerm (t1_0:s_Term) (t2_0:s_Term): Prop :=
  ((f_Term_which t1_0) = (f_Term_which t2_0)) /\ ((eqS_Mabs
  (f_Term_mAbs t1_0) (f_Term_mAbs t2_0)) /\ ((eqS_Mapp (f_Term_mApp t1_0)
  (f_Term_mApp t2_0)) /\ ((eqS_Mcas (f_Term_mCas t1_0) (f_Term_mCas t2_0)) /\
  ((eqS_Meps (f_Term_mEps t1_0) (f_Term_mEps t2_0)) /\ ((eqS_Min1
  (f_Term_mIn1 t1_0) (f_Term_mIn1 t2_0)) /\ ((eqS_Min2 (f_Term_mIn2 t1_0)
  (f_Term_mIn2 t2_0)) /\ ((eqS_Mlam (f_Term_mLam t1_0) (f_Term_mLam t2_0)) /\
  ((eqS_Mpi1 (f_Term_mPi1 t1_0) (f_Term_mPi1 t2_0)) /\ ((eqS_Mpi2
  (f_Term_mPi2 t1_0) (f_Term_mPi2 t2_0)) /\ ((eqS_Mtup (f_Term_mTup t1_0)
  (f_Term_mTup t2_0)) /\ ((eqS_Mvar (f_Term_mVar t1_0) (f_Term_mVar t2_0)) /\
  (eqS_Mwit (f_Term_mWit t1_0) (f_Term_mWit t2_0))))))))))))).

(* Why3 assumption *)
Definition p_valid_Mvar (malloc_0:(map.Map.map Z Z)) (m_0:s_Mvar): Prop :=
  (p_valid_string malloc_0 (f_Mvar_name m_0)).

(* Why3 assumption *)
Definition p_valid_Mapp (malloc_0:(map.Map.map Z Z)) (m_0:s_Mapp): Prop :=
  let a_0 := (f_Mapp_term1 m_0) in let a_1 := (f_Mapp_term2 m_0) in
  ((p_valid_Term_ptr a_0) /\ ((p_valid_Term_ptr a_1) /\ ((valid_rw malloc_0
  a_0 34%Z) /\ (valid_rw malloc_0 a_1 34%Z)))).

(* Why3 assumption *)
Definition p_valid_Mlam (malloc_0:(map.Map.map Z Z)) (m_0:s_Mlam): Prop :=
  let a_0 := (f_Mlam_type m_0) in let a_1 := (f_Mlam_term m_0) in
  ((p_valid_Type_ptr a_0) /\ ((p_valid_Term_ptr a_1) /\ ((p_valid_string
  malloc_0 (f_Mlam_name m_0)) /\ ((valid_rw malloc_0 a_1 34%Z) /\ (valid_rw
  malloc_0 a_0 15%Z))))).

(* Why3 assumption *)
Definition p_valid_Mwit (malloc_0:(map.Map.map Z Z)) (m_0:s_Mwit): Prop :=
  let a_0 := (f_Mwit_type m_0) in let a_1 := (f_Mwit_term1 m_0) in let a_2 :=
  (f_Mwit_term2 m_0) in ((p_valid_Type_ptr a_0) /\ ((p_valid_Term_ptr a_1) /\
  ((p_valid_Term_ptr a_2) /\ ((valid_rw malloc_0 a_1 34%Z) /\ ((valid_rw
  malloc_0 a_2 34%Z) /\ (valid_rw malloc_0 a_0 15%Z)))))).

(* Why3 assumption *)
Definition p_valid_Mabs (malloc_0:(map.Map.map Z Z)) (m_0:s_Mabs): Prop :=
  let a_0 := (f_Mabs_type2 m_0) in let a_1 := (f_Mabs_type4 m_0) in
  let a_2 := (f_Mabs_term5 m_0) in let a_3 := (f_Mabs_term6 m_0) in
  ((p_valid_Type_ptr a_0) /\ ((p_valid_Type_ptr a_1) /\ ((p_valid_Term_ptr
  a_2) /\ ((p_valid_Term_ptr a_3) /\ ((p_valid_string malloc_0
  (f_Mabs_name1 m_0)) /\ ((p_valid_string malloc_0 (f_Mabs_name3 m_0)) /\
  ((valid_rw malloc_0 a_2 34%Z) /\ ((valid_rw malloc_0 a_3 34%Z) /\
  ((valid_rw malloc_0 a_0 15%Z) /\ (valid_rw malloc_0 a_1 15%Z)))))))))).

(* Why3 assumption *)
Definition p_valid_Mtup (malloc_0:(map.Map.map Z Z)) (m_0:s_Mtup): Prop :=
  let a_0 := (f_Mtup_type m_0) in let a_1 := (f_Mtup_term1 m_0) in let a_2 :=
  (f_Mtup_term2 m_0) in ((p_valid_Type_ptr a_0) /\ ((p_valid_Term_ptr a_1) /\
  ((p_valid_Term_ptr a_2) /\ ((valid_rw malloc_0 a_1 34%Z) /\ ((valid_rw
  malloc_0 a_2 34%Z) /\ (valid_rw malloc_0 a_0 15%Z)))))).

(* Why3 assumption *)
Definition p_valid_Mpi1 (malloc_0:(map.Map.map Z Z)) (m_0:s_Mpi1): Prop :=
  let a_0 := (f_Mpi1_term m_0) in ((p_valid_Term_ptr a_0) /\ (valid_rw
  malloc_0 a_0 34%Z)).

(* Why3 assumption *)
Definition p_valid_Mpi2 (malloc_0:(map.Map.map Z Z)) (m_0:s_Mpi2): Prop :=
  let a_0 := (f_Mpi2_term m_0) in ((p_valid_Term_ptr a_0) /\ (valid_rw
  malloc_0 a_0 34%Z)).

(* Why3 assumption *)
Definition p_valid_Min1 (malloc_0:(map.Map.map Z Z)) (m_0:s_Min1): Prop :=
  let a_0 := (f_Min1_type m_0) in let a_1 := (f_Min1_term m_0) in
  ((p_valid_Type_ptr a_0) /\ ((p_valid_Term_ptr a_1) /\ ((valid_rw malloc_0
  a_1 34%Z) /\ (valid_rw malloc_0 a_0 15%Z)))).

(* Why3 assumption *)
Definition p_valid_Min2 (malloc_0:(map.Map.map Z Z)) (m_0:s_Min2): Prop :=
  let a_0 := (f_Min2_type m_0) in let a_1 := (f_Min2_term m_0) in
  ((p_valid_Type_ptr a_0) /\ ((p_valid_Term_ptr a_1) /\ ((valid_rw malloc_0
  a_1 34%Z) /\ (valid_rw malloc_0 a_0 15%Z)))).

(* Why3 assumption *)
Definition p_valid_McasIn (malloc_0:(map.Map.map Z Z))
  (m_0:s_McasIn): Prop := let a_0 := (f_McasIn_type m_0) in let a_1 :=
  (f_McasIn_term m_0) in ((p_valid_Type_ptr a_0) /\ ((p_valid_Term_ptr
  a_1) /\ ((p_valid_string malloc_0 (f_McasIn_name m_0)) /\ ((valid_rw
  malloc_0 a_1 34%Z) /\ (valid_rw malloc_0 a_0 15%Z))))).

(* Why3 assumption *)
Definition p_valid_Mcas (malloc_0:(map.Map.map Z Z)) (m_0:s_Mcas): Prop :=
  let a_0 := (f_Mcas_term m_0) in ((p_valid_Term_ptr a_0) /\ ((p_valid_McasIn
  malloc_0 (f_Mcas_casIn1 m_0)) /\ ((p_valid_McasIn malloc_0
  (f_Mcas_casIn2 m_0)) /\ (valid_rw malloc_0 a_0 34%Z)))).

(* Why3 assumption *)
Definition p_valid_Meps (malloc_0:(map.Map.map Z Z)) (m_0:s_Meps): Prop :=
  let a_0 := (f_Meps_type m_0) in let a_1 := (f_Meps_term m_0) in
  ((p_valid_Type_ptr a_0) /\ ((p_valid_Term_ptr a_1) /\ ((valid_rw malloc_0
  a_1 34%Z) /\ (valid_rw malloc_0 a_0 15%Z)))).

(* Why3 assumption *)
Definition p_valid_Term (malloc_0:(map.Map.map Z Z)) (t_0:s_Term): Prop :=
  let x_0 := (f_Term_which t_0) in (((0%Z = x_0) -> (p_valid_Mvar malloc_0
  (f_Term_mVar t_0))) /\ (((1%Z = x_0) -> (p_valid_Mapp malloc_0
  (f_Term_mApp t_0))) /\ (((2%Z = x_0) -> (p_valid_Mlam malloc_0
  (f_Term_mLam t_0))) /\ (((3%Z = x_0) -> (p_valid_Mwit malloc_0
  (f_Term_mWit t_0))) /\ (((4%Z = x_0) -> (p_valid_Mabs malloc_0
  (f_Term_mAbs t_0))) /\ (((5%Z = x_0) -> (p_valid_Mtup malloc_0
  (f_Term_mTup t_0))) /\ (((6%Z = x_0) -> (p_valid_Mpi1 malloc_0
  (f_Term_mPi1 t_0))) /\ (((7%Z = x_0) -> (p_valid_Mpi2 malloc_0
  (f_Term_mPi2 t_0))) /\ (((8%Z = x_0) -> (p_valid_Min1 malloc_0
  (f_Term_mIn1 t_0))) /\ (((9%Z = x_0) -> (p_valid_Min2 malloc_0
  (f_Term_mIn2 t_0))) /\ (((10%Z = x_0) -> (p_valid_Mcas malloc_0
  (f_Term_mCas t_0))) /\ (((11%Z = x_0) -> (p_valid_Meps malloc_0
  (f_Term_mEps t_0))) /\ ((0%Z = x_0) \/ ((1%Z = x_0) \/ ((2%Z = x_0) \/
  ((3%Z = x_0) \/ ((4%Z = x_0) \/ ((5%Z = x_0) \/ ((6%Z = x_0) \/
  ((7%Z = x_0) \/ ((8%Z = x_0) \/ ((9%Z = x_0) \/ ((10%Z = x_0) \/
  (11%Z = x_0)))))))))))))))))))))))).

(* Why3 assumption *)
Definition p_isShallowCopyOfType (t1_0:s_Type) (t2_0:s_Type): Prop :=
  ((f_Type_which t1_0) = (f_Type_which t2_0)) /\ ((eqS_Tall
  (f_Type_tAll t1_0) (f_Type_tAll t2_0)) /\ ((eqS_Tand (f_Type_tAnd t1_0)
  (f_Type_tAnd t2_0)) /\ ((eqS_Tapp (f_Type_tApp t1_0) (f_Type_tApp t2_0)) /\
  ((eqS_Tbot (f_Type_tBot t1_0) (f_Type_tBot t2_0)) /\ ((eqS_Texi
  (f_Type_tExi t1_0) (f_Type_tExi t2_0)) /\ ((eqS_Tor (f_Type_tOr t1_0)
  (f_Type_tOr t2_0)) /\ (eqS_Tvar (f_Type_tVar t1_0)
  (f_Type_tVar t2_0)))))))).

(* Why3 assumption *)
Definition p_valid_Tvar (malloc_0:(map.Map.map Z Z)) (t_0:s_Tvar): Prop :=
  (p_valid_string malloc_0 (f_Tvar_name t_0)).

(* Why3 assumption *)
Definition p_valid_Tall (malloc_0:(map.Map.map Z Z)) (t_0:s_Tall): Prop :=
  let a_0 := (f_Tall_type1 t_0) in let a_1 := (f_Tall_type2 t_0) in
  ((p_valid_Type_ptr a_0) /\ ((p_valid_Type_ptr a_1) /\ ((p_valid_string
  malloc_0 (f_Tall_name t_0)) /\ ((valid_rw malloc_0 a_0 15%Z) /\ (valid_rw
  malloc_0 a_1 15%Z))))).

(* Why3 assumption *)
Definition p_valid_Tapp (malloc_0:(map.Map.map Z Z)) (t_0:s_Tapp): Prop :=
  let a_0 := (f_Tapp_type t_0) in let a_1 := (f_Tapp_term t_0) in
  ((p_valid_Type_ptr a_0) /\ ((p_valid_Term_ptr a_1) /\ ((valid_rw malloc_0
  a_1 34%Z) /\ (valid_rw malloc_0 a_0 15%Z)))).

(* Why3 assumption *)
Definition p_valid_Texi (malloc_0:(map.Map.map Z Z)) (t_0:s_Texi): Prop :=
  let a_0 := (f_Texi_type1 t_0) in let a_1 := (f_Texi_type2 t_0) in
  ((p_valid_Type_ptr a_0) /\ ((p_valid_Type_ptr a_1) /\ ((p_valid_string
  malloc_0 (f_Texi_name t_0)) /\ ((valid_rw malloc_0 a_0 15%Z) /\ (valid_rw
  malloc_0 a_1 15%Z))))).

(* Why3 assumption *)
Definition p_valid_Tand (malloc_0:(map.Map.map Z Z)) (t_0:s_Tand): Prop :=
  let a_0 := (f_Tand_type1 t_0) in let a_1 := (f_Tand_type2 t_0) in
  ((p_valid_Type_ptr a_0) /\ ((p_valid_Type_ptr a_1) /\ ((valid_rw malloc_0
  a_0 15%Z) /\ (valid_rw malloc_0 a_1 15%Z)))).

(* Why3 assumption *)
Definition p_valid_Tor (malloc_0:(map.Map.map Z Z)) (t_0:s_Tor): Prop :=
  let a_0 := (f_Tor_type1 t_0) in let a_1 := (f_Tor_type2 t_0) in
  ((p_valid_Type_ptr a_0) /\ ((p_valid_Type_ptr a_1) /\ ((valid_rw malloc_0
  a_0 15%Z) /\ (valid_rw malloc_0 a_1 15%Z)))).

(* Why3 assumption *)
Definition p_valid_Type (malloc_0:(map.Map.map Z Z)) (t_0:s_Type): Prop :=
  let x_0 := (f_Type_which t_0) in (((0%Z = x_0) -> (p_valid_Tvar malloc_0
  (f_Type_tVar t_0))) /\ (((1%Z = x_0) -> (p_valid_Tall malloc_0
  (f_Type_tAll t_0))) /\ (((2%Z = x_0) -> (p_valid_Tapp malloc_0
  (f_Type_tApp t_0))) /\ (((3%Z = x_0) -> (p_valid_Texi malloc_0
  (f_Type_tExi t_0))) /\ (((4%Z = x_0) -> (p_valid_Tand malloc_0
  (f_Type_tAnd t_0))) /\ (((5%Z = x_0) -> (p_valid_Tor malloc_0
  (f_Type_tOr t_0))) /\ ((0%Z = x_0) \/ ((1%Z = x_0) \/ ((2%Z = x_0) \/
  ((3%Z = x_0) \/ ((4%Z = x_0) \/ ((5%Z = x_0) \/ (6%Z = x_0))))))))))))).

(* Why3 assumption *)
Definition p_isShallowCopyOfKind (k1_0:s_Kind) (k2_0:s_Kind): Prop :=
  ((f_Kind_which k1_0) = (f_Kind_which k2_0)) /\ ((eqS_Kpi (f_Kind_kPi k1_0)
  (f_Kind_kPi k2_0)) /\ (eqS_Kstar (f_Kind_kStar k1_0) (f_Kind_kStar k2_0))).

(* Why3 assumption *)
Definition p_valid_Kpi (malloc_0:(map.Map.map Z Z)) (k_0:s_Kpi): Prop :=
  (p_valid_Type_ptr (f_Kpi_type k_0)) /\ ((p_valid_Kind_ptr
  (f_Kpi_kind k_0)) /\ (p_valid_string malloc_0 (f_Kpi_name k_0))).

(* Why3 assumption *)
Definition p_valid_Kind (malloc_0:(map.Map.map Z Z)) (k_0:s_Kind): Prop :=
  let x_0 := (f_Kind_which k_0) in (((0%Z = x_0) \/ (1%Z = x_0)) /\
  ((1%Z = x_0) -> (p_valid_Kpi malloc_0 (f_Kind_kPi k_0)))).

Axiom Q_valid_Term_ptr_def : forall (malloc_0:(map.Map.map Z Z)),
  forall (mint_0:(map.Map.map addr Z)), forall (mptr_0:(map.Map.map addr
  addr)), forall (t_0:addr), (p_valid_Term_ptr t_0) <-> ((valid_rw malloc_0
  t_0 34%Z) /\ (p_valid_Term malloc_0 (load_S_Term t_0 mint_0 mptr_0))).

Axiom Q_valid_Type_ptr_def : forall (malloc_0:(map.Map.map Z Z)),
  forall (mint_0:(map.Map.map addr Z)), forall (mptr_0:(map.Map.map addr
  addr)), forall (t_0:addr), (p_valid_Type_ptr t_0) <-> ((valid_rw malloc_0
  t_0 15%Z) /\ (p_valid_Type malloc_0 (load_S_Type t_0 mint_0 mptr_0))).

Axiom Q_valid_Kind_ptr_def : forall (malloc_0:(map.Map.map Z Z)),
  forall (mint_0:(map.Map.map addr Z)), forall (mptr_0:(map.Map.map addr
  addr)), forall (k_0:addr), (p_valid_Kind_ptr k_0) <-> ((valid_rw malloc_0
  k_0 5%Z) /\ (p_valid_Kind malloc_0 (load_S_Kind k_0 mint_0 mptr_0))).

Axiom Q_valid_Kind_ptr_to_valid_Kind : forall (malloc_0:(map.Map.map Z Z)),
  forall (mint_0:(map.Map.map addr Z)), forall (mptr_0:(map.Map.map addr
  addr)), forall (k_0:addr), (p_valid_Kind_ptr k_0) -> (p_valid_Kind malloc_0
  (load_S_Kind k_0 mint_0 mptr_0)).

Axiom Q_valid_Kind_ptr_to_valid : forall (malloc_0:(map.Map.map Z Z)),
  forall (k_0:addr), (p_valid_Kind_ptr k_0) -> (valid_rw malloc_0 k_0 5%Z).

Axiom Q_valid_Term_ptr_to_valid : forall (malloc_0:(map.Map.map Z Z)),
  forall (k_0:addr), (p_valid_Term_ptr k_0) -> (valid_rw malloc_0 k_0 34%Z).

Axiom Q_valid_Any_ptr_to_valid : forall (malloc_0:(map.Map.map Z Z)),
  forall (mint_0:(map.Map.map addr Z)), forall (mptr_0:(map.Map.map addr
  addr)), forall (k_0:addr), (p_valid_Any_ptr malloc_0 mptr_0 mint_0 k_0) ->
  (valid_rw malloc_0 k_0 8%Z).

Axiom Q_valid_Type_ptr_to_valid_Type : forall (malloc_0:(map.Map.map Z Z)),
  forall (mint_0:(map.Map.map addr Z)), forall (mptr_0:(map.Map.map addr
  addr)), forall (k_0:addr), (p_valid_Type_ptr k_0) -> (p_valid_Type malloc_0
  (load_S_Type k_0 mint_0 mptr_0)).

Axiom Q_valid_Type_ptr_to_valid : forall (malloc_0:(map.Map.map Z Z)),
  forall (k_0:addr), (p_valid_Type_ptr k_0) -> (valid_rw malloc_0 k_0 15%Z).

Axiom Q_valid_Term_ptr_to_valid_mEps_Term_ptr3 : forall (mint_0:(map.Map.map
  addr Z)), forall (mptr_0:(map.Map.map addr addr)), forall (k_0:addr),
  (p_valid_Term_ptr k_0) -> ((11%Z = (map.Map.get mint_0 (shift k_0 0%Z))) ->
  (p_valid_Term_ptr (map.Map.get mptr_0 (shift k_0 33%Z)))).

Axiom Q_valid_Term_ptr_to_valid_mEps_Term_ptr2 : forall (mint_0:(map.Map.map
  addr Z)), forall (mptr_0:(map.Map.map addr addr)), forall (k_0:addr),
  (p_valid_Term_ptr k_0) -> ((11%Z = (map.Map.get mint_0 (shift k_0 0%Z))) ->
  (p_valid_Term_ptr (map.Map.get mptr_0 (shift k_0 33%Z)))).

Axiom Q_valid_Term_ptr_to_valid_mEps_Term_ptr : forall (malloc_0:(map.Map.map
  Z Z)), forall (mint_0:(map.Map.map addr Z)), forall (mptr_0:(map.Map.map
  addr addr)), forall (k_0:addr), let a_0 := (map.Map.get mptr_0 (shift k_0
  33%Z)) in ((p_valid_Term_ptr k_0) -> ((11%Z = (map.Map.get mint_0
  (shift k_0 0%Z))) -> ((p_valid_Term_ptr a_0) /\ (valid_rw malloc_0 a_0
  34%Z)))).

Axiom Q_valid_Term_ptr_to_valid_mEps_Type_ptr : forall (mint_0:(map.Map.map
  addr Z)), forall (mptr_0:(map.Map.map addr addr)), forall (k_0:addr),
  (p_valid_Term_ptr k_0) -> ((11%Z = (map.Map.get mint_0 (shift k_0 0%Z))) ->
  (p_valid_Type_ptr (map.Map.get mptr_0 (shift k_0 32%Z)))).

Axiom Q_valid_Term_ptr_to_valid_mCas_casIn2_Term_ptr : forall (mint_0:(map.Map.map
  addr Z)), forall (mptr_0:(map.Map.map addr addr)), forall (k_0:addr),
  (p_valid_Term_ptr k_0) -> ((10%Z = (map.Map.get mint_0 (shift k_0 0%Z))) ->
  (p_valid_Term_ptr (map.Map.get mptr_0 (shift k_0 31%Z)))).

Axiom Q_valid_Term_ptr_to_valid_mCas_casIn2_Type_ptr : forall (mint_0:(map.Map.map
  addr Z)), forall (mptr_0:(map.Map.map addr addr)), forall (k_0:addr),
  (p_valid_Term_ptr k_0) -> ((10%Z = (map.Map.get mint_0 (shift k_0 0%Z))) ->
  (p_valid_Type_ptr (map.Map.get mptr_0 (shift k_0 30%Z)))).

Axiom Q_valid_Term_ptr_to_valid_string_mCas_casIn2_Name : forall (malloc_0:(map.Map.map
  Z Z)), forall (mint_0:(map.Map.map addr Z)), forall (mptr_0:(map.Map.map
  addr addr)), forall (k_0:addr), (p_valid_Term_ptr k_0) ->
  ((10%Z = (map.Map.get mint_0 (shift k_0 0%Z))) -> (p_valid_string malloc_0
  (map.Map.get mptr_0 (shift k_0 29%Z)))).

Axiom Q_valid_Term_ptr_to_valid_mCas_casIn1_Term_ptr : forall (mint_0:(map.Map.map
  addr Z)), forall (mptr_0:(map.Map.map addr addr)), forall (k_0:addr),
  (p_valid_Term_ptr k_0) -> ((10%Z = (map.Map.get mint_0 (shift k_0 0%Z))) ->
  (p_valid_Term_ptr (map.Map.get mptr_0 (shift k_0 28%Z)))).

Axiom Q_valid_Term_ptr_to_valid_mCas_casIn1_Type_ptr : forall (mint_0:(map.Map.map
  addr Z)), forall (mptr_0:(map.Map.map addr addr)), forall (k_0:addr),
  (p_valid_Term_ptr k_0) -> ((10%Z = (map.Map.get mint_0 (shift k_0 0%Z))) ->
  (p_valid_Type_ptr (map.Map.get mptr_0 (shift k_0 27%Z)))).

Axiom Q_valid_Term_ptr_to_valid_string_mCas_casIn1_Name : forall (malloc_0:(map.Map.map
  Z Z)), forall (mint_0:(map.Map.map addr Z)), forall (mptr_0:(map.Map.map
  addr addr)), forall (k_0:addr), (p_valid_Term_ptr k_0) ->
  ((10%Z = (map.Map.get mint_0 (shift k_0 0%Z))) -> (p_valid_string malloc_0
  (map.Map.get mptr_0 (shift k_0 26%Z)))).

Axiom Q_valid_Term_ptr_to_valid_mCas_Term_ptr : forall (mint_0:(map.Map.map
  addr Z)), forall (mptr_0:(map.Map.map addr addr)), forall (k_0:addr),
  (p_valid_Term_ptr k_0) -> ((10%Z = (map.Map.get mint_0 (shift k_0 0%Z))) ->
  (p_valid_Term_ptr (map.Map.get mptr_0 (shift k_0 25%Z)))).

Axiom Q_valid_Term_ptr_to_valid_mIn2_Term_ptr : forall (mint_0:(map.Map.map
  addr Z)), forall (mptr_0:(map.Map.map addr addr)), forall (k_0:addr),
  (p_valid_Term_ptr k_0) -> ((9%Z = (map.Map.get mint_0 (shift k_0 0%Z))) ->
  (p_valid_Term_ptr (map.Map.get mptr_0 (shift k_0 24%Z)))).

Axiom Q_valid_Term_ptr_to_valid_mIn2_Type_ptr : forall (mint_0:(map.Map.map
  addr Z)), forall (mptr_0:(map.Map.map addr addr)), forall (k_0:addr),
  (p_valid_Term_ptr k_0) -> ((9%Z = (map.Map.get mint_0 (shift k_0 0%Z))) ->
  (p_valid_Type_ptr (map.Map.get mptr_0 (shift k_0 23%Z)))).

Axiom Q_valid_Term_ptr_to_valid_mIn1_Term_ptr : forall (mint_0:(map.Map.map
  addr Z)), forall (mptr_0:(map.Map.map addr addr)), forall (k_0:addr),
  (p_valid_Term_ptr k_0) -> ((8%Z = (map.Map.get mint_0 (shift k_0 0%Z))) ->
  (p_valid_Term_ptr (map.Map.get mptr_0 (shift k_0 22%Z)))).

Axiom Q_valid_Term_ptr_to_valid_mIn1_Type_ptr : forall (mint_0:(map.Map.map
  addr Z)), forall (mptr_0:(map.Map.map addr addr)), forall (k_0:addr),
  (p_valid_Term_ptr k_0) -> ((8%Z = (map.Map.get mint_0 (shift k_0 0%Z))) ->
  (p_valid_Type_ptr (map.Map.get mptr_0 (shift k_0 21%Z)))).

Axiom Q_valid_Term_ptr_to_valid_mPi2_Term_ptr : forall (mint_0:(map.Map.map
  addr Z)), forall (mptr_0:(map.Map.map addr addr)), forall (k_0:addr),
  (p_valid_Term_ptr k_0) -> ((7%Z = (map.Map.get mint_0 (shift k_0 0%Z))) ->
  (p_valid_Term_ptr (map.Map.get mptr_0 (shift k_0 20%Z)))).

Axiom Q_valid_Term_ptr_to_valid_mPi1_Term_ptr : forall (mint_0:(map.Map.map
  addr Z)), forall (mptr_0:(map.Map.map addr addr)), forall (k_0:addr),
  (p_valid_Term_ptr k_0) -> ((6%Z = (map.Map.get mint_0 (shift k_0 0%Z))) ->
  (p_valid_Term_ptr (map.Map.get mptr_0 (shift k_0 19%Z)))).

Axiom Q_valid_Term_ptr_to_valid_mTup_Type_ptr : forall (mint_0:(map.Map.map
  addr Z)), forall (mptr_0:(map.Map.map addr addr)), forall (k_0:addr),
  (p_valid_Term_ptr k_0) -> ((5%Z = (map.Map.get mint_0 (shift k_0 0%Z))) ->
  (p_valid_Type_ptr (map.Map.get mptr_0 (shift k_0 16%Z)))).

Axiom Q_valid_Term_ptr_to_valid_mTup_Term2_ptr : forall (mint_0:(map.Map.map
  addr Z)), forall (mptr_0:(map.Map.map addr addr)), forall (k_0:addr),
  (p_valid_Term_ptr k_0) -> ((5%Z = (map.Map.get mint_0 (shift k_0 0%Z))) ->
  (p_valid_Term_ptr (map.Map.get mptr_0 (shift k_0 18%Z)))).

Axiom Q_valid_Term_ptr_to_valid_mTup_Term1_ptr : forall (mint_0:(map.Map.map
  addr Z)), forall (mptr_0:(map.Map.map addr addr)), forall (k_0:addr),
  (p_valid_Term_ptr k_0) -> ((5%Z = (map.Map.get mint_0 (shift k_0 0%Z))) ->
  (p_valid_Term_ptr (map.Map.get mptr_0 (shift k_0 17%Z)))).

Axiom Q_valid_Term_ptr_to_valid_mAbs_Term6_ptr : forall (mint_0:(map.Map.map
  addr Z)), forall (mptr_0:(map.Map.map addr addr)), forall (k_0:addr),
  (p_valid_Term_ptr k_0) -> ((4%Z = (map.Map.get mint_0 (shift k_0 0%Z))) ->
  (p_valid_Term_ptr (map.Map.get mptr_0 (shift k_0 15%Z)))).

Axiom Q_valid_Term_ptr_to_valid_mAbs_Term5_ptr : forall (mint_0:(map.Map.map
  addr Z)), forall (mptr_0:(map.Map.map addr addr)), forall (k_0:addr),
  (p_valid_Term_ptr k_0) -> ((4%Z = (map.Map.get mint_0 (shift k_0 0%Z))) ->
  (p_valid_Term_ptr (map.Map.get mptr_0 (shift k_0 14%Z)))).

Axiom Q_valid_Term_ptr_to_valid_mAbs_Type4_ptr : forall (mint_0:(map.Map.map
  addr Z)), forall (mptr_0:(map.Map.map addr addr)), forall (k_0:addr),
  (p_valid_Term_ptr k_0) -> ((4%Z = (map.Map.get mint_0 (shift k_0 0%Z))) ->
  (p_valid_Type_ptr (map.Map.get mptr_0 (shift k_0 13%Z)))).

Axiom Q_valid_Term_ptr_to_valid_mAbs_Type2_ptr : forall (mint_0:(map.Map.map
  addr Z)), forall (mptr_0:(map.Map.map addr addr)), forall (k_0:addr),
  (p_valid_Term_ptr k_0) -> ((4%Z = (map.Map.get mint_0 (shift k_0 0%Z))) ->
  (p_valid_Type_ptr (map.Map.get mptr_0 (shift k_0 11%Z)))).

Axiom Q_valid_Term_ptr_to_valid_string_mAbs_ptr_Name3 : forall (malloc_0:(map.Map.map
  Z Z)), forall (mint_0:(map.Map.map addr Z)), forall (mptr_0:(map.Map.map
  addr addr)), forall (k_0:addr), (p_valid_Term_ptr k_0) ->
  ((4%Z = (map.Map.get mint_0 (shift k_0 0%Z))) -> (p_valid_string malloc_0
  (map.Map.get mptr_0 (shift k_0 12%Z)))).

Axiom Q_valid_Term_ptr_to_valid_string_mAbs_ptr_Name1 : forall (malloc_0:(map.Map.map
  Z Z)), forall (mint_0:(map.Map.map addr Z)), forall (mptr_0:(map.Map.map
  addr addr)), forall (k_0:addr), (p_valid_Term_ptr k_0) ->
  ((4%Z = (map.Map.get mint_0 (shift k_0 0%Z))) -> (p_valid_string malloc_0
  (map.Map.get mptr_0 (shift k_0 10%Z)))).

Axiom Q_valid_Term_ptr_to_valid_mWit_Type_ptr : forall (mint_0:(map.Map.map
  addr Z)), forall (mptr_0:(map.Map.map addr addr)), forall (k_0:addr),
  (p_valid_Term_ptr k_0) -> ((3%Z = (map.Map.get mint_0 (shift k_0 0%Z))) ->
  (p_valid_Type_ptr (map.Map.get mptr_0 (shift k_0 7%Z)))).

(* Why3 goal *)
Theorem Q_valid_Term_ptr_to_valid_mWit_Term2_ptr : forall (mint_0:(map.Map.map
  addr Z)), forall (mptr_0:(map.Map.map addr addr)), forall (k_0:addr),
  (p_valid_Term_ptr k_0) -> ((3%Z = (map.Map.get mint_0 (shift k_0 0%Z))) ->
  (p_valid_Term_ptr (map.Map.get mptr_0 (shift k_0 9%Z)))).
intros mint_0 mptr_0 k_0 h1 h2.

Require Import Why3.
assert (forall (malloc_0:Map.map int int),
p_valid_Term_ptr (Map.get mptr_0 (shift k_0 9))).
* intros.
  eapply  (Q_valid_Term_ptr_def malloc_0 mint_0 mptr_0 ) in h1.
  unfold p_valid_Term in h1.
  unfold f_Term_which in h1.
  unfold load_S_Term in h1.
  unfold load_S_Mwit in h1.
  unfold p_valid_Mwit in h1.
  unfold f_Term_mWit in h1.
  unfold f_Mwit_term2 in h1.
  why3 "cvc3" timelimit 5.
* apply H.
  apply Map.const.
  apply (0%Z).


Qed.

