(* This file is generated by Why3's Coq driver *)
(* Beware! Only edit allowed sections below    *)
Require Import BuiltIn.
Require BuiltIn.
Require bool.Bool.
Require int.Int.
Require int.Abs.
Require int.ComputerDivision.
Require real.Real.
Require real.RealInfix.
Require real.FromInt.
Require map.Map.

Parameter ite: forall {a:Type} {a_WT:WhyType a}, bool -> a -> a -> a.

Parameter eqb: forall {a:Type} {a_WT:WhyType a}, a -> a -> bool.

Axiom eqb1 : forall {a:Type} {a_WT:WhyType a}, forall (x:a) (y:a), ((eqb x
  y) = true) <-> (x = y).

Parameter neqb: forall {a:Type} {a_WT:WhyType a}, a -> a -> bool.

Axiom neqb1 : forall {a:Type} {a_WT:WhyType a}, forall (x:a) (y:a), ((neqb x
  y) = true) <-> ~ (x = y).

Parameter zlt: Z -> Z -> bool.

Parameter zleq: Z -> Z -> bool.

Axiom zlt1 : forall (x:Z) (y:Z), ((zlt x y) = true) <-> (x < y)%Z.

Axiom zleq1 : forall (x:Z) (y:Z), ((zleq x y) = true) <-> (x <= y)%Z.

Parameter rlt: R -> R -> bool.

Parameter rleq: R -> R -> bool.

Axiom rlt1 : forall (x:R) (y:R), ((rlt x y) = true) <-> (x < y)%R.

Axiom rleq1 : forall (x:R) (y:R), ((rleq x y) = true) <-> (x <= y)%R.

Parameter truncate: R -> Z.

Axiom truncate_of_int : forall (x:Z), ((truncate (Reals.Raxioms.IZR x)) = x).

Axiom c_euclidian : forall (n:Z) (d:Z), (~ (d = 0%Z)) ->
  (n = (((ZArith.BinInt.Z.quot n d) * d)%Z + (ZArith.BinInt.Z.rem n d))%Z).

Axiom cdiv_cases : forall (n:Z) (d:Z), ((n <= 0%Z)%Z -> ((0%Z < d)%Z ->
  ((ZArith.BinInt.Z.quot n d) = (-(ZArith.BinInt.Z.quot (-n)%Z d))%Z))) /\
  (((0%Z <= n)%Z -> ((d < 0%Z)%Z ->
  ((ZArith.BinInt.Z.quot n d) = (-(ZArith.BinInt.Z.quot n (-d)%Z))%Z))) /\
  ((n <= 0%Z)%Z -> ((d < 0%Z)%Z ->
  ((ZArith.BinInt.Z.quot n d) = (ZArith.BinInt.Z.quot (-n)%Z (-d)%Z))))).

Axiom cmod_cases : forall (n:Z) (d:Z), ((n <= 0%Z)%Z -> ((0%Z < d)%Z ->
  ((ZArith.BinInt.Z.rem n d) = (-(ZArith.BinInt.Z.rem (-n)%Z d))%Z))) /\
  (((0%Z <= n)%Z -> ((d < 0%Z)%Z ->
  ((ZArith.BinInt.Z.rem n d) = (ZArith.BinInt.Z.rem n (-d)%Z)))) /\
  ((n <= 0%Z)%Z -> ((d < 0%Z)%Z ->
  ((ZArith.BinInt.Z.rem n d) = (-(ZArith.BinInt.Z.rem (-n)%Z (-d)%Z))%Z)))).

Axiom cmod_remainder : forall (n:Z) (d:Z), ((0%Z <= n)%Z -> ((0%Z < d)%Z ->
  ((0%Z <= (ZArith.BinInt.Z.rem n d))%Z /\
  ((ZArith.BinInt.Z.rem n d) < d)%Z))) /\ (((n <= 0%Z)%Z -> ((0%Z < d)%Z ->
  (((-d)%Z < (ZArith.BinInt.Z.rem n d))%Z /\
  ((ZArith.BinInt.Z.rem n d) <= 0%Z)%Z))) /\ (((0%Z <= n)%Z ->
  ((d < 0%Z)%Z -> ((0%Z <= (ZArith.BinInt.Z.rem n d))%Z /\
  ((ZArith.BinInt.Z.rem n d) < (-d)%Z)%Z))) /\ ((n <= 0%Z)%Z ->
  ((d < 0%Z)%Z -> ((d < (ZArith.BinInt.Z.rem n d))%Z /\
  ((ZArith.BinInt.Z.rem n d) <= 0%Z)%Z))))).

Axiom cdiv_neutral : forall (a:Z), ((ZArith.BinInt.Z.quot a 1%Z) = a).

Axiom cdiv_inv : forall (a:Z), (~ (a = 0%Z)) ->
  ((ZArith.BinInt.Z.quot a a) = 1%Z).

(* Why3 assumption *)
Inductive addr :=
  | Mk_addr : Z -> Z -> addr.
Axiom addr_WhyType : WhyType addr.
Existing Instance addr_WhyType.

(* Why3 assumption *)
Definition offset (v:addr): Z := match v with
  | (Mk_addr x x1) => x1
  end.

(* Why3 assumption *)
Definition base (v:addr): Z := match v with
  | (Mk_addr x x1) => x
  end.

Parameter addr_le: addr -> addr -> Prop.

Parameter addr_lt: addr -> addr -> Prop.

Parameter addr_le_bool: addr -> addr -> bool.

Parameter addr_lt_bool: addr -> addr -> bool.

Axiom addr_le_def : forall (p:addr) (q:addr), ((base p) = (base q)) ->
  ((addr_le p q) <-> ((offset p) <= (offset q))%Z).

Axiom addr_lt_def : forall (p:addr) (q:addr), ((base p) = (base q)) ->
  ((addr_lt p q) <-> ((offset p) < (offset q))%Z).

Axiom addr_le_bool_def : forall (p:addr) (q:addr), (addr_le p q) <->
  ((addr_le_bool p q) = true).

Axiom addr_lt_bool_def : forall (p:addr) (q:addr), (addr_lt p q) <->
  ((addr_lt_bool p q) = true).

(* Why3 assumption *)
Definition shift (p:addr) (k:Z): addr := (Mk_addr (base p)
  ((offset p) + k)%Z).

(* Why3 assumption *)
Definition included (p:addr) (a:Z) (q:addr) (b:Z): Prop := (0%Z < a)%Z ->
  ((0%Z <= b)%Z /\ (((base p) = (base q)) /\ (((offset q) <= (offset p))%Z /\
  (((offset p) + a)%Z <= ((offset q) + b)%Z)%Z))).

(* Why3 assumption *)
Definition separated (p:addr) (a:Z) (q:addr) (b:Z): Prop := (a <= 0%Z)%Z \/
  ((b <= 0%Z)%Z \/ ((~ ((base p) = (base q))) \/
  ((((offset q) + b)%Z <= (offset p))%Z \/
  (((offset p) + a)%Z <= (offset q))%Z))).

(* Why3 assumption *)
Definition eqmem {a:Type} {a_WT:WhyType a} (m1:(map.Map.map addr a))
  (m2:(map.Map.map addr a)) (p:addr) (a1:Z): Prop := forall (q:addr),
  (included q 1%Z p a1) -> ((map.Map.get m1 q) = (map.Map.get m2 q)).

(* Why3 assumption *)
Definition havoc {a:Type} {a_WT:WhyType a} (m1:(map.Map.map addr a))
  (m2:(map.Map.map addr a)) (p:addr) (a1:Z): Prop := forall (q:addr),
  (separated q 1%Z p a1) -> ((map.Map.get m1 q) = (map.Map.get m2 q)).

(* Why3 assumption *)
Definition valid_rd (m:(map.Map.map Z Z)) (p:addr) (n:Z): Prop :=
  (0%Z < n)%Z -> ((0%Z <= (offset p))%Z /\
  (((offset p) + n)%Z <= (map.Map.get m (base p)))%Z).

(* Why3 assumption *)
Definition valid_rw (m:(map.Map.map Z Z)) (p:addr) (n:Z): Prop :=
  (0%Z < n)%Z -> ((0%Z < (base p))%Z /\ ((0%Z <= (offset p))%Z /\
  (((offset p) + n)%Z <= (map.Map.get m (base p)))%Z)).

Axiom valid_rw_rd : forall (m:(map.Map.map Z Z)), forall (p:addr),
  forall (n:Z), (valid_rw m p n) -> (valid_rd m p n).

Axiom valid_string : forall (m:(map.Map.map Z Z)), forall (p:addr),
  ((base p) < 0%Z)%Z -> (((0%Z <= (offset p))%Z /\
  ((offset p) < (map.Map.get m (base p)))%Z) -> ((valid_rd m p 1%Z) /\
  ~ (valid_rw m p 1%Z))).

Axiom separated_1 : forall (p:addr) (q:addr), forall (a:Z) (b:Z) (i:Z) (j:Z),
  (separated p a q b) -> ((((offset p) <= i)%Z /\
  (i < ((offset p) + a)%Z)%Z) -> ((((offset q) <= j)%Z /\
  (j < ((offset q) + b)%Z)%Z) -> ~ ((Mk_addr (base p) i) = (Mk_addr (base q)
  j)))).

Parameter region: Z -> Z.

Parameter linked: (map.Map.map Z Z) -> Prop.

Parameter sconst: (map.Map.map addr Z) -> Prop.

(* Why3 assumption *)
Definition framed (m:(map.Map.map addr addr)): Prop := forall (p:addr),
  ((region (base (map.Map.get m p))) <= 0%Z)%Z.

Axiom separated_included : forall (p:addr) (q:addr), forall (a:Z) (b:Z),
  (0%Z < a)%Z -> ((0%Z < b)%Z -> ((separated p a q b) -> ~ (included p a q
  b))).

Axiom included_trans : forall (p:addr) (q:addr) (r:addr), forall (a:Z) (b:Z)
  (c:Z), (included p a q b) -> ((included q b r c) -> (included p a r c)).

Axiom separated_trans : forall (p:addr) (q:addr) (r:addr), forall (a:Z) (b:Z)
  (c:Z), (included p a q b) -> ((separated q b r c) -> (separated p a r c)).

Axiom separated_sym : forall (p:addr) (q:addr), forall (a:Z) (b:Z),
  (separated p a q b) <-> (separated q b p a).

Axiom eqmem_included : forall {a:Type} {a_WT:WhyType a},
  forall (m1:(map.Map.map addr a)) (m2:(map.Map.map addr a)), forall (p:addr)
  (q:addr), forall (a1:Z) (b:Z), (included p a1 q b) -> ((eqmem m1 m2 q b) ->
  (eqmem m1 m2 p a1)).

Axiom eqmem_sym : forall {a:Type} {a_WT:WhyType a}, forall (m1:(map.Map.map
  addr a)) (m2:(map.Map.map addr a)), forall (p:addr), forall (a1:Z), (eqmem
  m1 m2 p a1) -> (eqmem m2 m1 p a1).

Axiom havoc_sym : forall {a:Type} {a_WT:WhyType a}, forall (m1:(map.Map.map
  addr a)) (m2:(map.Map.map addr a)), forall (p:addr), forall (a1:Z), (havoc
  m1 m2 p a1) -> (havoc m2 m1 p a1).

Parameter cast: addr -> Z.

Axiom cast_injective : forall (p:addr) (q:addr), ((cast p) = (cast q)) ->
  (p = q).

Parameter hardware: Z -> Z.

Axiom hardnull : ((hardware 0%Z) = 0%Z).

Parameter l_strlen: addr -> Z.

Parameter l_memcmp: (map.Map.map addr Z) -> addr -> addr -> Z -> Z.

Axiom Q_memcmp_zero : forall (n_0:Z), forall (mchar_0:(map.Map.map addr Z)),
  forall (s1_0:addr) (s2_0:addr), (0%Z = (l_memcmp mchar_0 s1_0 s2_0
  n_0)) <-> forall (i_0:Z), (i_0 < n_0)%Z -> ((0%Z <= i_0)%Z ->
  ((map.Map.get mchar_0 (shift s1_0 i_0)) = (map.Map.get mchar_0 (shift s2_0
  i_0)))).

Axiom Q_memcmp_strlen_shift_right : forall (k_0:Z) (n_0:Z),
  forall (mchar_0:(map.Map.map addr Z)), forall (s1_0:addr) (s2_0:addr),
  let x_0 := (l_strlen s2_0) in let x_1 := (l_strlen s1_0) in
  ((0%Z <= k_0)%Z -> ((x_0 < n_0)%Z -> ((0%Z = (l_memcmp mchar_0 (shift s1_0
  k_0) s2_0 n_0)) -> ((0%Z <= x_1)%Z /\ (x_1 <= (k_0 + x_0)%Z)%Z)))).

Axiom Q_memcmp_strlen_shift_left : forall (k_0:Z) (n_0:Z),
  forall (mchar_0:(map.Map.map addr Z)), forall (s1_0:addr) (s2_0:addr),
  let x_0 := (l_strlen s1_0) in let x_1 := (l_strlen s2_0) in
  ((0%Z <= k_0)%Z -> ((x_0 < n_0)%Z -> ((0%Z = (l_memcmp mchar_0 s1_0
  (shift s2_0 k_0) n_0)) -> ((0%Z <= x_1)%Z /\ (x_1 <= (k_0 + x_0)%Z)%Z)))).

Axiom Q_memcmp_strlen_right : forall (n_0:Z), forall (mchar_0:(map.Map.map
  addr Z)), forall (s1_0:addr) (s2_0:addr), let x_0 := (l_strlen s2_0) in
  ((x_0 < n_0)%Z -> ((0%Z = (l_memcmp mchar_0 s1_0 s2_0 n_0)) ->
  ((l_strlen s1_0) = x_0))).

Axiom Q_memcmp_strlen_left : forall (n_0:Z), forall (mchar_0:(map.Map.map
  addr Z)), forall (s1_0:addr) (s2_0:addr), let x_0 := (l_strlen s1_0) in
  ((x_0 < n_0)%Z -> ((0%Z = (l_memcmp mchar_0 s1_0 s2_0 n_0)) ->
  (x_0 = (l_strlen s2_0)))).

Axiom Q_strlen_create_shift : forall (i_0:Z) (k_0:Z),
  forall (mchar_0:(map.Map.map addr Z)), forall (s_0:addr), let x_0 :=
  (l_strlen (shift s_0 k_0)) in ((0%Z <= k_0)%Z -> ((k_0 <= i_0)%Z ->
  ((0%Z = (map.Map.get mchar_0 (shift s_0 i_0))) -> ((0%Z <= x_0)%Z /\
  ((k_0 + x_0)%Z <= i_0)%Z)))).

Axiom Q_strlen_create : forall (i_0:Z), forall (mchar_0:(map.Map.map addr
  Z)), forall (s_0:addr), let x_0 := (l_strlen s_0) in ((0%Z <= i_0)%Z ->
  ((0%Z = (map.Map.get mchar_0 (shift s_0 i_0))) -> ((0%Z <= x_0)%Z /\
  (x_0 <= i_0)%Z))).

Axiom Q_strlen_shift : forall (i_0:Z), forall (s_0:addr), let x_0 :=
  (l_strlen s_0) in ((0%Z <= i_0)%Z -> ((i_0 <= x_0)%Z ->
  (x_0 = (i_0 + (l_strlen (shift s_0 i_0)))%Z))).

Axiom Q_strlen_sup : forall (i_0:Z), forall (mchar_0:(map.Map.map addr Z)),
  forall (s_0:addr), let x_0 := (l_strlen s_0) in ((0%Z <= i_0)%Z ->
  ((0%Z = (map.Map.get mchar_0 (shift s_0 i_0))) -> ((0%Z <= x_0)%Z /\
  (x_0 <= i_0)%Z))).

Axiom Q_strlen_zero : forall (i_0:Z), forall (mchar_0:(map.Map.map addr Z)),
  forall (s_0:addr), let x_0 := (l_strlen s_0) in ((0%Z <= i_0)%Z ->
  ((i_0 <= x_0)%Z -> ((0%Z = (map.Map.get mchar_0 (shift s_0 i_0))) ->
  (i_0 = x_0)))).

Axiom Q_strlen_not_zero : forall (i_0:Z), forall (mchar_0:(map.Map.map addr
  Z)), forall (s_0:addr), let x_0 := (l_strlen s_0) in ((0%Z <= i_0)%Z ->
  ((i_0 <= x_0)%Z -> ((~ (0%Z = (map.Map.get mchar_0 (shift s_0 i_0)))) ->
  (i_0 < x_0)%Z))).

Axiom Q_strlen_at_null : forall (mchar_0:(map.Map.map addr Z)),
  forall (s_0:addr), let x_0 := (l_strlen s_0) in ((0%Z <= x_0)%Z ->
  (0%Z = (map.Map.get mchar_0 (shift s_0 x_0)))).

Axiom Q_strlen_before_null : forall (i_0:Z), forall (mchar_0:(map.Map.map
  addr Z)), forall (s_0:addr), (0%Z <= i_0)%Z -> ((i_0 < (l_strlen s_0))%Z ->
  ~ (0%Z = (map.Map.get mchar_0 (shift s_0 i_0)))).

Axiom Q_strlen_neg : forall (mchar_0:(map.Map.map addr Z)),
  forall (s_0:addr), (forall (i_0:Z), (0%Z <= i_0)%Z ->
  ~ (0%Z = (map.Map.get mchar_0 (shift s_0 i_0)))) ->
  ((l_strlen s_0) < 0%Z)%Z.

Axiom Q_strlen_pos_or_null : forall (i_0:Z), forall (mchar_0:(map.Map.map
  addr Z)), forall (s_0:addr), (0%Z <= i_0)%Z -> ((0%Z = (map.Map.get mchar_0
  (shift s_0 i_0))) -> ((forall (j_0:Z), (j_0 < i_0)%Z -> ((0%Z <= j_0)%Z ->
  ~ (0%Z = (map.Map.get mchar_0 (shift s_0 j_0))))) ->
  (i_0 = (l_strlen s_0)))).

(* Why3 assumption *)
Definition p_valid_string (malloc_0:(map.Map.map Z Z)) (s_0:addr): Prop :=
  let x_0 := (l_strlen s_0) in ((0%Z <= x_0)%Z /\ (valid_rw malloc_0
  (shift s_0 0%Z) (1%Z + x_0)%Z)).

Parameter l_maximum: Z -> Z -> Z.

Axiom l_maximum_def : forall (i_0:Z) (j_0:Z), ((i_0 < j_0)%Z ->
  ((l_maximum i_0 j_0) = j_0)) /\ ((~ (i_0 < j_0)%Z) -> ((l_maximum i_0
  j_0) = i_0)).

Parameter l_strcmp: addr -> addr -> Z.

Axiom Q_strcmp_zero : forall (mchar_0:(map.Map.map addr Z)),
  forall (s1_0:addr) (s2_0:addr), let x_0 := (l_strlen s1_0) in
  ((0%Z = (l_strcmp s1_0 s2_0)) <-> ((x_0 = (l_strlen s2_0)) /\
  forall (i_0:Z), (0%Z <= i_0)%Z -> ((i_0 <= x_0)%Z -> ((map.Map.get mchar_0
  (shift s1_0 i_0)) = (map.Map.get mchar_0 (shift s2_0 i_0)))))).

(* Why3 goal *)
Theorem Q_strcmp_equal : forall (malloc_0:(map.Map.map Z Z)),
  forall (s_0:addr), (p_valid_string malloc_0 s_0) -> (0%Z = (l_strcmp s_0
  s_0)).
intros malloc_0 s_0 h1.
unfold p_valid_string in h1.
set (mptr_0 := Map._map_constr addr int (fun x => 0%Z)).
apply <- (Q_strcmp_zero mptr_0).
intuition.
Qed.

