/****************************************************************************
 * Copyright (C) 2016 by University of Warsaw                               *
 *                                                                          *
 * This file is part of IntuitionTC.                                        *
 *                                                                          *
 ****************************************************************************/
/**
 * @file free.h
 * @brief Complex freeing operations.
 * @author Aleksy Schubert
 * @author Maciej Zielenkiewicz
 */
#ifndef _FREE_H
#define _FREE_H  1
#include "checker.h"

void freeKindDeep(Kind*);
void freeKStarDeep(Kstar);
void freeKpiDeep(Kpi);

void freeTypeDeep(Type*);
void freeVarParts(Tvar);
void freeAllParts(Tall);
void freeAppParts(Tapp);
void freeExiParts(Texi);
void freeAndParts(Tand);
void freeOrParts(Tor);
void freeBotParts(Tbot);

void freeTermDeep(Term*);
void freeMVarParts(Mvar t);
void freeMAppParts(Mapp t);
void freeMLamParts(Mlam t);
void freeMWitParts(Mwit t);
void freeMAbsParts(Mabs t);
void freeMTupParts(Mtup t);
void freeMPi1Parts(Mpi1 t);
void freeMPi2Parts(Mpi2 t);
void freeMIn1Parts(Min1 t);
void freeMIn2Parts(Min2 t);
void freeCasInParts(McasIn t);
void freeMCasParts(Mcas t);
void freeMEpsParts(Meps t);

void freeAnyDeep(Any*);
void freeAnyBindParts(Bind b);

void freeNameDeep(Name*); 

#endif
