#ifndef __FC_TOCHARR
#define __FC_TOCHARR

#include "__fc_namemap.h"

/*@
  @ axiomatic charr_cast {
  @   logic char* tocharr{L}(char** p);
  @   logic char* ntocharr{L}(namemap* p);
  @
  @   axiom injective_tocharr:
  @     \forall char** p, char** q; tocharr(p) == tocharr(q) ==> p == q;
  @
  @   axiom injective_ntocharr:
  @     \forall namemap* p, namemap* q; ntocharr(p) == ntocharr(q) ==> p == q;
  @
  @   axiom tocharr_char_valid{L}:
  @     \forall char** p;
  @     \forall size_t i; \valid(tocharr(p)+(0..sizeof(char*)*i-1)) <==> \valid(p+(0..i-1));
  @
  @   axiom ntocharr_char_valid{L}:
  @     \forall namemap* p;
  @     \forall size_t i; \valid(ntocharr(p)+(0..sizeof(namemap)*i)-1) <==> \valid(p+(0..i-1));
  @
  @ }
  @*/

#endif
