/****************************************************************************
 * Copyright (C) 2016 by University of Warsaw                               *
 *                                                                          *
 * This file is part of IntuitionTC.                                        *
 *                                                                          *
 ****************************************************************************/
/**
 * @file typechecker.h
 * @brief The core logic of the typechecker.
 * @author Marcin Benke
 * @author Aleksy Schubert
 * @author Maciej Zielenkiewicz
 */
#ifndef _TYPECHECKER_H
#define _TYPECHECKER_H  1
#include <string.h>
#include <stdbool.h>
#include "checker.h"
#include "envmap_base.h"
#ifdef _FRAMAC_
#include "namemap.h"
#endif

/*@ requires valid_envmap(env) && valid_Type_ptr(t);
  @ assigns \nothing;
  @ ensures valid_envmap{Post}(env)  && valid_Type_ptr{Post}(t);
  @ ensures valid_Kind_ptr(\result);
  @*/
Kind *inferType(const envmap env, Type *t);
Type *inferTerm(const envmap env, Term *m);
bool checkTerm(const envmap env, Term *m, Type *t);
bool checkType(const envmap env, Type *t, Kind *k);
Type *inferTerm(const envmap env, Term *t);
bool checkKind(const envmap env, Kind k);

#endif
