(* This file is generated by Why3's Coq-realize driver *)
(* Beware! Only edit allowed sections below    *)
Require Import BuiltIn.
Require BuiltIn.
Require bool.Bool.
Require int.Int.
Require map.Map.

(* Why3 assumption *)
Inductive addr :=
  | Mk_addr : Z -> Z -> addr.
Axiom addr_WhyType : WhyType addr.
Existing Instance addr_WhyType.

(* Why3 assumption *)
Definition offset (v:addr): Z := match v with
  | (Mk_addr x x1) => x1
  end.

(* Why3 assumption *)
Definition base (v:addr): Z := match v with
  | (Mk_addr x x1) => x
  end.

(* Why3 goal *)
Definition addr_le: addr -> addr -> Prop.
  exact (fun (p q : addr) => ((base p = base q) /\ (offset p <= offset q)%Z)).
Defined.

(* Why3 goal *)
Definition addr_lt: addr -> addr -> Prop.
  exact (fun (p q : addr) => (base p = base q) /\ (offset p < offset q)%Z).
Defined.

(* Why3 goal *)
Definition addr_le_bool: addr -> addr -> bool.
exact (fun (p q : addr) =>
           andb (Zeq_bool (base p) (base q)) (Zle_bool (offset p) (offset q))).
Defined.

(* Why3 goal *)
Definition addr_lt_bool: addr -> addr -> bool.
  exact (fun (p q : addr) =>
           andb (Zeq_bool (base p) (base q)) (Zlt_bool (offset p) (offset q))).
Defined.

(* Why3 goal *)
Lemma addr_le_def : forall (p:addr) (q:addr), ((base p) = (base q)) ->
  ((addr_le p q) <-> ((offset p) <= (offset q))%Z).
intros p q h1.
unfold addr_le.
tauto.
Qed.

(* Why3 goal *)
Lemma addr_lt_def : forall (p:addr) (q:addr), ((base p) = (base q)) ->
  ((addr_lt p q) <-> ((offset p) < (offset q))%Z).
intros p q h1.
unfold addr_lt.
tauto.
Qed.

(* Why3 goal *)
Lemma addr_le_bool_def : forall (p:addr) (q:addr), (addr_le p q) <->
  ((addr_le_bool p q) = true).
intros p q.
unfold addr_le_bool.
unfold addr_le.
split.
intros.
destruct H as [Hbase Hoffset].
rewrite Zeq_is_eq_bool in Hbase.
apply Zle_imp_le_bool in Hoffset.
rewrite Hbase; rewrite Hoffset.
intuition.
intros.
symmetry in H.
apply Bool.andb_true_eq in H.
destruct H as [Hbase Hoffset].
split.
apply Zeq_bool_eq.
auto.
apply Zle_bool_imp_le.
auto.
Qed.

(* Why3 goal *)
Lemma addr_lt_bool_def : forall (p:addr) (q:addr), (addr_lt p q) <->
  ((addr_lt_bool p q) = true).
intros p q.
unfold addr_lt. unfold addr_lt_bool.
intros. split; intro H.
destruct H as [H0 H1].
rewrite Zeq_is_eq_bool in H0.
rewrite Zlt_is_lt_bool in H1.
rewrite H0. rewrite H1.
compute;reflexivity.
symmetry in H.
apply Bool.andb_true_eq in H.
destruct H as [H1 H2].
split;[apply Zeq_bool_eq|rewrite Zlt_is_lt_bool];symmetry; assumption.
Qed.

(* Why3 assumption *)
Definition shift (p:addr) (k:Z): addr := (Mk_addr (base p)
  ((offset p) + k)%Z).

(* Why3 assumption *)
Definition included (p:addr) (a:Z) (q:addr) (b:Z): Prop := (0%Z < a)%Z ->
  ((0%Z <= b)%Z /\ (((base p) = (base q)) /\ (((offset q) <= (offset p))%Z /\
  (((offset p) + a)%Z <= ((offset q) + b)%Z)%Z))).

(* Why3 assumption *)
Definition separated (p:addr) (a:Z) (q:addr) (b:Z): Prop := (a <= 0%Z)%Z \/
  ((b <= 0%Z)%Z \/ ((~ ((base p) = (base q))) \/
  ((((offset q) + b)%Z <= (offset p))%Z \/
  (((offset p) + a)%Z <= (offset q))%Z))).

(* Why3 assumption *)
Definition eqmem {a:Type} {a_WT:WhyType a} (m1:(map.Map.map addr a))
  (m2:(map.Map.map addr a)) (p:addr) (a1:Z): Prop := forall (q:addr),
  (included q 1%Z p a1) -> ((map.Map.get m1 q) = (map.Map.get m2 q)).

(* Why3 assumption *)
Definition havoc {a:Type} {a_WT:WhyType a} (m1:(map.Map.map addr a))
  (m2:(map.Map.map addr a)) (p:addr) (a1:Z): Prop := forall (q:addr),
  (separated q 1%Z p a1) -> ((map.Map.get m1 q) = (map.Map.get m2 q)).

(* Why3 assumption *)
Definition valid_rd (m:(map.Map.map Z Z)) (p:addr) (n:Z): Prop :=
  (0%Z < n)%Z -> ((0%Z <= (offset p))%Z /\
  (((offset p) + n)%Z <= (map.Map.get m (base p)))%Z).

(* Why3 assumption *)
Definition valid_rw (m:(map.Map.map Z Z)) (p:addr) (n:Z): Prop :=
  (0%Z < n)%Z -> ((0%Z < (base p))%Z /\ ((0%Z <= (offset p))%Z /\
  (((offset p) + n)%Z <= (map.Map.get m (base p)))%Z)).

(* Why3 goal *)
Lemma shift_zero : forall (p:addr), ((shift p 0%Z) = p).
intros p.
unfold shift.
rewrite <- Zplus_0_r_reverse.
destruct p.
unfold base.
unfold offset.
trivial.
Qed.

(* Why3 goal *)
Lemma valid_rw_rd : forall (m:(map.Map.map Z Z)), forall (p:addr),
  forall (n:Z), (valid_rw m p n) -> (valid_rd m p n).
intros m p n h1.
unfold valid_rw in *. unfold valid_rd.
intuition (auto with zarith).
Qed.

(* Why3 goal *)
Lemma valid_string : forall (m:(map.Map.map Z Z)), forall (p:addr),
  ((base p) < 0%Z)%Z -> (((0%Z <= (offset p))%Z /\
  ((offset p) < (map.Map.get m (base p)))%Z) -> ((valid_rd m p 1%Z) /\
  ~ (valid_rw m p 1%Z))).
intros m p h1 (h2,h3).
unfold valid_rw. unfold valid_rd.
intuition (auto with zarith).
Qed.

(* Why3 goal *)
Lemma separated_1 : forall (p:addr) (q:addr), forall (a:Z) (b:Z) (i:Z) (j:Z),
  (separated p a q b) -> ((((offset p) <= i)%Z /\
  (i < ((offset p) + a)%Z)%Z) -> ((((offset q) <= j)%Z /\
  (j < ((offset q) + b)%Z)%Z) -> ~ ((Mk_addr (base p) i) = (Mk_addr (base q)
  j)))).
intros p q a b i j h1 (h2,h3) (h4,h5).
Admitted.

(* Why3 goal *)
Definition region: Z -> Z.
Admitted.

(* Why3 goal *)
Definition linked: (map.Map.map Z Z) -> Prop.
Admitted.

(* Why3 goal *)
Definition sconst: (map.Map.map addr Z) -> Prop.
Admitted.

(* Why3 assumption *)
Definition framed (m:(map.Map.map addr addr)): Prop := forall (p:addr),
  ((region (base (map.Map.get m p))) <= 0%Z)%Z.

(* Why3 goal *)
Lemma separated_included : forall (p:addr) (q:addr), forall (a:Z) (b:Z),
  (0%Z < a)%Z -> ((0%Z < b)%Z -> ((separated p a q b) -> ~ (included p a q
  b))).
intros p q a b h1 h2 h3.
  unfold separated in *. unfold included. unfold not.
  intuition.
Qed.

(* Why3 goal *)
Lemma included_trans : forall (p:addr) (q:addr) (r:addr), forall (a:Z) (b:Z)
  (c:Z), (included p a q b) -> ((included q b r c) -> (included p a r c)).
intros p q r a b c h1 h2.
  unfold included in *. intuition.
Qed.

(* Why3 goal *)
Lemma separated_trans : forall (p:addr) (q:addr) (r:addr), forall (a:Z) (b:Z)
  (c:Z), (included p a q b) -> ((separated q b r c) -> (separated p a r c)).
intros p q r a b c h1 h2.
unfold included in *. unfold separated in *. 
assert ((b <= 0)%Z \/ (b>0)%Z).
omega.
assert ((0 <a)%Z \/ (0>= a)%Z).
omega.
destruct H.
intuition.
destruct H0.
intuition.
intuition.
Qed.

(* Why3 goal *)
Lemma separated_sym : forall (p:addr) (q:addr), forall (a:Z) (b:Z),
  (separated p a q b) <-> (separated q b p a).
intros p q a b.
unfold separated. intuition.
Qed.

(* Why3 goal *)
Lemma eqmem_included : forall {a:Type} {a_WT:WhyType a},
  forall (m1:(map.Map.map addr a)) (m2:(map.Map.map addr a)), forall (p:addr)
  (q:addr), forall (a1:Z) (b:Z), (included p a1 q b) -> ((eqmem m1 m2 q b) ->
  (eqmem m1 m2 p a1)).
intros a a_WT m1 m2 p q a1 b h1 h2.
Admitted.

(* Why3 goal *)
Lemma eqmem_sym : forall {a:Type} {a_WT:WhyType a}, forall (m1:(map.Map.map
  addr a)) (m2:(map.Map.map addr a)), forall (p:addr), forall (a1:Z), (eqmem
  m1 m2 p a1) -> (eqmem m2 m1 p a1).
intros a a_WT m1 m2 p a1 h1.
Admitted.

(* Why3 goal *)
Lemma havoc_sym : forall {a:Type} {a_WT:WhyType a}, forall (m1:(map.Map.map
  addr a)) (m2:(map.Map.map addr a)), forall (p:addr), forall (a1:Z), (havoc
  m1 m2 p a1) -> (havoc m2 m1 p a1).
intros a a_WT m1 m2 p a1 h1.
unfold havoc in *.
unfold separated in *.
Admitted.

(* Why3 goal *)
Definition cast: addr -> Z.
Admitted.


(* Why3 goal *)
Lemma cast_injective : forall (p:addr) (q:addr), ((cast p) = (cast q)) ->
  (p = q).
intros p q h1.
Admitted.

(* Why3 goal *)
Definition hardware: Z -> Z.
Admitted.


(* Why3 goal *)
Lemma hardnull : ((hardware 0%Z) = 0%Z).
Admitted.


(* Why3 goal *)
