#!/bin/bash

INTUITIONTC=../intuitiontc

echo Usage and errors
$INTUITIONTC &> res.$$
if diff res.$$ a.res; then
   echo OK
else
   echo failed
fi
$INTUITIONTC -F non_existing_file &> res.$$
if diff res.$$ b.res; then
   echo OK
else
   echo failed
fi
$INTUITIONTC -P non_existing_file &> res.$$
if diff res.$$ c.res; then
   echo OK
else
   echo failed
fi
rm res.$$
# Create sandbox with little memory to test malloc behaviour
#sudo cgcreate -g memory:/intuitiontc-tests
#sudo echo $(( 500 * 1024 )) > /sys/fs/cgroup/memory/intuitiontc-tests/memory.limit_in_bytes
#cgexec -g memory:intuitiontc-tests $INTUITIONTC -F examples-formulas/ex0.tptp

echo Formulas
cd examples-formulas
for i in *.tptp; do
   echo -n "testing $i file: "
   ../$INTUITIONTC -F $i &> res.$$ 
   if diff res.$$ $i.res; then 
     echo OK
   else
     echo failed
   fi
   rm res.$$
done
cd ..
echo Proofs
cd examples-proofs
for i in *.tptp; do
   echo -n "testing $i file: "
   ../$INTUITIONTC -P $i &> res.$$ 
   if diff res.$$ $i.res; then 
     echo OK
   else
     echo failed
   fi
   rm res.$$
done
