%--------------------------------------------------------------------------
% File     : SYJ208+1.019 : ILTP v1.1.2
% Domain   : Intuitionistic Syntactic
% Problem  : Cook pigeon-hole problem
% Version  : Especial.
%            Problem formulation : Prop. Non-Clausal. Inuit. Invalid.   Size 19
% English  : Suppose there are N holes and N+1 pigeons to put in the
%            holes. Every pigeon is in a hole and no hole contains more
%            than one pigeon. Prove that this is impossible. The size is
%            the number of pigeons.
%            LHS(N) => RHS(N) with 
%            LHS(N) = &&_{p=1..N+1} (||_{h=1,..N-1} o(p,h) | ~~o(p,N) )
%            RHS(N) = ||_{h=1..N, p1=1..{N+1}, p2={p1+1}..{N+1}} s(p1,p2,h)
%            with s(p1,p2,h) = o(p1,h) & o(p2,h)

% Refs     : [Dyc97] Roy Dyckhoff. Some benchmark formulas for
%                    intuitionistic propositional logic. At
%                    http://www.dcs.st-and.ac.uk/~rd/logic/marks.html
%          : [CR79]  Cook & Reckhow (1979), The Relative Efficiency of
%                    Propositional Proof Systems, Journal of Symbolic
%                    Logic 44, pp.36-50.

%          : [Pel86] Pelletier (1986), Seventy-five Problems for Testing
%                    Automatic Theorem Provers, Journal of Automated
%                    Reasoning 2(2), pp.191-216.
% Source   : [Dyc97]
% Names    : ph_n19 : Dyckhoff's benchmark formulas (1997)
%
% Status (intuit.) : Unsolved
% Rating (intuit.) : 1.00 v1.0.0
%

% Comments : 
%--------------------------------------------------------------------------
fof(axiom1,axiom,(
( o11 | ( o12 | ( o13 | ( o14 | ( o15 | ( o16 | ( o17 | ( o18 | ( o19 | ( o110 | ( o111 | ( o112 | ( o113 | ( o114 | ( o115 | ( o116 | ( o117 | ( o118 | ~(~(o119)) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ))).

fof(axiom2,axiom,(
( o21 | ( o22 | ( o23 | ( o24 | ( o25 | ( o26 | ( o27 | ( o28 | ( o29 | ( o210 | ( o211 | ( o212 | ( o213 | ( o214 | ( o215 | ( o216 | ( o217 | ( o218 | ~(~(o219)) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ))).

fof(axiom3,axiom,(
( o31 | ( o32 | ( o33 | ( o34 | ( o35 | ( o36 | ( o37 | ( o38 | ( o39 | ( o310 | ( o311 | ( o312 | ( o313 | ( o314 | ( o315 | ( o316 | ( o317 | ( o318 | ~(~(o319)) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ))).

fof(axiom4,axiom,(
( o41 | ( o42 | ( o43 | ( o44 | ( o45 | ( o46 | ( o47 | ( o48 | ( o49 | ( o410 | ( o411 | ( o412 | ( o413 | ( o414 | ( o415 | ( o416 | ( o417 | ( o418 | ~(~(o419)) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ))).

fof(axiom5,axiom,(
( o51 | ( o52 | ( o53 | ( o54 | ( o55 | ( o56 | ( o57 | ( o58 | ( o59 | ( o510 | ( o511 | ( o512 | ( o513 | ( o514 | ( o515 | ( o516 | ( o517 | ( o518 | ~(~(o519)) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ))).

fof(axiom6,axiom,(
( o61 | ( o62 | ( o63 | ( o64 | ( o65 | ( o66 | ( o67 | ( o68 | ( o69 | ( o610 | ( o611 | ( o612 | ( o613 | ( o614 | ( o615 | ( o616 | ( o617 | ( o618 | ~(~(o619)) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ))).

fof(axiom7,axiom,(
( o71 | ( o72 | ( o73 | ( o74 | ( o75 | ( o76 | ( o77 | ( o78 | ( o79 | ( o710 | ( o711 | ( o712 | ( o713 | ( o714 | ( o715 | ( o716 | ( o717 | ( o718 | ~(~(o719)) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ))).

fof(axiom8,axiom,(
( o81 | ( o82 | ( o83 | ( o84 | ( o85 | ( o86 | ( o87 | ( o88 | ( o89 | ( o810 | ( o811 | ( o812 | ( o813 | ( o814 | ( o815 | ( o816 | ( o817 | ( o818 | ~(~(o819)) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ))).

fof(axiom9,axiom,(
( o91 | ( o92 | ( o93 | ( o94 | ( o95 | ( o96 | ( o97 | ( o98 | ( o99 | ( o910 | ( o911 | ( o912 | ( o913 | ( o914 | ( o915 | ( o916 | ( o917 | ( o918 | ~(~(o919)) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ))).

fof(axiom10,axiom,(
( o101 | ( o102 | ( o103 | ( o104 | ( o105 | ( o106 | ( o107 | ( o108 | ( o109 | ( o1010 | ( o1011 | ( o1012 | ( o1013 | ( o1014 | ( o1015 | ( o1016 | ( o1017 | ( o1018 | ~(~(o1019)) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ))).

fof(axiom11,axiom,(
( o111 | ( o112 | ( o113 | ( o114 | ( o115 | ( o116 | ( o117 | ( o118 | ( o119 | ( o1110 | ( o1111 | ( o1112 | ( o1113 | ( o1114 | ( o1115 | ( o1116 | ( o1117 | ( o1118 | ~(~(o1119)) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ))).

fof(axiom12,axiom,(
( o121 | ( o122 | ( o123 | ( o124 | ( o125 | ( o126 | ( o127 | ( o128 | ( o129 | ( o1210 | ( o1211 | ( o1212 | ( o1213 | ( o1214 | ( o1215 | ( o1216 | ( o1217 | ( o1218 | ~(~(o1219)) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ))).

fof(axiom13,axiom,(
( o131 | ( o132 | ( o133 | ( o134 | ( o135 | ( o136 | ( o137 | ( o138 | ( o139 | ( o1310 | ( o1311 | ( o1312 | ( o1313 | ( o1314 | ( o1315 | ( o1316 | ( o1317 | ( o1318 | ~(~(o1319)) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ))).

fof(axiom14,axiom,(
( o141 | ( o142 | ( o143 | ( o144 | ( o145 | ( o146 | ( o147 | ( o148 | ( o149 | ( o1410 | ( o1411 | ( o1412 | ( o1413 | ( o1414 | ( o1415 | ( o1416 | ( o1417 | ( o1418 | ~(~(o1419)) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ))).

fof(axiom15,axiom,(
( o151 | ( o152 | ( o153 | ( o154 | ( o155 | ( o156 | ( o157 | ( o158 | ( o159 | ( o1510 | ( o1511 | ( o1512 | ( o1513 | ( o1514 | ( o1515 | ( o1516 | ( o1517 | ( o1518 | ~(~(o1519)) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ))).

fof(axiom16,axiom,(
( o161 | ( o162 | ( o163 | ( o164 | ( o165 | ( o166 | ( o167 | ( o168 | ( o169 | ( o1610 | ( o1611 | ( o1612 | ( o1613 | ( o1614 | ( o1615 | ( o1616 | ( o1617 | ( o1618 | ~(~(o1619)) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ))).

fof(axiom17,axiom,(
( o171 | ( o172 | ( o173 | ( o174 | ( o175 | ( o176 | ( o177 | ( o178 | ( o179 | ( o1710 | ( o1711 | ( o1712 | ( o1713 | ( o1714 | ( o1715 | ( o1716 | ( o1717 | ( o1718 | ~(~(o1719)) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ))).

fof(axiom18,axiom,(
( o181 | ( o182 | ( o183 | ( o184 | ( o185 | ( o186 | ( o187 | ( o188 | ( o189 | ( o1810 | ( o1811 | ( o1812 | ( o1813 | ( o1814 | ( o1815 | ( o1816 | ( o1817 | ( o1818 | ~(~(o1819)) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ))).

fof(axiom19,axiom,(
( o191 | ( o192 | ( o193 | ( o194 | ( o195 | ( o196 | ( o197 | ( o198 | ( o199 | ( o1910 | ( o1911 | ( o1912 | ( o1913 | ( o1914 | ( o1915 | ( o1916 | ( o1917 | ( o1918 | ~(~(o1919)) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ))).

fof(axiom20,axiom,(
( o201 | ( o202 | ( o203 | ( o204 | ( o205 | ( o206 | ( o207 | ( o208 | ( o209 | ( o2010 | ( o2011 | ( o2012 | ( o2013 | ( o2014 | ( o2015 | ( o2016 | ( o2017 | ( o2018 | ~(~(o2019)) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ))).

fof(con,conjecture,(
( ( o11 & o21 ) | ( ( o11 & o31 ) | ( ( o11 & o41 ) | ( ( o11 & o51 ) | ( ( o11 & o61 ) | ( ( o11 & o71 ) | ( ( o11 & o81 ) | ( ( o11 & o91 ) | ( ( o11 & o101 ) | ( ( o11 & o111 ) | ( ( o11 & o121 ) | ( ( o11 & o131 ) | ( ( o11 & o141 ) | ( ( o11 & o151 ) | ( ( o11 & o161 ) | ( ( o11 & o171 ) | ( ( o11 & o181 ) | ( ( o11 & o191 ) | ( ( o11 & o201 ) | ( ( o21 & o31 ) | ( ( o21 & o41 ) | ( ( o21 & o51 ) | ( ( o21 & o61 ) | ( ( o21 & o71 ) | ( ( o21 & o81 ) | ( ( o21 & o91 ) | ( ( o21 & o101 ) | ( ( o21 & o111 ) | ( ( o21 & o121 ) | ( ( o21 & o131 ) | ( ( o21 & o141 ) | ( ( o21 & o151 ) | ( ( o21 & o161 ) | ( ( o21 & o171 ) | ( ( o21 & o181 ) | ( ( o21 & o191 ) | ( ( o21 & o201 ) | ( ( o31 & o41 ) | ( ( o31 & o51 ) | ( ( o31 & o61 ) | ( ( o31 & o71 ) | ( ( o31 & o81 ) | ( ( o31 & o91 ) | ( ( o31 & o101 ) | ( ( o31 & o111 ) | ( ( o31 & o121 ) | ( ( o31 & o131 ) | ( ( o31 & o141 ) | ( ( o31 & o151 ) | ( ( o31 & o161 ) | ( ( o31 & o171 ) | ( ( o31 & o181 ) | ( ( o31 & o191 ) | ( ( o31 & o201 ) | ( ( o41 & o51 ) | ( ( o41 & o61 ) | ( ( o41 & o71 ) | ( ( o41 & o81 ) | ( ( o41 & o91 ) | ( ( o41 & o101 ) | ( ( o41 & o111 ) | ( ( o41 & o121 ) | ( ( o41 & o131 ) | ( ( o41 & o141 ) | ( ( o41 & o151 ) | ( ( o41 & o161 ) | ( ( o41 & o171 ) | ( ( o41 & o181 ) | ( ( o41 & o191 ) | ( ( o41 & o201 ) | ( ( o51 & o61 ) | ( ( o51 & o71 ) | ( ( o51 & o81 ) | ( ( o51 & o91 ) | ( ( o51 & o101 ) | ( ( o51 & o111 ) | ( ( o51 & o121 ) | ( ( o51 & o131 ) | ( ( o51 & o141 ) | ( ( o51 & o151 ) | ( ( o51 & o161 ) | ( ( o51 & o171 ) | ( ( o51 & o181 ) | ( ( o51 & o191 ) | ( ( o51 & o201 ) | ( ( o61 & o71 ) | ( ( o61 & o81 ) | ( ( o61 & o91 ) | ( ( o61 & o101 ) | ( ( o61 & o111 ) | ( ( o61 & o121 ) | ( ( o61 & o131 ) | ( ( o61 & o141 ) | ( ( o61 & o151 ) | ( ( o61 & o161 ) | ( ( o61 & o171 ) | ( ( o61 & o181 ) | ( ( o61 & o191 ) | ( ( o61 & o201 ) | ( ( o71 & o81 ) | ( ( o71 & o91 ) | ( ( o71 & o101 ) | ( ( o71 & o111 ) | ( ( o71 & o121 ) | ( ( o71 & o131 ) | ( ( o71 & o141 ) | ( ( o71 & o151 ) | ( ( o71 & o161 ) | ( ( o71 & o171 ) | ( ( o71 & o181 ) | ( ( o71 & o191 ) | ( ( o71 & o201 ) | ( ( o81 & o91 ) | ( ( o81 & o101 ) | ( ( o81 & o111 ) | ( ( o81 & o121 ) | ( ( o81 & o131 ) | ( ( o81 & o141 ) | ( ( o81 & o151 ) | ( ( o81 & o161 ) | ( ( o81 & o171 ) | ( ( o81 & o181 ) | ( ( o81 & o191 ) | ( ( o81 & o201 ) | ( ( o91 & o101 ) | ( ( o91 & o111 ) | ( ( o91 & o121 ) | ( ( o91 & o131 ) | ( ( o91 & o141 ) | ( ( o91 & o151 ) | ( ( o91 & o161 ) | ( ( o91 & o171 ) | ( ( o91 & o181 ) | ( ( o91 & o191 ) | ( ( o91 & o201 ) | ( ( o101 & o111 ) | ( ( o101 & o121 ) | ( ( o101 & o131 ) | ( ( o101 & o141 ) | ( ( o101 & o151 ) | ( ( o101 & o161 ) | ( ( o101 & o171 ) | ( ( o101 & o181 ) | ( ( o101 & o191 ) | ( ( o101 & o201 ) | ( ( o111 & o121 ) | ( ( o111 & o131 ) | ( ( o111 & o141 ) | ( ( o111 & o151 ) | ( ( o111 & o161 ) | ( ( o111 & o171 ) | ( ( o111 & o181 ) | ( ( o111 & o191 ) | ( ( o111 & o201 ) | ( ( o121 & o131 ) | ( ( o121 & o141 ) | ( ( o121 & o151 ) | ( ( o121 & o161 ) | ( ( o121 & o171 ) | ( ( o121 & o181 ) | ( ( o121 & o191 ) | ( ( o121 & o201 ) | ( ( o131 & o141 ) | ( ( o131 & o151 ) | ( ( o131 & o161 ) | ( ( o131 & o171 ) | ( ( o131 & o181 ) | ( ( o131 & o191 ) | ( ( o131 & o201 ) | ( ( o141 & o151 ) | ( ( o141 & o161 ) | ( ( o141 & o171 ) | ( ( o141 & o181 ) | ( ( o141 & o191 ) | ( ( o141 & o201 ) | ( ( o151 & o161 ) | ( ( o151 & o171 ) | ( ( o151 & o181 ) | ( ( o151 & o191 ) | ( ( o151 & o201 ) | ( ( o161 & o171 ) | ( ( o161 & o181 ) | ( ( o161 & o191 ) | ( ( o161 & o201 ) | ( ( o171 & o181 ) | ( ( o171 & o191 ) | ( ( o171 & o201 ) | ( ( o181 & o191 ) | ( ( o181 & o201 ) | ( ( o191 & o201 ) | ( ( o12 & o22 ) | ( ( o12 & o32 ) | ( ( o12 & o42 ) | ( ( o12 & o52 ) | ( ( o12 & o62 ) | ( ( o12 & o72 ) | ( ( o12 & o82 ) | ( ( o12 & o92 ) | ( ( o12 & o102 ) | ( ( o12 & o112 ) | ( ( o12 & o122 ) | ( ( o12 & o132 ) | ( ( o12 & o142 ) | ( ( o12 & o152 ) | ( ( o12 & o162 ) | ( ( o12 & o172 ) | ( ( o12 & o182 ) | ( ( o12 & o192 ) | ( ( o12 & o202 ) | ( ( o22 & o32 ) | ( ( o22 & o42 ) | ( ( o22 & o52 ) | ( ( o22 & o62 ) | ( ( o22 & o72 ) | ( ( o22 & o82 ) | ( ( o22 & o92 ) | ( ( o22 & o102 ) | ( ( o22 & o112 ) | ( ( o22 & o122 ) | ( ( o22 & o132 ) | ( ( o22 & o142 ) | ( ( o22 & o152 ) | ( ( o22 & o162 ) | ( ( o22 & o172 ) | ( ( o22 & o182 ) | ( ( o22 & o192 ) | ( ( o22 & o202 ) | ( ( o32 & o42 ) | ( ( o32 & o52 ) | ( ( o32 & o62 ) | ( ( o32 & o72 ) | ( ( o32 & o82 ) | ( ( o32 & o92 ) | ( ( o32 & o102 ) | ( ( o32 & o112 ) | ( ( o32 & o122 ) | ( ( o32 & o132 ) | ( ( o32 & o142 ) | ( ( o32 & o152 ) | ( ( o32 & o162 ) | ( ( o32 & o172 ) | ( ( o32 & o182 ) | ( ( o32 & o192 ) | ( ( o32 & o202 ) | ( ( o42 & o52 ) | ( ( o42 & o62 ) | ( ( o42 & o72 ) | ( ( o42 & o82 ) | ( ( o42 & o92 ) | ( ( o42 & o102 ) | ( ( o42 & o112 ) | ( ( o42 & o122 ) | ( ( o42 & o132 ) | ( ( o42 & o142 ) | ( ( o42 & o152 ) | ( ( o42 & o162 ) | ( ( o42 & o172 ) | ( ( o42 & o182 ) | ( ( o42 & o192 ) | ( ( o42 & o202 ) | ( ( o52 & o62 ) | ( ( o52 & o72 ) | ( ( o52 & o82 ) | ( ( o52 & o92 ) | ( ( o52 & o102 ) | ( ( o52 & o112 ) | ( ( o52 & o122 ) | ( ( o52 & o132 ) | ( ( o52 & o142 ) | ( ( o52 & o152 ) | ( ( o52 & o162 ) | ( ( o52 & o172 ) | ( ( o52 & o182 ) | ( ( o52 & o192 ) | ( ( o52 & o202 ) | ( ( o62 & o72 ) | ( ( o62 & o82 ) | ( ( o62 & o92 ) | ( ( o62 & o102 ) | ( ( o62 & o112 ) | ( ( o62 & o122 ) | ( ( o62 & o132 ) | ( ( o62 & o142 ) | ( ( o62 & o152 ) | ( ( o62 & o162 ) | ( ( o62 & o172 ) | ( ( o62 & o182 ) | ( ( o62 & o192 ) | ( ( o62 & o202 ) | ( ( o72 & o82 ) | ( ( o72 & o92 ) | ( ( o72 & o102 ) | ( ( o72 & o112 ) | ( ( o72 & o122 ) | ( ( o72 & o132 ) | ( ( o72 & o142 ) | ( ( o72 & o152 ) | ( ( o72 & o162 ) | ( ( o72 & o172 ) | ( ( o72 & o182 ) | ( ( o72 & o192 ) | ( ( o72 & o202 ) | ( ( o82 & o92 ) | ( ( o82 & o102 ) | ( ( o82 & o112 ) | ( ( o82 & o122 ) | ( ( o82 & o132 ) | ( ( o82 & o142 ) | ( ( o82 & o152 ) | ( ( o82 & o162 ) | ( ( o82 & o172 ) | ( ( o82 & o182 ) | ( ( o82 & o192 ) | ( ( o82 & o202 ) | ( ( o92 & o102 ) | ( ( o92 & o112 ) | ( ( o92 & o122 ) | ( ( o92 & o132 ) | ( ( o92 & o142 ) | ( ( o92 & o152 ) | ( ( o92 & o162 ) | ( ( o92 & o172 ) | ( ( o92 & o182 ) | ( ( o92 & o192 ) | ( ( o92 & o202 ) | ( ( o102 & o112 ) | ( ( o102 & o122 ) | ( ( o102 & o132 ) | ( ( o102 & o142 ) | ( ( o102 & o152 ) | ( ( o102 & o162 ) | ( ( o102 & o172 ) | ( ( o102 & o182 ) | ( ( o102 & o192 ) | ( ( o102 & o202 ) | ( ( o112 & o122 ) | ( ( o112 & o132 ) | ( ( o112 & o142 ) | ( ( o112 & o152 ) | ( ( o112 & o162 ) | ( ( o112 & o172 ) | ( ( o112 & o182 ) | ( ( o112 & o192 ) | ( ( o112 & o202 ) | ( ( o122 & o132 ) | ( ( o122 & o142 ) | ( ( o122 & o152 ) | ( ( o122 & o162 ) | ( ( o122 & o172 ) | ( ( o122 & o182 ) | ( ( o122 & o192 ) | ( ( o122 & o202 ) | ( ( o132 & o142 ) | ( ( o132 & o152 ) | ( ( o132 & o162 ) | ( ( o132 & o172 ) | ( ( o132 & o182 ) | ( ( o132 & o192 ) | ( ( o132 & o202 ) | ( ( o142 & o152 ) | ( ( o142 & o162 ) | ( ( o142 & o172 ) | ( ( o142 & o182 ) | ( ( o142 & o192 ) | ( ( o142 & o202 ) | ( ( o152 & o162 ) | ( ( o152 & o172 ) | ( ( o152 & o182 ) | ( ( o152 & o192 ) | ( ( o152 & o202 ) | ( ( o162 & o172 ) | ( ( o162 & o182 ) | ( ( o162 & o192 ) | ( ( o162 & o202 ) | ( ( o172 & o182 ) | ( ( o172 & o192 ) | ( ( o172 & o202 ) | ( ( o182 & o192 ) | ( ( o182 & o202 ) | ( ( o192 & o202 ) | ( ( o13 & o23 ) | ( ( o13 & o33 ) | ( ( o13 & o43 ) | ( ( o13 & o53 ) | ( ( o13 & o63 ) | ( ( o13 & o73 ) | ( ( o13 & o83 ) | ( ( o13 & o93 ) | ( ( o13 & o103 ) | ( ( o13 & o113 ) | ( ( o13 & o123 ) | ( ( o13 & o133 ) | ( ( o13 & o143 ) | ( ( o13 & o153 ) | ( ( o13 & o163 ) | ( ( o13 & o173 ) | ( ( o13 & o183 ) | ( ( o13 & o193 ) | ( ( o13 & o203 ) | ( ( o23 & o33 ) | ( ( o23 & o43 ) | ( ( o23 & o53 ) | ( ( o23 & o63 ) | ( ( o23 & o73 ) | ( ( o23 & o83 ) | ( ( o23 & o93 ) | ( ( o23 & o103 ) | ( ( o23 & o113 ) | ( ( o23 & o123 ) | ( ( o23 & o133 ) | ( ( o23 & o143 ) | ( ( o23 & o153 ) | ( ( o23 & o163 ) | ( ( o23 & o173 ) | ( ( o23 & o183 ) | ( ( o23 & o193 ) | ( ( o23 & o203 ) | ( ( o33 & o43 ) | ( ( o33 & o53 ) | ( ( o33 & o63 ) | ( ( o33 & o73 ) | ( ( o33 & o83 ) | ( ( o33 & o93 ) | ( ( o33 & o103 ) | ( ( o33 & o113 ) | ( ( o33 & o123 ) | ( ( o33 & o133 ) | ( ( o33 & o143 ) | ( ( o33 & o153 ) | ( ( o33 & o163 ) | ( ( o33 & o173 ) | ( ( o33 & o183 ) | ( ( o33 & o193 ) | ( ( o33 & o203 ) | ( ( o43 & o53 ) | ( ( o43 & o63 ) | ( ( o43 & o73 ) | ( ( o43 & o83 ) | ( ( o43 & o93 ) | ( ( o43 & o103 ) | ( ( o43 & o113 ) | ( ( o43 & o123 ) | ( ( o43 & o133 ) | ( ( o43 & o143 ) | ( ( o43 & o153 ) | ( ( o43 & o163 ) | ( ( o43 & o173 ) | ( ( o43 & o183 ) | ( ( o43 & o193 ) | ( ( o43 & o203 ) | ( ( o53 & o63 ) | ( ( o53 & o73 ) | ( ( o53 & o83 ) | ( ( o53 & o93 ) | ( ( o53 & o103 ) | ( ( o53 & o113 ) | ( ( o53 & o123 ) | ( ( o53 & o133 ) | ( ( o53 & o143 ) | ( ( o53 & o153 ) | ( ( o53 & o163 ) | ( ( o53 & o173 ) | ( ( o53 & o183 ) | ( ( o53 & o193 ) | ( ( o53 & o203 ) | ( ( o63 & o73 ) | ( ( o63 & o83 ) | ( ( o63 & o93 ) | ( ( o63 & o103 ) | ( ( o63 & o113 ) | ( ( o63 & o123 ) | ( ( o63 & o133 ) | ( ( o63 & o143 ) | ( ( o63 & o153 ) | ( ( o63 & o163 ) | ( ( o63 & o173 ) | ( ( o63 & o183 ) | ( ( o63 & o193 ) | ( ( o63 & o203 ) | ( ( o73 & o83 ) | ( ( o73 & o93 ) | ( ( o73 & o103 ) | ( ( o73 & o113 ) | ( ( o73 & o123 ) | ( ( o73 & o133 ) | ( ( o73 & o143 ) | ( ( o73 & o153 ) | ( ( o73 & o163 ) | ( ( o73 & o173 ) | ( ( o73 & o183 ) | ( ( o73 & o193 ) | ( ( o73 & o203 ) | ( ( o83 & o93 ) | ( ( o83 & o103 ) | ( ( o83 & o113 ) | ( ( o83 & o123 ) | ( ( o83 & o133 ) | ( ( o83 & o143 ) | ( ( o83 & o153 ) | ( ( o83 & o163 ) | ( ( o83 & o173 ) | ( ( o83 & o183 ) | ( ( o83 & o193 ) | ( ( o83 & o203 ) | ( ( o93 & o103 ) | ( ( o93 & o113 ) | ( ( o93 & o123 ) | ( ( o93 & o133 ) | ( ( o93 & o143 ) | ( ( o93 & o153 ) | ( ( o93 & o163 ) | ( ( o93 & o173 ) | ( ( o93 & o183 ) | ( ( o93 & o193 ) | ( ( o93 & o203 ) | ( ( o103 & o113 ) | ( ( o103 & o123 ) | ( ( o103 & o133 ) | ( ( o103 & o143 ) | ( ( o103 & o153 ) | ( ( o103 & o163 ) | ( ( o103 & o173 ) | ( ( o103 & o183 ) | ( ( o103 & o193 ) | ( ( o103 & o203 ) | ( ( o113 & o123 ) | ( ( o113 & o133 ) | ( ( o113 & o143 ) | ( ( o113 & o153 ) | ( ( o113 & o163 ) | ( ( o113 & o173 ) | ( ( o113 & o183 ) | ( ( o113 & o193 ) | ( ( o113 & o203 ) | ( ( o123 & o133 ) | ( ( o123 & o143 ) | ( ( o123 & o153 ) | ( ( o123 & o163 ) | ( ( o123 & o173 ) | ( ( o123 & o183 ) | ( ( o123 & o193 ) | ( ( o123 & o203 ) | ( ( o133 & o143 ) | ( ( o133 & o153 ) | ( ( o133 & o163 ) | ( ( o133 & o173 ) | ( ( o133 & o183 ) | ( ( o133 & o193 ) | ( ( o133 & o203 ) | ( ( o143 & o153 ) | ( ( o143 & o163 ) | ( ( o143 & o173 ) | ( ( o143 & o183 ) | ( ( o143 & o193 ) | ( ( o143 & o203 ) | ( ( o153 & o163 ) | ( ( o153 & o173 ) | ( ( o153 & o183 ) | ( ( o153 & o193 ) | ( ( o153 & o203 ) | ( ( o163 & o173 ) | ( ( o163 & o183 ) | ( ( o163 & o193 ) | ( ( o163 & o203 ) | ( ( o173 & o183 ) | ( ( o173 & o193 ) | ( ( o173 & o203 ) | ( ( o183 & o193 ) | ( ( o183 & o203 ) | ( ( o193 & o203 ) | ( ( o14 & o24 ) | ( ( o14 & o34 ) | ( ( o14 & o44 ) | ( ( o14 & o54 ) | ( ( o14 & o64 ) | ( ( o14 & o74 ) | ( ( o14 & o84 ) | ( ( o14 & o94 ) | ( ( o14 & o104 ) | ( ( o14 & o114 ) | ( ( o14 & o124 ) | ( ( o14 & o134 ) | ( ( o14 & o144 ) | ( ( o14 & o154 ) | ( ( o14 & o164 ) | ( ( o14 & o174 ) | ( ( o14 & o184 ) | ( ( o14 & o194 ) | ( ( o14 & o204 ) | ( ( o24 & o34 ) | ( ( o24 & o44 ) | ( ( o24 & o54 ) | ( ( o24 & o64 ) | ( ( o24 & o74 ) | ( ( o24 & o84 ) | ( ( o24 & o94 ) | ( ( o24 & o104 ) | ( ( o24 & o114 ) | ( ( o24 & o124 ) | ( ( o24 & o134 ) | ( ( o24 & o144 ) | ( ( o24 & o154 ) | ( ( o24 & o164 ) | ( ( o24 & o174 ) | ( ( o24 & o184 ) | ( ( o24 & o194 ) | ( ( o24 & o204 ) | ( ( o34 & o44 ) | ( ( o34 & o54 ) | ( ( o34 & o64 ) | ( ( o34 & o74 ) | ( ( o34 & o84 ) | ( ( o34 & o94 ) | ( ( o34 & o104 ) | ( ( o34 & o114 ) | ( ( o34 & o124 ) | ( ( o34 & o134 ) | ( ( o34 & o144 ) | ( ( o34 & o154 ) | ( ( o34 & o164 ) | ( ( o34 & o174 ) | ( ( o34 & o184 ) | ( ( o34 & o194 ) | ( ( o34 & o204 ) | ( ( o44 & o54 ) | ( ( o44 & o64 ) | ( ( o44 & o74 ) | ( ( o44 & o84 ) | ( ( o44 & o94 ) | ( ( o44 & o104 ) | ( ( o44 & o114 ) | ( ( o44 & o124 ) | ( ( o44 & o134 ) | ( ( o44 & o144 ) | ( ( o44 & o154 ) | ( ( o44 & o164 ) | ( ( o44 & o174 ) | ( ( o44 & o184 ) | ( ( o44 & o194 ) | ( ( o44 & o204 ) | ( ( o54 & o64 ) | ( ( o54 & o74 ) | ( ( o54 & o84 ) | ( ( o54 & o94 ) | ( ( o54 & o104 ) | ( ( o54 & o114 ) | ( ( o54 & o124 ) | ( ( o54 & o134 ) | ( ( o54 & o144 ) | ( ( o54 & o154 ) | ( ( o54 & o164 ) | ( ( o54 & o174 ) | ( ( o54 & o184 ) | ( ( o54 & o194 ) | ( ( o54 & o204 ) | ( ( o64 & o74 ) | ( ( o64 & o84 ) | ( ( o64 & o94 ) | ( ( o64 & o104 ) | ( ( o64 & o114 ) | ( ( o64 & o124 ) | ( ( o64 & o134 ) | ( ( o64 & o144 ) | ( ( o64 & o154 ) | ( ( o64 & o164 ) | ( ( o64 & o174 ) | ( ( o64 & o184 ) | ( ( o64 & o194 ) | ( ( o64 & o204 ) | ( ( o74 & o84 ) | ( ( o74 & o94 ) | ( ( o74 & o104 ) | ( ( o74 & o114 ) | ( ( o74 & o124 ) | ( ( o74 & o134 ) | ( ( o74 & o144 ) | ( ( o74 & o154 ) | ( ( o74 & o164 ) | ( ( o74 & o174 ) | ( ( o74 & o184 ) | ( ( o74 & o194 ) | ( ( o74 & o204 ) | ( ( o84 & o94 ) | ( ( o84 & o104 ) | ( ( o84 & o114 ) | ( ( o84 & o124 ) | ( ( o84 & o134 ) | ( ( o84 & o144 ) | ( ( o84 & o154 ) | ( ( o84 & o164 ) | ( ( o84 & o174 ) | ( ( o84 & o184 ) | ( ( o84 & o194 ) | ( ( o84 & o204 ) | ( ( o94 & o104 ) | ( ( o94 & o114 ) | ( ( o94 & o124 ) | ( ( o94 & o134 ) | ( ( o94 & o144 ) | ( ( o94 & o154 ) | ( ( o94 & o164 ) | ( ( o94 & o174 ) | ( ( o94 & o184 ) | ( ( o94 & o194 ) | ( ( o94 & o204 ) | ( ( o104 & o114 ) | ( ( o104 & o124 ) | ( ( o104 & o134 ) | ( ( o104 & o144 ) | ( ( o104 & o154 ) | ( ( o104 & o164 ) | ( ( o104 & o174 ) | ( ( o104 & o184 ) | ( ( o104 & o194 ) | ( ( o104 & o204 ) | ( ( o114 & o124 ) | ( ( o114 & o134 ) | ( ( o114 & o144 ) | ( ( o114 & o154 ) | ( ( o114 & o164 ) | ( ( o114 & o174 ) | ( ( o114 & o184 ) | ( ( o114 & o194 ) | ( ( o114 & o204 ) | ( ( o124 & o134 ) | ( ( o124 & o144 ) | ( ( o124 & o154 ) | ( ( o124 & o164 ) | ( ( o124 & o174 ) | ( ( o124 & o184 ) | ( ( o124 & o194 ) | ( ( o124 & o204 ) | ( ( o134 & o144 ) | ( ( o134 & o154 ) | ( ( o134 & o164 ) | ( ( o134 & o174 ) | ( ( o134 & o184 ) | ( ( o134 & o194 ) | ( ( o134 & o204 ) | ( ( o144 & o154 ) | ( ( o144 & o164 ) | ( ( o144 & o174 ) | ( ( o144 & o184 ) | ( ( o144 & o194 ) | ( ( o144 & o204 ) | ( ( o154 & o164 ) | ( ( o154 & o174 ) | ( ( o154 & o184 ) | ( ( o154 & o194 ) | ( ( o154 & o204 ) | ( ( o164 & o174 ) | ( ( o164 & o184 ) | ( ( o164 & o194 ) | ( ( o164 & o204 ) | ( ( o174 & o184 ) | ( ( o174 & o194 ) | ( ( o174 & o204 ) | ( ( o184 & o194 ) | ( ( o184 & o204 ) | ( ( o194 & o204 ) | ( ( o15 & o25 ) | ( ( o15 & o35 ) | ( ( o15 & o45 ) | ( ( o15 & o55 ) | ( ( o15 & o65 ) | ( ( o15 & o75 ) | ( ( o15 & o85 ) | ( ( o15 & o95 ) | ( ( o15 & o105 ) | ( ( o15 & o115 ) | ( ( o15 & o125 ) | ( ( o15 & o135 ) | ( ( o15 & o145 ) | ( ( o15 & o155 ) | ( ( o15 & o165 ) | ( ( o15 & o175 ) | ( ( o15 & o185 ) | ( ( o15 & o195 ) | ( ( o15 & o205 ) | ( ( o25 & o35 ) | ( ( o25 & o45 ) | ( ( o25 & o55 ) | ( ( o25 & o65 ) | ( ( o25 & o75 ) | ( ( o25 & o85 ) | ( ( o25 & o95 ) | ( ( o25 & o105 ) | ( ( o25 & o115 ) | ( ( o25 & o125 ) | ( ( o25 & o135 ) | ( ( o25 & o145 ) | ( ( o25 & o155 ) | ( ( o25 & o165 ) | ( ( o25 & o175 ) | ( ( o25 & o185 ) | ( ( o25 & o195 ) | ( ( o25 & o205 ) | ( ( o35 & o45 ) | ( ( o35 & o55 ) | ( ( o35 & o65 ) | ( ( o35 & o75 ) | ( ( o35 & o85 ) | ( ( o35 & o95 ) | ( ( o35 & o105 ) | ( ( o35 & o115 ) | ( ( o35 & o125 ) | ( ( o35 & o135 ) | ( ( o35 & o145 ) | ( ( o35 & o155 ) | ( ( o35 & o165 ) | ( ( o35 & o175 ) | ( ( o35 & o185 ) | ( ( o35 & o195 ) | ( ( o35 & o205 ) | ( ( o45 & o55 ) | ( ( o45 & o65 ) | ( ( o45 & o75 ) | ( ( o45 & o85 ) | ( ( o45 & o95 ) | ( ( o45 & o105 ) | ( ( o45 & o115 ) | ( ( o45 & o125 ) | ( ( o45 & o135 ) | ( ( o45 & o145 ) | ( ( o45 & o155 ) | ( ( o45 & o165 ) | ( ( o45 & o175 ) | ( ( o45 & o185 ) | ( ( o45 & o195 ) | ( ( o45 & o205 ) | ( ( o55 & o65 ) | ( ( o55 & o75 ) | ( ( o55 & o85 ) | ( ( o55 & o95 ) | ( ( o55 & o105 ) | ( ( o55 & o115 ) | ( ( o55 & o125 ) | ( ( o55 & o135 ) | ( ( o55 & o145 ) | ( ( o55 & o155 ) | ( ( o55 & o165 ) | ( ( o55 & o175 ) | ( ( o55 & o185 ) | ( ( o55 & o195 ) | ( ( o55 & o205 ) | ( ( o65 & o75 ) | ( ( o65 & o85 ) | ( ( o65 & o95 ) | ( ( o65 & o105 ) | ( ( o65 & o115 ) | ( ( o65 & o125 ) | ( ( o65 & o135 ) | ( ( o65 & o145 ) | ( ( o65 & o155 ) | ( ( o65 & o165 ) | ( ( o65 & o175 ) | ( ( o65 & o185 ) | ( ( o65 & o195 ) | ( ( o65 & o205 ) | ( ( o75 & o85 ) | ( ( o75 & o95 ) | ( ( o75 & o105 ) | ( ( o75 & o115 ) | ( ( o75 & o125 ) | ( ( o75 & o135 ) | ( ( o75 & o145 ) | ( ( o75 & o155 ) | ( ( o75 & o165 ) | ( ( o75 & o175 ) | ( ( o75 & o185 ) | ( ( o75 & o195 ) | ( ( o75 & o205 ) | ( ( o85 & o95 ) | ( ( o85 & o105 ) | ( ( o85 & o115 ) | ( ( o85 & o125 ) | ( ( o85 & o135 ) | ( ( o85 & o145 ) | ( ( o85 & o155 ) | ( ( o85 & o165 ) | ( ( o85 & o175 ) | ( ( o85 & o185 ) | ( ( o85 & o195 ) | ( ( o85 & o205 ) | ( ( o95 & o105 ) | ( ( o95 & o115 ) | ( ( o95 & o125 ) | ( ( o95 & o135 ) | ( ( o95 & o145 ) | ( ( o95 & o155 ) | ( ( o95 & o165 ) | ( ( o95 & o175 ) | ( ( o95 & o185 ) | ( ( o95 & o195 ) | ( ( o95 & o205 ) | ( ( o105 & o115 ) | ( ( o105 & o125 ) | ( ( o105 & o135 ) | ( ( o105 & o145 ) | ( ( o105 & o155 ) | ( ( o105 & o165 ) | ( ( o105 & o175 ) | ( ( o105 & o185 ) | ( ( o105 & o195 ) | ( ( o105 & o205 ) | ( ( o115 & o125 ) | ( ( o115 & o135 ) | ( ( o115 & o145 ) | ( ( o115 & o155 ) | ( ( o115 & o165 ) | ( ( o115 & o175 ) | ( ( o115 & o185 ) | ( ( o115 & o195 ) | ( ( o115 & o205 ) | ( ( o125 & o135 ) | ( ( o125 & o145 ) | ( ( o125 & o155 ) | ( ( o125 & o165 ) | ( ( o125 & o175 ) | ( ( o125 & o185 ) | ( ( o125 & o195 ) | ( ( o125 & o205 ) | ( ( o135 & o145 ) | ( ( o135 & o155 ) | ( ( o135 & o165 ) | ( ( o135 & o175 ) | ( ( o135 & o185 ) | ( ( o135 & o195 ) | ( ( o135 & o205 ) | ( ( o145 & o155 ) | ( ( o145 & o165 ) | ( ( o145 & o175 ) | ( ( o145 & o185 ) | ( ( o145 & o195 ) | ( ( o145 & o205 ) | ( ( o155 & o165 ) | ( ( o155 & o175 ) | ( ( o155 & o185 ) | ( ( o155 & o195 ) | ( ( o155 & o205 ) | ( ( o165 & o175 ) | ( ( o165 & o185 ) | ( ( o165 & o195 ) | ( ( o165 & o205 ) | ( ( o175 & o185 ) | ( ( o175 & o195 ) | ( ( o175 & o205 ) | ( ( o185 & o195 ) | ( ( o185 & o205 ) | ( ( o195 & o205 ) | ( ( o16 & o26 ) | ( ( o16 & o36 ) | ( ( o16 & o46 ) | ( ( o16 & o56 ) | ( ( o16 & o66 ) | ( ( o16 & o76 ) | ( ( o16 & o86 ) | ( ( o16 & o96 ) | ( ( o16 & o106 ) | ( ( o16 & o116 ) | ( ( o16 & o126 ) | ( ( o16 & o136 ) | ( ( o16 & o146 ) | ( ( o16 & o156 ) | ( ( o16 & o166 ) | ( ( o16 & o176 ) | ( ( o16 & o186 ) | ( ( o16 & o196 ) | ( ( o16 & o206 ) | ( ( o26 & o36 ) | ( ( o26 & o46 ) | ( ( o26 & o56 ) | ( ( o26 & o66 ) | ( ( o26 & o76 ) | ( ( o26 & o86 ) | ( ( o26 & o96 ) | ( ( o26 & o106 ) | ( ( o26 & o116 ) | ( ( o26 & o126 ) | ( ( o26 & o136 ) | ( ( o26 & o146 ) | ( ( o26 & o156 ) | ( ( o26 & o166 ) | ( ( o26 & o176 ) | ( ( o26 & o186 ) | ( ( o26 & o196 ) | ( ( o26 & o206 ) | ( ( o36 & o46 ) | ( ( o36 & o56 ) | ( ( o36 & o66 ) | ( ( o36 & o76 ) | ( ( o36 & o86 ) | ( ( o36 & o96 ) | ( ( o36 & o106 ) | ( ( o36 & o116 ) | ( ( o36 & o126 ) | ( ( o36 & o136 ) | ( ( o36 & o146 ) | ( ( o36 & o156 ) | ( ( o36 & o166 ) | ( ( o36 & o176 ) | ( ( o36 & o186 ) | ( ( o36 & o196 ) | ( ( o36 & o206 ) | ( ( o46 & o56 ) | ( ( o46 & o66 ) | ( ( o46 & o76 ) | ( ( o46 & o86 ) | ( ( o46 & o96 ) | ( ( o46 & o106 ) | ( ( o46 & o116 ) | ( ( o46 & o126 ) | ( ( o46 & o136 ) | ( ( o46 & o146 ) | ( ( o46 & o156 ) | ( ( o46 & o166 ) | ( ( o46 & o176 ) | ( ( o46 & o186 ) | ( ( o46 & o196 ) | ( ( o46 & o206 ) | ( ( o56 & o66 ) | ( ( o56 & o76 ) | ( ( o56 & o86 ) | ( ( o56 & o96 ) | ( ( o56 & o106 ) | ( ( o56 & o116 ) | ( ( o56 & o126 ) | ( ( o56 & o136 ) | ( ( o56 & o146 ) | ( ( o56 & o156 ) | ( ( o56 & o166 ) | ( ( o56 & o176 ) | ( ( o56 & o186 ) | ( ( o56 & o196 ) | ( ( o56 & o206 ) | ( ( o66 & o76 ) | ( ( o66 & o86 ) | ( ( o66 & o96 ) | ( ( o66 & o106 ) | ( ( o66 & o116 ) | ( ( o66 & o126 ) | ( ( o66 & o136 ) | ( ( o66 & o146 ) | ( ( o66 & o156 ) | ( ( o66 & o166 ) | ( ( o66 & o176 ) | ( ( o66 & o186 ) | ( ( o66 & o196 ) | ( ( o66 & o206 ) | ( ( o76 & o86 ) | ( ( o76 & o96 ) | ( ( o76 & o106 ) | ( ( o76 & o116 ) | ( ( o76 & o126 ) | ( ( o76 & o136 ) | ( ( o76 & o146 ) | ( ( o76 & o156 ) | ( ( o76 & o166 ) | ( ( o76 & o176 ) | ( ( o76 & o186 ) | ( ( o76 & o196 ) | ( ( o76 & o206 ) | ( ( o86 & o96 ) | ( ( o86 & o106 ) | ( ( o86 & o116 ) | ( ( o86 & o126 ) | ( ( o86 & o136 ) | ( ( o86 & o146 ) | ( ( o86 & o156 ) | ( ( o86 & o166 ) | ( ( o86 & o176 ) | ( ( o86 & o186 ) | ( ( o86 & o196 ) | ( ( o86 & o206 ) | ( ( o96 & o106 ) | ( ( o96 & o116 ) | ( ( o96 & o126 ) | ( ( o96 & o136 ) | ( ( o96 & o146 ) | ( ( o96 & o156 ) | ( ( o96 & o166 ) | ( ( o96 & o176 ) | ( ( o96 & o186 ) | ( ( o96 & o196 ) | ( ( o96 & o206 ) | ( ( o106 & o116 ) | ( ( o106 & o126 ) | ( ( o106 & o136 ) | ( ( o106 & o146 ) | ( ( o106 & o156 ) | ( ( o106 & o166 ) | ( ( o106 & o176 ) | ( ( o106 & o186 ) | ( ( o106 & o196 ) | ( ( o106 & o206 ) | ( ( o116 & o126 ) | ( ( o116 & o136 ) | ( ( o116 & o146 ) | ( ( o116 & o156 ) | ( ( o116 & o166 ) | ( ( o116 & o176 ) | ( ( o116 & o186 ) | ( ( o116 & o196 ) | ( ( o116 & o206 ) | ( ( o126 & o136 ) | ( ( o126 & o146 ) | ( ( o126 & o156 ) | ( ( o126 & o166 ) | ( ( o126 & o176 ) | ( ( o126 & o186 ) | ( ( o126 & o196 ) | ( ( o126 & o206 ) | ( ( o136 & o146 ) | ( ( o136 & o156 ) | ( ( o136 & o166 ) | ( ( o136 & o176 ) | ( ( o136 & o186 ) | ( ( o136 & o196 ) | ( ( o136 & o206 ) | ( ( o146 & o156 ) | ( ( o146 & o166 ) | ( ( o146 & o176 ) | ( ( o146 & o186 ) | ( ( o146 & o196 ) | ( ( o146 & o206 ) | ( ( o156 & o166 ) | ( ( o156 & o176 ) | ( ( o156 & o186 ) | ( ( o156 & o196 ) | ( ( o156 & o206 ) | ( ( o166 & o176 ) | ( ( o166 & o186 ) | ( ( o166 & o196 ) | ( ( o166 & o206 ) | ( ( o176 & o186 ) | ( ( o176 & o196 ) | ( ( o176 & o206 ) | ( ( o186 & o196 ) | ( ( o186 & o206 ) | ( ( o196 & o206 ) | ( ( o17 & o27 ) | ( ( o17 & o37 ) | ( ( o17 & o47 ) | ( ( o17 & o57 ) | ( ( o17 & o67 ) | ( ( o17 & o77 ) | ( ( o17 & o87 ) | ( ( o17 & o97 ) | ( ( o17 & o107 ) | ( ( o17 & o117 ) | ( ( o17 & o127 ) | ( ( o17 & o137 ) | ( ( o17 & o147 ) | ( ( o17 & o157 ) | ( ( o17 & o167 ) | ( ( o17 & o177 ) | ( ( o17 & o187 ) | ( ( o17 & o197 ) | ( ( o17 & o207 ) | ( ( o27 & o37 ) | ( ( o27 & o47 ) | ( ( o27 & o57 ) | ( ( o27 & o67 ) | ( ( o27 & o77 ) | ( ( o27 & o87 ) | ( ( o27 & o97 ) | ( ( o27 & o107 ) | ( ( o27 & o117 ) | ( ( o27 & o127 ) | ( ( o27 & o137 ) | ( ( o27 & o147 ) | ( ( o27 & o157 ) | ( ( o27 & o167 ) | ( ( o27 & o177 ) | ( ( o27 & o187 ) | ( ( o27 & o197 ) | ( ( o27 & o207 ) | ( ( o37 & o47 ) | ( ( o37 & o57 ) | ( ( o37 & o67 ) | ( ( o37 & o77 ) | ( ( o37 & o87 ) | ( ( o37 & o97 ) | ( ( o37 & o107 ) | ( ( o37 & o117 ) | ( ( o37 & o127 ) | ( ( o37 & o137 ) | ( ( o37 & o147 ) | ( ( o37 & o157 ) | ( ( o37 & o167 ) | ( ( o37 & o177 ) | ( ( o37 & o187 ) | ( ( o37 & o197 ) | ( ( o37 & o207 ) | ( ( o47 & o57 ) | ( ( o47 & o67 ) | ( ( o47 & o77 ) | ( ( o47 & o87 ) | ( ( o47 & o97 ) | ( ( o47 & o107 ) | ( ( o47 & o117 ) | ( ( o47 & o127 ) | ( ( o47 & o137 ) | ( ( o47 & o147 ) | ( ( o47 & o157 ) | ( ( o47 & o167 ) | ( ( o47 & o177 ) | ( ( o47 & o187 ) | ( ( o47 & o197 ) | ( ( o47 & o207 ) | ( ( o57 & o67 ) | ( ( o57 & o77 ) | ( ( o57 & o87 ) | ( ( o57 & o97 ) | ( ( o57 & o107 ) | ( ( o57 & o117 ) | ( ( o57 & o127 ) | ( ( o57 & o137 ) | ( ( o57 & o147 ) | ( ( o57 & o157 ) | ( ( o57 & o167 ) | ( ( o57 & o177 ) | ( ( o57 & o187 ) | ( ( o57 & o197 ) | ( ( o57 & o207 ) | ( ( o67 & o77 ) | ( ( o67 & o87 ) | ( ( o67 & o97 ) | ( ( o67 & o107 ) | ( ( o67 & o117 ) | ( ( o67 & o127 ) | ( ( o67 & o137 ) | ( ( o67 & o147 ) | ( ( o67 & o157 ) | ( ( o67 & o167 ) | ( ( o67 & o177 ) | ( ( o67 & o187 ) | ( ( o67 & o197 ) | ( ( o67 & o207 ) | ( ( o77 & o87 ) | ( ( o77 & o97 ) | ( ( o77 & o107 ) | ( ( o77 & o117 ) | ( ( o77 & o127 ) | ( ( o77 & o137 ) | ( ( o77 & o147 ) | ( ( o77 & o157 ) | ( ( o77 & o167 ) | ( ( o77 & o177 ) | ( ( o77 & o187 ) | ( ( o77 & o197 ) | ( ( o77 & o207 ) | ( ( o87 & o97 ) | ( ( o87 & o107 ) | ( ( o87 & o117 ) | ( ( o87 & o127 ) | ( ( o87 & o137 ) | ( ( o87 & o147 ) | ( ( o87 & o157 ) | ( ( o87 & o167 ) | ( ( o87 & o177 ) | ( ( o87 & o187 ) | ( ( o87 & o197 ) | ( ( o87 & o207 ) | ( ( o97 & o107 ) | ( ( o97 & o117 ) | ( ( o97 & o127 ) | ( ( o97 & o137 ) | ( ( o97 & o147 ) | ( ( o97 & o157 ) | ( ( o97 & o167 ) | ( ( o97 & o177 ) | ( ( o97 & o187 ) | ( ( o97 & o197 ) | ( ( o97 & o207 ) | ( ( o107 & o117 ) | ( ( o107 & o127 ) | ( ( o107 & o137 ) | ( ( o107 & o147 ) | ( ( o107 & o157 ) | ( ( o107 & o167 ) | ( ( o107 & o177 ) | ( ( o107 & o187 ) | ( ( o107 & o197 ) | ( ( o107 & o207 ) | ( ( o117 & o127 ) | ( ( o117 & o137 ) | ( ( o117 & o147 ) | ( ( o117 & o157 ) | ( ( o117 & o167 ) | ( ( o117 & o177 ) | ( ( o117 & o187 ) | ( ( o117 & o197 ) | ( ( o117 & o207 ) | ( ( o127 & o137 ) | ( ( o127 & o147 ) | ( ( o127 & o157 ) | ( ( o127 & o167 ) | ( ( o127 & o177 ) | ( ( o127 & o187 ) | ( ( o127 & o197 ) | ( ( o127 & o207 ) | ( ( o137 & o147 ) | ( ( o137 & o157 ) | ( ( o137 & o167 ) | ( ( o137 & o177 ) | ( ( o137 & o187 ) | ( ( o137 & o197 ) | ( ( o137 & o207 ) | ( ( o147 & o157 ) | ( ( o147 & o167 ) | ( ( o147 & o177 ) | ( ( o147 & o187 ) | ( ( o147 & o197 ) | ( ( o147 & o207 ) | ( ( o157 & o167 ) | ( ( o157 & o177 ) | ( ( o157 & o187 ) | ( ( o157 & o197 ) | ( ( o157 & o207 ) | ( ( o167 & o177 ) | ( ( o167 & o187 ) | ( ( o167 & o197 ) | ( ( o167 & o207 ) | ( ( o177 & o187 ) | ( ( o177 & o197 ) | ( ( o177 & o207 ) | ( ( o187 & o197 ) | ( ( o187 & o207 ) | ( ( o197 & o207 ) | ( ( o18 & o28 ) | ( ( o18 & o38 ) | ( ( o18 & o48 ) | ( ( o18 & o58 ) | ( ( o18 & o68 ) | ( ( o18 & o78 ) | ( ( o18 & o88 ) | ( ( o18 & o98 ) | ( ( o18 & o108 ) | ( ( o18 & o118 ) | ( ( o18 & o128 ) | ( ( o18 & o138 ) | ( ( o18 & o148 ) | ( ( o18 & o158 ) | ( ( o18 & o168 ) | ( ( o18 & o178 ) | ( ( o18 & o188 ) | ( ( o18 & o198 ) | ( ( o18 & o208 ) | ( ( o28 & o38 ) | ( ( o28 & o48 ) | ( ( o28 & o58 ) | ( ( o28 & o68 ) | ( ( o28 & o78 ) | ( ( o28 & o88 ) | ( ( o28 & o98 ) | ( ( o28 & o108 ) | ( ( o28 & o118 ) | ( ( o28 & o128 ) | ( ( o28 & o138 ) | ( ( o28 & o148 ) | ( ( o28 & o158 ) | ( ( o28 & o168 ) | ( ( o28 & o178 ) | ( ( o28 & o188 ) | ( ( o28 & o198 ) | ( ( o28 & o208 ) | ( ( o38 & o48 ) | ( ( o38 & o58 ) | ( ( o38 & o68 ) | ( ( o38 & o78 ) | ( ( o38 & o88 ) | ( ( o38 & o98 ) | ( ( o38 & o108 ) | ( ( o38 & o118 ) | ( ( o38 & o128 ) | ( ( o38 & o138 ) | ( ( o38 & o148 ) | ( ( o38 & o158 ) | ( ( o38 & o168 ) | ( ( o38 & o178 ) | ( ( o38 & o188 ) | ( ( o38 & o198 ) | ( ( o38 & o208 ) | ( ( o48 & o58 ) | ( ( o48 & o68 ) | ( ( o48 & o78 ) | ( ( o48 & o88 ) | ( ( o48 & o98 ) | ( ( o48 & o108 ) | ( ( o48 & o118 ) | ( ( o48 & o128 ) | ( ( o48 & o138 ) | ( ( o48 & o148 ) | ( ( o48 & o158 ) | ( ( o48 & o168 ) | ( ( o48 & o178 ) | ( ( o48 & o188 ) | ( ( o48 & o198 ) | ( ( o48 & o208 ) | ( ( o58 & o68 ) | ( ( o58 & o78 ) | ( ( o58 & o88 ) | ( ( o58 & o98 ) | ( ( o58 & o108 ) | ( ( o58 & o118 ) | ( ( o58 & o128 ) | ( ( o58 & o138 ) | ( ( o58 & o148 ) | ( ( o58 & o158 ) | ( ( o58 & o168 ) | ( ( o58 & o178 ) | ( ( o58 & o188 ) | ( ( o58 & o198 ) | ( ( o58 & o208 ) | ( ( o68 & o78 ) | ( ( o68 & o88 ) | ( ( o68 & o98 ) | ( ( o68 & o108 ) | ( ( o68 & o118 ) | ( ( o68 & o128 ) | ( ( o68 & o138 ) | ( ( o68 & o148 ) | ( ( o68 & o158 ) | ( ( o68 & o168 ) | ( ( o68 & o178 ) | ( ( o68 & o188 ) | ( ( o68 & o198 ) | ( ( o68 & o208 ) | ( ( o78 & o88 ) | ( ( o78 & o98 ) | ( ( o78 & o108 ) | ( ( o78 & o118 ) | ( ( o78 & o128 ) | ( ( o78 & o138 ) | ( ( o78 & o148 ) | ( ( o78 & o158 ) | ( ( o78 & o168 ) | ( ( o78 & o178 ) | ( ( o78 & o188 ) | ( ( o78 & o198 ) | ( ( o78 & o208 ) | ( ( o88 & o98 ) | ( ( o88 & o108 ) | ( ( o88 & o118 ) | ( ( o88 & o128 ) | ( ( o88 & o138 ) | ( ( o88 & o148 ) | ( ( o88 & o158 ) | ( ( o88 & o168 ) | ( ( o88 & o178 ) | ( ( o88 & o188 ) | ( ( o88 & o198 ) | ( ( o88 & o208 ) | ( ( o98 & o108 ) | ( ( o98 & o118 ) | ( ( o98 & o128 ) | ( ( o98 & o138 ) | ( ( o98 & o148 ) | ( ( o98 & o158 ) | ( ( o98 & o168 ) | ( ( o98 & o178 ) | ( ( o98 & o188 ) | ( ( o98 & o198 ) | ( ( o98 & o208 ) | ( ( o108 & o118 ) | ( ( o108 & o128 ) | ( ( o108 & o138 ) | ( ( o108 & o148 ) | ( ( o108 & o158 ) | ( ( o108 & o168 ) | ( ( o108 & o178 ) | ( ( o108 & o188 ) | ( ( o108 & o198 ) | ( ( o108 & o208 ) | ( ( o118 & o128 ) | ( ( o118 & o138 ) | ( ( o118 & o148 ) | ( ( o118 & o158 ) | ( ( o118 & o168 ) | ( ( o118 & o178 ) | ( ( o118 & o188 ) | ( ( o118 & o198 ) | ( ( o118 & o208 ) | ( ( o128 & o138 ) | ( ( o128 & o148 ) | ( ( o128 & o158 ) | ( ( o128 & o168 ) | ( ( o128 & o178 ) | ( ( o128 & o188 ) | ( ( o128 & o198 ) | ( ( o128 & o208 ) | ( ( o138 & o148 ) | ( ( o138 & o158 ) | ( ( o138 & o168 ) | ( ( o138 & o178 ) | ( ( o138 & o188 ) | ( ( o138 & o198 ) | ( ( o138 & o208 ) | ( ( o148 & o158 ) | ( ( o148 & o168 ) | ( ( o148 & o178 ) | ( ( o148 & o188 ) | ( ( o148 & o198 ) | ( ( o148 & o208 ) | ( ( o158 & o168 ) | ( ( o158 & o178 ) | ( ( o158 & o188 ) | ( ( o158 & o198 ) | ( ( o158 & o208 ) | ( ( o168 & o178 ) | ( ( o168 & o188 ) | ( ( o168 & o198 ) | ( ( o168 & o208 ) | ( ( o178 & o188 ) | ( ( o178 & o198 ) | ( ( o178 & o208 ) | ( ( o188 & o198 ) | ( ( o188 & o208 ) | ( ( o198 & o208 ) | ( ( o19 & o29 ) | ( ( o19 & o39 ) | ( ( o19 & o49 ) | ( ( o19 & o59 ) | ( ( o19 & o69 ) | ( ( o19 & o79 ) | ( ( o19 & o89 ) | ( ( o19 & o99 ) | ( ( o19 & o109 ) | ( ( o19 & o119 ) | ( ( o19 & o129 ) | ( ( o19 & o139 ) | ( ( o19 & o149 ) | ( ( o19 & o159 ) | ( ( o19 & o169 ) | ( ( o19 & o179 ) | ( ( o19 & o189 ) | ( ( o19 & o199 ) | ( ( o19 & o209 ) | ( ( o29 & o39 ) | ( ( o29 & o49 ) | ( ( o29 & o59 ) | ( ( o29 & o69 ) | ( ( o29 & o79 ) | ( ( o29 & o89 ) | ( ( o29 & o99 ) | ( ( o29 & o109 ) | ( ( o29 & o119 ) | ( ( o29 & o129 ) | ( ( o29 & o139 ) | ( ( o29 & o149 ) | ( ( o29 & o159 ) | ( ( o29 & o169 ) | ( ( o29 & o179 ) | ( ( o29 & o189 ) | ( ( o29 & o199 ) | ( ( o29 & o209 ) | ( ( o39 & o49 ) | ( ( o39 & o59 ) | ( ( o39 & o69 ) | ( ( o39 & o79 ) | ( ( o39 & o89 ) | ( ( o39 & o99 ) | ( ( o39 & o109 ) | ( ( o39 & o119 ) | ( ( o39 & o129 ) | ( ( o39 & o139 ) | ( ( o39 & o149 ) | ( ( o39 & o159 ) | ( ( o39 & o169 ) | ( ( o39 & o179 ) | ( ( o39 & o189 ) | ( ( o39 & o199 ) | ( ( o39 & o209 ) | ( ( o49 & o59 ) | ( ( o49 & o69 ) | ( ( o49 & o79 ) | ( ( o49 & o89 ) | ( ( o49 & o99 ) | ( ( o49 & o109 ) | ( ( o49 & o119 ) | ( ( o49 & o129 ) | ( ( o49 & o139 ) | ( ( o49 & o149 ) | ( ( o49 & o159 ) | ( ( o49 & o169 ) | ( ( o49 & o179 ) | ( ( o49 & o189 ) | ( ( o49 & o199 ) | ( ( o49 & o209 ) | ( ( o59 & o69 ) | ( ( o59 & o79 ) | ( ( o59 & o89 ) | ( ( o59 & o99 ) | ( ( o59 & o109 ) | ( ( o59 & o119 ) | ( ( o59 & o129 ) | ( ( o59 & o139 ) | ( ( o59 & o149 ) | ( ( o59 & o159 ) | ( ( o59 & o169 ) | ( ( o59 & o179 ) | ( ( o59 & o189 ) | ( ( o59 & o199 ) | ( ( o59 & o209 ) | ( ( o69 & o79 ) | ( ( o69 & o89 ) | ( ( o69 & o99 ) | ( ( o69 & o109 ) | ( ( o69 & o119 ) | ( ( o69 & o129 ) | ( ( o69 & o139 ) | ( ( o69 & o149 ) | ( ( o69 & o159 ) | ( ( o69 & o169 ) | ( ( o69 & o179 ) | ( ( o69 & o189 ) | ( ( o69 & o199 ) | ( ( o69 & o209 ) | ( ( o79 & o89 ) | ( ( o79 & o99 ) | ( ( o79 & o109 ) | ( ( o79 & o119 ) | ( ( o79 & o129 ) | ( ( o79 & o139 ) | ( ( o79 & o149 ) | ( ( o79 & o159 ) | ( ( o79 & o169 ) | ( ( o79 & o179 ) | ( ( o79 & o189 ) | ( ( o79 & o199 ) | ( ( o79 & o209 ) | ( ( o89 & o99 ) | ( ( o89 & o109 ) | ( ( o89 & o119 ) | ( ( o89 & o129 ) | ( ( o89 & o139 ) | ( ( o89 & o149 ) | ( ( o89 & o159 ) | ( ( o89 & o169 ) | ( ( o89 & o179 ) | ( ( o89 & o189 ) | ( ( o89 & o199 ) | ( ( o89 & o209 ) | ( ( o99 & o109 ) | ( ( o99 & o119 ) | ( ( o99 & o129 ) | ( ( o99 & o139 ) | ( ( o99 & o149 ) | ( ( o99 & o159 ) | ( ( o99 & o169 ) | ( ( o99 & o179 ) | ( ( o99 & o189 ) | ( ( o99 & o199 ) | ( ( o99 & o209 ) | ( ( o109 & o119 ) | ( ( o109 & o129 ) | ( ( o109 & o139 ) | ( ( o109 & o149 ) | ( ( o109 & o159 ) | ( ( o109 & o169 ) | ( ( o109 & o179 ) | ( ( o109 & o189 ) | ( ( o109 & o199 ) | ( ( o109 & o209 ) | ( ( o119 & o129 ) | ( ( o119 & o139 ) | ( ( o119 & o149 ) | ( ( o119 & o159 ) | ( ( o119 & o169 ) | ( ( o119 & o179 ) | ( ( o119 & o189 ) | ( ( o119 & o199 ) | ( ( o119 & o209 ) | ( ( o129 & o139 ) | ( ( o129 & o149 ) | ( ( o129 & o159 ) | ( ( o129 & o169 ) | ( ( o129 & o179 ) | ( ( o129 & o189 ) | ( ( o129 & o199 ) | ( ( o129 & o209 ) | ( ( o139 & o149 ) | ( ( o139 & o159 ) | ( ( o139 & o169 ) | ( ( o139 & o179 ) | ( ( o139 & o189 ) | ( ( o139 & o199 ) | ( ( o139 & o209 ) | ( ( o149 & o159 ) | ( ( o149 & o169 ) | ( ( o149 & o179 ) | ( ( o149 & o189 ) | ( ( o149 & o199 ) | ( ( o149 & o209 ) | ( ( o159 & o169 ) | ( ( o159 & o179 ) | ( ( o159 & o189 ) | ( ( o159 & o199 ) | ( ( o159 & o209 ) | ( ( o169 & o179 ) | ( ( o169 & o189 ) | ( ( o169 & o199 ) | ( ( o169 & o209 ) | ( ( o179 & o189 ) | ( ( o179 & o199 ) | ( ( o179 & o209 ) | ( ( o189 & o199 ) | ( ( o189 & o209 ) | ( ( o199 & o209 ) | ( ( o110 & o210 ) | ( ( o110 & o310 ) | ( ( o110 & o410 ) | ( ( o110 & o510 ) | ( ( o110 & o610 ) | ( ( o110 & o710 ) | ( ( o110 & o810 ) | ( ( o110 & o910 ) | ( ( o110 & o1010 ) | ( ( o110 & o1110 ) | ( ( o110 & o1210 ) | ( ( o110 & o1310 ) | ( ( o110 & o1410 ) | ( ( o110 & o1510 ) | ( ( o110 & o1610 ) | ( ( o110 & o1710 ) | ( ( o110 & o1810 ) | ( ( o110 & o1910 ) | ( ( o110 & o2010 ) | ( ( o210 & o310 ) | ( ( o210 & o410 ) | ( ( o210 & o510 ) | ( ( o210 & o610 ) | ( ( o210 & o710 ) | ( ( o210 & o810 ) | ( ( o210 & o910 ) | ( ( o210 & o1010 ) | ( ( o210 & o1110 ) | ( ( o210 & o1210 ) | ( ( o210 & o1310 ) | ( ( o210 & o1410 ) | ( ( o210 & o1510 ) | ( ( o210 & o1610 ) | ( ( o210 & o1710 ) | ( ( o210 & o1810 ) | ( ( o210 & o1910 ) | ( ( o210 & o2010 ) | ( ( o310 & o410 ) | ( ( o310 & o510 ) | ( ( o310 & o610 ) | ( ( o310 & o710 ) | ( ( o310 & o810 ) | ( ( o310 & o910 ) | ( ( o310 & o1010 ) | ( ( o310 & o1110 ) | ( ( o310 & o1210 ) | ( ( o310 & o1310 ) | ( ( o310 & o1410 ) | ( ( o310 & o1510 ) | ( ( o310 & o1610 ) | ( ( o310 & o1710 ) | ( ( o310 & o1810 ) | ( ( o310 & o1910 ) | ( ( o310 & o2010 ) | ( ( o410 & o510 ) | ( ( o410 & o610 ) | ( ( o410 & o710 ) | ( ( o410 & o810 ) | ( ( o410 & o910 ) | ( ( o410 & o1010 ) | ( ( o410 & o1110 ) | ( ( o410 & o1210 ) | ( ( o410 & o1310 ) | ( ( o410 & o1410 ) | ( ( o410 & o1510 ) | ( ( o410 & o1610 ) | ( ( o410 & o1710 ) | ( ( o410 & o1810 ) | ( ( o410 & o1910 ) | ( ( o410 & o2010 ) | ( ( o510 & o610 ) | ( ( o510 & o710 ) | ( ( o510 & o810 ) | ( ( o510 & o910 ) | ( ( o510 & o1010 ) | ( ( o510 & o1110 ) | ( ( o510 & o1210 ) | ( ( o510 & o1310 ) | ( ( o510 & o1410 ) | ( ( o510 & o1510 ) | ( ( o510 & o1610 ) | ( ( o510 & o1710 ) | ( ( o510 & o1810 ) | ( ( o510 & o1910 ) | ( ( o510 & o2010 ) | ( ( o610 & o710 ) | ( ( o610 & o810 ) | ( ( o610 & o910 ) | ( ( o610 & o1010 ) | ( ( o610 & o1110 ) | ( ( o610 & o1210 ) | ( ( o610 & o1310 ) | ( ( o610 & o1410 ) | ( ( o610 & o1510 ) | ( ( o610 & o1610 ) | ( ( o610 & o1710 ) | ( ( o610 & o1810 ) | ( ( o610 & o1910 ) | ( ( o610 & o2010 ) | ( ( o710 & o810 ) | ( ( o710 & o910 ) | ( ( o710 & o1010 ) | ( ( o710 & o1110 ) | ( ( o710 & o1210 ) | ( ( o710 & o1310 ) | ( ( o710 & o1410 ) | ( ( o710 & o1510 ) | ( ( o710 & o1610 ) | ( ( o710 & o1710 ) | ( ( o710 & o1810 ) | ( ( o710 & o1910 ) | ( ( o710 & o2010 ) | ( ( o810 & o910 ) | ( ( o810 & o1010 ) | ( ( o810 & o1110 ) | ( ( o810 & o1210 ) | ( ( o810 & o1310 ) | ( ( o810 & o1410 ) | ( ( o810 & o1510 ) | ( ( o810 & o1610 ) | ( ( o810 & o1710 ) | ( ( o810 & o1810 ) | ( ( o810 & o1910 ) | ( ( o810 & o2010 ) | ( ( o910 & o1010 ) | ( ( o910 & o1110 ) | ( ( o910 & o1210 ) | ( ( o910 & o1310 ) | ( ( o910 & o1410 ) | ( ( o910 & o1510 ) | ( ( o910 & o1610 ) | ( ( o910 & o1710 ) | ( ( o910 & o1810 ) | ( ( o910 & o1910 ) | ( ( o910 & o2010 ) | ( ( o1010 & o1110 ) | ( ( o1010 & o1210 ) | ( ( o1010 & o1310 ) | ( ( o1010 & o1410 ) | ( ( o1010 & o1510 ) | ( ( o1010 & o1610 ) | ( ( o1010 & o1710 ) | ( ( o1010 & o1810 ) | ( ( o1010 & o1910 ) | ( ( o1010 & o2010 ) | ( ( o1110 & o1210 ) | ( ( o1110 & o1310 ) | ( ( o1110 & o1410 ) | ( ( o1110 & o1510 ) | ( ( o1110 & o1610 ) | ( ( o1110 & o1710 ) | ( ( o1110 & o1810 ) | ( ( o1110 & o1910 ) | ( ( o1110 & o2010 ) | ( ( o1210 & o1310 ) | ( ( o1210 & o1410 ) | ( ( o1210 & o1510 ) | ( ( o1210 & o1610 ) | ( ( o1210 & o1710 ) | ( ( o1210 & o1810 ) | ( ( o1210 & o1910 ) | ( ( o1210 & o2010 ) | ( ( o1310 & o1410 ) | ( ( o1310 & o1510 ) | ( ( o1310 & o1610 ) | ( ( o1310 & o1710 ) | ( ( o1310 & o1810 ) | ( ( o1310 & o1910 ) | ( ( o1310 & o2010 ) | ( ( o1410 & o1510 ) | ( ( o1410 & o1610 ) | ( ( o1410 & o1710 ) | ( ( o1410 & o1810 ) | ( ( o1410 & o1910 ) | ( ( o1410 & o2010 ) | ( ( o1510 & o1610 ) | ( ( o1510 & o1710 ) | ( ( o1510 & o1810 ) | ( ( o1510 & o1910 ) | ( ( o1510 & o2010 ) | ( ( o1610 & o1710 ) | ( ( o1610 & o1810 ) | ( ( o1610 & o1910 ) | ( ( o1610 & o2010 ) | ( ( o1710 & o1810 ) | ( ( o1710 & o1910 ) | ( ( o1710 & o2010 ) | ( ( o1810 & o1910 ) | ( ( o1810 & o2010 ) | ( ( o1910 & o2010 ) | ( ( o111 & o211 ) | ( ( o111 & o311 ) | ( ( o111 & o411 ) | ( ( o111 & o511 ) | ( ( o111 & o611 ) | ( ( o111 & o711 ) | ( ( o111 & o811 ) | ( ( o111 & o911 ) | ( ( o111 & o1011 ) | ( ( o111 & o1111 ) | ( ( o111 & o1211 ) | ( ( o111 & o1311 ) | ( ( o111 & o1411 ) | ( ( o111 & o1511 ) | ( ( o111 & o1611 ) | ( ( o111 & o1711 ) | ( ( o111 & o1811 ) | ( ( o111 & o1911 ) | ( ( o111 & o2011 ) | ( ( o211 & o311 ) | ( ( o211 & o411 ) | ( ( o211 & o511 ) | ( ( o211 & o611 ) | ( ( o211 & o711 ) | ( ( o211 & o811 ) | ( ( o211 & o911 ) | ( ( o211 & o1011 ) | ( ( o211 & o1111 ) | ( ( o211 & o1211 ) | ( ( o211 & o1311 ) | ( ( o211 & o1411 ) | ( ( o211 & o1511 ) | ( ( o211 & o1611 ) | ( ( o211 & o1711 ) | ( ( o211 & o1811 ) | ( ( o211 & o1911 ) | ( ( o211 & o2011 ) | ( ( o311 & o411 ) | ( ( o311 & o511 ) | ( ( o311 & o611 ) | ( ( o311 & o711 ) | ( ( o311 & o811 ) | ( ( o311 & o911 ) | ( ( o311 & o1011 ) | ( ( o311 & o1111 ) | ( ( o311 & o1211 ) | ( ( o311 & o1311 ) | ( ( o311 & o1411 ) | ( ( o311 & o1511 ) | ( ( o311 & o1611 ) | ( ( o311 & o1711 ) | ( ( o311 & o1811 ) | ( ( o311 & o1911 ) | ( ( o311 & o2011 ) | ( ( o411 & o511 ) | ( ( o411 & o611 ) | ( ( o411 & o711 ) | ( ( o411 & o811 ) | ( ( o411 & o911 ) | ( ( o411 & o1011 ) | ( ( o411 & o1111 ) | ( ( o411 & o1211 ) | ( ( o411 & o1311 ) | ( ( o411 & o1411 ) | ( ( o411 & o1511 ) | ( ( o411 & o1611 ) | ( ( o411 & o1711 ) | ( ( o411 & o1811 ) | ( ( o411 & o1911 ) | ( ( o411 & o2011 ) | ( ( o511 & o611 ) | ( ( o511 & o711 ) | ( ( o511 & o811 ) | ( ( o511 & o911 ) | ( ( o511 & o1011 ) | ( ( o511 & o1111 ) | ( ( o511 & o1211 ) | ( ( o511 & o1311 ) | ( ( o511 & o1411 ) | ( ( o511 & o1511 ) | ( ( o511 & o1611 ) | ( ( o511 & o1711 ) | ( ( o511 & o1811 ) | ( ( o511 & o1911 ) | ( ( o511 & o2011 ) | ( ( o611 & o711 ) | ( ( o611 & o811 ) | ( ( o611 & o911 ) | ( ( o611 & o1011 ) | ( ( o611 & o1111 ) | ( ( o611 & o1211 ) | ( ( o611 & o1311 ) | ( ( o611 & o1411 ) | ( ( o611 & o1511 ) | ( ( o611 & o1611 ) | ( ( o611 & o1711 ) | ( ( o611 & o1811 ) | ( ( o611 & o1911 ) | ( ( o611 & o2011 ) | ( ( o711 & o811 ) | ( ( o711 & o911 ) | ( ( o711 & o1011 ) | ( ( o711 & o1111 ) | ( ( o711 & o1211 ) | ( ( o711 & o1311 ) | ( ( o711 & o1411 ) | ( ( o711 & o1511 ) | ( ( o711 & o1611 ) | ( ( o711 & o1711 ) | ( ( o711 & o1811 ) | ( ( o711 & o1911 ) | ( ( o711 & o2011 ) | ( ( o811 & o911 ) | ( ( o811 & o1011 ) | ( ( o811 & o1111 ) | ( ( o811 & o1211 ) | ( ( o811 & o1311 ) | ( ( o811 & o1411 ) | ( ( o811 & o1511 ) | ( ( o811 & o1611 ) | ( ( o811 & o1711 ) | ( ( o811 & o1811 ) | ( ( o811 & o1911 ) | ( ( o811 & o2011 ) | ( ( o911 & o1011 ) | ( ( o911 & o1111 ) | ( ( o911 & o1211 ) | ( ( o911 & o1311 ) | ( ( o911 & o1411 ) | ( ( o911 & o1511 ) | ( ( o911 & o1611 ) | ( ( o911 & o1711 ) | ( ( o911 & o1811 ) | ( ( o911 & o1911 ) | ( ( o911 & o2011 ) | ( ( o1011 & o1111 ) | ( ( o1011 & o1211 ) | ( ( o1011 & o1311 ) | ( ( o1011 & o1411 ) | ( ( o1011 & o1511 ) | ( ( o1011 & o1611 ) | ( ( o1011 & o1711 ) | ( ( o1011 & o1811 ) | ( ( o1011 & o1911 ) | ( ( o1011 & o2011 ) | ( ( o1111 & o1211 ) | ( ( o1111 & o1311 ) | ( ( o1111 & o1411 ) | ( ( o1111 & o1511 ) | ( ( o1111 & o1611 ) | ( ( o1111 & o1711 ) | ( ( o1111 & o1811 ) | ( ( o1111 & o1911 ) | ( ( o1111 & o2011 ) | ( ( o1211 & o1311 ) | ( ( o1211 & o1411 ) | ( ( o1211 & o1511 ) | ( ( o1211 & o1611 ) | ( ( o1211 & o1711 ) | ( ( o1211 & o1811 ) | ( ( o1211 & o1911 ) | ( ( o1211 & o2011 ) | ( ( o1311 & o1411 ) | ( ( o1311 & o1511 ) | ( ( o1311 & o1611 ) | ( ( o1311 & o1711 ) | ( ( o1311 & o1811 ) | ( ( o1311 & o1911 ) | ( ( o1311 & o2011 ) | ( ( o1411 & o1511 ) | ( ( o1411 & o1611 ) | ( ( o1411 & o1711 ) | ( ( o1411 & o1811 ) | ( ( o1411 & o1911 ) | ( ( o1411 & o2011 ) | ( ( o1511 & o1611 ) | ( ( o1511 & o1711 ) | ( ( o1511 & o1811 ) | ( ( o1511 & o1911 ) | ( ( o1511 & o2011 ) | ( ( o1611 & o1711 ) | ( ( o1611 & o1811 ) | ( ( o1611 & o1911 ) | ( ( o1611 & o2011 ) | ( ( o1711 & o1811 ) | ( ( o1711 & o1911 ) | ( ( o1711 & o2011 ) | ( ( o1811 & o1911 ) | ( ( o1811 & o2011 ) | ( ( o1911 & o2011 ) | ( ( o112 & o212 ) | ( ( o112 & o312 ) | ( ( o112 & o412 ) | ( ( o112 & o512 ) | ( ( o112 & o612 ) | ( ( o112 & o712 ) | ( ( o112 & o812 ) | ( ( o112 & o912 ) | ( ( o112 & o1012 ) | ( ( o112 & o1112 ) | ( ( o112 & o1212 ) | ( ( o112 & o1312 ) | ( ( o112 & o1412 ) | ( ( o112 & o1512 ) | ( ( o112 & o1612 ) | ( ( o112 & o1712 ) | ( ( o112 & o1812 ) | ( ( o112 & o1912 ) | ( ( o112 & o2012 ) | ( ( o212 & o312 ) | ( ( o212 & o412 ) | ( ( o212 & o512 ) | ( ( o212 & o612 ) | ( ( o212 & o712 ) | ( ( o212 & o812 ) | ( ( o212 & o912 ) | ( ( o212 & o1012 ) | ( ( o212 & o1112 ) | ( ( o212 & o1212 ) | ( ( o212 & o1312 ) | ( ( o212 & o1412 ) | ( ( o212 & o1512 ) | ( ( o212 & o1612 ) | ( ( o212 & o1712 ) | ( ( o212 & o1812 ) | ( ( o212 & o1912 ) | ( ( o212 & o2012 ) | ( ( o312 & o412 ) | ( ( o312 & o512 ) | ( ( o312 & o612 ) | ( ( o312 & o712 ) | ( ( o312 & o812 ) | ( ( o312 & o912 ) | ( ( o312 & o1012 ) | ( ( o312 & o1112 ) | ( ( o312 & o1212 ) | ( ( o312 & o1312 ) | ( ( o312 & o1412 ) | ( ( o312 & o1512 ) | ( ( o312 & o1612 ) | ( ( o312 & o1712 ) | ( ( o312 & o1812 ) | ( ( o312 & o1912 ) | ( ( o312 & o2012 ) | ( ( o412 & o512 ) | ( ( o412 & o612 ) | ( ( o412 & o712 ) | ( ( o412 & o812 ) | ( ( o412 & o912 ) | ( ( o412 & o1012 ) | ( ( o412 & o1112 ) | ( ( o412 & o1212 ) | ( ( o412 & o1312 ) | ( ( o412 & o1412 ) | ( ( o412 & o1512 ) | ( ( o412 & o1612 ) | ( ( o412 & o1712 ) | ( ( o412 & o1812 ) | ( ( o412 & o1912 ) | ( ( o412 & o2012 ) | ( ( o512 & o612 ) | ( ( o512 & o712 ) | ( ( o512 & o812 ) | ( ( o512 & o912 ) | ( ( o512 & o1012 ) | ( ( o512 & o1112 ) | ( ( o512 & o1212 ) | ( ( o512 & o1312 ) | ( ( o512 & o1412 ) | ( ( o512 & o1512 ) | ( ( o512 & o1612 ) | ( ( o512 & o1712 ) | ( ( o512 & o1812 ) | ( ( o512 & o1912 ) | ( ( o512 & o2012 ) | ( ( o612 & o712 ) | ( ( o612 & o812 ) | ( ( o612 & o912 ) | ( ( o612 & o1012 ) | ( ( o612 & o1112 ) | ( ( o612 & o1212 ) | ( ( o612 & o1312 ) | ( ( o612 & o1412 ) | ( ( o612 & o1512 ) | ( ( o612 & o1612 ) | ( ( o612 & o1712 ) | ( ( o612 & o1812 ) | ( ( o612 & o1912 ) | ( ( o612 & o2012 ) | ( ( o712 & o812 ) | ( ( o712 & o912 ) | ( ( o712 & o1012 ) | ( ( o712 & o1112 ) | ( ( o712 & o1212 ) | ( ( o712 & o1312 ) | ( ( o712 & o1412 ) | ( ( o712 & o1512 ) | ( ( o712 & o1612 ) | ( ( o712 & o1712 ) | ( ( o712 & o1812 ) | ( ( o712 & o1912 ) | ( ( o712 & o2012 ) | ( ( o812 & o912 ) | ( ( o812 & o1012 ) | ( ( o812 & o1112 ) | ( ( o812 & o1212 ) | ( ( o812 & o1312 ) | ( ( o812 & o1412 ) | ( ( o812 & o1512 ) | ( ( o812 & o1612 ) | ( ( o812 & o1712 ) | ( ( o812 & o1812 ) | ( ( o812 & o1912 ) | ( ( o812 & o2012 ) | ( ( o912 & o1012 ) | ( ( o912 & o1112 ) | ( ( o912 & o1212 ) | ( ( o912 & o1312 ) | ( ( o912 & o1412 ) | ( ( o912 & o1512 ) | ( ( o912 & o1612 ) | ( ( o912 & o1712 ) | ( ( o912 & o1812 ) | ( ( o912 & o1912 ) | ( ( o912 & o2012 ) | ( ( o1012 & o1112 ) | ( ( o1012 & o1212 ) | ( ( o1012 & o1312 ) | ( ( o1012 & o1412 ) | ( ( o1012 & o1512 ) | ( ( o1012 & o1612 ) | ( ( o1012 & o1712 ) | ( ( o1012 & o1812 ) | ( ( o1012 & o1912 ) | ( ( o1012 & o2012 ) | ( ( o1112 & o1212 ) | ( ( o1112 & o1312 ) | ( ( o1112 & o1412 ) | ( ( o1112 & o1512 ) | ( ( o1112 & o1612 ) | ( ( o1112 & o1712 ) | ( ( o1112 & o1812 ) | ( ( o1112 & o1912 ) | ( ( o1112 & o2012 ) | ( ( o1212 & o1312 ) | ( ( o1212 & o1412 ) | ( ( o1212 & o1512 ) | ( ( o1212 & o1612 ) | ( ( o1212 & o1712 ) | ( ( o1212 & o1812 ) | ( ( o1212 & o1912 ) | ( ( o1212 & o2012 ) | ( ( o1312 & o1412 ) | ( ( o1312 & o1512 ) | ( ( o1312 & o1612 ) | ( ( o1312 & o1712 ) | ( ( o1312 & o1812 ) | ( ( o1312 & o1912 ) | ( ( o1312 & o2012 ) | ( ( o1412 & o1512 ) | ( ( o1412 & o1612 ) | ( ( o1412 & o1712 ) | ( ( o1412 & o1812 ) | ( ( o1412 & o1912 ) | ( ( o1412 & o2012 ) | ( ( o1512 & o1612 ) | ( ( o1512 & o1712 ) | ( ( o1512 & o1812 ) | ( ( o1512 & o1912 ) | ( ( o1512 & o2012 ) | ( ( o1612 & o1712 ) | ( ( o1612 & o1812 ) | ( ( o1612 & o1912 ) | ( ( o1612 & o2012 ) | ( ( o1712 & o1812 ) | ( ( o1712 & o1912 ) | ( ( o1712 & o2012 ) | ( ( o1812 & o1912 ) | ( ( o1812 & o2012 ) | ( ( o1912 & o2012 ) | ( ( o113 & o213 ) | ( ( o113 & o313 ) | ( ( o113 & o413 ) | ( ( o113 & o513 ) | ( ( o113 & o613 ) | ( ( o113 & o713 ) | ( ( o113 & o813 ) | ( ( o113 & o913 ) | ( ( o113 & o1013 ) | ( ( o113 & o1113 ) | ( ( o113 & o1213 ) | ( ( o113 & o1313 ) | ( ( o113 & o1413 ) | ( ( o113 & o1513 ) | ( ( o113 & o1613 ) | ( ( o113 & o1713 ) | ( ( o113 & o1813 ) | ( ( o113 & o1913 ) | ( ( o113 & o2013 ) | ( ( o213 & o313 ) | ( ( o213 & o413 ) | ( ( o213 & o513 ) | ( ( o213 & o613 ) | ( ( o213 & o713 ) | ( ( o213 & o813 ) | ( ( o213 & o913 ) | ( ( o213 & o1013 ) | ( ( o213 & o1113 ) | ( ( o213 & o1213 ) | ( ( o213 & o1313 ) | ( ( o213 & o1413 ) | ( ( o213 & o1513 ) | ( ( o213 & o1613 ) | ( ( o213 & o1713 ) | ( ( o213 & o1813 ) | ( ( o213 & o1913 ) | ( ( o213 & o2013 ) | ( ( o313 & o413 ) | ( ( o313 & o513 ) | ( ( o313 & o613 ) | ( ( o313 & o713 ) | ( ( o313 & o813 ) | ( ( o313 & o913 ) | ( ( o313 & o1013 ) | ( ( o313 & o1113 ) | ( ( o313 & o1213 ) | ( ( o313 & o1313 ) | ( ( o313 & o1413 ) | ( ( o313 & o1513 ) | ( ( o313 & o1613 ) | ( ( o313 & o1713 ) | ( ( o313 & o1813 ) | ( ( o313 & o1913 ) | ( ( o313 & o2013 ) | ( ( o413 & o513 ) | ( ( o413 & o613 ) | ( ( o413 & o713 ) | ( ( o413 & o813 ) | ( ( o413 & o913 ) | ( ( o413 & o1013 ) | ( ( o413 & o1113 ) | ( ( o413 & o1213 ) | ( ( o413 & o1313 ) | ( ( o413 & o1413 ) | ( ( o413 & o1513 ) | ( ( o413 & o1613 ) | ( ( o413 & o1713 ) | ( ( o413 & o1813 ) | ( ( o413 & o1913 ) | ( ( o413 & o2013 ) | ( ( o513 & o613 ) | ( ( o513 & o713 ) | ( ( o513 & o813 ) | ( ( o513 & o913 ) | ( ( o513 & o1013 ) | ( ( o513 & o1113 ) | ( ( o513 & o1213 ) | ( ( o513 & o1313 ) | ( ( o513 & o1413 ) | ( ( o513 & o1513 ) | ( ( o513 & o1613 ) | ( ( o513 & o1713 ) | ( ( o513 & o1813 ) | ( ( o513 & o1913 ) | ( ( o513 & o2013 ) | ( ( o613 & o713 ) | ( ( o613 & o813 ) | ( ( o613 & o913 ) | ( ( o613 & o1013 ) | ( ( o613 & o1113 ) | ( ( o613 & o1213 ) | ( ( o613 & o1313 ) | ( ( o613 & o1413 ) | ( ( o613 & o1513 ) | ( ( o613 & o1613 ) | ( ( o613 & o1713 ) | ( ( o613 & o1813 ) | ( ( o613 & o1913 ) | ( ( o613 & o2013 ) | ( ( o713 & o813 ) | ( ( o713 & o913 ) | ( ( o713 & o1013 ) | ( ( o713 & o1113 ) | ( ( o713 & o1213 ) | ( ( o713 & o1313 ) | ( ( o713 & o1413 ) | ( ( o713 & o1513 ) | ( ( o713 & o1613 ) | ( ( o713 & o1713 ) | ( ( o713 & o1813 ) | ( ( o713 & o1913 ) | ( ( o713 & o2013 ) | ( ( o813 & o913 ) | ( ( o813 & o1013 ) | ( ( o813 & o1113 ) | ( ( o813 & o1213 ) | ( ( o813 & o1313 ) | ( ( o813 & o1413 ) | ( ( o813 & o1513 ) | ( ( o813 & o1613 ) | ( ( o813 & o1713 ) | ( ( o813 & o1813 ) | ( ( o813 & o1913 ) | ( ( o813 & o2013 ) | ( ( o913 & o1013 ) | ( ( o913 & o1113 ) | ( ( o913 & o1213 ) | ( ( o913 & o1313 ) | ( ( o913 & o1413 ) | ( ( o913 & o1513 ) | ( ( o913 & o1613 ) | ( ( o913 & o1713 ) | ( ( o913 & o1813 ) | ( ( o913 & o1913 ) | ( ( o913 & o2013 ) | ( ( o1013 & o1113 ) | ( ( o1013 & o1213 ) | ( ( o1013 & o1313 ) | ( ( o1013 & o1413 ) | ( ( o1013 & o1513 ) | ( ( o1013 & o1613 ) | ( ( o1013 & o1713 ) | ( ( o1013 & o1813 ) | ( ( o1013 & o1913 ) | ( ( o1013 & o2013 ) | ( ( o1113 & o1213 ) | ( ( o1113 & o1313 ) | ( ( o1113 & o1413 ) | ( ( o1113 & o1513 ) | ( ( o1113 & o1613 ) | ( ( o1113 & o1713 ) | ( ( o1113 & o1813 ) | ( ( o1113 & o1913 ) | ( ( o1113 & o2013 ) | ( ( o1213 & o1313 ) | ( ( o1213 & o1413 ) | ( ( o1213 & o1513 ) | ( ( o1213 & o1613 ) | ( ( o1213 & o1713 ) | ( ( o1213 & o1813 ) | ( ( o1213 & o1913 ) | ( ( o1213 & o2013 ) | ( ( o1313 & o1413 ) | ( ( o1313 & o1513 ) | ( ( o1313 & o1613 ) | ( ( o1313 & o1713 ) | ( ( o1313 & o1813 ) | ( ( o1313 & o1913 ) | ( ( o1313 & o2013 ) | ( ( o1413 & o1513 ) | ( ( o1413 & o1613 ) | ( ( o1413 & o1713 ) | ( ( o1413 & o1813 ) | ( ( o1413 & o1913 ) | ( ( o1413 & o2013 ) | ( ( o1513 & o1613 ) | ( ( o1513 & o1713 ) | ( ( o1513 & o1813 ) | ( ( o1513 & o1913 ) | ( ( o1513 & o2013 ) | ( ( o1613 & o1713 ) | ( ( o1613 & o1813 ) | ( ( o1613 & o1913 ) | ( ( o1613 & o2013 ) | ( ( o1713 & o1813 ) | ( ( o1713 & o1913 ) | ( ( o1713 & o2013 ) | ( ( o1813 & o1913 ) | ( ( o1813 & o2013 ) | ( ( o1913 & o2013 ) | ( ( o114 & o214 ) | ( ( o114 & o314 ) | ( ( o114 & o414 ) | ( ( o114 & o514 ) | ( ( o114 & o614 ) | ( ( o114 & o714 ) | ( ( o114 & o814 ) | ( ( o114 & o914 ) | ( ( o114 & o1014 ) | ( ( o114 & o1114 ) | ( ( o114 & o1214 ) | ( ( o114 & o1314 ) | ( ( o114 & o1414 ) | ( ( o114 & o1514 ) | ( ( o114 & o1614 ) | ( ( o114 & o1714 ) | ( ( o114 & o1814 ) | ( ( o114 & o1914 ) | ( ( o114 & o2014 ) | ( ( o214 & o314 ) | ( ( o214 & o414 ) | ( ( o214 & o514 ) | ( ( o214 & o614 ) | ( ( o214 & o714 ) | ( ( o214 & o814 ) | ( ( o214 & o914 ) | ( ( o214 & o1014 ) | ( ( o214 & o1114 ) | ( ( o214 & o1214 ) | ( ( o214 & o1314 ) | ( ( o214 & o1414 ) | ( ( o214 & o1514 ) | ( ( o214 & o1614 ) | ( ( o214 & o1714 ) | ( ( o214 & o1814 ) | ( ( o214 & o1914 ) | ( ( o214 & o2014 ) | ( ( o314 & o414 ) | ( ( o314 & o514 ) | ( ( o314 & o614 ) | ( ( o314 & o714 ) | ( ( o314 & o814 ) | ( ( o314 & o914 ) | ( ( o314 & o1014 ) | ( ( o314 & o1114 ) | ( ( o314 & o1214 ) | ( ( o314 & o1314 ) | ( ( o314 & o1414 ) | ( ( o314 & o1514 ) | ( ( o314 & o1614 ) | ( ( o314 & o1714 ) | ( ( o314 & o1814 ) | ( ( o314 & o1914 ) | ( ( o314 & o2014 ) | ( ( o414 & o514 ) | ( ( o414 & o614 ) | ( ( o414 & o714 ) | ( ( o414 & o814 ) | ( ( o414 & o914 ) | ( ( o414 & o1014 ) | ( ( o414 & o1114 ) | ( ( o414 & o1214 ) | ( ( o414 & o1314 ) | ( ( o414 & o1414 ) | ( ( o414 & o1514 ) | ( ( o414 & o1614 ) | ( ( o414 & o1714 ) | ( ( o414 & o1814 ) | ( ( o414 & o1914 ) | ( ( o414 & o2014 ) | ( ( o514 & o614 ) | ( ( o514 & o714 ) | ( ( o514 & o814 ) | ( ( o514 & o914 ) | ( ( o514 & o1014 ) | ( ( o514 & o1114 ) | ( ( o514 & o1214 ) | ( ( o514 & o1314 ) | ( ( o514 & o1414 ) | ( ( o514 & o1514 ) | ( ( o514 & o1614 ) | ( ( o514 & o1714 ) | ( ( o514 & o1814 ) | ( ( o514 & o1914 ) | ( ( o514 & o2014 ) | ( ( o614 & o714 ) | ( ( o614 & o814 ) | ( ( o614 & o914 ) | ( ( o614 & o1014 ) | ( ( o614 & o1114 ) | ( ( o614 & o1214 ) | ( ( o614 & o1314 ) | ( ( o614 & o1414 ) | ( ( o614 & o1514 ) | ( ( o614 & o1614 ) | ( ( o614 & o1714 ) | ( ( o614 & o1814 ) | ( ( o614 & o1914 ) | ( ( o614 & o2014 ) | ( ( o714 & o814 ) | ( ( o714 & o914 ) | ( ( o714 & o1014 ) | ( ( o714 & o1114 ) | ( ( o714 & o1214 ) | ( ( o714 & o1314 ) | ( ( o714 & o1414 ) | ( ( o714 & o1514 ) | ( ( o714 & o1614 ) | ( ( o714 & o1714 ) | ( ( o714 & o1814 ) | ( ( o714 & o1914 ) | ( ( o714 & o2014 ) | ( ( o814 & o914 ) | ( ( o814 & o1014 ) | ( ( o814 & o1114 ) | ( ( o814 & o1214 ) | ( ( o814 & o1314 ) | ( ( o814 & o1414 ) | ( ( o814 & o1514 ) | ( ( o814 & o1614 ) | ( ( o814 & o1714 ) | ( ( o814 & o1814 ) | ( ( o814 & o1914 ) | ( ( o814 & o2014 ) | ( ( o914 & o1014 ) | ( ( o914 & o1114 ) | ( ( o914 & o1214 ) | ( ( o914 & o1314 ) | ( ( o914 & o1414 ) | ( ( o914 & o1514 ) | ( ( o914 & o1614 ) | ( ( o914 & o1714 ) | ( ( o914 & o1814 ) | ( ( o914 & o1914 ) | ( ( o914 & o2014 ) | ( ( o1014 & o1114 ) | ( ( o1014 & o1214 ) | ( ( o1014 & o1314 ) | ( ( o1014 & o1414 ) | ( ( o1014 & o1514 ) | ( ( o1014 & o1614 ) | ( ( o1014 & o1714 ) | ( ( o1014 & o1814 ) | ( ( o1014 & o1914 ) | ( ( o1014 & o2014 ) | ( ( o1114 & o1214 ) | ( ( o1114 & o1314 ) | ( ( o1114 & o1414 ) | ( ( o1114 & o1514 ) | ( ( o1114 & o1614 ) | ( ( o1114 & o1714 ) | ( ( o1114 & o1814 ) | ( ( o1114 & o1914 ) | ( ( o1114 & o2014 ) | ( ( o1214 & o1314 ) | ( ( o1214 & o1414 ) | ( ( o1214 & o1514 ) | ( ( o1214 & o1614 ) | ( ( o1214 & o1714 ) | ( ( o1214 & o1814 ) | ( ( o1214 & o1914 ) | ( ( o1214 & o2014 ) | ( ( o1314 & o1414 ) | ( ( o1314 & o1514 ) | ( ( o1314 & o1614 ) | ( ( o1314 & o1714 ) | ( ( o1314 & o1814 ) | ( ( o1314 & o1914 ) | ( ( o1314 & o2014 ) | ( ( o1414 & o1514 ) | ( ( o1414 & o1614 ) | ( ( o1414 & o1714 ) | ( ( o1414 & o1814 ) | ( ( o1414 & o1914 ) | ( ( o1414 & o2014 ) | ( ( o1514 & o1614 ) | ( ( o1514 & o1714 ) | ( ( o1514 & o1814 ) | ( ( o1514 & o1914 ) | ( ( o1514 & o2014 ) | ( ( o1614 & o1714 ) | ( ( o1614 & o1814 ) | ( ( o1614 & o1914 ) | ( ( o1614 & o2014 ) | ( ( o1714 & o1814 ) | ( ( o1714 & o1914 ) | ( ( o1714 & o2014 ) | ( ( o1814 & o1914 ) | ( ( o1814 & o2014 ) | ( ( o1914 & o2014 ) | ( ( o115 & o215 ) | ( ( o115 & o315 ) | ( ( o115 & o415 ) | ( ( o115 & o515 ) | ( ( o115 & o615 ) | ( ( o115 & o715 ) | ( ( o115 & o815 ) | ( ( o115 & o915 ) | ( ( o115 & o1015 ) | ( ( o115 & o1115 ) | ( ( o115 & o1215 ) | ( ( o115 & o1315 ) | ( ( o115 & o1415 ) | ( ( o115 & o1515 ) | ( ( o115 & o1615 ) | ( ( o115 & o1715 ) | ( ( o115 & o1815 ) | ( ( o115 & o1915 ) | ( ( o115 & o2015 ) | ( ( o215 & o315 ) | ( ( o215 & o415 ) | ( ( o215 & o515 ) | ( ( o215 & o615 ) | ( ( o215 & o715 ) | ( ( o215 & o815 ) | ( ( o215 & o915 ) | ( ( o215 & o1015 ) | ( ( o215 & o1115 ) | ( ( o215 & o1215 ) | ( ( o215 & o1315 ) | ( ( o215 & o1415 ) | ( ( o215 & o1515 ) | ( ( o215 & o1615 ) | ( ( o215 & o1715 ) | ( ( o215 & o1815 ) | ( ( o215 & o1915 ) | ( ( o215 & o2015 ) | ( ( o315 & o415 ) | ( ( o315 & o515 ) | ( ( o315 & o615 ) | ( ( o315 & o715 ) | ( ( o315 & o815 ) | ( ( o315 & o915 ) | ( ( o315 & o1015 ) | ( ( o315 & o1115 ) | ( ( o315 & o1215 ) | ( ( o315 & o1315 ) | ( ( o315 & o1415 ) | ( ( o315 & o1515 ) | ( ( o315 & o1615 ) | ( ( o315 & o1715 ) | ( ( o315 & o1815 ) | ( ( o315 & o1915 ) | ( ( o315 & o2015 ) | ( ( o415 & o515 ) | ( ( o415 & o615 ) | ( ( o415 & o715 ) | ( ( o415 & o815 ) | ( ( o415 & o915 ) | ( ( o415 & o1015 ) | ( ( o415 & o1115 ) | ( ( o415 & o1215 ) | ( ( o415 & o1315 ) | ( ( o415 & o1415 ) | ( ( o415 & o1515 ) | ( ( o415 & o1615 ) | ( ( o415 & o1715 ) | ( ( o415 & o1815 ) | ( ( o415 & o1915 ) | ( ( o415 & o2015 ) | ( ( o515 & o615 ) | ( ( o515 & o715 ) | ( ( o515 & o815 ) | ( ( o515 & o915 ) | ( ( o515 & o1015 ) | ( ( o515 & o1115 ) | ( ( o515 & o1215 ) | ( ( o515 & o1315 ) | ( ( o515 & o1415 ) | ( ( o515 & o1515 ) | ( ( o515 & o1615 ) | ( ( o515 & o1715 ) | ( ( o515 & o1815 ) | ( ( o515 & o1915 ) | ( ( o515 & o2015 ) | ( ( o615 & o715 ) | ( ( o615 & o815 ) | ( ( o615 & o915 ) | ( ( o615 & o1015 ) | ( ( o615 & o1115 ) | ( ( o615 & o1215 ) | ( ( o615 & o1315 ) | ( ( o615 & o1415 ) | ( ( o615 & o1515 ) | ( ( o615 & o1615 ) | ( ( o615 & o1715 ) | ( ( o615 & o1815 ) | ( ( o615 & o1915 ) | ( ( o615 & o2015 ) | ( ( o715 & o815 ) | ( ( o715 & o915 ) | ( ( o715 & o1015 ) | ( ( o715 & o1115 ) | ( ( o715 & o1215 ) | ( ( o715 & o1315 ) | ( ( o715 & o1415 ) | ( ( o715 & o1515 ) | ( ( o715 & o1615 ) | ( ( o715 & o1715 ) | ( ( o715 & o1815 ) | ( ( o715 & o1915 ) | ( ( o715 & o2015 ) | ( ( o815 & o915 ) | ( ( o815 & o1015 ) | ( ( o815 & o1115 ) | ( ( o815 & o1215 ) | ( ( o815 & o1315 ) | ( ( o815 & o1415 ) | ( ( o815 & o1515 ) | ( ( o815 & o1615 ) | ( ( o815 & o1715 ) | ( ( o815 & o1815 ) | ( ( o815 & o1915 ) | ( ( o815 & o2015 ) | ( ( o915 & o1015 ) | ( ( o915 & o1115 ) | ( ( o915 & o1215 ) | ( ( o915 & o1315 ) | ( ( o915 & o1415 ) | ( ( o915 & o1515 ) | ( ( o915 & o1615 ) | ( ( o915 & o1715 ) | ( ( o915 & o1815 ) | ( ( o915 & o1915 ) | ( ( o915 & o2015 ) | ( ( o1015 & o1115 ) | ( ( o1015 & o1215 ) | ( ( o1015 & o1315 ) | ( ( o1015 & o1415 ) | ( ( o1015 & o1515 ) | ( ( o1015 & o1615 ) | ( ( o1015 & o1715 ) | ( ( o1015 & o1815 ) | ( ( o1015 & o1915 ) | ( ( o1015 & o2015 ) | ( ( o1115 & o1215 ) | ( ( o1115 & o1315 ) | ( ( o1115 & o1415 ) | ( ( o1115 & o1515 ) | ( ( o1115 & o1615 ) | ( ( o1115 & o1715 ) | ( ( o1115 & o1815 ) | ( ( o1115 & o1915 ) | ( ( o1115 & o2015 ) | ( ( o1215 & o1315 ) | ( ( o1215 & o1415 ) | ( ( o1215 & o1515 ) | ( ( o1215 & o1615 ) | ( ( o1215 & o1715 ) | ( ( o1215 & o1815 ) | ( ( o1215 & o1915 ) | ( ( o1215 & o2015 ) | ( ( o1315 & o1415 ) | ( ( o1315 & o1515 ) | ( ( o1315 & o1615 ) | ( ( o1315 & o1715 ) | ( ( o1315 & o1815 ) | ( ( o1315 & o1915 ) | ( ( o1315 & o2015 ) | ( ( o1415 & o1515 ) | ( ( o1415 & o1615 ) | ( ( o1415 & o1715 ) | ( ( o1415 & o1815 ) | ( ( o1415 & o1915 ) | ( ( o1415 & o2015 ) | ( ( o1515 & o1615 ) | ( ( o1515 & o1715 ) | ( ( o1515 & o1815 ) | ( ( o1515 & o1915 ) | ( ( o1515 & o2015 ) | ( ( o1615 & o1715 ) | ( ( o1615 & o1815 ) | ( ( o1615 & o1915 ) | ( ( o1615 & o2015 ) | ( ( o1715 & o1815 ) | ( ( o1715 & o1915 ) | ( ( o1715 & o2015 ) | ( ( o1815 & o1915 ) | ( ( o1815 & o2015 ) | ( ( o1915 & o2015 ) | ( ( o116 & o216 ) | ( ( o116 & o316 ) | ( ( o116 & o416 ) | ( ( o116 & o516 ) | ( ( o116 & o616 ) | ( ( o116 & o716 ) | ( ( o116 & o816 ) | ( ( o116 & o916 ) | ( ( o116 & o1016 ) | ( ( o116 & o1116 ) | ( ( o116 & o1216 ) | ( ( o116 & o1316 ) | ( ( o116 & o1416 ) | ( ( o116 & o1516 ) | ( ( o116 & o1616 ) | ( ( o116 & o1716 ) | ( ( o116 & o1816 ) | ( ( o116 & o1916 ) | ( ( o116 & o2016 ) | ( ( o216 & o316 ) | ( ( o216 & o416 ) | ( ( o216 & o516 ) | ( ( o216 & o616 ) | ( ( o216 & o716 ) | ( ( o216 & o816 ) | ( ( o216 & o916 ) | ( ( o216 & o1016 ) | ( ( o216 & o1116 ) | ( ( o216 & o1216 ) | ( ( o216 & o1316 ) | ( ( o216 & o1416 ) | ( ( o216 & o1516 ) | ( ( o216 & o1616 ) | ( ( o216 & o1716 ) | ( ( o216 & o1816 ) | ( ( o216 & o1916 ) | ( ( o216 & o2016 ) | ( ( o316 & o416 ) | ( ( o316 & o516 ) | ( ( o316 & o616 ) | ( ( o316 & o716 ) | ( ( o316 & o816 ) | ( ( o316 & o916 ) | ( ( o316 & o1016 ) | ( ( o316 & o1116 ) | ( ( o316 & o1216 ) | ( ( o316 & o1316 ) | ( ( o316 & o1416 ) | ( ( o316 & o1516 ) | ( ( o316 & o1616 ) | ( ( o316 & o1716 ) | ( ( o316 & o1816 ) | ( ( o316 & o1916 ) | ( ( o316 & o2016 ) | ( ( o416 & o516 ) | ( ( o416 & o616 ) | ( ( o416 & o716 ) | ( ( o416 & o816 ) | ( ( o416 & o916 ) | ( ( o416 & o1016 ) | ( ( o416 & o1116 ) | ( ( o416 & o1216 ) | ( ( o416 & o1316 ) | ( ( o416 & o1416 ) | ( ( o416 & o1516 ) | ( ( o416 & o1616 ) | ( ( o416 & o1716 ) | ( ( o416 & o1816 ) | ( ( o416 & o1916 ) | ( ( o416 & o2016 ) | ( ( o516 & o616 ) | ( ( o516 & o716 ) | ( ( o516 & o816 ) | ( ( o516 & o916 ) | ( ( o516 & o1016 ) | ( ( o516 & o1116 ) | ( ( o516 & o1216 ) | ( ( o516 & o1316 ) | ( ( o516 & o1416 ) | ( ( o516 & o1516 ) | ( ( o516 & o1616 ) | ( ( o516 & o1716 ) | ( ( o516 & o1816 ) | ( ( o516 & o1916 ) | ( ( o516 & o2016 ) | ( ( o616 & o716 ) | ( ( o616 & o816 ) | ( ( o616 & o916 ) | ( ( o616 & o1016 ) | ( ( o616 & o1116 ) | ( ( o616 & o1216 ) | ( ( o616 & o1316 ) | ( ( o616 & o1416 ) | ( ( o616 & o1516 ) | ( ( o616 & o1616 ) | ( ( o616 & o1716 ) | ( ( o616 & o1816 ) | ( ( o616 & o1916 ) | ( ( o616 & o2016 ) | ( ( o716 & o816 ) | ( ( o716 & o916 ) | ( ( o716 & o1016 ) | ( ( o716 & o1116 ) | ( ( o716 & o1216 ) | ( ( o716 & o1316 ) | ( ( o716 & o1416 ) | ( ( o716 & o1516 ) | ( ( o716 & o1616 ) | ( ( o716 & o1716 ) | ( ( o716 & o1816 ) | ( ( o716 & o1916 ) | ( ( o716 & o2016 ) | ( ( o816 & o916 ) | ( ( o816 & o1016 ) | ( ( o816 & o1116 ) | ( ( o816 & o1216 ) | ( ( o816 & o1316 ) | ( ( o816 & o1416 ) | ( ( o816 & o1516 ) | ( ( o816 & o1616 ) | ( ( o816 & o1716 ) | ( ( o816 & o1816 ) | ( ( o816 & o1916 ) | ( ( o816 & o2016 ) | ( ( o916 & o1016 ) | ( ( o916 & o1116 ) | ( ( o916 & o1216 ) | ( ( o916 & o1316 ) | ( ( o916 & o1416 ) | ( ( o916 & o1516 ) | ( ( o916 & o1616 ) | ( ( o916 & o1716 ) | ( ( o916 & o1816 ) | ( ( o916 & o1916 ) | ( ( o916 & o2016 ) | ( ( o1016 & o1116 ) | ( ( o1016 & o1216 ) | ( ( o1016 & o1316 ) | ( ( o1016 & o1416 ) | ( ( o1016 & o1516 ) | ( ( o1016 & o1616 ) | ( ( o1016 & o1716 ) | ( ( o1016 & o1816 ) | ( ( o1016 & o1916 ) | ( ( o1016 & o2016 ) | ( ( o1116 & o1216 ) | ( ( o1116 & o1316 ) | ( ( o1116 & o1416 ) | ( ( o1116 & o1516 ) | ( ( o1116 & o1616 ) | ( ( o1116 & o1716 ) | ( ( o1116 & o1816 ) | ( ( o1116 & o1916 ) | ( ( o1116 & o2016 ) | ( ( o1216 & o1316 ) | ( ( o1216 & o1416 ) | ( ( o1216 & o1516 ) | ( ( o1216 & o1616 ) | ( ( o1216 & o1716 ) | ( ( o1216 & o1816 ) | ( ( o1216 & o1916 ) | ( ( o1216 & o2016 ) | ( ( o1316 & o1416 ) | ( ( o1316 & o1516 ) | ( ( o1316 & o1616 ) | ( ( o1316 & o1716 ) | ( ( o1316 & o1816 ) | ( ( o1316 & o1916 ) | ( ( o1316 & o2016 ) | ( ( o1416 & o1516 ) | ( ( o1416 & o1616 ) | ( ( o1416 & o1716 ) | ( ( o1416 & o1816 ) | ( ( o1416 & o1916 ) | ( ( o1416 & o2016 ) | ( ( o1516 & o1616 ) | ( ( o1516 & o1716 ) | ( ( o1516 & o1816 ) | ( ( o1516 & o1916 ) | ( ( o1516 & o2016 ) | ( ( o1616 & o1716 ) | ( ( o1616 & o1816 ) | ( ( o1616 & o1916 ) | ( ( o1616 & o2016 ) | ( ( o1716 & o1816 ) | ( ( o1716 & o1916 ) | ( ( o1716 & o2016 ) | ( ( o1816 & o1916 ) | ( ( o1816 & o2016 ) | ( ( o1916 & o2016 ) | ( ( o117 & o217 ) | ( ( o117 & o317 ) | ( ( o117 & o417 ) | ( ( o117 & o517 ) | ( ( o117 & o617 ) | ( ( o117 & o717 ) | ( ( o117 & o817 ) | ( ( o117 & o917 ) | ( ( o117 & o1017 ) | ( ( o117 & o1117 ) | ( ( o117 & o1217 ) | ( ( o117 & o1317 ) | ( ( o117 & o1417 ) | ( ( o117 & o1517 ) | ( ( o117 & o1617 ) | ( ( o117 & o1717 ) | ( ( o117 & o1817 ) | ( ( o117 & o1917 ) | ( ( o117 & o2017 ) | ( ( o217 & o317 ) | ( ( o217 & o417 ) | ( ( o217 & o517 ) | ( ( o217 & o617 ) | ( ( o217 & o717 ) | ( ( o217 & o817 ) | ( ( o217 & o917 ) | ( ( o217 & o1017 ) | ( ( o217 & o1117 ) | ( ( o217 & o1217 ) | ( ( o217 & o1317 ) | ( ( o217 & o1417 ) | ( ( o217 & o1517 ) | ( ( o217 & o1617 ) | ( ( o217 & o1717 ) | ( ( o217 & o1817 ) | ( ( o217 & o1917 ) | ( ( o217 & o2017 ) | ( ( o317 & o417 ) | ( ( o317 & o517 ) | ( ( o317 & o617 ) | ( ( o317 & o717 ) | ( ( o317 & o817 ) | ( ( o317 & o917 ) | ( ( o317 & o1017 ) | ( ( o317 & o1117 ) | ( ( o317 & o1217 ) | ( ( o317 & o1317 ) | ( ( o317 & o1417 ) | ( ( o317 & o1517 ) | ( ( o317 & o1617 ) | ( ( o317 & o1717 ) | ( ( o317 & o1817 ) | ( ( o317 & o1917 ) | ( ( o317 & o2017 ) | ( ( o417 & o517 ) | ( ( o417 & o617 ) | ( ( o417 & o717 ) | ( ( o417 & o817 ) | ( ( o417 & o917 ) | ( ( o417 & o1017 ) | ( ( o417 & o1117 ) | ( ( o417 & o1217 ) | ( ( o417 & o1317 ) | ( ( o417 & o1417 ) | ( ( o417 & o1517 ) | ( ( o417 & o1617 ) | ( ( o417 & o1717 ) | ( ( o417 & o1817 ) | ( ( o417 & o1917 ) | ( ( o417 & o2017 ) | ( ( o517 & o617 ) | ( ( o517 & o717 ) | ( ( o517 & o817 ) | ( ( o517 & o917 ) | ( ( o517 & o1017 ) | ( ( o517 & o1117 ) | ( ( o517 & o1217 ) | ( ( o517 & o1317 ) | ( ( o517 & o1417 ) | ( ( o517 & o1517 ) | ( ( o517 & o1617 ) | ( ( o517 & o1717 ) | ( ( o517 & o1817 ) | ( ( o517 & o1917 ) | ( ( o517 & o2017 ) | ( ( o617 & o717 ) | ( ( o617 & o817 ) | ( ( o617 & o917 ) | ( ( o617 & o1017 ) | ( ( o617 & o1117 ) | ( ( o617 & o1217 ) | ( ( o617 & o1317 ) | ( ( o617 & o1417 ) | ( ( o617 & o1517 ) | ( ( o617 & o1617 ) | ( ( o617 & o1717 ) | ( ( o617 & o1817 ) | ( ( o617 & o1917 ) | ( ( o617 & o2017 ) | ( ( o717 & o817 ) | ( ( o717 & o917 ) | ( ( o717 & o1017 ) | ( ( o717 & o1117 ) | ( ( o717 & o1217 ) | ( ( o717 & o1317 ) | ( ( o717 & o1417 ) | ( ( o717 & o1517 ) | ( ( o717 & o1617 ) | ( ( o717 & o1717 ) | ( ( o717 & o1817 ) | ( ( o717 & o1917 ) | ( ( o717 & o2017 ) | ( ( o817 & o917 ) | ( ( o817 & o1017 ) | ( ( o817 & o1117 ) | ( ( o817 & o1217 ) | ( ( o817 & o1317 ) | ( ( o817 & o1417 ) | ( ( o817 & o1517 ) | ( ( o817 & o1617 ) | ( ( o817 & o1717 ) | ( ( o817 & o1817 ) | ( ( o817 & o1917 ) | ( ( o817 & o2017 ) | ( ( o917 & o1017 ) | ( ( o917 & o1117 ) | ( ( o917 & o1217 ) | ( ( o917 & o1317 ) | ( ( o917 & o1417 ) | ( ( o917 & o1517 ) | ( ( o917 & o1617 ) | ( ( o917 & o1717 ) | ( ( o917 & o1817 ) | ( ( o917 & o1917 ) | ( ( o917 & o2017 ) | ( ( o1017 & o1117 ) | ( ( o1017 & o1217 ) | ( ( o1017 & o1317 ) | ( ( o1017 & o1417 ) | ( ( o1017 & o1517 ) | ( ( o1017 & o1617 ) | ( ( o1017 & o1717 ) | ( ( o1017 & o1817 ) | ( ( o1017 & o1917 ) | ( ( o1017 & o2017 ) | ( ( o1117 & o1217 ) | ( ( o1117 & o1317 ) | ( ( o1117 & o1417 ) | ( ( o1117 & o1517 ) | ( ( o1117 & o1617 ) | ( ( o1117 & o1717 ) | ( ( o1117 & o1817 ) | ( ( o1117 & o1917 ) | ( ( o1117 & o2017 ) | ( ( o1217 & o1317 ) | ( ( o1217 & o1417 ) | ( ( o1217 & o1517 ) | ( ( o1217 & o1617 ) | ( ( o1217 & o1717 ) | ( ( o1217 & o1817 ) | ( ( o1217 & o1917 ) | ( ( o1217 & o2017 ) | ( ( o1317 & o1417 ) | ( ( o1317 & o1517 ) | ( ( o1317 & o1617 ) | ( ( o1317 & o1717 ) | ( ( o1317 & o1817 ) | ( ( o1317 & o1917 ) | ( ( o1317 & o2017 ) | ( ( o1417 & o1517 ) | ( ( o1417 & o1617 ) | ( ( o1417 & o1717 ) | ( ( o1417 & o1817 ) | ( ( o1417 & o1917 ) | ( ( o1417 & o2017 ) | ( ( o1517 & o1617 ) | ( ( o1517 & o1717 ) | ( ( o1517 & o1817 ) | ( ( o1517 & o1917 ) | ( ( o1517 & o2017 ) | ( ( o1617 & o1717 ) | ( ( o1617 & o1817 ) | ( ( o1617 & o1917 ) | ( ( o1617 & o2017 ) | ( ( o1717 & o1817 ) | ( ( o1717 & o1917 ) | ( ( o1717 & o2017 ) | ( ( o1817 & o1917 ) | ( ( o1817 & o2017 ) | ( ( o1917 & o2017 ) | ( ( o118 & o218 ) | ( ( o118 & o318 ) | ( ( o118 & o418 ) | ( ( o118 & o518 ) | ( ( o118 & o618 ) | ( ( o118 & o718 ) | ( ( o118 & o818 ) | ( ( o118 & o918 ) | ( ( o118 & o1018 ) | ( ( o118 & o1118 ) | ( ( o118 & o1218 ) | ( ( o118 & o1318 ) | ( ( o118 & o1418 ) | ( ( o118 & o1518 ) | ( ( o118 & o1618 ) | ( ( o118 & o1718 ) | ( ( o118 & o1818 ) | ( ( o118 & o1918 ) | ( ( o118 & o2018 ) | ( ( o218 & o318 ) | ( ( o218 & o418 ) | ( ( o218 & o518 ) | ( ( o218 & o618 ) | ( ( o218 & o718 ) | ( ( o218 & o818 ) | ( ( o218 & o918 ) | ( ( o218 & o1018 ) | ( ( o218 & o1118 ) | ( ( o218 & o1218 ) | ( ( o218 & o1318 ) | ( ( o218 & o1418 ) | ( ( o218 & o1518 ) | ( ( o218 & o1618 ) | ( ( o218 & o1718 ) | ( ( o218 & o1818 ) | ( ( o218 & o1918 ) | ( ( o218 & o2018 ) | ( ( o318 & o418 ) | ( ( o318 & o518 ) | ( ( o318 & o618 ) | ( ( o318 & o718 ) | ( ( o318 & o818 ) | ( ( o318 & o918 ) | ( ( o318 & o1018 ) | ( ( o318 & o1118 ) | ( ( o318 & o1218 ) | ( ( o318 & o1318 ) | ( ( o318 & o1418 ) | ( ( o318 & o1518 ) | ( ( o318 & o1618 ) | ( ( o318 & o1718 ) | ( ( o318 & o1818 ) | ( ( o318 & o1918 ) | ( ( o318 & o2018 ) | ( ( o418 & o518 ) | ( ( o418 & o618 ) | ( ( o418 & o718 ) | ( ( o418 & o818 ) | ( ( o418 & o918 ) | ( ( o418 & o1018 ) | ( ( o418 & o1118 ) | ( ( o418 & o1218 ) | ( ( o418 & o1318 ) | ( ( o418 & o1418 ) | ( ( o418 & o1518 ) | ( ( o418 & o1618 ) | ( ( o418 & o1718 ) | ( ( o418 & o1818 ) | ( ( o418 & o1918 ) | ( ( o418 & o2018 ) | ( ( o518 & o618 ) | ( ( o518 & o718 ) | ( ( o518 & o818 ) | ( ( o518 & o918 ) | ( ( o518 & o1018 ) | ( ( o518 & o1118 ) | ( ( o518 & o1218 ) | ( ( o518 & o1318 ) | ( ( o518 & o1418 ) | ( ( o518 & o1518 ) | ( ( o518 & o1618 ) | ( ( o518 & o1718 ) | ( ( o518 & o1818 ) | ( ( o518 & o1918 ) | ( ( o518 & o2018 ) | ( ( o618 & o718 ) | ( ( o618 & o818 ) | ( ( o618 & o918 ) | ( ( o618 & o1018 ) | ( ( o618 & o1118 ) | ( ( o618 & o1218 ) | ( ( o618 & o1318 ) | ( ( o618 & o1418 ) | ( ( o618 & o1518 ) | ( ( o618 & o1618 ) | ( ( o618 & o1718 ) | ( ( o618 & o1818 ) | ( ( o618 & o1918 ) | ( ( o618 & o2018 ) | ( ( o718 & o818 ) | ( ( o718 & o918 ) | ( ( o718 & o1018 ) | ( ( o718 & o1118 ) | ( ( o718 & o1218 ) | ( ( o718 & o1318 ) | ( ( o718 & o1418 ) | ( ( o718 & o1518 ) | ( ( o718 & o1618 ) | ( ( o718 & o1718 ) | ( ( o718 & o1818 ) | ( ( o718 & o1918 ) | ( ( o718 & o2018 ) | ( ( o818 & o918 ) | ( ( o818 & o1018 ) | ( ( o818 & o1118 ) | ( ( o818 & o1218 ) | ( ( o818 & o1318 ) | ( ( o818 & o1418 ) | ( ( o818 & o1518 ) | ( ( o818 & o1618 ) | ( ( o818 & o1718 ) | ( ( o818 & o1818 ) | ( ( o818 & o1918 ) | ( ( o818 & o2018 ) | ( ( o918 & o1018 ) | ( ( o918 & o1118 ) | ( ( o918 & o1218 ) | ( ( o918 & o1318 ) | ( ( o918 & o1418 ) | ( ( o918 & o1518 ) | ( ( o918 & o1618 ) | ( ( o918 & o1718 ) | ( ( o918 & o1818 ) | ( ( o918 & o1918 ) | ( ( o918 & o2018 ) | ( ( o1018 & o1118 ) | ( ( o1018 & o1218 ) | ( ( o1018 & o1318 ) | ( ( o1018 & o1418 ) | ( ( o1018 & o1518 ) | ( ( o1018 & o1618 ) | ( ( o1018 & o1718 ) | ( ( o1018 & o1818 ) | ( ( o1018 & o1918 ) | ( ( o1018 & o2018 ) | ( ( o1118 & o1218 ) | ( ( o1118 & o1318 ) | ( ( o1118 & o1418 ) | ( ( o1118 & o1518 ) | ( ( o1118 & o1618 ) | ( ( o1118 & o1718 ) | ( ( o1118 & o1818 ) | ( ( o1118 & o1918 ) | ( ( o1118 & o2018 ) | ( ( o1218 & o1318 ) | ( ( o1218 & o1418 ) | ( ( o1218 & o1518 ) | ( ( o1218 & o1618 ) | ( ( o1218 & o1718 ) | ( ( o1218 & o1818 ) | ( ( o1218 & o1918 ) | ( ( o1218 & o2018 ) | ( ( o1318 & o1418 ) | ( ( o1318 & o1518 ) | ( ( o1318 & o1618 ) | ( ( o1318 & o1718 ) | ( ( o1318 & o1818 ) | ( ( o1318 & o1918 ) | ( ( o1318 & o2018 ) | ( ( o1418 & o1518 ) | ( ( o1418 & o1618 ) | ( ( o1418 & o1718 ) | ( ( o1418 & o1818 ) | ( ( o1418 & o1918 ) | ( ( o1418 & o2018 ) | ( ( o1518 & o1618 ) | ( ( o1518 & o1718 ) | ( ( o1518 & o1818 ) | ( ( o1518 & o1918 ) | ( ( o1518 & o2018 ) | ( ( o1618 & o1718 ) | ( ( o1618 & o1818 ) | ( ( o1618 & o1918 ) | ( ( o1618 & o2018 ) | ( ( o1718 & o1818 ) | ( ( o1718 & o1918 ) | ( ( o1718 & o2018 ) | ( ( o1818 & o1918 ) | ( ( o1818 & o2018 ) | ( ( o1918 & o2018 ) | ( ( o119 & o219 ) | ( ( o119 & o319 ) | ( ( o119 & o419 ) | ( ( o119 & o519 ) | ( ( o119 & o619 ) | ( ( o119 & o719 ) | ( ( o119 & o819 ) | ( ( o119 & o919 ) | ( ( o119 & o1019 ) | ( ( o119 & o1119 ) | ( ( o119 & o1219 ) | ( ( o119 & o1319 ) | ( ( o119 & o1419 ) | ( ( o119 & o1519 ) | ( ( o119 & o1619 ) | ( ( o119 & o1719 ) | ( ( o119 & o1819 ) | ( ( o119 & o1919 ) | ( ( o119 & o2019 ) | ( ( o219 & o319 ) | ( ( o219 & o419 ) | ( ( o219 & o519 ) | ( ( o219 & o619 ) | ( ( o219 & o719 ) | ( ( o219 & o819 ) | ( ( o219 & o919 ) | ( ( o219 & o1019 ) | ( ( o219 & o1119 ) | ( ( o219 & o1219 ) | ( ( o219 & o1319 ) | ( ( o219 & o1419 ) | ( ( o219 & o1519 ) | ( ( o219 & o1619 ) | ( ( o219 & o1719 ) | ( ( o219 & o1819 ) | ( ( o219 & o1919 ) | ( ( o219 & o2019 ) | ( ( o319 & o419 ) | ( ( o319 & o519 ) | ( ( o319 & o619 ) | ( ( o319 & o719 ) | ( ( o319 & o819 ) | ( ( o319 & o919 ) | ( ( o319 & o1019 ) | ( ( o319 & o1119 ) | ( ( o319 & o1219 ) | ( ( o319 & o1319 ) | ( ( o319 & o1419 ) | ( ( o319 & o1519 ) | ( ( o319 & o1619 ) | ( ( o319 & o1719 ) | ( ( o319 & o1819 ) | ( ( o319 & o1919 ) | ( ( o319 & o2019 ) | ( ( o419 & o519 ) | ( ( o419 & o619 ) | ( ( o419 & o719 ) | ( ( o419 & o819 ) | ( ( o419 & o919 ) | ( ( o419 & o1019 ) | ( ( o419 & o1119 ) | ( ( o419 & o1219 ) | ( ( o419 & o1319 ) | ( ( o419 & o1419 ) | ( ( o419 & o1519 ) | ( ( o419 & o1619 ) | ( ( o419 & o1719 ) | ( ( o419 & o1819 ) | ( ( o419 & o1919 ) | ( ( o419 & o2019 ) | ( ( o519 & o619 ) | ( ( o519 & o719 ) | ( ( o519 & o819 ) | ( ( o519 & o919 ) | ( ( o519 & o1019 ) | ( ( o519 & o1119 ) | ( ( o519 & o1219 ) | ( ( o519 & o1319 ) | ( ( o519 & o1419 ) | ( ( o519 & o1519 ) | ( ( o519 & o1619 ) | ( ( o519 & o1719 ) | ( ( o519 & o1819 ) | ( ( o519 & o1919 ) | ( ( o519 & o2019 ) | ( ( o619 & o719 ) | ( ( o619 & o819 ) | ( ( o619 & o919 ) | ( ( o619 & o1019 ) | ( ( o619 & o1119 ) | ( ( o619 & o1219 ) | ( ( o619 & o1319 ) | ( ( o619 & o1419 ) | ( ( o619 & o1519 ) | ( ( o619 & o1619 ) | ( ( o619 & o1719 ) | ( ( o619 & o1819 ) | ( ( o619 & o1919 ) | ( ( o619 & o2019 ) | ( ( o719 & o819 ) | ( ( o719 & o919 ) | ( ( o719 & o1019 ) | ( ( o719 & o1119 ) | ( ( o719 & o1219 ) | ( ( o719 & o1319 ) | ( ( o719 & o1419 ) | ( ( o719 & o1519 ) | ( ( o719 & o1619 ) | ( ( o719 & o1719 ) | ( ( o719 & o1819 ) | ( ( o719 & o1919 ) | ( ( o719 & o2019 ) | ( ( o819 & o919 ) | ( ( o819 & o1019 ) | ( ( o819 & o1119 ) | ( ( o819 & o1219 ) | ( ( o819 & o1319 ) | ( ( o819 & o1419 ) | ( ( o819 & o1519 ) | ( ( o819 & o1619 ) | ( ( o819 & o1719 ) | ( ( o819 & o1819 ) | ( ( o819 & o1919 ) | ( ( o819 & o2019 ) | ( ( o919 & o1019 ) | ( ( o919 & o1119 ) | ( ( o919 & o1219 ) | ( ( o919 & o1319 ) | ( ( o919 & o1419 ) | ( ( o919 & o1519 ) | ( ( o919 & o1619 ) | ( ( o919 & o1719 ) | ( ( o919 & o1819 ) | ( ( o919 & o1919 ) | ( ( o919 & o2019 ) | ( ( o1019 & o1119 ) | ( ( o1019 & o1219 ) | ( ( o1019 & o1319 ) | ( ( o1019 & o1419 ) | ( ( o1019 & o1519 ) | ( ( o1019 & o1619 ) | ( ( o1019 & o1719 ) | ( ( o1019 & o1819 ) | ( ( o1019 & o1919 ) | ( ( o1019 & o2019 ) | ( ( o1119 & o1219 ) | ( ( o1119 & o1319 ) | ( ( o1119 & o1419 ) | ( ( o1119 & o1519 ) | ( ( o1119 & o1619 ) | ( ( o1119 & o1719 ) | ( ( o1119 & o1819 ) | ( ( o1119 & o1919 ) | ( ( o1119 & o2019 ) | ( ( o1219 & o1319 ) | ( ( o1219 & o1419 ) | ( ( o1219 & o1519 ) | ( ( o1219 & o1619 ) | ( ( o1219 & o1719 ) | ( ( o1219 & o1819 ) | ( ( o1219 & o1919 ) | ( ( o1219 & o2019 ) | ( ( o1319 & o1419 ) | ( ( o1319 & o1519 ) | ( ( o1319 & o1619 ) | ( ( o1319 & o1719 ) | ( ( o1319 & o1819 ) | ( ( o1319 & o1919 ) | ( ( o1319 & o2019 ) | ( ( o1419 & o1519 ) | ( ( o1419 & o1619 ) | ( ( o1419 & o1719 ) | ( ( o1419 & o1819 ) | ( ( o1419 & o1919 ) | ( ( o1419 & o2019 ) | ( ( o1519 & o1619 ) | ( ( o1519 & o1719 ) | ( ( o1519 & o1819 ) | ( ( o1519 & o1919 ) | ( ( o1519 & o2019 ) | ( ( o1619 & o1719 ) | ( ( o1619 & o1819 ) | ( ( o1619 & o1919 ) | ( ( o1619 & o2019 ) | ( ( o1719 & o1819 ) | ( ( o1719 & o1919 ) | ( ( o1719 & o2019 ) | ( ( o1819 & o1919 ) | ( ( o1819 & o2019 ) | ( o1919 & o2019 ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) ) )
)).

%--------------------------------------------------------------------------
