(* This file is generated by Why3's Coq driver *)
(* Beware! Only edit allowed sections below    *)
Require Import BuiltIn.
Require BuiltIn.
Require bool.Bool.
Require int.Int.
Require int.Abs.
Require int.ComputerDivision.
Require real.Real.
Require real.RealInfix.
Require real.FromInt.
Require map.Map.

Parameter ite: forall {a:Type} {a_WT:WhyType a}, bool -> a -> a -> a.

Parameter eqb: forall {a:Type} {a_WT:WhyType a}, a -> a -> bool.

Axiom eqb1 : forall {a:Type} {a_WT:WhyType a}, forall (x:a) (y:a), ((eqb x
  y) = true) <-> (x = y).

Parameter neqb: forall {a:Type} {a_WT:WhyType a}, a -> a -> bool.

Axiom neqb1 : forall {a:Type} {a_WT:WhyType a}, forall (x:a) (y:a), ((neqb x
  y) = true) <-> ~ (x = y).

Parameter zlt: Z -> Z -> bool.

Parameter zleq: Z -> Z -> bool.

Axiom zlt1 : forall (x:Z) (y:Z), ((zlt x y) = true) <-> (x < y)%Z.

Axiom zleq1 : forall (x:Z) (y:Z), ((zleq x y) = true) <-> (x <= y)%Z.

Parameter rlt: R -> R -> bool.

Parameter rleq: R -> R -> bool.

Axiom rlt1 : forall (x:R) (y:R), ((rlt x y) = true) <-> (x < y)%R.

Axiom rleq1 : forall (x:R) (y:R), ((rleq x y) = true) <-> (x <= y)%R.

Parameter truncate: R -> Z.

Axiom truncate_of_int : forall (x:Z), ((truncate (Reals.Raxioms.IZR x)) = x).

Axiom c_euclidian : forall (n:Z) (d:Z), (~ (d = 0%Z)) ->
  (n = (((ZArith.BinInt.Z.quot n d) * d)%Z + (ZArith.BinInt.Z.rem n d))%Z).

Axiom cdiv_cases : forall (n:Z) (d:Z), ((n <= 0%Z)%Z -> ((0%Z < d)%Z ->
  ((ZArith.BinInt.Z.quot n d) = (-(ZArith.BinInt.Z.quot (-n)%Z d))%Z))) /\
  (((0%Z <= n)%Z -> ((d < 0%Z)%Z ->
  ((ZArith.BinInt.Z.quot n d) = (-(ZArith.BinInt.Z.quot n (-d)%Z))%Z))) /\
  ((n <= 0%Z)%Z -> ((d < 0%Z)%Z ->
  ((ZArith.BinInt.Z.quot n d) = (ZArith.BinInt.Z.quot (-n)%Z (-d)%Z))))).

Axiom cmod_cases : forall (n:Z) (d:Z), ((n <= 0%Z)%Z -> ((0%Z < d)%Z ->
  ((ZArith.BinInt.Z.rem n d) = (-(ZArith.BinInt.Z.rem (-n)%Z d))%Z))) /\
  (((0%Z <= n)%Z -> ((d < 0%Z)%Z ->
  ((ZArith.BinInt.Z.rem n d) = (ZArith.BinInt.Z.rem n (-d)%Z)))) /\
  ((n <= 0%Z)%Z -> ((d < 0%Z)%Z ->
  ((ZArith.BinInt.Z.rem n d) = (-(ZArith.BinInt.Z.rem (-n)%Z (-d)%Z))%Z)))).

Axiom cmod_remainder : forall (n:Z) (d:Z), ((0%Z <= n)%Z -> ((0%Z < d)%Z ->
  ((0%Z <= (ZArith.BinInt.Z.rem n d))%Z /\
  ((ZArith.BinInt.Z.rem n d) < d)%Z))) /\ (((n <= 0%Z)%Z -> ((0%Z < d)%Z ->
  (((-d)%Z < (ZArith.BinInt.Z.rem n d))%Z /\
  ((ZArith.BinInt.Z.rem n d) <= 0%Z)%Z))) /\ (((0%Z <= n)%Z ->
  ((d < 0%Z)%Z -> ((0%Z <= (ZArith.BinInt.Z.rem n d))%Z /\
  ((ZArith.BinInt.Z.rem n d) < (-d)%Z)%Z))) /\ ((n <= 0%Z)%Z ->
  ((d < 0%Z)%Z -> ((d < (ZArith.BinInt.Z.rem n d))%Z /\
  ((ZArith.BinInt.Z.rem n d) <= 0%Z)%Z))))).

Axiom cdiv_neutral : forall (a:Z), ((ZArith.BinInt.Z.quot a 1%Z) = a).

Axiom cdiv_inv : forall (a:Z), (~ (a = 0%Z)) ->
  ((ZArith.BinInt.Z.quot a a) = 1%Z).

(* Why3 assumption *)
Inductive addr :=
  | Mk_addr : Z -> Z -> addr.
Axiom addr_WhyType : WhyType addr.
Existing Instance addr_WhyType.

(* Why3 assumption *)
Definition offset (v:addr): Z := match v with
  | (Mk_addr x x1) => x1
  end.

(* Why3 assumption *)
Definition base (v:addr): Z := match v with
  | (Mk_addr x x1) => x
  end.

Parameter addr_le: addr -> addr -> Prop.

Parameter addr_lt: addr -> addr -> Prop.

Parameter addr_le_bool: addr -> addr -> bool.

Parameter addr_lt_bool: addr -> addr -> bool.

Axiom addr_le_def : forall (p:addr) (q:addr), ((base p) = (base q)) ->
  ((addr_le p q) <-> ((offset p) <= (offset q))%Z).

Axiom addr_lt_def : forall (p:addr) (q:addr), ((base p) = (base q)) ->
  ((addr_lt p q) <-> ((offset p) < (offset q))%Z).

Axiom addr_le_bool_def : forall (p:addr) (q:addr), (addr_le p q) <->
  ((addr_le_bool p q) = true).

Axiom addr_lt_bool_def : forall (p:addr) (q:addr), (addr_lt p q) <->
  ((addr_lt_bool p q) = true).

(* Why3 assumption *)
Definition shift (p:addr) (k:Z): addr := (Mk_addr (base p)
  ((offset p) + k)%Z).

Axiom shift_zero : forall (p:addr), ((shift p 0%Z) = p).

(* Why3 assumption *)
Definition included (p:addr) (a:Z) (q:addr) (b:Z): Prop := (0%Z < a)%Z ->
  ((0%Z <= b)%Z /\ (((base p) = (base q)) /\ (((offset q) <= (offset p))%Z /\
  (((offset p) + a)%Z <= ((offset q) + b)%Z)%Z))).

(* Why3 assumption *)
Definition separated (p:addr) (a:Z) (q:addr) (b:Z): Prop := (a <= 0%Z)%Z \/
  ((b <= 0%Z)%Z \/ ((~ ((base p) = (base q))) \/
  ((((offset q) + b)%Z <= (offset p))%Z \/
  (((offset p) + a)%Z <= (offset q))%Z))).

(* Why3 assumption *)
Definition eqmem {a:Type} {a_WT:WhyType a} (m1:(map.Map.map addr a))
  (m2:(map.Map.map addr a)) (p:addr) (a1:Z): Prop := forall (q:addr),
  (included q 1%Z p a1) -> ((map.Map.get m1 q) = (map.Map.get m2 q)).

(* Why3 assumption *)
Definition havoc {a:Type} {a_WT:WhyType a} (m1:(map.Map.map addr a))
  (m2:(map.Map.map addr a)) (p:addr) (a1:Z): Prop := forall (q:addr),
  (separated q 1%Z p a1) -> ((map.Map.get m1 q) = (map.Map.get m2 q)).

(* Why3 assumption *)
Definition valid_rd (m:(map.Map.map Z Z)) (p:addr) (n:Z): Prop :=
  (0%Z < n)%Z -> ((0%Z <= (offset p))%Z /\
  (((offset p) + n)%Z <= (map.Map.get m (base p)))%Z).

(* Why3 assumption *)
Definition valid_rw (m:(map.Map.map Z Z)) (p:addr) (n:Z): Prop :=
  (0%Z < n)%Z -> ((0%Z < (base p))%Z /\ ((0%Z <= (offset p))%Z /\
  (((offset p) + n)%Z <= (map.Map.get m (base p)))%Z)).

Axiom valid_rw_rd : forall (m:(map.Map.map Z Z)), forall (p:addr),
  forall (n:Z), (valid_rw m p n) -> (valid_rd m p n).

Axiom valid_string : forall (m:(map.Map.map Z Z)), forall (p:addr),
  ((base p) < 0%Z)%Z -> (((0%Z <= (offset p))%Z /\
  ((offset p) < (map.Map.get m (base p)))%Z) -> ((valid_rd m p 1%Z) /\
  ~ (valid_rw m p 1%Z))).

Axiom separated_1 : forall (p:addr) (q:addr), forall (a:Z) (b:Z) (i:Z) (j:Z),
  (separated p a q b) -> ((((offset p) <= i)%Z /\
  (i < ((offset p) + a)%Z)%Z) -> ((((offset q) <= j)%Z /\
  (j < ((offset q) + b)%Z)%Z) -> ~ ((Mk_addr (base p) i) = (Mk_addr (base q)
  j)))).

Parameter region: Z -> Z.

Parameter linked: (map.Map.map Z Z) -> Prop.

Parameter sconst: (map.Map.map addr Z) -> Prop.

(* Why3 assumption *)
Definition framed (m:(map.Map.map addr addr)): Prop := forall (p:addr),
  ((region (base (map.Map.get m p))) <= 0%Z)%Z.

Axiom separated_included : forall (p:addr) (q:addr), forall (a:Z) (b:Z),
  (0%Z < a)%Z -> ((0%Z < b)%Z -> ((separated p a q b) -> ~ (included p a q
  b))).

Axiom included_trans : forall (p:addr) (q:addr) (r:addr), forall (a:Z) (b:Z)
  (c:Z), (included p a q b) -> ((included q b r c) -> (included p a r c)).

Axiom separated_trans : forall (p:addr) (q:addr) (r:addr), forall (a:Z) (b:Z)
  (c:Z), (included p a q b) -> ((separated q b r c) -> (separated p a r c)).

Axiom separated_sym : forall (p:addr) (q:addr), forall (a:Z) (b:Z),
  (separated p a q b) <-> (separated q b p a).

Axiom eqmem_included : forall {a:Type} {a_WT:WhyType a},
  forall (m1:(map.Map.map addr a)) (m2:(map.Map.map addr a)), forall (p:addr)
  (q:addr), forall (a1:Z) (b:Z), (included p a1 q b) -> ((eqmem m1 m2 q b) ->
  (eqmem m1 m2 p a1)).

Axiom eqmem_sym : forall {a:Type} {a_WT:WhyType a}, forall (m1:(map.Map.map
  addr a)) (m2:(map.Map.map addr a)), forall (p:addr), forall (a1:Z), (eqmem
  m1 m2 p a1) -> (eqmem m2 m1 p a1).

Axiom havoc_sym : forall {a:Type} {a_WT:WhyType a}, forall (m1:(map.Map.map
  addr a)) (m2:(map.Map.map addr a)), forall (p:addr), forall (a1:Z), (havoc
  m1 m2 p a1) -> (havoc m2 m1 p a1).

Parameter cast: addr -> Z.

Axiom cast_injective : forall (p:addr) (q:addr), ((cast p) = (cast q)) ->
  (p = q).

Parameter hardware: Z -> Z.

Axiom hardnull : ((hardware 0%Z) = 0%Z).

(* Why3 assumption *)
Inductive s_Bind :=
  | mk_s_Bind : addr -> addr -> addr -> s_Bind.
Axiom s_Bind_WhyType : WhyType s_Bind.
Existing Instance s_Bind_WhyType.

(* Why3 assumption *)
Definition f_Bind_any (v:s_Bind): addr :=
  match v with
  | (mk_s_Bind x x1 x2) => x2
  end.

(* Why3 assumption *)
Definition f_Bind_type (v:s_Bind): addr :=
  match v with
  | (mk_s_Bind x x1 x2) => x1
  end.

(* Why3 assumption *)
Definition f_Bind_name (v:s_Bind): addr :=
  match v with
  | (mk_s_Bind x x1 x2) => x
  end.

(* Why3 assumption *)
Definition eqS_Bind (s_0:s_Bind) (s_1:s_Bind): Prop :=
  ((f_Bind_any s_0) = (f_Bind_any s_1)) /\
  (((f_Bind_name s_0) = (f_Bind_name s_1)) /\
  ((f_Bind_type s_0) = (f_Bind_type s_1))).

Parameter p_valid_Type_ptr: addr -> Prop.

Parameter l_strlen: addr -> Z.

Parameter l_memcmp: (map.Map.map addr Z) -> addr -> addr -> Z -> Z.

Axiom Q_memcmp_zero : forall (n_0:Z), forall (mchar_0:(map.Map.map addr Z)),
  forall (s1_0:addr) (s2_0:addr), (0%Z = (l_memcmp mchar_0 s1_0 s2_0
  n_0)) <-> forall (i_0:Z), (i_0 < n_0)%Z -> ((0%Z <= i_0)%Z ->
  ((map.Map.get mchar_0 (shift s1_0 i_0)) = (map.Map.get mchar_0 (shift s2_0
  i_0)))).

Axiom Q_memcmp_strlen_shift_right : forall (k_0:Z) (n_0:Z),
  forall (mchar_0:(map.Map.map addr Z)), forall (s1_0:addr) (s2_0:addr),
  let x_0 := (l_strlen s2_0) in let x_1 := (l_strlen s1_0) in
  ((0%Z <= k_0)%Z -> ((x_0 < n_0)%Z -> ((0%Z = (l_memcmp mchar_0 (shift s1_0
  k_0) s2_0 n_0)) -> ((0%Z <= x_1)%Z /\ (x_1 <= (k_0 + x_0)%Z)%Z)))).

Axiom Q_memcmp_strlen_shift_left : forall (k_0:Z) (n_0:Z),
  forall (mchar_0:(map.Map.map addr Z)), forall (s1_0:addr) (s2_0:addr),
  let x_0 := (l_strlen s1_0) in let x_1 := (l_strlen s2_0) in
  ((0%Z <= k_0)%Z -> ((x_0 < n_0)%Z -> ((0%Z = (l_memcmp mchar_0 s1_0
  (shift s2_0 k_0) n_0)) -> ((0%Z <= x_1)%Z /\ (x_1 <= (k_0 + x_0)%Z)%Z)))).

Axiom Q_memcmp_strlen_right : forall (n_0:Z), forall (mchar_0:(map.Map.map
  addr Z)), forall (s1_0:addr) (s2_0:addr), let x_0 := (l_strlen s2_0) in
  ((x_0 < n_0)%Z -> ((0%Z = (l_memcmp mchar_0 s1_0 s2_0 n_0)) ->
  ((l_strlen s1_0) = x_0))).

Axiom Q_memcmp_strlen_left : forall (n_0:Z), forall (mchar_0:(map.Map.map
  addr Z)), forall (s1_0:addr) (s2_0:addr), let x_0 := (l_strlen s1_0) in
  ((x_0 < n_0)%Z -> ((0%Z = (l_memcmp mchar_0 s1_0 s2_0 n_0)) ->
  (x_0 = (l_strlen s2_0)))).

Axiom Q_strlen_create_shift : forall (i_0:Z) (k_0:Z),
  forall (mchar_0:(map.Map.map addr Z)), forall (s_0:addr), let x_0 :=
  (l_strlen (shift s_0 k_0)) in ((0%Z <= k_0)%Z -> ((k_0 <= i_0)%Z ->
  ((0%Z = (map.Map.get mchar_0 (shift s_0 i_0))) -> ((0%Z <= x_0)%Z /\
  ((k_0 + x_0)%Z <= i_0)%Z)))).

Axiom Q_strlen_create : forall (i_0:Z), forall (mchar_0:(map.Map.map addr
  Z)), forall (s_0:addr), let x_0 := (l_strlen s_0) in ((0%Z <= i_0)%Z ->
  ((0%Z = (map.Map.get mchar_0 (shift s_0 i_0))) -> ((0%Z <= x_0)%Z /\
  (x_0 <= i_0)%Z))).

Axiom Q_strlen_shift : forall (i_0:Z), forall (s_0:addr), let x_0 :=
  (l_strlen s_0) in ((0%Z <= i_0)%Z -> ((i_0 <= x_0)%Z ->
  (x_0 = (i_0 + (l_strlen (shift s_0 i_0)))%Z))).

Axiom Q_strlen_sup : forall (i_0:Z), forall (mchar_0:(map.Map.map addr Z)),
  forall (s_0:addr), let x_0 := (l_strlen s_0) in ((0%Z <= i_0)%Z ->
  ((0%Z = (map.Map.get mchar_0 (shift s_0 i_0))) -> ((0%Z <= x_0)%Z /\
  (x_0 <= i_0)%Z))).

Axiom Q_strlen_zero : forall (i_0:Z), forall (mchar_0:(map.Map.map addr Z)),
  forall (s_0:addr), let x_0 := (l_strlen s_0) in ((0%Z <= i_0)%Z ->
  ((i_0 <= x_0)%Z -> ((0%Z = (map.Map.get mchar_0 (shift s_0 i_0))) ->
  (i_0 = x_0)))).

Axiom Q_strlen_not_zero : forall (i_0:Z), forall (mchar_0:(map.Map.map addr
  Z)), forall (s_0:addr), let x_0 := (l_strlen s_0) in ((0%Z <= i_0)%Z ->
  ((i_0 <= x_0)%Z -> ((~ (0%Z = (map.Map.get mchar_0 (shift s_0 i_0)))) ->
  (i_0 < x_0)%Z))).

Axiom Q_strlen_at_null : forall (mchar_0:(map.Map.map addr Z)),
  forall (s_0:addr), let x_0 := (l_strlen s_0) in ((0%Z <= x_0)%Z ->
  (0%Z = (map.Map.get mchar_0 (shift s_0 x_0)))).

Axiom Q_strlen_before_null : forall (i_0:Z), forall (mchar_0:(map.Map.map
  addr Z)), forall (s_0:addr), (0%Z <= i_0)%Z -> ((i_0 < (l_strlen s_0))%Z ->
  ~ (0%Z = (map.Map.get mchar_0 (shift s_0 i_0)))).

Axiom Q_strlen_neg : forall (mchar_0:(map.Map.map addr Z)),
  forall (s_0:addr), (forall (i_0:Z), (0%Z <= i_0)%Z ->
  ~ (0%Z = (map.Map.get mchar_0 (shift s_0 i_0)))) ->
  ((l_strlen s_0) < 0%Z)%Z.

Axiom Q_strlen_pos_or_null : forall (i_0:Z), forall (mchar_0:(map.Map.map
  addr Z)), forall (s_0:addr), (0%Z <= i_0)%Z -> ((0%Z = (map.Map.get mchar_0
  (shift s_0 i_0))) -> ((forall (j_0:Z), (j_0 < i_0)%Z -> ((0%Z <= j_0)%Z ->
  ~ (0%Z = (map.Map.get mchar_0 (shift s_0 j_0))))) ->
  (i_0 = (l_strlen s_0)))).

(* Why3 assumption *)
Definition p_valid_string (malloc_0:(map.Map.map Z Z)) (s_0:addr): Prop :=
  let x_0 := (l_strlen s_0) in ((0%Z <= x_0)%Z /\ (valid_rw malloc_0
  (shift s_0 0%Z) (1%Z + x_0)%Z)).

(* Why3 assumption *)
Inductive s___anonstruct_envmap_6 :=
  | mk_s___anonstruct_envmap_6 : Z -> Z -> addr -> addr ->
      s___anonstruct_envmap_6.
Axiom s___anonstruct_envmap_6_WhyType : WhyType s___anonstruct_envmap_6.
Existing Instance s___anonstruct_envmap_6_WhyType.

(* Why3 assumption *)
Definition f___anonstruct_envmap_6_vals (v:s___anonstruct_envmap_6): addr :=
  match v with
  | (mk_s___anonstruct_envmap_6 x x1 x2 x3) => x3
  end.

(* Why3 assumption *)
Definition f___anonstruct_envmap_6_keys (v:s___anonstruct_envmap_6): addr :=
  match v with
  | (mk_s___anonstruct_envmap_6 x x1 x2 x3) => x2
  end.

(* Why3 assumption *)
Definition f___anonstruct_envmap_6_bufsize (v:s___anonstruct_envmap_6): Z :=
  match v with
  | (mk_s___anonstruct_envmap_6 x x1 x2 x3) => x1
  end.

(* Why3 assumption *)
Definition f___anonstruct_envmap_6_size (v:s___anonstruct_envmap_6): Z :=
  match v with
  | (mk_s___anonstruct_envmap_6 x x1 x2 x3) => x
  end.

Parameter is_uint8: Z -> Prop.

Axiom is_uint8_def : forall (x:Z), (is_uint8 x) <-> ((0%Z <= x)%Z /\
  (x < 256%Z)%Z).

Parameter is_sint8: Z -> Prop.

Axiom is_sint8_def : forall (x:Z), (is_sint8 x) <-> (((-128%Z)%Z <= x)%Z /\
  (x < 128%Z)%Z).

Parameter is_uint16: Z -> Prop.

Axiom is_uint16_def : forall (x:Z), (is_uint16 x) <-> ((0%Z <= x)%Z /\
  (x < 65536%Z)%Z).

(* Why3 assumption *)
Definition is_sint16 (x:Z): Prop := ((-32768%Z)%Z <= x)%Z /\ (x < 32768%Z)%Z.

Parameter is_uint32: Z -> Prop.

Axiom is_uint32_def : forall (x:Z), (is_uint32 x) <-> ((0%Z <= x)%Z /\
  (x < 4294967296%Z)%Z).

Parameter is_sint32: Z -> Prop.

Axiom is_sint32_def : forall (x:Z), (is_sint32 x) <->
  (((-2147483648%Z)%Z <= x)%Z /\ (x < 2147483648%Z)%Z).

Parameter is_uint64: Z -> Prop.

Axiom is_uint64_def : forall (x:Z), (is_uint64 x) <-> ((0%Z <= x)%Z /\
  (x < 18446744073709551616%Z)%Z).

Parameter is_sint64: Z -> Prop.

Axiom is_sint64_def : forall (x:Z), (is_sint64 x) <->
  (((-9223372036854775808%Z)%Z <= x)%Z /\ (x < 9223372036854775808%Z)%Z).

Parameter to_uint8: Z -> Z.

Parameter to_sint8: Z -> Z.

Parameter to_uint16: Z -> Z.

Parameter to_sint16: Z -> Z.

Parameter to_uint32: Z -> Z.

Parameter to_sint32: Z -> Z.

Parameter to_uint64: Z -> Z.

Parameter to_sint64: Z -> Z.

Axiom is_to_uint8 : forall (x:Z), (is_uint8 (to_uint8 x)).

Axiom is_to_sint8 : forall (x:Z), (is_sint8 (to_sint8 x)).

Axiom is_to_uint16 : forall (x:Z), (is_uint16 (to_uint16 x)).

Axiom is_to_sint16 : forall (x:Z), (is_sint16 (to_sint16 x)).

Axiom is_to_uint32 : forall (x:Z), (is_uint32 (to_uint32 x)).

Axiom is_to_sint32 : forall (x:Z), (is_sint32 (to_sint32 x)).

Axiom is_to_uint64 : forall (x:Z), (is_uint64 (to_uint64 x)).

Axiom is_to_sint64 : forall (x:Z), (is_sint64 (to_sint64 x)).

Axiom id_uint8 : forall (x:Z), ((0%Z <= x)%Z /\ (x < 256%Z)%Z) ->
  ((to_uint8 x) = x).

Axiom id_sint8 : forall (x:Z), (((-128%Z)%Z <= x)%Z /\ (x < 128%Z)%Z) ->
  ((to_sint8 x) = x).

Axiom id_uint16 : forall (x:Z), ((0%Z <= x)%Z /\ (x < 65536%Z)%Z) ->
  ((to_uint16 x) = x).

Axiom id_sint16 : forall (x:Z), (((-32768%Z)%Z <= x)%Z /\ (x < 32768%Z)%Z) ->
  ((to_sint16 x) = x).

Axiom id_uint32 : forall (x:Z), ((0%Z <= x)%Z /\ (x < 4294967296%Z)%Z) ->
  ((to_uint32 x) = x).

Axiom id_sint32 : forall (x:Z), (((-2147483648%Z)%Z <= x)%Z /\
  (x < 2147483648%Z)%Z) -> ((to_sint32 x) = x).

Axiom id_uint64 : forall (x:Z), ((0%Z <= x)%Z /\
  (x < 18446744073709551616%Z)%Z) -> ((to_uint64 x) = x).

Axiom id_sint64 : forall (x:Z), (((-9223372036854775808%Z)%Z <= x)%Z /\
  (x < 9223372036854775808%Z)%Z) -> ((to_sint64 x) = x).

Parameter lnot: Z -> Z.

Parameter land: Z -> Z -> Z.

Parameter lxor: Z -> Z -> Z.

Parameter lor: Z -> Z -> Z.

Parameter lsl: Z -> Z -> Z.

Parameter lsr: Z -> Z -> Z.

Parameter bit_testb: Z -> Z -> bool.

Parameter bit_test: Z -> Z -> Prop.

(* Why3 assumption *)
Definition isS___anonstruct_envmap_6 (s_0:s___anonstruct_envmap_6): Prop :=
  (is_uint32 (f___anonstruct_envmap_6_bufsize s_0)) /\ (is_uint32
  (f___anonstruct_envmap_6_size s_0)).

(* Why3 assumption *)
Definition load_S___anonstruct_envmap_6 (p_0:addr) (mint_0:(map.Map.map addr
  Z)) (mptr_0:(map.Map.map addr addr)): s___anonstruct_envmap_6 :=
  (mk_s___anonstruct_envmap_6 (map.Map.get mint_0 (shift p_0 0%Z))
  (map.Map.get mint_0 (shift p_0 1%Z)) (map.Map.get mptr_0 (shift p_0 2%Z))
  (map.Map.get mptr_0 (shift p_0 3%Z))).

(* Why3 assumption *)
Inductive s_Mvar :=
  | mk_s_Mvar : addr -> s_Mvar.
Axiom s_Mvar_WhyType : WhyType s_Mvar.
Existing Instance s_Mvar_WhyType.

(* Why3 assumption *)
Definition f_Mvar_name (v:s_Mvar): addr :=
  match v with
  | (mk_s_Mvar x) => x
  end.

(* Why3 assumption *)
Definition eqS_Mvar (s_0:s_Mvar) (s_1:s_Mvar): Prop :=
  ((f_Mvar_name s_0) = (f_Mvar_name s_1)).

(* Why3 assumption *)
Inductive s_Mapp :=
  | mk_s_Mapp : addr -> addr -> s_Mapp.
Axiom s_Mapp_WhyType : WhyType s_Mapp.
Existing Instance s_Mapp_WhyType.

(* Why3 assumption *)
Definition f_Mapp_term2 (v:s_Mapp): addr :=
  match v with
  | (mk_s_Mapp x x1) => x1
  end.

(* Why3 assumption *)
Definition f_Mapp_term1 (v:s_Mapp): addr :=
  match v with
  | (mk_s_Mapp x x1) => x
  end.

(* Why3 assumption *)
Definition eqS_Mapp (s_0:s_Mapp) (s_1:s_Mapp): Prop :=
  ((f_Mapp_term1 s_0) = (f_Mapp_term1 s_1)) /\
  ((f_Mapp_term2 s_0) = (f_Mapp_term2 s_1)).

(* Why3 assumption *)
Inductive s_Mlam :=
  | mk_s_Mlam : addr -> addr -> addr -> s_Mlam.
Axiom s_Mlam_WhyType : WhyType s_Mlam.
Existing Instance s_Mlam_WhyType.

(* Why3 assumption *)
Definition f_Mlam_term (v:s_Mlam): addr :=
  match v with
  | (mk_s_Mlam x x1 x2) => x2
  end.

(* Why3 assumption *)
Definition f_Mlam_type (v:s_Mlam): addr :=
  match v with
  | (mk_s_Mlam x x1 x2) => x1
  end.

(* Why3 assumption *)
Definition f_Mlam_name (v:s_Mlam): addr :=
  match v with
  | (mk_s_Mlam x x1 x2) => x
  end.

(* Why3 assumption *)
Definition eqS_Mlam (s_0:s_Mlam) (s_1:s_Mlam): Prop :=
  ((f_Mlam_name s_0) = (f_Mlam_name s_1)) /\
  (((f_Mlam_term s_0) = (f_Mlam_term s_1)) /\
  ((f_Mlam_type s_0) = (f_Mlam_type s_1))).

(* Why3 assumption *)
Inductive s_Mwit :=
  | mk_s_Mwit : addr -> addr -> addr -> s_Mwit.
Axiom s_Mwit_WhyType : WhyType s_Mwit.
Existing Instance s_Mwit_WhyType.

(* Why3 assumption *)
Definition f_Mwit_term2 (v:s_Mwit): addr :=
  match v with
  | (mk_s_Mwit x x1 x2) => x2
  end.

(* Why3 assumption *)
Definition f_Mwit_term1 (v:s_Mwit): addr :=
  match v with
  | (mk_s_Mwit x x1 x2) => x1
  end.

(* Why3 assumption *)
Definition f_Mwit_type (v:s_Mwit): addr :=
  match v with
  | (mk_s_Mwit x x1 x2) => x
  end.

(* Why3 assumption *)
Definition eqS_Mwit (s_0:s_Mwit) (s_1:s_Mwit): Prop :=
  ((f_Mwit_term1 s_0) = (f_Mwit_term1 s_1)) /\
  (((f_Mwit_term2 s_0) = (f_Mwit_term2 s_1)) /\
  ((f_Mwit_type s_0) = (f_Mwit_type s_1))).

(* Why3 assumption *)
Inductive s_Mabs :=
  | mk_s_Mabs : addr -> addr -> addr -> addr -> addr -> addr -> s_Mabs.
Axiom s_Mabs_WhyType : WhyType s_Mabs.
Existing Instance s_Mabs_WhyType.

(* Why3 assumption *)
Definition f_Mabs_term6 (v:s_Mabs): addr :=
  match v with
  | (mk_s_Mabs x x1 x2 x3 x4 x5) => x5
  end.

(* Why3 assumption *)
Definition f_Mabs_term5 (v:s_Mabs): addr :=
  match v with
  | (mk_s_Mabs x x1 x2 x3 x4 x5) => x4
  end.

(* Why3 assumption *)
Definition f_Mabs_type4 (v:s_Mabs): addr :=
  match v with
  | (mk_s_Mabs x x1 x2 x3 x4 x5) => x3
  end.

(* Why3 assumption *)
Definition f_Mabs_name3 (v:s_Mabs): addr :=
  match v with
  | (mk_s_Mabs x x1 x2 x3 x4 x5) => x2
  end.

(* Why3 assumption *)
Definition f_Mabs_type2 (v:s_Mabs): addr :=
  match v with
  | (mk_s_Mabs x x1 x2 x3 x4 x5) => x1
  end.

(* Why3 assumption *)
Definition f_Mabs_name1 (v:s_Mabs): addr :=
  match v with
  | (mk_s_Mabs x x1 x2 x3 x4 x5) => x
  end.

(* Why3 assumption *)
Definition eqS_Mabs (s_0:s_Mabs) (s_1:s_Mabs): Prop :=
  ((f_Mabs_name1 s_0) = (f_Mabs_name1 s_1)) /\
  (((f_Mabs_name3 s_0) = (f_Mabs_name3 s_1)) /\
  (((f_Mabs_term5 s_0) = (f_Mabs_term5 s_1)) /\
  (((f_Mabs_term6 s_0) = (f_Mabs_term6 s_1)) /\
  (((f_Mabs_type2 s_0) = (f_Mabs_type2 s_1)) /\
  ((f_Mabs_type4 s_0) = (f_Mabs_type4 s_1)))))).

(* Why3 assumption *)
Inductive s_Mtup :=
  | mk_s_Mtup : addr -> addr -> addr -> s_Mtup.
Axiom s_Mtup_WhyType : WhyType s_Mtup.
Existing Instance s_Mtup_WhyType.

(* Why3 assumption *)
Definition f_Mtup_term2 (v:s_Mtup): addr :=
  match v with
  | (mk_s_Mtup x x1 x2) => x2
  end.

(* Why3 assumption *)
Definition f_Mtup_term1 (v:s_Mtup): addr :=
  match v with
  | (mk_s_Mtup x x1 x2) => x1
  end.

(* Why3 assumption *)
Definition f_Mtup_type (v:s_Mtup): addr :=
  match v with
  | (mk_s_Mtup x x1 x2) => x
  end.

(* Why3 assumption *)
Definition eqS_Mtup (s_0:s_Mtup) (s_1:s_Mtup): Prop :=
  ((f_Mtup_term1 s_0) = (f_Mtup_term1 s_1)) /\
  (((f_Mtup_term2 s_0) = (f_Mtup_term2 s_1)) /\
  ((f_Mtup_type s_0) = (f_Mtup_type s_1))).

(* Why3 assumption *)
Inductive s_Mpi1 :=
  | mk_s_Mpi1 : addr -> s_Mpi1.
Axiom s_Mpi1_WhyType : WhyType s_Mpi1.
Existing Instance s_Mpi1_WhyType.

(* Why3 assumption *)
Definition f_Mpi1_term (v:s_Mpi1): addr :=
  match v with
  | (mk_s_Mpi1 x) => x
  end.

(* Why3 assumption *)
Definition eqS_Mpi1 (s_0:s_Mpi1) (s_1:s_Mpi1): Prop :=
  ((f_Mpi1_term s_0) = (f_Mpi1_term s_1)).

(* Why3 assumption *)
Inductive s_Mpi2 :=
  | mk_s_Mpi2 : addr -> s_Mpi2.
Axiom s_Mpi2_WhyType : WhyType s_Mpi2.
Existing Instance s_Mpi2_WhyType.

(* Why3 assumption *)
Definition f_Mpi2_term (v:s_Mpi2): addr :=
  match v with
  | (mk_s_Mpi2 x) => x
  end.

(* Why3 assumption *)
Definition eqS_Mpi2 (s_0:s_Mpi2) (s_1:s_Mpi2): Prop :=
  ((f_Mpi2_term s_0) = (f_Mpi2_term s_1)).

(* Why3 assumption *)
Inductive s_Min1 :=
  | mk_s_Min1 : addr -> addr -> s_Min1.
Axiom s_Min1_WhyType : WhyType s_Min1.
Existing Instance s_Min1_WhyType.

(* Why3 assumption *)
Definition f_Min1_term (v:s_Min1): addr :=
  match v with
  | (mk_s_Min1 x x1) => x1
  end.

(* Why3 assumption *)
Definition f_Min1_type (v:s_Min1): addr :=
  match v with
  | (mk_s_Min1 x x1) => x
  end.

(* Why3 assumption *)
Definition eqS_Min1 (s_0:s_Min1) (s_1:s_Min1): Prop :=
  ((f_Min1_term s_0) = (f_Min1_term s_1)) /\
  ((f_Min1_type s_0) = (f_Min1_type s_1)).

(* Why3 assumption *)
Inductive s_Min2 :=
  | mk_s_Min2 : addr -> addr -> s_Min2.
Axiom s_Min2_WhyType : WhyType s_Min2.
Existing Instance s_Min2_WhyType.

(* Why3 assumption *)
Definition f_Min2_term (v:s_Min2): addr :=
  match v with
  | (mk_s_Min2 x x1) => x1
  end.

(* Why3 assumption *)
Definition f_Min2_type (v:s_Min2): addr :=
  match v with
  | (mk_s_Min2 x x1) => x
  end.

(* Why3 assumption *)
Definition eqS_Min2 (s_0:s_Min2) (s_1:s_Min2): Prop :=
  ((f_Min2_term s_0) = (f_Min2_term s_1)) /\
  ((f_Min2_type s_0) = (f_Min2_type s_1)).

(* Why3 assumption *)
Inductive s_McasIn :=
  | mk_s_McasIn : addr -> addr -> addr -> s_McasIn.
Axiom s_McasIn_WhyType : WhyType s_McasIn.
Existing Instance s_McasIn_WhyType.

(* Why3 assumption *)
Definition f_McasIn_term (v:s_McasIn): addr :=
  match v with
  | (mk_s_McasIn x x1 x2) => x2
  end.

(* Why3 assumption *)
Definition f_McasIn_type (v:s_McasIn): addr :=
  match v with
  | (mk_s_McasIn x x1 x2) => x1
  end.

(* Why3 assumption *)
Definition f_McasIn_name (v:s_McasIn): addr :=
  match v with
  | (mk_s_McasIn x x1 x2) => x
  end.

(* Why3 assumption *)
Definition eqS_McasIn (s_0:s_McasIn) (s_1:s_McasIn): Prop :=
  ((f_McasIn_name s_0) = (f_McasIn_name s_1)) /\
  (((f_McasIn_term s_0) = (f_McasIn_term s_1)) /\
  ((f_McasIn_type s_0) = (f_McasIn_type s_1))).

(* Why3 assumption *)
Inductive s_Mcas :=
  | mk_s_Mcas : addr -> s_McasIn -> s_McasIn -> s_Mcas.
Axiom s_Mcas_WhyType : WhyType s_Mcas.
Existing Instance s_Mcas_WhyType.

(* Why3 assumption *)
Definition f_Mcas_casIn2 (v:s_Mcas): s_McasIn :=
  match v with
  | (mk_s_Mcas x x1 x2) => x2
  end.

(* Why3 assumption *)
Definition f_Mcas_casIn1 (v:s_Mcas): s_McasIn :=
  match v with
  | (mk_s_Mcas x x1 x2) => x1
  end.

(* Why3 assumption *)
Definition f_Mcas_term (v:s_Mcas): addr :=
  match v with
  | (mk_s_Mcas x x1 x2) => x
  end.

(* Why3 assumption *)
Definition eqS_Mcas (s_0:s_Mcas) (s_1:s_Mcas): Prop :=
  ((f_Mcas_term s_0) = (f_Mcas_term s_1)) /\ ((eqS_McasIn (f_Mcas_casIn1 s_0)
  (f_Mcas_casIn1 s_1)) /\ (eqS_McasIn (f_Mcas_casIn2 s_0)
  (f_Mcas_casIn2 s_1))).

(* Why3 assumption *)
Inductive s_Meps :=
  | mk_s_Meps : addr -> addr -> s_Meps.
Axiom s_Meps_WhyType : WhyType s_Meps.
Existing Instance s_Meps_WhyType.

(* Why3 assumption *)
Definition f_Meps_term (v:s_Meps): addr :=
  match v with
  | (mk_s_Meps x x1) => x1
  end.

(* Why3 assumption *)
Definition f_Meps_type (v:s_Meps): addr :=
  match v with
  | (mk_s_Meps x x1) => x
  end.

(* Why3 assumption *)
Definition eqS_Meps (s_0:s_Meps) (s_1:s_Meps): Prop :=
  ((f_Meps_term s_0) = (f_Meps_term s_1)) /\
  ((f_Meps_type s_0) = (f_Meps_type s_1)).

(* Why3 assumption *)
Inductive s_Term :=
  | mk_s_Term : Z -> s_Mvar -> s_Mapp -> s_Mlam -> s_Mwit -> s_Mabs ->
      s_Mtup -> s_Mpi1 -> s_Mpi2 -> s_Min1 -> s_Min2 -> s_Mcas -> s_Meps ->
      s_Term.
Axiom s_Term_WhyType : WhyType s_Term.
Existing Instance s_Term_WhyType.

(* Why3 assumption *)
Definition f_Term_mEps (v:s_Term): s_Meps :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x12
  end.

(* Why3 assumption *)
Definition f_Term_mCas (v:s_Term): s_Mcas :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x11
  end.

(* Why3 assumption *)
Definition f_Term_mIn2 (v:s_Term): s_Min2 :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x10
  end.

(* Why3 assumption *)
Definition f_Term_mIn1 (v:s_Term): s_Min1 :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x9
  end.

(* Why3 assumption *)
Definition f_Term_mPi2 (v:s_Term): s_Mpi2 :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x8
  end.

(* Why3 assumption *)
Definition f_Term_mPi1 (v:s_Term): s_Mpi1 :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x7
  end.

(* Why3 assumption *)
Definition f_Term_mTup (v:s_Term): s_Mtup :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x6
  end.

(* Why3 assumption *)
Definition f_Term_mAbs (v:s_Term): s_Mabs :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x5
  end.

(* Why3 assumption *)
Definition f_Term_mWit (v:s_Term): s_Mwit :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x4
  end.

(* Why3 assumption *)
Definition f_Term_mLam (v:s_Term): s_Mlam :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x3
  end.

(* Why3 assumption *)
Definition f_Term_mApp (v:s_Term): s_Mapp :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x2
  end.

(* Why3 assumption *)
Definition f_Term_mVar (v:s_Term): s_Mvar :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x1
  end.

(* Why3 assumption *)
Definition f_Term_which (v:s_Term): Z :=
  match v with
  | (mk_s_Term x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 x11 x12) => x
  end.

(* Why3 assumption *)
Definition isS_Term (s_0:s_Term): Prop := (is_uint32 (f_Term_which s_0)).

(* Why3 assumption *)
Definition load_S_Mabs (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Mabs :=
  (mk_s_Mabs (map.Map.get mptr_0 (shift p_0 0%Z)) (map.Map.get mptr_0
  (shift p_0 1%Z)) (map.Map.get mptr_0 (shift p_0 2%Z)) (map.Map.get mptr_0
  (shift p_0 3%Z)) (map.Map.get mptr_0 (shift p_0 4%Z)) (map.Map.get mptr_0
  (shift p_0 5%Z))).

(* Why3 assumption *)
Definition load_S_Mapp (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Mapp :=
  (mk_s_Mapp (map.Map.get mptr_0 (shift p_0 0%Z)) (map.Map.get mptr_0
  (shift p_0 1%Z))).

(* Why3 assumption *)
Definition load_S_McasIn (p_0:addr) (mptr_0:(map.Map.map addr
  addr)): s_McasIn := (mk_s_McasIn (map.Map.get mptr_0 (shift p_0 0%Z))
  (map.Map.get mptr_0 (shift p_0 1%Z)) (map.Map.get mptr_0 (shift p_0 2%Z))).

(* Why3 assumption *)
Definition load_S_Mcas (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Mcas :=
  (mk_s_Mcas (map.Map.get mptr_0 (shift p_0 0%Z)) (load_S_McasIn (shift p_0
  1%Z) mptr_0) (load_S_McasIn (shift p_0 4%Z) mptr_0)).

(* Why3 assumption *)
Definition load_S_Meps (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Meps :=
  (mk_s_Meps (map.Map.get mptr_0 (shift p_0 0%Z)) (map.Map.get mptr_0
  (shift p_0 1%Z))).

(* Why3 assumption *)
Definition load_S_Min1 (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Min1 :=
  (mk_s_Min1 (map.Map.get mptr_0 (shift p_0 0%Z)) (map.Map.get mptr_0
  (shift p_0 1%Z))).

(* Why3 assumption *)
Definition load_S_Min2 (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Min2 :=
  (mk_s_Min2 (map.Map.get mptr_0 (shift p_0 0%Z)) (map.Map.get mptr_0
  (shift p_0 1%Z))).

(* Why3 assumption *)
Definition load_S_Mlam (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Mlam :=
  (mk_s_Mlam (map.Map.get mptr_0 (shift p_0 0%Z)) (map.Map.get mptr_0
  (shift p_0 1%Z)) (map.Map.get mptr_0 (shift p_0 2%Z))).

(* Why3 assumption *)
Definition load_S_Mpi1 (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Mpi1 :=
  (mk_s_Mpi1 (map.Map.get mptr_0 (shift p_0 0%Z))).

(* Why3 assumption *)
Definition load_S_Mpi2 (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Mpi2 :=
  (mk_s_Mpi2 (map.Map.get mptr_0 (shift p_0 0%Z))).

(* Why3 assumption *)
Definition load_S_Mtup (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Mtup :=
  (mk_s_Mtup (map.Map.get mptr_0 (shift p_0 0%Z)) (map.Map.get mptr_0
  (shift p_0 1%Z)) (map.Map.get mptr_0 (shift p_0 2%Z))).

(* Why3 assumption *)
Definition load_S_Mvar (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Mvar :=
  (mk_s_Mvar (map.Map.get mptr_0 (shift p_0 0%Z))).

(* Why3 assumption *)
Definition load_S_Mwit (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Mwit :=
  (mk_s_Mwit (map.Map.get mptr_0 (shift p_0 0%Z)) (map.Map.get mptr_0
  (shift p_0 1%Z)) (map.Map.get mptr_0 (shift p_0 2%Z))).

(* Why3 assumption *)
Definition load_S_Term (p_0:addr) (mint_0:(map.Map.map addr Z))
  (mptr_0:(map.Map.map addr addr)): s_Term := (mk_s_Term (map.Map.get mint_0
  (shift p_0 0%Z)) (load_S_Mvar (shift p_0 1%Z) mptr_0)
  (load_S_Mapp (shift p_0 2%Z) mptr_0) (load_S_Mlam (shift p_0 4%Z) mptr_0)
  (load_S_Mwit (shift p_0 7%Z) mptr_0) (load_S_Mabs (shift p_0 10%Z) mptr_0)
  (load_S_Mtup (shift p_0 16%Z) mptr_0) (load_S_Mpi1 (shift p_0 19%Z) mptr_0)
  (load_S_Mpi2 (shift p_0 20%Z) mptr_0) (load_S_Min1 (shift p_0 21%Z) mptr_0)
  (load_S_Min2 (shift p_0 23%Z) mptr_0) (load_S_Mcas (shift p_0 25%Z) mptr_0)
  (load_S_Meps (shift p_0 32%Z) mptr_0)).

(* Why3 assumption *)
Inductive s_Tvar :=
  | mk_s_Tvar : addr -> s_Tvar.
Axiom s_Tvar_WhyType : WhyType s_Tvar.
Existing Instance s_Tvar_WhyType.

(* Why3 assumption *)
Definition f_Tvar_name (v:s_Tvar): addr :=
  match v with
  | (mk_s_Tvar x) => x
  end.

(* Why3 assumption *)
Definition eqS_Tvar (s_0:s_Tvar) (s_1:s_Tvar): Prop :=
  ((f_Tvar_name s_0) = (f_Tvar_name s_1)).

(* Why3 assumption *)
Inductive s_Tall :=
  | mk_s_Tall : addr -> addr -> addr -> s_Tall.
Axiom s_Tall_WhyType : WhyType s_Tall.
Existing Instance s_Tall_WhyType.

(* Why3 assumption *)
Definition f_Tall_type2 (v:s_Tall): addr :=
  match v with
  | (mk_s_Tall x x1 x2) => x2
  end.

(* Why3 assumption *)
Definition f_Tall_type1 (v:s_Tall): addr :=
  match v with
  | (mk_s_Tall x x1 x2) => x1
  end.

(* Why3 assumption *)
Definition f_Tall_name (v:s_Tall): addr :=
  match v with
  | (mk_s_Tall x x1 x2) => x
  end.

(* Why3 assumption *)
Definition eqS_Tall (s_0:s_Tall) (s_1:s_Tall): Prop :=
  ((f_Tall_name s_0) = (f_Tall_name s_1)) /\
  (((f_Tall_type1 s_0) = (f_Tall_type1 s_1)) /\
  ((f_Tall_type2 s_0) = (f_Tall_type2 s_1))).

(* Why3 assumption *)
Inductive s_Tapp :=
  | mk_s_Tapp : addr -> addr -> s_Tapp.
Axiom s_Tapp_WhyType : WhyType s_Tapp.
Existing Instance s_Tapp_WhyType.

(* Why3 assumption *)
Definition f_Tapp_term (v:s_Tapp): addr :=
  match v with
  | (mk_s_Tapp x x1) => x1
  end.

(* Why3 assumption *)
Definition f_Tapp_type (v:s_Tapp): addr :=
  match v with
  | (mk_s_Tapp x x1) => x
  end.

(* Why3 assumption *)
Definition eqS_Tapp (s_0:s_Tapp) (s_1:s_Tapp): Prop :=
  ((f_Tapp_term s_0) = (f_Tapp_term s_1)) /\
  ((f_Tapp_type s_0) = (f_Tapp_type s_1)).

(* Why3 assumption *)
Inductive s_Texi :=
  | mk_s_Texi : addr -> addr -> addr -> s_Texi.
Axiom s_Texi_WhyType : WhyType s_Texi.
Existing Instance s_Texi_WhyType.

(* Why3 assumption *)
Definition f_Texi_type2 (v:s_Texi): addr :=
  match v with
  | (mk_s_Texi x x1 x2) => x2
  end.

(* Why3 assumption *)
Definition f_Texi_type1 (v:s_Texi): addr :=
  match v with
  | (mk_s_Texi x x1 x2) => x1
  end.

(* Why3 assumption *)
Definition f_Texi_name (v:s_Texi): addr :=
  match v with
  | (mk_s_Texi x x1 x2) => x
  end.

(* Why3 assumption *)
Definition eqS_Texi (s_0:s_Texi) (s_1:s_Texi): Prop :=
  ((f_Texi_name s_0) = (f_Texi_name s_1)) /\
  (((f_Texi_type1 s_0) = (f_Texi_type1 s_1)) /\
  ((f_Texi_type2 s_0) = (f_Texi_type2 s_1))).

(* Why3 assumption *)
Inductive s_Tand :=
  | mk_s_Tand : addr -> addr -> s_Tand.
Axiom s_Tand_WhyType : WhyType s_Tand.
Existing Instance s_Tand_WhyType.

(* Why3 assumption *)
Definition f_Tand_type2 (v:s_Tand): addr :=
  match v with
  | (mk_s_Tand x x1) => x1
  end.

(* Why3 assumption *)
Definition f_Tand_type1 (v:s_Tand): addr :=
  match v with
  | (mk_s_Tand x x1) => x
  end.

(* Why3 assumption *)
Definition eqS_Tand (s_0:s_Tand) (s_1:s_Tand): Prop :=
  ((f_Tand_type1 s_0) = (f_Tand_type1 s_1)) /\
  ((f_Tand_type2 s_0) = (f_Tand_type2 s_1)).

(* Why3 assumption *)
Inductive s_Tor :=
  | mk_s_Tor : addr -> addr -> s_Tor.
Axiom s_Tor_WhyType : WhyType s_Tor.
Existing Instance s_Tor_WhyType.

(* Why3 assumption *)
Definition f_Tor_type2 (v:s_Tor): addr :=
  match v with
  | (mk_s_Tor x x1) => x1
  end.

(* Why3 assumption *)
Definition f_Tor_type1 (v:s_Tor): addr :=
  match v with
  | (mk_s_Tor x x1) => x
  end.

(* Why3 assumption *)
Definition eqS_Tor (s_0:s_Tor) (s_1:s_Tor): Prop :=
  ((f_Tor_type1 s_0) = (f_Tor_type1 s_1)) /\
  ((f_Tor_type2 s_0) = (f_Tor_type2 s_1)).

(* Why3 assumption *)
Inductive s_Tbot :=
  | mk_s_Tbot : Z -> s_Tbot.
Axiom s_Tbot_WhyType : WhyType s_Tbot.
Existing Instance s_Tbot_WhyType.

(* Why3 assumption *)
Definition f_Tbot_nothing (v:s_Tbot): Z :=
  match v with
  | (mk_s_Tbot x) => x
  end.

(* Why3 assumption *)
Definition eqS_Tbot (s_0:s_Tbot) (s_1:s_Tbot): Prop :=
  ((f_Tbot_nothing s_0) = (f_Tbot_nothing s_1)).

(* Why3 assumption *)
Definition isS_Tbot (s_0:s_Tbot): Prop := (is_sint32 (f_Tbot_nothing s_0)).

(* Why3 assumption *)
Inductive s_Type :=
  | mk_s_Type : Z -> s_Tvar -> s_Tall -> s_Tapp -> s_Texi -> s_Tand ->
      s_Tor -> s_Tbot -> s_Type.
Axiom s_Type_WhyType : WhyType s_Type.
Existing Instance s_Type_WhyType.

(* Why3 assumption *)
Definition f_Type_tBot (v:s_Type): s_Tbot :=
  match v with
  | (mk_s_Type x x1 x2 x3 x4 x5 x6 x7) => x7
  end.

(* Why3 assumption *)
Definition f_Type_tOr (v:s_Type): s_Tor :=
  match v with
  | (mk_s_Type x x1 x2 x3 x4 x5 x6 x7) => x6
  end.

(* Why3 assumption *)
Definition f_Type_tAnd (v:s_Type): s_Tand :=
  match v with
  | (mk_s_Type x x1 x2 x3 x4 x5 x6 x7) => x5
  end.

(* Why3 assumption *)
Definition f_Type_tExi (v:s_Type): s_Texi :=
  match v with
  | (mk_s_Type x x1 x2 x3 x4 x5 x6 x7) => x4
  end.

(* Why3 assumption *)
Definition f_Type_tApp (v:s_Type): s_Tapp :=
  match v with
  | (mk_s_Type x x1 x2 x3 x4 x5 x6 x7) => x3
  end.

(* Why3 assumption *)
Definition f_Type_tAll (v:s_Type): s_Tall :=
  match v with
  | (mk_s_Type x x1 x2 x3 x4 x5 x6 x7) => x2
  end.

(* Why3 assumption *)
Definition f_Type_tVar (v:s_Type): s_Tvar :=
  match v with
  | (mk_s_Type x x1 x2 x3 x4 x5 x6 x7) => x1
  end.

(* Why3 assumption *)
Definition f_Type_which (v:s_Type): Z :=
  match v with
  | (mk_s_Type x x1 x2 x3 x4 x5 x6 x7) => x
  end.

(* Why3 assumption *)
Definition isS_Type (s_0:s_Type): Prop := (isS_Tbot (f_Type_tBot s_0)) /\
  (is_uint32 (f_Type_which s_0)).

(* Why3 assumption *)
Definition load_S_Tall (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Tall :=
  (mk_s_Tall (map.Map.get mptr_0 (shift p_0 0%Z)) (map.Map.get mptr_0
  (shift p_0 1%Z)) (map.Map.get mptr_0 (shift p_0 2%Z))).

(* Why3 assumption *)
Definition load_S_Tand (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Tand :=
  (mk_s_Tand (map.Map.get mptr_0 (shift p_0 0%Z)) (map.Map.get mptr_0
  (shift p_0 1%Z))).

(* Why3 assumption *)
Definition load_S_Tapp (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Tapp :=
  (mk_s_Tapp (map.Map.get mptr_0 (shift p_0 0%Z)) (map.Map.get mptr_0
  (shift p_0 1%Z))).

(* Why3 assumption *)
Definition load_S_Tbot (p_0:addr) (mint_0:(map.Map.map addr Z)): s_Tbot :=
  (mk_s_Tbot (map.Map.get mint_0 (shift p_0 0%Z))).

(* Why3 assumption *)
Definition load_S_Texi (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Texi :=
  (mk_s_Texi (map.Map.get mptr_0 (shift p_0 0%Z)) (map.Map.get mptr_0
  (shift p_0 1%Z)) (map.Map.get mptr_0 (shift p_0 2%Z))).

(* Why3 assumption *)
Definition load_S_Tor (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Tor :=
  (mk_s_Tor (map.Map.get mptr_0 (shift p_0 0%Z)) (map.Map.get mptr_0
  (shift p_0 1%Z))).

(* Why3 assumption *)
Definition load_S_Tvar (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Tvar :=
  (mk_s_Tvar (map.Map.get mptr_0 (shift p_0 0%Z))).

(* Why3 assumption *)
Definition load_S_Type (p_0:addr) (mint_0:(map.Map.map addr Z))
  (mptr_0:(map.Map.map addr addr)): s_Type := (mk_s_Type (map.Map.get mint_0
  (shift p_0 0%Z)) (load_S_Tvar (shift p_0 1%Z) mptr_0)
  (load_S_Tall (shift p_0 2%Z) mptr_0) (load_S_Tapp (shift p_0 5%Z) mptr_0)
  (load_S_Texi (shift p_0 7%Z) mptr_0) (load_S_Tand (shift p_0 10%Z) mptr_0)
  (load_S_Tor (shift p_0 12%Z) mptr_0) (load_S_Tbot (shift p_0 14%Z)
  mint_0)).

(* Why3 assumption *)
Inductive s_Kstar :=
  | mk_s_Kstar : Z -> s_Kstar.
Axiom s_Kstar_WhyType : WhyType s_Kstar.
Existing Instance s_Kstar_WhyType.

(* Why3 assumption *)
Definition f_Kstar_nothing (v:s_Kstar): Z :=
  match v with
  | (mk_s_Kstar x) => x
  end.

(* Why3 assumption *)
Definition isS_Kstar (s_0:s_Kstar): Prop := (is_sint32
  (f_Kstar_nothing s_0)).

(* Why3 assumption *)
Definition eqS_Kstar (s_0:s_Kstar) (s_1:s_Kstar): Prop :=
  ((f_Kstar_nothing s_0) = (f_Kstar_nothing s_1)).

(* Why3 assumption *)
Inductive s_Kpi :=
  | mk_s_Kpi : addr -> addr -> addr -> s_Kpi.
Axiom s_Kpi_WhyType : WhyType s_Kpi.
Existing Instance s_Kpi_WhyType.

(* Why3 assumption *)
Definition f_Kpi_kind (v:s_Kpi): addr :=
  match v with
  | (mk_s_Kpi x x1 x2) => x2
  end.

(* Why3 assumption *)
Definition f_Kpi_type (v:s_Kpi): addr :=
  match v with
  | (mk_s_Kpi x x1 x2) => x1
  end.

(* Why3 assumption *)
Definition f_Kpi_name (v:s_Kpi): addr :=
  match v with
  | (mk_s_Kpi x x1 x2) => x
  end.

(* Why3 assumption *)
Definition eqS_Kpi (s_0:s_Kpi) (s_1:s_Kpi): Prop :=
  ((f_Kpi_kind s_0) = (f_Kpi_kind s_1)) /\
  (((f_Kpi_name s_0) = (f_Kpi_name s_1)) /\
  ((f_Kpi_type s_0) = (f_Kpi_type s_1))).

(* Why3 assumption *)
Inductive s_Kind :=
  | mk_s_Kind : Z -> s_Kstar -> s_Kpi -> s_Kind.
Axiom s_Kind_WhyType : WhyType s_Kind.
Existing Instance s_Kind_WhyType.

(* Why3 assumption *)
Definition f_Kind_kPi (v:s_Kind): s_Kpi :=
  match v with
  | (mk_s_Kind x x1 x2) => x2
  end.

(* Why3 assumption *)
Definition f_Kind_kStar (v:s_Kind): s_Kstar :=
  match v with
  | (mk_s_Kind x x1 x2) => x1
  end.

(* Why3 assumption *)
Definition f_Kind_which (v:s_Kind): Z :=
  match v with
  | (mk_s_Kind x x1 x2) => x
  end.

(* Why3 assumption *)
Definition isS_Kind (s_0:s_Kind): Prop := (isS_Kstar (f_Kind_kStar s_0)) /\
  (is_uint32 (f_Kind_which s_0)).

(* Why3 assumption *)
Definition load_S_Kpi (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Kpi :=
  (mk_s_Kpi (map.Map.get mptr_0 (shift p_0 0%Z)) (map.Map.get mptr_0
  (shift p_0 1%Z)) (map.Map.get mptr_0 (shift p_0 2%Z))).

(* Why3 assumption *)
Definition load_S_Kstar (p_0:addr) (mint_0:(map.Map.map addr Z)): s_Kstar :=
  (mk_s_Kstar (map.Map.get mint_0 (shift p_0 0%Z))).

(* Why3 assumption *)
Definition load_S_Kind (p_0:addr) (mint_0:(map.Map.map addr Z))
  (mptr_0:(map.Map.map addr addr)): s_Kind := (mk_s_Kind (map.Map.get mint_0
  (shift p_0 0%Z)) (load_S_Kstar (shift p_0 1%Z) mint_0)
  (load_S_Kpi (shift p_0 2%Z) mptr_0)).

(* Why3 assumption *)
Inductive s_Any :=
  | mk_s_Any : Z -> addr -> addr -> addr -> addr -> s_Bind -> s_Any.
Axiom s_Any_WhyType : WhyType s_Any.
Existing Instance s_Any_WhyType.

(* Why3 assumption *)
Definition f_Any_mBind (v:s_Any): s_Bind :=
  match v with
  | (mk_s_Any x x1 x2 x3 x4 x5) => x5
  end.

(* Why3 assumption *)
Definition f_Any_mName (v:s_Any): addr :=
  match v with
  | (mk_s_Any x x1 x2 x3 x4 x5) => x4
  end.

(* Why3 assumption *)
Definition f_Any_mKind (v:s_Any): addr :=
  match v with
  | (mk_s_Any x x1 x2 x3 x4 x5) => x3
  end.

(* Why3 assumption *)
Definition f_Any_mTerm (v:s_Any): addr :=
  match v with
  | (mk_s_Any x x1 x2 x3 x4 x5) => x2
  end.

(* Why3 assumption *)
Definition f_Any_mType (v:s_Any): addr :=
  match v with
  | (mk_s_Any x x1 x2 x3 x4 x5) => x1
  end.

(* Why3 assumption *)
Definition f_Any_which (v:s_Any): Z :=
  match v with
  | (mk_s_Any x x1 x2 x3 x4 x5) => x
  end.

(* Why3 assumption *)
Definition isS_Any (s_0:s_Any): Prop := (is_uint32 (f_Any_which s_0)).

(* Why3 assumption *)
Definition load_S_Bind (p_0:addr) (mptr_0:(map.Map.map addr addr)): s_Bind :=
  (mk_s_Bind (map.Map.get mptr_0 (shift p_0 0%Z)) (map.Map.get mptr_0
  (shift p_0 1%Z)) (map.Map.get mptr_0 (shift p_0 2%Z))).

(* Why3 assumption *)
Definition load_S_Any (p_0:addr) (mint_0:(map.Map.map addr Z))
  (mptr_0:(map.Map.map addr addr)): s_Any := (mk_s_Any (map.Map.get mint_0
  (shift p_0 0%Z)) (map.Map.get mptr_0 (shift p_0 1%Z)) (map.Map.get mptr_0
  (shift p_0 2%Z)) (map.Map.get mptr_0 (shift p_0 3%Z)) (map.Map.get mptr_0
  (shift p_0 4%Z)) (load_S_Bind (shift p_0 5%Z) mptr_0)).

Axiom Q_Load_S___anonstruct_envmap_6_havoc_Mptr : forall (p_0:addr)
  (q_0:addr), forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map
  addr addr)), forall (mint_0:(map.Map.map addr Z)), forall (k_0:Z),
  (included q_0 k_0 p_0 4%Z) -> ((havoc mptr_0 mptr_1 q_0 k_0) ->
  ((load_S___anonstruct_envmap_6 p_0 mint_0
  mptr_0) = (load_S___anonstruct_envmap_6 p_0 mint_0 mptr_1))).

Axiom Q_Load_S___anonstruct_envmap_6_eqmem_Mptr : forall (p_0:addr)
  (q_0:addr), forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map
  addr addr)), forall (mint_0:(map.Map.map addr Z)), forall (k_0:Z),
  (separated q_0 k_0 p_0 4%Z) -> ((eqmem mptr_0 mptr_1 q_0 k_0) ->
  ((load_S___anonstruct_envmap_6 p_0 mint_0
  mptr_0) = (load_S___anonstruct_envmap_6 p_0 mint_0 mptr_1))).

Axiom Q_Load_S___anonstruct_envmap_6_update_Mptr : forall (p_0:addr)
  (q_0:addr) (v_0:addr), forall (mptr_0:(map.Map.map addr addr)),
  forall (mint_0:(map.Map.map addr Z)), (separated q_0 1%Z p_0 4%Z) ->
  ((load_S___anonstruct_envmap_6 p_0 mint_0
  mptr_0) = (load_S___anonstruct_envmap_6 p_0 mint_0 (map.Map.set mptr_0 q_0
  v_0))).

Axiom Q_Load_S___anonstruct_envmap_6_havoc_Mint : forall (p_0:addr)
  (q_0:addr), forall (mptr_0:(map.Map.map addr addr)),
  forall (mint_0:(map.Map.map addr Z)) (mint_1:(map.Map.map addr Z)),
  forall (k_0:Z), (included q_0 k_0 p_0 4%Z) -> ((havoc mint_0 mint_1 q_0
  k_0) -> ((load_S___anonstruct_envmap_6 p_0 mint_0
  mptr_0) = (load_S___anonstruct_envmap_6 p_0 mint_1 mptr_0))).

Axiom Q_Load_S___anonstruct_envmap_6_eqmem_Mint : forall (p_0:addr)
  (q_0:addr), forall (mptr_0:(map.Map.map addr addr)),
  forall (mint_0:(map.Map.map addr Z)) (mint_1:(map.Map.map addr Z)),
  forall (k_0:Z), (separated q_0 k_0 p_0 4%Z) -> ((eqmem mint_0 mint_1 q_0
  k_0) -> ((load_S___anonstruct_envmap_6 p_0 mint_0
  mptr_0) = (load_S___anonstruct_envmap_6 p_0 mint_1 mptr_0))).

Axiom Q_Load_S___anonstruct_envmap_6_update_Mint : forall (p_0:addr)
  (q_0:addr), forall (mptr_0:(map.Map.map addr addr)),
  forall (mint_0:(map.Map.map addr Z)), forall (v_0:Z), (separated q_0 1%Z
  p_0 4%Z) -> ((load_S___anonstruct_envmap_6 p_0 mint_0
  mptr_0) = (load_S___anonstruct_envmap_6 p_0 (map.Map.set mint_0 q_0 v_0)
  mptr_0)).

Axiom Q_Load_S_Term_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (mint_0:(map.Map.map addr Z)), forall (k_0:Z), (included q_0 k_0 p_0
  34%Z) -> ((havoc mptr_0 mptr_1 q_0 k_0) -> ((load_S_Term p_0 mint_0
  mptr_0) = (load_S_Term p_0 mint_0 mptr_1))).

Axiom Q_Load_S_Term_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (mint_0:(map.Map.map addr Z)), forall (k_0:Z), (separated q_0 k_0
  p_0 34%Z) -> ((eqmem mptr_0 mptr_1 q_0 k_0) -> ((load_S_Term p_0 mint_0
  mptr_0) = (load_S_Term p_0 mint_0 mptr_1))).

Axiom Q_Load_S_Term_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), forall (mint_0:(map.Map.map addr
  Z)), (separated q_0 1%Z p_0 34%Z) -> ((load_S_Term p_0 mint_0
  mptr_0) = (load_S_Term p_0 mint_0 (map.Map.set mptr_0 q_0 v_0))).

Axiom Q_Load_S_Term_havoc_Mint : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), forall (mint_0:(map.Map.map addr
  Z)) (mint_1:(map.Map.map addr Z)), forall (k_0:Z), (included q_0 k_0 p_0
  34%Z) -> ((havoc mint_0 mint_1 q_0 k_0) -> ((load_S_Term p_0 mint_0
  mptr_0) = (load_S_Term p_0 mint_1 mptr_0))).

Axiom Q_Load_S_Term_eqmem_Mint : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), forall (mint_0:(map.Map.map addr
  Z)) (mint_1:(map.Map.map addr Z)), forall (k_0:Z), (separated q_0 k_0 p_0
  34%Z) -> ((eqmem mint_0 mint_1 q_0 k_0) -> ((load_S_Term p_0 mint_0
  mptr_0) = (load_S_Term p_0 mint_1 mptr_0))).

Axiom Q_Load_S_Term_update_Mint : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), forall (mint_0:(map.Map.map addr
  Z)), forall (v_0:Z), (separated q_0 1%Z p_0 34%Z) -> ((load_S_Term p_0
  mint_0 mptr_0) = (load_S_Term p_0 (map.Map.set mint_0 q_0 v_0) mptr_0)).

Axiom Q_Load_S_Type_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (mint_0:(map.Map.map addr Z)), forall (k_0:Z), (included q_0 k_0 p_0
  15%Z) -> ((havoc mptr_0 mptr_1 q_0 k_0) -> ((load_S_Type p_0 mint_0
  mptr_0) = (load_S_Type p_0 mint_0 mptr_1))).

Axiom Q_Load_S_Type_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (mint_0:(map.Map.map addr Z)), forall (k_0:Z), (separated q_0 k_0
  p_0 15%Z) -> ((eqmem mptr_0 mptr_1 q_0 k_0) -> ((load_S_Type p_0 mint_0
  mptr_0) = (load_S_Type p_0 mint_0 mptr_1))).

Axiom Q_Load_S_Type_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), forall (mint_0:(map.Map.map addr
  Z)), (separated q_0 1%Z p_0 15%Z) -> ((load_S_Type p_0 mint_0
  mptr_0) = (load_S_Type p_0 mint_0 (map.Map.set mptr_0 q_0 v_0))).

Axiom Q_Load_S_Type_havoc_Mint : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), forall (mint_0:(map.Map.map addr
  Z)) (mint_1:(map.Map.map addr Z)), forall (k_0:Z), (included q_0 k_0 p_0
  15%Z) -> ((havoc mint_0 mint_1 q_0 k_0) -> ((load_S_Type p_0 mint_0
  mptr_0) = (load_S_Type p_0 mint_1 mptr_0))).

Axiom Q_Load_S_Type_eqmem_Mint : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), forall (mint_0:(map.Map.map addr
  Z)) (mint_1:(map.Map.map addr Z)), forall (k_0:Z), (separated q_0 k_0 p_0
  15%Z) -> ((eqmem mint_0 mint_1 q_0 k_0) -> ((load_S_Type p_0 mint_0
  mptr_0) = (load_S_Type p_0 mint_1 mptr_0))).

Axiom Q_Load_S_Type_update_Mint : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), forall (mint_0:(map.Map.map addr
  Z)), forall (v_0:Z), (separated q_0 1%Z p_0 15%Z) -> ((load_S_Type p_0
  mint_0 mptr_0) = (load_S_Type p_0 (map.Map.set mint_0 q_0 v_0) mptr_0)).

Axiom Q_Load_S_Kind_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (mint_0:(map.Map.map addr Z)), forall (k_0:Z), (included q_0 k_0 p_0
  5%Z) -> ((havoc mptr_0 mptr_1 q_0 k_0) -> ((load_S_Kind p_0 mint_0
  mptr_0) = (load_S_Kind p_0 mint_0 mptr_1))).

Axiom Q_Load_S_Kind_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (mint_0:(map.Map.map addr Z)), forall (k_0:Z), (separated q_0 k_0
  p_0 5%Z) -> ((eqmem mptr_0 mptr_1 q_0 k_0) -> ((load_S_Kind p_0 mint_0
  mptr_0) = (load_S_Kind p_0 mint_0 mptr_1))).

Axiom Q_Load_S_Kind_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), forall (mint_0:(map.Map.map addr
  Z)), (separated q_0 1%Z p_0 5%Z) -> ((load_S_Kind p_0 mint_0
  mptr_0) = (load_S_Kind p_0 mint_0 (map.Map.set mptr_0 q_0 v_0))).

Axiom Q_Load_S_Kind_havoc_Mint : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), forall (mint_0:(map.Map.map addr
  Z)) (mint_1:(map.Map.map addr Z)), forall (k_0:Z), (included q_0 k_0 p_0
  5%Z) -> ((havoc mint_0 mint_1 q_0 k_0) -> ((load_S_Kind p_0 mint_0
  mptr_0) = (load_S_Kind p_0 mint_1 mptr_0))).

Axiom Q_Load_S_Kind_eqmem_Mint : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), forall (mint_0:(map.Map.map addr
  Z)) (mint_1:(map.Map.map addr Z)), forall (k_0:Z), (separated q_0 k_0 p_0
  5%Z) -> ((eqmem mint_0 mint_1 q_0 k_0) -> ((load_S_Kind p_0 mint_0
  mptr_0) = (load_S_Kind p_0 mint_1 mptr_0))).

Axiom Q_Load_S_Kind_update_Mint : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), forall (mint_0:(map.Map.map addr
  Z)), forall (v_0:Z), (separated q_0 1%Z p_0 5%Z) -> ((load_S_Kind p_0
  mint_0 mptr_0) = (load_S_Kind p_0 (map.Map.set mint_0 q_0 v_0) mptr_0)).

Axiom Q_Load_S_Kpi_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (included q_0 k_0 p_0 3%Z) -> ((havoc mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Kpi p_0 mptr_0) = (load_S_Kpi p_0 mptr_1))).

Axiom Q_Load_S_Kpi_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (separated q_0 k_0 p_0 3%Z) -> ((eqmem mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Kpi p_0 mptr_0) = (load_S_Kpi p_0 mptr_1))).

Axiom Q_Load_S_Kpi_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), (separated q_0 1%Z p_0 3%Z) ->
  ((load_S_Kpi p_0 mptr_0) = (load_S_Kpi p_0 (map.Map.set mptr_0 q_0 v_0))).

Axiom Q_Load_S_Kstar_havoc_Mint : forall (p_0:addr) (q_0:addr),
  forall (mint_0:(map.Map.map addr Z)) (mint_1:(map.Map.map addr Z)),
  forall (k_0:Z), (included q_0 k_0 p_0 1%Z) -> ((havoc mint_0 mint_1 q_0
  k_0) -> ((load_S_Kstar p_0 mint_0) = (load_S_Kstar p_0 mint_1))).

Axiom Q_Load_S_Kstar_eqmem_Mint : forall (p_0:addr) (q_0:addr),
  forall (mint_0:(map.Map.map addr Z)) (mint_1:(map.Map.map addr Z)),
  forall (k_0:Z), (separated q_0 k_0 p_0 1%Z) -> ((eqmem mint_0 mint_1 q_0
  k_0) -> ((load_S_Kstar p_0 mint_0) = (load_S_Kstar p_0 mint_1))).

Axiom Q_Load_S_Kstar_update_Mint : forall (p_0:addr) (q_0:addr),
  forall (mint_0:(map.Map.map addr Z)), forall (v_0:Z), (~ (p_0 = q_0)) ->
  ((load_S_Kstar p_0 mint_0) = (load_S_Kstar p_0 (map.Map.set mint_0 q_0
  v_0))).

Axiom Q_Load_S_Any_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (mint_0:(map.Map.map addr Z)), forall (k_0:Z), (included q_0 k_0 p_0
  8%Z) -> ((havoc mptr_0 mptr_1 q_0 k_0) -> ((load_S_Any p_0 mint_0
  mptr_0) = (load_S_Any p_0 mint_0 mptr_1))).

Axiom Q_Load_S_Any_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (mint_0:(map.Map.map addr Z)), forall (k_0:Z), (separated q_0 k_0
  p_0 8%Z) -> ((eqmem mptr_0 mptr_1 q_0 k_0) -> ((load_S_Any p_0 mint_0
  mptr_0) = (load_S_Any p_0 mint_0 mptr_1))).

Axiom Q_Load_S_Any_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), forall (mint_0:(map.Map.map addr
  Z)), (separated q_0 1%Z p_0 8%Z) -> ((load_S_Any p_0 mint_0
  mptr_0) = (load_S_Any p_0 mint_0 (map.Map.set mptr_0 q_0 v_0))).

Axiom Q_Load_S_Any_havoc_Mint : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), forall (mint_0:(map.Map.map addr
  Z)) (mint_1:(map.Map.map addr Z)), forall (k_0:Z), (included q_0 k_0 p_0
  8%Z) -> ((havoc mint_0 mint_1 q_0 k_0) -> ((load_S_Any p_0 mint_0
  mptr_0) = (load_S_Any p_0 mint_1 mptr_0))).

Axiom Q_Load_S_Any_eqmem_Mint : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), forall (mint_0:(map.Map.map addr
  Z)) (mint_1:(map.Map.map addr Z)), forall (k_0:Z), (separated q_0 k_0 p_0
  8%Z) -> ((eqmem mint_0 mint_1 q_0 k_0) -> ((load_S_Any p_0 mint_0
  mptr_0) = (load_S_Any p_0 mint_1 mptr_0))).

Axiom Q_Load_S_Any_update_Mint : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), forall (mint_0:(map.Map.map addr
  Z)), forall (v_0:Z), (separated q_0 1%Z p_0 8%Z) -> ((load_S_Any p_0 mint_0
  mptr_0) = (load_S_Any p_0 (map.Map.set mint_0 q_0 v_0) mptr_0)).

Axiom Q_Load_S_Mvar_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (included q_0 k_0 p_0 1%Z) -> ((havoc mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Mvar p_0 mptr_0) = (load_S_Mvar p_0 mptr_1))).

Axiom Q_Load_S_Mvar_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (separated q_0 k_0 p_0 1%Z) -> ((eqmem mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Mvar p_0 mptr_0) = (load_S_Mvar p_0 mptr_1))).

Axiom Q_Load_S_Mvar_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), (~ (p_0 = q_0)) ->
  ((load_S_Mvar p_0 mptr_0) = (load_S_Mvar p_0 (map.Map.set mptr_0 q_0
  v_0))).

Axiom Q_Load_S_Mapp_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (included q_0 k_0 p_0 2%Z) -> ((havoc mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Mapp p_0 mptr_0) = (load_S_Mapp p_0 mptr_1))).

Axiom Q_Load_S_Mapp_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (separated q_0 k_0 p_0 2%Z) -> ((eqmem mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Mapp p_0 mptr_0) = (load_S_Mapp p_0 mptr_1))).

Axiom Q_Load_S_Mapp_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), (separated q_0 1%Z p_0 2%Z) ->
  ((load_S_Mapp p_0 mptr_0) = (load_S_Mapp p_0 (map.Map.set mptr_0 q_0
  v_0))).

Axiom Q_Load_S_Mlam_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (included q_0 k_0 p_0 3%Z) -> ((havoc mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Mlam p_0 mptr_0) = (load_S_Mlam p_0 mptr_1))).

Axiom Q_Load_S_Mlam_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (separated q_0 k_0 p_0 3%Z) -> ((eqmem mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Mlam p_0 mptr_0) = (load_S_Mlam p_0 mptr_1))).

Axiom Q_Load_S_Mlam_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), (separated q_0 1%Z p_0 3%Z) ->
  ((load_S_Mlam p_0 mptr_0) = (load_S_Mlam p_0 (map.Map.set mptr_0 q_0
  v_0))).

Axiom Q_Load_S_Mwit_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (included q_0 k_0 p_0 3%Z) -> ((havoc mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Mwit p_0 mptr_0) = (load_S_Mwit p_0 mptr_1))).

Axiom Q_Load_S_Mwit_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (separated q_0 k_0 p_0 3%Z) -> ((eqmem mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Mwit p_0 mptr_0) = (load_S_Mwit p_0 mptr_1))).

Axiom Q_Load_S_Mwit_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), (separated q_0 1%Z p_0 3%Z) ->
  ((load_S_Mwit p_0 mptr_0) = (load_S_Mwit p_0 (map.Map.set mptr_0 q_0
  v_0))).

Axiom Q_Load_S_Mabs_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (included q_0 k_0 p_0 6%Z) -> ((havoc mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Mabs p_0 mptr_0) = (load_S_Mabs p_0 mptr_1))).

Axiom Q_Load_S_Mabs_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (separated q_0 k_0 p_0 6%Z) -> ((eqmem mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Mabs p_0 mptr_0) = (load_S_Mabs p_0 mptr_1))).

Axiom Q_Load_S_Mabs_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), (separated q_0 1%Z p_0 6%Z) ->
  ((load_S_Mabs p_0 mptr_0) = (load_S_Mabs p_0 (map.Map.set mptr_0 q_0
  v_0))).

Axiom Q_Load_S_Mtup_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (included q_0 k_0 p_0 3%Z) -> ((havoc mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Mtup p_0 mptr_0) = (load_S_Mtup p_0 mptr_1))).

Axiom Q_Load_S_Mtup_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (separated q_0 k_0 p_0 3%Z) -> ((eqmem mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Mtup p_0 mptr_0) = (load_S_Mtup p_0 mptr_1))).

Axiom Q_Load_S_Mtup_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), (separated q_0 1%Z p_0 3%Z) ->
  ((load_S_Mtup p_0 mptr_0) = (load_S_Mtup p_0 (map.Map.set mptr_0 q_0
  v_0))).

Axiom Q_Load_S_Mpi1_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (included q_0 k_0 p_0 1%Z) -> ((havoc mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Mpi1 p_0 mptr_0) = (load_S_Mpi1 p_0 mptr_1))).

Axiom Q_Load_S_Mpi1_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (separated q_0 k_0 p_0 1%Z) -> ((eqmem mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Mpi1 p_0 mptr_0) = (load_S_Mpi1 p_0 mptr_1))).

Axiom Q_Load_S_Mpi1_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), (~ (p_0 = q_0)) ->
  ((load_S_Mpi1 p_0 mptr_0) = (load_S_Mpi1 p_0 (map.Map.set mptr_0 q_0
  v_0))).

Axiom Q_Load_S_Mpi2_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (included q_0 k_0 p_0 1%Z) -> ((havoc mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Mpi2 p_0 mptr_0) = (load_S_Mpi2 p_0 mptr_1))).

Axiom Q_Load_S_Mpi2_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (separated q_0 k_0 p_0 1%Z) -> ((eqmem mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Mpi2 p_0 mptr_0) = (load_S_Mpi2 p_0 mptr_1))).

Axiom Q_Load_S_Mpi2_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), (~ (p_0 = q_0)) ->
  ((load_S_Mpi2 p_0 mptr_0) = (load_S_Mpi2 p_0 (map.Map.set mptr_0 q_0
  v_0))).

Axiom Q_Load_S_Min1_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (included q_0 k_0 p_0 2%Z) -> ((havoc mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Min1 p_0 mptr_0) = (load_S_Min1 p_0 mptr_1))).

Axiom Q_Load_S_Min1_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (separated q_0 k_0 p_0 2%Z) -> ((eqmem mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Min1 p_0 mptr_0) = (load_S_Min1 p_0 mptr_1))).

Axiom Q_Load_S_Min1_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), (separated q_0 1%Z p_0 2%Z) ->
  ((load_S_Min1 p_0 mptr_0) = (load_S_Min1 p_0 (map.Map.set mptr_0 q_0
  v_0))).

Axiom Q_Load_S_Min2_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (included q_0 k_0 p_0 2%Z) -> ((havoc mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Min2 p_0 mptr_0) = (load_S_Min2 p_0 mptr_1))).

Axiom Q_Load_S_Min2_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (separated q_0 k_0 p_0 2%Z) -> ((eqmem mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Min2 p_0 mptr_0) = (load_S_Min2 p_0 mptr_1))).

Axiom Q_Load_S_Min2_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), (separated q_0 1%Z p_0 2%Z) ->
  ((load_S_Min2 p_0 mptr_0) = (load_S_Min2 p_0 (map.Map.set mptr_0 q_0
  v_0))).

Axiom Q_Load_S_Mcas_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (included q_0 k_0 p_0 7%Z) -> ((havoc mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Mcas p_0 mptr_0) = (load_S_Mcas p_0 mptr_1))).

Axiom Q_Load_S_Mcas_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (separated q_0 k_0 p_0 7%Z) -> ((eqmem mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Mcas p_0 mptr_0) = (load_S_Mcas p_0 mptr_1))).

Axiom Q_Load_S_Mcas_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), (separated q_0 1%Z p_0 7%Z) ->
  ((load_S_Mcas p_0 mptr_0) = (load_S_Mcas p_0 (map.Map.set mptr_0 q_0
  v_0))).

Axiom Q_Load_S_McasIn_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (included q_0 k_0 p_0 3%Z) -> ((havoc mptr_0 mptr_1 q_0
  k_0) -> ((load_S_McasIn p_0 mptr_0) = (load_S_McasIn p_0 mptr_1))).

Axiom Q_Load_S_McasIn_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (separated q_0 k_0 p_0 3%Z) -> ((eqmem mptr_0 mptr_1 q_0
  k_0) -> ((load_S_McasIn p_0 mptr_0) = (load_S_McasIn p_0 mptr_1))).

Axiom Q_Load_S_McasIn_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), (separated q_0 1%Z p_0 3%Z) ->
  ((load_S_McasIn p_0 mptr_0) = (load_S_McasIn p_0 (map.Map.set mptr_0 q_0
  v_0))).

Axiom Q_Load_S_Meps_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (included q_0 k_0 p_0 2%Z) -> ((havoc mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Meps p_0 mptr_0) = (load_S_Meps p_0 mptr_1))).

Axiom Q_Load_S_Meps_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (separated q_0 k_0 p_0 2%Z) -> ((eqmem mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Meps p_0 mptr_0) = (load_S_Meps p_0 mptr_1))).

Axiom Q_Load_S_Meps_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), (separated q_0 1%Z p_0 2%Z) ->
  ((load_S_Meps p_0 mptr_0) = (load_S_Meps p_0 (map.Map.set mptr_0 q_0
  v_0))).

Axiom Q_Load_S_Tvar_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (included q_0 k_0 p_0 1%Z) -> ((havoc mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Tvar p_0 mptr_0) = (load_S_Tvar p_0 mptr_1))).

Axiom Q_Load_S_Tvar_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (separated q_0 k_0 p_0 1%Z) -> ((eqmem mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Tvar p_0 mptr_0) = (load_S_Tvar p_0 mptr_1))).

Axiom Q_Load_S_Tvar_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), (~ (p_0 = q_0)) ->
  ((load_S_Tvar p_0 mptr_0) = (load_S_Tvar p_0 (map.Map.set mptr_0 q_0
  v_0))).

Axiom Q_Load_S_Tall_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (included q_0 k_0 p_0 3%Z) -> ((havoc mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Tall p_0 mptr_0) = (load_S_Tall p_0 mptr_1))).

Axiom Q_Load_S_Tall_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (separated q_0 k_0 p_0 3%Z) -> ((eqmem mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Tall p_0 mptr_0) = (load_S_Tall p_0 mptr_1))).

Axiom Q_Load_S_Tall_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), (separated q_0 1%Z p_0 3%Z) ->
  ((load_S_Tall p_0 mptr_0) = (load_S_Tall p_0 (map.Map.set mptr_0 q_0
  v_0))).

Axiom Q_Load_S_Tapp_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (included q_0 k_0 p_0 2%Z) -> ((havoc mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Tapp p_0 mptr_0) = (load_S_Tapp p_0 mptr_1))).

Axiom Q_Load_S_Tapp_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (separated q_0 k_0 p_0 2%Z) -> ((eqmem mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Tapp p_0 mptr_0) = (load_S_Tapp p_0 mptr_1))).

Axiom Q_Load_S_Tapp_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), (separated q_0 1%Z p_0 2%Z) ->
  ((load_S_Tapp p_0 mptr_0) = (load_S_Tapp p_0 (map.Map.set mptr_0 q_0
  v_0))).

Axiom Q_Load_S_Texi_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (included q_0 k_0 p_0 3%Z) -> ((havoc mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Texi p_0 mptr_0) = (load_S_Texi p_0 mptr_1))).

Axiom Q_Load_S_Texi_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (separated q_0 k_0 p_0 3%Z) -> ((eqmem mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Texi p_0 mptr_0) = (load_S_Texi p_0 mptr_1))).

Axiom Q_Load_S_Texi_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), (separated q_0 1%Z p_0 3%Z) ->
  ((load_S_Texi p_0 mptr_0) = (load_S_Texi p_0 (map.Map.set mptr_0 q_0
  v_0))).

Axiom Q_Load_S_Tand_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (included q_0 k_0 p_0 2%Z) -> ((havoc mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Tand p_0 mptr_0) = (load_S_Tand p_0 mptr_1))).

Axiom Q_Load_S_Tand_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (separated q_0 k_0 p_0 2%Z) -> ((eqmem mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Tand p_0 mptr_0) = (load_S_Tand p_0 mptr_1))).

Axiom Q_Load_S_Tand_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), (separated q_0 1%Z p_0 2%Z) ->
  ((load_S_Tand p_0 mptr_0) = (load_S_Tand p_0 (map.Map.set mptr_0 q_0
  v_0))).

Axiom Q_Load_S_Tor_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (included q_0 k_0 p_0 2%Z) -> ((havoc mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Tor p_0 mptr_0) = (load_S_Tor p_0 mptr_1))).

Axiom Q_Load_S_Tor_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (separated q_0 k_0 p_0 2%Z) -> ((eqmem mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Tor p_0 mptr_0) = (load_S_Tor p_0 mptr_1))).

Axiom Q_Load_S_Tor_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), (separated q_0 1%Z p_0 2%Z) ->
  ((load_S_Tor p_0 mptr_0) = (load_S_Tor p_0 (map.Map.set mptr_0 q_0 v_0))).

Axiom Q_Load_S_Tbot_havoc_Mint : forall (p_0:addr) (q_0:addr),
  forall (mint_0:(map.Map.map addr Z)) (mint_1:(map.Map.map addr Z)),
  forall (k_0:Z), (included q_0 k_0 p_0 1%Z) -> ((havoc mint_0 mint_1 q_0
  k_0) -> ((load_S_Tbot p_0 mint_0) = (load_S_Tbot p_0 mint_1))).

Axiom Q_Load_S_Tbot_eqmem_Mint : forall (p_0:addr) (q_0:addr),
  forall (mint_0:(map.Map.map addr Z)) (mint_1:(map.Map.map addr Z)),
  forall (k_0:Z), (separated q_0 k_0 p_0 1%Z) -> ((eqmem mint_0 mint_1 q_0
  k_0) -> ((load_S_Tbot p_0 mint_0) = (load_S_Tbot p_0 mint_1))).

Axiom Q_Load_S_Tbot_update_Mint : forall (p_0:addr) (q_0:addr),
  forall (mint_0:(map.Map.map addr Z)), forall (v_0:Z), (~ (p_0 = q_0)) ->
  ((load_S_Tbot p_0 mint_0) = (load_S_Tbot p_0 (map.Map.set mint_0 q_0
  v_0))).

Axiom Q_Load_S_Bind_havoc_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (included q_0 k_0 p_0 3%Z) -> ((havoc mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Bind p_0 mptr_0) = (load_S_Bind p_0 mptr_1))).

Axiom Q_Load_S_Bind_eqmem_Mptr : forall (p_0:addr) (q_0:addr),
  forall (mptr_0:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr)),
  forall (k_0:Z), (separated q_0 k_0 p_0 3%Z) -> ((eqmem mptr_0 mptr_1 q_0
  k_0) -> ((load_S_Bind p_0 mptr_0) = (load_S_Bind p_0 mptr_1))).

Axiom Q_Load_S_Bind_update_Mptr : forall (p_0:addr) (q_0:addr) (v_0:addr),
  forall (mptr_0:(map.Map.map addr addr)), (separated q_0 1%Z p_0 3%Z) ->
  ((load_S_Bind p_0 mptr_0) = (load_S_Bind p_0 (map.Map.set mptr_0 q_0
  v_0))).

Parameter p_valid_Kind_ptr: addr -> Prop.

Parameter p_valid_Term_ptr: addr -> Prop.

(* Why3 assumption *)
Definition p_valid_Any (malloc_0:(map.Map.map Z Z)) (t_0:s_Any): Prop :=
  let x_0 := (f_Any_which t_0) in (((0%Z = x_0) -> (p_valid_Type_ptr
  (f_Any_mType t_0))) /\ (((2%Z = x_0) -> (p_valid_Kind_ptr
  (f_Any_mKind t_0))) /\ (((1%Z = x_0) -> (p_valid_Term_ptr
  (f_Any_mTerm t_0))) /\ (((3%Z = x_0) -> (p_valid_string malloc_0
  (f_Any_mName t_0))) /\ ((0%Z = x_0) \/ ((1%Z = x_0) \/ ((2%Z = x_0) \/
  ((3%Z = x_0) \/ (4%Z = x_0))))))))).

(* Why3 assumption *)
Definition p_valid_Any_ptr (malloc_0:(map.Map.map Z Z)) (mptr_0:(map.Map.map
  addr addr)) (mint_0:(map.Map.map addr Z)) (t_0:addr): Prop :=
  (~ (t_0 = (Mk_addr 0%Z 0%Z))) /\ ((valid_rw malloc_0 t_0 8%Z) /\
  (p_valid_Any malloc_0 (load_S_Any t_0 mint_0 mptr_0))).

(* Why3 assumption *)
Definition p_valid_Bind (malloc_0:(map.Map.map Z Z)) (mptr_0:(map.Map.map
  addr addr)) (mint_0:(map.Map.map addr Z)) (b_0:s_Bind): Prop :=
  (p_valid_Type_ptr (f_Bind_type b_0)) /\ ((p_valid_string malloc_0
  (f_Bind_name b_0)) /\ (p_valid_Any_ptr malloc_0 mptr_0 mint_0
  (f_Bind_any b_0))).

(* Why3 assumption *)
Definition p_isShallowCopyOfAny (a1_0:s_Any) (a2_0:s_Any): Prop :=
  ((f_Any_mKind a1_0) = (f_Any_mKind a2_0)) /\
  (((f_Any_mName a1_0) = (f_Any_mName a2_0)) /\
  (((f_Any_mTerm a1_0) = (f_Any_mTerm a2_0)) /\
  (((f_Any_mType a1_0) = (f_Any_mType a2_0)) /\
  (((f_Any_which a1_0) = (f_Any_which a2_0)) /\ (eqS_Bind (f_Any_mBind a1_0)
  (f_Any_mBind a2_0)))))).

(* Why3 assumption *)
Definition p_isShallowCopyOfTerm (t1_0:s_Term) (t2_0:s_Term): Prop :=
  ((f_Term_which t1_0) = (f_Term_which t2_0)) /\ ((eqS_Mabs
  (f_Term_mAbs t1_0) (f_Term_mAbs t2_0)) /\ ((eqS_Mapp (f_Term_mApp t1_0)
  (f_Term_mApp t2_0)) /\ ((eqS_Mcas (f_Term_mCas t1_0) (f_Term_mCas t2_0)) /\
  ((eqS_Meps (f_Term_mEps t1_0) (f_Term_mEps t2_0)) /\ ((eqS_Min1
  (f_Term_mIn1 t1_0) (f_Term_mIn1 t2_0)) /\ ((eqS_Min2 (f_Term_mIn2 t1_0)
  (f_Term_mIn2 t2_0)) /\ ((eqS_Mlam (f_Term_mLam t1_0) (f_Term_mLam t2_0)) /\
  ((eqS_Mpi1 (f_Term_mPi1 t1_0) (f_Term_mPi1 t2_0)) /\ ((eqS_Mpi2
  (f_Term_mPi2 t1_0) (f_Term_mPi2 t2_0)) /\ ((eqS_Mtup (f_Term_mTup t1_0)
  (f_Term_mTup t2_0)) /\ ((eqS_Mvar (f_Term_mVar t1_0) (f_Term_mVar t2_0)) /\
  (eqS_Mwit (f_Term_mWit t1_0) (f_Term_mWit t2_0))))))))))))).

(* Why3 assumption *)
Definition p_valid_Mvar (malloc_0:(map.Map.map Z Z)) (m_0:s_Mvar): Prop :=
  (p_valid_string malloc_0 (f_Mvar_name m_0)).

(* Why3 assumption *)
Definition p_valid_Mapp (malloc_0:(map.Map.map Z Z)) (m_0:s_Mapp): Prop :=
  let a_0 := (f_Mapp_term1 m_0) in let a_1 := (f_Mapp_term2 m_0) in
  ((p_valid_Term_ptr a_0) /\ ((p_valid_Term_ptr a_1) /\ ((valid_rw malloc_0
  a_0 34%Z) /\ (valid_rw malloc_0 a_1 34%Z)))).

(* Why3 assumption *)
Definition p_valid_Mlam (malloc_0:(map.Map.map Z Z)) (m_0:s_Mlam): Prop :=
  let a_0 := (f_Mlam_type m_0) in let a_1 := (f_Mlam_term m_0) in
  ((p_valid_Type_ptr a_0) /\ ((p_valid_Term_ptr a_1) /\ ((p_valid_string
  malloc_0 (f_Mlam_name m_0)) /\ ((valid_rw malloc_0 a_1 34%Z) /\ (valid_rw
  malloc_0 a_0 15%Z))))).

(* Why3 assumption *)
Definition p_valid_Mwit (malloc_0:(map.Map.map Z Z)) (m_0:s_Mwit): Prop :=
  let a_0 := (f_Mwit_type m_0) in let a_1 := (f_Mwit_term1 m_0) in let a_2 :=
  (f_Mwit_term2 m_0) in ((p_valid_Type_ptr a_0) /\ ((p_valid_Term_ptr a_1) /\
  ((p_valid_Term_ptr a_2) /\ ((valid_rw malloc_0 a_1 34%Z) /\ ((valid_rw
  malloc_0 a_2 34%Z) /\ (valid_rw malloc_0 a_0 15%Z)))))).

(* Why3 assumption *)
Definition p_valid_Mabs (malloc_0:(map.Map.map Z Z)) (m_0:s_Mabs): Prop :=
  let a_0 := (f_Mabs_type2 m_0) in let a_1 := (f_Mabs_type4 m_0) in
  let a_2 := (f_Mabs_term5 m_0) in let a_3 := (f_Mabs_term6 m_0) in
  ((p_valid_Type_ptr a_0) /\ ((p_valid_Type_ptr a_1) /\ ((p_valid_Term_ptr
  a_2) /\ ((p_valid_Term_ptr a_3) /\ ((p_valid_string malloc_0
  (f_Mabs_name1 m_0)) /\ ((p_valid_string malloc_0 (f_Mabs_name3 m_0)) /\
  ((valid_rw malloc_0 a_2 34%Z) /\ ((valid_rw malloc_0 a_3 34%Z) /\
  ((valid_rw malloc_0 a_0 15%Z) /\ (valid_rw malloc_0 a_1 15%Z)))))))))).

(* Why3 assumption *)
Definition p_valid_Mtup (malloc_0:(map.Map.map Z Z)) (m_0:s_Mtup): Prop :=
  let a_0 := (f_Mtup_type m_0) in let a_1 := (f_Mtup_term1 m_0) in let a_2 :=
  (f_Mtup_term2 m_0) in ((p_valid_Type_ptr a_0) /\ ((p_valid_Term_ptr a_1) /\
  ((p_valid_Term_ptr a_2) /\ ((valid_rw malloc_0 a_1 34%Z) /\ ((valid_rw
  malloc_0 a_2 34%Z) /\ (valid_rw malloc_0 a_0 15%Z)))))).

(* Why3 assumption *)
Definition p_valid_Mpi1 (malloc_0:(map.Map.map Z Z)) (m_0:s_Mpi1): Prop :=
  let a_0 := (f_Mpi1_term m_0) in ((p_valid_Term_ptr a_0) /\ (valid_rw
  malloc_0 a_0 34%Z)).

(* Why3 assumption *)
Definition p_valid_Mpi2 (malloc_0:(map.Map.map Z Z)) (m_0:s_Mpi2): Prop :=
  let a_0 := (f_Mpi2_term m_0) in ((p_valid_Term_ptr a_0) /\ (valid_rw
  malloc_0 a_0 34%Z)).

(* Why3 assumption *)
Definition p_valid_Min1 (malloc_0:(map.Map.map Z Z)) (m_0:s_Min1): Prop :=
  let a_0 := (f_Min1_type m_0) in let a_1 := (f_Min1_term m_0) in
  ((p_valid_Type_ptr a_0) /\ ((p_valid_Term_ptr a_1) /\ ((valid_rw malloc_0
  a_1 34%Z) /\ (valid_rw malloc_0 a_0 15%Z)))).

(* Why3 assumption *)
Definition p_valid_Min2 (malloc_0:(map.Map.map Z Z)) (m_0:s_Min2): Prop :=
  let a_0 := (f_Min2_type m_0) in let a_1 := (f_Min2_term m_0) in
  ((p_valid_Type_ptr a_0) /\ ((p_valid_Term_ptr a_1) /\ ((valid_rw malloc_0
  a_1 34%Z) /\ (valid_rw malloc_0 a_0 15%Z)))).

(* Why3 assumption *)
Definition p_valid_McasIn (malloc_0:(map.Map.map Z Z))
  (m_0:s_McasIn): Prop := let a_0 := (f_McasIn_type m_0) in let a_1 :=
  (f_McasIn_term m_0) in ((p_valid_Type_ptr a_0) /\ ((p_valid_Term_ptr
  a_1) /\ ((p_valid_string malloc_0 (f_McasIn_name m_0)) /\ ((valid_rw
  malloc_0 a_1 34%Z) /\ (valid_rw malloc_0 a_0 15%Z))))).

(* Why3 assumption *)
Definition p_valid_Mcas (malloc_0:(map.Map.map Z Z)) (m_0:s_Mcas): Prop :=
  let a_0 := (f_Mcas_term m_0) in ((p_valid_Term_ptr a_0) /\ ((p_valid_McasIn
  malloc_0 (f_Mcas_casIn1 m_0)) /\ ((p_valid_McasIn malloc_0
  (f_Mcas_casIn2 m_0)) /\ (valid_rw malloc_0 a_0 34%Z)))).

(* Why3 assumption *)
Definition p_valid_Meps (malloc_0:(map.Map.map Z Z)) (m_0:s_Meps): Prop :=
  let a_0 := (f_Meps_type m_0) in let a_1 := (f_Meps_term m_0) in
  ((p_valid_Type_ptr a_0) /\ ((p_valid_Term_ptr a_1) /\ ((valid_rw malloc_0
  a_1 34%Z) /\ (valid_rw malloc_0 a_0 15%Z)))).

(* Why3 assumption *)
Definition p_valid_Term (malloc_0:(map.Map.map Z Z)) (t_0:s_Term): Prop :=
  let x_0 := (f_Term_which t_0) in (((0%Z = x_0) -> (p_valid_Mvar malloc_0
  (f_Term_mVar t_0))) /\ (((1%Z = x_0) -> (p_valid_Mapp malloc_0
  (f_Term_mApp t_0))) /\ (((2%Z = x_0) -> (p_valid_Mlam malloc_0
  (f_Term_mLam t_0))) /\ (((3%Z = x_0) -> (p_valid_Mwit malloc_0
  (f_Term_mWit t_0))) /\ (((4%Z = x_0) -> (p_valid_Mabs malloc_0
  (f_Term_mAbs t_0))) /\ (((5%Z = x_0) -> (p_valid_Mtup malloc_0
  (f_Term_mTup t_0))) /\ (((6%Z = x_0) -> (p_valid_Mpi1 malloc_0
  (f_Term_mPi1 t_0))) /\ (((7%Z = x_0) -> (p_valid_Mpi2 malloc_0
  (f_Term_mPi2 t_0))) /\ (((8%Z = x_0) -> (p_valid_Min1 malloc_0
  (f_Term_mIn1 t_0))) /\ (((9%Z = x_0) -> (p_valid_Min2 malloc_0
  (f_Term_mIn2 t_0))) /\ (((10%Z = x_0) -> (p_valid_Mcas malloc_0
  (f_Term_mCas t_0))) /\ (((11%Z = x_0) -> (p_valid_Meps malloc_0
  (f_Term_mEps t_0))) /\ ((0%Z = x_0) \/ ((1%Z = x_0) \/ ((2%Z = x_0) \/
  ((3%Z = x_0) \/ ((4%Z = x_0) \/ ((5%Z = x_0) \/ ((6%Z = x_0) \/
  ((7%Z = x_0) \/ ((8%Z = x_0) \/ ((9%Z = x_0) \/ ((10%Z = x_0) \/
  (11%Z = x_0)))))))))))))))))))))))).

(* Why3 assumption *)
Definition p_isShallowCopyOfType (t1_0:s_Type) (t2_0:s_Type): Prop :=
  ((f_Type_which t1_0) = (f_Type_which t2_0)) /\ ((eqS_Tall
  (f_Type_tAll t1_0) (f_Type_tAll t2_0)) /\ ((eqS_Tand (f_Type_tAnd t1_0)
  (f_Type_tAnd t2_0)) /\ ((eqS_Tapp (f_Type_tApp t1_0) (f_Type_tApp t2_0)) /\
  ((eqS_Tbot (f_Type_tBot t1_0) (f_Type_tBot t2_0)) /\ ((eqS_Texi
  (f_Type_tExi t1_0) (f_Type_tExi t2_0)) /\ ((eqS_Tor (f_Type_tOr t1_0)
  (f_Type_tOr t2_0)) /\ (eqS_Tvar (f_Type_tVar t1_0)
  (f_Type_tVar t2_0)))))))).

(* Why3 assumption *)
Definition p_valid_Tvar (malloc_0:(map.Map.map Z Z)) (t_0:s_Tvar): Prop :=
  (p_valid_string malloc_0 (f_Tvar_name t_0)).

(* Why3 assumption *)
Definition p_valid_Tall (malloc_0:(map.Map.map Z Z)) (t_0:s_Tall): Prop :=
  let a_0 := (f_Tall_type1 t_0) in let a_1 := (f_Tall_type2 t_0) in
  ((p_valid_Type_ptr a_0) /\ ((p_valid_Type_ptr a_1) /\ ((p_valid_string
  malloc_0 (f_Tall_name t_0)) /\ ((valid_rw malloc_0 a_0 15%Z) /\ (valid_rw
  malloc_0 a_1 15%Z))))).

(* Why3 assumption *)
Definition p_valid_Tapp (malloc_0:(map.Map.map Z Z)) (t_0:s_Tapp): Prop :=
  let a_0 := (f_Tapp_type t_0) in let a_1 := (f_Tapp_term t_0) in
  ((p_valid_Type_ptr a_0) /\ ((p_valid_Term_ptr a_1) /\ ((valid_rw malloc_0
  a_1 34%Z) /\ (valid_rw malloc_0 a_0 15%Z)))).

(* Why3 assumption *)
Definition p_valid_Texi (malloc_0:(map.Map.map Z Z)) (t_0:s_Texi): Prop :=
  let a_0 := (f_Texi_type1 t_0) in let a_1 := (f_Texi_type2 t_0) in
  ((p_valid_Type_ptr a_0) /\ ((p_valid_Type_ptr a_1) /\ ((p_valid_string
  malloc_0 (f_Texi_name t_0)) /\ ((valid_rw malloc_0 a_0 15%Z) /\ (valid_rw
  malloc_0 a_1 15%Z))))).

(* Why3 assumption *)
Definition p_valid_Tand (malloc_0:(map.Map.map Z Z)) (t_0:s_Tand): Prop :=
  let a_0 := (f_Tand_type1 t_0) in let a_1 := (f_Tand_type2 t_0) in
  ((p_valid_Type_ptr a_0) /\ ((p_valid_Type_ptr a_1) /\ ((valid_rw malloc_0
  a_0 15%Z) /\ (valid_rw malloc_0 a_1 15%Z)))).

(* Why3 assumption *)
Definition p_valid_Tor (malloc_0:(map.Map.map Z Z)) (t_0:s_Tor): Prop :=
  let a_0 := (f_Tor_type1 t_0) in let a_1 := (f_Tor_type2 t_0) in
  ((p_valid_Type_ptr a_0) /\ ((p_valid_Type_ptr a_1) /\ ((valid_rw malloc_0
  a_0 15%Z) /\ (valid_rw malloc_0 a_1 15%Z)))).

(* Why3 assumption *)
Definition p_valid_Type (malloc_0:(map.Map.map Z Z)) (t_0:s_Type): Prop :=
  let x_0 := (f_Type_which t_0) in (((0%Z = x_0) -> (p_valid_Tvar malloc_0
  (f_Type_tVar t_0))) /\ (((1%Z = x_0) -> (p_valid_Tall malloc_0
  (f_Type_tAll t_0))) /\ (((2%Z = x_0) -> (p_valid_Tapp malloc_0
  (f_Type_tApp t_0))) /\ (((3%Z = x_0) -> (p_valid_Texi malloc_0
  (f_Type_tExi t_0))) /\ (((4%Z = x_0) -> (p_valid_Tand malloc_0
  (f_Type_tAnd t_0))) /\ (((5%Z = x_0) -> (p_valid_Tor malloc_0
  (f_Type_tOr t_0))) /\ ((0%Z = x_0) \/ ((1%Z = x_0) \/ ((2%Z = x_0) \/
  ((3%Z = x_0) \/ ((4%Z = x_0) \/ ((5%Z = x_0) \/ (6%Z = x_0))))))))))))).

(* Why3 assumption *)
Definition p_isShallowCopyOfKind (k1_0:s_Kind) (k2_0:s_Kind): Prop :=
  ((f_Kind_which k1_0) = (f_Kind_which k2_0)) /\ ((eqS_Kpi (f_Kind_kPi k1_0)
  (f_Kind_kPi k2_0)) /\ (eqS_Kstar (f_Kind_kStar k1_0) (f_Kind_kStar k2_0))).

(* Why3 assumption *)
Definition p_valid_Kpi (malloc_0:(map.Map.map Z Z)) (k_0:s_Kpi): Prop :=
  (p_valid_Type_ptr (f_Kpi_type k_0)) /\ ((p_valid_Kind_ptr
  (f_Kpi_kind k_0)) /\ (p_valid_string malloc_0 (f_Kpi_name k_0))).

(* Why3 assumption *)
Definition p_valid_Kind (malloc_0:(map.Map.map Z Z)) (k_0:s_Kind): Prop :=
  let x_0 := (f_Kind_which k_0) in (((0%Z = x_0) \/ (1%Z = x_0)) /\
  ((1%Z = x_0) -> (p_valid_Kpi malloc_0 (f_Kind_kPi k_0)))).

Axiom Q_valid_Term_ptr_def : forall (malloc_0:(map.Map.map Z Z)),
  forall (mint_0:(map.Map.map addr Z)), forall (mptr_0:(map.Map.map addr
  addr)), forall (t_0:addr), (p_valid_Term_ptr t_0) <-> ((valid_rw malloc_0
  t_0 34%Z) /\ (p_valid_Term malloc_0 (load_S_Term t_0 mint_0 mptr_0))).

Axiom Q_valid_Type_ptr_def : forall (malloc_0:(map.Map.map Z Z)),
  forall (mint_0:(map.Map.map addr Z)), forall (mptr_0:(map.Map.map addr
  addr)), forall (t_0:addr), (p_valid_Type_ptr t_0) <-> ((valid_rw malloc_0
  t_0 15%Z) /\ (p_valid_Type malloc_0 (load_S_Type t_0 mint_0 mptr_0))).

Axiom Q_valid_Kind_ptr_def : forall (malloc_0:(map.Map.map Z Z)),
  forall (mint_0:(map.Map.map addr Z)), forall (mptr_0:(map.Map.map addr
  addr)), forall (k_0:addr), (p_valid_Kind_ptr k_0) <-> ((valid_rw malloc_0
  k_0 5%Z) /\ (p_valid_Kind malloc_0 (load_S_Kind k_0 mint_0 mptr_0))).

Axiom Q_valid_Term_to_valid_App : forall (mint_0:(map.Map.map addr Z)),
  forall (mptr_0:(map.Map.map addr addr)), forall (t_0:addr),
  (p_valid_Term_ptr t_0) -> ((1%Z = (map.Map.get mint_0 (shift t_0 0%Z))) ->
  (p_valid_Term_ptr (map.Map.get mptr_0 (shift t_0 2%Z)))).

Parameter l_strcmp: addr -> addr -> Z.

Axiom Q_strcmp_zero : forall (mchar_0:(map.Map.map addr Z)),
  forall (s1_0:addr) (s2_0:addr), let x_0 := (l_strlen s1_0) in
  ((0%Z = (l_strcmp s1_0 s2_0)) <-> ((x_0 = (l_strlen s2_0)) /\
  forall (i_0:Z), (0%Z <= i_0)%Z -> ((i_0 <= x_0)%Z -> ((map.Map.get mchar_0
  (shift s1_0 i_0)) = (map.Map.get mchar_0 (shift s2_0 i_0)))))).

Axiom Q_strcmp_equal : forall (malloc_0:(map.Map.map Z Z)),
  forall (s_0:addr), (p_valid_string malloc_0 s_0) -> (0%Z = (l_strcmp s_0
  s_0)).

Axiom Q_valid_messages : forall (i_0:Z), forall (malloc_0:(map.Map.map Z Z)),
  forall (messages_0:(map.Map.map Z addr)), (0%Z <= i_0)%Z ->
  ((i_0 <= 19%Z)%Z -> ((is_uint32 i_0) -> (p_valid_string malloc_0
  (map.Map.get messages_0 i_0)))).

Axiom Q_G___allocated_1440_linked : forall (alloc_0:(map.Map.map Z Z)),
  (linked alloc_0) -> (4096%Z = (map.Map.get alloc_0 1441%Z)).

Axiom Q_G___allocated_1440_region : (0%Z = (region 1441%Z)).

(* Why3 assumption *)
Definition p_old_allocated (mptr_0:(map.Map.map addr addr))
  (mptr_1:(map.Map.map addr addr)) (num_allocated_0:Z) (p_0:addr): Prop :=
  let a_0 := (Mk_addr 1441%Z 0%Z) in forall (i_0:Z) (j_0:Z), let a_1 :=
  (map.Map.get mptr_1 (shift a_0 i_0)) in let a_2 := (shift a_0 j_0) in
  let a_3 := (map.Map.get mptr_1 a_2) in ((is_uint32 i_0) -> ((is_uint32
  j_0) -> (((i_0 < num_allocated_0)%Z -> ((j_0 < i_0)%Z -> ((0%Z <= i_0)%Z ->
  ((0%Z <= j_0)%Z -> ((p_0 = a_1) -> (a_3 = (map.Map.get mptr_0 a_2))))))) /\
  ((i_0 < j_0)%Z -> ((i_0 < num_allocated_0)%Z ->
  ((j_0 < num_allocated_0)%Z -> ((0%Z <= i_0)%Z -> ((p_0 = a_1) ->
  (a_3 = (map.Map.get mptr_0 (shift a_0 (j_0 - 1%Z)%Z))))))))))).

Parameter l_SINT32_MAX: Z.

Parameter l_UINT32_MAX: Z.

Parameter l_HEAP_SIZE: Z.

Parameter l_MAX_ALLOCS: Z.

Axiom Q_heap_size_range : (0%Z <= l_HEAP_SIZE)%Z /\
  (l_HEAP_SIZE <= 2147483647%Z)%Z.

Axiom Q_max_allocs_size : (1024%Z = l_MAX_ALLOCS).

Axiom Q_max_allocs_range : (0%Z <= l_MAX_ALLOCS)%Z /\
  (l_MAX_ALLOCS <= 2147483647%Z)%Z.

Axiom Q_sint32_max_def : (2147483647%Z = l_SINT32_MAX).

Axiom Q_uint32_max_def : (4294967295%Z = l_UINT32_MAX).

Axiom Q_TL_SINT32_MAX : (is_uint32 l_SINT32_MAX).

Axiom Q_TL_UINT32_MAX : (is_uint32 l_UINT32_MAX).

Axiom Q_TL_HEAP_SIZE : (is_uint32 l_HEAP_SIZE).

Axiom Q_TL_MAX_ALLOCS : (is_uint32 l_MAX_ALLOCS).

(* Why3 assumption *)
Definition p_is_allocated_size (malloc_0:(map.Map.map Z Z))
  (mptr_0:(map.Map.map addr addr)) (num_allocated_0:Z) (p_0:addr)
  (i_0:Z): Prop := (num_allocated_0 <= l_MAX_ALLOCS)%Z -> exists j_0:Z,
  let a_1 := (map.Map.get mptr_0 (shift (Mk_addr 1441%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_0)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((p_0 = a_1) /\ (valid_rw malloc_0 (shift a_1 0%Z) i_0))))).

(* Why3 assumption *)
Definition p_is_allocated (malloc_0:(map.Map.map Z Z)) (mptr_0:(map.Map.map
  addr addr)) (num_allocated_0:Z) (p_0:addr): Prop :=
  (num_allocated_0 <= l_MAX_ALLOCS)%Z -> exists i_0:Z, (is_uint32 i_0) /\
  (p_is_allocated_size malloc_0 mptr_0 num_allocated_0 p_0 i_0).

(* Why3 assumption *)
Definition p_correct_allocation (num_allocated_0:Z)
  (size_allocated_0:Z): Prop := (num_allocated_0 <= l_MAX_ALLOCS)%Z /\
  (size_allocated_0 <= l_HEAP_SIZE)%Z.

(* Why3 assumption *)
Definition p_allocation_footprint (num_allocated_0:Z) (size_allocated_0:Z)
  (num_allocated_1:Z) (size_allocated_1:Z) (s_0:Z) (no_0:Z): Prop :=
  (num_allocated_0 = (no_0 + num_allocated_1)%Z) /\
  (size_allocated_0 = (s_0 + size_allocated_1)%Z).

(* Why3 assumption *)
Definition p_is_allocable (num_allocated_0:Z) (size_allocated_0:Z) (size_0:Z)
  (no_0:Z): Prop := (0%Z < no_0)%Z /\ ((0%Z < size_0)%Z /\
  (((no_0 + num_allocated_0)%Z <= l_MAX_ALLOCS)%Z /\
  ((size_0 + size_allocated_0)%Z <= l_HEAP_SIZE)%Z)).

Axiom Q_is_allocated_det : True.

Axiom Q_is_allocable_det : True.

Axiom Q_valid_different_separated : True.

Axiom Q_is_allocable_monotone : forall (k_0:Z) (l_0:Z) (m_0:Z) (n_0:Z)
  (num_allocated_0:Z) (size_allocated_0:Z), (0%Z < k_0)%Z ->
  ((0%Z < n_0)%Z -> ((k_0 <= l_0)%Z -> ((n_0 <= m_0)%Z -> ((is_uint32 k_0) ->
  ((is_uint32 l_0) -> ((is_uint32 m_0) -> ((is_uint32 n_0) ->
  ((p_is_allocable num_allocated_0 size_allocated_0 m_0 l_0) ->
  (p_is_allocable num_allocated_0 size_allocated_0 n_0 k_0))))))))).

Axiom Q_non_null_for_allocated : forall (i_0:Z) (num_allocated_0:Z),
  forall (mptr_0:(map.Map.map addr addr)), (i_0 < num_allocated_0)%Z ->
  ((0%Z <= i_0)%Z -> ((is_uint32 i_0) -> ~ ((Mk_addr 0%Z
  0%Z) = (map.Map.get mptr_0 (shift (Mk_addr 1441%Z 0%Z) i_0))))).

Axiom Q_allocated_in_heap_size : forall (l_0:Z) (num_allocated_0:Z),
  forall (malloc_0:(map.Map.map Z Z)), forall (mptr_0:(map.Map.map addr
  addr)), forall (p_0:addr), (is_uint32 l_0) -> ((p_is_allocated_size
  malloc_0 mptr_0 num_allocated_0 p_0 l_0) -> (l_0 < l_HEAP_SIZE)%Z).

Axiom Q_allocated_block_length : forall (l_0:Z) (num_allocated_0:Z),
  forall (malloc_0:(map.Map.map Z Z)), forall (mptr_0:(map.Map.map addr
  addr)), forall (p_0:addr), (is_uint32 l_0) -> ((l_0 = (map.Map.get malloc_0
  (base p_0))) <-> (p_is_allocated_size malloc_0 mptr_0 num_allocated_0 p_0
  l_0)).

Axiom Q_sep__allocated_between : let a_0 := (Mk_addr 1441%Z 0%Z) in
  forall (i_0:Z) (j_0:Z) (k_0:Z) (l_0:Z) (num_allocated_0:Z),
  forall (malloc_0:(map.Map.map Z Z)), forall (mptr_0:(map.Map.map addr
  addr)), let a_1 := (shift (map.Map.get mptr_0 (shift a_0 i_0)) 0%Z) in
  let x_0 := (1%Z + k_0)%Z in let a_2 := (shift (map.Map.get mptr_0
  (shift a_0 j_0)) 0%Z) in let x_1 := (1%Z + l_0)%Z in ((~ (i_0 = j_0)) ->
  ((i_0 < num_allocated_0)%Z -> ((j_0 < num_allocated_0)%Z ->
  ((0%Z <= i_0)%Z -> ((0%Z <= j_0)%Z -> ((is_uint32 k_0) -> ((is_uint32
  l_0) -> ((is_sint32 i_0) -> ((is_sint32 j_0) -> ((valid_rw malloc_0 a_1
  x_0) -> ((valid_rw malloc_0 a_2 x_1) -> (separated a_1 x_0 a_2
  x_1)))))))))))).

Axiom Q_sep__allocated : let a_0 := (Mk_addr 1441%Z 0%Z) in forall (i_0:Z)
  (j_0:Z) (num_allocated_0:Z), forall (malloc_0:(map.Map.map Z Z)),
  forall (mptr_0:(map.Map.map addr addr)), let a_1 :=
  (shift (map.Map.get mptr_0 (shift a_0 i_0)) 0%Z) in let x_0 :=
  (1%Z + j_0)%Z in ((i_0 < num_allocated_0)%Z -> ((0%Z <= i_0)%Z ->
  ((is_uint32 i_0) -> ((is_uint32 j_0) -> ((valid_rw malloc_0 a_1 x_0) ->
  (separated (shift a_0 0%Z) l_MAX_ALLOCS a_1 x_0)))))).

Axiom Q_unique_in__allocated : let a_0 := (Mk_addr 1441%Z 0%Z) in
  forall (i_0:Z) (j_0:Z), forall (mptr_0:(map.Map.map addr addr)),
  (j_0 < l_MAX_ALLOCS)%Z -> ((0%Z <= i_0)%Z -> ((i_0 <= j_0)%Z ->
  (((map.Map.get mptr_0 (shift a_0 i_0)) = (map.Map.get mptr_0 (shift a_0
  j_0))) -> (i_0 = j_0)))).

Axiom Q_valid__allocated : forall (num_allocated_0:Z) (s_0:Z),
  forall (malloc_0:(map.Map.map Z Z)), forall (mptr_0:(map.Map.map addr
  addr)), forall (keys_0:addr), (is_uint32 s_0) -> ((valid_rw malloc_0
  (shift keys_0 0%Z) s_0) -> exists i_0:Z, exists s0_0:Z,
  exists keys0_0:addr, (is_uint32 i_0) /\ ((is_uint32 s0_0) /\
  ((keys_0 = (shift keys0_0 i_0)) /\ (((i_0 + s_0)%Z <= s0_0)%Z /\
  (p_is_allocated_size malloc_0 mptr_0 num_allocated_0 keys0_0 s0_0))))).

Axiom Q___allocated_valid : forall (num_allocated_0:Z) (s_0:Z),
  forall (malloc_0:(map.Map.map Z Z)), forall (mptr_0:(map.Map.map addr
  addr)), forall (keys_0:addr), (is_uint32 s_0) -> ((p_is_allocated_size
  malloc_0 mptr_0 num_allocated_0 keys_0 s_0) -> (valid_rw malloc_0
  (shift keys_0 0%Z) s_0)).

Axiom Q___allocated_small : forall (num_allocated_0:Z),
  (num_allocated_0 < l_MAX_ALLOCS)%Z /\ (0%Z <= num_allocated_0)%Z.

Axiom Q_is_allocated_size_no_size : forall (n_0:Z) (num_allocated_0:Z),
  forall (malloc_0:(map.Map.map Z Z)), forall (mptr_0:(map.Map.map addr
  addr)), forall (p_0:addr), (is_uint32 n_0) -> ((p_is_allocated_size
  malloc_0 mptr_0 num_allocated_0 p_0 n_0) -> (p_is_allocated malloc_0 mptr_0
  num_allocated_0 p_0)).

Axiom Q_old_allocated_is_allocated : forall (num_allocated_1:Z)
  (num_allocated_0:Z), forall (malloc_1:(map.Map.map Z Z))
  (malloc_0:(map.Map.map Z Z)), forall (mptr_1:(map.Map.map addr addr))
  (mptr_0:(map.Map.map addr addr)), forall (p_0:addr) (q_0:addr),
  (~ (p_0 = q_0)) -> ((num_allocated_1 <= l_MAX_ALLOCS)%Z ->
  ((num_allocated_0 <= l_MAX_ALLOCS)%Z ->
  ((num_allocated_0 = (1%Z + num_allocated_1)%Z) -> ((p_is_allocated malloc_0
  mptr_0 num_allocated_0 p_0) -> ((p_is_allocated malloc_0 mptr_0
  num_allocated_0 q_0) -> ((p_old_allocated mptr_1 mptr_0 num_allocated_0
  p_0) -> (p_is_allocated malloc_1 mptr_1 num_allocated_1 q_0))))))).

Axiom Q_allocated_in_separated : forall (l_0:Z) (num_allocated_0:Z),
  forall (malloc_0:(map.Map.map Z Z)), forall (mptr_0:(map.Map.map addr
  addr)), forall (p_0:addr), let a_0 := (shift p_0 0%Z) in let x_0 :=
  (1%Z + l_0)%Z in ((num_allocated_0 <= l_MAX_ALLOCS)%Z -> ((is_uint32
  l_0) -> ((p_is_allocated malloc_0 mptr_0 num_allocated_0 p_0) -> ((valid_rw
  malloc_0 a_0 x_0) -> (separated (shift (Mk_addr 1441%Z 0%Z) 0%Z)
  l_MAX_ALLOCS a_0 x_0))))).

Axiom Q_later_allocated_different : let a_0 := (Mk_addr 1441%Z 0%Z) in
  forall (i_0:Z) (num_allocated_1:Z) (num_allocated_0:Z),
  forall (malloc_0:(map.Map.map Z Z)), forall (mptr_1:(map.Map.map addr
  addr)) (mptr_0:(map.Map.map addr addr)), forall (p_0:addr) (q_0:addr),
  (i_0 < num_allocated_1)%Z -> ((num_allocated_0 < num_allocated_1)%Z ->
  ((num_allocated_1 <= l_MAX_ALLOCS)%Z -> ((num_allocated_0 <= i_0)%Z ->
  ((is_uint32 i_0) -> ((p_is_allocated malloc_0 mptr_0 num_allocated_0
  p_0) -> ((q_0 = (map.Map.get mptr_1 (shift a_0 i_0))) -> ((forall (j_0:Z),
  let a_1 := (shift a_0 j_0) in ((j_0 < num_allocated_0)%Z ->
  ((0%Z <= j_0)%Z -> ((is_uint32 j_0) -> ((map.Map.get mptr_1
  a_1) = (map.Map.get mptr_0 a_1)))))) -> ~ (p_0 = q_0)))))))).

(* Why3 assumption *)
Definition p_IsInEnv (mptr_0:(map.Map.map addr addr))
  (n_0:s___anonstruct_envmap_6) (size_0:Z) (elem_0:addr): Prop :=
  exists i_0:Z, (i_0 < size_0)%Z /\ ((0%Z <= i_0)%Z /\
  (0%Z = (l_strcmp elem_0 (map.Map.get mptr_0
  (shift (f___anonstruct_envmap_6_keys n_0) i_0))))).

(* Why3 assumption *)
Definition p_well_separated_arrays_1_ (keys_0:addr) (vals_0:addr)
  (size_0:Z): Prop := (separated (shift keys_0 0%Z) size_0 (shift vals_0 0%Z)
  size_0).

(* Why3 assumption *)
Definition p_well_separated_arrays_2_ (keys_0:addr) (vals_0:addr)
  (size_0:Z): Prop := let x_0 := (4%Z * size_0)%Z in (separated (shift keys_0
  0%Z) x_0 (shift vals_0 0%Z) x_0).

(* Why3 assumption *)
Definition p_well_separated_any (mptr_0:(map.Map.map addr addr))
  (vals_0:addr) (size_0:Z) (n_0:addr): Prop := let a_0 := (shift vals_0
  0%Z) in let x_0 := (4%Z * size_0)%Z in ((separated a_0 x_0 n_0 4%Z) /\
  forall (i_0:Z), (i_0 < size_0)%Z -> ((0%Z <= i_0)%Z -> ((is_uint32 i_0) ->
  (separated a_0 x_0 (shift (map.Map.get mptr_0 (shift vals_0 i_0)) 0%Z)
  256%Z)))).

(* Why3 assumption *)
Definition p_well_separated_envmap (malloc_0:(map.Map.map Z Z))
  (mptr_0:(map.Map.map addr addr)) (keys_0:addr) (size_0:Z)
  (n_0:addr): Prop := let a_0 := (shift keys_0 0%Z) in let x_0 :=
  (4%Z * size_0)%Z in ((separated a_0 x_0 n_0 4%Z) /\ forall (i_0:Z),
  let a_1 := (map.Map.get mptr_0 (shift keys_0 i_0)) in ((i_0 < size_0)%Z ->
  ((0%Z <= i_0)%Z -> ((is_uint32 i_0) -> (separated a_0 x_0 (shift a_1 0%Z)
  (map.Map.get malloc_0 (base a_1))))))).

(* Why3 assumption *)
Definition p_valid_sizes (size_0:Z) (bufsize_0:Z): Prop := let x_0 :=
  (8%Z * bufsize_0)%Z in ((0%Z < bufsize_0)%Z /\ ((0%Z <= size_0)%Z /\
  ((size_0 <= bufsize_0)%Z /\ ((size_0 <= l_UINT32_MAX)%Z /\
  ((0%Z <= x_0)%Z /\ (x_0 <= l_UINT32_MAX)%Z))))).

(* Why3 assumption *)
Definition p_valid_content (malloc_0:(map.Map.map Z Z)) (mptr_0:(map.Map.map
  addr addr)) (keys_0:addr) (size_0:Z): Prop := forall (i_0:Z),
  (i_0 < size_0)%Z -> ((0%Z <= i_0)%Z -> ((is_sint32 i_0) -> (p_valid_string
  malloc_0 (map.Map.get mptr_0 (shift keys_0 i_0))))).

(* Why3 assumption *)
Definition p_valid_charray (malloc_0:(map.Map.map Z Z)) (mptr_0:(map.Map.map
  addr addr)) (num_allocated_0:Z) (keys_0:addr) (bufsize_0:Z)
  (size_0:Z): Prop := let a_0 := (shift keys_0 0%Z) in let x_0 :=
  (4%Z * bufsize_0)%Z in ((~ (keys_0 = (Mk_addr 0%Z 0%Z))) /\
  ((p_valid_content malloc_0 mptr_0 keys_0 size_0) /\ ((valid_rw malloc_0 a_0
  bufsize_0) /\ ((p_is_allocated_size malloc_0 mptr_0 num_allocated_0 keys_0
  (to_uint32 x_0)) /\ (separated (shift (Mk_addr 1441%Z 0%Z) 0%Z)
  l_MAX_ALLOCS a_0 x_0))))).

(* Why3 assumption *)
Definition p_valid_anycontent (malloc_0:(map.Map.map Z Z))
  (mptr_0:(map.Map.map addr addr)) (mint_0:(map.Map.map addr Z))
  (keys_0:addr) (size_0:Z): Prop := forall (i_0:Z), let a_0 :=
  (map.Map.get mptr_0 (shift keys_0 i_0)) in ((i_0 < size_0)%Z ->
  ((0%Z <= i_0)%Z -> ((is_sint32 i_0) -> ((~ ((Mk_addr 0%Z 0%Z) = a_0)) /\
  (p_valid_Any_ptr malloc_0 mptr_0 mint_0 a_0))))).

(* Why3 assumption *)
Definition p_valid_anyarray (malloc_0:(map.Map.map Z Z)) (mptr_0:(map.Map.map
  addr addr)) (mint_0:(map.Map.map addr Z)) (num_allocated_0:Z) (vals_0:addr)
  (bufsize_0:Z) (size_0:Z): Prop := let a_0 := (shift vals_0 0%Z) in
  let x_0 := (4%Z * bufsize_0)%Z in ((~ (vals_0 = (Mk_addr 0%Z 0%Z))) /\
  ((p_valid_anycontent malloc_0 mptr_0 mint_0 vals_0 size_0) /\ ((valid_rw
  malloc_0 a_0 bufsize_0) /\ ((p_is_allocated_size malloc_0 mptr_0
  num_allocated_0 vals_0 (to_uint32 x_0)) /\ (separated
  (shift (Mk_addr 1441%Z 0%Z) 0%Z) l_MAX_ALLOCS a_0 x_0))))).

(* Why3 assumption *)
Definition p_valid_envmap (malloc_0:(map.Map.map Z Z)) (mptr_0:(map.Map.map
  addr addr)) (mint_0:(map.Map.map addr Z)) (num_allocated_0:Z)
  (n_0:s___anonstruct_envmap_6): Prop := let a_0 :=
  (f___anonstruct_envmap_6_keys n_0) in let a_1 :=
  (f___anonstruct_envmap_6_vals n_0) in let x_0 :=
  (f___anonstruct_envmap_6_size n_0) in let x_1 :=
  (f___anonstruct_envmap_6_bufsize n_0) in ((~ (a_0 = a_1)) /\
  ((p_valid_sizes x_0 x_1) /\ ((p_valid_charray malloc_0 mptr_0
  num_allocated_0 a_0 x_1 x_0) /\ (p_valid_anyarray malloc_0 mptr_0 mint_0
  num_allocated_0 a_1 x_1 x_0)))).

Parameter p_separated_Type: addr -> Z -> addr -> Prop.

Parameter p_separated_Term: addr -> Z -> addr -> Prop.

(* Why3 assumption *)
Definition p_separated_Name (keys_0:addr) (len_0:Z) (n_0:addr): Prop :=
  (separated (shift keys_0 0%Z) (4%Z * len_0)%Z (shift n_0 0%Z)
  (1%Z + (l_strlen n_0))%Z).

Parameter p_separated_Kind: addr -> Z -> addr -> Prop.

Parameter p_separated_Bind: addr -> Z -> s_Bind -> Prop.

(* Why3 assumption *)
Definition p_separated_Any (mptr_0:(map.Map.map addr addr))
  (mint_0:(map.Map.map addr Z)) (keys_0:addr) (len_0:Z) (t_0:addr): Prop :=
  let x_0 := (map.Map.get mint_0 (shift t_0 0%Z)) in ((separated
  (shift keys_0 0%Z) (4%Z * len_0)%Z t_0 8%Z) /\ (((0%Z = x_0) ->
  (p_separated_Type keys_0 len_0 (map.Map.get mptr_0 (shift t_0 1%Z)))) /\
  (((1%Z = x_0) -> (p_separated_Term keys_0 len_0 (map.Map.get mptr_0
  (shift t_0 2%Z)))) /\ (((3%Z = x_0) -> (p_separated_Name keys_0 len_0
  (map.Map.get mptr_0 (shift t_0 4%Z)))) /\ (((2%Z = x_0) ->
  (p_separated_Kind keys_0 len_0 (map.Map.get mptr_0 (shift t_0 3%Z)))) /\
  ((4%Z = x_0) -> (p_separated_Bind keys_0 len_0 (load_S_Bind (shift t_0 5%Z)
  mptr_0)))))))).

(* Why3 assumption *)
Definition p_separated_Meps (keys_0:addr) (len_0:Z) (m_0:s_Meps): Prop :=
  let a_0 := (f_Meps_type m_0) in let a_1 := (f_Meps_term m_0) in let a_2 :=
  (shift keys_0 0%Z) in let x_0 := (4%Z * len_0)%Z in ((p_separated_Type
  keys_0 len_0 a_0) /\ ((p_separated_Term keys_0 len_0 a_1) /\ ((separated
  a_2 x_0 a_1 34%Z) /\ (separated a_2 x_0 a_0 15%Z)))).

(* Why3 assumption *)
Definition p_separated_McasIn (keys_0:addr) (len_0:Z) (m_0:s_McasIn): Prop :=
  let a_0 := (f_McasIn_type m_0) in let a_1 := (f_McasIn_term m_0) in
  let a_2 := (shift keys_0 0%Z) in let x_0 := (4%Z * len_0)%Z in
  ((p_separated_Type keys_0 len_0 a_0) /\ ((p_separated_Term keys_0 len_0
  a_1) /\ ((p_separated_Name keys_0 len_0 (f_McasIn_name m_0)) /\ ((separated
  a_2 x_0 a_1 34%Z) /\ (separated a_2 x_0 a_0 15%Z))))).

(* Why3 assumption *)
Definition p_separated_Mcas (keys_0:addr) (len_0:Z) (m_0:s_Mcas): Prop :=
  let a_0 := (f_Mcas_term m_0) in ((p_separated_Term keys_0 len_0 a_0) /\
  ((p_separated_McasIn keys_0 len_0 (f_Mcas_casIn1 m_0)) /\
  ((p_separated_McasIn keys_0 len_0 (f_Mcas_casIn2 m_0)) /\ (separated
  (shift keys_0 0%Z) (4%Z * len_0)%Z a_0 34%Z)))).

(* Why3 assumption *)
Definition p_separated_Min2 (keys_0:addr) (len_0:Z) (m_0:s_Min2): Prop :=
  let a_0 := (f_Min2_type m_0) in let a_1 := (f_Min2_term m_0) in let a_2 :=
  (shift keys_0 0%Z) in let x_0 := (4%Z * len_0)%Z in ((p_separated_Type
  keys_0 len_0 a_0) /\ ((p_separated_Term keys_0 len_0 a_1) /\ ((separated
  a_2 x_0 a_1 34%Z) /\ (separated a_2 x_0 a_0 15%Z)))).

(* Why3 assumption *)
Definition p_separated_Min1 (keys_0:addr) (len_0:Z) (m_0:s_Min1): Prop :=
  let a_0 := (f_Min1_type m_0) in let a_1 := (f_Min1_term m_0) in let a_2 :=
  (shift keys_0 0%Z) in let x_0 := (4%Z * len_0)%Z in ((p_separated_Type
  keys_0 len_0 a_0) /\ ((p_separated_Term keys_0 len_0 a_1) /\ ((separated
  a_2 x_0 a_1 34%Z) /\ (separated a_2 x_0 a_0 15%Z)))).

(* Why3 assumption *)
Definition p_separated_Mpi2 (keys_0:addr) (len_0:Z) (m_0:s_Mpi2): Prop :=
  let a_0 := (f_Mpi2_term m_0) in ((p_separated_Term keys_0 len_0 a_0) /\
  (separated (shift keys_0 0%Z) (4%Z * len_0)%Z a_0 34%Z)).

(* Why3 assumption *)
Definition p_separated_Mpi1 (keys_0:addr) (len_0:Z) (m_0:s_Mpi1): Prop :=
  let a_0 := (f_Mpi1_term m_0) in ((p_separated_Term keys_0 len_0 a_0) /\
  (separated (shift keys_0 0%Z) (4%Z * len_0)%Z a_0 34%Z)).

(* Why3 assumption *)
Definition p_separated_Mtup (keys_0:addr) (len_0:Z) (m_0:s_Mtup): Prop :=
  let a_0 := (f_Mtup_type m_0) in let a_1 := (f_Mtup_term1 m_0) in let a_2 :=
  (f_Mtup_term2 m_0) in let a_3 := (shift keys_0 0%Z) in let x_0 :=
  (4%Z * len_0)%Z in ((p_separated_Type keys_0 len_0 a_0) /\
  ((p_separated_Term keys_0 len_0 a_1) /\ ((p_separated_Term keys_0 len_0
  a_2) /\ ((separated a_3 x_0 a_1 34%Z) /\ ((separated a_3 x_0 a_2 34%Z) /\
  (separated a_3 x_0 a_0 15%Z)))))).

(* Why3 assumption *)
Definition p_separated_Mabs (keys_0:addr) (len_0:Z) (m_0:s_Mabs): Prop :=
  let a_0 := (f_Mabs_type2 m_0) in let a_1 := (f_Mabs_type4 m_0) in
  let a_2 := (f_Mabs_term5 m_0) in let a_3 := (f_Mabs_term6 m_0) in
  let a_4 := (shift keys_0 0%Z) in let x_0 := (4%Z * len_0)%Z in
  ((p_separated_Type keys_0 len_0 a_0) /\ ((p_separated_Type keys_0 len_0
  a_1) /\ ((p_separated_Term keys_0 len_0 a_2) /\ ((p_separated_Term keys_0
  len_0 a_3) /\ ((p_separated_Name keys_0 len_0 (f_Mabs_name1 m_0)) /\
  ((p_separated_Name keys_0 len_0 (f_Mabs_name3 m_0)) /\ ((separated a_4 x_0
  a_2 34%Z) /\ ((separated a_4 x_0 a_3 34%Z) /\ ((separated a_4 x_0 a_0
  15%Z) /\ (separated a_4 x_0 a_1 15%Z)))))))))).

(* Why3 assumption *)
Definition p_separated_Mwit (keys_0:addr) (len_0:Z) (m_0:s_Mwit): Prop :=
  let a_0 := (f_Mwit_type m_0) in let a_1 := (f_Mwit_term1 m_0) in let a_2 :=
  (f_Mwit_term2 m_0) in let a_3 := (shift keys_0 0%Z) in let x_0 :=
  (4%Z * len_0)%Z in ((p_separated_Type keys_0 len_0 a_0) /\
  ((p_separated_Term keys_0 len_0 a_1) /\ ((p_separated_Term keys_0 len_0
  a_2) /\ ((separated a_3 x_0 a_1 34%Z) /\ ((separated a_3 x_0 a_2 34%Z) /\
  (separated a_3 x_0 a_0 15%Z)))))).

(* Why3 assumption *)
Definition p_separated_Mlam (keys_0:addr) (len_0:Z) (m_0:s_Mlam): Prop :=
  let a_0 := (f_Mlam_type m_0) in let a_1 := (f_Mlam_term m_0) in let a_2 :=
  (shift keys_0 0%Z) in let x_0 := (4%Z * len_0)%Z in ((p_separated_Type
  keys_0 len_0 a_0) /\ ((p_separated_Term keys_0 len_0 a_1) /\
  ((p_separated_Name keys_0 len_0 (f_Mlam_name m_0)) /\ ((separated a_2 x_0
  a_1 34%Z) /\ (separated a_2 x_0 a_0 15%Z))))).

(* Why3 assumption *)
Definition p_separated_Mapp (keys_0:addr) (len_0:Z) (m_0:s_Mapp): Prop :=
  let a_0 := (f_Mapp_term1 m_0) in let a_1 := (f_Mapp_term2 m_0) in
  let a_2 := (shift keys_0 0%Z) in let x_0 := (4%Z * len_0)%Z in
  ((p_separated_Term keys_0 len_0 a_0) /\ ((p_separated_Term keys_0 len_0
  a_1) /\ ((separated a_2 x_0 a_0 34%Z) /\ (separated a_2 x_0 a_1 34%Z)))).

(* Why3 assumption *)
Definition p_separated_Mvar (keys_0:addr) (len_0:Z) (m_0:s_Mvar): Prop :=
  (p_separated_Name keys_0 len_0 (f_Mvar_name m_0)).

(* Why3 assumption *)
Definition p_separated_Tor (keys_0:addr) (len_0:Z) (t_0:s_Tor): Prop :=
  (p_separated_Type keys_0 len_0 (f_Tor_type1 t_0)) /\ (p_separated_Type
  keys_0 len_0 (f_Tor_type2 t_0)).

(* Why3 assumption *)
Definition p_separated_Tand (keys_0:addr) (len_0:Z) (t_0:s_Tand): Prop :=
  (p_separated_Type keys_0 len_0 (f_Tand_type1 t_0)) /\ (p_separated_Type
  keys_0 len_0 (f_Tand_type2 t_0)).

(* Why3 assumption *)
Definition p_separated_Texi (keys_0:addr) (len_0:Z) (t_0:s_Texi): Prop :=
  (p_separated_Type keys_0 len_0 (f_Texi_type1 t_0)) /\ ((p_separated_Type
  keys_0 len_0 (f_Texi_type2 t_0)) /\ (p_separated_Name keys_0 len_0
  (f_Texi_name t_0))).

(* Why3 assumption *)
Definition p_separated_Tapp (keys_0:addr) (len_0:Z) (t_0:s_Tapp): Prop :=
  (p_separated_Type keys_0 len_0 (f_Tapp_type t_0)) /\ (p_separated_Term
  keys_0 len_0 (f_Tapp_term t_0)).

(* Why3 assumption *)
Definition p_separated_Tall (keys_0:addr) (len_0:Z) (t_0:s_Tall): Prop :=
  let a_0 := (f_Tall_type1 t_0) in let a_1 := (f_Tall_type2 t_0) in
  let a_2 := (shift keys_0 0%Z) in let x_0 := (4%Z * len_0)%Z in
  ((p_separated_Type keys_0 len_0 a_0) /\ ((p_separated_Type keys_0 len_0
  a_1) /\ ((p_separated_Name keys_0 len_0 (f_Tall_name t_0)) /\ ((separated
  a_2 x_0 a_0 15%Z) /\ (separated a_2 x_0 a_1 15%Z))))).

(* Why3 assumption *)
Definition p_separated_Tvar (keys_0:addr) (len_0:Z) (t_0:s_Tvar): Prop :=
  let a_0 := (f_Tvar_name t_0) in (separated (shift keys_0 0%Z)
  (4%Z * len_0)%Z (shift a_0 0%Z) (1%Z + (l_strlen a_0))%Z).

Axiom Q_separated_Term_def : forall (len_0:Z), forall (mint_0:(map.Map.map
  addr Z)), forall (mptr_0:(map.Map.map addr addr)), forall (keys_0:addr)
  (t_0:addr), let x_0 := (map.Map.get mint_0 (shift t_0 0%Z)) in ((is_uint32
  len_0) -> ((p_separated_Term keys_0 len_0 t_0) <-> ((separated
  (shift keys_0 0%Z) (4%Z * len_0)%Z t_0 34%Z) /\ (((0%Z = x_0) ->
  (p_separated_Mvar keys_0 len_0 (load_S_Mvar (shift t_0 1%Z) mptr_0))) /\
  (((1%Z = x_0) -> (p_separated_Mapp keys_0 len_0 (load_S_Mapp (shift t_0
  2%Z) mptr_0))) /\ (((2%Z = x_0) -> (p_separated_Mlam keys_0 len_0
  (load_S_Mlam (shift t_0 4%Z) mptr_0))) /\ (((3%Z = x_0) ->
  (p_separated_Mwit keys_0 len_0 (load_S_Mwit (shift t_0 7%Z) mptr_0))) /\
  (((4%Z = x_0) -> (p_separated_Mabs keys_0 len_0 (load_S_Mabs (shift t_0
  10%Z) mptr_0))) /\ (((5%Z = x_0) -> (p_separated_Mtup keys_0 len_0
  (load_S_Mtup (shift t_0 16%Z) mptr_0))) /\ (((6%Z = x_0) ->
  (p_separated_Mpi1 keys_0 len_0 (load_S_Mpi1 (shift t_0 19%Z) mptr_0))) /\
  (((7%Z = x_0) -> (p_separated_Mpi2 keys_0 len_0 (load_S_Mpi2 (shift t_0
  20%Z) mptr_0))) /\ (((8%Z = x_0) -> (p_separated_Min1 keys_0 len_0
  (load_S_Min1 (shift t_0 21%Z) mptr_0))) /\ (((9%Z = x_0) ->
  (p_separated_Min2 keys_0 len_0 (load_S_Min2 (shift t_0 23%Z) mptr_0))) /\
  (((10%Z = x_0) -> (p_separated_Mcas keys_0 len_0 (load_S_Mcas (shift t_0
  25%Z) mptr_0))) /\ ((11%Z = x_0) -> (p_separated_Meps keys_0 len_0
  (load_S_Meps (shift t_0 32%Z) mptr_0))))))))))))))))).

Axiom Q_separated_Type_def : forall (len_0:Z), forall (mint_0:(map.Map.map
  addr Z)), forall (mptr_0:(map.Map.map addr addr)), forall (keys_0:addr)
  (t_0:addr), let x_0 := (map.Map.get mint_0 (shift t_0 0%Z)) in ((is_uint32
  len_0) -> ((p_separated_Type keys_0 len_0 t_0) <-> ((separated
  (shift keys_0 0%Z) (4%Z * len_0)%Z t_0 15%Z) /\ (((0%Z = x_0) ->
  (p_separated_Tvar keys_0 len_0 (load_S_Tvar (shift t_0 1%Z) mptr_0))) /\
  (((1%Z = x_0) -> (p_separated_Tall keys_0 len_0 (load_S_Tall (shift t_0
  2%Z) mptr_0))) /\ (((2%Z = x_0) -> (p_separated_Tapp keys_0 len_0
  (load_S_Tapp (shift t_0 5%Z) mptr_0))) /\ (((3%Z = x_0) ->
  (p_separated_Texi keys_0 len_0 (load_S_Texi (shift t_0 7%Z) mptr_0))) /\
  (((4%Z = x_0) -> (p_separated_Tand keys_0 len_0 (load_S_Tand (shift t_0
  10%Z) mptr_0))) /\ ((5%Z = x_0) -> (p_separated_Tor keys_0 len_0
  (load_S_Tor (shift t_0 12%Z) mptr_0))))))))))).

(* Why3 assumption *)
Definition p_valid_envmap_ptr (malloc_0:(map.Map.map Z Z))
  (mptr_0:(map.Map.map addr addr)) (mint_0:(map.Map.map addr Z))
  (num_allocated_0:Z) (n_0:addr): Prop := let a_0 := (map.Map.get mptr_0
  (shift n_0 2%Z)) in let a_1 := (map.Map.get mptr_0 (shift n_0 3%Z)) in
  let x_0 := (map.Map.get mint_0 (shift n_0 1%Z)) in ((~ (n_0 = (Mk_addr 0%Z
  0%Z))) /\ ((valid_rw malloc_0 n_0 4%Z) /\ ((p_is_allocated_size malloc_0
  mptr_0 num_allocated_0 n_0 16%Z) /\ ((p_well_separated_arrays_2_ a_0 a_1
  x_0) /\ ((p_well_separated_any mptr_0 a_1 x_0 n_0) /\
  ((p_well_separated_envmap malloc_0 mptr_0 a_0 x_0 n_0) /\ ((p_valid_envmap
  malloc_0 mptr_0 mint_0 num_allocated_0 (load_S___anonstruct_envmap_6 n_0
  mint_0 mptr_0)) /\ forall (i_0:Z), (0%Z <= i_0)%Z -> ((is_uint32 i_0) ->
  ((i_0 < (map.Map.get mint_0 (shift n_0 0%Z)))%Z -> (p_separated_Any mptr_0
  mint_0 a_0 x_0 (map.Map.get mptr_0 (shift a_1 i_0)))))))))))).

(* Why3 assumption *)
Definition p_not_modified_charr (mptr_0:(map.Map.map addr addr))
  (mptr_1:(map.Map.map addr addr)) (p_0:addr) (size_0:Z): Prop :=
  forall (i_0:Z), let a_0 := (shift p_0 i_0) in ((i_0 < size_0)%Z ->
  ((0%Z <= i_0)%Z -> ((is_uint32 i_0) -> ((map.Map.get mptr_1
  a_0) = (map.Map.get mptr_0 a_0))))).

(* Why3 assumption *)
Definition p_not_modified_anyr (mptr_0:(map.Map.map addr addr))
  (mptr_1:(map.Map.map addr addr)) (p_0:addr) (size_0:Z): Prop :=
  forall (i_0:Z), let a_0 := (shift p_0 i_0) in ((i_0 < size_0)%Z ->
  ((0%Z <= i_0)%Z -> ((is_uint32 i_0) -> ((map.Map.get mptr_1
  a_0) = (map.Map.get mptr_0 a_0))))).

Axiom shift_zero1 : forall (p:addr), ((shift p 0%Z) = p).

(* Why3 goal *)
Theorem WP : let a_0 := (Mk_addr 1441%Z 0%Z) in let a_1 := (shift a_0 0%Z) in
  forall (charr_bufsize_0:Z) (num_allocated_13:Z) (num_allocated_12:Z)
  (num_allocated_1:Z) (num_allocated_0:Z) (num_allocated_11:Z)
  (num_allocated_10:Z) (num_allocated_9:Z) (num_allocated_8:Z)
  (num_allocated_7:Z) (num_allocated_6:Z) (num_allocated_5:Z)
  (num_allocated_4:Z) (num_allocated_3:Z) (num_allocated_2:Z)
  (size_allocated_8:Z) (size_allocated_7:Z) (size_allocated_6:Z)
  (size_allocated_0:Z) (size_allocated_2:Z) (size_allocated_5:Z)
  (size_allocated_4:Z) (size_allocated_3:Z) (size_allocated_1:Z),
  forall (malloc_0:(map.Map.map Z Z)), forall (mint_9:(map.Map.map addr Z))
  (mint_8:(map.Map.map addr Z)) (mint_7:(map.Map.map addr Z))
  (mint_6:(map.Map.map addr Z)) (mint_5:(map.Map.map addr Z))
  (mint_4:(map.Map.map addr Z)) (mint_3:(map.Map.map addr Z))
  (mint_2:(map.Map.map addr Z)) (mint_1:(map.Map.map addr Z))
  (mint_0:(map.Map.map addr Z)), forall (mptr_7:(map.Map.map addr addr))
  (mptr_6:(map.Map.map addr addr)) (mptr_5:(map.Map.map addr addr))
  (mptr_4:(map.Map.map addr addr)) (mptr_3:(map.Map.map addr addr))
  (mptr_2:(map.Map.map addr addr)) (mptr_1:(map.Map.map addr addr))
  (mptr_0:(map.Map.map addr addr)), forall (calloc_1:addr) (calloc_0:addr)
  (elem_0:addr) (envmap_insert_0:addr) (makeAny_0:addr) (n_0:addr) (v_5:addr)
  (v_4:addr) (v_3:addr) (v_2:addr) (v_1:addr) (v_0:addr),
  forall (val_0:s_Any), let a_2 := (shift n_0 1%Z) in let x_0 :=
  (map.Map.get mint_0 a_2) in let x_1 := (8%Z * x_0)%Z in let x_2 :=
  (2%Z * x_0)%Z in let a_3 := (shift n_0 0%Z) in let x_3 :=
  (map.Map.get mint_7 a_3) in let x_4 := (map.Map.get mint_0 a_3) in
  let x_5 := (map.Map.get mint_5 a_3) in let x_6 := (map.Map.get mint_3
  a_3) in let a_4 := (shift envmap_insert_0 0%Z) in let x_7 :=
  (map.Map.get mint_8 a_4) in let x_8 := (map.Map.get mint_7 a_2) in
  let x_9 := (map.Map.get mint_5 a_2) in let x_10 := (map.Map.get mint_3
  a_2) in let x_11 := (8%Z * (map.Map.get mint_1 a_2))%Z in let a_5 :=
  (shift n_0 2%Z) in let a_6 := (shift n_0 3%Z) in let m_0 :=
  (map.Map.set mptr_1 (shift a_0 num_allocated_4) v_0) in let a_7 :=
  (map.Map.get m_0 a_5) in let a_8 := (map.Map.get mptr_5 a_5) in let a_9 :=
  (map.Map.get mptr_5 a_6) in let x_12 := (1%Z + x_7)%Z in let m_1 :=
  (map.Map.set mint_8 a_4 x_12) in let m_2 := (map.Map.set mptr_5 (shift a_0
  num_allocated_12) v_5) in let a_10 := (shift a_9 x_3) in let m_3 :=
  (map.Map.set m_2 a_10 v_4) in let a_11 := (map.Map.get mptr_3 a_6) in
  let a_12 := (map.Map.get mptr_2 a_5) in let a_13 := (shift v_4 0%Z) in
  let m_4 := (map.Map.set mptr_2 (shift a_0 num_allocated_7) v_1) in
  let m_5 := (map.Map.set m_4 a_5 calloc_0) in let m_6 := (map.Map.set m_5
  (shift a_0 num_allocated_9) v_2) in let a_14 := (map.Map.get m_6 a_6) in
  let a_15 := (shift calloc_1 0%Z) in let x_13 := (4%Z * x_9)%Z in
  let a_16 := (shift calloc_0 0%Z) in let x_14 := (4%Z * x_10)%Z in
  let x_15 := (map.Map.get mint_8 (shift envmap_insert_0 1%Z)) in let m_7 :=
  (map.Map.set mptr_3 (shift a_0 num_allocated_0) v_3) in let a_17 :=
  (map.Map.get m_7 a_5) in let m_8 := (map.Map.set m_7 a_6 calloc_1) in
  let a_18 := (shift a_17 x_3) in let x_16 := (to_uint32 x_14) in let a_19 :=
  (shift envmap_insert_0 3%Z) in let m_9 := (map.Map.set m_2
  (shift (map.Map.get mptr_5 a_19) x_7) v_4) in let a_20 := (map.Map.get m_9
  (shift envmap_insert_0 2%Z)) in let a_21 := (map.Map.get m_9 a_19) in
  let a_22 := (shift (map.Map.get m_3 a_6) x_3) in let a_23 :=
  (map.Map.get m_3 a_22) in let a_24 := (shift a_7 0%Z) in let x_17 :=
  (to_uint32 x_13) in let x_18 := (8%Z * x_10)%Z in let x_19 :=
  (to_uint32 x_18) in let x_20 := (to_uint32 x_11) in let a_25 :=
  (load_S_Any v_4 mint_7 m_2) in let a_26 := (shift a_14 0%Z) in let x_21 :=
  (1%Z + (to_uint32 (x_9 - 1%Z)%Z))%Z in let x_22 :=
  (1%Z + (to_uint32 (x_10 - 1%Z)%Z))%Z in let a_27 := (map.Map.get m_9
  (shift a_20 x_7)) in let a_28 := (map.Map.get mptr_4 a_5) in let a_29 :=
  (map.Map.get mptr_4 a_6) in let a_30 := (shift a_28 x_3) in
  ((~ (envmap_insert_0 = (Mk_addr 0%Z 0%Z))) -> ((is_uint32
  (f_Any_which val_0)) -> ((forall (p:addr),
  ((region (base (map.Map.get mptr_0 p))) <= 0%Z)%Z) -> ((linked malloc_0) ->
  ((is_uint32 charr_bufsize_0) -> ((is_uint32 num_allocated_1) -> ((is_uint32
  num_allocated_11) -> ((is_uint32 num_allocated_10) -> ((is_uint32
  num_allocated_8) -> ((is_uint32 num_allocated_6) -> ((is_uint32
  num_allocated_5) -> ((is_uint32 num_allocated_3) -> ((is_uint32
  size_allocated_0) -> ((is_uint32 size_allocated_4) -> ((p_valid_string
  malloc_0 elem_0) -> ((let x_01 := (f_Any_which val_0) in (((0%Z = x_01) ->
  (p_valid_Type_ptr (f_Any_mType val_0))) /\ (((2%Z = x_01) ->
  (p_valid_Kind_ptr (f_Any_mKind val_0))) /\ (((1%Z = x_01) ->
  (p_valid_Term_ptr (f_Any_mTerm val_0))) /\ (((3%Z = x_01) ->
  (p_valid_string malloc_0 (f_Any_mName val_0))) /\ ((0%Z = x_01) \/
  ((1%Z = x_01) \/ ((2%Z = x_01) \/ ((3%Z = x_01) \/ (4%Z = x_01)))))))))) ->
  (((0%Z < x_0)%Z \/ (0%Z = x_0)) -> (((x_0 < l_UINT32_MAX)%Z \/
  (x_0 = l_UINT32_MAX)) -> ((0%Z < x_1)%Z -> ((x_1 < l_UINT32_MAX)%Z ->
  (((0%Z < x_2)%Z \/ (0%Z = x_2)) -> (((x_2 < 4294967295%Z)%Z \/
  (x_2 = 4294967295%Z)) -> ((is_uint32 (f_Any_which (load_S_Any makeAny_0
  mint_7 mptr_6))) -> ((is_uint32 (map.Map.get mint_9 a_3)) -> ((is_uint32
  (map.Map.get mint_9 a_2)) -> ((is_uint32 (map.Map.get mint_8 a_3)) ->
  ((is_uint32 (map.Map.get mint_8 a_2)) -> ((is_uint32 x_3) -> ((is_uint32
  (map.Map.get mint_6 a_3)) -> ((is_uint32 (map.Map.get mint_6 a_2)) ->
  ((is_uint32 (map.Map.get mint_4 a_3)) -> ((is_uint32 (map.Map.get mint_4
  a_2)) -> ((is_uint32 (map.Map.get mint_2 a_3)) -> ((is_uint32 x_4) ->
  ((is_uint32 x_0) -> ((let a_01 := (map.Map.get mptr_0 (shift n_0 2%Z)) in
  let a_110 := (map.Map.get mptr_0 (shift n_0 3%Z)) in let x_01 :=
  (map.Map.get mint_0 (shift n_0 1%Z)) in ((~ (n_0 = (Mk_addr 0%Z 0%Z))) /\
  ((valid_rw malloc_0 n_0 4%Z) /\ ((p_is_allocated_size malloc_0 mptr_0
  num_allocated_2 n_0 16%Z) /\ ((p_well_separated_arrays_2_ a_01 a_110
  x_01) /\ ((p_well_separated_any mptr_0 a_110 x_01 n_0) /\
  ((p_well_separated_envmap malloc_0 mptr_0 a_01 x_01 n_0) /\
  ((p_valid_envmap malloc_0 mptr_0 mint_0 num_allocated_2
  (load_S___anonstruct_envmap_6 n_0 mint_0 mptr_0)) /\ forall (i_0:Z),
  (0%Z <= i_0)%Z -> ((is_uint32 i_0) -> ((i_0 < (map.Map.get mint_0
  (shift n_0 0%Z)))%Z -> (p_separated_Any mptr_0 mint_0 a_01 x_01
  (map.Map.get mptr_0 (shift a_110 i_0))))))))))))) -> (((0%Z < 1%Z)%Z ->
  ((0%Z <= (offset a_3))%Z /\
  (((offset a_3) + 1%Z)%Z <= (map.Map.get malloc_0 (base a_3)))%Z)) ->
  (((0%Z < 1%Z)%Z -> ((0%Z <= (offset a_2))%Z /\
  (((offset a_2) + 1%Z)%Z <= (map.Map.get malloc_0 (base a_2)))%Z)) ->
  ((is_uint32 x_2) -> (((~ (x_4 = x_0)) -> ((0%Z < 1%Z)%Z /\
  ((0%Z < 32%Z)%Z /\ (((1%Z + num_allocated_2)%Z <= l_MAX_ALLOCS)%Z /\
  ((32%Z + size_allocated_1)%Z <= l_HEAP_SIZE)%Z)))) -> (((x_4 = x_0) ->
  ((0%Z < 2%Z)%Z /\ ((0%Z < (to_uint32 (32%Z + x_1)%Z))%Z /\
  (((2%Z + num_allocated_2)%Z <= l_MAX_ALLOCS)%Z /\
  (((to_uint32 (32%Z + x_1)%Z) + size_allocated_1)%Z <= l_HEAP_SIZE)%Z)))) ->
  ((((x_4 = x_0) /\ ((mint_8 = mint_7) /\ ((mint_5 = mint_3) /\
  ((mint_3 = mint_1) /\ ((mint_1 = mint_0) /\ ((mptr_1 = mptr_0) /\
  ((envmap_insert_0 = n_0) /\ ((num_allocated_0 = num_allocated_10) /\
  ((num_allocated_7 = num_allocated_5) /\
  ((num_allocated_4 = num_allocated_2) /\
  ((size_allocated_6 = size_allocated_0) /\
  ((size_allocated_5 = size_allocated_4) /\
  ((size_allocated_3 = size_allocated_1) /\ ((~ (calloc_1 = (Mk_addr 0%Z
  0%Z))) /\ ((~ (calloc_0 = (Mk_addr 0%Z 0%Z))) /\ ((x_5 < l_UINT32_MAX)%Z /\
  ((x_6 < l_UINT32_MAX)%Z /\ (((0%Z < x_5)%Z \/ (0%Z = x_5)) /\
  (((0%Z < x_6)%Z \/ (0%Z = x_6)) /\ (((x_7 < 4294967294%Z)%Z \/
  (x_7 = 4294967294%Z)) /\ (((x_3 < x_8)%Z \/ (x_3 = x_8)) /\
  (((x_5 < x_9)%Z \/ (x_5 = x_9)) /\ (((x_6 < x_10)%Z \/ (x_6 = x_10)) /\
  (((0%Z < x_11)%Z \/ (0%Z = x_11)) /\ (((x_11 < l_UINT32_MAX)%Z \/
  (x_11 = l_UINT32_MAX)) /\ ((mint_7 = (map.Map.set mint_5 a_2
  (2%Z * x_9)%Z)) /\ (((0%Z < 1%Z)%Z -> ((0%Z <= (offset a_5))%Z /\
  (((offset a_5) + 1%Z)%Z <= (map.Map.get malloc_0 (base a_5)))%Z)) /\
  (((0%Z < 1%Z)%Z -> ((0%Z <= (offset a_6))%Z /\
  (((offset a_6) + 1%Z)%Z <= (map.Map.get malloc_0 (base a_6)))%Z)) /\
  (((0%Z < 1%Z)%Z -> ((0%Z < (base a_4))%Z /\ ((0%Z <= (offset a_4))%Z /\
  (((offset a_4) + 1%Z)%Z <= (map.Map.get malloc_0 (base a_4)))%Z))) /\
  (((0%Z < 1%Z)%Z -> ((0%Z < (base a_2))%Z /\ ((0%Z <= (offset a_2))%Z /\
  (((offset a_2) + 1%Z)%Z <= (map.Map.get malloc_0 (base a_2)))%Z))) /\
  (((0%Z < 1%Z)%Z -> ((0%Z < (base a_5))%Z /\ ((0%Z <= (offset a_5))%Z /\
  (((offset a_5) + 1%Z)%Z <= (map.Map.get malloc_0 (base a_5)))%Z))) /\
  (((0%Z < 1%Z)%Z -> ((0%Z < (base a_6))%Z /\ ((0%Z <= (offset a_6))%Z /\
  (((offset a_6) + 1%Z)%Z <= (map.Map.get malloc_0 (base a_6)))%Z))) /\
  ((((0%Z < 1%Z)%Z /\ ((0%Z < 32%Z)%Z /\
  (((1%Z + num_allocated_12)%Z <= l_MAX_ALLOCS)%Z /\
  ((32%Z + size_allocated_8)%Z <= l_HEAP_SIZE)%Z))) -> ~ (v_4 = (Mk_addr 0%Z
  0%Z))) /\ ((~ ((Mk_addr 0%Z 0%Z) = a_7)) /\ ((let x_01 := (4%Z * x_8)%Z in
  (separated (shift a_8 0%Z) x_01 (shift a_9 0%Z) x_01)) /\
  (((~ ((0%Z < 1%Z)%Z /\ ((0%Z < 32%Z)%Z /\
  (((1%Z + num_allocated_12)%Z <= l_MAX_ALLOCS)%Z /\
  ((32%Z + size_allocated_8)%Z <= l_HEAP_SIZE)%Z)))) -> (v_4 = (Mk_addr 0%Z
  0%Z))) /\ ((mint_9 = m_1) /\ ((mptr_7 = m_3) /\
  (((num_allocated_0 <= l_MAX_ALLOCS)%Z -> exists i_0:Z, (is_uint32 i_0) /\
  (p_is_allocated_size malloc_0 mptr_3 num_allocated_0 a_11 i_0)) /\
  (((num_allocated_7 <= l_MAX_ALLOCS)%Z -> exists i_0:Z, (is_uint32 i_0) /\
  (p_is_allocated_size malloc_0 mptr_2 num_allocated_7 a_12 i_0)) /\
  ((let a_01 := (shift a_9 0%Z) in let x_01 := (4%Z * x_8)%Z in ((separated
  a_01 x_01 n_0 4%Z) /\ forall (i_0:Z), (i_0 < x_8)%Z -> ((0%Z <= i_0)%Z ->
  ((is_uint32 i_0) -> (separated a_01 x_01 (shift (map.Map.get mptr_5
  (shift a_9 i_0)) 0%Z) 256%Z))))) /\ ((((0%Z < 1%Z)%Z /\ ((0%Z < 32%Z)%Z /\
  (((1%Z + num_allocated_12)%Z <= l_MAX_ALLOCS)%Z /\
  ((32%Z + size_allocated_8)%Z <= l_HEAP_SIZE)%Z))) -> ((0%Z < 32%Z)%Z ->
  ((0%Z < (base a_13))%Z /\ ((0%Z <= (offset a_13))%Z /\
  (((offset a_13) + 32%Z)%Z <= (map.Map.get malloc_0 (base a_13)))%Z)))) /\
  (((~ ((0%Z < 1%Z)%Z /\ ((0%Z < 32%Z)%Z /\
  (((1%Z + num_allocated_12)%Z <= l_MAX_ALLOCS)%Z /\
  ((32%Z + size_allocated_8)%Z <= l_HEAP_SIZE)%Z)))) ->
  ((num_allocated_13 = (0%Z + num_allocated_12)%Z) /\
  (size_allocated_7 = (0%Z + size_allocated_8)%Z))) /\ ((((0%Z < 1%Z)%Z /\
  ((0%Z < 32%Z)%Z /\ (((1%Z + num_allocated_12)%Z <= l_MAX_ALLOCS)%Z /\
  ((32%Z + size_allocated_8)%Z <= l_HEAP_SIZE)%Z))) ->
  ((num_allocated_13 = (1%Z + num_allocated_12)%Z) /\
  (size_allocated_7 = (32%Z + size_allocated_8)%Z))) /\ ((~ ((Mk_addr 0%Z
  0%Z) = a_14)) /\ (((l_MAX_ALLOCS <= 0%Z)%Z \/ ((x_13 <= 0%Z)%Z \/
  ((~ ((base a_1) = (base a_15))) \/
  ((((offset a_15) + x_13)%Z <= (offset a_1))%Z \/
  (((offset a_1) + l_MAX_ALLOCS)%Z <= (offset a_15))%Z)))) /\
  (((l_MAX_ALLOCS <= 0%Z)%Z \/ ((x_14 <= 0%Z)%Z \/
  ((~ ((base a_1) = (base a_16))) \/
  ((((offset a_16) + x_14)%Z <= (offset a_1))%Z \/
  (((offset a_1) + l_MAX_ALLOCS)%Z <= (offset a_16))%Z)))) /\ ((let x_01 :=
  (8%Z * x_15)%Z in ((0%Z < x_15)%Z /\ ((0%Z <= x_12)%Z /\
  ((x_12 <= x_15)%Z /\ ((x_12 <= l_UINT32_MAX)%Z /\ ((0%Z <= x_01)%Z /\
  (x_01 <= l_UINT32_MAX)%Z)))))) /\ ((let a_01 := (shift a_8 0%Z) in
  let x_01 := (4%Z * x_8)%Z in ((separated a_01 x_01 n_0 4%Z) /\
  forall (i_0:Z), let a_110 := (map.Map.get mptr_5 (shift a_8 i_0)) in
  ((i_0 < x_8)%Z -> ((0%Z <= i_0)%Z -> ((is_uint32 i_0) -> (separated a_01
  x_01 (shift a_110 0%Z) (map.Map.get malloc_0 (base a_110)))))))) /\
  (((0%Z < (1%Z + x_9)%Z)%Z -> ((0%Z < (base a_15))%Z /\
  ((0%Z <= (offset a_15))%Z /\
  (((offset a_15) + (1%Z + x_9)%Z)%Z <= (map.Map.get malloc_0
  (base a_15)))%Z))) /\ (((0%Z < (1%Z + x_10)%Z)%Z ->
  ((0%Z < (base a_16))%Z /\ ((0%Z <= (offset a_16))%Z /\
  (((offset a_16) + (1%Z + x_10)%Z)%Z <= (map.Map.get malloc_0
  (base a_16)))%Z))) /\ (((0%Z < 1%Z)%Z -> ((0%Z < (base a_10))%Z /\
  ((0%Z <= (offset a_10))%Z /\
  (((offset a_10) + 1%Z)%Z <= (map.Map.get malloc_0 (base a_10)))%Z))) /\
  ((forall (q:addr), (separated q 1%Z a_16 x_6) -> ((map.Map.get m_0
  q) = (map.Map.get mptr_2 q))) /\ ((let a_01 := (Mk_addr 1441%Z 0%Z) in
  forall (i_0:Z) (j_0:Z), let a_110 := (map.Map.get mptr_3 (shift a_01
  i_0)) in let a_210 := (shift a_01 j_0) in let a_31 := (map.Map.get mptr_3
  a_210) in ((is_uint32 i_0) -> ((is_uint32 j_0) ->
  (((i_0 < num_allocated_0)%Z -> ((j_0 < i_0)%Z -> ((0%Z <= i_0)%Z ->
  ((0%Z <= j_0)%Z -> ((a_11 = a_110) -> (a_31 = (map.Map.get m_7
  a_210))))))) /\ ((i_0 < j_0)%Z -> ((i_0 < num_allocated_0)%Z ->
  ((j_0 < num_allocated_0)%Z -> ((0%Z <= i_0)%Z -> ((a_11 = a_110) ->
  (a_31 = (map.Map.get m_7 (shift a_01 (j_0 - 1%Z)%Z)))))))))))) /\
  ((let a_01 := (Mk_addr 1441%Z 0%Z) in forall (i_0:Z) (j_0:Z), let a_110 :=
  (map.Map.get mptr_2 (shift a_01 i_0)) in let a_210 := (shift a_01 j_0) in
  let a_31 := (map.Map.get mptr_2 a_210) in ((is_uint32 i_0) -> ((is_uint32
  j_0) -> (((i_0 < num_allocated_7)%Z -> ((j_0 < i_0)%Z -> ((0%Z <= i_0)%Z ->
  ((0%Z <= j_0)%Z -> ((a_12 = a_110) -> (a_31 = (map.Map.get m_4
  a_210))))))) /\ ((i_0 < j_0)%Z -> ((i_0 < num_allocated_7)%Z ->
  ((j_0 < num_allocated_7)%Z -> ((0%Z <= i_0)%Z -> ((a_12 = a_110) ->
  (a_31 = (map.Map.get m_4 (shift a_01 (j_0 - 1%Z)%Z)))))))))))) /\
  ((let a_01 := (shift calloc_0 0%Z) in let x_01 := (4%Z * x_10)%Z in
  ((~ (calloc_0 = (Mk_addr 0%Z 0%Z))) /\ ((p_valid_content malloc_0 mptr_2
  calloc_0 x_6) /\ ((valid_rw malloc_0 a_01 x_10) /\ ((p_is_allocated_size
  malloc_0 mptr_2 num_allocated_7 calloc_0 (to_uint32 x_01)) /\ (separated
  (shift (Mk_addr 1441%Z 0%Z) 0%Z) l_MAX_ALLOCS a_01 x_01)))))) /\
  ((let x_01 := (4%Z * x_8)%Z in (separated (shift a_17 0%Z) x_01
  (shift calloc_1 0%Z) x_01)) /\ ((mptr_5 = (map.Map.set m_8 a_18 elem_0)) /\
  ((let a_01 := (shift calloc_1 0%Z) in let x_01 := (4%Z * x_9)%Z in
  ((~ (calloc_1 = (Mk_addr 0%Z 0%Z))) /\ ((p_valid_anycontent malloc_0 mptr_3
  mint_5 calloc_1 x_5) /\ ((valid_rw malloc_0 a_01 x_9) /\
  ((p_is_allocated_size malloc_0 mptr_3 num_allocated_0 calloc_1
  (to_uint32 x_01)) /\ (separated (shift (Mk_addr 1441%Z 0%Z) 0%Z)
  l_MAX_ALLOCS a_01 x_01)))))) /\ ((let a_01 := (shift calloc_1 0%Z) in
  let x_01 := (4%Z * x_8)%Z in ((separated a_01 x_01 n_0 4%Z) /\
  forall (i_0:Z), (i_0 < x_8)%Z -> ((0%Z <= i_0)%Z -> ((is_uint32 i_0) ->
  (separated a_01 x_01 (shift (map.Map.get m_8 (shift calloc_1 i_0)) 0%Z)
  256%Z))))) /\ ((~ ((num_allocated_12 <= l_MAX_ALLOCS)%Z -> exists i_0:Z,
  (is_uint32 i_0) /\ (p_is_allocated_size malloc_0 m_7 num_allocated_12 a_11
  i_0))) /\ ((~ ((num_allocated_9 <= l_MAX_ALLOCS)%Z -> exists i_0:Z,
  (is_uint32 i_0) /\ (p_is_allocated_size malloc_0 m_4 num_allocated_9 a_12
  i_0))) /\ ((forall (q:addr), (separated q 1%Z a_15 x_5) ->
  ((map.Map.get m_6 q) = (map.Map.get mptr_3 q))) /\
  (((num_allocated_7 <= l_MAX_ALLOCS)%Z -> exists j_0:Z, let a_110 :=
  (map.Map.get m_0 (shift (Mk_addr 1441%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_7)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((calloc_0 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z) x_16)))))) /\
  (((num_allocated_7 <= l_MAX_ALLOCS)%Z -> exists j_0:Z, let a_110 :=
  (map.Map.get m_0 (shift (Mk_addr 1441%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_7)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((a_7 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z) x_16)))))) /\
  (((num_allocated_12 <= l_MAX_ALLOCS)%Z -> exists j_0:Z, let a_110 :=
  (map.Map.get m_8 (shift (Mk_addr 1441%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_12)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((n_0 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z) 16%Z)))))) /\
  ((separated (shift (map.Map.get m_6 a_5) 0%Z) x_9 (shift calloc_0 0%Z)
  x_9) /\ ((let a_01 := (shift a_17 0%Z) in let x_01 := (4%Z * x_8)%Z in
  ((separated a_01 x_01 n_0 4%Z) /\ forall (i_0:Z), let a_110 :=
  (map.Map.get m_8 (shift a_17 i_0)) in ((i_0 < x_8)%Z -> ((0%Z <= i_0)%Z ->
  ((is_uint32 i_0) -> (separated a_01 x_01 (shift a_110 0%Z)
  (map.Map.get malloc_0 (base a_110)))))))) /\ ((let x_01 :=
  (4%Z * x_15)%Z in (separated (shift a_20 0%Z) x_01 (shift a_21 0%Z)
  x_01)) /\ ((~ ((Mk_addr 0%Z 0%Z) = a_23)) /\ (((0%Z < x_6)%Z ->
  ((0%Z <= (offset a_24))%Z /\
  (((offset a_24) + x_6)%Z <= (map.Map.get malloc_0 (base a_24)))%Z)) /\
  (((0%Z < 1%Z)%Z -> ((0%Z < (base a_18))%Z /\ ((0%Z <= (offset a_18))%Z /\
  (((offset a_18) + 1%Z)%Z <= (map.Map.get malloc_0 (base a_18)))%Z))) /\
  (((num_allocated_0 <= l_MAX_ALLOCS)%Z -> exists j_0:Z, let a_110 :=
  (map.Map.get m_6 (shift (Mk_addr 1441%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_0)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((calloc_1 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z) x_17)))))) /\
  ((let a_01 := (shift a_7 0%Z) in let x_01 := (4%Z * x_10)%Z in
  ((~ (a_7 = (Mk_addr 0%Z 0%Z))) /\ ((p_valid_content malloc_0 mptr_2 a_7
  x_6) /\ ((valid_rw malloc_0 a_01 x_10) /\ ((p_is_allocated_size malloc_0
  mptr_2 num_allocated_7 a_7 (to_uint32 x_01)) /\ (separated
  (shift (Mk_addr 1441%Z 0%Z) 0%Z) l_MAX_ALLOCS a_01 x_01)))))) /\
  ((let a_01 := (shift a_7 0%Z) in let x_01 := (4%Z * x_10)%Z in
  ((~ (a_7 = (Mk_addr 0%Z 0%Z))) /\ ((p_valid_content malloc_0 m_0 a_7
  x_6) /\ ((valid_rw malloc_0 a_01 x_10) /\ ((p_is_allocated_size malloc_0
  m_0 num_allocated_7 a_7 (to_uint32 x_01)) /\ (separated
  (shift (Mk_addr 1441%Z 0%Z) 0%Z) l_MAX_ALLOCS a_01 x_01)))))) /\
  ((let a_01 := (shift a_21 0%Z) in let x_01 := (4%Z * x_15)%Z in ((separated
  a_01 x_01 envmap_insert_0 4%Z) /\ forall (i_0:Z), (i_0 < x_15)%Z ->
  ((0%Z <= i_0)%Z -> ((is_uint32 i_0) -> (separated a_01 x_01
  (shift (map.Map.get m_9 (shift a_21 i_0)) 0%Z) 256%Z))))) /\
  ((((0%Z < 1%Z)%Z /\ ((0%Z < x_19)%Z /\
  (((1%Z + num_allocated_9)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_19 + size_allocated_2)%Z <= l_HEAP_SIZE)%Z))) ->
  ~ (calloc_1 = (Mk_addr 0%Z 0%Z))) /\ ((((0%Z < 1%Z)%Z /\ ((0%Z < x_20)%Z /\
  (((1%Z + num_allocated_4)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_20 + size_allocated_3)%Z <= l_HEAP_SIZE)%Z))) ->
  ~ (calloc_0 = (Mk_addr 0%Z 0%Z))) /\ ((((0%Z < 1%Z)%Z /\ ((0%Z < x_20)%Z /\
  (((1%Z + num_allocated_4)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_20 + size_allocated_3)%Z <= l_HEAP_SIZE)%Z))) ->
  (calloc_0 = (map.Map.get m_0 (shift a_0 (num_allocated_5 - 1%Z)%Z)))) /\
  ((((0%Z < 1%Z)%Z /\ ((0%Z < x_19)%Z /\
  (((1%Z + num_allocated_9)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_19 + size_allocated_2)%Z <= l_HEAP_SIZE)%Z))) -> ((0%Z < x_18)%Z ->
  ((0%Z < (base a_15))%Z /\ ((0%Z <= (offset a_15))%Z /\
  (((offset a_15) + x_18)%Z <= (map.Map.get malloc_0 (base a_15)))%Z)))) /\
  ((((0%Z < 1%Z)%Z /\ ((0%Z < x_20)%Z /\
  (((1%Z + num_allocated_4)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_20 + size_allocated_3)%Z <= l_HEAP_SIZE)%Z))) -> ((0%Z < x_11)%Z ->
  ((0%Z < (base a_16))%Z /\ ((0%Z <= (offset a_16))%Z /\
  (((offset a_16) + x_11)%Z <= (map.Map.get malloc_0 (base a_16)))%Z)))) /\
  ((((0%Z < 1%Z)%Z /\ ((0%Z < x_19)%Z /\
  (((1%Z + num_allocated_9)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_19 + size_allocated_2)%Z <= l_HEAP_SIZE)%Z))) ->
  (calloc_1 = (map.Map.get m_6 (shift a_0 (num_allocated_10 - 1%Z)%Z)))) /\
  ((((0%Z < 1%Z)%Z /\ ((0%Z < x_19)%Z /\
  (((1%Z + num_allocated_9)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_19 + size_allocated_2)%Z <= l_HEAP_SIZE)%Z))) ->
  ((l_MAX_ALLOCS <= 0%Z)%Z \/ ((x_18 <= 0%Z)%Z \/
  ((~ ((base a_1) = (base a_15))) \/
  ((((offset a_15) + x_18)%Z <= (offset a_1))%Z \/
  (((offset a_1) + l_MAX_ALLOCS)%Z <= (offset a_15))%Z))))) /\
  ((((0%Z < 1%Z)%Z /\ ((0%Z < x_20)%Z /\
  (((1%Z + num_allocated_4)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_20 + size_allocated_3)%Z <= l_HEAP_SIZE)%Z))) ->
  ((l_MAX_ALLOCS <= 0%Z)%Z \/ ((x_11 <= 0%Z)%Z \/
  ((~ ((base a_1) = (base a_16))) \/
  ((((offset a_16) + x_11)%Z <= (offset a_1))%Z \/
  (((offset a_1) + l_MAX_ALLOCS)%Z <= (offset a_16))%Z))))) /\
  ((((0%Z < 1%Z)%Z /\ ((0%Z < 32%Z)%Z /\
  (((1%Z + num_allocated_12)%Z <= l_MAX_ALLOCS)%Z /\
  ((32%Z + size_allocated_8)%Z <= l_HEAP_SIZE)%Z))) ->
  ((num_allocated_13 <= l_MAX_ALLOCS)%Z -> exists j_0:Z, let a_110 :=
  (map.Map.get m_2 (shift (Mk_addr 1441%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_13)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((v_4 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z) 32%Z))))))) /\
  (((num_allocated_0 <= l_MAX_ALLOCS)%Z -> exists j_0:Z, let a_110 :=
  (map.Map.get m_6 (shift (Mk_addr 1441%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_0)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((a_14 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z) x_17)))))) /\
  ((let a_01 := (shift a_20 0%Z) in let x_01 := (4%Z * x_15)%Z in ((separated
  a_01 x_01 envmap_insert_0 4%Z) /\ forall (i_0:Z), let a_110 :=
  (map.Map.get m_9 (shift a_20 i_0)) in ((i_0 < x_15)%Z -> ((0%Z <= i_0)%Z ->
  ((is_uint32 i_0) -> (separated a_01 x_01 (shift a_110 0%Z)
  (map.Map.get malloc_0 (base a_110)))))))) /\ (((~ ((0%Z < 1%Z)%Z /\
  ((0%Z < x_19)%Z /\ (((1%Z + num_allocated_9)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_19 + size_allocated_2)%Z <= l_HEAP_SIZE)%Z)))) ->
  (calloc_1 = (Mk_addr 0%Z 0%Z))) /\ (((~ ((0%Z < 1%Z)%Z /\
  ((0%Z < x_20)%Z /\ (((1%Z + num_allocated_4)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_20 + size_allocated_3)%Z <= l_HEAP_SIZE)%Z)))) ->
  (calloc_0 = (Mk_addr 0%Z 0%Z))) /\ (((~ ((0%Z < 1%Z)%Z /\
  ((0%Z < x_19)%Z /\ (((1%Z + num_allocated_9)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_19 + size_allocated_2)%Z <= l_HEAP_SIZE)%Z)))) ->
  ((num_allocated_10 = (0%Z + num_allocated_9)%Z) /\
  (size_allocated_0 = (0%Z + size_allocated_2)%Z))) /\ (((~ ((0%Z < 1%Z)%Z /\
  ((0%Z < x_20)%Z /\ (((1%Z + num_allocated_4)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_20 + size_allocated_3)%Z <= l_HEAP_SIZE)%Z)))) ->
  ((num_allocated_5 = (0%Z + num_allocated_4)%Z) /\
  (size_allocated_4 = (0%Z + size_allocated_3)%Z))) /\ ((((0%Z < 1%Z)%Z /\
  ((0%Z < x_20)%Z /\ (((1%Z + num_allocated_4)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_20 + size_allocated_3)%Z <= l_HEAP_SIZE)%Z))) ->
  ((num_allocated_5 <= l_MAX_ALLOCS)%Z -> exists j_0:Z, let a_110 :=
  (map.Map.get m_0 (shift (Mk_addr 1441%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_5)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((calloc_0 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z) x_20))))))) /\
  ((((0%Z < 1%Z)%Z /\ ((0%Z < 32%Z)%Z /\
  (((1%Z + num_allocated_12)%Z <= l_MAX_ALLOCS)%Z /\
  ((32%Z + size_allocated_8)%Z <= l_HEAP_SIZE)%Z))) ->
  (((f_Any_mKind a_25) = (f_Any_mKind val_0)) /\
  (((f_Any_mName a_25) = (f_Any_mName val_0)) /\
  (((f_Any_mTerm a_25) = (f_Any_mTerm val_0)) /\
  (((f_Any_mType a_25) = (f_Any_mType val_0)) /\
  (((f_Any_which a_25) = (f_Any_which val_0)) /\ (eqS_Bind (f_Any_mBind a_25)
  (f_Any_mBind val_0)))))))) /\ ((((0%Z < 1%Z)%Z /\ ((0%Z < x_20)%Z /\
  (((1%Z + num_allocated_4)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_20 + size_allocated_3)%Z <= l_HEAP_SIZE)%Z))) -> forall (p_0:addr),
  (~ (calloc_0 = (Mk_addr 0%Z 0%Z))) /\
  (((num_allocated_4 <= l_MAX_ALLOCS)%Z -> exists i_0:Z, (is_uint32 i_0) /\
  (p_is_allocated_size malloc_0 mptr_1 num_allocated_4 p_0 i_0)) ->
  ~ (calloc_0 = p_0))) /\ ((forall (i_0:Z), let a_31 := (shift a_0 i_0) in
  ((i_0 < l_MAX_ALLOCS)%Z -> (((0%Z < i_0)%Z \/ (0%Z = i_0)) -> ((is_uint32
  i_0) -> ((map.Map.get mptr_2 a_31) = (map.Map.get m_0 a_31)))))) /\
  (((0%Z < 1%Z)%Z -> ((0%Z <= (offset a_22))%Z /\
  (((offset a_22) + 1%Z)%Z <= (map.Map.get malloc_0 (base a_22)))%Z)) /\
  (((0%Z < x_5)%Z -> ((0%Z <= (offset a_26))%Z /\
  (((offset a_26) + x_5)%Z <= (map.Map.get malloc_0 (base a_26)))%Z)) /\
  (((0%Z < x_21)%Z -> ((0%Z < (base a_15))%Z /\ ((0%Z <= (offset a_15))%Z /\
  (((offset a_15) + x_21)%Z <= (map.Map.get malloc_0 (base a_15)))%Z))) /\
  (((0%Z < x_22)%Z -> ((0%Z < (base a_16))%Z /\ ((0%Z <= (offset a_16))%Z /\
  (((offset a_16) + x_22)%Z <= (map.Map.get malloc_0 (base a_16)))%Z))) /\
  (((0%Z < x_22)%Z -> ((0%Z < (base a_24))%Z /\ ((0%Z <= (offset a_24))%Z /\
  (((offset a_24) + x_22)%Z <= (map.Map.get malloc_0 (base a_24)))%Z))) /\
  (((0%Z < x_21)%Z -> ((0%Z < (base a_26))%Z /\ ((0%Z <= (offset a_26))%Z /\
  (((offset a_26) + x_21)%Z <= (map.Map.get malloc_0 (base a_26)))%Z))) /\
  ((let x_01 := (l_strlen a_27) in ((0%Z <= x_01)%Z /\ (valid_rw malloc_0
  (shift a_27 0%Z) (1%Z + x_01)%Z))) /\
  (((num_allocated_0 = (1%Z + num_allocated_12)%Z) /\
  (size_allocated_6 = ((to_uint32 (map.Map.get malloc_0
  (base a_11))) + size_allocated_8)%Z)) /\
  (((num_allocated_7 = (1%Z + num_allocated_9)%Z) /\
  (size_allocated_5 = ((to_uint32 (map.Map.get malloc_0
  (base a_12))) + size_allocated_2)%Z)) /\ ((let a_01 := (shift a_20 0%Z) in
  let x_01 := (4%Z * x_15)%Z in ((~ (a_20 = (Mk_addr 0%Z 0%Z))) /\
  ((p_valid_content malloc_0 m_9 a_20 x_12) /\ ((valid_rw malloc_0 a_01
  x_15) /\ ((p_is_allocated_size malloc_0 m_9 num_allocated_13 a_20
  (to_uint32 x_01)) /\ (separated (shift (Mk_addr 1441%Z 0%Z) 0%Z)
  l_MAX_ALLOCS a_01 x_01)))))) /\ ((((0%Z < 1%Z)%Z /\ ((0%Z < x_19)%Z /\
  (((1%Z + num_allocated_9)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_19 + size_allocated_2)%Z <= l_HEAP_SIZE)%Z))) ->
  ((num_allocated_10 = (1%Z + num_allocated_9)%Z) /\
  (size_allocated_0 = (x_19 + size_allocated_2)%Z))) /\ ((((0%Z < 1%Z)%Z /\
  ((0%Z < x_20)%Z /\ (((1%Z + num_allocated_4)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_20 + size_allocated_3)%Z <= l_HEAP_SIZE)%Z))) ->
  ((num_allocated_5 = (1%Z + num_allocated_4)%Z) /\
  (size_allocated_4 = (x_20 + size_allocated_3)%Z))) /\ ((((0%Z < 1%Z)%Z /\
  ((0%Z < x_19)%Z /\ (((1%Z + num_allocated_9)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_19 + size_allocated_2)%Z <= l_HEAP_SIZE)%Z))) ->
  ((num_allocated_10 <= l_MAX_ALLOCS)%Z -> exists j_0:Z, let a_110 :=
  (map.Map.get m_6 (shift (Mk_addr 1441%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_10)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((calloc_1 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z) x_19))))))) /\
  ((forall (s_0:Z), (is_uint32 s_0) ->
  (((num_allocated_0 <= l_MAX_ALLOCS)%Z -> exists j_0:Z, let a_110 :=
  (map.Map.get mptr_3 (shift (Mk_addr 1441%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_0)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((a_11 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z) s_0)))))) ->
  (size_allocated_6 = (s_0 + size_allocated_8)%Z))) /\ ((forall (s_0:Z),
  (is_uint32 s_0) -> (((num_allocated_7 <= l_MAX_ALLOCS)%Z -> exists j_0:Z,
  let a_110 := (map.Map.get mptr_2 (shift (Mk_addr 1441%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_7)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((a_12 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z) s_0)))))) ->
  (size_allocated_5 = (s_0 + size_allocated_2)%Z))) /\ (((x_21 <= 0%Z)%Z \/
  ((x_9 <= 0%Z)%Z \/ ((~ ((base a_15) = (base a_26))) \/
  ((((offset a_26) + x_9)%Z <= (offset a_15))%Z \/
  (((offset a_15) + x_21)%Z <= (offset a_26))%Z)))) /\ (((x_22 <= 0%Z)%Z \/
  ((x_10 <= 0%Z)%Z \/ ((~ ((base a_16) = (base a_24))) \/
  ((((offset a_24) + x_10)%Z <= (offset a_16))%Z \/
  (((offset a_16) + x_22)%Z <= (offset a_24))%Z)))) /\ ((let a_01 :=
  (shift a_14 0%Z) in let x_01 := (4%Z * x_9)%Z in ((~ (a_14 = (Mk_addr 0%Z
  0%Z))) /\ ((p_valid_anycontent malloc_0 mptr_3 mint_5 a_14 x_5) /\
  ((valid_rw malloc_0 a_01 x_9) /\ ((p_is_allocated_size malloc_0 mptr_3
  num_allocated_0 a_14 (to_uint32 x_01)) /\ (separated (shift (Mk_addr 1441%Z
  0%Z) 0%Z) l_MAX_ALLOCS a_01 x_01)))))) /\ ((let a_01 := (shift a_21 0%Z) in
  let x_01 := (4%Z * x_15)%Z in ((~ (a_21 = (Mk_addr 0%Z 0%Z))) /\
  ((p_valid_anycontent malloc_0 m_9 m_1 a_21 x_12) /\ ((valid_rw malloc_0
  a_01 x_15) /\ ((p_is_allocated_size malloc_0 m_9 num_allocated_13 a_21
  (to_uint32 x_01)) /\ (separated (shift (Mk_addr 1441%Z 0%Z) 0%Z)
  l_MAX_ALLOCS a_01 x_01)))))) /\ ((let a_01 := (shift a_14 0%Z) in
  let x_01 := (4%Z * x_9)%Z in ((~ (a_14 = (Mk_addr 0%Z 0%Z))) /\
  ((p_valid_anycontent malloc_0 m_6 mint_5 a_14 x_5) /\ ((valid_rw malloc_0
  a_01 x_9) /\ ((p_is_allocated_size malloc_0 m_6 num_allocated_0 a_14
  (to_uint32 x_01)) /\ (separated (shift (Mk_addr 1441%Z 0%Z) 0%Z)
  l_MAX_ALLOCS a_01 x_01)))))) /\ ((((l_MAX_ALLOCS <= 0%Z)%Z \/
  ((x_14 <= 0%Z)%Z \/ ((~ ((base a_1) = (base a_24))) \/
  ((((offset a_24) + x_14)%Z <= (offset a_1))%Z \/
  (((offset a_1) + l_MAX_ALLOCS)%Z <= (offset a_24))%Z)))) ->
  ((l_MAX_ALLOCS <= 0%Z)%Z \/ ((x_14 <= 0%Z)%Z \/
  ((~ ((base a_1) = (base a_16))) \/
  ((((offset a_16) + x_14)%Z <= (offset a_1))%Z \/
  (((offset a_1) + l_MAX_ALLOCS)%Z <= (offset a_16))%Z))))) /\
  (((~ ((0%Z < 1%Z)%Z /\ ((0%Z < x_20)%Z /\
  (((1%Z + num_allocated_4)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_20 + size_allocated_3)%Z <= l_HEAP_SIZE)%Z)))) -> forall (i_0:Z),
  let a_31 := (shift a_0 i_0) in (((0%Z < i_0)%Z \/ (0%Z = i_0)) ->
  (((i_0 < num_allocated_5)%Z \/ (i_0 = num_allocated_5)) -> ((is_uint32
  i_0) -> ((map.Map.get mptr_1 a_31) = (map.Map.get m_0 a_31)))))) /\
  ((((0%Z < 1%Z)%Z /\ ((0%Z < x_20)%Z /\
  (((1%Z + num_allocated_4)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_20 + size_allocated_3)%Z <= l_HEAP_SIZE)%Z))) -> forall (i_0:Z),
  let a_31 := (shift a_0 i_0) in ((i_0 < num_allocated_5)%Z ->
  (((0%Z < i_0)%Z \/ (0%Z = i_0)) -> ((is_uint32 i_0) -> ((map.Map.get mptr_1
  a_31) = (map.Map.get m_0 a_31)))))) /\ ((forall (i_0:Z), let a_31 :=
  (shift a_0 i_0) in ((i_0 < l_MAX_ALLOCS)%Z -> (((0%Z < i_0)%Z \/
  (0%Z = i_0)) -> ((is_uint32 i_0) -> ((map.Map.get mptr_3
  a_31) = (map.Map.get m_6 a_31)))))) /\ ((((l_MAX_ALLOCS <= 0%Z)%Z \/
  ((x_13 <= 0%Z)%Z \/ ((~ ((base a_1) = (base a_26))) \/
  ((((offset a_26) + x_13)%Z <= (offset a_1))%Z \/
  (((offset a_1) + l_MAX_ALLOCS)%Z <= (offset a_26))%Z)))) ->
  ((l_MAX_ALLOCS <= 0%Z)%Z \/ ((x_13 <= 0%Z)%Z \/
  ((~ ((base a_1) = (base a_15))) \/
  ((((offset a_15) + x_13)%Z <= (offset a_1))%Z \/
  (((offset a_1) + l_MAX_ALLOCS)%Z <= (offset a_15))%Z))))) /\
  (((~ ((0%Z < 1%Z)%Z /\ ((0%Z < x_19)%Z /\
  (((1%Z + num_allocated_9)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_19 + size_allocated_2)%Z <= l_HEAP_SIZE)%Z)))) -> forall (i_0:Z),
  let a_31 := (shift a_0 i_0) in (((0%Z < i_0)%Z \/ (0%Z = i_0)) ->
  (((i_0 < num_allocated_10)%Z \/ (i_0 = num_allocated_10)) -> ((is_uint32
  i_0) -> ((map.Map.get m_5 a_31) = (map.Map.get m_6 a_31)))))) /\
  ((((0%Z < 1%Z)%Z /\ ((0%Z < x_19)%Z /\
  (((1%Z + num_allocated_9)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_19 + size_allocated_2)%Z <= l_HEAP_SIZE)%Z))) -> forall (i_0:Z),
  let a_31 := (shift a_0 i_0) in ((i_0 < num_allocated_10)%Z ->
  (((0%Z < i_0)%Z \/ (0%Z = i_0)) -> ((is_uint32 i_0) -> ((map.Map.get m_5
  a_31) = (map.Map.get m_6 a_31)))))) /\ ((forall (i_0:Z), ((0%Z < i_0)%Z \/
  (0%Z = i_0)) -> ((is_uint32 i_0) -> ((i_0 < x_6)%Z -> ((map.Map.get mptr_2
  (shift calloc_0 i_0)) = (map.Map.get m_0 (shift a_7 i_0)))))) /\
  ((forall (i_0:Z), ((0%Z < i_0)%Z \/ (0%Z = i_0)) -> ((is_uint32 i_0) ->
  ((i_0 < x_5)%Z -> ((map.Map.get mptr_3 (shift calloc_1
  i_0)) = (map.Map.get m_6 (shift a_14 i_0)))))) /\ ((forall (i_0:Z),
  ((0%Z < i_0)%Z \/ (0%Z = i_0)) -> ((is_uint32 i_0) -> ((i_0 < x_3)%Z ->
  let x_01 := (map.Map.get mint_7 (shift (map.Map.get mptr_5 (shift a_9 i_0))
  0%Z)) in ((separated (shift a_8 0%Z) (4%Z * x_8)%Z (map.Map.get mptr_5
  (shift a_9 i_0)) 8%Z) /\ (((0%Z = x_01) -> (p_separated_Type a_8 x_8
  (map.Map.get mptr_5 (shift (map.Map.get mptr_5 (shift a_9 i_0)) 1%Z)))) /\
  (((1%Z = x_01) -> (p_separated_Term a_8 x_8 (map.Map.get mptr_5
  (shift (map.Map.get mptr_5 (shift a_9 i_0)) 2%Z)))) /\ (((3%Z = x_01) ->
  (p_separated_Name a_8 x_8 (map.Map.get mptr_5 (shift (map.Map.get mptr_5
  (shift a_9 i_0)) 4%Z)))) /\ (((2%Z = x_01) -> (p_separated_Kind a_8 x_8
  (map.Map.get mptr_5 (shift (map.Map.get mptr_5 (shift a_9 i_0)) 3%Z)))) /\
  ((4%Z = x_01) -> (p_separated_Bind a_8 x_8
  (load_S_Bind (shift (map.Map.get mptr_5 (shift a_9 i_0)) 5%Z)
  mptr_5))))))))))) /\ ((forall (i_0:Z), ((0%Z < i_0)%Z \/ (0%Z = i_0)) ->
  ((is_uint32 i_0) -> ((i_0 < x_3)%Z -> let x_01 := (map.Map.get mint_7
  (shift (map.Map.get m_8 (shift calloc_1 i_0)) 0%Z)) in ((separated
  (shift a_17 0%Z) (4%Z * x_8)%Z (map.Map.get m_8 (shift calloc_1 i_0))
  8%Z) /\ (((0%Z = x_01) -> (p_separated_Type a_17 x_8 (map.Map.get m_8
  (shift (map.Map.get m_8 (shift calloc_1 i_0)) 1%Z)))) /\ (((1%Z = x_01) ->
  (p_separated_Term a_17 x_8 (map.Map.get m_8 (shift (map.Map.get m_8
  (shift calloc_1 i_0)) 2%Z)))) /\ (((3%Z = x_01) -> (p_separated_Name a_17
  x_8 (map.Map.get m_8 (shift (map.Map.get m_8 (shift calloc_1 i_0))
  4%Z)))) /\ (((2%Z = x_01) -> (p_separated_Kind a_17 x_8 (map.Map.get m_8
  (shift (map.Map.get m_8 (shift calloc_1 i_0)) 3%Z)))) /\ ((4%Z = x_01) ->
  (p_separated_Bind a_17 x_8 (load_S_Bind (shift (map.Map.get m_8
  (shift calloc_1 i_0)) 5%Z) m_8))))))))))) /\ ((forall (i_0:Z),
  ((0%Z < i_0)%Z \/ (0%Z = i_0)) -> ((is_uint32 i_0) -> ((i_0 < x_3)%Z ->
  let x_01 := (map.Map.get mint_7 (shift (map.Map.get m_8 (shift calloc_1
  i_0)) 0%Z)) in ((separated (shift a_17 0%Z) (4%Z * x_8)%Z (map.Map.get m_8
  (shift calloc_1 i_0)) 8%Z) /\ (((0%Z = x_01) -> (p_separated_Type a_17 x_8
  (map.Map.get m_8 (shift (map.Map.get m_8 (shift calloc_1 i_0)) 1%Z)))) /\
  (((1%Z = x_01) -> (p_separated_Term a_17 x_8 (map.Map.get m_8
  (shift (map.Map.get m_8 (shift calloc_1 i_0)) 2%Z)))) /\ (((3%Z = x_01) ->
  (p_separated_Name a_17 x_8 (map.Map.get m_8 (shift (map.Map.get m_8
  (shift calloc_1 i_0)) 4%Z)))) /\ (((2%Z = x_01) -> (p_separated_Kind a_17
  x_8 (map.Map.get m_8 (shift (map.Map.get m_8 (shift calloc_1 i_0))
  3%Z)))) /\ ((4%Z = x_01) -> (p_separated_Bind a_17 x_8
  (load_S_Bind (shift (map.Map.get m_8 (shift calloc_1 i_0)) 5%Z)
  m_8))))))))))) /\ ((forall (i_0:Z), forall (p_0:addr), (is_uint32 i_0) ->
  (((num_allocated_7 <= l_MAX_ALLOCS)%Z -> exists j_0:Z, let a_110 :=
  (map.Map.get m_0 (shift (Mk_addr 1441%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_7)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((p_0 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z) i_0)))))) ->
  ((num_allocated_7 <= l_MAX_ALLOCS)%Z -> exists j_0:Z, let a_110 :=
  (map.Map.get mptr_2 (shift (Mk_addr 1441%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_7)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((p_0 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z) i_0)))))))) /\
  ((((0%Z < 1%Z)%Z /\ ((0%Z < x_19)%Z /\
  (((1%Z + num_allocated_9)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_19 + size_allocated_2)%Z <= l_HEAP_SIZE)%Z))) -> forall (p_0:addr),
  (~ (calloc_1 = (Mk_addr 0%Z 0%Z))) /\
  (((num_allocated_9 <= l_MAX_ALLOCS)%Z -> exists i_0:Z, (is_uint32 i_0) /\
  (p_is_allocated_size malloc_0 m_5 num_allocated_9 p_0 i_0)) ->
  ~ (calloc_1 = p_0))) /\ ((((0%Z < 1%Z)%Z /\ ((0%Z < x_20)%Z /\
  (((1%Z + num_allocated_4)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_20 + size_allocated_3)%Z <= l_HEAP_SIZE)%Z))) -> forall (s_0:Z),
  forall (a_31:addr), (is_uint32 s_0) ->
  (((num_allocated_4 <= l_MAX_ALLOCS)%Z -> exists j_0:Z, let a_110 :=
  (map.Map.get mptr_1 (shift (Mk_addr 1441%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_4)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((a_31 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z) s_0)))))) ->
  ((x_20 <= 0%Z)%Z \/ ((s_0 <= 0%Z)%Z \/ ((~ ((base a_16) = (base (shift a_31
  0%Z)))) \/ ((((offset (shift a_31 0%Z)) + s_0)%Z <= (offset a_16))%Z \/
  (((offset a_16) + x_20)%Z <= (offset (shift a_31 0%Z)))%Z)))))) /\
  (((~ ((0%Z < 1%Z)%Z /\ ((0%Z < x_20)%Z /\
  (((1%Z + num_allocated_4)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_20 + size_allocated_3)%Z <= l_HEAP_SIZE)%Z)))) -> forall (n_1:Z),
  forall (p_0:addr), (is_uint32 n_1) ->
  (((num_allocated_4 <= l_MAX_ALLOCS)%Z -> exists j_0:Z, let a_110 :=
  (map.Map.get mptr_1 (shift (Mk_addr 1441%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_4)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((p_0 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z) n_1)))))) ->
  ((num_allocated_5 <= l_MAX_ALLOCS)%Z -> exists j_0:Z, let a_110 :=
  (map.Map.get m_0 (shift (Mk_addr 1441%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_5)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((p_0 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z) n_1)))))))) /\
  ((((0%Z < 1%Z)%Z /\ ((0%Z < x_20)%Z /\
  (((1%Z + num_allocated_4)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_20 + size_allocated_3)%Z <= l_HEAP_SIZE)%Z))) -> forall (n_1:Z),
  forall (p_0:addr), (is_uint32 n_1) ->
  (((num_allocated_4 <= l_MAX_ALLOCS)%Z -> exists j_0:Z, let a_110 :=
  (map.Map.get mptr_1 (shift (Mk_addr 1441%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_4)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((p_0 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z) n_1)))))) ->
  ((num_allocated_5 <= l_MAX_ALLOCS)%Z -> exists j_0:Z, let a_110 :=
  (map.Map.get m_0 (shift (Mk_addr 1441%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_5)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((p_0 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z) n_1)))))))) /\
  ((forall (i_0:Z), forall (p_0:addr), (is_uint32 i_0) ->
  (((num_allocated_0 <= l_MAX_ALLOCS)%Z -> exists j_0:Z, let a_110 :=
  (map.Map.get m_6 (shift (Mk_addr 1441%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_0)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((p_0 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z) i_0)))))) ->
  ((num_allocated_0 <= l_MAX_ALLOCS)%Z -> exists j_0:Z, let a_110 :=
  (map.Map.get mptr_3 (shift (Mk_addr 1441%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_0)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((p_0 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z) i_0)))))))) /\
  ((((0%Z < 1%Z)%Z /\ ((0%Z < x_19)%Z /\
  (((1%Z + num_allocated_9)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_19 + size_allocated_2)%Z <= l_HEAP_SIZE)%Z))) -> forall (s_0:Z),
  forall (a_31:addr), (is_uint32 s_0) ->
  (((num_allocated_9 <= l_MAX_ALLOCS)%Z -> exists j_0:Z, let a_110 :=
  (map.Map.get m_5 (shift (Mk_addr 1441%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_9)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((a_31 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z) s_0)))))) ->
  ((x_19 <= 0%Z)%Z \/ ((s_0 <= 0%Z)%Z \/ ((~ ((base a_15) = (base (shift a_31
  0%Z)))) \/ ((((offset (shift a_31 0%Z)) + s_0)%Z <= (offset a_15))%Z \/
  (((offset a_15) + x_19)%Z <= (offset (shift a_31 0%Z)))%Z)))))) /\
  (((~ ((0%Z < 1%Z)%Z /\ ((0%Z < x_19)%Z /\
  (((1%Z + num_allocated_9)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_19 + size_allocated_2)%Z <= l_HEAP_SIZE)%Z)))) -> forall (n_1:Z),
  forall (p_0:addr), (is_uint32 n_1) ->
  (((num_allocated_9 <= l_MAX_ALLOCS)%Z -> exists j_0:Z, let a_110 :=
  (map.Map.get m_5 (shift (Mk_addr 1441%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_9)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((p_0 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z) n_1)))))) ->
  ((num_allocated_10 <= l_MAX_ALLOCS)%Z -> exists j_0:Z, let a_110 :=
  (map.Map.get m_6 (shift (Mk_addr 1441%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_10)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((p_0 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z) n_1)))))))) /\
  ((((0%Z < 1%Z)%Z /\ ((0%Z < x_19)%Z /\
  (((1%Z + num_allocated_9)%Z <= l_MAX_ALLOCS)%Z /\
  ((x_19 + size_allocated_2)%Z <= l_HEAP_SIZE)%Z))) -> forall (n_1:Z),
  forall (p_0:addr), (is_uint32 n_1) ->
  (((num_allocated_9 <= l_MAX_ALLOCS)%Z -> exists j_0:Z, let a_110 :=
  (map.Map.get m_5 (shift (Mk_addr 1441%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_9)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((p_0 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z) n_1)))))) ->
  ((num_allocated_10 <= l_MAX_ALLOCS)%Z -> exists j_0:Z, let a_110 :=
  (map.Map.get m_6 (shift (Mk_addr 1441%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_10)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((p_0 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z) n_1)))))))) /\
  ((forall (i_0:Z), ((0%Z < i_0)%Z \/ (0%Z = i_0)) -> ((is_uint32 i_0) ->
  ((i_0 < x_7)%Z -> let x_01 := (map.Map.get mint_8 (shift (map.Map.get m_9
  (shift a_21 i_0)) 0%Z)) in ((separated (shift a_20 0%Z) (4%Z * x_15)%Z
  (map.Map.get m_9 (shift a_21 i_0)) 8%Z) /\ (((0%Z = x_01) ->
  (p_separated_Type a_20 x_15 (map.Map.get m_9 (shift (map.Map.get m_9
  (shift a_21 i_0)) 1%Z)))) /\ (((1%Z = x_01) -> (p_separated_Term a_20 x_15
  (map.Map.get m_9 (shift (map.Map.get m_9 (shift a_21 i_0)) 2%Z)))) /\
  (((3%Z = x_01) -> (p_separated_Name a_20 x_15 (map.Map.get m_9
  (shift (map.Map.get m_9 (shift a_21 i_0)) 4%Z)))) /\ (((2%Z = x_01) ->
  (p_separated_Kind a_20 x_15 (map.Map.get m_9 (shift (map.Map.get m_9
  (shift a_21 i_0)) 3%Z)))) /\ ((4%Z = x_01) -> (p_separated_Bind a_20 x_15
  (load_S_Bind (shift (map.Map.get m_9 (shift a_21 i_0)) 5%Z)
  m_9))))))))))) /\ forall (i_0:Z), ((0%Z < i_0)%Z \/ (0%Z = i_0)) ->
  ((is_uint32 i_0) -> (((i_0 < x_7)%Z \/ (i_0 = x_7)) -> let x_01 :=
  (map.Map.get m_1 (shift (map.Map.get m_9 (shift a_21 i_0)) 0%Z)) in
  ((separated (shift a_20 0%Z) (4%Z * x_15)%Z (map.Map.get m_9 (shift a_21
  i_0)) 8%Z) /\ (((0%Z = x_01) -> (p_separated_Type a_20 x_15
  (map.Map.get m_9 (shift (map.Map.get m_9 (shift a_21 i_0)) 1%Z)))) /\
  (((1%Z = x_01) -> (p_separated_Term a_20 x_15 (map.Map.get m_9
  (shift (map.Map.get m_9 (shift a_21 i_0)) 2%Z)))) /\ (((3%Z = x_01) ->
  (p_separated_Name a_20 x_15 (map.Map.get m_9 (shift (map.Map.get m_9
  (shift a_21 i_0)) 4%Z)))) /\ (((2%Z = x_01) -> (p_separated_Kind a_20 x_15
  (map.Map.get m_9 (shift (map.Map.get m_9 (shift a_21 i_0)) 3%Z)))) /\
  ((4%Z = x_01) -> (p_separated_Bind a_20 x_15
  (load_S_Bind (shift (map.Map.get m_9 (shift a_21 i_0)) 5%Z)
  m_9))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) \/
  ((~ (x_4 = x_0)) /\ ((mint_8 = mint_7) /\ ((mint_7 = mint_0) /\
  ((mptr_4 = mptr_0) /\ ((envmap_insert_0 = n_0) /\
  ((num_allocated_12 = num_allocated_2) /\
  ((size_allocated_8 = size_allocated_1) /\ (((x_7 < 4294967294%Z)%Z \/
  (x_7 = 4294967294%Z)) /\ (((x_3 < x_8)%Z \/ (x_3 = x_8)) /\
  (((num_allocated_12 <= l_MAX_ALLOCS)%Z -> exists j_0:Z, let a_110 :=
  (map.Map.get mptr_4 (shift (Mk_addr 1441%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_12)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((n_0 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z) 16%Z)))))) /\
  (((0%Z < 1%Z)%Z -> ((0%Z <= (offset a_5))%Z /\
  (((offset a_5) + 1%Z)%Z <= (map.Map.get malloc_0 (base a_5)))%Z)) /\
  (((0%Z < 1%Z)%Z -> ((0%Z <= (offset a_6))%Z /\
  (((offset a_6) + 1%Z)%Z <= (map.Map.get malloc_0 (base a_6)))%Z)) /\
  (((0%Z < 1%Z)%Z -> ((0%Z < (base a_4))%Z /\ ((0%Z <= (offset a_4))%Z /\
  (((offset a_4) + 1%Z)%Z <= (map.Map.get malloc_0 (base a_4)))%Z))) /\
  ((((0%Z < 1%Z)%Z /\ ((0%Z < 32%Z)%Z /\
  (((1%Z + num_allocated_12)%Z <= l_MAX_ALLOCS)%Z /\
  ((32%Z + size_allocated_8)%Z <= l_HEAP_SIZE)%Z))) -> ~ (v_4 = (Mk_addr 0%Z
  0%Z))) /\ ((let x_01 := (4%Z * x_8)%Z in (separated (shift a_8 0%Z) x_01
  (shift a_9 0%Z) x_01)) /\ ((let x_01 := (4%Z * x_8)%Z in (separated
  (shift a_28 0%Z) x_01 (shift a_29 0%Z) x_01)) /\ (((~ ((0%Z < 1%Z)%Z /\
  ((0%Z < 32%Z)%Z /\ (((1%Z + num_allocated_12)%Z <= l_MAX_ALLOCS)%Z /\
  ((32%Z + size_allocated_8)%Z <= l_HEAP_SIZE)%Z)))) -> (v_4 = (Mk_addr 0%Z
  0%Z))) /\ ((mint_9 = m_1) /\ ((mptr_7 = m_3) /\
  ((mptr_5 = (map.Map.set mptr_4 a_30 elem_0)) /\ ((let a_01 := (shift a_9
  0%Z) in let x_01 := (4%Z * x_8)%Z in ((separated a_01 x_01 n_0 4%Z) /\
  forall (i_0:Z), (i_0 < x_8)%Z -> ((0%Z <= i_0)%Z -> ((is_uint32 i_0) ->
  (separated a_01 x_01 (shift (map.Map.get mptr_5 (shift a_9 i_0)) 0%Z)
  256%Z))))) /\ ((let a_01 := (shift a_29 0%Z) in let x_01 :=
  (4%Z * x_8)%Z in ((separated a_01 x_01 n_0 4%Z) /\ forall (i_0:Z),
  (i_0 < x_8)%Z -> ((0%Z <= i_0)%Z -> ((is_uint32 i_0) -> (separated a_01
  x_01 (shift (map.Map.get mptr_4 (shift a_29 i_0)) 0%Z) 256%Z))))) /\
  ((((0%Z < 1%Z)%Z /\ ((0%Z < 32%Z)%Z /\
  (((1%Z + num_allocated_12)%Z <= l_MAX_ALLOCS)%Z /\
  ((32%Z + size_allocated_8)%Z <= l_HEAP_SIZE)%Z))) -> ((0%Z < 32%Z)%Z ->
  ((0%Z < (base a_13))%Z /\ ((0%Z <= (offset a_13))%Z /\
  (((offset a_13) + 32%Z)%Z <= (map.Map.get malloc_0 (base a_13)))%Z)))) /\
  (((~ ((0%Z < 1%Z)%Z /\ ((0%Z < 32%Z)%Z /\
  (((1%Z + num_allocated_12)%Z <= l_MAX_ALLOCS)%Z /\
  ((32%Z + size_allocated_8)%Z <= l_HEAP_SIZE)%Z)))) ->
  ((num_allocated_13 = (0%Z + num_allocated_12)%Z) /\
  (size_allocated_7 = (0%Z + size_allocated_8)%Z))) /\ ((((0%Z < 1%Z)%Z /\
  ((0%Z < 32%Z)%Z /\ (((1%Z + num_allocated_12)%Z <= l_MAX_ALLOCS)%Z /\
  ((32%Z + size_allocated_8)%Z <= l_HEAP_SIZE)%Z))) ->
  ((num_allocated_13 = (1%Z + num_allocated_12)%Z) /\
  (size_allocated_7 = (32%Z + size_allocated_8)%Z))) /\ ((let x_01 :=
  (8%Z * x_15)%Z in ((0%Z < x_15)%Z /\ ((0%Z <= x_12)%Z /\
  ((x_12 <= x_15)%Z /\ ((x_12 <= l_UINT32_MAX)%Z /\ ((0%Z <= x_01)%Z /\
  (x_01 <= l_UINT32_MAX)%Z)))))) /\ ((let a_01 := (shift a_8 0%Z) in
  let x_01 := (4%Z * x_8)%Z in ((separated a_01 x_01 n_0 4%Z) /\
  forall (i_0:Z), let a_110 := (map.Map.get mptr_5 (shift a_8 i_0)) in
  ((i_0 < x_8)%Z -> ((0%Z <= i_0)%Z -> ((is_uint32 i_0) -> (separated a_01
  x_01 (shift a_110 0%Z) (map.Map.get malloc_0 (base a_110)))))))) /\
  ((let a_01 := (shift a_28 0%Z) in let x_01 := (4%Z * x_8)%Z in ((separated
  a_01 x_01 n_0 4%Z) /\ forall (i_0:Z), let a_110 := (map.Map.get mptr_4
  (shift a_28 i_0)) in ((i_0 < x_8)%Z -> ((0%Z <= i_0)%Z -> ((is_uint32
  i_0) -> (separated a_01 x_01 (shift a_110 0%Z) (map.Map.get malloc_0
  (base a_110)))))))) /\ (((0%Z < 1%Z)%Z -> ((0%Z < (base a_10))%Z /\
  ((0%Z <= (offset a_10))%Z /\
  (((offset a_10) + 1%Z)%Z <= (map.Map.get malloc_0 (base a_10)))%Z))) /\
  (((0%Z < 1%Z)%Z -> ((0%Z < (base a_30))%Z /\ ((0%Z <= (offset a_30))%Z /\
  (((offset a_30) + 1%Z)%Z <= (map.Map.get malloc_0 (base a_30)))%Z))) /\
  ((let x_01 := (4%Z * x_15)%Z in (separated (shift a_20 0%Z) x_01
  (shift a_21 0%Z) x_01)) /\ ((~ ((Mk_addr 0%Z 0%Z) = a_23)) /\ ((let a_01 :=
  (shift a_21 0%Z) in let x_01 := (4%Z * x_15)%Z in ((separated a_01 x_01
  envmap_insert_0 4%Z) /\ forall (i_0:Z), (i_0 < x_15)%Z ->
  ((0%Z <= i_0)%Z -> ((is_uint32 i_0) -> (separated a_01 x_01
  (shift (map.Map.get m_9 (shift a_21 i_0)) 0%Z) 256%Z))))) /\
  ((((0%Z < 1%Z)%Z /\ ((0%Z < 32%Z)%Z /\
  (((1%Z + num_allocated_12)%Z <= l_MAX_ALLOCS)%Z /\
  ((32%Z + size_allocated_8)%Z <= l_HEAP_SIZE)%Z))) ->
  ((num_allocated_13 <= l_MAX_ALLOCS)%Z -> exists j_0:Z, let a_110 :=
  (map.Map.get m_2 (shift (Mk_addr 1441%Z 0%Z) j_0)) in
  ((j_0 < num_allocated_13)%Z /\ ((0%Z <= j_0)%Z /\ ((is_uint32 j_0) /\
  ((v_4 = a_110) /\ (valid_rw malloc_0 (shift a_110 0%Z) 32%Z))))))) /\
  ((let a_01 := (shift a_20 0%Z) in let x_01 := (4%Z * x_15)%Z in ((separated
  a_01 x_01 envmap_insert_0 4%Z) /\ forall (i_0:Z), let a_110 :=
  (map.Map.get m_9 (shift a_20 i_0)) in ((i_0 < x_15)%Z -> ((0%Z <= i_0)%Z ->
  ((is_uint32 i_0) -> (separated a_01 x_01 (shift a_110 0%Z)
  (map.Map.get malloc_0 (base a_110)))))))) /\ ((((0%Z < 1%Z)%Z /\
  ((0%Z < 32%Z)%Z /\ (((1%Z + num_allocated_12)%Z <= l_MAX_ALLOCS)%Z /\
  ((32%Z + size_allocated_8)%Z <= l_HEAP_SIZE)%Z))) ->
  (((f_Any_mKind a_25) = (f_Any_mKind val_0)) /\
  (((f_Any_mName a_25) = (f_Any_mName val_0)) /\
  (((f_Any_mTerm a_25) = (f_Any_mTerm val_0)) /\
  (((f_Any_mType a_25) = (f_Any_mType val_0)) /\
  (((f_Any_which a_25) = (f_Any_which val_0)) /\ (eqS_Bind (f_Any_mBind a_25)
  (f_Any_mBind val_0)))))))) /\ (((0%Z < 1%Z)%Z ->
  ((0%Z <= (offset a_22))%Z /\
  (((offset a_22) + 1%Z)%Z <= (map.Map.get malloc_0 (base a_22)))%Z)) /\
  ((let x_01 := (l_strlen a_27) in ((0%Z <= x_01)%Z /\ (valid_rw malloc_0
  (shift a_27 0%Z) (1%Z + x_01)%Z))) /\ ((let a_01 := (shift a_20 0%Z) in
  let x_01 := (4%Z * x_15)%Z in ((~ (a_20 = (Mk_addr 0%Z 0%Z))) /\
  ((p_valid_content malloc_0 m_9 a_20 x_12) /\ ((valid_rw malloc_0 a_01
  x_15) /\ ((p_is_allocated_size malloc_0 m_9 num_allocated_13 a_20
  (to_uint32 x_01)) /\ (separated (shift (Mk_addr 1441%Z 0%Z) 0%Z)
  l_MAX_ALLOCS a_01 x_01)))))) /\ ((let a_01 := (shift a_21 0%Z) in
  let x_01 := (4%Z * x_15)%Z in ((~ (a_21 = (Mk_addr 0%Z 0%Z))) /\
  ((p_valid_anycontent malloc_0 m_9 m_1 a_21 x_12) /\ ((valid_rw malloc_0
  a_01 x_15) /\ ((p_is_allocated_size malloc_0 m_9 num_allocated_13 a_21
  (to_uint32 x_01)) /\ (separated (shift (Mk_addr 1441%Z 0%Z) 0%Z)
  l_MAX_ALLOCS a_01 x_01)))))) /\ ((forall (i_0:Z), ((0%Z < i_0)%Z \/
  (0%Z = i_0)) -> ((is_uint32 i_0) -> ((i_0 < x_3)%Z -> let x_01 :=
  (map.Map.get mint_7 (shift (map.Map.get mptr_5 (shift a_9 i_0)) 0%Z)) in
  ((separated (shift a_8 0%Z) (4%Z * x_8)%Z (map.Map.get mptr_5 (shift a_9
  i_0)) 8%Z) /\ (((0%Z = x_01) -> (p_separated_Type a_8 x_8
  (map.Map.get mptr_5 (shift (map.Map.get mptr_5 (shift a_9 i_0)) 1%Z)))) /\
  (((1%Z = x_01) -> (p_separated_Term a_8 x_8 (map.Map.get mptr_5
  (shift (map.Map.get mptr_5 (shift a_9 i_0)) 2%Z)))) /\ (((3%Z = x_01) ->
  (p_separated_Name a_8 x_8 (map.Map.get mptr_5 (shift (map.Map.get mptr_5
  (shift a_9 i_0)) 4%Z)))) /\ (((2%Z = x_01) -> (p_separated_Kind a_8 x_8
  (map.Map.get mptr_5 (shift (map.Map.get mptr_5 (shift a_9 i_0)) 3%Z)))) /\
  ((4%Z = x_01) -> (p_separated_Bind a_8 x_8
  (load_S_Bind (shift (map.Map.get mptr_5 (shift a_9 i_0)) 5%Z)
  mptr_5))))))))))) /\ ((forall (i_0:Z), ((0%Z < i_0)%Z \/ (0%Z = i_0)) ->
  ((is_uint32 i_0) -> ((i_0 < x_3)%Z -> let x_01 := (map.Map.get mint_7
  (shift (map.Map.get mptr_4 (shift a_29 i_0)) 0%Z)) in ((separated
  (shift a_28 0%Z) (4%Z * x_8)%Z (map.Map.get mptr_4 (shift a_29 i_0))
  8%Z) /\ (((0%Z = x_01) -> (p_separated_Type a_28 x_8 (map.Map.get mptr_4
  (shift (map.Map.get mptr_4 (shift a_29 i_0)) 1%Z)))) /\ (((1%Z = x_01) ->
  (p_separated_Term a_28 x_8 (map.Map.get mptr_4 (shift (map.Map.get mptr_4
  (shift a_29 i_0)) 2%Z)))) /\ (((3%Z = x_01) -> (p_separated_Name a_28 x_8
  (map.Map.get mptr_4 (shift (map.Map.get mptr_4 (shift a_29 i_0)) 4%Z)))) /\
  (((2%Z = x_01) -> (p_separated_Kind a_28 x_8 (map.Map.get mptr_4
  (shift (map.Map.get mptr_4 (shift a_29 i_0)) 3%Z)))) /\ ((4%Z = x_01) ->
  (p_separated_Bind a_28 x_8 (load_S_Bind (shift (map.Map.get mptr_4
  (shift a_29 i_0)) 5%Z) mptr_4))))))))))) /\ ((forall (i_0:Z),
  ((0%Z < i_0)%Z \/ (0%Z = i_0)) -> ((is_uint32 i_0) -> ((i_0 < x_7)%Z ->
  let x_01 := (map.Map.get mint_8 (shift (map.Map.get m_9 (shift a_21 i_0))
  0%Z)) in ((separated (shift a_20 0%Z) (4%Z * x_15)%Z (map.Map.get m_9
  (shift a_21 i_0)) 8%Z) /\ (((0%Z = x_01) -> (p_separated_Type a_20 x_15
  (map.Map.get m_9 (shift (map.Map.get m_9 (shift a_21 i_0)) 1%Z)))) /\
  (((1%Z = x_01) -> (p_separated_Term a_20 x_15 (map.Map.get m_9
  (shift (map.Map.get m_9 (shift a_21 i_0)) 2%Z)))) /\ (((3%Z = x_01) ->
  (p_separated_Name a_20 x_15 (map.Map.get m_9 (shift (map.Map.get m_9
  (shift a_21 i_0)) 4%Z)))) /\ (((2%Z = x_01) -> (p_separated_Kind a_20 x_15
  (map.Map.get m_9 (shift (map.Map.get m_9 (shift a_21 i_0)) 3%Z)))) /\
  ((4%Z = x_01) -> (p_separated_Bind a_20 x_15
  (load_S_Bind (shift (map.Map.get m_9 (shift a_21 i_0)) 5%Z)
  m_9))))))))))) /\ forall (i_0:Z), ((0%Z < i_0)%Z \/ (0%Z = i_0)) ->
  ((is_uint32 i_0) -> (((i_0 < x_7)%Z \/ (i_0 = x_7)) -> let x_01 :=
  (map.Map.get m_1 (shift (map.Map.get m_9 (shift a_21 i_0)) 0%Z)) in
  ((separated (shift a_20 0%Z) (4%Z * x_15)%Z (map.Map.get m_9 (shift a_21
  i_0)) 8%Z) /\ (((0%Z = x_01) -> (p_separated_Type a_20 x_15
  (map.Map.get m_9 (shift (map.Map.get m_9 (shift a_21 i_0)) 1%Z)))) /\
  (((1%Z = x_01) -> (p_separated_Term a_20 x_15 (map.Map.get m_9
  (shift (map.Map.get m_9 (shift a_21 i_0)) 2%Z)))) /\ (((3%Z = x_01) ->
  (p_separated_Name a_20 x_15 (map.Map.get m_9 (shift (map.Map.get m_9
  (shift a_21 i_0)) 4%Z)))) /\ (((2%Z = x_01) -> (p_separated_Kind a_20 x_15
  (map.Map.get m_9 (shift (map.Map.get m_9 (shift a_21 i_0)) 3%Z)))) /\
  ((4%Z = x_01) -> (p_separated_Bind a_20 x_15
  (load_S_Bind (shift (map.Map.get m_9 (shift a_21 i_0)) 5%Z)
  m_9)))))))))))))))))))))))))))))))))))))))))))))))))))))) ->
  (p_well_separated_arrays_2_ (map.Map.get mptr_7 (shift envmap_insert_0
  2%Z)) (map.Map.get mptr_7 (shift envmap_insert_0 3%Z)) (map.Map.get mint_9
  (shift envmap_insert_0 1%Z))))))))))))))))))))))))))))))))))))))))))))).
intros a_0 a_1 charr_bufsize_0 num_allocated_13 num_allocated_12
        num_allocated_1 num_allocated_0 num_allocated_11 num_allocated_10
        num_allocated_9 num_allocated_8 num_allocated_7 num_allocated_6
        num_allocated_5 num_allocated_4 num_allocated_3 num_allocated_2
        size_allocated_8 size_allocated_7 size_allocated_6 size_allocated_0
        size_allocated_2 size_allocated_5 size_allocated_4 size_allocated_3
        size_allocated_1 malloc_0 mint_9 mint_8 mint_7 mint_6 mint_5 mint_4
        mint_3 mint_2 mint_1 mint_0 mptr_7 mptr_6 mptr_5 mptr_4 mptr_3 mptr_2
        mptr_1 mptr_0 calloc_1 calloc_0 elem_0 envmap_insert_0 makeAny_0 n_0
        v_5 v_4 v_3 v_2 v_1 v_0 val_0 a_2 x_0 x_1 x_2 a_3 x_3 x_4 x_5 x_6 a_4
        x_7 x_8 x_9 x_10 x_11 a_5 a_6 m_0 a_7 a_8 a_9 x_12 m_1 m_2 a_10 m_3
        a_11 a_12 a_13 m_4 m_5 m_6 a_14 a_15 x_13 a_16 x_14 x_15 m_7 a_17 m_8
        a_18 x_16 a_19 m_9 a_20 a_21 a_22 a_23 a_24 x_17 x_18 x_19 x_20 a_25
        a_26 x_21 x_22 a_27 a_28 a_29 a_30 h1 h2 h3 h4 h5 h6 h7 h8 h9 h10 h11
        h12 h13 h14 h15 h16 h17 h18 h19 h20 h21 h22 h23 h24 h25 h26 h27 h28
        h29 h30 h31 h32 h33 h34 h35 h36 h37 h38 h39 h40 h41 h42.
Require Import Why3.
destruct h42.
* decompose [and] H; clear H.
  why3 "cvc4" timelimit 50.
* decompose [and] H; clear H.
  why3 "cvc4" timelimit 10.
Qed.

